// (C) 2001-2022 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


module pcie_ftile_mcdma_intel_pcie_ftile_mcdma_400_uk6mnwq
  # (
     parameter data_width_hwtcl                       = 512,
     parameter empty_width_hwtcl                      = $clog2(data_width_hwtcl/8),
     parameter burst_width_hwtcl                      = (data_width_hwtcl == 512) ? 4 : 5,
     parameter m1_data_width_hwtcl                    = 512,
     parameter m1_empty_width_hwtcl                   = $clog2(m1_data_width_hwtcl/8),
     parameter m1_burst_width_hwtcl                   = (m1_data_width_hwtcl == 512) ? 4 : 5,
     parameter tile_hwtcl                             = "F", 
     parameter ST_CHANNEL_WIDTH                       = 11,
     parameter MPS_SUPPORTED                          = 512,
     parameter payload_width_integer_hwtcl            = 256,
     parameter hdr_width_integer_hwtcl                = 256,
     parameter pfx_width_integer_hwtcl                = 64,
     parameter double_width_integer_hwtcl             = 1,
     parameter total_pf_count_hwtcl                   = 4,
     parameter total_pf_count_width_hwtcl             = 2,
     parameter total_vf_count_hwtcl                   = 0,
     parameter total_vf_count_width_hwtcl             = 1,
     parameter device_family                          = "Agilex",
     parameter enable_user_flr_hwtcl                  = 1,
     parameter enable_user_msix_hwtcl                 = 1,
     parameter en_metadata_8_hwtcl                    = 0,
     parameter en_10bit_tag_hwtcl                     = 0,
     parameter enable_mcdma_hwtcl                     = 1,
     parameter enable_data_mover_hwtcl                = 0,
     parameter enable_bursting_master_hwtcl           = 0,
     parameter enable_bursting_slave_hwtcl            = 0,
     parameter enable_byte_aligned_txfr_hwtcl         = 1, // 0 = Cache-line aligned txfr, 1 = Byte aligned txfr
     parameter dynamic_cmap_en_hwtcl                  = 0,
     parameter dynamic_num_channel_hwtcl              = 256,
     parameter enable_cs_hwtcl                        = 0,
     parameter pfnum_hwtcl                            = 1,
     parameter pfcnt_w_hwtcl                          = 1,
     parameter vfcnt_w_hwtcl                          = 1,
     parameter max_bar_address_width_hwtcl            = 32,
     parameter pfnum_width_hwtcl                      = 3,
     parameter vfnum_width_hwtcl                      = 11,
     parameter pio_address_width_hwtcl                = 64,
     parameter pio_data_width_hwtcl                   = 64,
     parameter pio_bar2_size_per_f_hwtcl              = 64,//map to actual BAR2 allocation later
     parameter num_h2d_uport_hwtcl                    = 4,
     parameter num_d2h_uport_hwtcl                    = 4,
     parameter uport_type_h2d_hwtcl                   = 4'hF,
     parameter uport_type_d2h_hwtcl                   = 4'hF,
     parameter d2h_num_active_channel_hwtcl           = 1,
     parameter d2h_max_num_desc_fetch_hwtcl           = 16,
     parameter pf0_enable_sriov_hwtcl                 = 0,
     parameter pf0_num_vf_per_pf_hwtcl                = 0,
     parameter pf0_num_dma_chan_pf_hwtcl              = 0,
     parameter pf0_num_dma_chan_per_vf_hwtcl          = 0,
     parameter pf1_enable_sriov_hwtcl                 = 0,
     parameter pf1_num_vf_per_pf_hwtcl                = 0,
     parameter pf1_num_dma_chan_pf_hwtcl              = 0,
     parameter pf1_num_dma_chan_per_vf_hwtcl          = 0,
     parameter pf2_enable_sriov_hwtcl                 = 0,
     parameter pf2_num_vf_per_pf_hwtcl                = 0,
     parameter pf2_num_dma_chan_pf_hwtcl              = 0,
     parameter pf2_num_dma_chan_per_vf_hwtcl          = 0,
     parameter pf3_enable_sriov_hwtcl                 = 0,
     parameter pf3_num_vf_per_pf_hwtcl                = 0,
     parameter pf3_num_dma_chan_pf_hwtcl              = 0,
     parameter pf3_num_dma_chan_per_vf_hwtcl          = 0,
     parameter pf4_enable_sriov_hwtcl                 = 0,
     parameter pf4_num_vf_per_pf_hwtcl                = 0,
     parameter pf4_num_dma_chan_pf_hwtcl              = 0,
     parameter pf4_num_dma_chan_per_vf_hwtcl          = 0,
     parameter pf5_enable_sriov_hwtcl                 = 0,
     parameter pf5_num_vf_per_pf_hwtcl                = 0,
     parameter pf5_num_dma_chan_pf_hwtcl              = 0,
     parameter pf5_num_dma_chan_per_vf_hwtcl          = 0,
     parameter pf6_enable_sriov_hwtcl                 = 0,
     parameter pf6_num_vf_per_pf_hwtcl                = 0,
     parameter pf6_num_dma_chan_pf_hwtcl              = 0,
     parameter pf6_num_dma_chan_per_vf_hwtcl          = 0,
     parameter pf7_enable_sriov_hwtcl                 = 0,
     parameter pf7_num_vf_per_pf_hwtcl                = 0,
     parameter pf7_num_dma_chan_pf_hwtcl              = 0,
     parameter pf7_num_dma_chan_per_vf_hwtcl          = 0,
     parameter cs_address_width_hwtcl                 = 14,
     parameter enable_port_bifurcation_hwtcl          = 0,
     parameter att_en_for_bas_cs_hwtcl                = 0,
     parameter mapping_table_address_width_hwtcl      = 3,
     parameter mapping_window_address_width_hwtcl     = 16,
          
     parameter m1_att_en_for_bas_cs_hwtcl             = 0,
     parameter m1_mapping_table_address_width_hwtcl   = 3,
     parameter m1_mapping_window_address_width_hwtcl  = 16,

     parameter msi_enable_hwtcl                       = 0,
     parameter per_vec_mask_capable_hwtcl             = 0,
     parameter addr_64bit_capable_hwtcl               = 0,
     parameter multi_msg_capable_hwtcl                = 1,
     parameter ext_msg_data_capable_hwtcl             = 0,

     parameter m1_payload_width_integer_hwtcl            = 256,
     parameter m1_hdr_width_integer_hwtcl                = 256,
     parameter m1_pfx_width_integer_hwtcl                = 64,
     parameter m1_double_width_integer_hwtcl             = 1,
     parameter m1_total_pf_count_hwtcl                   = 4,
     parameter m1_total_pf_count_width_hwtcl             = 2,
     parameter m1_total_vf_count_hwtcl                   = 0,
     parameter m1_total_vf_count_width_hwtcl             = 1,
     parameter m1_enable_user_flr_hwtcl                  = 1,
     parameter m1_enable_user_msix_hwtcl                 = 1,
     parameter m1_en_metadata_8_hwtcl                    = 0,
     parameter m1_enable_mcdma_hwtcl                     = 1,
     parameter m1_enable_data_mover_hwtcl                = 0,
     parameter m1_enable_bursting_master_hwtcl           = 0,
     parameter m1_enable_bursting_slave_hwtcl            = 0,
     parameter m1_enable_byte_aligned_txfr_hwtcl         = 1, // 0 = Cache-line aligned txfr, 1 = Byte aligned txfr
     parameter m1_enable_cs_hwtcl                        = 0,
     parameter m1_pfnum_hwtcl                            = 1,
     parameter m1_pfcnt_w_hwtcl                          = 1,
     parameter m1_vfcnt_w_hwtcl                          = 1,
     parameter m1_max_bar_address_width_hwtcl            = 32,
     parameter m1_pfnum_width_hwtcl                      = 3,
     parameter m1_vfnum_width_hwtcl                      = 11,
     parameter m1_pio_address_width_hwtcl                = 64,
     parameter m1_pio_data_width_hwtcl                   = 64,
     parameter m1_pio_bar2_size_per_f_hwtcl              = 64,//map to actual BAR2 allocation later
     parameter m1_num_h2d_uport_hwtcl                    = 4,
     parameter m1_num_d2h_uport_hwtcl                    = 4,
     parameter m1_uport_type_h2d_hwtcl                   = 4'hF,
     parameter m1_uport_type_d2h_hwtcl                   = 4'hF,
     parameter m1_d2h_num_active_channel_hwtcl           = 1,
     parameter m1_d2h_max_num_desc_fetch_hwtcl           = 16,
     parameter m1_pf0_enable_sriov_hwtcl                 = 0,
     parameter m1_pf0_num_vf_per_pf_hwtcl                = 0,
     parameter m1_pf0_num_dma_chan_pf_hwtcl              = 0,
     parameter m1_pf0_num_dma_chan_per_vf_hwtcl          = 0,
     parameter m1_pf1_enable_sriov_hwtcl                 = 0,
     parameter m1_pf1_num_vf_per_pf_hwtcl                = 0,
     parameter m1_pf1_num_dma_chan_pf_hwtcl              = 0,
     parameter m1_pf1_num_dma_chan_per_vf_hwtcl          = 0,
     parameter m1_pf2_enable_sriov_hwtcl                 = 0,
     parameter m1_pf2_num_vf_per_pf_hwtcl                = 0,
     parameter m1_pf2_num_dma_chan_pf_hwtcl              = 0,
     parameter m1_pf2_num_dma_chan_per_vf_hwtcl          = 0,
     parameter m1_pf3_enable_sriov_hwtcl                 = 0,
     parameter m1_pf3_num_vf_per_pf_hwtcl                = 0,
     parameter m1_pf3_num_dma_chan_pf_hwtcl              = 0,
     parameter m1_pf3_num_dma_chan_per_vf_hwtcl          = 0,
     parameter m1_pf4_enable_sriov_hwtcl                 = 0,
     parameter m1_pf4_num_vf_per_pf_hwtcl                = 0,
     parameter m1_pf4_num_dma_chan_pf_hwtcl              = 0,
     parameter m1_pf4_num_dma_chan_per_vf_hwtcl          = 0,
     parameter m1_pf5_enable_sriov_hwtcl                 = 0,
     parameter m1_pf5_num_vf_per_pf_hwtcl                = 0,
     parameter m1_pf5_num_dma_chan_pf_hwtcl              = 0,
     parameter m1_pf5_num_dma_chan_per_vf_hwtcl          = 0,
     parameter m1_pf6_enable_sriov_hwtcl                 = 0,
     parameter m1_pf6_num_vf_per_pf_hwtcl                = 0,
     parameter m1_pf6_num_dma_chan_pf_hwtcl              = 0,
     parameter m1_pf6_num_dma_chan_per_vf_hwtcl          = 0,
     parameter m1_pf7_enable_sriov_hwtcl                 = 0,
     parameter m1_pf7_num_vf_per_pf_hwtcl                = 0,
     parameter m1_pf7_num_dma_chan_pf_hwtcl              = 0,
     parameter m1_pf7_num_dma_chan_per_vf_hwtcl          = 0,
     parameter m1_cs_address_width_hwtcl                 = 14,
     parameter m1_msi_enable_hwtcl                       = 0,
     parameter m1_per_vec_mask_capable_hwtcl             = 0,
     parameter m1_addr_64bit_capable_hwtcl               = 0,
     parameter m1_multi_msg_capable_hwtcl                = 1,
     parameter m1_ext_msg_data_capable_hwtcl             = 0,

     parameter adapter_clk_source_hwtcl                                              = "IOPLL",

     // Parameters will be removed 
     // reserved
     parameter ctop_core16_clrhip_not_rst_sticky                                     = "FALSE",
     parameter ctop_core8_clrhip_not_rst_sticky                                      = "FALSE",
     parameter ctop_core8_en_gpio_perst                                              = "FALSE",
     parameter core16_enable_pld_rst_port0_hwtcl                                     = 0,
     parameter core8_enable_independent_pin_perst_hwtcl                              = 0,
  
     // sim mode
     parameter sim_mode_hwtcl                                                        = "fast_sim_mode",

     // TLP bypass mode
     parameter core16_virtual_tlp_bypass_en_hwtcl                                    = 0,
     parameter core8_virtual_tlp_bypass_en_hwtcl                                     = 0,
     parameter core4_0_virtual_tlp_bypass_en_hwtcl                                   = 0,
     parameter core4_1_virtual_tlp_bypass_en_hwtcl                                   = 0,

     // ST signals width
     parameter core16_payload_width_integer_hwtcl                                    = 512,
     parameter core16_hdr_width_integer_hwtcl                                        = 256,
     parameter core16_pfx_width_integer_hwtcl                                        = 64,
     parameter core16_double_width_integer_hwtcl                                     = 2,
     parameter core16_empty_width_integer_hwtcl                                      = 6,
     parameter core8_payload_width_integer_hwtcl                                     = 256,
     parameter core8_hdr_width_integer_hwtcl                                         = 128,
     parameter core8_pfx_width_integer_hwtcl                                         = 32,
     parameter core8_double_width_integer_hwtcl                                      = 1,
     parameter core8_empty_width_integer_hwtcl                                       = 3,
     parameter core4_0_payload_width_integer_hwtcl                                   = 128,
     parameter core4_0_hdr_width_integer_hwtcl                                       = 128,
     parameter core4_0_pfx_width_integer_hwtcl                                       = 32,
     parameter core4_0_double_width_integer_hwtcl                                    = 1,
     parameter core4_0_empty_width_integer_hwtcl                                     = 2,
     parameter core4_1_payload_width_integer_hwtcl                                   = 128,
     parameter core4_1_hdr_width_integer_hwtcl                                       = 128,
     parameter core4_1_pfx_width_integer_hwtcl                                       = 32,
     parameter core4_1_double_width_integer_hwtcl                                    = 1,
     parameter core4_1_empty_width_integer_hwtcl                                     = 2,
  
     parameter core16_total_pf_count_width_hwtcl                                     = 1,
     parameter core16_total_vf_count_width_hwtcl                                     = 0,
     parameter core16_total_pf_count_hwtcl                                           = 1,
     parameter core16_total_vf_count_hwtcl                                           = 1,
     parameter core8_total_pf_count_width_hwtcl                                      = 1,
     parameter core8_total_vf_count_width_hwtcl                                      = 0,
     parameter core8_total_pf_count_hwtcl                                            = 1,
     parameter core8_total_vf_count_hwtcl                                            = 1,
  
     // rx_buffer_limit
     parameter core16_enable_rx_buffer_limit_ports_hwtcl                             = 1,
     parameter core8_enable_rx_buffer_limit_ports_hwtcl                              = 1,
     parameter core4_0_enable_rx_buffer_limit_ports_hwtcl                            = 1,
     parameter core4_1_enable_rx_buffer_limit_ports_hwtcl                            = 1,

     // Parity Error
     parameter core16_use_ast_parity_hwtcl                                           = 0,
     parameter core8_use_ast_parity_hwtcl                                            = 0,
     parameter core4_0_use_ast_parity_hwtcl                                          = 0,
     parameter core4_1_use_ast_parity_hwtcl                                          = 0,

     // PTM
     parameter core16_virtual_ptm_hwtcl                                              = 0,
     parameter core8_virtual_ptm_hwtcl                                               = 0,

     // ECC enable
     parameter core16_enable_ecc_hwtcl                                               = 0,
     parameter core8_enable_ecc_hwtcl                                                = 0,
     parameter core4_0_enable_ecc_hwtcl                                              = 0,
     parameter core4_1_enable_ecc_hwtcl                                              = 0,

     // Power management interface parameter for p*_app_req_retry_en (pld_crs_en)
     parameter core16_enable_power_mgnt_intf_hwtcl                                   = 0,
     parameter core8_enable_power_mgnt_intf_hwtcl                                    = 0,
     parameter core4_0_enable_power_mgnt_intf_hwtcl                                  = 0,
     parameter core4_1_enable_power_mgnt_intf_hwtcl                                  = 0,

     // PCS Reconfig
     parameter PCS_CONFIG_EN                                                         = 0,
     parameter core16_hip_reconfig_hwtcl                                             = 0,
     parameter core8_hip_reconfig_hwtcl                                              = 0,
     parameter core4_0_hip_reconfig_hwtcl                                            = 0,
     parameter core4_1_hip_reconfig_hwtcl                                            = 0,
     parameter xcvr_reconfig_hwtcl                                                   = 0,

     // VIRTIO - core16
     parameter core16_enable_virtio_hwtcl                                            = 0,
     parameter core16_virtio_start_byte_address_hwtcl                                = 8'h48,
     parameter core16_pf0_virtio_capability_present_hwtcl                            = 0,
     parameter core16_pf0_virtio_device_specific_cap_present_hwtcl                   = 0,
     parameter core16_pf0_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
     parameter core16_pf0_virtio_cmn_config_bar_offset_hwtcl                         = 0,
     parameter core16_pf0_virtio_cmn_config_structure_length_hwtcl                   = 0,
     parameter core16_pf0_virtio_notification_bar_indicator_hwtcl                    = 0,
     parameter core16_pf0_virtio_notification_bar_offset_hwtcl                       = 0,
     parameter core16_pf0_virtio_notification_structure_length_hwtcl                 = 0,
     parameter core16_pf0_virtio_notify_off_multiplier_hwtcl                         = 0,
     parameter core16_pf0_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
     parameter core16_pf0_virtio_isrstatus_bar_offset_hwtcl                          = 0,
     parameter core16_pf0_virtio_isrstatus_structure_length_hwtcl                    = 0,
     parameter core16_pf0_virtio_devspecific_bar_indicator_hwtcl                     = 0,
     parameter core16_pf0_virtio_devspecific_bar_offset_hwtcl                        = 0,
     parameter core16_pf0_virtio_devspecific_structure_length_hwtcl                  = 0,
     parameter core16_pf0_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
     parameter core16_pf0_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
     parameter core16_pf0_virtio_pciconfig_access_structure_length_hwtcl             = 0,
     parameter core16_pf1_virtio_capability_present_hwtcl                            = 0,
     parameter core16_pf1_virtio_device_specific_cap_present_hwtcl                   = 0,
     parameter core16_pf1_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
     parameter core16_pf1_virtio_cmn_config_bar_offset_hwtcl                         = 0,
     parameter core16_pf1_virtio_cmn_config_structure_length_hwtcl                   = 0,
     parameter core16_pf1_virtio_notification_bar_indicator_hwtcl                    = 0,
     parameter core16_pf1_virtio_notification_bar_offset_hwtcl                       = 0,
     parameter core16_pf1_virtio_notification_structure_length_hwtcl                 = 0,
     parameter core16_pf1_virtio_notify_off_multiplier_hwtcl                         = 0,
     parameter core16_pf1_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
     parameter core16_pf1_virtio_isrstatus_bar_offset_hwtcl                          = 0,
     parameter core16_pf1_virtio_isrstatus_structure_length_hwtcl                    = 0,
     parameter core16_pf1_virtio_devspecific_bar_indicator_hwtcl                     = 0,
     parameter core16_pf1_virtio_devspecific_bar_offset_hwtcl                        = 0,
     parameter core16_pf1_virtio_devspecific_structure_length_hwtcl                  = 0,
     parameter core16_pf1_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
     parameter core16_pf1_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
     parameter core16_pf1_virtio_pciconfig_access_structure_length_hwtcl             = 0,
     parameter core16_pf2_virtio_capability_present_hwtcl                            = 0,
     parameter core16_pf2_virtio_device_specific_cap_present_hwtcl                   = 0,
     parameter core16_pf2_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
     parameter core16_pf2_virtio_cmn_config_bar_offset_hwtcl                         = 0,
     parameter core16_pf2_virtio_cmn_config_structure_length_hwtcl                   = 0,
     parameter core16_pf2_virtio_notification_bar_indicator_hwtcl                    = 0,
     parameter core16_pf2_virtio_notification_bar_offset_hwtcl                       = 0,
     parameter core16_pf2_virtio_notification_structure_length_hwtcl                 = 0,
     parameter core16_pf2_virtio_notify_off_multiplier_hwtcl                         = 0,
     parameter core16_pf2_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
     parameter core16_pf2_virtio_isrstatus_bar_offset_hwtcl                          = 0,
     parameter core16_pf2_virtio_isrstatus_structure_length_hwtcl                    = 0,
     parameter core16_pf2_virtio_devspecific_bar_indicator_hwtcl                     = 0,
     parameter core16_pf2_virtio_devspecific_bar_offset_hwtcl                        = 0,
     parameter core16_pf2_virtio_devspecific_structure_length_hwtcl                  = 0,
     parameter core16_pf2_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
     parameter core16_pf2_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
     parameter core16_pf2_virtio_pciconfig_access_structure_length_hwtcl             = 0,
     parameter core16_pf3_virtio_capability_present_hwtcl                            = 0,
     parameter core16_pf3_virtio_device_specific_cap_present_hwtcl                   = 0,
     parameter core16_pf3_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
     parameter core16_pf3_virtio_cmn_config_bar_offset_hwtcl                         = 0,
     parameter core16_pf3_virtio_cmn_config_structure_length_hwtcl                   = 0,
     parameter core16_pf3_virtio_notification_bar_indicator_hwtcl                    = 0,
     parameter core16_pf3_virtio_notification_bar_offset_hwtcl                       = 0,
     parameter core16_pf3_virtio_notification_structure_length_hwtcl                 = 0,
     parameter core16_pf3_virtio_notify_off_multiplier_hwtcl                         = 0,
     parameter core16_pf3_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
     parameter core16_pf3_virtio_isrstatus_bar_offset_hwtcl                          = 0,
     parameter core16_pf3_virtio_isrstatus_structure_length_hwtcl                    = 0,
     parameter core16_pf3_virtio_devspecific_bar_indicator_hwtcl                     = 0,
     parameter core16_pf3_virtio_devspecific_bar_offset_hwtcl                        = 0,
     parameter core16_pf3_virtio_devspecific_structure_length_hwtcl                  = 0,
     parameter core16_pf3_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
     parameter core16_pf3_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
     parameter core16_pf3_virtio_pciconfig_access_structure_length_hwtcl             = 0,
     parameter core16_pf4_virtio_capability_present_hwtcl                            = 0,
     parameter core16_pf4_virtio_device_specific_cap_present_hwtcl                   = 0,
     parameter core16_pf4_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
     parameter core16_pf4_virtio_cmn_config_bar_offset_hwtcl                         = 0,
     parameter core16_pf4_virtio_cmn_config_structure_length_hwtcl                   = 0,
     parameter core16_pf4_virtio_notification_bar_indicator_hwtcl                    = 0,
     parameter core16_pf4_virtio_notification_bar_offset_hwtcl                       = 0,
     parameter core16_pf4_virtio_notification_structure_length_hwtcl                 = 0,
     parameter core16_pf4_virtio_notify_off_multiplier_hwtcl                         = 0,
     parameter core16_pf4_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
     parameter core16_pf4_virtio_isrstatus_bar_offset_hwtcl                          = 0,
     parameter core16_pf4_virtio_isrstatus_structure_length_hwtcl                    = 0,
     parameter core16_pf4_virtio_devspecific_bar_indicator_hwtcl                     = 0,
     parameter core16_pf4_virtio_devspecific_bar_offset_hwtcl                        = 0,
     parameter core16_pf4_virtio_devspecific_structure_length_hwtcl                  = 0,
     parameter core16_pf4_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
     parameter core16_pf4_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
     parameter core16_pf4_virtio_pciconfig_access_structure_length_hwtcl             = 0,
     parameter core16_pf5_virtio_capability_present_hwtcl                            = 0,
     parameter core16_pf5_virtio_device_specific_cap_present_hwtcl                   = 0,
     parameter core16_pf5_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
     parameter core16_pf5_virtio_cmn_config_bar_offset_hwtcl                         = 0,
     parameter core16_pf5_virtio_cmn_config_structure_length_hwtcl                   = 0,
     parameter core16_pf5_virtio_notification_bar_indicator_hwtcl                    = 0,
     parameter core16_pf5_virtio_notification_bar_offset_hwtcl                       = 0,
     parameter core16_pf5_virtio_notification_structure_length_hwtcl                 = 0,
     parameter core16_pf5_virtio_notify_off_multiplier_hwtcl                         = 0,
     parameter core16_pf5_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
     parameter core16_pf5_virtio_isrstatus_bar_offset_hwtcl                          = 0,
     parameter core16_pf5_virtio_isrstatus_structure_length_hwtcl                    = 0,
     parameter core16_pf5_virtio_devspecific_bar_indicator_hwtcl                     = 0,
     parameter core16_pf5_virtio_devspecific_bar_offset_hwtcl                        = 0,
     parameter core16_pf5_virtio_devspecific_structure_length_hwtcl                  = 0,
     parameter core16_pf5_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
     parameter core16_pf5_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
     parameter core16_pf5_virtio_pciconfig_access_structure_length_hwtcl             = 0,
     parameter core16_pf6_virtio_capability_present_hwtcl                            = 0,
     parameter core16_pf6_virtio_device_specific_cap_present_hwtcl                   = 0,
     parameter core16_pf6_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
     parameter core16_pf6_virtio_cmn_config_bar_offset_hwtcl                         = 0,
     parameter core16_pf6_virtio_cmn_config_structure_length_hwtcl                   = 0,
     parameter core16_pf6_virtio_notification_bar_indicator_hwtcl                    = 0,
     parameter core16_pf6_virtio_notification_bar_offset_hwtcl                       = 0,
     parameter core16_pf6_virtio_notification_structure_length_hwtcl                 = 0,
     parameter core16_pf6_virtio_notify_off_multiplier_hwtcl                         = 0,
     parameter core16_pf6_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
     parameter core16_pf6_virtio_isrstatus_bar_offset_hwtcl                          = 0,
     parameter core16_pf6_virtio_isrstatus_structure_length_hwtcl                    = 0,
     parameter core16_pf6_virtio_devspecific_bar_indicator_hwtcl                     = 0,
     parameter core16_pf6_virtio_devspecific_bar_offset_hwtcl                        = 0,
     parameter core16_pf6_virtio_devspecific_structure_length_hwtcl                  = 0,
     parameter core16_pf6_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
     parameter core16_pf6_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
     parameter core16_pf6_virtio_pciconfig_access_structure_length_hwtcl             = 0,
     parameter core16_pf7_virtio_capability_present_hwtcl                            = 0,
     parameter core16_pf7_virtio_device_specific_cap_present_hwtcl                   = 0,
     parameter core16_pf7_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
     parameter core16_pf7_virtio_cmn_config_bar_offset_hwtcl                         = 0,
     parameter core16_pf7_virtio_cmn_config_structure_length_hwtcl                   = 0,
     parameter core16_pf7_virtio_notification_bar_indicator_hwtcl                    = 0,
     parameter core16_pf7_virtio_notification_bar_offset_hwtcl                       = 0,
     parameter core16_pf7_virtio_notification_structure_length_hwtcl                 = 0,
     parameter core16_pf7_virtio_notify_off_multiplier_hwtcl                         = 0,
     parameter core16_pf7_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
     parameter core16_pf7_virtio_isrstatus_bar_offset_hwtcl                          = 0,
     parameter core16_pf7_virtio_isrstatus_structure_length_hwtcl                    = 0,
     parameter core16_pf7_virtio_devspecific_bar_indicator_hwtcl                     = 0,
     parameter core16_pf7_virtio_devspecific_bar_offset_hwtcl                        = 0,
     parameter core16_pf7_virtio_devspecific_structure_length_hwtcl                  = 0,
     parameter core16_pf7_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
     parameter core16_pf7_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
     parameter core16_pf7_virtio_pciconfig_access_structure_length_hwtcl             = 0,
     parameter core16_pf0vf_virtio_capability_present_hwtcl                          = 0,
     parameter core16_pf0vf_virtio_device_specific_cap_present_hwtcl                 = 0,
     parameter core16_pf0vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
     parameter core16_pf0vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
     parameter core16_pf0vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
     parameter core16_pf0vf_virtio_notification_bar_indicator_hwtcl                  = 0,
     parameter core16_pf0vf_virtio_notification_bar_offset_hwtcl                     = 0,
     parameter core16_pf0vf_virtio_notification_structure_length_hwtcl               = 0,
     parameter core16_pf0vf_virtio_notify_off_multiplier_hwtcl                       = 0,
     parameter core16_pf0vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
     parameter core16_pf0vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
     parameter core16_pf0vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
     parameter core16_pf0vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
     parameter core16_pf0vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
     parameter core16_pf0vf_virtio_devspecific_structure_length_hwtcl                = 0,
     parameter core16_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
     parameter core16_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
     parameter core16_pf0vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
     parameter core16_pf1vf_virtio_capability_present_hwtcl                          = 0,
     parameter core16_pf1vf_virtio_device_specific_cap_present_hwtcl                 = 0,
     parameter core16_pf1vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
     parameter core16_pf1vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
     parameter core16_pf1vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
     parameter core16_pf1vf_virtio_notification_bar_indicator_hwtcl                  = 0,
     parameter core16_pf1vf_virtio_notification_bar_offset_hwtcl                     = 0,
     parameter core16_pf1vf_virtio_notification_structure_length_hwtcl               = 0,
     parameter core16_pf1vf_virtio_notify_off_multiplier_hwtcl                       = 0,
     parameter core16_pf1vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
     parameter core16_pf1vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
     parameter core16_pf1vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
     parameter core16_pf1vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
     parameter core16_pf1vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
     parameter core16_pf1vf_virtio_devspecific_structure_length_hwtcl                = 0,
     parameter core16_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
     parameter core16_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
     parameter core16_pf1vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
     parameter core16_pf2vf_virtio_capability_present_hwtcl                          = 0,
     parameter core16_pf2vf_virtio_device_specific_cap_present_hwtcl                 = 0,
     parameter core16_pf2vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
     parameter core16_pf2vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
     parameter core16_pf2vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
     parameter core16_pf2vf_virtio_notification_bar_indicator_hwtcl                  = 0,
     parameter core16_pf2vf_virtio_notification_bar_offset_hwtcl                     = 0,
     parameter core16_pf2vf_virtio_notification_structure_length_hwtcl               = 0,
     parameter core16_pf2vf_virtio_notify_off_multiplier_hwtcl                       = 0,
     parameter core16_pf2vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
     parameter core16_pf2vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
     parameter core16_pf2vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
     parameter core16_pf2vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
     parameter core16_pf2vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
     parameter core16_pf2vf_virtio_devspecific_structure_length_hwtcl                = 0,
     parameter core16_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
     parameter core16_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
     parameter core16_pf2vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
     parameter core16_pf3vf_virtio_capability_present_hwtcl                          = 0,
     parameter core16_pf3vf_virtio_device_specific_cap_present_hwtcl                 = 0,
     parameter core16_pf3vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
     parameter core16_pf3vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
     parameter core16_pf3vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
     parameter core16_pf3vf_virtio_notification_bar_indicator_hwtcl                  = 0,
     parameter core16_pf3vf_virtio_notification_bar_offset_hwtcl                     = 0,
     parameter core16_pf3vf_virtio_notification_structure_length_hwtcl               = 0,
     parameter core16_pf3vf_virtio_notify_off_multiplier_hwtcl                       = 0,
     parameter core16_pf3vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
     parameter core16_pf3vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
     parameter core16_pf3vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
     parameter core16_pf3vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
     parameter core16_pf3vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
     parameter core16_pf3vf_virtio_devspecific_structure_length_hwtcl                = 0,
     parameter core16_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
     parameter core16_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
     parameter core16_pf3vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
     parameter core16_pf4vf_virtio_capability_present_hwtcl                          = 0,
     parameter core16_pf4vf_virtio_device_specific_cap_present_hwtcl                 = 0,
     parameter core16_pf4vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
     parameter core16_pf4vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
     parameter core16_pf4vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
     parameter core16_pf4vf_virtio_notification_bar_indicator_hwtcl                  = 0,
     parameter core16_pf4vf_virtio_notification_bar_offset_hwtcl                     = 0,
     parameter core16_pf4vf_virtio_notification_structure_length_hwtcl               = 0,
     parameter core16_pf4vf_virtio_notify_off_multiplier_hwtcl                       = 0,
     parameter core16_pf4vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
     parameter core16_pf4vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
     parameter core16_pf4vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
     parameter core16_pf4vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
     parameter core16_pf4vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
     parameter core16_pf4vf_virtio_devspecific_structure_length_hwtcl                = 0,
     parameter core16_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
     parameter core16_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
     parameter core16_pf4vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
     parameter core16_pf5vf_virtio_capability_present_hwtcl                          = 0,
     parameter core16_pf5vf_virtio_device_specific_cap_present_hwtcl                 = 0,
     parameter core16_pf5vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
     parameter core16_pf5vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
     parameter core16_pf5vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
     parameter core16_pf5vf_virtio_notification_bar_indicator_hwtcl                  = 0,
     parameter core16_pf5vf_virtio_notification_bar_offset_hwtcl                     = 0,
     parameter core16_pf5vf_virtio_notification_structure_length_hwtcl               = 0,
     parameter core16_pf5vf_virtio_notify_off_multiplier_hwtcl                       = 0,
     parameter core16_pf5vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
     parameter core16_pf5vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
     parameter core16_pf5vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
     parameter core16_pf5vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
     parameter core16_pf5vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
     parameter core16_pf5vf_virtio_devspecific_structure_length_hwtcl                = 0,
     parameter core16_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
     parameter core16_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
     parameter core16_pf5vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
     parameter core16_pf6vf_virtio_capability_present_hwtcl                          = 0,
     parameter core16_pf6vf_virtio_device_specific_cap_present_hwtcl                 = 0,
     parameter core16_pf6vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
     parameter core16_pf6vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
     parameter core16_pf6vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
     parameter core16_pf6vf_virtio_notification_bar_indicator_hwtcl                  = 0,
     parameter core16_pf6vf_virtio_notification_bar_offset_hwtcl                     = 0,
     parameter core16_pf6vf_virtio_notification_structure_length_hwtcl               = 0,
     parameter core16_pf6vf_virtio_notify_off_multiplier_hwtcl                       = 0,
     parameter core16_pf6vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
     parameter core16_pf6vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
     parameter core16_pf6vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
     parameter core16_pf6vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
     parameter core16_pf6vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
     parameter core16_pf6vf_virtio_devspecific_structure_length_hwtcl                = 0,
     parameter core16_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
     parameter core16_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
     parameter core16_pf6vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
     parameter core16_pf7vf_virtio_capability_present_hwtcl                          = 0,
     parameter core16_pf7vf_virtio_device_specific_cap_present_hwtcl                 = 0,
     parameter core16_pf7vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
     parameter core16_pf7vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
     parameter core16_pf7vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
     parameter core16_pf7vf_virtio_notification_bar_indicator_hwtcl                  = 0,
     parameter core16_pf7vf_virtio_notification_bar_offset_hwtcl                     = 0,
     parameter core16_pf7vf_virtio_notification_structure_length_hwtcl               = 0,
     parameter core16_pf7vf_virtio_notify_off_multiplier_hwtcl                       = 0,
     parameter core16_pf7vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
     parameter core16_pf7vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
     parameter core16_pf7vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
     parameter core16_pf7vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
     parameter core16_pf7vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
     parameter core16_pf7vf_virtio_devspecific_structure_length_hwtcl                = 0,
     parameter core16_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
     parameter core16_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
     parameter core16_pf7vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,

     // VIRTIO - core8
     parameter core8_enable_virtio_hwtcl                                             = 0,
     parameter core8_virtio_start_byte_address_hwtcl                                 = 8'h48,
     parameter core8_pf0_virtio_capability_present_hwtcl                             = 0,
     parameter core8_pf0_virtio_device_specific_cap_present_hwtcl                    = 0,
     parameter core8_pf0_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
     parameter core8_pf0_virtio_cmn_config_bar_offset_hwtcl                          = 0,
     parameter core8_pf0_virtio_cmn_config_structure_length_hwtcl                    = 0,
     parameter core8_pf0_virtio_notification_bar_indicator_hwtcl                     = 0,
     parameter core8_pf0_virtio_notification_bar_offset_hwtcl                        = 0,
     parameter core8_pf0_virtio_notification_structure_length_hwtcl                  = 0,
     parameter core8_pf0_virtio_notify_off_multiplier_hwtcl                          = 0,
     parameter core8_pf0_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
     parameter core8_pf0_virtio_isrstatus_bar_offset_hwtcl                           = 0,
     parameter core8_pf0_virtio_isrstatus_structure_length_hwtcl                     = 0,
     parameter core8_pf0_virtio_devspecific_bar_indicator_hwtcl                      = 0,
     parameter core8_pf0_virtio_devspecific_bar_offset_hwtcl                         = 0,
     parameter core8_pf0_virtio_devspecific_structure_length_hwtcl                   = 0,
     parameter core8_pf0_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
     parameter core8_pf0_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
     parameter core8_pf0_virtio_pciconfig_access_structure_length_hwtcl              = 0,
     parameter core8_pf1_virtio_capability_present_hwtcl                             = 0,
     parameter core8_pf1_virtio_device_specific_cap_present_hwtcl                    = 0,
     parameter core8_pf1_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
     parameter core8_pf1_virtio_cmn_config_bar_offset_hwtcl                          = 0,
     parameter core8_pf1_virtio_cmn_config_structure_length_hwtcl                    = 0,
     parameter core8_pf1_virtio_notification_bar_indicator_hwtcl                     = 0,
     parameter core8_pf1_virtio_notification_bar_offset_hwtcl                        = 0,
     parameter core8_pf1_virtio_notification_structure_length_hwtcl                  = 0,
     parameter core8_pf1_virtio_notify_off_multiplier_hwtcl                          = 0,
     parameter core8_pf1_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
     parameter core8_pf1_virtio_isrstatus_bar_offset_hwtcl                           = 0,
     parameter core8_pf1_virtio_isrstatus_structure_length_hwtcl                     = 0,
     parameter core8_pf1_virtio_devspecific_bar_indicator_hwtcl                      = 0,
     parameter core8_pf1_virtio_devspecific_bar_offset_hwtcl                         = 0,
     parameter core8_pf1_virtio_devspecific_structure_length_hwtcl                   = 0,
     parameter core8_pf1_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
     parameter core8_pf1_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
     parameter core8_pf1_virtio_pciconfig_access_structure_length_hwtcl              = 0,
     parameter core8_pf2_virtio_capability_present_hwtcl                             = 0,
     parameter core8_pf2_virtio_device_specific_cap_present_hwtcl                    = 0,
     parameter core8_pf2_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
     parameter core8_pf2_virtio_cmn_config_bar_offset_hwtcl                          = 0,
     parameter core8_pf2_virtio_cmn_config_structure_length_hwtcl                    = 0,
     parameter core8_pf2_virtio_notification_bar_indicator_hwtcl                     = 0,
     parameter core8_pf2_virtio_notification_bar_offset_hwtcl                        = 0,
     parameter core8_pf2_virtio_notification_structure_length_hwtcl                  = 0,
     parameter core8_pf2_virtio_notify_off_multiplier_hwtcl                          = 0,
     parameter core8_pf2_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
     parameter core8_pf2_virtio_isrstatus_bar_offset_hwtcl                           = 0,
     parameter core8_pf2_virtio_isrstatus_structure_length_hwtcl                     = 0,
     parameter core8_pf2_virtio_devspecific_bar_indicator_hwtcl                      = 0,
     parameter core8_pf2_virtio_devspecific_bar_offset_hwtcl                         = 0,
     parameter core8_pf2_virtio_devspecific_structure_length_hwtcl                   = 0,
     parameter core8_pf2_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
     parameter core8_pf2_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
     parameter core8_pf2_virtio_pciconfig_access_structure_length_hwtcl              = 0,
     parameter core8_pf3_virtio_capability_present_hwtcl                             = 0,
     parameter core8_pf3_virtio_device_specific_cap_present_hwtcl                    = 0,
     parameter core8_pf3_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
     parameter core8_pf3_virtio_cmn_config_bar_offset_hwtcl                          = 0,
     parameter core8_pf3_virtio_cmn_config_structure_length_hwtcl                    = 0,
     parameter core8_pf3_virtio_notification_bar_indicator_hwtcl                     = 0,
     parameter core8_pf3_virtio_notification_bar_offset_hwtcl                        = 0,
     parameter core8_pf3_virtio_notification_structure_length_hwtcl                  = 0,
     parameter core8_pf3_virtio_notify_off_multiplier_hwtcl                          = 0,
     parameter core8_pf3_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
     parameter core8_pf3_virtio_isrstatus_bar_offset_hwtcl                           = 0,
     parameter core8_pf3_virtio_isrstatus_structure_length_hwtcl                     = 0,
     parameter core8_pf3_virtio_devspecific_bar_indicator_hwtcl                      = 0,
     parameter core8_pf3_virtio_devspecific_bar_offset_hwtcl                         = 0,
     parameter core8_pf3_virtio_devspecific_structure_length_hwtcl                   = 0,
     parameter core8_pf3_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
     parameter core8_pf3_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
     parameter core8_pf3_virtio_pciconfig_access_structure_length_hwtcl              = 0,
     parameter core8_pf4_virtio_capability_present_hwtcl                             = 0,
     parameter core8_pf4_virtio_device_specific_cap_present_hwtcl                    = 0,
     parameter core8_pf4_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
     parameter core8_pf4_virtio_cmn_config_bar_offset_hwtcl                          = 0,
     parameter core8_pf4_virtio_cmn_config_structure_length_hwtcl                    = 0,
     parameter core8_pf4_virtio_notification_bar_indicator_hwtcl                     = 0,
     parameter core8_pf4_virtio_notification_bar_offset_hwtcl                        = 0,
     parameter core8_pf4_virtio_notification_structure_length_hwtcl                  = 0,
     parameter core8_pf4_virtio_notify_off_multiplier_hwtcl                          = 0,
     parameter core8_pf4_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
     parameter core8_pf4_virtio_isrstatus_bar_offset_hwtcl                           = 0,
     parameter core8_pf4_virtio_isrstatus_structure_length_hwtcl                     = 0,
     parameter core8_pf4_virtio_devspecific_bar_indicator_hwtcl                      = 0,
     parameter core8_pf4_virtio_devspecific_bar_offset_hwtcl                         = 0,
     parameter core8_pf4_virtio_devspecific_structure_length_hwtcl                   = 0,
     parameter core8_pf4_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
     parameter core8_pf4_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
     parameter core8_pf4_virtio_pciconfig_access_structure_length_hwtcl              = 0,
     parameter core8_pf5_virtio_capability_present_hwtcl                             = 0,
     parameter core8_pf5_virtio_device_specific_cap_present_hwtcl                    = 0,
     parameter core8_pf5_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
     parameter core8_pf5_virtio_cmn_config_bar_offset_hwtcl                          = 0,
     parameter core8_pf5_virtio_cmn_config_structure_length_hwtcl                    = 0,
     parameter core8_pf5_virtio_notification_bar_indicator_hwtcl                     = 0,
     parameter core8_pf5_virtio_notification_bar_offset_hwtcl                        = 0,
     parameter core8_pf5_virtio_notification_structure_length_hwtcl                  = 0,
     parameter core8_pf5_virtio_notify_off_multiplier_hwtcl                          = 0,
     parameter core8_pf5_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
     parameter core8_pf5_virtio_isrstatus_bar_offset_hwtcl                           = 0,
     parameter core8_pf5_virtio_isrstatus_structure_length_hwtcl                     = 0,
     parameter core8_pf5_virtio_devspecific_bar_indicator_hwtcl                      = 0,
     parameter core8_pf5_virtio_devspecific_bar_offset_hwtcl                         = 0,
     parameter core8_pf5_virtio_devspecific_structure_length_hwtcl                   = 0,
     parameter core8_pf5_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
     parameter core8_pf5_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
     parameter core8_pf5_virtio_pciconfig_access_structure_length_hwtcl              = 0,
     parameter core8_pf6_virtio_capability_present_hwtcl                             = 0,
     parameter core8_pf6_virtio_device_specific_cap_present_hwtcl                    = 0,
     parameter core8_pf6_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
     parameter core8_pf6_virtio_cmn_config_bar_offset_hwtcl                          = 0,
     parameter core8_pf6_virtio_cmn_config_structure_length_hwtcl                    = 0,
     parameter core8_pf6_virtio_notification_bar_indicator_hwtcl                     = 0,
     parameter core8_pf6_virtio_notification_bar_offset_hwtcl                        = 0,
     parameter core8_pf6_virtio_notification_structure_length_hwtcl                  = 0,
     parameter core8_pf6_virtio_notify_off_multiplier_hwtcl                          = 0,
     parameter core8_pf6_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
     parameter core8_pf6_virtio_isrstatus_bar_offset_hwtcl                           = 0,
     parameter core8_pf6_virtio_isrstatus_structure_length_hwtcl                     = 0,
     parameter core8_pf6_virtio_devspecific_bar_indicator_hwtcl                      = 0,
     parameter core8_pf6_virtio_devspecific_bar_offset_hwtcl                         = 0,
     parameter core8_pf6_virtio_devspecific_structure_length_hwtcl                   = 0,
     parameter core8_pf6_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
     parameter core8_pf6_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
     parameter core8_pf6_virtio_pciconfig_access_structure_length_hwtcl              = 0,
     parameter core8_pf7_virtio_capability_present_hwtcl                             = 0,
     parameter core8_pf7_virtio_device_specific_cap_present_hwtcl                    = 0,
     parameter core8_pf7_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
     parameter core8_pf7_virtio_cmn_config_bar_offset_hwtcl                          = 0,
     parameter core8_pf7_virtio_cmn_config_structure_length_hwtcl                    = 0,
     parameter core8_pf7_virtio_notification_bar_indicator_hwtcl                     = 0,
     parameter core8_pf7_virtio_notification_bar_offset_hwtcl                        = 0,
     parameter core8_pf7_virtio_notification_structure_length_hwtcl                  = 0,
     parameter core8_pf7_virtio_notify_off_multiplier_hwtcl                          = 0,
     parameter core8_pf7_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
     parameter core8_pf7_virtio_isrstatus_bar_offset_hwtcl                           = 0,
     parameter core8_pf7_virtio_isrstatus_structure_length_hwtcl                     = 0,
     parameter core8_pf7_virtio_devspecific_bar_indicator_hwtcl                      = 0,
     parameter core8_pf7_virtio_devspecific_bar_offset_hwtcl                         = 0,
     parameter core8_pf7_virtio_devspecific_structure_length_hwtcl                   = 0,
     parameter core8_pf7_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
     parameter core8_pf7_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
     parameter core8_pf7_virtio_pciconfig_access_structure_length_hwtcl              = 0,
     parameter core8_pf0vf_virtio_capability_present_hwtcl                           = 0,
     parameter core8_pf0vf_virtio_device_specific_cap_present_hwtcl                  = 0,
     parameter core8_pf0vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
     parameter core8_pf0vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
     parameter core8_pf0vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
     parameter core8_pf0vf_virtio_notification_bar_indicator_hwtcl                   = 0,
     parameter core8_pf0vf_virtio_notification_bar_offset_hwtcl                      = 0,
     parameter core8_pf0vf_virtio_notification_structure_length_hwtcl                = 0,
     parameter core8_pf0vf_virtio_notify_off_multiplier_hwtcl                        = 0,
     parameter core8_pf0vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
     parameter core8_pf0vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
     parameter core8_pf0vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
     parameter core8_pf0vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
     parameter core8_pf0vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
     parameter core8_pf0vf_virtio_devspecific_structure_length_hwtcl                 = 0,
     parameter core8_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
     parameter core8_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
     parameter core8_pf0vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
     parameter core8_pf1vf_virtio_capability_present_hwtcl                           = 0,
     parameter core8_pf1vf_virtio_device_specific_cap_present_hwtcl                  = 0,
     parameter core8_pf1vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
     parameter core8_pf1vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
     parameter core8_pf1vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
     parameter core8_pf1vf_virtio_notification_bar_indicator_hwtcl                   = 0,
     parameter core8_pf1vf_virtio_notification_bar_offset_hwtcl                      = 0,
     parameter core8_pf1vf_virtio_notification_structure_length_hwtcl                = 0,
     parameter core8_pf1vf_virtio_notify_off_multiplier_hwtcl                        = 0,
     parameter core8_pf1vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
     parameter core8_pf1vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
     parameter core8_pf1vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
     parameter core8_pf1vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
     parameter core8_pf1vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
     parameter core8_pf1vf_virtio_devspecific_structure_length_hwtcl                 = 0,
     parameter core8_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
     parameter core8_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
     parameter core8_pf1vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
     parameter core8_pf2vf_virtio_capability_present_hwtcl                           = 0,
     parameter core8_pf2vf_virtio_device_specific_cap_present_hwtcl                  = 0,
     parameter core8_pf2vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
     parameter core8_pf2vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
     parameter core8_pf2vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
     parameter core8_pf2vf_virtio_notification_bar_indicator_hwtcl                   = 0,
     parameter core8_pf2vf_virtio_notification_bar_offset_hwtcl                      = 0,
     parameter core8_pf2vf_virtio_notification_structure_length_hwtcl                = 0,
     parameter core8_pf2vf_virtio_notify_off_multiplier_hwtcl                        = 0,
     parameter core8_pf2vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
     parameter core8_pf2vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
     parameter core8_pf2vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
     parameter core8_pf2vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
     parameter core8_pf2vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
     parameter core8_pf2vf_virtio_devspecific_structure_length_hwtcl                 = 0,
     parameter core8_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
     parameter core8_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
     parameter core8_pf2vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
     parameter core8_pf3vf_virtio_capability_present_hwtcl                           = 0,
     parameter core8_pf3vf_virtio_device_specific_cap_present_hwtcl                  = 0,
     parameter core8_pf3vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
     parameter core8_pf3vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
     parameter core8_pf3vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
     parameter core8_pf3vf_virtio_notification_bar_indicator_hwtcl                   = 0,
     parameter core8_pf3vf_virtio_notification_bar_offset_hwtcl                      = 0,
     parameter core8_pf3vf_virtio_notification_structure_length_hwtcl                = 0,
     parameter core8_pf3vf_virtio_notify_off_multiplier_hwtcl                        = 0,
     parameter core8_pf3vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
     parameter core8_pf3vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
     parameter core8_pf3vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
     parameter core8_pf3vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
     parameter core8_pf3vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
     parameter core8_pf3vf_virtio_devspecific_structure_length_hwtcl                 = 0,
     parameter core8_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
     parameter core8_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
     parameter core8_pf3vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
     parameter core8_pf4vf_virtio_capability_present_hwtcl                           = 0,
     parameter core8_pf4vf_virtio_device_specific_cap_present_hwtcl                  = 0,
     parameter core8_pf4vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
     parameter core8_pf4vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
     parameter core8_pf4vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
     parameter core8_pf4vf_virtio_notification_bar_indicator_hwtcl                   = 0,
     parameter core8_pf4vf_virtio_notification_bar_offset_hwtcl                      = 0,
     parameter core8_pf4vf_virtio_notification_structure_length_hwtcl                = 0,
     parameter core8_pf4vf_virtio_notify_off_multiplier_hwtcl                        = 0,
     parameter core8_pf4vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
     parameter core8_pf4vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
     parameter core8_pf4vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
     parameter core8_pf4vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
     parameter core8_pf4vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
     parameter core8_pf4vf_virtio_devspecific_structure_length_hwtcl                 = 0,
     parameter core8_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
     parameter core8_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
     parameter core8_pf4vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
     parameter core8_pf5vf_virtio_capability_present_hwtcl                           = 0,
     parameter core8_pf5vf_virtio_device_specific_cap_present_hwtcl                  = 0,
     parameter core8_pf5vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
     parameter core8_pf5vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
     parameter core8_pf5vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
     parameter core8_pf5vf_virtio_notification_bar_indicator_hwtcl                   = 0,
     parameter core8_pf5vf_virtio_notification_bar_offset_hwtcl                      = 0,
     parameter core8_pf5vf_virtio_notification_structure_length_hwtcl                = 0,
     parameter core8_pf5vf_virtio_notify_off_multiplier_hwtcl                        = 0,
     parameter core8_pf5vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
     parameter core8_pf5vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
     parameter core8_pf5vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
     parameter core8_pf5vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
     parameter core8_pf5vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
     parameter core8_pf5vf_virtio_devspecific_structure_length_hwtcl                 = 0,
     parameter core8_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
     parameter core8_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
     parameter core8_pf5vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
     parameter core8_pf6vf_virtio_capability_present_hwtcl                           = 0,
     parameter core8_pf6vf_virtio_device_specific_cap_present_hwtcl                  = 0,
     parameter core8_pf6vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
     parameter core8_pf6vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
     parameter core8_pf6vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
     parameter core8_pf6vf_virtio_notification_bar_indicator_hwtcl                   = 0,
     parameter core8_pf6vf_virtio_notification_bar_offset_hwtcl                      = 0,
     parameter core8_pf6vf_virtio_notification_structure_length_hwtcl                = 0,
     parameter core8_pf6vf_virtio_notify_off_multiplier_hwtcl                        = 0,
     parameter core8_pf6vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
     parameter core8_pf6vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
     parameter core8_pf6vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
     parameter core8_pf6vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
     parameter core8_pf6vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
     parameter core8_pf6vf_virtio_devspecific_structure_length_hwtcl                 = 0,
     parameter core8_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
     parameter core8_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
     parameter core8_pf6vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
     parameter core8_pf7vf_virtio_capability_present_hwtcl                           = 0,
     parameter core8_pf7vf_virtio_device_specific_cap_present_hwtcl                  = 0,
     parameter core8_pf7vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
     parameter core8_pf7vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
     parameter core8_pf7vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
     parameter core8_pf7vf_virtio_notification_bar_indicator_hwtcl                   = 0,
     parameter core8_pf7vf_virtio_notification_bar_offset_hwtcl                      = 0,
     parameter core8_pf7vf_virtio_notification_structure_length_hwtcl                = 0,
     parameter core8_pf7vf_virtio_notify_off_multiplier_hwtcl                        = 0,
     parameter core8_pf7vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
     parameter core8_pf7vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
     parameter core8_pf7vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
     parameter core8_pf7vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
     parameter core8_pf7vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
     parameter core8_pf7vf_virtio_devspecific_structure_length_hwtcl                 = 0,
     parameter core8_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
     parameter core8_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
     parameter core8_pf7vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,

     parameter core16_pf0_vf_count_hwtcl                                             = 0,
     parameter core16_pf1_vf_count_hwtcl                                             = 0,
     parameter core16_pf2_vf_count_hwtcl                                             = 0,
     parameter core16_pf3_vf_count_hwtcl                                             = 0,
     parameter core16_pf4_vf_count_hwtcl                                             = 0,
     parameter core16_pf5_vf_count_hwtcl                                             = 0,
     parameter core16_pf6_vf_count_hwtcl                                             = 0,
     parameter core16_pf7_vf_count_hwtcl                                             = 0,
     parameter core8_pf0_vf_count_hwtcl                                              = 0,
     parameter core8_pf1_vf_count_hwtcl                                              = 0,
     parameter core8_pf2_vf_count_hwtcl                                              = 0,
     parameter core8_pf3_vf_count_hwtcl                                              = 0,
     parameter core8_pf4_vf_count_hwtcl                                              = 0,
     parameter core8_pf5_vf_count_hwtcl                                              = 0,
     parameter core8_pf6_vf_count_hwtcl                                              = 0,
     parameter core8_pf7_vf_count_hwtcl                                              = 0,

     // error interface enable
     parameter  core16_enable_error_intf_hwtcl                                       = 0,
     parameter  core8_enable_error_intf_hwtcl                                        = 0,
     parameter  core4_0_enable_error_intf_hwtcl                                      = 0,
     parameter  core4_1_enable_error_intf_hwtcl                                      = 0,

     // HIP_TOP params - core16
     parameter core16_pf0_bar0_address_width_hwtcl                                   = 16,
     parameter core16_pf0_bar1_address_width_hwtcl                                   = 16,
     parameter core16_pf0_bar2_address_width_hwtcl                                   = 16,
     parameter core16_pf0_bar3_address_width_hwtcl                                   = 16,
     parameter core16_pf0_bar4_address_width_hwtcl                                   = 16,
     parameter core16_pf0_bar5_address_width_hwtcl                                   = 16,
     parameter core16_pf1_bar0_address_width_hwtcl                                   = 16,
     parameter core16_pf1_bar1_address_width_hwtcl                                   = 16,
     parameter core16_pf1_bar2_address_width_hwtcl                                   = 16,
     parameter core16_pf1_bar3_address_width_hwtcl                                   = 16,
     parameter core16_pf1_bar4_address_width_hwtcl                                   = 16,
     parameter core16_pf1_bar5_address_width_hwtcl                                   = 16,
     parameter core16_pf2_bar0_address_width_hwtcl                                   = 16,
     parameter core16_pf2_bar1_address_width_hwtcl                                   = 16,
     parameter core16_pf2_bar2_address_width_hwtcl                                   = 16,
     parameter core16_pf2_bar3_address_width_hwtcl                                   = 16,
     parameter core16_pf2_bar4_address_width_hwtcl                                   = 16,
     parameter core16_pf2_bar5_address_width_hwtcl                                   = 16,
     parameter core16_pf3_bar0_address_width_hwtcl                                   = 16,
     parameter core16_pf3_bar1_address_width_hwtcl                                   = 16,
     parameter core16_pf3_bar2_address_width_hwtcl                                   = 16,
     parameter core16_pf3_bar3_address_width_hwtcl                                   = 16,
     parameter core16_pf3_bar4_address_width_hwtcl                                   = 16,
     parameter core16_pf3_bar5_address_width_hwtcl                                   = 16,
     parameter core16_pf4_bar0_address_width_hwtcl                                   = 16,
     parameter core16_pf4_bar1_address_width_hwtcl                                   = 16,
     parameter core16_pf4_bar2_address_width_hwtcl                                   = 16,
     parameter core16_pf4_bar3_address_width_hwtcl                                   = 16,
     parameter core16_pf4_bar4_address_width_hwtcl                                   = 16,
     parameter core16_pf4_bar5_address_width_hwtcl                                   = 16,
     parameter core16_pf5_bar0_address_width_hwtcl                                   = 16,
     parameter core16_pf5_bar1_address_width_hwtcl                                   = 16,
     parameter core16_pf5_bar2_address_width_hwtcl                                   = 16,
     parameter core16_pf5_bar3_address_width_hwtcl                                   = 16,
     parameter core16_pf5_bar4_address_width_hwtcl                                   = 16,
     parameter core16_pf5_bar5_address_width_hwtcl                                   = 16,
     parameter core16_pf6_bar0_address_width_hwtcl                                   = 16,
     parameter core16_pf6_bar1_address_width_hwtcl                                   = 16,
     parameter core16_pf6_bar2_address_width_hwtcl                                   = 16,
     parameter core16_pf6_bar3_address_width_hwtcl                                   = 16,
     parameter core16_pf6_bar4_address_width_hwtcl                                   = 16,
     parameter core16_pf6_bar5_address_width_hwtcl                                   = 16,
     parameter core16_pf7_bar0_address_width_hwtcl                                   = 16,
     parameter core16_pf7_bar1_address_width_hwtcl                                   = 16,
     parameter core16_pf7_bar2_address_width_hwtcl                                   = 16,
     parameter core16_pf7_bar3_address_width_hwtcl                                   = 16,
     parameter core16_pf7_bar4_address_width_hwtcl                                   = 16,
     parameter core16_pf7_bar5_address_width_hwtcl                                   = 16,

     parameter core16_pf0_expansion_base_address_register_integer_hwtcl              = 0,
     parameter core16_pf1_expansion_base_address_register_integer_hwtcl              = 0,
     parameter core16_pf2_expansion_base_address_register_integer_hwtcl              = 0,
     parameter core16_pf3_expansion_base_address_register_integer_hwtcl              = 0,
     parameter core16_pf4_expansion_base_address_register_integer_hwtcl              = 0,
     parameter core16_pf5_expansion_base_address_register_integer_hwtcl              = 0,
     parameter core16_pf6_expansion_base_address_register_integer_hwtcl              = 0,
     parameter core16_pf7_expansion_base_address_register_integer_hwtcl              = 0,

     parameter core16_pf0_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
     parameter core16_pf0_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
     parameter core16_pf0_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
     parameter core16_pf0_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
     parameter core16_pf0_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
     parameter core16_pf0_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
     parameter core16_pf1_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
     parameter core16_pf1_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
     parameter core16_pf1_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
     parameter core16_pf1_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
     parameter core16_pf1_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
     parameter core16_pf1_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
     parameter core16_pf2_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
     parameter core16_pf2_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
     parameter core16_pf2_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
     parameter core16_pf2_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
     parameter core16_pf2_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
     parameter core16_pf2_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
     parameter core16_pf3_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
     parameter core16_pf3_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
     parameter core16_pf3_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
     parameter core16_pf3_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
     parameter core16_pf3_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
     parameter core16_pf3_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
     parameter core16_pf4_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
     parameter core16_pf4_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
     parameter core16_pf4_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
     parameter core16_pf4_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
     parameter core16_pf4_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
     parameter core16_pf4_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
     parameter core16_pf5_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
     parameter core16_pf5_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
     parameter core16_pf5_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
     parameter core16_pf5_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
     parameter core16_pf5_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
     parameter core16_pf5_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
     parameter core16_pf6_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
     parameter core16_pf6_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
     parameter core16_pf6_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
     parameter core16_pf6_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
     parameter core16_pf6_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
     parameter core16_pf6_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
     parameter core16_pf7_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
     parameter core16_pf7_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
     parameter core16_pf7_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
     parameter core16_pf7_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
     parameter core16_pf7_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
     parameter core16_pf7_sriov_vf_bar5_address_width_int_hwtcl                  = 16,

     // HIP_TOP params - core8
     parameter core8_pf0_bar0_address_width_hwtcl                                    = 16,
     parameter core8_pf0_bar1_address_width_hwtcl                                    = 16,
     parameter core8_pf0_bar2_address_width_hwtcl                                    = 16,
     parameter core8_pf0_bar3_address_width_hwtcl                                    = 16,
     parameter core8_pf0_bar4_address_width_hwtcl                                    = 16,
     parameter core8_pf0_bar5_address_width_hwtcl                                    = 16,
     parameter core8_pf1_bar0_address_width_hwtcl                                    = 16,
     parameter core8_pf1_bar1_address_width_hwtcl                                    = 16,
     parameter core8_pf1_bar2_address_width_hwtcl                                    = 16,
     parameter core8_pf1_bar3_address_width_hwtcl                                    = 16,
     parameter core8_pf1_bar4_address_width_hwtcl                                    = 16,
     parameter core8_pf1_bar5_address_width_hwtcl                                    = 16,
     parameter core8_pf2_bar0_address_width_hwtcl                                    = 16,
     parameter core8_pf2_bar1_address_width_hwtcl                                    = 16,
     parameter core8_pf2_bar2_address_width_hwtcl                                    = 16,
     parameter core8_pf2_bar3_address_width_hwtcl                                    = 16,
     parameter core8_pf2_bar4_address_width_hwtcl                                    = 16,
     parameter core8_pf2_bar5_address_width_hwtcl                                    = 16,
     parameter core8_pf3_bar0_address_width_hwtcl                                    = 16,
     parameter core8_pf3_bar1_address_width_hwtcl                                    = 16,
     parameter core8_pf3_bar2_address_width_hwtcl                                    = 16,
     parameter core8_pf3_bar3_address_width_hwtcl                                    = 16,
     parameter core8_pf3_bar4_address_width_hwtcl                                    = 16,
     parameter core8_pf3_bar5_address_width_hwtcl                                    = 16,
     parameter core8_pf4_bar0_address_width_hwtcl                                    = 16,
     parameter core8_pf4_bar1_address_width_hwtcl                                    = 16,
     parameter core8_pf4_bar2_address_width_hwtcl                                    = 16,
     parameter core8_pf4_bar3_address_width_hwtcl                                    = 16,
     parameter core8_pf4_bar4_address_width_hwtcl                                    = 16,
     parameter core8_pf4_bar5_address_width_hwtcl                                    = 16,
     parameter core8_pf5_bar0_address_width_hwtcl                                    = 16,
     parameter core8_pf5_bar1_address_width_hwtcl                                    = 16,
     parameter core8_pf5_bar2_address_width_hwtcl                                    = 16,
     parameter core8_pf5_bar3_address_width_hwtcl                                    = 16,
     parameter core8_pf5_bar4_address_width_hwtcl                                    = 16,
     parameter core8_pf5_bar5_address_width_hwtcl                                    = 16,
     parameter core8_pf6_bar0_address_width_hwtcl                                    = 16,
     parameter core8_pf6_bar1_address_width_hwtcl                                    = 16,
     parameter core8_pf6_bar2_address_width_hwtcl                                    = 16,
     parameter core8_pf6_bar3_address_width_hwtcl                                    = 16,
     parameter core8_pf6_bar4_address_width_hwtcl                                    = 16,
     parameter core8_pf6_bar5_address_width_hwtcl                                    = 16,
     parameter core8_pf7_bar0_address_width_hwtcl                                    = 16,
     parameter core8_pf7_bar1_address_width_hwtcl                                    = 16,
     parameter core8_pf7_bar2_address_width_hwtcl                                    = 16,
     parameter core8_pf7_bar3_address_width_hwtcl                                    = 16,
     parameter core8_pf7_bar4_address_width_hwtcl                                    = 16,
     parameter core8_pf7_bar5_address_width_hwtcl                                    = 16,

     parameter core8_pf0_expansion_base_address_register_integer_hwtcl               = 0,
     parameter core8_pf1_expansion_base_address_register_integer_hwtcl               = 0,
     parameter core8_pf2_expansion_base_address_register_integer_hwtcl               = 0,
     parameter core8_pf3_expansion_base_address_register_integer_hwtcl               = 0,
     parameter core8_pf4_expansion_base_address_register_integer_hwtcl               = 0,
     parameter core8_pf5_expansion_base_address_register_integer_hwtcl               = 0,
     parameter core8_pf6_expansion_base_address_register_integer_hwtcl               = 0,
     parameter core8_pf7_expansion_base_address_register_integer_hwtcl               = 0,

     parameter core8_pf0_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
     parameter core8_pf0_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
     parameter core8_pf0_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
     parameter core8_pf0_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
     parameter core8_pf0_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
     parameter core8_pf0_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
     parameter core8_pf1_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
     parameter core8_pf1_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
     parameter core8_pf1_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
     parameter core8_pf1_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
     parameter core8_pf1_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
     parameter core8_pf1_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
     parameter core8_pf2_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
     parameter core8_pf2_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
     parameter core8_pf2_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
     parameter core8_pf2_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
     parameter core8_pf2_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
     parameter core8_pf2_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
     parameter core8_pf3_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
     parameter core8_pf3_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
     parameter core8_pf3_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
     parameter core8_pf3_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
     parameter core8_pf3_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
     parameter core8_pf3_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
     parameter core8_pf4_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
     parameter core8_pf4_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
     parameter core8_pf4_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
     parameter core8_pf4_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
     parameter core8_pf4_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
     parameter core8_pf4_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
     parameter core8_pf5_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
     parameter core8_pf5_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
     parameter core8_pf5_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
     parameter core8_pf5_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
     parameter core8_pf5_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
     parameter core8_pf5_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
     parameter core8_pf6_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
     parameter core8_pf6_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
     parameter core8_pf6_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
     parameter core8_pf6_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
     parameter core8_pf6_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
     parameter core8_pf6_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
     parameter core8_pf7_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
     parameter core8_pf7_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
     parameter core8_pf7_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
     parameter core8_pf7_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
     parameter core8_pf7_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
     parameter core8_pf7_sriov_vf_bar5_address_width_int_hwtcl                   = 16,

     //Preset
     parameter core16_pf0_dsp_16g_tx_preset_hwtcl                                    = 0,
     parameter core16_pf0_dsp_tx_preset_hwtcl                                        = 0,
     parameter core16_pf0_usp_16g_tx_preset_hwtcl                                    = 0,
     parameter core16_pf0_usp_tx_preset_hwtcl                                        = 0,
     parameter core16_pf0_dsp_rx_preset_hint_hwtcl                                   = 0,
     parameter core16_pf0_usp_rx_preset_hint_hwtcl                                   = 0,
  
     parameter core8_pf0_dsp_16g_tx_preset_hwtcl                                     = 0,
     parameter core8_pf0_dsp_tx_preset_hwtcl                                         = 0,
     parameter core8_pf0_usp_16g_tx_preset_hwtcl                                     = 0,
     parameter core8_pf0_usp_tx_preset_hwtcl                                         = 0,
     parameter core8_pf0_dsp_rx_preset_hint_hwtcl                                    = 0,
     parameter core8_pf0_usp_rx_preset_hint_hwtcl                                    = 0,
  
     parameter core4_0_pf0_dsp_16g_tx_preset_hwtcl                                   = 0,
     parameter core4_0_pf0_dsp_tx_preset_hwtcl                                       = 0,
     parameter core4_0_pf0_usp_16g_tx_preset_hwtcl                                   = 0,
     parameter core4_0_pf0_usp_tx_preset_hwtcl                                       = 0,
     parameter core4_0_pf0_dsp_rx_preset_hint_hwtcl                                  = 0,
     parameter core4_0_pf0_usp_rx_preset_hint_hwtcl                                  = 0,
  
     parameter core4_1_pf0_dsp_16g_tx_preset_hwtcl                                   = 0,
     parameter core4_1_pf0_dsp_tx_preset_hwtcl                                       = 0,
     parameter core4_1_pf0_usp_16g_tx_preset_hwtcl                                   = 0,
     parameter core4_1_pf0_usp_tx_preset_hwtcl                                       = 0,
     parameter core4_1_pf0_dsp_rx_preset_hint_hwtcl                                  = 0,
     parameter core4_1_pf0_usp_rx_preset_hint_hwtcl                                  = 0,

     parameter ftile_debug_toolkit_hwtcl                                             = 0, 
     parameter ftile_enable_pciess_register_access_hwtcl                             = 0, 
     parameter ftile_link_insp_en_hwtcl                                              = 0, 
     parameter ftile_link_insp_avmm_en_hwtcl                                         = 0,

     // user_mode_to_pld & pld_in_use ports enable
     parameter  core16_user_mode_to_pld_in_use_hwtcl                                 = 0,
     parameter  core8_user_mode_to_pld_in_use_hwtcl                                  = 0,
     parameter  core4_0_user_mode_to_pld_in_use_hwtcl                                = 0,
     parameter  core4_1_user_mode_to_pld_in_use_hwtcl                                = 0, 

     //sn cap
     parameter ctop_core16_sn_ser_num_reg_1_dw_hwtcl                                 = "0",
     parameter ctop_core16_sn_ser_num_reg_2_dw_hwtcl                                 = "0",
     parameter ctop_core4_0_sn_ser_num_reg_1_dw_hwtcl                                = "0",
     parameter ctop_core4_0_sn_ser_num_reg_2_dw_hwtcl                                = "0",
     parameter ctop_core4_1_sn_ser_num_reg_1_dw_hwtcl                                = "0",
     parameter ctop_core4_1_sn_ser_num_reg_2_dw_hwtcl                                = "0",
     parameter ctop_core8_sn_ser_num_reg_1_dw_hwtcl                                  = "0",
     parameter ctop_core8_sn_ser_num_reg_2_dw_hwtcl                                  = "0",


     // HIP_BB params
     parameter ctop_core16_virtual_pf0_sriov_num_vf_non_ari                          = 0,
     parameter ctop_core16_virtual_pf1_sriov_num_vf_non_ari                          = 0,
     parameter ctop_core16_virtual_pf2_sriov_num_vf_non_ari                          = 0,
     parameter ctop_core16_virtual_pf3_sriov_num_vf_non_ari                          = 0,
     parameter ctop_core16_virtual_pf4_sriov_num_vf_non_ari                          = 0,
     parameter ctop_core16_virtual_pf5_sriov_num_vf_non_ari                          = 0,
     parameter ctop_core16_virtual_pf6_sriov_num_vf_non_ari                          = 0,
     parameter ctop_core16_virtual_pf7_sriov_num_vf_non_ari                          = 0,
     parameter ctop_core8_virtual_pf0_sriov_num_vf_non_ari                           = 0,
     parameter ctop_core8_virtual_pf1_sriov_num_vf_non_ari                           = 0,
     parameter ctop_core8_virtual_pf2_sriov_num_vf_non_ari                           = 0,
     parameter ctop_core8_virtual_pf3_sriov_num_vf_non_ari                           = 0,
     parameter ctop_core8_virtual_pf4_sriov_num_vf_non_ari                           = 0,
     parameter ctop_core8_virtual_pf5_sriov_num_vf_non_ari                           = 0,
     parameter ctop_core8_virtual_pf6_sriov_num_vf_non_ari                           = 0,
     parameter ctop_core8_virtual_pf7_sriov_num_vf_non_ari                           = 0,

     parameter pcie_cvp_attr                                                         = "PCIE_CVP_ATTR_DISABLE",
     parameter ctop_core16_cvp_user_id                                               = 0,
     parameter ctop_core16_exvf_msix_tablesize_pf0                                   = 0,
     parameter ctop_core16_exvf_msix_tablesize_pf1                                   = 0,
     parameter ctop_core16_exvf_msix_tablesize_pf2                                   = 0,
     parameter ctop_core16_exvf_msix_tablesize_pf3                                   = 0,
     parameter ctop_core16_exvf_msix_tablesize_pf4                                   = 0,
     parameter ctop_core16_exvf_msix_tablesize_pf5                                   = 0,
     parameter ctop_core16_exvf_msix_tablesize_pf6                                   = 0,
     parameter ctop_core16_exvf_msix_tablesize_pf7                                   = 0,
     parameter ctop_core16_exvf_msixpba_bir_pf0                                      = 0,
     parameter ctop_core16_exvf_msixpba_bir_pf1                                      = 0,
     parameter ctop_core16_exvf_msixpba_bir_pf2                                      = 0,
     parameter ctop_core16_exvf_msixpba_bir_pf3                                      = 0,
     parameter ctop_core16_exvf_msixpba_bir_pf4                                      = 0,
     parameter ctop_core16_exvf_msixpba_bir_pf5                                      = 0,
     parameter ctop_core16_exvf_msixpba_bir_pf6                                      = 0,
     parameter ctop_core16_exvf_msixpba_bir_pf7                                      = 0,
     parameter ctop_core16_exvf_msixpba_offset_pf0                                   = 0,
     parameter ctop_core16_exvf_msixpba_offset_pf1                                   = 0,
     parameter ctop_core16_exvf_msixpba_offset_pf2                                   = 0,
     parameter ctop_core16_exvf_msixpba_offset_pf3                                   = 0,
     parameter ctop_core16_exvf_msixpba_offset_pf4                                   = 0,
     parameter ctop_core16_exvf_msixpba_offset_pf5                                   = 0,
     parameter ctop_core16_exvf_msixpba_offset_pf6                                   = 0,
     parameter ctop_core16_exvf_msixpba_offset_pf7                                   = 0,
     parameter ctop_core16_exvf_msixtable_bir_pf0                                    = 0,
     parameter ctop_core16_exvf_msixtable_bir_pf1                                    = 0,
     parameter ctop_core16_exvf_msixtable_bir_pf2                                    = 0,
     parameter ctop_core16_exvf_msixtable_bir_pf3                                    = 0,
     parameter ctop_core16_exvf_msixtable_bir_pf4                                    = 0,
     parameter ctop_core16_exvf_msixtable_bir_pf5                                    = 0,
     parameter ctop_core16_exvf_msixtable_bir_pf6                                    = 0,
     parameter ctop_core16_exvf_msixtable_bir_pf7                                    = 0,
     parameter ctop_core16_exvf_msixtable_offset_pf0                                 = 0,
     parameter ctop_core16_exvf_msixtable_offset_pf1                                 = 0,
     parameter ctop_core16_exvf_msixtable_offset_pf2                                 = 0,
     parameter ctop_core16_exvf_msixtable_offset_pf3                                 = 0,
     parameter ctop_core16_exvf_msixtable_offset_pf4                                 = 0,
     parameter ctop_core16_exvf_msixtable_offset_pf5                                 = 0,
     parameter ctop_core16_exvf_msixtable_offset_pf6                                 = 0,
     parameter ctop_core16_exvf_msixtable_offset_pf7                                 = 0,
     parameter ctop_core16_exvf_subsysid_pf0                                         = 0,
     parameter ctop_core16_exvf_subsysid_pf1                                         = 0,
     parameter ctop_core16_exvf_subsysid_pf2                                         = 0,
     parameter ctop_core16_exvf_subsysid_pf3                                         = 0,
     parameter ctop_core16_exvf_subsysid_pf4                                         = 0,
     parameter ctop_core16_exvf_subsysid_pf5                                         = 0,
     parameter ctop_core16_exvf_subsysid_pf6                                         = 0,
     parameter ctop_core16_exvf_subsysid_pf7                                         = 0,
     parameter ctop_core16_pf0_acs_cap_acs_at_block                                  = "DISABLE",
     parameter ctop_core16_pf0_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
     parameter ctop_core16_pf0_acs_cap_acs_egress_ctrl_size                          = 8,
     parameter ctop_core16_pf0_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
     parameter ctop_core16_pf0_acs_cap_acs_p2p_egress_control                        = "DISABLE",
     parameter ctop_core16_pf0_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
     parameter ctop_core16_pf0_acs_cap_acs_src_valid                                 = "DISABLE",
     parameter ctop_core16_pf0_acs_cap_acs_usp_forwarding                            = "DISABLE",
     parameter ctop_core16_pf0_auto_lane_flip_ctrl_en                                = "ENABLE",
     parameter ctop_core16_pf0_bar0_prefetch                                         = "TRUE",
     parameter ctop_core16_pf0_bar0_type                                             = "CTOP_CORE16_PF0_BAR0_MEM64",
     parameter ctop_core16_pf0_bar1_prefetch                                         = "FALSE",
     parameter ctop_core16_pf0_bar2_prefetch                                         = "FALSE",
     parameter ctop_core16_pf0_bar2_type                                             = "CTOP_CORE16_PF0_BAR2_MEM32",
     parameter ctop_core16_pf0_bar3_prefetch                                         = "FALSE",
     parameter ctop_core16_pf0_bar4_prefetch                                         = "FALSE",
     parameter ctop_core16_pf0_bar4_type                                             = "CTOP_CORE16_PF0_BAR4_MEM32",
     parameter ctop_core16_pf0_bar5_prefetch                                         = "FALSE",
     parameter ctop_core16_pf0_base_class_code                                       = 255,
     parameter ctop_core16_pf0_eq_redo                                               = "DISABLE",
     parameter ctop_core16_pf0_eq_redo_atg4                                          = "DISABLE",
     parameter ctop_core16_pf0_gen3_eq_pset_req_vec                                  = 4,
     parameter ctop_core16_pf0_gen3_eq_pset_req_vec_atg4                             = 624,
     parameter ctop_core16_pf0_int_pin                                               = "CTOP_CORE16_PF0_NO_INT",
     parameter ctop_core16_pf0_loopback_enable                                       = "FALSE",
     parameter ctop_core16_pf0_pasid_cap_execute_permission_supported                = "DISABLE",
     parameter ctop_core16_pf0_pasid_cap_max_pasid_width                             = 0,
     parameter ctop_core16_pf0_pasid_cap_privileged_mode_supported                   = "DISABLE",
     parameter ctop_core16_pf0_pci_msi_64_bit_addr_cap                               = "FALSE",
     parameter ctop_core16_pf0_pci_msi_ext_data_cap                                  = "FALSE",
     parameter ctop_core16_pf0_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF0_MSI_VEC_1",
     parameter ctop_core16_pf0_pci_msix_bir                                          = 0,
     parameter ctop_core16_pf0_pci_msix_pba                                          = 0,
     parameter ctop_core16_pf0_pci_msix_pba_offset                                   = 0,
     parameter ctop_core16_pf0_pci_msix_table_offset                                 = 0,
     parameter ctop_core16_pf0_pci_msix_table_size                                   = 0,
     parameter ctop_core16_pf0_pci_msix_table_size_vfcomm_cs2                        = 0,
     parameter ctop_core16_pf0_pci_type0_bar0_enabled                                = "ENABLE",
     parameter ctop_core16_pf0_pci_type0_bar1_enabled                                = "DISABLE",
     parameter ctop_core16_pf0_pci_type0_bar2_enabled                                = "DISABLE",
     parameter ctop_core16_pf0_pci_type0_bar3_enabled                                = "DISABLE",
     parameter ctop_core16_pf0_pci_type0_bar4_enabled                                = "DISABLE",
     parameter ctop_core16_pf0_pci_type0_bar5_enabled                                = "DISABLE",
     parameter ctop_core16_pf0_pci_type0_device_id                                   = 0,
     parameter ctop_core16_pf0_pci_type0_vendor_id                                   = 4466,
     parameter ctop_core16_pf0_pcie_cap_attention_indicator                          = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_attention_indicator_button                   = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_electromech_interlock                        = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_ep_l0s_accpt_latency                         = 0,
     parameter ctop_core16_pf0_pcie_cap_ep_l1_accpt_latency                          = 0,
     parameter ctop_core16_pf0_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF0_SUPPORTED",
     parameter ctop_core16_pf0_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF0_NOT_CAPABLE",
     parameter ctop_core16_pf0_pcie_cap_hot_plug_capable                             = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_hot_plug_surprise                            = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_mrl_sensor                                   = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_no_cmd_cpl_support                           = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_phy_slot_num                                 = 0,
     parameter ctop_core16_pf0_pcie_cap_port_num                                     = 1,
     parameter ctop_core16_pf0_pcie_cap_power_controller                             = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_power_indicator                              = "FALSE",
     parameter ctop_core16_pf0_pcie_cap_sel_deemphasis                               = "CTOP_CORE16_PF0_MINUS_6DB",
     parameter ctop_core16_pf0_pcie_cap_slot_clk_config                              = "TRUE",
     parameter ctop_core16_pf0_pcie_cap_slot_power_limit_scale                       = 0,
     parameter ctop_core16_pf0_pcie_cap_slot_power_limit_value                       = 0,
     parameter ctop_core16_pf0_pcie_slot_imp                                         = "CTOP_CORE16_PF0_NOT_IMPLEMENTED",
     parameter ctop_core16_pf0_pme_support                                           = 15,
     parameter ctop_core16_pf0_program_interface                                     = 0,
     parameter ctop_core16_pf0_revision_id                                           = 1,
     parameter ctop_core16_pf0_rom_bar_enabled                                       = "DISABLE",
     parameter ctop_core16_pf0_rp_rom_bar_enabled                                    = "DISABLE",
     parameter ctop_core16_pf0_shadow_sriov_vf_stride_ari_cs2                        = 0,
     parameter ctop_core16_pf0_sriov_sup_page_size                                   = "0",
     parameter ctop_core16_pf0_sriov_vf_bar0_prefetch                                = "FALSE",
     parameter ctop_core16_pf0_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF0_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core16_pf0_sriov_vf_bar1_prefetch                                = "FALSE",
     parameter ctop_core16_pf0_sriov_vf_bar2_prefetch                                = "FALSE",
     parameter ctop_core16_pf0_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF0_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core16_pf0_sriov_vf_bar3_prefetch                                = "FALSE",
     parameter ctop_core16_pf0_sriov_vf_bar4_prefetch                                = "FALSE",
     parameter ctop_core16_pf0_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF0_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core16_pf0_sriov_vf_bar5_prefetch                                = "FALSE",
     parameter ctop_core16_pf0_sriov_vf_device_id                                    = 0,
     parameter ctop_core16_pf0_sriov_vf_offset_ari_cs2                               = 0,
     parameter ctop_core16_pf0_sriov_vf_offset_nonari                                = 0,
     parameter ctop_core16_pf0_sriov_vf_stride_nonari                                = 0,
     parameter ctop_core16_pf0_subclass_code                                         = 0,
     parameter ctop_core16_pf0_subsys_dev_id                                         = 0,
     parameter ctop_core16_pf0_subsys_vendor_id                                      = 0,
     parameter ctop_core16_pf0_tph_req_cap_int_vec                                   = "DISABLE",
     parameter ctop_core16_pf0_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF0_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core16_pf0_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF0_NOT_IN_MSIX_TABLE",
     parameter ctop_core16_pf0_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF0_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core16_pf0_tph_req_cap_st_table_size                             = 0,
     parameter ctop_core16_pf0_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
     parameter ctop_core16_pf0_tph_req_device_spec                                   = "DISABLE",
     parameter ctop_core16_pf0_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf1_acs_cap_acs_at_block                                  = "DISABLE",
     parameter ctop_core16_pf1_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
     parameter ctop_core16_pf1_acs_cap_acs_egress_ctrl_size                          = 8,
     parameter ctop_core16_pf1_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
     parameter ctop_core16_pf1_acs_cap_acs_p2p_egress_control                        = "DISABLE",
     parameter ctop_core16_pf1_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
     parameter ctop_core16_pf1_acs_cap_acs_src_valid                                 = "DISABLE",
     parameter ctop_core16_pf1_acs_cap_acs_usp_forwarding                            = "DISABLE",
     parameter ctop_core16_pf1_bar0_prefetch                                         = "FALSE",
     parameter ctop_core16_pf1_bar0_type                                             = "CTOP_CORE16_PF1_BAR0_MEM32",
     parameter ctop_core16_pf1_bar1_prefetch                                         = "FALSE",
     parameter ctop_core16_pf1_bar2_prefetch                                         = "FALSE",
     parameter ctop_core16_pf1_bar2_type                                             = "CTOP_CORE16_PF1_BAR2_MEM32",
     parameter ctop_core16_pf1_bar3_prefetch                                         = "FALSE",
     parameter ctop_core16_pf1_bar4_prefetch                                         = "FALSE",
     parameter ctop_core16_pf1_bar4_type                                             = "CTOP_CORE16_PF1_BAR4_MEM32",
     parameter ctop_core16_pf1_bar5_prefetch                                         = "FALSE",
     parameter ctop_core16_pf1_base_class_code                                       = 255,
     parameter ctop_core16_pf1_int_pin                                               = "CTOP_CORE16_PF1_NO_INT",
     parameter ctop_core16_pf1_pasid_cap_execute_permission_supported                = "DISABLE",
     parameter ctop_core16_pf1_pasid_cap_max_pasid_width                             = 0,
     parameter ctop_core16_pf1_pasid_cap_privileged_mode_supported                   = "DISABLE",
     parameter ctop_core16_pf1_pci_msi_64_bit_addr_cap                               = "FALSE",
     parameter ctop_core16_pf1_pci_msi_ext_data_cap                                  = "FALSE",
     parameter ctop_core16_pf1_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF1_MSI_VEC_1",
     parameter ctop_core16_pf1_pci_msix_bir                                          = 0,
     parameter ctop_core16_pf1_pci_msix_pba                                          = 0,
     parameter ctop_core16_pf1_pci_msix_pba_offset                                   = 0,
     parameter ctop_core16_pf1_pci_msix_table_offset                                 = 0,
     parameter ctop_core16_pf1_pci_msix_table_size                                   = 0,
     parameter ctop_core16_pf1_pci_msix_table_size_vfcomm_cs2                        = 0,
     parameter ctop_core16_pf1_pci_type0_bar0_enabled                                = "DISABLE",
     parameter ctop_core16_pf1_pci_type0_bar1_enabled                                = "DISABLE",
     parameter ctop_core16_pf1_pci_type0_bar2_enabled                                = "DISABLE",
     parameter ctop_core16_pf1_pci_type0_bar3_enabled                                = "DISABLE",
     parameter ctop_core16_pf1_pci_type0_bar4_enabled                                = "DISABLE",
     parameter ctop_core16_pf1_pci_type0_bar5_enabled                                = "DISABLE",
     parameter ctop_core16_pf1_pci_type0_device_id                                   = 0,
     parameter ctop_core16_pf1_pci_type0_vendor_id                                   = 0,
     parameter ctop_core16_pf1_pcie_cap_ep_l0s_accpt_latency                         = 0,
     parameter ctop_core16_pf1_pcie_cap_ep_l1_accpt_latency                          = 0,
     parameter ctop_core16_pf1_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF1_NOT_SUPPORTED",
     parameter ctop_core16_pf1_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF1_NOT_CAPABLE",
     parameter ctop_core16_pf1_pcie_cap_slot_clk_config                              = "FALSE",
     parameter ctop_core16_pf1_pme_support                                           = 0,
     parameter ctop_core16_pf1_program_interface                                     = 0,
     parameter ctop_core16_pf1_revision_id                                           = 0,
     parameter ctop_core16_pf1_rom_bar_enabled                                       = "DISABLE",
     parameter ctop_core16_pf1_shadow_sriov_vf_stride_ari_cs2                        = 0,
     parameter ctop_core16_pf1_sriov_sup_page_size                                   = "0",
     parameter ctop_core16_pf1_sriov_vf_bar0_prefetch                                = "FALSE",
     parameter ctop_core16_pf1_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF1_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core16_pf1_sriov_vf_bar1_prefetch                                = "FALSE",
     parameter ctop_core16_pf1_sriov_vf_bar2_prefetch                                = "FALSE",
     parameter ctop_core16_pf1_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF1_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core16_pf1_sriov_vf_bar3_prefetch                                = "FALSE",
     parameter ctop_core16_pf1_sriov_vf_bar4_prefetch                                = "FALSE",
     parameter ctop_core16_pf1_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF1_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core16_pf1_sriov_vf_bar5_prefetch                                = "FALSE",
     parameter ctop_core16_pf1_sriov_vf_device_id                                    = 0,
     parameter ctop_core16_pf1_sriov_vf_offset_ari_cs2                               = 0,
     parameter ctop_core16_pf1_sriov_vf_offset_position_nonari                       = 0,
     parameter ctop_core16_pf1_sriov_vf_stride_nonari                                = 0,
     parameter ctop_core16_pf1_subclass_code                                         = 0,
     parameter ctop_core16_pf1_subsys_dev_id                                         = 0,
     parameter ctop_core16_pf1_subsys_vendor_id                                      = 0,
     parameter ctop_core16_pf1_tph_req_cap_int_vec                                   = "DISABLE",
     parameter ctop_core16_pf1_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf1_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF1_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core16_pf1_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF1_NOT_IN_MSIX_TABLE",
     parameter ctop_core16_pf1_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF1_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core16_pf1_tph_req_cap_st_table_size                             = 0,
     parameter ctop_core16_pf1_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
     parameter ctop_core16_pf1_tph_req_device_spec                                   = "DISABLE",
     parameter ctop_core16_pf1_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf2_acs_cap_acs_at_block                                  = "DISABLE",
     parameter ctop_core16_pf2_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
     parameter ctop_core16_pf2_acs_cap_acs_egress_ctrl_size                          = 8,
     parameter ctop_core16_pf2_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
     parameter ctop_core16_pf2_acs_cap_acs_p2p_egress_control                        = "DISABLE",
     parameter ctop_core16_pf2_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
     parameter ctop_core16_pf2_acs_cap_acs_src_valid                                 = "DISABLE",
     parameter ctop_core16_pf2_acs_cap_acs_usp_forwarding                            = "DISABLE",
     parameter ctop_core16_pf2_bar0_prefetch                                         = "FALSE",
     parameter ctop_core16_pf2_bar0_type                                             = "CTOP_CORE16_PF2_BAR0_MEM32",
     parameter ctop_core16_pf2_bar1_prefetch                                         = "FALSE",
     parameter ctop_core16_pf2_bar2_prefetch                                         = "FALSE",
     parameter ctop_core16_pf2_bar2_type                                             = "CTOP_CORE16_PF2_BAR2_MEM32",
     parameter ctop_core16_pf2_bar3_prefetch                                         = "FALSE",
     parameter ctop_core16_pf2_bar4_prefetch                                         = "FALSE",
     parameter ctop_core16_pf2_bar4_type                                             = "CTOP_CORE16_PF2_BAR4_MEM32",
     parameter ctop_core16_pf2_bar5_prefetch                                         = "FALSE",
     parameter ctop_core16_pf2_base_class_code                                       = 255,
     parameter ctop_core16_pf2_int_pin                                               = "CTOP_CORE16_PF2_NO_INT",
     parameter ctop_core16_pf2_pasid_cap_execute_permission_supported                = "DISABLE",
     parameter ctop_core16_pf2_pasid_cap_max_pasid_width                             = 0,
     parameter ctop_core16_pf2_pasid_cap_privileged_mode_supported                   = "DISABLE",
     parameter ctop_core16_pf2_pci_msi_64_bit_addr_cap                               = "FALSE",
     parameter ctop_core16_pf2_pci_msi_ext_data_cap                                  = "FALSE",
     parameter ctop_core16_pf2_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF2_MSI_VEC_1",
     parameter ctop_core16_pf2_pci_msix_bir                                          = 0,
     parameter ctop_core16_pf2_pci_msix_pba                                          = 0,
     parameter ctop_core16_pf2_pci_msix_pba_offset                                   = 0,
     parameter ctop_core16_pf2_pci_msix_table_offset                                 = 0,
     parameter ctop_core16_pf2_pci_msix_table_size                                   = 0,
     parameter ctop_core16_pf2_pci_msix_table_size_vfcomm_cs2                        = 0,
     parameter ctop_core16_pf2_pci_type0_bar0_enabled                                = "DISABLE",
     parameter ctop_core16_pf2_pci_type0_bar1_enabled                                = "DISABLE",
     parameter ctop_core16_pf2_pci_type0_bar2_enabled                                = "DISABLE",
     parameter ctop_core16_pf2_pci_type0_bar3_enabled                                = "DISABLE",
     parameter ctop_core16_pf2_pci_type0_bar4_enabled                                = "DISABLE",
     parameter ctop_core16_pf2_pci_type0_bar5_enabled                                = "DISABLE",
     parameter ctop_core16_pf2_pci_type0_device_id                                   = 0,
     parameter ctop_core16_pf2_pci_type0_vendor_id                                   = 0,
     parameter ctop_core16_pf2_pcie_cap_ep_l0s_accpt_latency                         = 0,
     parameter ctop_core16_pf2_pcie_cap_ep_l1_accpt_latency                          = 0,
     parameter ctop_core16_pf2_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF2_NOT_SUPPORTED",
     parameter ctop_core16_pf2_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF2_NOT_CAPABLE",
     parameter ctop_core16_pf2_pcie_cap_slot_clk_config                              = "FALSE",
     parameter ctop_core16_pf2_pme_support                                           = 0,
     parameter ctop_core16_pf2_program_interface                                     = 0,
     parameter ctop_core16_pf2_revision_id                                           = 0,
     parameter ctop_core16_pf2_rom_bar_enabled                                       = "DISABLE",
     parameter ctop_core16_pf2_shadow_sriov_vf_stride_ari_cs2                        = 0,
     parameter ctop_core16_pf2_sriov_sup_page_size                                   = "0",
     parameter ctop_core16_pf2_sriov_vf_bar0_prefetch                                = "FALSE",
     parameter ctop_core16_pf2_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF2_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core16_pf2_sriov_vf_bar1_prefetch                                = "FALSE",
     parameter ctop_core16_pf2_sriov_vf_bar2_prefetch                                = "FALSE",
     parameter ctop_core16_pf2_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF2_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core16_pf2_sriov_vf_bar3_prefetch                                = "FALSE",
     parameter ctop_core16_pf2_sriov_vf_bar4_prefetch                                = "FALSE",
     parameter ctop_core16_pf2_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF2_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core16_pf2_sriov_vf_bar5_prefetch                                = "FALSE",
     parameter ctop_core16_pf2_sriov_vf_device_id                                    = 0,
     parameter ctop_core16_pf2_sriov_vf_offset_ari_cs2                               = 0,
     parameter ctop_core16_pf2_sriov_vf_offset_position_nonari                       = 0,
     parameter ctop_core16_pf2_sriov_vf_stride_nonari                                = 0,
     parameter ctop_core16_pf2_subclass_code                                         = 0,
     parameter ctop_core16_pf2_subsys_dev_id                                         = 0,
     parameter ctop_core16_pf2_subsys_vendor_id                                      = 0,
     parameter ctop_core16_pf2_tph_req_cap_int_vec                                   = "DISABLE",
     parameter ctop_core16_pf2_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf2_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF2_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core16_pf2_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF2_NOT_IN_MSIX_TABLE",
     parameter ctop_core16_pf2_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF2_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core16_pf2_tph_req_cap_st_table_size                             = 0,
     parameter ctop_core16_pf2_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
     parameter ctop_core16_pf2_tph_req_device_spec                                   = "DISABLE",
     parameter ctop_core16_pf2_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf3_acs_cap_acs_at_block                                  = "DISABLE",
     parameter ctop_core16_pf3_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
     parameter ctop_core16_pf3_acs_cap_acs_egress_ctrl_size                          = 8,
     parameter ctop_core16_pf3_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
     parameter ctop_core16_pf3_acs_cap_acs_p2p_egress_control                        = "DISABLE",
     parameter ctop_core16_pf3_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
     parameter ctop_core16_pf3_acs_cap_acs_src_valid                                 = "DISABLE",
     parameter ctop_core16_pf3_acs_cap_acs_usp_forwarding                            = "DISABLE",
     parameter ctop_core16_pf3_bar0_prefetch                                         = "FALSE",
     parameter ctop_core16_pf3_bar0_type                                             = "CTOP_CORE16_PF3_BAR0_MEM32",
     parameter ctop_core16_pf3_bar1_prefetch                                         = "FALSE",
     parameter ctop_core16_pf3_bar2_prefetch                                         = "FALSE",
     parameter ctop_core16_pf3_bar2_type                                             = "CTOP_CORE16_PF3_BAR2_MEM32",
     parameter ctop_core16_pf3_bar3_prefetch                                         = "FALSE",
     parameter ctop_core16_pf3_bar4_prefetch                                         = "FALSE",
     parameter ctop_core16_pf3_bar4_type                                             = "CTOP_CORE16_PF3_BAR4_MEM32",
     parameter ctop_core16_pf3_bar5_prefetch                                         = "FALSE",
     parameter ctop_core16_pf3_base_class_code                                       = 255,
     parameter ctop_core16_pf3_int_pin                                               = "CTOP_CORE16_PF3_NO_INT",
     parameter ctop_core16_pf3_pasid_cap_execute_permission_supported                = "DISABLE",
     parameter ctop_core16_pf3_pasid_cap_max_pasid_width                             = 0,
     parameter ctop_core16_pf3_pasid_cap_privileged_mode_supported                   = "DISABLE",
     parameter ctop_core16_pf3_pci_msi_64_bit_addr_cap                               = "FALSE",
     parameter ctop_core16_pf3_pci_msi_ext_data_cap                                  = "FALSE",
     parameter ctop_core16_pf3_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF3_MSI_VEC_1",
     parameter ctop_core16_pf3_pci_msix_bir                                          = 0,
     parameter ctop_core16_pf3_pci_msix_pba                                          = 0,
     parameter ctop_core16_pf3_pci_msix_pba_offset                                   = 0,
     parameter ctop_core16_pf3_pci_msix_table_offset                                 = 0,
     parameter ctop_core16_pf3_pci_msix_table_size                                   = 0,
     parameter ctop_core16_pf3_pci_msix_table_size_vfcomm_cs2                        = 0,
     parameter ctop_core16_pf3_pci_type0_bar0_enabled                                = "DISABLE",
     parameter ctop_core16_pf3_pci_type0_bar1_enabled                                = "DISABLE",
     parameter ctop_core16_pf3_pci_type0_bar2_enabled                                = "DISABLE",
     parameter ctop_core16_pf3_pci_type0_bar3_enabled                                = "DISABLE",
     parameter ctop_core16_pf3_pci_type0_bar4_enabled                                = "DISABLE",
     parameter ctop_core16_pf3_pci_type0_bar5_enabled                                = "DISABLE",
     parameter ctop_core16_pf3_pci_type0_device_id                                   = 0,
     parameter ctop_core16_pf3_pci_type0_vendor_id                                   = 0,
     parameter ctop_core16_pf3_pcie_cap_ep_l0s_accpt_latency                         = 0,
     parameter ctop_core16_pf3_pcie_cap_ep_l1_accpt_latency                          = 0,
     parameter ctop_core16_pf3_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF3_NOT_SUPPORTED",
     parameter ctop_core16_pf3_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF3_NOT_CAPABLE",
     parameter ctop_core16_pf3_pcie_cap_slot_clk_config                              = "FALSE",
     parameter ctop_core16_pf3_pme_support                                           = 0,
     parameter ctop_core16_pf3_program_interface                                     = 0,
     parameter ctop_core16_pf3_revision_id                                           = 0,
     parameter ctop_core16_pf3_rom_bar_enabled                                       = "DISABLE",
     parameter ctop_core16_pf3_shadow_sriov_vf_stride_ari_cs2                        = 0,
     parameter ctop_core16_pf3_sriov_sup_page_size                                   = "0",
     parameter ctop_core16_pf3_sriov_vf_bar0_prefetch                                = "FALSE",
     parameter ctop_core16_pf3_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF3_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core16_pf3_sriov_vf_bar1_prefetch                                = "FALSE",
     parameter ctop_core16_pf3_sriov_vf_bar2_prefetch                                = "FALSE",
     parameter ctop_core16_pf3_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF3_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core16_pf3_sriov_vf_bar3_prefetch                                = "FALSE",
     parameter ctop_core16_pf3_sriov_vf_bar4_prefetch                                = "FALSE",
     parameter ctop_core16_pf3_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF3_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core16_pf3_sriov_vf_bar5_prefetch                                = "FALSE",
     parameter ctop_core16_pf3_sriov_vf_device_id                                    = 0,
     parameter ctop_core16_pf3_sriov_vf_offset_ari_cs2                               = 0,
     parameter ctop_core16_pf3_sriov_vf_offset_position_nonari                       = 0,
     parameter ctop_core16_pf3_sriov_vf_stride_nonari                                = 0,
     parameter ctop_core16_pf3_subclass_code                                         = 0,
     parameter ctop_core16_pf3_subsys_dev_id                                         = 0,
     parameter ctop_core16_pf3_subsys_vendor_id                                      = 0,
     parameter ctop_core16_pf3_tph_req_cap_int_vec                                   = "DISABLE",
     parameter ctop_core16_pf3_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf3_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF3_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core16_pf3_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF3_NOT_IN_MSIX_TABLE",
     parameter ctop_core16_pf3_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF3_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core16_pf3_tph_req_cap_st_table_size                             = 0,
     parameter ctop_core16_pf3_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
     parameter ctop_core16_pf3_tph_req_device_spec                                   = "DISABLE",
     parameter ctop_core16_pf3_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf4_acs_cap_acs_at_block                                  = "DISABLE",
     parameter ctop_core16_pf4_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
     parameter ctop_core16_pf4_acs_cap_acs_egress_ctrl_size                          = 8,
     parameter ctop_core16_pf4_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
     parameter ctop_core16_pf4_acs_cap_acs_p2p_egress_control                        = "DISABLE",
     parameter ctop_core16_pf4_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
     parameter ctop_core16_pf4_acs_cap_acs_src_valid                                 = "DISABLE",
     parameter ctop_core16_pf4_acs_cap_acs_usp_forwarding                            = "DISABLE",
     parameter ctop_core16_pf4_bar0_prefetch                                         = "FALSE",
     parameter ctop_core16_pf4_bar0_type                                             = "CTOP_CORE16_PF4_BAR0_MEM32",
     parameter ctop_core16_pf4_bar1_prefetch                                         = "FALSE",
     parameter ctop_core16_pf4_bar2_prefetch                                         = "FALSE",
     parameter ctop_core16_pf4_bar2_type                                             = "CTOP_CORE16_PF4_BAR2_MEM32",
     parameter ctop_core16_pf4_bar3_prefetch                                         = "FALSE",
     parameter ctop_core16_pf4_bar4_prefetch                                         = "FALSE",
     parameter ctop_core16_pf4_bar4_type                                             = "CTOP_CORE16_PF4_BAR4_MEM32",
     parameter ctop_core16_pf4_bar5_prefetch                                         = "FALSE",
     parameter ctop_core16_pf4_base_class_code                                       = 255,
     parameter ctop_core16_pf4_int_pin                                               = "CTOP_CORE16_PF4_NO_INT",
     parameter ctop_core16_pf4_pasid_cap_execute_permission_supported                = "DISABLE",
     parameter ctop_core16_pf4_pasid_cap_max_pasid_width                             = 0,
     parameter ctop_core16_pf4_pasid_cap_privileged_mode_supported                   = "DISABLE",
     parameter ctop_core16_pf4_pci_msi_64_bit_addr_cap                               = "FALSE",
     parameter ctop_core16_pf4_pci_msi_ext_data_cap                                  = "FALSE",
     parameter ctop_core16_pf4_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF4_MSI_VEC_1",
     parameter ctop_core16_pf4_pci_msix_bir                                          = 0,
     parameter ctop_core16_pf4_pci_msix_pba                                          = 0,
     parameter ctop_core16_pf4_pci_msix_pba_offset                                   = 0,
     parameter ctop_core16_pf4_pci_msix_table_offset                                 = 0,
     parameter ctop_core16_pf4_pci_msix_table_size                                   = 0,
     parameter ctop_core16_pf4_pci_msix_table_size_vfcomm_cs2                        = 0,
     parameter ctop_core16_pf4_pci_type0_bar0_enabled                                = "DISABLE",
     parameter ctop_core16_pf4_pci_type0_bar1_enabled                                = "DISABLE",
     parameter ctop_core16_pf4_pci_type0_bar2_enabled                                = "DISABLE",
     parameter ctop_core16_pf4_pci_type0_bar3_enabled                                = "DISABLE",
     parameter ctop_core16_pf4_pci_type0_bar4_enabled                                = "DISABLE",
     parameter ctop_core16_pf4_pci_type0_bar5_enabled                                = "DISABLE",
     parameter ctop_core16_pf4_pci_type0_device_id                                   = 0,
     parameter ctop_core16_pf4_pci_type0_vendor_id                                   = 0,
     parameter ctop_core16_pf4_pcie_cap_ep_l0s_accpt_latency                         = 0,
     parameter ctop_core16_pf4_pcie_cap_ep_l1_accpt_latency                          = 0,
     parameter ctop_core16_pf4_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF4_NOT_SUPPORTED",
     parameter ctop_core16_pf4_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF4_NOT_CAPABLE",
     parameter ctop_core16_pf4_pcie_cap_slot_clk_config                              = "FALSE",
     parameter ctop_core16_pf4_pme_support                                           = 0,
     parameter ctop_core16_pf4_program_interface                                     = 0,
     parameter ctop_core16_pf4_revision_id                                           = 0,
     parameter ctop_core16_pf4_rom_bar_enabled                                       = "DISABLE",
     parameter ctop_core16_pf4_shadow_sriov_vf_stride_ari_cs2                        = 0,
     parameter ctop_core16_pf4_sriov_sup_page_size                                   = "0",
     parameter ctop_core16_pf4_sriov_vf_bar0_prefetch                                = "FALSE",
     parameter ctop_core16_pf4_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF4_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core16_pf4_sriov_vf_bar1_prefetch                                = "FALSE",
     parameter ctop_core16_pf4_sriov_vf_bar2_prefetch                                = "FALSE",
     parameter ctop_core16_pf4_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF4_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core16_pf4_sriov_vf_bar3_prefetch                                = "FALSE",
     parameter ctop_core16_pf4_sriov_vf_bar4_prefetch                                = "FALSE",
     parameter ctop_core16_pf4_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF4_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core16_pf4_sriov_vf_bar5_prefetch                                = "FALSE",
     parameter ctop_core16_pf4_sriov_vf_device_id                                    = 0,
     parameter ctop_core16_pf4_sriov_vf_offset_ari_cs2                               = 0,
     parameter ctop_core16_pf4_sriov_vf_offset_position_nonari                       = 0,
     parameter ctop_core16_pf4_sriov_vf_stride_nonari                                = 0,
     parameter ctop_core16_pf4_subclass_code                                         = 0,
     parameter ctop_core16_pf4_subsys_dev_id                                         = 0,
     parameter ctop_core16_pf4_subsys_vendor_id                                      = 0,
     parameter ctop_core16_pf4_tph_req_cap_int_vec                                   = "DISABLE",
     parameter ctop_core16_pf4_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf4_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF4_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core16_pf4_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF4_NOT_IN_MSIX_TABLE",
     parameter ctop_core16_pf4_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF4_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core16_pf4_tph_req_cap_st_table_size                             = 0,
     parameter ctop_core16_pf4_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
     parameter ctop_core16_pf4_tph_req_device_spec                                   = "DISABLE",
     parameter ctop_core16_pf4_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf5_acs_cap_acs_at_block                                  = "DISABLE",
     parameter ctop_core16_pf5_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
     parameter ctop_core16_pf5_acs_cap_acs_egress_ctrl_size                          = 8,
     parameter ctop_core16_pf5_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
     parameter ctop_core16_pf5_acs_cap_acs_p2p_egress_control                        = "DISABLE",
     parameter ctop_core16_pf5_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
     parameter ctop_core16_pf5_acs_cap_acs_src_valid                                 = "DISABLE",
     parameter ctop_core16_pf5_acs_cap_acs_usp_forwarding                            = "DISABLE",
     parameter ctop_core16_pf5_bar0_prefetch                                         = "FALSE",
     parameter ctop_core16_pf5_bar0_type                                             = "CTOP_CORE16_PF5_BAR0_MEM32",
     parameter ctop_core16_pf5_bar1_prefetch                                         = "FALSE",
     parameter ctop_core16_pf5_bar2_prefetch                                         = "FALSE",
     parameter ctop_core16_pf5_bar2_type                                             = "CTOP_CORE16_PF5_BAR2_MEM32",
     parameter ctop_core16_pf5_bar3_prefetch                                         = "FALSE",
     parameter ctop_core16_pf5_bar4_prefetch                                         = "FALSE",
     parameter ctop_core16_pf5_bar4_type                                             = "CTOP_CORE16_PF5_BAR4_MEM32",
     parameter ctop_core16_pf5_bar5_prefetch                                         = "FALSE",
     parameter ctop_core16_pf5_base_class_code                                       = 255,
     parameter ctop_core16_pf5_int_pin                                               = "CTOP_CORE16_PF5_NO_INT",
     parameter ctop_core16_pf5_pasid_cap_execute_permission_supported                = "DISABLE",
     parameter ctop_core16_pf5_pasid_cap_max_pasid_width                             = 0,
     parameter ctop_core16_pf5_pasid_cap_privileged_mode_supported                   = "DISABLE",
     parameter ctop_core16_pf5_pci_msi_64_bit_addr_cap                               = "FALSE",
     parameter ctop_core16_pf5_pci_msi_ext_data_cap                                  = "FALSE",
     parameter ctop_core16_pf5_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF5_MSI_VEC_1",
     parameter ctop_core16_pf5_pci_msix_bir                                          = 0,
     parameter ctop_core16_pf5_pci_msix_pba                                          = 0,
     parameter ctop_core16_pf5_pci_msix_pba_offset                                   = 0,
     parameter ctop_core16_pf5_pci_msix_table_offset                                 = 0,
     parameter ctop_core16_pf5_pci_msix_table_size                                   = 0,
     parameter ctop_core16_pf5_pci_msix_table_size_vfcomm_cs2                        = 0,
     parameter ctop_core16_pf5_pci_type0_bar0_enabled                                = "DISABLE",
     parameter ctop_core16_pf5_pci_type0_bar1_enabled                                = "DISABLE",
     parameter ctop_core16_pf5_pci_type0_bar2_enabled                                = "DISABLE",
     parameter ctop_core16_pf5_pci_type0_bar3_enabled                                = "DISABLE",
     parameter ctop_core16_pf5_pci_type0_bar4_enabled                                = "DISABLE",
     parameter ctop_core16_pf5_pci_type0_bar5_enabled                                = "DISABLE",
     parameter ctop_core16_pf5_pci_type0_device_id                                   = 0,
     parameter ctop_core16_pf5_pci_type0_vendor_id                                   = 0,
     parameter ctop_core16_pf5_pcie_cap_ep_l0s_accpt_latency                         = 0,
     parameter ctop_core16_pf5_pcie_cap_ep_l1_accpt_latency                          = 0,
     parameter ctop_core16_pf5_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF5_NOT_SUPPORTED",
     parameter ctop_core16_pf5_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF5_NOT_CAPABLE",
     parameter ctop_core16_pf5_pcie_cap_slot_clk_config                              = "FALSE",
     parameter ctop_core16_pf5_pme_support                                           = 0,
     parameter ctop_core16_pf5_program_interface                                     = 0,
     parameter ctop_core16_pf5_revision_id                                           = 0,
     parameter ctop_core16_pf5_rom_bar_enabled                                       = "DISABLE",
     parameter ctop_core16_pf5_shadow_sriov_vf_stride_ari_cs2                        = 0,
     parameter ctop_core16_pf5_sriov_sup_page_size                                   = "0",
     parameter ctop_core16_pf5_sriov_vf_bar0_prefetch                                = "FALSE",
     parameter ctop_core16_pf5_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF5_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core16_pf5_sriov_vf_bar1_prefetch                                = "FALSE",
     parameter ctop_core16_pf5_sriov_vf_bar2_prefetch                                = "FALSE",
     parameter ctop_core16_pf5_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF5_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core16_pf5_sriov_vf_bar3_prefetch                                = "FALSE",
     parameter ctop_core16_pf5_sriov_vf_bar4_prefetch                                = "FALSE",
     parameter ctop_core16_pf5_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF5_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core16_pf5_sriov_vf_bar5_prefetch                                = "FALSE",
     parameter ctop_core16_pf5_sriov_vf_device_id                                    = 0,
     parameter ctop_core16_pf5_sriov_vf_offset_ari_cs2                               = 0,
     parameter ctop_core16_pf5_sriov_vf_offset_position_nonari                       = 0,
     parameter ctop_core16_pf5_sriov_vf_stride_nonari                                = 0,
     parameter ctop_core16_pf5_subclass_code                                         = 0,
     parameter ctop_core16_pf5_subsys_dev_id                                         = 0,
     parameter ctop_core16_pf5_subsys_vendor_id                                      = 0,
     parameter ctop_core16_pf5_tph_req_cap_int_vec                                   = "DISABLE",
     parameter ctop_core16_pf5_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf5_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF5_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core16_pf5_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF5_NOT_IN_MSIX_TABLE",
     parameter ctop_core16_pf5_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF5_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core16_pf5_tph_req_cap_st_table_size                             = 0,
     parameter ctop_core16_pf5_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
     parameter ctop_core16_pf5_tph_req_device_spec                                   = "DISABLE",
     parameter ctop_core16_pf5_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf6_acs_cap_acs_at_block                                  = "DISABLE",
     parameter ctop_core16_pf6_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
     parameter ctop_core16_pf6_acs_cap_acs_egress_ctrl_size                          = 8,
     parameter ctop_core16_pf6_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
     parameter ctop_core16_pf6_acs_cap_acs_p2p_egress_control                        = "DISABLE",
     parameter ctop_core16_pf6_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
     parameter ctop_core16_pf6_acs_cap_acs_src_valid                                 = "DISABLE",
     parameter ctop_core16_pf6_acs_cap_acs_usp_forwarding                            = "DISABLE",
     parameter ctop_core16_pf6_bar0_prefetch                                         = "FALSE",
     parameter ctop_core16_pf6_bar0_type                                             = "CTOP_CORE16_PF6_BAR0_MEM32",
     parameter ctop_core16_pf6_bar1_prefetch                                         = "FALSE",
     parameter ctop_core16_pf6_bar2_prefetch                                         = "FALSE",
     parameter ctop_core16_pf6_bar2_type                                             = "CTOP_CORE16_PF6_BAR2_MEM32",
     parameter ctop_core16_pf6_bar3_prefetch                                         = "FALSE",
     parameter ctop_core16_pf6_bar4_prefetch                                         = "FALSE",
     parameter ctop_core16_pf6_bar4_type                                             = "CTOP_CORE16_PF6_BAR4_MEM32",
     parameter ctop_core16_pf6_bar5_prefetch                                         = "FALSE",
     parameter ctop_core16_pf6_base_class_code                                       = 255,
     parameter ctop_core16_pf6_int_pin                                               = "CTOP_CORE16_PF6_NO_INT",
     parameter ctop_core16_pf6_pasid_cap_execute_permission_supported                = "DISABLE",
     parameter ctop_core16_pf6_pasid_cap_max_pasid_width                             = 0,
     parameter ctop_core16_pf6_pasid_cap_privileged_mode_supported                   = "DISABLE",
     parameter ctop_core16_pf6_pci_msi_64_bit_addr_cap                               = "FALSE",
     parameter ctop_core16_pf6_pci_msi_ext_data_cap                                  = "FALSE",
     parameter ctop_core16_pf6_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF6_MSI_VEC_1",
     parameter ctop_core16_pf6_pci_msix_bir                                          = 0,
     parameter ctop_core16_pf6_pci_msix_pba                                          = 0,
     parameter ctop_core16_pf6_pci_msix_pba_offset                                   = 0,
     parameter ctop_core16_pf6_pci_msix_table_offset                                 = 0,
     parameter ctop_core16_pf6_pci_msix_table_size                                   = 0,
     parameter ctop_core16_pf6_pci_msix_table_size_vfcomm_cs2                        = 0,
     parameter ctop_core16_pf6_pci_type0_bar0_enabled                                = "DISABLE",
     parameter ctop_core16_pf6_pci_type0_bar1_enabled                                = "DISABLE",
     parameter ctop_core16_pf6_pci_type0_bar2_enabled                                = "DISABLE",
     parameter ctop_core16_pf6_pci_type0_bar3_enabled                                = "DISABLE",
     parameter ctop_core16_pf6_pci_type0_bar4_enabled                                = "DISABLE",
     parameter ctop_core16_pf6_pci_type0_bar5_enabled                                = "DISABLE",
     parameter ctop_core16_pf6_pci_type0_device_id                                   = 0,
     parameter ctop_core16_pf6_pci_type0_vendor_id                                   = 0,
     parameter ctop_core16_pf6_pcie_cap_ep_l0s_accpt_latency                         = 0,
     parameter ctop_core16_pf6_pcie_cap_ep_l1_accpt_latency                          = 0,
     parameter ctop_core16_pf6_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF6_NOT_SUPPORTED",
     parameter ctop_core16_pf6_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF6_NOT_CAPABLE",
     parameter ctop_core16_pf6_pcie_cap_slot_clk_config                              = "FALSE",
     parameter ctop_core16_pf6_pme_support                                           = 0,
     parameter ctop_core16_pf6_program_interface                                     = 0,
     parameter ctop_core16_pf6_revision_id                                           = 0,
     parameter ctop_core16_pf6_rom_bar_enabled                                       = "DISABLE",
     parameter ctop_core16_pf6_shadow_sriov_vf_stride_ari_cs2                        = 0,
     parameter ctop_core16_pf6_sriov_sup_page_size                                   = "0",
     parameter ctop_core16_pf6_sriov_vf_bar0_prefetch                                = "FALSE",
     parameter ctop_core16_pf6_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF6_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core16_pf6_sriov_vf_bar1_prefetch                                = "FALSE",
     parameter ctop_core16_pf6_sriov_vf_bar2_prefetch                                = "FALSE",
     parameter ctop_core16_pf6_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF6_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core16_pf6_sriov_vf_bar3_prefetch                                = "FALSE",
     parameter ctop_core16_pf6_sriov_vf_bar4_prefetch                                = "FALSE",
     parameter ctop_core16_pf6_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF6_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core16_pf6_sriov_vf_bar5_prefetch                                = "FALSE",
     parameter ctop_core16_pf6_sriov_vf_device_id                                    = 0,
     parameter ctop_core16_pf6_sriov_vf_offset_ari_cs2                               = 0,
     parameter ctop_core16_pf6_sriov_vf_offset_position_nonari                       = 0,
     parameter ctop_core16_pf6_sriov_vf_stride_nonari                                = 0,
     parameter ctop_core16_pf6_subclass_code                                         = 0,
     parameter ctop_core16_pf6_subsys_dev_id                                         = 0,
     parameter ctop_core16_pf6_subsys_vendor_id                                      = 0,
     parameter ctop_core16_pf6_tph_req_cap_int_vec                                   = "DISABLE",
     parameter ctop_core16_pf6_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf6_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF6_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core16_pf6_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF6_NOT_IN_MSIX_TABLE",
     parameter ctop_core16_pf6_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF6_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core16_pf6_tph_req_cap_st_table_size                             = 0,
     parameter ctop_core16_pf6_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
     parameter ctop_core16_pf6_tph_req_device_spec                                   = "DISABLE",
     parameter ctop_core16_pf6_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf7_acs_cap_acs_at_block                                  = "DISABLE",
     parameter ctop_core16_pf7_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
     parameter ctop_core16_pf7_acs_cap_acs_egress_ctrl_size                          = 8,
     parameter ctop_core16_pf7_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
     parameter ctop_core16_pf7_acs_cap_acs_p2p_egress_control                        = "DISABLE",
     parameter ctop_core16_pf7_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
     parameter ctop_core16_pf7_acs_cap_acs_src_valid                                 = "DISABLE",
     parameter ctop_core16_pf7_acs_cap_acs_usp_forwarding                            = "DISABLE",
     parameter ctop_core16_pf7_bar0_prefetch                                         = "FALSE",
     parameter ctop_core16_pf7_bar0_type                                             = "CTOP_CORE16_PF7_BAR0_MEM32",
     parameter ctop_core16_pf7_bar1_prefetch                                         = "FALSE",
     parameter ctop_core16_pf7_bar2_prefetch                                         = "FALSE",
     parameter ctop_core16_pf7_bar2_type                                             = "CTOP_CORE16_PF7_BAR2_MEM32",
     parameter ctop_core16_pf7_bar3_prefetch                                         = "FALSE",
     parameter ctop_core16_pf7_bar4_prefetch                                         = "FALSE",
     parameter ctop_core16_pf7_bar4_type                                             = "CTOP_CORE16_PF7_BAR4_MEM32",
     parameter ctop_core16_pf7_bar5_prefetch                                         = "FALSE",
     parameter ctop_core16_pf7_base_class_code                                       = 255,
     parameter ctop_core16_pf7_int_pin                                               = "CTOP_CORE16_PF7_NO_INT",
     parameter ctop_core16_pf7_pasid_cap_execute_permission_supported                = "DISABLE",
     parameter ctop_core16_pf7_pasid_cap_max_pasid_width                             = 0,
     parameter ctop_core16_pf7_pasid_cap_privileged_mode_supported                   = "DISABLE",
     parameter ctop_core16_pf7_pci_msi_64_bit_addr_cap                               = "FALSE",
     parameter ctop_core16_pf7_pci_msi_ext_data_cap                                  = "FALSE",
     parameter ctop_core16_pf7_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF7_MSI_VEC_1",
     parameter ctop_core16_pf7_pci_msix_bir                                          = 0,
     parameter ctop_core16_pf7_pci_msix_pba                                          = 0,
     parameter ctop_core16_pf7_pci_msix_pba_offset                                   = 0,
     parameter ctop_core16_pf7_pci_msix_table_offset                                 = 0,
     parameter ctop_core16_pf7_pci_msix_table_size                                   = 0,
     parameter ctop_core16_pf7_pci_msix_table_size_vfcomm_cs2                        = 0,
     parameter ctop_core16_pf7_pci_type0_bar0_enabled                                = "DISABLE",
     parameter ctop_core16_pf7_pci_type0_bar1_enabled                                = "DISABLE",
     parameter ctop_core16_pf7_pci_type0_bar2_enabled                                = "DISABLE",
     parameter ctop_core16_pf7_pci_type0_bar3_enabled                                = "DISABLE",
     parameter ctop_core16_pf7_pci_type0_bar4_enabled                                = "DISABLE",
     parameter ctop_core16_pf7_pci_type0_bar5_enabled                                = "DISABLE",
     parameter ctop_core16_pf7_pci_type0_device_id                                   = 0,
     parameter ctop_core16_pf7_pci_type0_vendor_id                                   = 0,
     parameter ctop_core16_pf7_pcie_cap_ep_l0s_accpt_latency                         = 0,
     parameter ctop_core16_pf7_pcie_cap_ep_l1_accpt_latency                          = 0,
     parameter ctop_core16_pf7_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF7_NOT_SUPPORTED",
     parameter ctop_core16_pf7_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF7_NOT_CAPABLE",
     parameter ctop_core16_pf7_pcie_cap_slot_clk_config                              = "FALSE",
     parameter ctop_core16_pf7_pme_support                                           = 0,
     parameter ctop_core16_pf7_program_interface                                     = 0,
     parameter ctop_core16_pf7_revision_id                                           = 0,
     parameter ctop_core16_pf7_rom_bar_enabled                                       = "DISABLE",
     parameter ctop_core16_pf7_shadow_sriov_vf_stride_ari_cs2                        = 0,
     parameter ctop_core16_pf7_sriov_sup_page_size                                   = "0",
     parameter ctop_core16_pf7_sriov_vf_bar0_prefetch                                = "FALSE",
     parameter ctop_core16_pf7_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF7_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core16_pf7_sriov_vf_bar1_prefetch                                = "FALSE",
     parameter ctop_core16_pf7_sriov_vf_bar2_prefetch                                = "FALSE",
     parameter ctop_core16_pf7_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF7_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core16_pf7_sriov_vf_bar3_prefetch                                = "FALSE",
     parameter ctop_core16_pf7_sriov_vf_bar4_prefetch                                = "FALSE",
     parameter ctop_core16_pf7_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF7_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core16_pf7_sriov_vf_bar5_prefetch                                = "FALSE",
     parameter ctop_core16_pf7_sriov_vf_device_id                                    = 0,
     parameter ctop_core16_pf7_sriov_vf_offset_ari_cs2                               = 0,
     parameter ctop_core16_pf7_sriov_vf_offset_position_nonari                       = 0,
     parameter ctop_core16_pf7_sriov_vf_stride_nonari                                = 0,
     parameter ctop_core16_pf7_subclass_code                                         = 0,
     parameter ctop_core16_pf7_subsys_dev_id                                         = 0,
     parameter ctop_core16_pf7_subsys_vendor_id                                      = 0,
     parameter ctop_core16_pf7_tph_req_cap_int_vec                                   = "DISABLE",
     parameter ctop_core16_pf7_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_pf7_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF7_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core16_pf7_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF7_NOT_IN_MSIX_TABLE",
     parameter ctop_core16_pf7_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF7_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core16_pf7_tph_req_cap_st_table_size                             = 0,
     parameter ctop_core16_pf7_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
     parameter ctop_core16_pf7_tph_req_device_spec                                   = "DISABLE",
     parameter ctop_core16_pf7_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
     parameter ctop_core16_rxbuf_limit_bypass                                        = 7,
     parameter ctop_core16_virtual_drop_vendor0_msg                                  = "FALSE",
     parameter ctop_core16_virtual_drop_vendor1_msg                                  = "FALSE",
     parameter ctop_core16_virtual_ep_native                                         = "CTOP_CORE16_NATIVE",
     parameter ctop_core16_virtual_link_rate                                         = "CTOP_CORE16_GEN4",
     parameter ctop_core16_virtual_link_width                                        = "CTOP_CORE16_X16",
     parameter ctop_core16_virtual_maxpayload_size                                   = "CTOP_CORE16_MAX_PAYLOAD_512",
     parameter ctop_core16_virtual_num_of_lanes                                      = "CTOP_CORE16_NUM_16",
     parameter ctop_core16_virtual_pf0_acs_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf0_ats_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf0_dlink_cap_enable                              = "ENABLE",
     parameter ctop_core16_virtual_pf0_exvf_acs_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf0_exvf_ats_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf0_exvf_msix_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf0_exvf_tph_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf0_exvf_virtio_en                                = "DISABLE",
     parameter ctop_core16_virtual_pf0_io_decode                                     = "CTOP_CORE16_IO32",
     parameter ctop_core16_virtual_pf0_ltr_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf0_msi_enable                                    = "DISABLE",
     parameter ctop_core16_virtual_pf0_msix_enable                                   = "DISABLE",
     parameter ctop_core16_virtual_pf0_pasid_cap_enable                              = "DISABLE",
     parameter ctop_core16_virtual_pf0_prefetch_decode                               = "CTOP_CORE16_PREF64",
     parameter ctop_core16_virtual_pf0_prs_ext_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf0_ras_des_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf0_sn_cap_enable                                 = "DISABLE",
     parameter ctop_core16_virtual_pf0_sriov_enable                                  = "DISABLE",
     parameter ctop_core16_virtual_pf0_sriov_vf_bar0_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf0_sriov_vf_bar1_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf0_sriov_vf_bar2_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf0_sriov_vf_bar3_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf0_sriov_vf_bar4_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf0_sriov_vf_bar5_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf0_tph_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf0_user_vsec_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf0_virtio_en                                     = "DISABLE",
     parameter ctop_core16_virtual_pf1_acs_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf1_ats_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf1_enable                                        = "DISABLE",
     parameter ctop_core16_virtual_pf1_exvf_acs_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf1_exvf_ats_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf1_exvf_msix_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf1_exvf_tph_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf1_exvf_virtio_en                                = "DISABLE",
     parameter ctop_core16_virtual_pf1_msi_enable                                    = "DISABLE",
     parameter ctop_core16_virtual_pf1_msix_enable                                   = "DISABLE",
     parameter ctop_core16_virtual_pf1_pasid_cap_enable                              = "DISABLE",
     parameter ctop_core16_virtual_pf1_prs_ext_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf1_sriov_enable                                  = "DISABLE",
     parameter ctop_core16_virtual_pf1_sriov_vf_bar0_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf1_sriov_vf_bar1_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf1_sriov_vf_bar2_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf1_sriov_vf_bar3_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf1_sriov_vf_bar4_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf1_sriov_vf_bar5_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf1_tph_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf1_user_vsec_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf1_user_vsec_offset                              = "0",
     parameter ctop_core16_virtual_pf1_virtio_en                                     = "DISABLE",
     parameter ctop_core16_virtual_pf2_acs_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf2_ats_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf2_enable                                        = "DISABLE",
     parameter ctop_core16_virtual_pf2_exvf_acs_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf2_exvf_ats_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf2_exvf_msix_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf2_exvf_tph_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf2_exvf_virtio_en                                = "DISABLE",
     parameter ctop_core16_virtual_pf2_msi_enable                                    = "DISABLE",
     parameter ctop_core16_virtual_pf2_msix_enable                                   = "DISABLE",
     parameter ctop_core16_virtual_pf2_pasid_cap_enable                              = "DISABLE",
     parameter ctop_core16_virtual_pf2_prs_ext_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf2_sriov_enable                                  = "DISABLE",
     parameter ctop_core16_virtual_pf2_sriov_vf_bar0_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf2_sriov_vf_bar1_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf2_sriov_vf_bar2_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf2_sriov_vf_bar3_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf2_sriov_vf_bar4_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf2_sriov_vf_bar5_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf2_tph_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf2_user_vsec_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf2_user_vsec_offset                              = "0",
     parameter ctop_core16_virtual_pf2_virtio_en                                     = "DISABLE",
     parameter ctop_core16_virtual_pf3_acs_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf3_ats_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf3_enable                                        = "DISABLE",
     parameter ctop_core16_virtual_pf3_exvf_acs_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf3_exvf_ats_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf3_exvf_msix_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf3_exvf_tph_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf3_exvf_virtio_en                                = "DISABLE",
     parameter ctop_core16_virtual_pf3_msi_enable                                    = "DISABLE",
     parameter ctop_core16_virtual_pf3_msix_enable                                   = "DISABLE",
     parameter ctop_core16_virtual_pf3_pasid_cap_enable                              = "DISABLE",
     parameter ctop_core16_virtual_pf3_prs_ext_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf3_sriov_enable                                  = "DISABLE",
     parameter ctop_core16_virtual_pf3_sriov_vf_bar0_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf3_sriov_vf_bar1_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf3_sriov_vf_bar2_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf3_sriov_vf_bar3_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf3_sriov_vf_bar4_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf3_sriov_vf_bar5_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf3_tph_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf3_user_vsec_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf3_user_vsec_offset                              = "0",
     parameter ctop_core16_virtual_pf3_virtio_en                                     = "DISABLE",
     parameter ctop_core16_virtual_pf4_acs_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf4_ats_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf4_enable                                        = "DISABLE",
     parameter ctop_core16_virtual_pf4_exvf_acs_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf4_exvf_ats_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf4_exvf_msix_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf4_exvf_tph_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf4_exvf_virtio_en                                = "DISABLE",
     parameter ctop_core16_virtual_pf4_msi_enable                                    = "DISABLE",
     parameter ctop_core16_virtual_pf4_msix_enable                                   = "DISABLE",
     parameter ctop_core16_virtual_pf4_pasid_cap_enable                              = "DISABLE",
     parameter ctop_core16_virtual_pf4_prs_ext_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf4_sriov_enable                                  = "DISABLE",
     parameter ctop_core16_virtual_pf4_sriov_vf_bar0_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf4_sriov_vf_bar1_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf4_sriov_vf_bar2_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf4_sriov_vf_bar3_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf4_sriov_vf_bar4_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf4_sriov_vf_bar5_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf4_tph_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf4_user_vsec_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf4_user_vsec_offset                              = "0",
     parameter ctop_core16_virtual_pf4_virtio_en                                     = "DISABLE",
     parameter ctop_core16_virtual_pf5_acs_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf5_ats_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf5_enable                                        = "DISABLE",
     parameter ctop_core16_virtual_pf5_exvf_acs_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf5_exvf_ats_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf5_exvf_msix_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf5_exvf_tph_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf5_exvf_virtio_en                                = "DISABLE",
     parameter ctop_core16_virtual_pf5_msi_enable                                    = "DISABLE",
     parameter ctop_core16_virtual_pf5_msix_enable                                   = "DISABLE",
     parameter ctop_core16_virtual_pf5_pasid_cap_enable                              = "DISABLE",
     parameter ctop_core16_virtual_pf5_prs_ext_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf5_sriov_enable                                  = "DISABLE",
     parameter ctop_core16_virtual_pf5_sriov_vf_bar0_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf5_sriov_vf_bar1_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf5_sriov_vf_bar2_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf5_sriov_vf_bar3_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf5_sriov_vf_bar4_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf5_sriov_vf_bar5_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf5_tph_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf5_user_vsec_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf5_user_vsec_offset                              = "0",
     parameter ctop_core16_virtual_pf5_virtio_en                                     = "DISABLE",
     parameter ctop_core16_virtual_pf6_acs_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf6_ats_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf6_enable                                        = "DISABLE",
     parameter ctop_core16_virtual_pf6_exvf_acs_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf6_exvf_ats_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf6_exvf_msix_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf6_exvf_tph_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf6_exvf_virtio_en                                = "DISABLE",
     parameter ctop_core16_virtual_pf6_msi_enable                                    = "DISABLE",
     parameter ctop_core16_virtual_pf6_msix_enable                                   = "DISABLE",
     parameter ctop_core16_virtual_pf6_pasid_cap_enable                              = "DISABLE",
     parameter ctop_core16_virtual_pf6_prs_ext_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf6_sriov_enable                                  = "DISABLE",
     parameter ctop_core16_virtual_pf6_sriov_vf_bar0_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf6_sriov_vf_bar1_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf6_sriov_vf_bar2_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf6_sriov_vf_bar3_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf6_sriov_vf_bar4_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf6_sriov_vf_bar5_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf6_tph_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf6_user_vsec_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf6_user_vsec_offset                              = "0",
     parameter ctop_core16_virtual_pf6_virtio_en                                     = "DISABLE",
     parameter ctop_core16_virtual_pf7_acs_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf7_ats_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf7_enable                                        = "DISABLE",
     parameter ctop_core16_virtual_pf7_exvf_acs_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf7_exvf_ats_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf7_exvf_msix_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf7_exvf_tph_cap_enable                           = "DISABLE",
     parameter ctop_core16_virtual_pf7_exvf_virtio_en                                = "DISABLE",
     parameter ctop_core16_virtual_pf7_msi_enable                                    = "DISABLE",
     parameter ctop_core16_virtual_pf7_msix_enable                                   = "DISABLE",
     parameter ctop_core16_virtual_pf7_pasid_cap_enable                              = "DISABLE",
     parameter ctop_core16_virtual_pf7_prs_ext_cap_enable                            = "DISABLE",
     parameter ctop_core16_virtual_pf7_sriov_enable                                  = "DISABLE",
     parameter ctop_core16_virtual_pf7_sriov_vf_bar0_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf7_sriov_vf_bar1_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf7_sriov_vf_bar2_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf7_sriov_vf_bar3_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf7_sriov_vf_bar4_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf7_sriov_vf_bar5_enabled                         = "DISABLE",
     parameter ctop_core16_virtual_pf7_tph_cap_enable                                = "DISABLE",
     parameter ctop_core16_virtual_pf7_user_vsec_cap_enable                          = "DISABLE",
     parameter ctop_core16_virtual_pf7_user_vsec_offset                              = "0",
     parameter ctop_core16_virtual_pf7_virtio_en                                     = "DISABLE",
     parameter ctop_core16_virtual_rp_ep_mode                                        = "CTOP_CORE16_EP",
     parameter ctop_core16_virtual_txeq_mode                                         = "CTOP_CORE16_EQ_FOM_MODE",
     parameter ctop_core16_virtual_ptm_autoupdate                                    = "CTOP_CORE16_AUTOUPDATE_DISABLE",
     parameter ctop_core16_vsec_next_offset                                          = "0",
     parameter ctop_core4_0_cvp_user_id                                              = 0,
     parameter ctop_core4_0_pf0_acs_cap_acs_at_block                                 = "DISABLE",
     parameter ctop_core4_0_pf0_acs_cap_acs_direct_translated_p2p                    = "DISABLE",
     parameter ctop_core4_0_pf0_acs_cap_acs_egress_ctrl_size                         = 8,
     parameter ctop_core4_0_pf0_acs_cap_acs_p2p_cpl_redirect                         = "DISABLE",
     parameter ctop_core4_0_pf0_acs_cap_acs_p2p_egress_control                       = "DISABLE",
     parameter ctop_core4_0_pf0_acs_cap_acs_p2p_req_redirect                         = "DISABLE",
     parameter ctop_core4_0_pf0_acs_cap_acs_src_valid                                = "DISABLE",
     parameter ctop_core4_0_pf0_acs_cap_acs_usp_forwarding                           = "DISABLE",
     parameter ctop_core4_0_pf0_auto_lane_flip_ctrl_en                               = "DISABLE",
     parameter ctop_core4_0_pf0_base_class_code                                      = 255,
     parameter ctop_core4_0_pf0_eq_redo                                              = "ENABLE",
     parameter ctop_core4_0_pf0_eq_redo_atg4                                         = "ENABLE",
     parameter ctop_core4_0_pf0_gen3_eq_pset_req_vec                                 = 4,
     parameter ctop_core4_0_pf0_gen3_eq_pset_req_vec_atg4                            = 624,
     parameter ctop_core4_0_pf0_loopback_enable                                      = "FALSE",
     parameter ctop_core4_0_pf0_pci_msix_bir                                         = 0,
     parameter ctop_core4_0_pf0_pci_msix_pba                                         = 0,
     parameter ctop_core4_0_pf0_pci_msix_pba_offset                                  = 0,
     parameter ctop_core4_0_pf0_pci_msix_table_offset                                = 0,
     parameter ctop_core4_0_pf0_pci_msix_table_size                                  = 0,
     parameter ctop_core4_0_pf0_pci_msix_table_size_vfcomm_cs2                       = 0,
     parameter ctop_core4_0_pf0_pci_type0_bar0_mask_31_1                             = 0,
     parameter ctop_core4_0_pf0_pci_type0_bar1_mask_31_1                             = 0,
     parameter ctop_core4_0_pf0_pci_type0_bar2_mask_31_1                             = 0,
     parameter ctop_core4_0_pf0_pci_type0_bar3_mask_31_1                             = 0,
     parameter ctop_core4_0_pf0_pci_type0_bar4_mask_31_1                             = 0,
     parameter ctop_core4_0_pf0_pci_type0_bar5_mask_31_1                             = 0,
     parameter ctop_core4_0_pf0_pci_type0_device_id                                  = 0,
     parameter ctop_core4_0_pf0_pci_type0_vendor_id                                  = 0,
     parameter ctop_core4_0_pf0_pcie_cap_attention_indicator                         = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_attention_indicator_button                  = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_electromech_interlock                       = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_ep_l0s_accpt_latency                        = 0,
     parameter ctop_core4_0_pf0_pcie_cap_ep_l1_accpt_latency                         = 0,
     parameter ctop_core4_0_pf0_pcie_cap_ext_tag_supp                                = "CTOP_CORE4_0_PF0_NOT_SUPPORTED",
     parameter ctop_core4_0_pf0_pcie_cap_flr_cap                                     = "CTOP_CORE4_0_PF0_NOT_CAPABLE",
     parameter ctop_core4_0_pf0_pcie_cap_hot_plug_capable                            = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_hot_plug_surprise                           = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_mrl_sensor                                  = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_no_cmd_cpl_support                          = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_phy_slot_num                                = 0,
     parameter ctop_core4_0_pf0_pcie_cap_port_num                                    = 0,
     parameter ctop_core4_0_pf0_pcie_cap_power_controller                            = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_power_indicator                             = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_sel_deemphasis                              = "CTOP_CORE4_0_PF0_MINUS_6DB",
     parameter ctop_core4_0_pf0_pcie_cap_slot_clk_config                             = "FALSE",
     parameter ctop_core4_0_pf0_pcie_cap_slot_power_limit_scale                      = 0,
     parameter ctop_core4_0_pf0_pcie_cap_slot_power_limit_value                      = 0,
     parameter ctop_core4_0_pf0_pcie_slot_imp                                        = "CTOP_CORE4_0_PF0_NOT_IMPLEMENTED",
     parameter ctop_core4_0_pf0_pme_support                                          = 0,
     parameter ctop_core4_0_pf0_program_interface                                    = 0,
     parameter ctop_core4_0_pf0_revision_id                                          = 0,
     parameter ctop_core4_0_pf0_rom_bar_enabled                                      = "DISABLE",
     parameter ctop_core4_0_pf0_rp_rom_bar_enabled                                   = "DISABLE",
     parameter ctop_core4_0_pf0_subclass_code                                        = 0,
     parameter ctop_core4_0_pf0_subsys_dev_id                                        = 0,
     parameter ctop_core4_0_pf0_subsys_vendor_id                                     = 0,
     parameter ctop_core4_0_pf0_tph_req_cap_int_vec                                  = "DISABLE",
     parameter ctop_core4_0_pf0_tph_req_cap_int_vec_vfcomm_cs2                       = "DISABLE",
     parameter ctop_core4_0_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                = "CTOP_CORE4_0_PF0_IN_TPH_STRUCT_VF",
     parameter ctop_core4_0_pf0_tph_req_cap_st_table_loc_1                           = "CTOP_CORE4_0_PF0_NOT_IN_MSIX_TABLE",
     parameter ctop_core4_0_pf0_tph_req_cap_st_table_size                            = 0,
     parameter ctop_core4_0_pf0_tph_req_cap_st_table_size_vfcomm_cs2                 = 1,
     parameter ctop_core4_0_pf0_tph_req_device_spec                                  = "DISABLE",
     parameter ctop_core4_0_pf0_tph_req_device_spec_vfcomm_cs2                       = "DISABLE",
     parameter ctop_core4_0_rxbuf_limit_bypass                                       = 0,
     parameter ctop_core4_0_vsec_next_offset                                         = "0",
     parameter ctop_core4_0_virtual_drop_vendor0_msg                                 = "FALSE",
     parameter ctop_core4_0_virtual_drop_vendor1_msg                                 = "FALSE",
     parameter ctop_core4_0_virtual_ep_native                                        = "CTOP_CORE4_0_NATIVE",
     parameter ctop_core4_0_virtual_link_rate                                        = "CTOP_CORE4_0_GEN1",
     parameter ctop_core4_0_virtual_maxpayload_size                                  = "CTOP_CORE4_0_MAX_PAYLOAD_128",
     parameter ctop_core4_0_virtual_num_of_lanes                                     = "CTOP_CORE4_0_NUM_1",
     parameter ctop_core4_0_virtual_pf0_acs_cap_enable                               = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_dlink_cap_enable                             = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_io_decode                                    = "CTOP_CORE4_0_IO32",
     parameter ctop_core4_0_virtual_pf0_msix_enable                                  = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_pl16g_cap_enable                             = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_prefetch_decode                              = "CTOP_CORE4_0_PREF64",
     parameter ctop_core4_0_virtual_pf0_prs_ext_cap_enable                           = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_ras_des_cap_enable                           = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_sn_cap_enable                                = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_ats_cap_enable                               = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_tph_cap_enable                               = "DISABLE",
     parameter ctop_core4_0_virtual_pf0_user_vsec_cap_enable                         = "DISABLE",
     parameter ctop_core4_0_virtual_rp_ep_mode                                       = "CTOP_CORE4_0_EP",
     parameter ctop_core4_0_virtual_txeq_mode                                        = "CTOP_CORE4_0_EQ_FOM_MODE",
     parameter ctop_core4_1_cvp_user_id                                              = 0,
     parameter ctop_core4_1_pf0_acs_cap_acs_at_block                                 = "DISABLE",
     parameter ctop_core4_1_pf0_acs_cap_acs_direct_translated_p2p                    = "DISABLE",
     parameter ctop_core4_1_pf0_acs_cap_acs_egress_ctrl_size                         = 8,
     parameter ctop_core4_1_pf0_acs_cap_acs_p2p_cpl_redirect                         = "DISABLE",
     parameter ctop_core4_1_pf0_acs_cap_acs_p2p_egress_control                       = "DISABLE",
     parameter ctop_core4_1_pf0_acs_cap_acs_p2p_req_redirect                         = "DISABLE",
     parameter ctop_core4_1_pf0_acs_cap_acs_src_valid                                = "DISABLE",
     parameter ctop_core4_1_pf0_acs_cap_acs_usp_forwarding                           = "DISABLE",
     parameter ctop_core4_1_pf0_auto_lane_flip_ctrl_en                               = "DISABLE",
     parameter ctop_core4_1_pf0_base_class_code                                      = 255,
     parameter ctop_core4_1_pf0_eq_redo                                              = "ENABLE",
     parameter ctop_core4_1_pf0_eq_redo_atg4                                         = "ENABLE",
     parameter ctop_core4_1_pf0_gen3_eq_pset_req_vec                                 = 4,
     parameter ctop_core4_1_pf0_gen3_eq_pset_req_vec_atg4                            = 624,
     parameter ctop_core4_1_pf0_loopback_enable                                      = "FALSE",
     parameter ctop_core4_1_pf0_pci_msix_bir                                         = 0,
     parameter ctop_core4_1_pf0_pci_msix_pba                                         = 0,
     parameter ctop_core4_1_pf0_pci_msix_pba_offset                                  = 0,
     parameter ctop_core4_1_pf0_pci_msix_table_offset                                = 0,
     parameter ctop_core4_1_pf0_pci_msix_table_size                                  = 0,
     parameter ctop_core4_1_pf0_pci_msix_table_size_vfcomm_cs2                       = 0,
     parameter ctop_core4_1_pf0_pci_type0_bar0_mask_31_1                             = 0,
     parameter ctop_core4_1_pf0_pci_type0_bar1_mask_31_1                             = 0,
     parameter ctop_core4_1_pf0_pci_type0_bar2_mask_31_1                             = 0,
     parameter ctop_core4_1_pf0_pci_type0_bar3_mask_31_1                             = 0,
     parameter ctop_core4_1_pf0_pci_type0_bar4_mask_31_1                             = 0,
     parameter ctop_core4_1_pf0_pci_type0_bar5_mask_31_1                             = 0,
     parameter ctop_core4_1_pf0_pci_type0_device_id                                  = 0,
     parameter ctop_core4_1_pf0_pci_type0_vendor_id                                  = 0,
     parameter ctop_core4_1_pf0_pcie_cap_attention_indicator                         = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_attention_indicator_button                  = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_electromech_interlock                       = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_ep_l0s_accpt_latency                        = 0,
     parameter ctop_core4_1_pf0_pcie_cap_ep_l1_accpt_latency                         = 0,
     parameter ctop_core4_1_pf0_pcie_cap_ext_tag_supp                                = "CTOP_CORE4_1_PF0_NOT_SUPPORTED",
     parameter ctop_core4_1_pf0_pcie_cap_flr_cap                                     = "CTOP_CORE4_1_PF0_NOT_CAPABLE",
     parameter ctop_core4_1_pf0_pcie_cap_hot_plug_capable                            = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_hot_plug_surprise                           = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_mrl_sensor                                  = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_no_cmd_cpl_support                          = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_phy_slot_num                                = 0,
     parameter ctop_core4_1_pf0_pcie_cap_port_num                                    = 0,
     parameter ctop_core4_1_pf0_pcie_cap_power_controller                            = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_power_indicator                             = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_sel_deemphasis                              = "CTOP_CORE4_1_PF0_MINUS_6DB",
     parameter ctop_core4_1_pf0_pcie_cap_slot_clk_config                             = "FALSE",
     parameter ctop_core4_1_pf0_pcie_cap_slot_power_limit_scale                      = 0,
     parameter ctop_core4_1_pf0_pcie_cap_slot_power_limit_value                      = 0,
     parameter ctop_core4_1_pf0_pcie_slot_imp                                        = "CTOP_CORE4_1_PF0_NOT_IMPLEMENTED",
     parameter ctop_core4_1_pf0_pme_support                                          = 0,
     parameter ctop_core4_1_pf0_program_interface                                    = 0,
     parameter ctop_core4_1_pf0_revision_id                                          = 0,
     parameter ctop_core4_1_pf0_rom_bar_enabled                                      = "DISABLE",
     parameter ctop_core4_1_pf0_rp_rom_bar_enabled                                   = "DISABLE",
     parameter ctop_core4_1_pf0_subclass_code                                        = 0,
     parameter ctop_core4_1_pf0_subsys_dev_id                                        = 0,
     parameter ctop_core4_1_pf0_subsys_vendor_id                                     = 0,
     parameter ctop_core4_1_pf0_tph_req_cap_int_vec                                  = "DISABLE",
     parameter ctop_core4_1_pf0_tph_req_cap_int_vec_vfcomm_cs2                       = "DISABLE",
     parameter ctop_core4_1_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                = "CTOP_CORE4_1_PF0_IN_TPH_STRUCT_VF",
     parameter ctop_core4_1_pf0_tph_req_cap_st_table_loc_1                           = "CTOP_CORE4_1_PF0_NOT_IN_MSIX_TABLE",
     parameter ctop_core4_1_pf0_tph_req_cap_st_table_size                            = 0,
     parameter ctop_core4_1_pf0_tph_req_cap_st_table_size_vfcomm_cs2                 = 1,
     parameter ctop_core4_1_pf0_tph_req_device_spec                                  = "DISABLE",
     parameter ctop_core4_1_pf0_tph_req_device_spec_vfcomm_cs2                       = "DISABLE",
     parameter ctop_core4_1_rxbuf_limit_bypass                                       = 0,
     parameter ctop_core4_1_vsec_next_offset                                         = "0",
     parameter ctop_core4_1_virtual_drop_vendor0_msg                                 = "FALSE",
     parameter ctop_core4_1_virtual_drop_vendor1_msg                                 = "FALSE",
     parameter ctop_core4_1_virtual_ep_native                                        = "CTOP_CORE4_1_NATIVE",
     parameter ctop_core4_1_virtual_link_rate                                        = "CTOP_CORE4_1_GEN1",
     parameter ctop_core4_1_virtual_maxpayload_size                                  = "CTOP_CORE4_1_MAX_PAYLOAD_128",
     parameter ctop_core4_1_virtual_num_of_lanes                                     = "CTOP_CORE4_1_NUM_1",
     parameter ctop_core4_1_virtual_pf0_acs_cap_enable                               = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_dlink_cap_enable                             = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_io_decode                                    = "CTOP_CORE4_1_IO32",
     parameter ctop_core4_1_virtual_pf0_msix_enable                                  = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_pl16g_cap_enable                             = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_prefetch_decode                              = "CTOP_CORE4_1_PREF64",
     parameter ctop_core4_1_virtual_pf0_prs_ext_cap_enable                           = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_ras_des_cap_enable                           = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_sn_cap_enable                                = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_ats_cap_enable                               = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_tph_cap_enable                               = "DISABLE",
     parameter ctop_core4_1_virtual_pf0_user_vsec_cap_enable                         = "DISABLE",
     parameter ctop_core4_1_virtual_rp_ep_mode                                       = "CTOP_CORE4_1_EP",
     parameter ctop_core4_1_virtual_txeq_mode                                        = "CTOP_CORE4_1_EQ_FOM_MODE",
     parameter ctop_core8_cvp_user_id                                                = 0,
     parameter ctop_core8_exvf_msix_tablesize_pf0                                    = 0,
     parameter ctop_core8_exvf_msix_tablesize_pf1                                    = 0,
     parameter ctop_core8_exvf_msix_tablesize_pf2                                    = 0,
     parameter ctop_core8_exvf_msix_tablesize_pf3                                    = 0,
     parameter ctop_core8_exvf_msix_tablesize_pf4                                    = 0,
     parameter ctop_core8_exvf_msix_tablesize_pf5                                    = 0,
     parameter ctop_core8_exvf_msix_tablesize_pf6                                    = 0,
     parameter ctop_core8_exvf_msix_tablesize_pf7                                    = 0,
     parameter ctop_core8_exvf_msixpba_bir_pf0                                       = 0,
     parameter ctop_core8_exvf_msixpba_bir_pf1                                       = 0,
     parameter ctop_core8_exvf_msixpba_bir_pf2                                       = 0,
     parameter ctop_core8_exvf_msixpba_bir_pf3                                       = 0,
     parameter ctop_core8_exvf_msixpba_bir_pf4                                       = 0,
     parameter ctop_core8_exvf_msixpba_bir_pf5                                       = 0,
     parameter ctop_core8_exvf_msixpba_bir_pf6                                       = 0,
     parameter ctop_core8_exvf_msixpba_bir_pf7                                       = 0,
     parameter ctop_core8_exvf_msixpba_offset_pf0                                    = 0,
     parameter ctop_core8_exvf_msixpba_offset_pf1                                    = 0,
     parameter ctop_core8_exvf_msixpba_offset_pf2                                    = 0,
     parameter ctop_core8_exvf_msixpba_offset_pf3                                    = 0,
     parameter ctop_core8_exvf_msixpba_offset_pf4                                    = 0,
     parameter ctop_core8_exvf_msixpba_offset_pf5                                    = 0,
     parameter ctop_core8_exvf_msixpba_offset_pf6                                    = 0,
     parameter ctop_core8_exvf_msixpba_offset_pf7                                    = 0,
     parameter ctop_core8_exvf_msixtable_bir_pf0                                     = 0,
     parameter ctop_core8_exvf_msixtable_bir_pf1                                     = 0,
     parameter ctop_core8_exvf_msixtable_bir_pf2                                     = 0,
     parameter ctop_core8_exvf_msixtable_bir_pf3                                     = 0,
     parameter ctop_core8_exvf_msixtable_bir_pf4                                     = 0,
     parameter ctop_core8_exvf_msixtable_bir_pf5                                     = 0,
     parameter ctop_core8_exvf_msixtable_bir_pf6                                     = 0,
     parameter ctop_core8_exvf_msixtable_bir_pf7                                     = 0,
     parameter ctop_core8_exvf_msixtable_offset_pf0                                  = 0,
     parameter ctop_core8_exvf_msixtable_offset_pf1                                  = 0,
     parameter ctop_core8_exvf_msixtable_offset_pf2                                  = 0,
     parameter ctop_core8_exvf_msixtable_offset_pf3                                  = 0,
     parameter ctop_core8_exvf_msixtable_offset_pf4                                  = 0,
     parameter ctop_core8_exvf_msixtable_offset_pf5                                  = 0,
     parameter ctop_core8_exvf_msixtable_offset_pf6                                  = 0,
     parameter ctop_core8_exvf_msixtable_offset_pf7                                  = 0,
     parameter ctop_core8_exvf_subsysid_pf0                                          = 0,
     parameter ctop_core8_exvf_subsysid_pf1                                          = 0,
     parameter ctop_core8_exvf_subsysid_pf2                                          = 0,
     parameter ctop_core8_exvf_subsysid_pf3                                          = 0,
     parameter ctop_core8_exvf_subsysid_pf4                                          = 0,
     parameter ctop_core8_exvf_subsysid_pf5                                          = 0,
     parameter ctop_core8_exvf_subsysid_pf6                                          = 0,
     parameter ctop_core8_exvf_subsysid_pf7                                          = 0,
     parameter ctop_core8_pf0_acs_cap_acs_at_block                                   = "DISABLE",
     parameter ctop_core8_pf0_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
     parameter ctop_core8_pf0_acs_cap_acs_egress_ctrl_size                           = 8,
     parameter ctop_core8_pf0_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
     parameter ctop_core8_pf0_acs_cap_acs_p2p_egress_control                         = "DISABLE",
     parameter ctop_core8_pf0_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
     parameter ctop_core8_pf0_acs_cap_acs_src_valid                                  = "DISABLE",
     parameter ctop_core8_pf0_acs_cap_acs_usp_forwarding                             = "DISABLE",
     parameter ctop_core8_pf0_auto_lane_flip_ctrl_en                                 = "DISABLE",
     parameter ctop_core8_pf0_bar0_prefetch                                          = "FALSE",
     parameter ctop_core8_pf0_bar0_type                                              = "CTOP_CORE8_PF0_BAR0_MEM32",
     parameter ctop_core8_pf0_bar1_prefetch                                          = "FALSE",
     parameter ctop_core8_pf0_bar2_prefetch                                          = "FALSE",
     parameter ctop_core8_pf0_bar2_type                                              = "CTOP_CORE8_PF0_BAR2_MEM32",
     parameter ctop_core8_pf0_bar3_prefetch                                          = "FALSE",
     parameter ctop_core8_pf0_bar4_prefetch                                          = "FALSE",
     parameter ctop_core8_pf0_bar4_type                                              = "CTOP_CORE8_PF0_BAR4_MEM32",
     parameter ctop_core8_pf0_bar5_prefetch                                          = "FALSE",
     parameter ctop_core8_pf0_base_class_code                                        = 255,
     parameter ctop_core8_pf0_eq_redo                                                = "ENABLE",
     parameter ctop_core8_pf0_eq_redo_atg4                                           = "ENABLE",
     parameter ctop_core8_pf0_gen3_eq_pset_req_vec                                   = 4,
     parameter ctop_core8_pf0_gen3_eq_pset_req_vec_atg4                              = 624,
     parameter ctop_core8_pf0_int_pin                                                = "CTOP_CORE8_PF0_NO_INT",
     parameter ctop_core8_pf0_loopback_enable                                        = "FALSE",
     parameter ctop_core8_pf0_pasid_cap_execute_permission_supported                 = "DISABLE",
     parameter ctop_core8_pf0_pasid_cap_max_pasid_width                              = 0,
     parameter ctop_core8_pf0_pasid_cap_privileged_mode_supported                    = "DISABLE",
     parameter ctop_core8_pf0_pci_msi_64_bit_addr_cap                                = "FALSE",
     parameter ctop_core8_pf0_pci_msi_ext_data_cap                                   = "FALSE",
     parameter ctop_core8_pf0_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF0_MSI_VEC_1",
     parameter ctop_core8_pf0_pci_msix_bir                                           = 0,
     parameter ctop_core8_pf0_pci_msix_pba                                           = 0,
     parameter ctop_core8_pf0_pci_msix_pba_offset                                    = 0,
     parameter ctop_core8_pf0_pci_msix_table_offset                                  = 0,
     parameter ctop_core8_pf0_pci_msix_table_size                                    = 0,
     parameter ctop_core8_pf0_pci_msix_table_size_vfcomm_cs2                         = 0,
     parameter ctop_core8_pf0_pci_type0_bar0_enabled                                 = "DISABLE",
     parameter ctop_core8_pf0_pci_type0_bar1_enabled                                 = "DISABLE",
     parameter ctop_core8_pf0_pci_type0_bar2_enabled                                 = "DISABLE",
     parameter ctop_core8_pf0_pci_type0_bar3_enabled                                 = "DISABLE",
     parameter ctop_core8_pf0_pci_type0_bar4_enabled                                 = "DISABLE",
     parameter ctop_core8_pf0_pci_type0_bar5_enabled                                 = "DISABLE",
     parameter ctop_core8_pf0_pci_type0_device_id                                    = 0,
     parameter ctop_core8_pf0_pci_type0_vendor_id                                    = 0,
     parameter ctop_core8_pf0_pcie_cap_attention_indicator                           = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_attention_indicator_button                    = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_electromech_interlock                         = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_ep_l0s_accpt_latency                          = 0,
     parameter ctop_core8_pf0_pcie_cap_ep_l1_accpt_latency                           = 0,
     parameter ctop_core8_pf0_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF0_NOT_SUPPORTED",
     parameter ctop_core8_pf0_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF0_NOT_CAPABLE",
     parameter ctop_core8_pf0_pcie_cap_hot_plug_capable                              = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_hot_plug_surprise                             = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_mrl_sensor                                    = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_no_cmd_cpl_support                            = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_phy_slot_num                                  = 0,
     parameter ctop_core8_pf0_pcie_cap_port_num                                      = 0,
     parameter ctop_core8_pf0_pcie_cap_power_controller                              = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_power_indicator                               = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_sel_deemphasis                                = "CTOP_CORE8_PF0_MINUS_6DB",
     parameter ctop_core8_pf0_pcie_cap_slot_clk_config                               = "FALSE",
     parameter ctop_core8_pf0_pcie_cap_slot_power_limit_scale                        = 0,
     parameter ctop_core8_pf0_pcie_cap_slot_power_limit_value                        = 0,
     parameter ctop_core8_pf0_pcie_slot_imp                                          = "CTOP_CORE8_PF0_NOT_IMPLEMENTED",
     parameter ctop_core8_pf0_pme_support                                            = 0,
     parameter ctop_core8_pf0_program_interface                                      = 0,
     parameter ctop_core8_pf0_revision_id                                            = 0,
     parameter ctop_core8_pf0_rom_bar_enabled                                        = "DISABLE",
     parameter ctop_core8_pf0_rp_rom_bar_enabled                                     = "DISABLE",
     parameter ctop_core8_pf0_shadow_sriov_vf_stride_ari_cs2                         = 0,
     parameter ctop_core8_pf0_sriov_sup_page_size                                    = "0",
     parameter ctop_core8_pf0_sriov_vf_bar0_prefetch                                 = "FALSE",
     parameter ctop_core8_pf0_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF0_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core8_pf0_sriov_vf_bar1_prefetch                                 = "FALSE",
     parameter ctop_core8_pf0_sriov_vf_bar2_prefetch                                 = "FALSE",
     parameter ctop_core8_pf0_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF0_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core8_pf0_sriov_vf_bar3_prefetch                                 = "FALSE",
     parameter ctop_core8_pf0_sriov_vf_bar4_prefetch                                 = "FALSE",
     parameter ctop_core8_pf0_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF0_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core8_pf0_sriov_vf_bar5_prefetch                                 = "FALSE",
     parameter ctop_core8_pf0_sriov_vf_device_id                                     = 0,
     parameter ctop_core8_pf0_sriov_vf_offset_ari_cs2                                = 0,
     parameter ctop_core8_pf0_sriov_vf_offset_nonari                                 = 0,
     parameter ctop_core8_pf0_sriov_vf_stride_nonari                                 = 0,
     parameter ctop_core8_pf0_subclass_code                                          = 0,
     parameter ctop_core8_pf0_subsys_dev_id                                          = 0,
     parameter ctop_core8_pf0_subsys_vendor_id                                       = 0,
     parameter ctop_core8_pf0_tph_req_cap_int_vec                                    = "DISABLE",
     parameter ctop_core8_pf0_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF0_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core8_pf0_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF0_NOT_IN_MSIX_TABLE",
     parameter ctop_core8_pf0_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF0_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core8_pf0_tph_req_cap_st_table_size                              = 0,
     parameter ctop_core8_pf0_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
     parameter ctop_core8_pf0_tph_req_device_spec                                    = "DISABLE",
     parameter ctop_core8_pf0_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf1_acs_cap_acs_at_block                                   = "DISABLE",
     parameter ctop_core8_pf1_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
     parameter ctop_core8_pf1_acs_cap_acs_egress_ctrl_size                           = 8,
     parameter ctop_core8_pf1_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
     parameter ctop_core8_pf1_acs_cap_acs_p2p_egress_control                         = "DISABLE",
     parameter ctop_core8_pf1_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
     parameter ctop_core8_pf1_acs_cap_acs_src_valid                                  = "DISABLE",
     parameter ctop_core8_pf1_acs_cap_acs_usp_forwarding                             = "DISABLE",
     parameter ctop_core8_pf1_bar0_prefetch                                          = "FALSE",
     parameter ctop_core8_pf1_bar0_type                                              = "CTOP_CORE8_PF1_BAR0_MEM32",
     parameter ctop_core8_pf1_bar1_prefetch                                          = "FALSE",
     parameter ctop_core8_pf1_bar2_prefetch                                          = "FALSE",
     parameter ctop_core8_pf1_bar2_type                                              = "CTOP_CORE8_PF1_BAR2_MEM32",
     parameter ctop_core8_pf1_bar3_prefetch                                          = "FALSE",
     parameter ctop_core8_pf1_bar4_prefetch                                          = "FALSE",
     parameter ctop_core8_pf1_bar4_type                                              = "CTOP_CORE8_PF1_BAR4_MEM32",
     parameter ctop_core8_pf1_bar5_prefetch                                          = "FALSE",
     parameter ctop_core8_pf1_base_class_code                                        = 255,
     parameter ctop_core8_pf1_int_pin                                                = "CTOP_CORE8_PF1_NO_INT",
     parameter ctop_core8_pf1_pasid_cap_execute_permission_supported                 = "DISABLE",
     parameter ctop_core8_pf1_pasid_cap_max_pasid_width                              = 0,
     parameter ctop_core8_pf1_pasid_cap_privileged_mode_supported                    = "DISABLE",
     parameter ctop_core8_pf1_pci_msi_64_bit_addr_cap                                = "FALSE",
     parameter ctop_core8_pf1_pci_msi_ext_data_cap                                   = "FALSE",
     parameter ctop_core8_pf1_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF1_MSI_VEC_1",
     parameter ctop_core8_pf1_pci_msix_bir                                           = 0,
     parameter ctop_core8_pf1_pci_msix_pba                                           = 0,
     parameter ctop_core8_pf1_pci_msix_pba_offset                                    = 0,
     parameter ctop_core8_pf1_pci_msix_table_offset                                  = 0,
     parameter ctop_core8_pf1_pci_msix_table_size                                    = 0,
     parameter ctop_core8_pf1_pci_msix_table_size_vfcomm_cs2                         = 0,
     parameter ctop_core8_pf1_pci_type0_bar0_enabled                                 = "DISABLE",
     parameter ctop_core8_pf1_pci_type0_bar1_enabled                                 = "DISABLE",
     parameter ctop_core8_pf1_pci_type0_bar2_enabled                                 = "DISABLE",
     parameter ctop_core8_pf1_pci_type0_bar3_enabled                                 = "DISABLE",
     parameter ctop_core8_pf1_pci_type0_bar4_enabled                                 = "DISABLE",
     parameter ctop_core8_pf1_pci_type0_bar5_enabled                                 = "DISABLE",
     parameter ctop_core8_pf1_pci_type0_device_id                                    = 0,
     parameter ctop_core8_pf1_pci_type0_vendor_id                                    = 0,
     parameter ctop_core8_pf1_pcie_cap_ep_l0s_accpt_latency                          = 0,
     parameter ctop_core8_pf1_pcie_cap_ep_l1_accpt_latency                           = 0,
     parameter ctop_core8_pf1_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF1_NOT_SUPPORTED",
     parameter ctop_core8_pf1_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF1_NOT_CAPABLE",
     parameter ctop_core8_pf1_pcie_cap_slot_clk_config                               = "FALSE",
     parameter ctop_core8_pf1_pme_support                                            = 0,
     parameter ctop_core8_pf1_program_interface                                      = 0,
     parameter ctop_core8_pf1_revision_id                                            = 0,
     parameter ctop_core8_pf1_rom_bar_enabled                                        = "DISABLE",
     parameter ctop_core8_pf1_shadow_sriov_vf_stride_ari_cs2                         = 0,
     parameter ctop_core8_pf1_sriov_sup_page_size                                    = "0",
     parameter ctop_core8_pf1_sriov_vf_bar0_prefetch                                 = "FALSE",
     parameter ctop_core8_pf1_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF1_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core8_pf1_sriov_vf_bar1_prefetch                                 = "FALSE",
     parameter ctop_core8_pf1_sriov_vf_bar2_prefetch                                 = "FALSE",
     parameter ctop_core8_pf1_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF1_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core8_pf1_sriov_vf_bar3_prefetch                                 = "FALSE",
     parameter ctop_core8_pf1_sriov_vf_bar4_prefetch                                 = "FALSE",
     parameter ctop_core8_pf1_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF1_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core8_pf1_sriov_vf_bar5_prefetch                                 = "FALSE",
     parameter ctop_core8_pf1_sriov_vf_device_id                                     = 0,
     parameter ctop_core8_pf1_sriov_vf_offset_ari_cs2                                = 0,
     parameter ctop_core8_pf1_sriov_vf_offset_position_nonari                        = 0,
     parameter ctop_core8_pf1_sriov_vf_stride_nonari                                 = 0,
     parameter ctop_core8_pf1_subclass_code                                          = 0,
     parameter ctop_core8_pf1_subsys_dev_id                                          = 0,
     parameter ctop_core8_pf1_subsys_vendor_id                                       = 0,
     parameter ctop_core8_pf1_tph_req_cap_int_vec                                    = "DISABLE",
     parameter ctop_core8_pf1_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf1_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF1_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core8_pf1_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF1_NOT_IN_MSIX_TABLE",
     parameter ctop_core8_pf1_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF1_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core8_pf1_tph_req_cap_st_table_size                              = 0,
     parameter ctop_core8_pf1_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
     parameter ctop_core8_pf1_tph_req_device_spec                                    = "DISABLE",
     parameter ctop_core8_pf1_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf2_acs_cap_acs_at_block                                   = "DISABLE",
     parameter ctop_core8_pf2_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
     parameter ctop_core8_pf2_acs_cap_acs_egress_ctrl_size                           = 8,
     parameter ctop_core8_pf2_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
     parameter ctop_core8_pf2_acs_cap_acs_p2p_egress_control                         = "DISABLE",
     parameter ctop_core8_pf2_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
     parameter ctop_core8_pf2_acs_cap_acs_src_valid                                  = "DISABLE",
     parameter ctop_core8_pf2_acs_cap_acs_usp_forwarding                             = "DISABLE",
     parameter ctop_core8_pf2_bar0_prefetch                                          = "FALSE",
     parameter ctop_core8_pf2_bar0_type                                              = "CTOP_CORE8_PF2_BAR0_MEM32",
     parameter ctop_core8_pf2_bar1_prefetch                                          = "FALSE",
     parameter ctop_core8_pf2_bar2_prefetch                                          = "FALSE",
     parameter ctop_core8_pf2_bar2_type                                              = "CTOP_CORE8_PF2_BAR2_MEM32",
     parameter ctop_core8_pf2_bar3_prefetch                                          = "FALSE",
     parameter ctop_core8_pf2_bar4_prefetch                                          = "FALSE",
     parameter ctop_core8_pf2_bar4_type                                              = "CTOP_CORE8_PF2_BAR4_MEM32",
     parameter ctop_core8_pf2_bar5_prefetch                                          = "FALSE",
     parameter ctop_core8_pf2_base_class_code                                        = 255,
     parameter ctop_core8_pf2_int_pin                                                = "CTOP_CORE8_PF2_NO_INT",
     parameter ctop_core8_pf2_pasid_cap_execute_permission_supported                 = "DISABLE",
     parameter ctop_core8_pf2_pasid_cap_max_pasid_width                              = 0,
     parameter ctop_core8_pf2_pasid_cap_privileged_mode_supported                    = "DISABLE",
     parameter ctop_core8_pf2_pci_msi_64_bit_addr_cap                                = "FALSE",
     parameter ctop_core8_pf2_pci_msi_ext_data_cap                                   = "FALSE",
     parameter ctop_core8_pf2_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF2_MSI_VEC_1",
     parameter ctop_core8_pf2_pci_msix_bir                                           = 0,
     parameter ctop_core8_pf2_pci_msix_pba                                           = 0,
     parameter ctop_core8_pf2_pci_msix_pba_offset                                    = 0,
     parameter ctop_core8_pf2_pci_msix_table_offset                                  = 0,
     parameter ctop_core8_pf2_pci_msix_table_size                                    = 0,
     parameter ctop_core8_pf2_pci_msix_table_size_vfcomm_cs2                         = 0,
     parameter ctop_core8_pf2_pci_type0_bar0_enabled                                 = "DISABLE",
     parameter ctop_core8_pf2_pci_type0_bar1_enabled                                 = "DISABLE",
     parameter ctop_core8_pf2_pci_type0_bar2_enabled                                 = "DISABLE",
     parameter ctop_core8_pf2_pci_type0_bar3_enabled                                 = "DISABLE",
     parameter ctop_core8_pf2_pci_type0_bar4_enabled                                 = "DISABLE",
     parameter ctop_core8_pf2_pci_type0_bar5_enabled                                 = "DISABLE",
     parameter ctop_core8_pf2_pci_type0_device_id                                    = 0,
     parameter ctop_core8_pf2_pci_type0_vendor_id                                    = 0,
     parameter ctop_core8_pf2_pcie_cap_ep_l0s_accpt_latency                          = 0,
     parameter ctop_core8_pf2_pcie_cap_ep_l1_accpt_latency                           = 0,
     parameter ctop_core8_pf2_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF2_NOT_SUPPORTED",
     parameter ctop_core8_pf2_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF2_NOT_CAPABLE",
     parameter ctop_core8_pf2_pcie_cap_slot_clk_config                               = "FALSE",
     parameter ctop_core8_pf2_pme_support                                            = 0,
     parameter ctop_core8_pf2_program_interface                                      = 0,
     parameter ctop_core8_pf2_revision_id                                            = 0,
     parameter ctop_core8_pf2_rom_bar_enabled                                        = "DISABLE",
     parameter ctop_core8_pf2_shadow_sriov_vf_stride_ari_cs2                         = 0,
     parameter ctop_core8_pf2_sriov_sup_page_size                                    = "0",
     parameter ctop_core8_pf2_sriov_vf_bar0_prefetch                                 = "FALSE",
     parameter ctop_core8_pf2_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF2_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core8_pf2_sriov_vf_bar1_prefetch                                 = "FALSE",
     parameter ctop_core8_pf2_sriov_vf_bar2_prefetch                                 = "FALSE",
     parameter ctop_core8_pf2_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF2_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core8_pf2_sriov_vf_bar3_prefetch                                 = "FALSE",
     parameter ctop_core8_pf2_sriov_vf_bar4_prefetch                                 = "FALSE",
     parameter ctop_core8_pf2_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF2_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core8_pf2_sriov_vf_bar5_prefetch                                 = "FALSE",
     parameter ctop_core8_pf2_sriov_vf_device_id                                     = 0,
     parameter ctop_core8_pf2_sriov_vf_offset_ari_cs2                                = 0,
     parameter ctop_core8_pf2_sriov_vf_offset_position_nonari                        = 0,
     parameter ctop_core8_pf2_sriov_vf_stride_nonari                                 = 0,
     parameter ctop_core8_pf2_subclass_code                                          = 0,
     parameter ctop_core8_pf2_subsys_dev_id                                          = 0,
     parameter ctop_core8_pf2_subsys_vendor_id                                       = 0,
     parameter ctop_core8_pf2_tph_req_cap_int_vec                                    = "DISABLE",
     parameter ctop_core8_pf2_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf2_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF2_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core8_pf2_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF2_NOT_IN_MSIX_TABLE",
     parameter ctop_core8_pf2_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF2_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core8_pf2_tph_req_cap_st_table_size                              = 0,
     parameter ctop_core8_pf2_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
     parameter ctop_core8_pf2_tph_req_device_spec                                    = "DISABLE",
     parameter ctop_core8_pf2_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf3_acs_cap_acs_at_block                                   = "DISABLE",
     parameter ctop_core8_pf3_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
     parameter ctop_core8_pf3_acs_cap_acs_egress_ctrl_size                           = 8,
     parameter ctop_core8_pf3_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
     parameter ctop_core8_pf3_acs_cap_acs_p2p_egress_control                         = "DISABLE",
     parameter ctop_core8_pf3_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
     parameter ctop_core8_pf3_acs_cap_acs_src_valid                                  = "DISABLE",
     parameter ctop_core8_pf3_acs_cap_acs_usp_forwarding                             = "DISABLE",
     parameter ctop_core8_pf3_bar0_prefetch                                          = "FALSE",
     parameter ctop_core8_pf3_bar0_type                                              = "CTOP_CORE8_PF3_BAR0_MEM32",
     parameter ctop_core8_pf3_bar1_prefetch                                          = "FALSE",
     parameter ctop_core8_pf3_bar2_prefetch                                          = "FALSE",
     parameter ctop_core8_pf3_bar2_type                                              = "CTOP_CORE8_PF3_BAR2_MEM32",
     parameter ctop_core8_pf3_bar3_prefetch                                          = "FALSE",
     parameter ctop_core8_pf3_bar4_prefetch                                          = "FALSE",
     parameter ctop_core8_pf3_bar4_type                                              = "CTOP_CORE8_PF3_BAR4_MEM32",
     parameter ctop_core8_pf3_bar5_prefetch                                          = "FALSE",
     parameter ctop_core8_pf3_base_class_code                                        = 255,
     parameter ctop_core8_pf3_int_pin                                                = "CTOP_CORE8_PF3_NO_INT",
     parameter ctop_core8_pf3_pasid_cap_execute_permission_supported                 = "DISABLE",
     parameter ctop_core8_pf3_pasid_cap_max_pasid_width                              = 0,
     parameter ctop_core8_pf3_pasid_cap_privileged_mode_supported                    = "DISABLE",
     parameter ctop_core8_pf3_pci_msi_64_bit_addr_cap                                = "FALSE",
     parameter ctop_core8_pf3_pci_msi_ext_data_cap                                   = "FALSE",
     parameter ctop_core8_pf3_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF3_MSI_VEC_1",
     parameter ctop_core8_pf3_pci_msix_bir                                           = 0,
     parameter ctop_core8_pf3_pci_msix_pba                                           = 0,
     parameter ctop_core8_pf3_pci_msix_pba_offset                                    = 0,
     parameter ctop_core8_pf3_pci_msix_table_offset                                  = 0,
     parameter ctop_core8_pf3_pci_msix_table_size                                    = 0,
     parameter ctop_core8_pf3_pci_msix_table_size_vfcomm_cs2                         = 0,
     parameter ctop_core8_pf3_pci_type0_bar0_enabled                                 = "DISABLE",
     parameter ctop_core8_pf3_pci_type0_bar1_enabled                                 = "DISABLE",
     parameter ctop_core8_pf3_pci_type0_bar2_enabled                                 = "DISABLE",
     parameter ctop_core8_pf3_pci_type0_bar3_enabled                                 = "DISABLE",
     parameter ctop_core8_pf3_pci_type0_bar4_enabled                                 = "DISABLE",
     parameter ctop_core8_pf3_pci_type0_bar5_enabled                                 = "DISABLE",
     parameter ctop_core8_pf3_pci_type0_device_id                                    = 0,
     parameter ctop_core8_pf3_pci_type0_vendor_id                                    = 0,
     parameter ctop_core8_pf3_pcie_cap_ep_l0s_accpt_latency                          = 0,
     parameter ctop_core8_pf3_pcie_cap_ep_l1_accpt_latency                           = 0,
     parameter ctop_core8_pf3_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF3_NOT_SUPPORTED",
     parameter ctop_core8_pf3_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF3_NOT_CAPABLE",
     parameter ctop_core8_pf3_pcie_cap_slot_clk_config                               = "FALSE",
     parameter ctop_core8_pf3_pme_support                                            = 0,
     parameter ctop_core8_pf3_program_interface                                      = 0,
     parameter ctop_core8_pf3_revision_id                                            = 0,
     parameter ctop_core8_pf3_rom_bar_enabled                                        = "DISABLE",
     parameter ctop_core8_pf3_shadow_sriov_vf_stride_ari_cs2                         = 0,
     parameter ctop_core8_pf3_sriov_sup_page_size                                    = "0",
     parameter ctop_core8_pf3_sriov_vf_bar0_prefetch                                 = "FALSE",
     parameter ctop_core8_pf3_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF3_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core8_pf3_sriov_vf_bar1_prefetch                                 = "FALSE",
     parameter ctop_core8_pf3_sriov_vf_bar2_prefetch                                 = "FALSE",
     parameter ctop_core8_pf3_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF3_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core8_pf3_sriov_vf_bar3_prefetch                                 = "FALSE",
     parameter ctop_core8_pf3_sriov_vf_bar4_prefetch                                 = "FALSE",
     parameter ctop_core8_pf3_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF3_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core8_pf3_sriov_vf_bar5_prefetch                                 = "FALSE",
     parameter ctop_core8_pf3_sriov_vf_device_id                                     = 0,
     parameter ctop_core8_pf3_sriov_vf_offset_ari_cs2                                = 0,
     parameter ctop_core8_pf3_sriov_vf_offset_position_nonari                        = 0,
     parameter ctop_core8_pf3_sriov_vf_stride_nonari                                 = 0,
     parameter ctop_core8_pf3_subclass_code                                          = 0,
     parameter ctop_core8_pf3_subsys_dev_id                                          = 0,
     parameter ctop_core8_pf3_subsys_vendor_id                                       = 0,
     parameter ctop_core8_pf3_tph_req_cap_int_vec                                    = "DISABLE",
     parameter ctop_core8_pf3_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf3_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF3_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core8_pf3_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF3_NOT_IN_MSIX_TABLE",
     parameter ctop_core8_pf3_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF3_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core8_pf3_tph_req_cap_st_table_size                              = 0,
     parameter ctop_core8_pf3_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
     parameter ctop_core8_pf3_tph_req_device_spec                                    = "DISABLE",
     parameter ctop_core8_pf3_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf4_acs_cap_acs_at_block                                   = "DISABLE",
     parameter ctop_core8_pf4_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
     parameter ctop_core8_pf4_acs_cap_acs_egress_ctrl_size                           = 8,
     parameter ctop_core8_pf4_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
     parameter ctop_core8_pf4_acs_cap_acs_p2p_egress_control                         = "DISABLE",
     parameter ctop_core8_pf4_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
     parameter ctop_core8_pf4_acs_cap_acs_src_valid                                  = "DISABLE",
     parameter ctop_core8_pf4_acs_cap_acs_usp_forwarding                             = "DISABLE",
     parameter ctop_core8_pf4_bar0_prefetch                                          = "FALSE",
     parameter ctop_core8_pf4_bar0_type                                              = "CTOP_CORE8_PF4_BAR0_MEM32",
     parameter ctop_core8_pf4_bar1_prefetch                                          = "FALSE",
     parameter ctop_core8_pf4_bar2_prefetch                                          = "FALSE",
     parameter ctop_core8_pf4_bar2_type                                              = "CTOP_CORE8_PF4_BAR2_MEM32",
     parameter ctop_core8_pf4_bar3_prefetch                                          = "FALSE",
     parameter ctop_core8_pf4_bar4_prefetch                                          = "FALSE",
     parameter ctop_core8_pf4_bar4_type                                              = "CTOP_CORE8_PF4_BAR4_MEM32",
     parameter ctop_core8_pf4_bar5_prefetch                                          = "FALSE",
     parameter ctop_core8_pf4_base_class_code                                        = 255,
     parameter ctop_core8_pf4_int_pin                                                = "CTOP_CORE8_PF4_NO_INT",
     parameter ctop_core8_pf4_pasid_cap_execute_permission_supported                 = "DISABLE",
     parameter ctop_core8_pf4_pasid_cap_max_pasid_width                              = 0,
     parameter ctop_core8_pf4_pasid_cap_privileged_mode_supported                    = "DISABLE",
     parameter ctop_core8_pf4_pci_msi_64_bit_addr_cap                                = "FALSE",
     parameter ctop_core8_pf4_pci_msi_ext_data_cap                                   = "FALSE",
     parameter ctop_core8_pf4_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF4_MSI_VEC_1",
     parameter ctop_core8_pf4_pci_msix_bir                                           = 0,
     parameter ctop_core8_pf4_pci_msix_pba                                           = 0,
     parameter ctop_core8_pf4_pci_msix_pba_offset                                    = 0,
     parameter ctop_core8_pf4_pci_msix_table_offset                                  = 0,
     parameter ctop_core8_pf4_pci_msix_table_size                                    = 0,
     parameter ctop_core8_pf4_pci_msix_table_size_vfcomm_cs2                         = 0,
     parameter ctop_core8_pf4_pci_type0_bar0_enabled                                 = "DISABLE",
     parameter ctop_core8_pf4_pci_type0_bar1_enabled                                 = "DISABLE",
     parameter ctop_core8_pf4_pci_type0_bar2_enabled                                 = "DISABLE",
     parameter ctop_core8_pf4_pci_type0_bar3_enabled                                 = "DISABLE",
     parameter ctop_core8_pf4_pci_type0_bar4_enabled                                 = "DISABLE",
     parameter ctop_core8_pf4_pci_type0_bar5_enabled                                 = "DISABLE",
     parameter ctop_core8_pf4_pci_type0_device_id                                    = 0,
     parameter ctop_core8_pf4_pci_type0_vendor_id                                    = 0,
     parameter ctop_core8_pf4_pcie_cap_ep_l0s_accpt_latency                          = 0,
     parameter ctop_core8_pf4_pcie_cap_ep_l1_accpt_latency                           = 0,
     parameter ctop_core8_pf4_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF4_NOT_SUPPORTED",
     parameter ctop_core8_pf4_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF4_NOT_CAPABLE",
     parameter ctop_core8_pf4_pcie_cap_slot_clk_config                               = "FALSE",
     parameter ctop_core8_pf4_pme_support                                            = 0,
     parameter ctop_core8_pf4_program_interface                                      = 0,
     parameter ctop_core8_pf4_revision_id                                            = 0,
     parameter ctop_core8_pf4_rom_bar_enabled                                        = "DISABLE",
     parameter ctop_core8_pf4_shadow_sriov_vf_stride_ari_cs2                         = 0,
     parameter ctop_core8_pf4_sriov_sup_page_size                                    = "0",
     parameter ctop_core8_pf4_sriov_vf_bar0_prefetch                                 = "FALSE",
     parameter ctop_core8_pf4_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF4_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core8_pf4_sriov_vf_bar1_prefetch                                 = "FALSE",
     parameter ctop_core8_pf4_sriov_vf_bar2_prefetch                                 = "FALSE",
     parameter ctop_core8_pf4_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF4_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core8_pf4_sriov_vf_bar3_prefetch                                 = "FALSE",
     parameter ctop_core8_pf4_sriov_vf_bar4_prefetch                                 = "FALSE",
     parameter ctop_core8_pf4_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF4_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core8_pf4_sriov_vf_bar5_prefetch                                 = "FALSE",
     parameter ctop_core8_pf4_sriov_vf_device_id                                     = 0,
     parameter ctop_core8_pf4_sriov_vf_offset_ari_cs2                                = 0,
     parameter ctop_core8_pf4_sriov_vf_offset_position_nonari                        = 0,
     parameter ctop_core8_pf4_sriov_vf_stride_nonari                                 = 0,
     parameter ctop_core8_pf4_subclass_code                                          = 0,
     parameter ctop_core8_pf4_subsys_dev_id                                          = 0,
     parameter ctop_core8_pf4_subsys_vendor_id                                       = 0,
     parameter ctop_core8_pf4_tph_req_cap_int_vec                                    = "DISABLE",
     parameter ctop_core8_pf4_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf4_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF4_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core8_pf4_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF4_NOT_IN_MSIX_TABLE",
     parameter ctop_core8_pf4_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF4_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core8_pf4_tph_req_cap_st_table_size                              = 0,
     parameter ctop_core8_pf4_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
     parameter ctop_core8_pf4_tph_req_device_spec                                    = "DISABLE",
     parameter ctop_core8_pf4_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf5_acs_cap_acs_at_block                                   = "DISABLE",
     parameter ctop_core8_pf5_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
     parameter ctop_core8_pf5_acs_cap_acs_egress_ctrl_size                           = 8,
     parameter ctop_core8_pf5_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
     parameter ctop_core8_pf5_acs_cap_acs_p2p_egress_control                         = "DISABLE",
     parameter ctop_core8_pf5_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
     parameter ctop_core8_pf5_acs_cap_acs_src_valid                                  = "DISABLE",
     parameter ctop_core8_pf5_acs_cap_acs_usp_forwarding                             = "DISABLE",
     parameter ctop_core8_pf5_bar0_prefetch                                          = "FALSE",
     parameter ctop_core8_pf5_bar0_type                                              = "CTOP_CORE8_PF5_BAR0_MEM32",
     parameter ctop_core8_pf5_bar1_prefetch                                          = "FALSE",
     parameter ctop_core8_pf5_bar2_prefetch                                          = "FALSE",
     parameter ctop_core8_pf5_bar2_type                                              = "CTOP_CORE8_PF5_BAR2_MEM32",
     parameter ctop_core8_pf5_bar3_prefetch                                          = "FALSE",
     parameter ctop_core8_pf5_bar4_prefetch                                          = "FALSE",
     parameter ctop_core8_pf5_bar4_type                                              = "CTOP_CORE8_PF5_BAR4_MEM32",
     parameter ctop_core8_pf5_bar5_prefetch                                          = "FALSE",
     parameter ctop_core8_pf5_base_class_code                                        = 255,
     parameter ctop_core8_pf5_int_pin                                                = "CTOP_CORE8_PF5_NO_INT",
     parameter ctop_core8_pf5_pasid_cap_execute_permission_supported                 = "DISABLE",
     parameter ctop_core8_pf5_pasid_cap_max_pasid_width                              = 0,
     parameter ctop_core8_pf5_pasid_cap_privileged_mode_supported                    = "DISABLE",
     parameter ctop_core8_pf5_pci_msi_64_bit_addr_cap                                = "FALSE",
     parameter ctop_core8_pf5_pci_msi_ext_data_cap                                   = "FALSE",
     parameter ctop_core8_pf5_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF5_MSI_VEC_1",
     parameter ctop_core8_pf5_pci_msix_bir                                           = 0,
     parameter ctop_core8_pf5_pci_msix_pba                                           = 0,
     parameter ctop_core8_pf5_pci_msix_pba_offset                                    = 0,
     parameter ctop_core8_pf5_pci_msix_table_offset                                  = 0,
     parameter ctop_core8_pf5_pci_msix_table_size                                    = 0,
     parameter ctop_core8_pf5_pci_msix_table_size_vfcomm_cs2                         = 0,
     parameter ctop_core8_pf5_pci_type0_bar0_enabled                                 = "DISABLE",
     parameter ctop_core8_pf5_pci_type0_bar1_enabled                                 = "DISABLE",
     parameter ctop_core8_pf5_pci_type0_bar2_enabled                                 = "DISABLE",
     parameter ctop_core8_pf5_pci_type0_bar3_enabled                                 = "DISABLE",
     parameter ctop_core8_pf5_pci_type0_bar4_enabled                                 = "DISABLE",
     parameter ctop_core8_pf5_pci_type0_bar5_enabled                                 = "DISABLE",
     parameter ctop_core8_pf5_pci_type0_device_id                                    = 0,
     parameter ctop_core8_pf5_pci_type0_vendor_id                                    = 0,
     parameter ctop_core8_pf5_pcie_cap_ep_l0s_accpt_latency                          = 0,
     parameter ctop_core8_pf5_pcie_cap_ep_l1_accpt_latency                           = 0,
     parameter ctop_core8_pf5_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF5_NOT_SUPPORTED",
     parameter ctop_core8_pf5_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF5_NOT_CAPABLE",
     parameter ctop_core8_pf5_pcie_cap_slot_clk_config                               = "FALSE",
     parameter ctop_core8_pf5_pme_support                                            = 0,
     parameter ctop_core8_pf5_program_interface                                      = 0,
     parameter ctop_core8_pf5_revision_id                                            = 0,
     parameter ctop_core8_pf5_rom_bar_enabled                                        = "DISABLE",
     parameter ctop_core8_pf5_shadow_sriov_vf_stride_ari_cs2                         = 0,
     parameter ctop_core8_pf5_sriov_sup_page_size                                    = "0",
     parameter ctop_core8_pf5_sriov_vf_bar0_prefetch                                 = "FALSE",
     parameter ctop_core8_pf5_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF5_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core8_pf5_sriov_vf_bar1_prefetch                                 = "FALSE",
     parameter ctop_core8_pf5_sriov_vf_bar2_prefetch                                 = "FALSE",
     parameter ctop_core8_pf5_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF5_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core8_pf5_sriov_vf_bar3_prefetch                                 = "FALSE",
     parameter ctop_core8_pf5_sriov_vf_bar4_prefetch                                 = "FALSE",
     parameter ctop_core8_pf5_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF5_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core8_pf5_sriov_vf_bar5_prefetch                                 = "FALSE",
     parameter ctop_core8_pf5_sriov_vf_device_id                                     = 0,
     parameter ctop_core8_pf5_sriov_vf_offset_ari_cs2                                = 0,
     parameter ctop_core8_pf5_sriov_vf_offset_position_nonari                        = 0,
     parameter ctop_core8_pf5_sriov_vf_stride_nonari                                 = 0,
     parameter ctop_core8_pf5_subclass_code                                          = 0,
     parameter ctop_core8_pf5_subsys_dev_id                                          = 0,
     parameter ctop_core8_pf5_subsys_vendor_id                                       = 0,
     parameter ctop_core8_pf5_tph_req_cap_int_vec                                    = "DISABLE",
     parameter ctop_core8_pf5_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf5_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF5_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core8_pf5_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF5_NOT_IN_MSIX_TABLE",
     parameter ctop_core8_pf5_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF5_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core8_pf5_tph_req_cap_st_table_size                              = 0,
     parameter ctop_core8_pf5_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
     parameter ctop_core8_pf5_tph_req_device_spec                                    = "DISABLE",
     parameter ctop_core8_pf5_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf6_acs_cap_acs_at_block                                   = "DISABLE",
     parameter ctop_core8_pf6_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
     parameter ctop_core8_pf6_acs_cap_acs_egress_ctrl_size                           = 8,
     parameter ctop_core8_pf6_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
     parameter ctop_core8_pf6_acs_cap_acs_p2p_egress_control                         = "DISABLE",
     parameter ctop_core8_pf6_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
     parameter ctop_core8_pf6_acs_cap_acs_src_valid                                  = "DISABLE",
     parameter ctop_core8_pf6_acs_cap_acs_usp_forwarding                             = "DISABLE",
     parameter ctop_core8_pf6_bar0_prefetch                                          = "FALSE",
     parameter ctop_core8_pf6_bar0_type                                              = "CTOP_CORE8_PF6_BAR0_MEM32",
     parameter ctop_core8_pf6_bar1_prefetch                                          = "FALSE",
     parameter ctop_core8_pf6_bar2_prefetch                                          = "FALSE",
     parameter ctop_core8_pf6_bar2_type                                              = "CTOP_CORE8_PF6_BAR2_MEM32",
     parameter ctop_core8_pf6_bar3_prefetch                                          = "FALSE",
     parameter ctop_core8_pf6_bar4_prefetch                                          = "FALSE",
     parameter ctop_core8_pf6_bar4_type                                              = "CTOP_CORE8_PF6_BAR4_MEM32",
     parameter ctop_core8_pf6_bar5_prefetch                                          = "FALSE",
     parameter ctop_core8_pf6_base_class_code                                        = 255,
     parameter ctop_core8_pf6_int_pin                                                = "CTOP_CORE8_PF6_NO_INT",
     parameter ctop_core8_pf6_pasid_cap_execute_permission_supported                 = "DISABLE",
     parameter ctop_core8_pf6_pasid_cap_max_pasid_width                              = 0,
     parameter ctop_core8_pf6_pasid_cap_privileged_mode_supported                    = "DISABLE",
     parameter ctop_core8_pf6_pci_msi_64_bit_addr_cap                                = "FALSE",
     parameter ctop_core8_pf6_pci_msi_ext_data_cap                                   = "FALSE",
     parameter ctop_core8_pf6_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF6_MSI_VEC_1",
     parameter ctop_core8_pf6_pci_msix_bir                                           = 0,
     parameter ctop_core8_pf6_pci_msix_pba                                           = 0,
     parameter ctop_core8_pf6_pci_msix_pba_offset                                    = 0,
     parameter ctop_core8_pf6_pci_msix_table_offset                                  = 0,
     parameter ctop_core8_pf6_pci_msix_table_size                                    = 0,
     parameter ctop_core8_pf6_pci_msix_table_size_vfcomm_cs2                         = 0,
     parameter ctop_core8_pf6_pci_type0_bar0_enabled                                 = "DISABLE",
     parameter ctop_core8_pf6_pci_type0_bar1_enabled                                 = "DISABLE",
     parameter ctop_core8_pf6_pci_type0_bar2_enabled                                 = "DISABLE",
     parameter ctop_core8_pf6_pci_type0_bar3_enabled                                 = "DISABLE",
     parameter ctop_core8_pf6_pci_type0_bar4_enabled                                 = "DISABLE",
     parameter ctop_core8_pf6_pci_type0_bar5_enabled                                 = "DISABLE",
     parameter ctop_core8_pf6_pci_type0_device_id                                    = 0,
     parameter ctop_core8_pf6_pci_type0_vendor_id                                    = 0,
     parameter ctop_core8_pf6_pcie_cap_ep_l0s_accpt_latency                          = 0,
     parameter ctop_core8_pf6_pcie_cap_ep_l1_accpt_latency                           = 0,
     parameter ctop_core8_pf6_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF6_NOT_SUPPORTED",
     parameter ctop_core8_pf6_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF6_NOT_CAPABLE",
     parameter ctop_core8_pf6_pcie_cap_slot_clk_config                               = "FALSE",
     parameter ctop_core8_pf6_pme_support                                            = 0,
     parameter ctop_core8_pf6_program_interface                                      = 0,
     parameter ctop_core8_pf6_revision_id                                            = 0,
     parameter ctop_core8_pf6_rom_bar_enabled                                        = "DISABLE",
     parameter ctop_core8_pf6_shadow_sriov_vf_stride_ari_cs2                         = 0,
     parameter ctop_core8_pf6_sriov_sup_page_size                                    = "0",
     parameter ctop_core8_pf6_sriov_vf_bar0_prefetch                                 = "FALSE",
     parameter ctop_core8_pf6_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF6_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core8_pf6_sriov_vf_bar1_prefetch                                 = "FALSE",
     parameter ctop_core8_pf6_sriov_vf_bar2_prefetch                                 = "FALSE",
     parameter ctop_core8_pf6_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF6_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core8_pf6_sriov_vf_bar3_prefetch                                 = "FALSE",
     parameter ctop_core8_pf6_sriov_vf_bar4_prefetch                                 = "FALSE",
     parameter ctop_core8_pf6_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF6_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core8_pf6_sriov_vf_bar5_prefetch                                 = "FALSE",
     parameter ctop_core8_pf6_sriov_vf_device_id                                     = 0,
     parameter ctop_core8_pf6_sriov_vf_offset_ari_cs2                                = 0,
     parameter ctop_core8_pf6_sriov_vf_offset_position_nonari                        = 0,
     parameter ctop_core8_pf6_sriov_vf_stride_nonari                                 = 0,
     parameter ctop_core8_pf6_subclass_code                                          = 0,
     parameter ctop_core8_pf6_subsys_dev_id                                          = 0,
     parameter ctop_core8_pf6_subsys_vendor_id                                       = 0,
     parameter ctop_core8_pf6_tph_req_cap_int_vec                                    = "DISABLE",
     parameter ctop_core8_pf6_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf6_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF6_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core8_pf6_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF6_NOT_IN_MSIX_TABLE",
     parameter ctop_core8_pf6_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF6_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core8_pf6_tph_req_cap_st_table_size                              = 0,
     parameter ctop_core8_pf6_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
     parameter ctop_core8_pf6_tph_req_device_spec                                    = "DISABLE",
     parameter ctop_core8_pf6_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf7_acs_cap_acs_at_block                                   = "DISABLE",
     parameter ctop_core8_pf7_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
     parameter ctop_core8_pf7_acs_cap_acs_egress_ctrl_size                           = 8,
     parameter ctop_core8_pf7_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
     parameter ctop_core8_pf7_acs_cap_acs_p2p_egress_control                         = "DISABLE",
     parameter ctop_core8_pf7_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
     parameter ctop_core8_pf7_acs_cap_acs_src_valid                                  = "DISABLE",
     parameter ctop_core8_pf7_acs_cap_acs_usp_forwarding                             = "DISABLE",
     parameter ctop_core8_pf7_bar0_prefetch                                          = "FALSE",
     parameter ctop_core8_pf7_bar0_type                                              = "CTOP_CORE8_PF7_BAR0_MEM32",
     parameter ctop_core8_pf7_bar1_prefetch                                          = "FALSE",
     parameter ctop_core8_pf7_bar2_prefetch                                          = "FALSE",
     parameter ctop_core8_pf7_bar2_type                                              = "CTOP_CORE8_PF7_BAR2_MEM32",
     parameter ctop_core8_pf7_bar3_prefetch                                          = "FALSE",
     parameter ctop_core8_pf7_bar4_prefetch                                          = "FALSE",
     parameter ctop_core8_pf7_bar4_type                                              = "CTOP_CORE8_PF7_BAR4_MEM32",
     parameter ctop_core8_pf7_bar5_prefetch                                          = "FALSE",
     parameter ctop_core8_pf7_base_class_code                                        = 255,
     parameter ctop_core8_pf7_int_pin                                                = "CTOP_CORE8_PF7_NO_INT",
     parameter ctop_core8_pf7_pasid_cap_execute_permission_supported                 = "DISABLE",
     parameter ctop_core8_pf7_pasid_cap_max_pasid_width                              = 0,
     parameter ctop_core8_pf7_pasid_cap_privileged_mode_supported                    = "DISABLE",
     parameter ctop_core8_pf7_pci_msi_64_bit_addr_cap                                = "FALSE",
     parameter ctop_core8_pf7_pci_msi_ext_data_cap                                   = "FALSE",
     parameter ctop_core8_pf7_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF7_MSI_VEC_1",
     parameter ctop_core8_pf7_pci_msix_bir                                           = 0,
     parameter ctop_core8_pf7_pci_msix_pba                                           = 0,
     parameter ctop_core8_pf7_pci_msix_pba_offset                                    = 0,
     parameter ctop_core8_pf7_pci_msix_table_offset                                  = 0,
     parameter ctop_core8_pf7_pci_msix_table_size                                    = 0,
     parameter ctop_core8_pf7_pci_msix_table_size_vfcomm_cs2                         = 0,
     parameter ctop_core8_pf7_pci_type0_bar0_enabled                                 = "DISABLE",
     parameter ctop_core8_pf7_pci_type0_bar1_enabled                                 = "DISABLE",
     parameter ctop_core8_pf7_pci_type0_bar2_enabled                                 = "DISABLE",
     parameter ctop_core8_pf7_pci_type0_bar3_enabled                                 = "DISABLE",
     parameter ctop_core8_pf7_pci_type0_bar4_enabled                                 = "DISABLE",
     parameter ctop_core8_pf7_pci_type0_bar5_enabled                                 = "DISABLE",
     parameter ctop_core8_pf7_pci_type0_device_id                                    = 0,
     parameter ctop_core8_pf7_pci_type0_vendor_id                                    = 0,
     parameter ctop_core8_pf7_pcie_cap_ep_l0s_accpt_latency                          = 0,
     parameter ctop_core8_pf7_pcie_cap_ep_l1_accpt_latency                           = 0,
     parameter ctop_core8_pf7_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF7_NOT_SUPPORTED",
     parameter ctop_core8_pf7_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF7_NOT_CAPABLE",
     parameter ctop_core8_pf7_pcie_cap_slot_clk_config                               = "FALSE",
     parameter ctop_core8_pf7_pme_support                                            = 0,
     parameter ctop_core8_pf7_program_interface                                      = 0,
     parameter ctop_core8_pf7_revision_id                                            = 0,
     parameter ctop_core8_pf7_rom_bar_enabled                                        = "DISABLE",
     parameter ctop_core8_pf7_shadow_sriov_vf_stride_ari_cs2                         = 0,
     parameter ctop_core8_pf7_sriov_sup_page_size                                    = "0",
     parameter ctop_core8_pf7_sriov_vf_bar0_prefetch                                 = "FALSE",
     parameter ctop_core8_pf7_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF7_SRIOV_VF_BAR0_MEM32",
     parameter ctop_core8_pf7_sriov_vf_bar1_prefetch                                 = "FALSE",
     parameter ctop_core8_pf7_sriov_vf_bar2_prefetch                                 = "FALSE",
     parameter ctop_core8_pf7_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF7_SRIOV_VF_BAR2_MEM32",
     parameter ctop_core8_pf7_sriov_vf_bar3_prefetch                                 = "FALSE",
     parameter ctop_core8_pf7_sriov_vf_bar4_prefetch                                 = "FALSE",
     parameter ctop_core8_pf7_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF7_SRIOV_VF_BAR4_MEM32",
     parameter ctop_core8_pf7_sriov_vf_bar5_prefetch                                 = "FALSE",
     parameter ctop_core8_pf7_sriov_vf_device_id                                     = 0,
     parameter ctop_core8_pf7_sriov_vf_offset_ari_cs2                                = 0,
     parameter ctop_core8_pf7_sriov_vf_offset_position_nonari                        = 0,
     parameter ctop_core8_pf7_sriov_vf_stride_nonari                                 = 0,
     parameter ctop_core8_pf7_subclass_code                                          = 0,
     parameter ctop_core8_pf7_subsys_dev_id                                          = 0,
     parameter ctop_core8_pf7_subsys_vendor_id                                       = 0,
     parameter ctop_core8_pf7_tph_req_cap_int_vec                                    = "DISABLE",
     parameter ctop_core8_pf7_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_pf7_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF7_NOT_IN_TPH_STRUCT_VF",
     parameter ctop_core8_pf7_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF7_NOT_IN_MSIX_TABLE",
     parameter ctop_core8_pf7_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF7_NOT_IN_MSIX_TABLE_VF",
     parameter ctop_core8_pf7_tph_req_cap_st_table_size                              = 0,
     parameter ctop_core8_pf7_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
     parameter ctop_core8_pf7_tph_req_device_spec                                    = "DISABLE",
     parameter ctop_core8_pf7_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
     parameter ctop_core8_rxbuf_limit_bypass                                         = 0,
     parameter ctop_core8_virtual_drop_vendor0_msg                                   = "FALSE",
     parameter ctop_core8_virtual_drop_vendor1_msg                                   = "FALSE",
     parameter ctop_core8_virtual_ep_native                                          = "CTOP_CORE8_NATIVE",
     parameter ctop_core8_virtual_link_rate                                          = "CTOP_CORE8_GEN1",
     parameter ctop_core8_virtual_link_width                                         = "CTOP_CORE8_X1",
     parameter ctop_core8_virtual_maxpayload_size                                    = "CTOP_CORE8_MAX_PAYLOAD_128",
     parameter ctop_core8_virtual_num_of_lanes                                       = "CTOP_CORE8_NUM_1",
     parameter ctop_core8_virtual_pf0_acs_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf0_ats_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf0_dlink_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf0_exvf_acs_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf0_exvf_ats_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf0_exvf_msix_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf0_exvf_tph_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf0_exvf_virtio_en                                 = "DISABLE",
     parameter ctop_core8_virtual_pf0_io_decode                                      = "CTOP_CORE8_IO32",
     parameter ctop_core8_virtual_pf0_ltr_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf0_msi_enable                                     = "DISABLE",
     parameter ctop_core8_virtual_pf0_msix_enable                                    = "DISABLE",
     parameter ctop_core8_virtual_pf0_pasid_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf0_prefetch_decode                                = "CTOP_CORE8_PREF64",
     parameter ctop_core8_virtual_pf0_prs_ext_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf0_ras_des_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf0_sn_cap_enable                                  = "DISABLE",
     parameter ctop_core8_virtual_pf0_sriov_enable                                   = "DISABLE",
     parameter ctop_core8_virtual_pf0_sriov_vf_bar0_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf0_sriov_vf_bar1_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf0_sriov_vf_bar2_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf0_sriov_vf_bar3_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf0_sriov_vf_bar4_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf0_sriov_vf_bar5_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf0_tph_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf0_user_vsec_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf0_virtio_en                                      = "DISABLE",
     parameter ctop_core8_virtual_pf1_acs_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf1_ats_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf1_enable                                         = "DISABLE",
     parameter ctop_core8_virtual_pf1_exvf_acs_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf1_exvf_ats_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf1_exvf_msix_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf1_exvf_tph_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf1_exvf_virtio_en                                 = "DISABLE",
     parameter ctop_core8_virtual_pf1_msi_enable                                     = "DISABLE",
     parameter ctop_core8_virtual_pf1_msix_enable                                    = "DISABLE",
     parameter ctop_core8_virtual_pf1_pasid_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf1_prs_ext_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf1_sriov_enable                                   = "DISABLE",
     parameter ctop_core8_virtual_pf1_sriov_vf_bar0_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf1_sriov_vf_bar1_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf1_sriov_vf_bar2_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf1_sriov_vf_bar3_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf1_sriov_vf_bar4_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf1_sriov_vf_bar5_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf1_tph_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf1_user_vsec_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf1_user_vsec_offset                               = "0",
     parameter ctop_core8_virtual_pf1_virtio_en                                      = "DISABLE",
     parameter ctop_core8_virtual_pf2_acs_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf2_ats_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf2_enable                                         = "DISABLE",
     parameter ctop_core8_virtual_pf2_exvf_acs_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf2_exvf_ats_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf2_exvf_msix_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf2_exvf_tph_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf2_exvf_virtio_en                                 = "DISABLE",
     parameter ctop_core8_virtual_pf2_msi_enable                                     = "DISABLE",
     parameter ctop_core8_virtual_pf2_msix_enable                                    = "DISABLE",
     parameter ctop_core8_virtual_pf2_pasid_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf2_prs_ext_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf2_sriov_enable                                   = "DISABLE",
     parameter ctop_core8_virtual_pf2_sriov_vf_bar0_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf2_sriov_vf_bar1_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf2_sriov_vf_bar2_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf2_sriov_vf_bar3_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf2_sriov_vf_bar4_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf2_sriov_vf_bar5_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf2_tph_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf2_user_vsec_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf2_user_vsec_offset                               = "0",
     parameter ctop_core8_virtual_pf2_virtio_en                                      = "DISABLE",
     parameter ctop_core8_virtual_pf3_acs_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf3_ats_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf3_enable                                         = "DISABLE",
     parameter ctop_core8_virtual_pf3_exvf_acs_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf3_exvf_ats_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf3_exvf_msix_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf3_exvf_tph_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf3_exvf_virtio_en                                 = "DISABLE",
     parameter ctop_core8_virtual_pf3_msi_enable                                     = "DISABLE",
     parameter ctop_core8_virtual_pf3_msix_enable                                    = "DISABLE",
     parameter ctop_core8_virtual_pf3_pasid_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf3_prs_ext_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf3_sriov_enable                                   = "DISABLE",
     parameter ctop_core8_virtual_pf3_sriov_vf_bar0_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf3_sriov_vf_bar1_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf3_sriov_vf_bar2_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf3_sriov_vf_bar3_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf3_sriov_vf_bar4_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf3_sriov_vf_bar5_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf3_tph_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf3_user_vsec_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf3_user_vsec_offset                               = "0",
     parameter ctop_core8_virtual_pf3_virtio_en                                      = "DISABLE",
     parameter ctop_core8_virtual_pf4_acs_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf4_ats_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf4_enable                                         = "DISABLE",
     parameter ctop_core8_virtual_pf4_exvf_acs_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf4_exvf_ats_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf4_exvf_msix_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf4_exvf_tph_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf4_exvf_virtio_en                                 = "DISABLE",
     parameter ctop_core8_virtual_pf4_msi_enable                                     = "DISABLE",
     parameter ctop_core8_virtual_pf4_msix_enable                                    = "DISABLE",
     parameter ctop_core8_virtual_pf4_pasid_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf4_prs_ext_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf4_sriov_enable                                   = "DISABLE",
     parameter ctop_core8_virtual_pf4_sriov_vf_bar0_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf4_sriov_vf_bar1_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf4_sriov_vf_bar2_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf4_sriov_vf_bar3_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf4_sriov_vf_bar4_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf4_sriov_vf_bar5_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf4_tph_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf4_user_vsec_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf4_user_vsec_offset                               = "0",
     parameter ctop_core8_virtual_pf4_virtio_en                                      = "DISABLE",
     parameter ctop_core8_virtual_pf5_acs_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf5_ats_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf5_enable                                         = "DISABLE",
     parameter ctop_core8_virtual_pf5_exvf_acs_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf5_exvf_ats_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf5_exvf_msix_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf5_exvf_tph_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf5_exvf_virtio_en                                 = "DISABLE",
     parameter ctop_core8_virtual_pf5_msi_enable                                     = "DISABLE",
     parameter ctop_core8_virtual_pf5_msix_enable                                    = "DISABLE",
     parameter ctop_core8_virtual_pf5_pasid_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf5_prs_ext_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf5_sriov_enable                                   = "DISABLE",
     parameter ctop_core8_virtual_pf5_sriov_vf_bar0_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf5_sriov_vf_bar1_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf5_sriov_vf_bar2_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf5_sriov_vf_bar3_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf5_sriov_vf_bar4_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf5_sriov_vf_bar5_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf5_tph_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf5_user_vsec_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf5_user_vsec_offset                               = "0",
     parameter ctop_core8_virtual_pf5_virtio_en                                      = "DISABLE",
     parameter ctop_core8_virtual_pf6_acs_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf6_ats_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf6_enable                                         = "DISABLE",
     parameter ctop_core8_virtual_pf6_exvf_acs_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf6_exvf_ats_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf6_exvf_msix_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf6_exvf_tph_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf6_exvf_virtio_en                                 = "DISABLE",
     parameter ctop_core8_virtual_pf6_msi_enable                                     = "DISABLE",
     parameter ctop_core8_virtual_pf6_msix_enable                                    = "DISABLE",
     parameter ctop_core8_virtual_pf6_pasid_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf6_prs_ext_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf6_sriov_enable                                   = "DISABLE",
     parameter ctop_core8_virtual_pf6_sriov_vf_bar0_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf6_sriov_vf_bar1_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf6_sriov_vf_bar2_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf6_sriov_vf_bar3_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf6_sriov_vf_bar4_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf6_sriov_vf_bar5_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf6_tph_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf6_user_vsec_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf6_user_vsec_offset                               = "0",
     parameter ctop_core8_virtual_pf6_virtio_en                                      = "DISABLE",
     parameter ctop_core8_virtual_pf7_acs_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf7_ats_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf7_enable                                         = "DISABLE",
     parameter ctop_core8_virtual_pf7_exvf_acs_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf7_exvf_ats_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf7_exvf_msix_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf7_exvf_tph_cap_enable                            = "DISABLE",
     parameter ctop_core8_virtual_pf7_exvf_virtio_en                                 = "DISABLE",
     parameter ctop_core8_virtual_pf7_msi_enable                                     = "DISABLE",
     parameter ctop_core8_virtual_pf7_msix_enable                                    = "DISABLE",
     parameter ctop_core8_virtual_pf7_pasid_cap_enable                               = "DISABLE",
     parameter ctop_core8_virtual_pf7_prs_ext_cap_enable                             = "DISABLE",
     parameter ctop_core8_virtual_pf7_sriov_enable                                   = "DISABLE",
     parameter ctop_core8_virtual_pf7_sriov_vf_bar0_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf7_sriov_vf_bar1_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf7_sriov_vf_bar2_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf7_sriov_vf_bar3_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf7_sriov_vf_bar4_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf7_sriov_vf_bar5_enabled                          = "DISABLE",
     parameter ctop_core8_virtual_pf7_tph_cap_enable                                 = "DISABLE",
     parameter ctop_core8_virtual_pf7_user_vsec_cap_enable                           = "DISABLE",
     parameter ctop_core8_virtual_pf7_user_vsec_offset                               = "0",
     parameter ctop_core8_virtual_pf7_virtio_en                                      = "DISABLE",
     parameter ctop_core8_virtual_rp_ep_mode                                         = "CTOP_CORE8_EP",
     parameter ctop_core8_virtual_txeq_mode                                          = "CTOP_CORE8_EQ_FOM_MODE",
     parameter ctop_core8_virtual_ptm_autoupdate                                     = "CTOP_CORE8_AUTOUPDATE_10MS",
     parameter ctop_core8_vsec_next_offset                                           = "0",
     parameter ctop_ctrltop_r_hrc_rst_ctrl_k_hrc_pin_perst_is_full_rst_attr          = "CTOP_CTRLTOP_R_HRC_RST_CTRL_K_HRC_PIN_PERST_IS_FULL_RST_ATTR_1",
     parameter ctop_virtual_ptm                                                      = "CTOP_DISABLED",
     parameter topology                                                              = "PCIE_X16",
     parameter virtual_sris_enable                                                   = "DISABLE_SRIS",
     parameter virtual_sup_mode                                                      = "USER_MODE",
     parameter virtual_tlp_bypass_en                                                 = "DISABLE_TLBP",


     parameter silicon_rev                                                           = "10nm8agdra",
     parameter generating_b0_hwtcl                                                   = "generating_b0_hwtcl",
     parameter duplex_mode                                                           = "ENABLE",
     parameter adapter_type_hwtcl                                                    = 0,

     parameter core16_enable_cpl_timeout_hwtcl                                       = 0,
     parameter core16_enable_pld_warm_rst_rdy_hwtcl                                  = 0,
     parameter core16_enable_10bit_tag_support_intf_hwtcl                            = 0,
     parameter core16_flr_cap_hwtcl                                                  = 0,
     parameter core8_enable_cpl_timeout_hwtcl                                        = 0,
     parameter core8_enable_pld_warm_rst_rdy_hwtcl                                   = 0,
     parameter core8_flr_cap_hwtcl                                                   = 0,
     parameter core4_0_enable_cpl_timeout_hwtcl                                      = 0,
     parameter core4_0_enable_pld_warm_rst_rdy_hwtcl                                 = 0,
     parameter core4_0_flr_cap_hwtcl                                                 = 0,
     parameter core4_1_enable_cpl_timeout_hwtcl                                      = 0,
     parameter core4_1_enable_pld_warm_rst_rdy_hwtcl                                 = 0,
     parameter core4_1_flr_cap_hwtcl                                                 = 0,
     parameter core16_enable_multi_func_hwtcl                                        = 0,
     parameter core8_enable_multi_func_hwtcl                                         = 0,

     parameter core16_enable_sriov_hwtcl                                             = 1,
     parameter core16_pf0_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core16_pf0_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core16_pf0_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core16_pf0_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core16_pf0_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core16_pf0_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core16_pf1_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core16_pf1_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core16_pf1_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core16_pf1_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core16_pf1_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core16_pf1_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core16_pf2_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core16_pf2_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core16_pf2_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core16_pf2_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core16_pf2_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core16_pf2_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core16_pf3_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core16_pf3_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core16_pf3_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core16_pf3_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core16_pf3_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core16_pf3_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core16_pf4_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core16_pf4_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core16_pf4_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core16_pf4_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core16_pf4_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core16_pf4_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core16_pf5_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core16_pf5_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core16_pf5_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core16_pf5_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core16_pf5_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core16_pf5_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core16_pf6_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core16_pf6_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core16_pf6_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core16_pf6_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core16_pf6_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core16_pf6_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core16_pf7_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core16_pf7_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core16_pf7_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core16_pf7_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core16_pf7_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core16_pf7_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core8_enable_sriov_hwtcl                                             = 1,
     parameter core8_pf0_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core8_pf0_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core8_pf0_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core8_pf0_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core8_pf0_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core8_pf0_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core8_pf1_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core8_pf1_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core8_pf1_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core8_pf1_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core8_pf1_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core8_pf1_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core8_pf2_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core8_pf2_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core8_pf2_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core8_pf2_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core8_pf2_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core8_pf2_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core8_pf3_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core8_pf3_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core8_pf3_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core8_pf3_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core8_pf3_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core8_pf3_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core8_pf4_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core8_pf4_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core8_pf4_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core8_pf4_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core8_pf4_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core8_pf4_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core8_pf5_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core8_pf5_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core8_pf5_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core8_pf5_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core8_pf5_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core8_pf5_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core8_pf6_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core8_pf6_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core8_pf6_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core8_pf6_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core8_pf6_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core8_pf6_sriov_vf_bar5_address_width_hwtcl                          = 20,
     parameter core8_pf7_sriov_vf_bar0_address_width_hwtcl                          = 20,
     parameter core8_pf7_sriov_vf_bar1_address_width_hwtcl                          = 20,
     parameter core8_pf7_sriov_vf_bar2_address_width_hwtcl                          = 20,
     parameter core8_pf7_sriov_vf_bar3_address_width_hwtcl                          = 20,
     parameter core8_pf7_sriov_vf_bar4_address_width_hwtcl                          = 20,
     parameter core8_pf7_sriov_vf_bar5_address_width_hwtcl                          = 20

     )(
       input                                                                              p0_pld_warm_rst_rdy_i, 
       output                                                                             p0_pld_link_req_rst_o, 
       //Serial ports
       input                                                                              rx_n_in0, 
       input                                                                              rx_n_in1, 
       input                                                                              rx_n_in2, 
       input                                                                              rx_n_in3, 
       input                                                                              rx_n_in4, 
       input                                                                              rx_n_in5, 
       input                                                                              rx_n_in6, 
       input                                                                              rx_n_in7, 
       input                                                                              rx_n_in8, 
       input                                                                              rx_n_in9, 
       input                                                                              rx_n_in10, 
       input                                                                              rx_n_in11, 
       input                                                                              rx_n_in12, 
       input                                                                              rx_n_in13, 
       input                                                                              rx_n_in14, 
       input                                                                              rx_n_in15, 
       input                                                                              rx_p_in0, 
       input                                                                              rx_p_in1, 
       input                                                                              rx_p_in2, 
       input                                                                              rx_p_in3, 
       input                                                                              rx_p_in4, 
       input                                                                              rx_p_in5, 
       input                                                                              rx_p_in6, 
       input                                                                              rx_p_in7, 
       input                                                                              rx_p_in8, 
       input                                                                              rx_p_in9, 
       input                                                                              rx_p_in10, 
       input                                                                              rx_p_in11, 
       input                                                                              rx_p_in12, 
       input                                                                              rx_p_in13, 
       input                                                                              rx_p_in14, 
       input                                                                              rx_p_in15, 
       output                                                                             tx_n_out0, 
       output                                                                             tx_n_out1, 
       output                                                                             tx_n_out2, 
       output                                                                             tx_n_out3, 
       output                                                                             tx_n_out4, 
       output                                                                             tx_n_out5, 
       output                                                                             tx_n_out6, 
       output                                                                             tx_n_out7, 
       output                                                                             tx_n_out8, 
       output                                                                             tx_n_out9, 
       output                                                                             tx_n_out10, 
       output                                                                             tx_n_out11, 
       output                                                                             tx_n_out12, 
       output                                                                             tx_n_out13, 
       output                                                                             tx_n_out14, 
       output                                                                             tx_n_out15, 
       output                                                                             tx_p_out0, 
       output                                                                             tx_p_out1, 
       output                                                                             tx_p_out2, 
       output                                                                             tx_p_out3, 
       output                                                                             tx_p_out4, 
       output                                                                             tx_p_out5, 
       output                                                                             tx_p_out6, 
       output                                                                             tx_p_out7, 
       output                                                                             tx_p_out8, 
       output                                                                             tx_p_out9, 
       output                                                                             tx_p_out10, 
       output                                                                             tx_p_out11, 
       output                                                                             tx_p_out12, 
       output                                                                             tx_p_out13, 
       output                                                                             tx_p_out14, 
       output                                                                             tx_p_out15, 
       input                                                                              refclk0, 
       input                                                                              refclk1, 
  
       input                                                                              ninit_done, 
  
       output                                                                             app_clk, 
       output                                                                             app_rst_n,
       input                                                                              pin_perst_n, 
  
       // IO interface level updates for F-Tile PCIe HIP
       input                                                                              pcie_systempll_clk,
       input                                                                              refclk2, 
       input                                                                              refclk3, 
       //input                                                                              p2_pld_warm_rst_rdy_i,
       //input                                                                              p3_pld_warm_rst_rdy_i,
       //input                                                                              p0_hip_reconfig_clk,
       //input                                                                         p1_hip_reconfig_clk,
       //input                                                                              p2_hip_reconfig_clk,
       //input                                                                              p3_hip_reconfig_clk,
       //input                                                                              p2_sys_aux_pwr_det_i,
       //input                                                                              p2_app_req_retry_en_i,
       //input                                                                              p3_sys_aux_pwr_det_i,
       //input                                                                              p3_app_req_retry_en_i,

       //output                                                                             p2_pld_link_req_rst_o,
       //output                                                                             p3_pld_link_req_rst_o,
       //output                                                                             p0_pin_perst_n,
       //output                                                                        p1_pin_perst_n,
       //output                                                                             p2_pin_perst_n,
       //output                                                                             p3_pin_perst_n,
       //output [2:0]                                                                       p2_pm_state_o,
       //output                                                                             p2_surprise_down_err_o,
       //output [2:0]                                                                       p3_pm_state_o,
       //output                                                                             p3_surprise_down_err_o,

       // AVMM Master PIO interface "(!enable_mcdma_hwtcl) || (enable_mcdma_hwtcl && enable_bursting_master_hwtcl)"
       output [pio_address_width_hwtcl-1:0]                                               rx_pio_address_o,
       output [pio_data_width_hwtcl/8-1:0]                                                rx_pio_byteenable_o,
       output                                                                             rx_pio_read_o,
       output                                                                             rx_pio_write_o,
       output [pio_data_width_hwtcl-1:0]                                                  rx_pio_writedata_o,
       output [3:0]                                                                       rx_pio_burstcount_o,
       input                                                                              rx_pio_waitrequest_i,
       input [pio_data_width_hwtcl-1:0]                                                   rx_pio_readdata_i,
       input                                                                              rx_pio_readdatavalid_i,
       input [1:0]                                                                        rx_pio_response_i,
       input                                                                              rx_pio_writeresponsevalid_i,

       // H2D AVST Master Interface    "(num_h2d_avst_uport_hwtcl < 1) || (!enable_mcdma_hwtcl)"
       output logic                                                                       h2d_st_sof_0_o,
       output logic                                                                       h2d_st_eof_0_o,
       output logic [empty_width_hwtcl-1:0]                                               h2d_st_empty_0_o,
       input logic                                                                        h2d_st_ready_0_i,
       output logic                                                                       h2d_st_valid_0_o,
       output logic [data_width_hwtcl-1:0]                                                h2d_st_data_0_o,
       output logic [ST_CHANNEL_WIDTH-1:0]                                                h2d_st_channel_0_o,
       // H2D AVST Master Interface   "(num_h2d_avst_uport_hwtcl < 2) || (!enable_mcdma_hwtcl)"
       output logic                                                                       h2d_st_sof_1_o,
       output logic                                                                       h2d_st_eof_1_o,
       output logic [empty_width_hwtcl-1:0]                                               h2d_st_empty_1_o,
       input logic                                                                        h2d_st_ready_1_i,
       output logic                                                                       h2d_st_valid_1_o,
       output logic [data_width_hwtcl-1:0]                                                h2d_st_data_1_o,
       output logic [ST_CHANNEL_WIDTH-1:0]                                                h2d_st_channel_1_o,
       // H2D AVST Master Interface    "(num_h2d_avst_uport_hwtcl < 3) || (!enable_mcdma_hwtcl)"
       output logic                                                                       h2d_st_sof_2_o,
       output logic                                                                       h2d_st_eof_2_o,
       output logic [empty_width_hwtcl-1:0]                                               h2d_st_empty_2_o,
       input logic                                                                        h2d_st_ready_2_i,
       output logic                                                                       h2d_st_valid_2_o,
       output logic [data_width_hwtcl-1:0]                                                h2d_st_data_2_o,
       output logic [ST_CHANNEL_WIDTH-1:0]                                                h2d_st_channel_2_o,
       // H2D AVST Master Interface    "(num_h2d_avst_uport_hwtcl < 4) || (!enable_mcdma_hwtcl)"
       output logic                                                                       h2d_st_sof_3_o,
       output logic                                                                       h2d_st_eof_3_o,
       output logic [empty_width_hwtcl-1:0]                                               h2d_st_empty_3_o,
       input logic                                                                        h2d_st_ready_3_i,
       output logic                                                                       h2d_st_valid_3_o,
       output logic [data_width_hwtcl-1:0]                                                h2d_st_data_3_o,
       output logic [ST_CHANNEL_WIDTH-1:0]                                                h2d_st_channel_3_o,
       // H2D AVMM Master Interface  "(num_h2d_avmm_uport_hwtcl < 1) || (!enable_mcdma_hwtcl)" 
       input logic                                                                        h2ddm_waitrequest_i,
       input logic                                                                        h2ddm_writeresponsevalid_i,
       output logic                                                                       h2ddm_write_o,
       output logic [63:0]                                                                h2ddm_address_o,
       output logic [burst_width_hwtcl-1:0]                                               h2ddm_burstcount_o,
       output logic [data_width_hwtcl/8-1:0]                                              h2ddm_byteenable_o,
       output logic [data_width_hwtcl-1:0]                                                h2ddm_writedata_o,
       // D2H AVST interface    "num_d2h_avst_uport_hwtcl < 1 || enable_mcdma_hwtcl == 0"
       input logic                                                                        d2h_st_sof_0_i,
       input logic                                                                        d2h_st_eof_0_i,
       input logic [empty_width_hwtcl-1:0]                                                d2h_st_empty_0_i,
       input logic [ST_CHANNEL_WIDTH-1:0]                                                 d2h_st_channel_0_i,
       input logic                                                                        d2h_st_valid_0_i,
       input logic [data_width_hwtcl-1:0]                                                 d2h_st_data_0_i,
       output logic                                                                       d2h_st_ready_0_o,
       // D2H AVST interface   "num_d2h_avst_uport_hwtcl < 2 || enable_mcdma_hwtcl == 0"
       input logic                                                                        d2h_st_sof_1_i,
       input logic                                                                        d2h_st_eof_1_i,
       input logic [empty_width_hwtcl-1:0]                                                d2h_st_empty_1_i,
       input logic [ST_CHANNEL_WIDTH-1:0]                                                 d2h_st_channel_1_i,
       input logic                                                                        d2h_st_valid_1_i,
       input logic [data_width_hwtcl-1:0]                                                 d2h_st_data_1_i,
       output logic                                                                       d2h_st_ready_1_o,
       // D2H AVST interface   "num_d2h_avst_uport_hwtcl < 3 || enable_mcdma_hwtcl == 0"
       input logic                                                                        d2h_st_sof_2_i,
       input logic                                                                        d2h_st_eof_2_i,
       input logic [empty_width_hwtcl-1:0]                                                d2h_st_empty_2_i,
       input logic [ST_CHANNEL_WIDTH-1:0]                                                 d2h_st_channel_2_i,
       input logic                                                                        d2h_st_valid_2_i,
       input logic [data_width_hwtcl-1:0]                                                 d2h_st_data_2_i,
       output logic                                                                       d2h_st_ready_2_o,
       // D2H AVST interface     "num_d2h_avst_uport_hwtcl < 4 || enable_mcdma_hwtcl == 0"
       input logic                                                                        d2h_st_sof_3_i,
       input logic                                                                        d2h_st_eof_3_i,
       input logic [empty_width_hwtcl-1:0]                                                d2h_st_empty_3_i,
       input logic [ST_CHANNEL_WIDTH-1:0]                                                 d2h_st_channel_3_i,
       input logic                                                                        d2h_st_valid_3_i,
       input logic [data_width_hwtcl-1:0]                                                 d2h_st_data_3_i,
       output logic                                                                       d2h_st_ready_3_o,
       //D2H AVMM Read Master Interface    "(num_d2h_avmm_uport_hwtcl < 1) || (!enable_mcdma_hwtcl)"
       output logic [63:0]                                                                d2hdm_address_o,
       output logic [data_width_hwtcl/8-1:0]                                              d2hdm_byteenable_o,
       output logic                                                                       d2hdm_read_o,
       output logic [burst_width_hwtcl-1:0]                                               d2hdm_burstcount_o,
       input logic                                                                        d2hdm_waitrequest_i,
       input logic [data_width_hwtcl-1:0]                                                 d2hdm_readdata_i,
       input logic                                                                        d2hdm_readdatavalid_i,
       input logic [1:0]                                                                  d2hdm_response_i,

       //AVST interface
       //H2D descriptor input on AVST sink interface
       output logic                                                                       h2ddm_desc_ready_o,
       input logic                                                                        h2ddm_desc_valid_i, 
       input logic [255:0]                                                                h2ddm_desc_data_i, // h2d_desc_bypass_t
       //H2D AVST Status source interface                                                
       output logic [31:0]                                                                h2ddm_desc_status_data_o, // h2d_desc_status_t
       output logic                                                                       h2ddm_desc_status_valid_o,
       //H2D AVST Source completion interface                                            
       output logic [data_width_hwtcl-1:0]                                                h2ddm_desc_cmpl_data_o, // h2d_desc_cmpl_t
       output logic [empty_width_hwtcl-1:0]                                               h2ddm_desc_cmpl_empty_o,
       output logic                                                                       h2ddm_desc_cmpl_sop_o, 
       output logic                                                                       h2ddm_desc_cmpl_eop_o, 
       output logic                                                                       h2ddm_desc_cmpl_valid_o, 
       input logic                                                                        h2ddm_desc_cmpl_ready_i,
       //D2H descriptor input on AVST sink interface                                     
       output logic                                                                       d2hdm_desc_ready_o, 
       input logic                                                                        d2hdm_desc_valid_i, 
       input logic [255:0]                                                                d2hdm_desc_data_i, // d2h_desc_bypass_t
       //D2H AVST Status source interface                                                
       output logic [31:0]                                                                d2hdm_desc_status_data_o, // d2h_desc_status_t
       output logic                                                                       d2hdm_desc_status_valid_o,
  
       // "(!enable_bursting_master_hwtcl)" 
       input logic                                                                        bam_waitrequest_i, 
       output logic [enable_cs_hwtcl ==1 ? 63 : (((pfcnt_w_hwtcl+vfcnt_w_hwtcl)+max_bar_address_width_hwtcl)+4)-1:0] bam_address_o, 
       output logic [(data_width_hwtcl/8)-1:0]                                            bam_byteenable_o, 
       output logic                                                                       bam_read_o, 
       input logic [data_width_hwtcl-1:0]                                                 bam_readdata_i, 
       input logic                                                                        bam_readdatavalid_i, 
       output logic                                                                       bam_write_o, 
       output logic [data_width_hwtcl-1:0]                                                bam_writedata_o, 
       output logic [burst_width_hwtcl-1:0]                                               bam_burstcount_o, 

       output logic [2:0]                                                                 usr_hip_tl_cfg_func_o,
       output logic [4:0]                                                                 usr_hip_tl_cfg_add_o, 
       output logic [15:0]                                                                usr_hip_tl_cfg_ctl_o, 
  
  
       // MSI-X Request interface from application/user side    !enable_user_msix_hwtcl
       input logic                                                                        usr_event_msix_valid_i,
       output logic                                                                       usr_event_msix_ready_o,
       input logic [15:0]                                                                 usr_event_msix_data_i,
       //FLR interface to application/user side   !enable_user_flr_hwtcl
       output logic                                                                       usr_flr_rcvd_val_o,
       output logic [10:0]                                                                usr_flr_rcvd_chan_num_o,
       input logic                                                                        usr_flr_completed_i,
       // BAS interface   "(!enable_bursting_slave_hwtcl)"
       input logic                                                                        bas_vfactive_i,
       input logic [pfnum_width_hwtcl-1:0]                                                bas_pfnum_i,
       input logic [vfnum_width_hwtcl-1:0]                                                bas_vfnum_i,
       input logic [63:0]                                                                 bas_address_i,
       input logic [data_width_hwtcl/8-1:0]                                               bas_byteenable_i,
       input logic                                                                        bas_read_i,
       input logic                                                                        bas_write_i,
       input logic [data_width_hwtcl-1:0]                                                 bas_writedata_i,
       input logic [burst_width_hwtcl-1:0]                                                bas_burstcount_i,
       output logic                                                                       bas_waitrequest_o,
       output logic [data_width_hwtcl-1:0]                                                bas_readdata_o,
       output logic                                                                       bas_readdatavalid_o,
       output logic [1:0]                                                                 bas_response_o,
       // Usr Reconfig interface   "(!enable_user_hip_reconfig_hwtcl)"
       input logic                                                                        usr_hip_reconfig_rst_n_i,
       input logic                                                                        usr_hip_reconfig_clk_i,
       input logic [20:0]                                                                 usr_hip_reconfig_address_i,
       input logic                                                                        usr_hip_reconfig_read_i,
       input logic                                                                        usr_hip_reconfig_write_i,
       input logic [7:0]                                                                  usr_hip_reconfig_writedata_i,
       output logic [7:0]                                                                 usr_hip_reconfig_readdata_o,
       output logic                                                                       usr_hip_reconfig_readdatavalid_o,
       output logic                                                                       usr_hip_reconfig_waitrequest_o,
       //CS AVMM slave interface   "(!enable_cs_hwtcl)"
       output logic                                                                       cs_waitrequest_o,
       input logic [cs_address_width_hwtcl-1:0]                                           cs_address_i,
       input logic [3:0]                                                                  cs_byteenable_i,
       input logic                                                                        cs_read_i,
       output logic [31:0]                                                                cs_readdata_o,
       output logic                                                                       cs_readdatavalid_o,
       input logic                                                                        cs_write_i,
       input logic [31:0]                                                                 cs_writedata_i,
       output logic [1:0]                                                                 cs_response_o, 
       output logic                                                                       cs_writeresponsevalid_o,


         //MSI interface to user
         input  logic                                                   msi_req_i,
         input  logic [pfnum_width_hwtcl-1:0]                           msi_func_num_i,
         input  logic [4:0]                                             msi_num_i,
         output logic                                                   msi_ack_o,
         output logic [1:0]                                             msi_status_o,

 
       //p0 _int_ ports
       input [7:0]                                                                        p0_app_int_i,
       output                                                                             p0_int_status_o,


       //soft logic needs to control input
       output                                                                             p0_surprise_down_err_o,
       input [7:0]                                                                        p0_apps_pm_xmt_pme_i,
       output                                                                             p0_dl_up_o,
       input                                                                              p0_app_xfer_pending_i,
       input                                                                              p0_app_init_rst_i,
       output [2:0]                                                                       p0_pm_state_o,
       output [31:0]                                                                      p0_pm_dstate_o,
       output [5:0]                                                                       p0_ltssm_state_o,
       output                                                                             p0_link_up_o,


       //p0 pld_initialization ports
       //soft logic to control
       //Input
       input [7:0]                                                                        p0_app_req_retry_en_i,
       input                                                                              p0_sys_aux_pwr_det_i,
       //p0 cii_ ports
       //export as it is
       output                                                                             p0_cii_hdr_poisoned_o,
       input                                                                              p0_cii_override_en_i,
       output [3:0]                                                                       p0_cii_hdr_first_be_o,
       output [2:0]                                                                       p0_cii_func_num_o,
       output [31:0]                                                                      p0_cii_dout_o,
       input                                                                              p0_cii_halt_i, //default to 0
       output                                                                             p0_cii_wr_vf_active_o,
       output                                                                             p0_cii_req_o,
       output [9:0]                                                                       p0_cii_addr_o,
       output [10:0]                                                                      p0_cii_vf_num_o,
       output                                                                             p0_cii_wr_o,
       input [31:0]                                                                       p0_cii_override_din_i,

       //p1 cii_ ports                                                             
       input                                                                              p1_cii_override_en_i,
       output  [3:0]                                                                      p1_cii_hdr_first_be_o,
       input                                                                              p1_cii_halt_i,
       output                                                                             p1_cii_wr_o,
       output                                                                             p1_cii_req_o,
       output  [2:0]                                                                      p1_cii_func_num_o,
       output  [31:0]                                                                     p1_cii_dout_o,
       output                                                                             p1_cii_wr_vf_active_o,
       output                                                                             p1_cii_hdr_poisoned_o,
       output  [10:0]                                                                     p1_cii_vf_num_o,
       input  [31:0]                                                                      p1_cii_override_din_i,
       output  [9:0]                                                                      p1_cii_addr_o,
       //p1 _int_ ports
       input  [7:0]                                                                       p1_app_int_i,
       output                                                                             p1_int_status_o,
       //p1 reset interface  
       input                                                                              p1_pld_warm_rst_rdy_i, 
       output                                                                             p1_pld_link_req_rst_o,
       
       //p1 power_mgmt ports                                                       
       output  [31:0]                                                                     p1_pm_dstate_o,
       output  [2:0]                                                                      p1_pm_state_o,
       output  [5:0]                                                                      p1_ltssm_state_o,
       output                                                                             p1_surprise_down_err_o,
       input  [7:0]                                                                       p1_apps_pm_xmt_pme_i,
       input                                                                              p1_app_init_rst_i,
       output                                                                             p1_link_up_o,
       input                                                                              p1_app_xfer_pending_i,
       output                                                                             p1_dl_up_o,
       //p1 user_ ports                                                            
       //Input                                                                     
       input    [7:0]                                                                     p1_app_req_retry_en_i,
       //p1 sys_ ports
       input                                                                              p1_sys_aux_pwr_det_i,

       //p1 rx_st ports
       output [core8_payload_width_integer_hwtcl-1:0]                                     p1_rx_st_data_o, 
       output [core8_hdr_width_integer_hwtcl-1:0]                                         p1_rx_st_hdr_o, 
       output [core8_pfx_width_integer_hwtcl-1:0]                                         p1_rx_st_tlp_prfx_o,
       output [core8_double_width_integer_hwtcl-1:0]                                      p1_rx_st_eop_o, 
       output [core8_double_width_integer_hwtcl-1:0]                                      p1_rx_st_sop_o, 
       input                                                                              p1_rx_st_ready_i,
       output [core8_double_width_integer_hwtcl*3-1:0]                                    p1_rx_st_func_num_o,
       output [core8_double_width_integer_hwtcl*4-1:0]                                    p1_rx_st_tlp_prfx_par_o,
       output [core8_double_width_integer_hwtcl*16-1:0]                                   p1_rx_st_hdr_par_o, 
       output [core8_double_width_integer_hwtcl*11-1:0]                                   p1_rx_st_vf_num_o, 
       output [core8_double_width_integer_hwtcl*3-1:0]                                    p1_rx_st_bar_range_o, 
       output [core8_double_width_integer_hwtcl-1:0]                                      p1_rx_st_tlp_abort_o,
       output [core8_empty_width_integer_hwtcl-1:0]                                       p1_rx_st_empty_o, 
       output [core8_double_width_integer_hwtcl-1:0]                                      p1_rx_st_vf_active_o, 
       output [core8_double_width_integer_hwtcl*32-1:0]                                   p1_rx_st_data_par_o, 
       output [core8_double_width_integer_hwtcl-1:0]                                      p1_rx_st_valid_o, 
       output                                                                             p1_rx_par_err_o, 
       //p1 tx_st ports
       input [core8_payload_width_integer_hwtcl-1:0]                                      p1_tx_st_data_i,
       input [core8_hdr_width_integer_hwtcl-1:0]                                          p1_tx_st_hdr_i,
       input [core8_pfx_width_integer_hwtcl-1:0]                                          p1_tx_st_tlp_prfx_i, 
       input [core8_payload_width_integer_hwtcl/8-1:0]                                    p1_tx_st_data_par_i, 
       input [core8_double_width_integer_hwtcl-1:0]                                       p1_tx_st_valid_i,
       input [core8_double_width_integer_hwtcl-1:0]                                       p1_tx_st_sop_i,
       input [core8_double_width_integer_hwtcl-1:0]                                       p1_tx_st_err_i,
       input [core8_double_width_integer_hwtcl*16-1:0]                                    p1_tx_st_hdr_par_i,
       input [core8_double_width_integer_hwtcl-1:0]                                       p1_tx_st_eop_i,
       output reg                                                                         p1_tx_st_ready_o,
       input [core8_double_width_integer_hwtcl*4-1:0]                                     p1_tx_st_tlp_prfx_par_i,
       output                                                                             p1_tx_par_err_o,
  
       input [11:0]                                                                       p1_rx_buffer_limit_i,
       input [1:0]                                                                        p1_rx_buffer_limit_tdm_idx_i, 
       //p1 tx_cdts ports
       output [15:0]                                                                      p1_tx_cdts_limit_o,
       output [2:0]                                                                       p1_tx_cdts_limit_tdm_idx_o,
  
       //p1 flr_ ports
       output [10:0]                                                                      p1_flr_rcvd_vf_num_o,
       output                                                                             p1_flr_rcvd_vf_o,
       output [2:0]                                                                       p1_flr_rcvd_pf_num_o,
       output [7:0]                                                                       p1_flr_rcvd_pf_o,
       input [2:0]                                                                        p1_flr_completed_pf_num_i,
       input [10:0]                                                                       p1_flr_completed_vf_num_i,
       input                                                                              p1_flr_completed_vf_i,
       input [7:0]                                                                        p1_flr_completed_pf_i,
       //p1 virtio ports
       output                                                                             p1_virtio_pcicfg_vfaccess_o, 
       output [10:0]                                                                      p1_virtio_pcicfg_vfnum_o,
       output [2:0]                                                                       p1_virtio_pcicfg_pfnum_o,
       output [7:0]                                                                       p1_virtio_pcicfg_bar_o,
       output [31:0]                                                                      p1_virtio_pcicfg_length_o,
       output [31:0]                                                                      p1_virtio_pcicfg_baroffset_o,
       output [31:0]                                                                      p1_virtio_pcicfg_cfgdata_o,
       output                                                                             p1_virtio_pcicfg_cfgwr_o,
       output                                                                             p1_virtio_pcicfg_cfgrd_o,
  
       input [10:0]                                                                       p1_virtio_pcicfg_appvfnum_i,
       input [2:0]                                                                        p1_virtio_pcicfg_apppfnum_i,
       input                                                                              p1_virtio_pcicfg_rdack_i,
       input [3:0]                                                                        p1_virtio_pcicfg_rdbe_i,
       input [31:0]                                                                       p1_virtio_pcicfg_data_i,

       //p1 reset interface
       output                                                                             p1_reset_status_n,
       //p1 user_avmm ports
       output                                                                             p1_hip_reconfig_waitrequest,
       input                                                                              p1_hip_reconfig_read,
       input [20:0]                                                                       p1_hip_reconfig_address,
       input                                                                              p1_hip_reconfig_write,
       input [7:0]                                                                        p1_hip_reconfig_writedata,
       input                                                                              p1_hip_reconfig_clk,
       output                                                                             p1_hip_reconfig_readdatavalid,
       output [7:0]                                                                       p1_hip_reconfig_readdata,
       //p1 msi ports
       input [7:0]                                                                        p1_msi_pnd_byte_i,
       input [2:0]                                                                        p1_msi_pnd_func_i,
       input [1:0]                                                                        p1_msi_pnd_addr_i,
       //p1 test_ ports
       input                                                                              p1_test_in_i,
       output [69:0]                                                                      p1_test_out_o,
       //p1
       output                                                                             p1_cpl_timeout_o,
       // output                                                                             p1_cpl_timeout_waitrequest_o,
       // input                                                                              p1_cpl_timeout_avmm_read_i,
       // input [2:0]                                                                        p1_cpl_timeout_avmm_address_i,
       // input                                                                              p1_cpl_timeout_avmm_write_i,
       // input [7:0]                                                                        p1_cpl_timeout_avmm_writedata_i,
       // input                                                                              p1_cpl_timeout_avmm_clk_i,
       // output                                                                             p1_cpl_timeout_avmm_readdatavalid_o,
       // output [7:0]                                                                       p1_cpl_timeout_avmm_readdata_o,

       //p1 tl_cfg ports
       output [2:0]                                                                       p1_tl_cfg_func_o, //terminated in RP mode
       output [15:0]                                                                      p1_tl_cfg_ctl_o,
       output [4:0]                                                                       p1_tl_cfg_add_o,
       output                                                                             p1_dl_timer_update_o,

       //p1 prs_event ports
       input [1:0]                                                                        p1_prs_event_i,
       input [2:0]                                                                        p1_prs_event_func_i,
       input                                                                              p1_prs_event_valid_i,
       //p1 err_ ports
       input                                                                              p1_app_err_valid_i,
       input [12:0]                                                                       p1_app_err_info_i,
       input [31:0]                                                                       p1_app_err_hdr_i, //add soft logic to convert hdr+prfx to 5 cycles of 32bit
       output                                                                             p1_serr_out_o,
       input [2:0]                                                                        p1_app_err_func_num_i,
       output                                                                             p1_hip_enter_err_mode_o,
       //p1 sys_ ports
       input                                                                              p1_sys_mrl_sensor_state_i,
       input                                                                              p1_sys_mrl_sensor_chged_i,
       input                                                                              p1_sys_pre_det_state_i,
       input                                                                              p1_sys_atten_button_pressed_i,
       input                                                                              p1_sys_pwr_fault_det_i,
       input                                                                              p1_sys_eml_interlock_engaged_i,
       input                                                                              p1_sys_pre_det_chged_i,
       input                                                                              p1_sys_cmd_cpled_int_i,
  

       output                                                                             p1_pin_perst_n,

       //output                                                                             coreclkout_hip,

       input                                                                              dummy_user_avmm_rst,

       //  PHY Reconfig Interface
       //shared among all cores
       input                                                                              xcvr_reconfig_clk,
       input                                                                              xcvr_reconfig_write,
       input                                                                              xcvr_reconfig_read,
       //input   [25:0]                                           xcvr_reconfig_address, //5/28/21: Change in address width for F-Tile PCIe HIP
       input [24:0]                                                                       xcvr_reconfig_address,
       input [7:0]                                                                        xcvr_reconfig_writedata,
       output [7:0]                                                                       xcvr_reconfig_readdata,
       output                                                                             xcvr_reconfig_readdatavalid,
       output                                                                             xcvr_reconfig_waitrequest,
       // Link Inspector Interface
       input                                                                              pli_avmm_master_write,
       input                                                                              pli_avmm_master_read,
       input [23:0]                                                                       pli_avmm_master_address,
       input [31:0]                                                                       pli_avmm_master_writedata,
       output [31:0]                                                                      pli_avmm_master_readdata,
       output                                                                             pli_avmm_master_readdatavalid,
       output                                                                             pli_avmm_master_waitrequest, 

       input                                                                              p0_pld_clrpcs_n_i, //   (for x16, x8, x4 mode)
       input                                                                              p1_pld_clrpcs_n_i, //   (for x8, x4 mode) in Type D it is tied OFF to 1 in avst top wrapper

       output                                                                             p0_dtk_hip_reconfig_clk,
       output                                                                             p1_dtk_hip_reconfig_clk
       );
   
   logic                                                                                  p0_reset_status_n;                         
   logic                                                                                  p0_pin_perst_n;  //5/28/21: Added output port
   logic                                                                                  coreclkout_hip;                     
   
   // Interface to the Streaming ports of HIP.
   //RX Ports
   logic                                                                                  p0_rx_st_ready_i       ; 
   logic [double_width_integer_hwtcl-1:0]                                                 p0_rx_st_valid_o       ; 
   logic [double_width_integer_hwtcl-1:0]                                                 p0_rx_st_sop_o         ; 
   logic [double_width_integer_hwtcl-1:0]                                                 p0_rx_st_eop_o         ; 
   logic [hdr_width_integer_hwtcl-1:0]                                                    p0_rx_st_hdr_o         ; 
   logic [payload_width_integer_hwtcl-1:0]                                                p0_rx_st_data_o        ; 
   logic [double_width_integer_hwtcl-1:0]                                                 p0_rx_st_vf_active_o   ; 
   logic [double_width_integer_hwtcl*3-1:0]                                               p0_rx_st_func_num_o    ; 
   logic [double_width_integer_hwtcl*11-1:0]                                              p0_rx_st_vf_num_o      ; 
   logic [double_width_integer_hwtcl*3-1:0]                                               p0_rx_st_bar_range_o   ; 
   logic                                                                                  p0_rx_par_err_o        ; 
   logic [double_width_integer_hwtcl*3 -1 :0]                                             p0_rx_st_empty_o       ; 
   logic [pfx_width_integer_hwtcl-1:0]                                                    p0_rx_st_tlp_prfx_o    ; 
   logic [double_width_integer_hwtcl -1:0]                                                p0_rx_st_tlp_abort_o   ; 
   logic [payload_width_integer_hwtcl/8-1:0]                                              p0_rx_st_data_par_o    ; 
   logic [hdr_width_integer_hwtcl/8-1:0]                                                  p0_rx_st_hdr_par_o     ; 
   logic [pfx_width_integer_hwtcl/8-1:0]                                                  p0_rx_st_tlp_prfx_par_o; 

   
   //TX Ports
   logic                                                                                  p0_tx_st_ready_o      ; 
   logic                                                                                  p0_tx_par_err_o       ; 
   logic [double_width_integer_hwtcl-1:0]                                                 p0_tx_st_valid_i      ; 
   logic [double_width_integer_hwtcl-1:0]                                                 p0_tx_st_sop_i        ; 
   logic [double_width_integer_hwtcl-1:0]                                                 p0_tx_st_eop_i        ; 
   logic [double_width_integer_hwtcl-1:0]                                                 p0_tx_st_err_i        ; 
   logic [hdr_width_integer_hwtcl-1:0]                                                    p0_tx_st_hdr_i        ; 
   logic [payload_width_integer_hwtcl-1:0]                                                p0_tx_st_data_i       ; 
   //logic [double_width_integer_hwtcl? 1:0:0] /.tx_st_vf_active_o   ; 
   logic [pfx_width_integer_hwtcl-1:0]                                                    p0_tx_st_tlp_prfx_i   ; 
   logic [payload_width_integer_hwtcl/8-1:0]                                              p0_tx_st_data_par_i   ; 
   logic [hdr_width_integer_hwtcl/8-1:0]                                                  p0_tx_st_hdr_par_i    ; 
   logic [pfx_width_integer_hwtcl/8-1:0]                                                  p0_tx_st_tlp_prfx_par_i;

   logic                                                                                  p0_dl_timer_update_o ;

   // Streaming Packets HIP Credit Interface.
   // TX Ports
   logic [15:0]                                                                           p0_tx_cdts_limit_o;           //C2p NA      C2e  NA             WHR [15:0]
   logic [2:0]                                                                            p0_tx_cdts_limit_tdm_idx_o;   //C2p NA      C2e  NA             WHR [2:0]
   
   // RX Ports                                       
   logic [11:0]                                                                           p0_rx_buffer_limit_i; //C2p NA      C2e  NA             WHR [11:0]
   logic [1:0]                                                                            p0_rx_buffer_limit_tdm_idx_i; //C2p NA      C2e  NA             WHR [1:0]

   // Config Interface
   logic [2:0]                                                                            p0_tl_cfg_func_o ;              //C2p[1:0]    C2e  [1:0]          WHR [2:0]
   logic [4:0]                                                                            p0_tl_cfg_add_o  ;              //C2p[4:0]    C2e  [3:0]          WHR [4:0]
   logic [15:0]                                                                           p0_tl_cfg_ctl_o  ;              //C2p[31:0]   C2e  [31:0]         WHR [15:0]
   
   // HIP Reconfig interface
   logic                                                                                  p0_hip_reconfig_read;
   logic [20:0]                                                                           p0_hip_reconfig_address;
   logic                                                                                  p0_hip_reconfig_write;
   logic [7:0]                                                                            p0_hip_reconfig_writedata;
   logic                                                                                  p0_hip_reconfig_clk; 
   logic                                                                                  p0_hip_reconfig_readdatavalid;
   logic [7:0]                                                                            p0_hip_reconfig_readdata;
   logic                                                                                  p0_hip_reconfig_waitrequest;

   // FLR interface from HIP
   logic [7:0]                                                                            p0_flr_rcvd_pf_o       ;   //"(core16_flr_cap_user_hwtcl==0)"
   logic                                                                                  p0_flr_rcvd_vf_o       ;   //"enable_sriov_hwtcl" 
   logic [2:0]                                                                            p0_flr_rcvd_pf_num_o   ;  //" core16_flr_cap_user_hwtcl==0)"
   logic [10:0]                                                                           p0_flr_rcvd_vf_num_o   ;   //"enable_sriov_hwtcl"
   logic [7:0]                                                                            p0_flr_completed_pf_i  ;   //"(core16_flr_cap_user_hwtcl==0)"
   logic                                                                                  p0_flr_completed_vf_i  ;   //"!enable_sriov_hwtcl"
   logic [2:0]                                                                            p0_flr_completed_pf_num_i ; //"(core16_flr_cap_user_hwtcl==0)"
   logic [10:0]                                                                           p0_flr_completed_vf_num_i ; //"!enable_sriov_hwtcl" 

   //  Completion Timeout Interface (only in P-tile)
   logic                                                                                  p0_cpl_timeout_o                  ; 
  // logic                                                                                  p0_cpl_timeout_avmm_clk_i         ; 
  // logic                                                                                  p0_cpl_timeout_waitrequest_o      ; 
  // logic                                                                                  p0_cpl_timeout_avmm_read_i        ; 
  // logic [2:0]                                                                            p0_cpl_timeout_avmm_address_i     ; 
  // logic                                                                                  p0_cpl_timeout_avmm_write_i       ; 
  // logic [7:0]                                                                            p0_cpl_timeout_avmm_writedata_i   ; 
  // logic [7:0]                                                                            p0_cpl_timeout_avmm_readdata_o    ; 
  // logic                                                                                  p0_cpl_timeout_avmm_readdatavalid_o;
  // logic [20:0]                                                                           p0_cpl_timeout_avmm_address_wire     ;
  // assign p0_cpl_timeout_avmm_address_i = p0_cpl_timeout_avmm_address_wire[2:0]; // [20:3] : Reserved. Tie them to 0.

   // Error interface to HIP
   logic                                                                                  p0_app_err_valid_i    ;   
   logic [31:0]                                                                           p0_app_err_hdr_i      ;   
   logic [12:0]                                                                           p0_app_err_info_i     ;   
   logic [pfnum_width_hwtcl-1:0]                                                          p0_app_err_func_num_i ;   //"(enable_multi_func_hwtcl == 0)"
   logic                                                                                  p0_serr_out_o         ;   
   logic                                                                                  p0_hip_enter_err_mode_o  ;
   
   //10 bit tag interface
   logic [7:0]                                                                            p0_10bits_tag_req_en_o;

   //MSI pending bits interface
      logic [2:0]                                                                         p0_msi_pnd_func_i;
      logic [7:0]                                                                         p0_msi_pnd_byte_i;
      logic [1:0]                                                                         p0_msi_pnd_addr_i;

   //p0 vf_err_ ports
   logic                                                                                  p0_vf_err_ur_posted_s0_o;
   logic                                                                                  p0_vf_err_ur_posted_s1_o;
   logic                                                                                  p0_vf_err_ur_posted_s2_o;
   logic                                                                                  p0_vf_err_ur_posted_s3_o;
   logic [2:0]                                                                            p0_vf_err_func_num_s0_o;
   logic [2:0]                                                                            p0_vf_err_func_num_s1_o;
   logic [2:0]                                                                            p0_vf_err_func_num_s2_o;
   logic [2:0]                                                                            p0_vf_err_func_num_s3_o;
   logic                                                                                  p0_vf_err_ca_postedreq_s0_o;
   logic                                                                                  p0_vf_err_ca_postedreq_s1_o;
   logic                                                                                  p0_vf_err_ca_postedreq_s3_o;
   logic                                                                                  p0_vf_err_ca_postedreq_s2_o;
   logic [10:0]                                                                           p0_vf_err_vf_num_s0_o;
   logic [10:0]                                                                           p0_vf_err_vf_num_s1_o;
   logic [10:0]                                                                           p0_vf_err_vf_num_s2_o;
   logic [10:0]                                                                           p0_vf_err_vf_num_s3_o;
   logic                                                                                  p0_vf_err_poisonedwrreq_s0_o;
   logic                                                                                  p0_vf_err_poisonedwrreq_s1_o;
   logic                                                                                  p0_vf_err_poisonedwrreq_s2_o;
   logic                                                                                  p0_vf_err_poisonedwrreq_s3_o;
   logic                                                                                  p0_vf_err_poisonedcompl_s0_o;
   logic                                                                                  p0_vf_err_poisonedcompl_s1_o;
   logic                                                                                  p0_vf_err_poisonedcompl_s2_o;
   logic                                                                                  p0_vf_err_poisonedcompl_s3_o;
   logic [2:0]                                                                            p0_user_vfnonfatalmsg_func_num_i;
   logic [10:0]                                                                           p0_user_vfnonfatalmsg_vfnum_i;
   logic                                                                                  p0_user_sent_vfnonfatalmsg_i;
   logic                                                                                  p0_vf_err_overflow_o;

   logic [double_width_integer_hwtcl-1:0]                                                 p0_rx_st_vf_active_wire   ; 
   logic [double_width_integer_hwtcl*3-1:0]                                               p0_rx_st_func_num_wire    ; 
   logic [double_width_integer_hwtcl*11-1:0]                                              p0_rx_st_vf_num_wire      ;
   logic                                                                                  p0_flr_rcvd_vf_wire       ;  
   logic [10:0]                                                                           p0_flr_rcvd_vf_num_wire   ;
   logic [2:0]                                                                            p0_flr_rcvd_pf_num_wire   ; 
   logic [7:0]                                                                            p0_flr_rcvd_pf_wire       ; 

      assign p0_hip_reconfig_clk = '0;


   assign p0_user_vfnonfatalmsg_func_num_i   = 3'b000;
   assign p0_user_vfnonfatalmsg_vfnum_i      = 11'b00000000000;
   assign p0_user_sent_vfnonfatalmsg_i       = 1'b0;

   if (core16_enable_sriov_hwtcl == 1) begin
      assign  p0_rx_st_vf_active_wire =  p0_rx_st_vf_active_o; 
      assign  p0_rx_st_vf_num_wire    =  p0_rx_st_vf_num_o   ;
      assign  p0_flr_rcvd_vf_wire     =  p0_flr_rcvd_vf_o    ;
      assign  p0_flr_rcvd_vf_num_wire =  p0_flr_rcvd_vf_num_o;
      assign  p0_flr_rcvd_pf_num_wire =  p0_flr_rcvd_pf_num_o;
   end
   else begin
      assign  p0_rx_st_vf_active_wire =  0; 
      assign  p0_rx_st_vf_num_wire    =  0; 
      assign  p0_flr_rcvd_vf_wire     =  0;
      assign  p0_flr_rcvd_vf_num_wire =  0;
      assign  p0_flr_rcvd_pf_num_wire =  0;
   end
   
   if (core16_total_pf_count_hwtcl != 1) begin
      assign  p0_rx_st_func_num_wire  =  p0_rx_st_func_num_o ; 
   end
   else begin
      assign  p0_rx_st_func_num_wire  =  0;   
   end
   
   generate if (enable_cs_hwtcl == 0) begin : flr_enable
         assign  p0_flr_rcvd_pf_wire      =  p0_flr_rcvd_pf_o ;
      end else begin : flr_disable
         assign  p0_flr_rcvd_pf_wire      = '0 ;  
   end endgenerate


   
   intel_pcie_mcdma_ftile_wrapper #(

                                    .total_pf_count_width_hwtcl                     (total_pf_count_width_hwtcl                   ),    
                                    .total_vf_count_width_hwtcl                     (total_vf_count_width_hwtcl                   ),
                                    .total_vf_count_hwtcl                           (total_vf_count_hwtcl                         ),
                                    .total_pf_count_hwtcl                           (total_pf_count_hwtcl                         ),
                                    .payload_width_integer_hwtcl                    (payload_width_integer_hwtcl                  ),
                                    .hdr_width_integer_hwtcl                        (hdr_width_integer_hwtcl                      ),
                                    .pfx_width_integer_hwtcl                        (pfx_width_integer_hwtcl                      ),
                                    .double_width_integer_hwtcl                     (double_width_integer_hwtcl                   ),
                                    .device_family                                  (device_family                                ),
                                    .data_width_hwtcl                               (data_width_hwtcl                             ),
                                    .empty_width_hwtcl                              (empty_width_hwtcl                            ),
                                    .burst_width_hwtcl                              (burst_width_hwtcl                            ),
                                    .pfnum_hwtcl                                    (pfnum_hwtcl                                  ),
                                    .pfnum_width_hwtcl                              (pfnum_width_hwtcl                            ),
                                    .vfnum_width_hwtcl                              (vfnum_width_hwtcl                            ),
                                    .pio_address_width_hwtcl                        (pio_address_width_hwtcl                      ),
                                    .cs_address_width_hwtcl                         (cs_address_width_hwtcl                       ),
                                    .att_en_for_bas_cs_hwtcl                        (att_en_for_bas_cs_hwtcl                      ),  
                                    .mapping_table_address_width_hwtcl              (mapping_table_address_width_hwtcl            ), 
                                    .mapping_window_address_width_hwtcl             (mapping_window_address_width_hwtcl           ),
                                    .msi_enable_hwtcl                               ( msi_enable_hwtcl                            ),
                                    .per_vec_mask_capable_hwtcl                     ( per_vec_mask_capable_hwtcl                  ),
                                    .addr_64bit_capable_hwtcl                       ( addr_64bit_capable_hwtcl                    ),
                                    .multi_msg_capable_hwtcl                        ( multi_msg_capable_hwtcl                     ),
                                    .ext_msg_data_capable_hwtcl                     ( ext_msg_data_capable_hwtcl                  ),      
                                    .pio_data_width_hwtcl                           (pio_data_width_hwtcl                         ),
                                    .uport_type_h2d_hwtcl                           (uport_type_h2d_hwtcl                         ),
                                    .uport_type_d2h_hwtcl                           (uport_type_d2h_hwtcl                         ),
                                    .tile_hwtcl                                     (tile_hwtcl                                   ),
                                    .core_index_hwtcl                               (0                                            ),
                                    .enable_cpl_timeout_hwtcl                       (core16_enable_cpl_timeout_hwtcl              ),
                                    .pf0_enable_sriov_hwtcl                         (pf0_enable_sriov_hwtcl                       ),
                                    .pf1_enable_sriov_hwtcl                         (pf1_enable_sriov_hwtcl                       ),
                                    .pf2_enable_sriov_hwtcl                         (pf2_enable_sriov_hwtcl                       ),
                                    .pf3_enable_sriov_hwtcl                         (pf3_enable_sriov_hwtcl                       ),
                                    .pf4_enable_sriov_hwtcl                         (pf4_enable_sriov_hwtcl                       ),
                                    .pf5_enable_sriov_hwtcl                         (pf5_enable_sriov_hwtcl                       ),
                                    .pf6_enable_sriov_hwtcl                         (pf6_enable_sriov_hwtcl                       ),
                                    .pf7_enable_sriov_hwtcl                         (pf7_enable_sriov_hwtcl                       ),
                                    .pf0_num_vf_per_pf_hwtcl                        (pf0_num_vf_per_pf_hwtcl                      ),
                                    .pf1_num_vf_per_pf_hwtcl                        (pf1_num_vf_per_pf_hwtcl                      ),
                                    .pf2_num_vf_per_pf_hwtcl                        (pf2_num_vf_per_pf_hwtcl                      ),
                                    .pf3_num_vf_per_pf_hwtcl                        (pf3_num_vf_per_pf_hwtcl                      ),
                                    .pf4_num_vf_per_pf_hwtcl                        (pf4_num_vf_per_pf_hwtcl                      ),
                                    .pf5_num_vf_per_pf_hwtcl                        (pf5_num_vf_per_pf_hwtcl                      ),
                                    .pf6_num_vf_per_pf_hwtcl                        (pf6_num_vf_per_pf_hwtcl                      ),
                                    .pf7_num_vf_per_pf_hwtcl                        (pf7_num_vf_per_pf_hwtcl                      ),
                                    .pf0_num_dma_chan_pf_hwtcl                      (pf0_num_dma_chan_pf_hwtcl                    ),
                                    .pf1_num_dma_chan_pf_hwtcl                      (pf1_num_dma_chan_pf_hwtcl                    ),
                                    .pf2_num_dma_chan_pf_hwtcl                      (pf2_num_dma_chan_pf_hwtcl                    ),
                                    .pf3_num_dma_chan_pf_hwtcl                      (pf3_num_dma_chan_pf_hwtcl                    ),
                                    .pf4_num_dma_chan_pf_hwtcl                      (pf4_num_dma_chan_pf_hwtcl                    ),
                                    .pf5_num_dma_chan_pf_hwtcl                      (pf5_num_dma_chan_pf_hwtcl                    ),
                                    .pf6_num_dma_chan_pf_hwtcl                      (pf6_num_dma_chan_pf_hwtcl                    ),
                                    .pf7_num_dma_chan_pf_hwtcl                      (pf7_num_dma_chan_pf_hwtcl                    ),
                                    .pf0_num_dma_chan_per_vf_hwtcl                  (pf0_num_dma_chan_per_vf_hwtcl                ),
                                    .pf1_num_dma_chan_per_vf_hwtcl                  (pf1_num_dma_chan_per_vf_hwtcl                ),
                                    .pf2_num_dma_chan_per_vf_hwtcl                  (pf2_num_dma_chan_per_vf_hwtcl                ),
                                    .pf3_num_dma_chan_per_vf_hwtcl                  (pf3_num_dma_chan_per_vf_hwtcl                ),
                                    .pf4_num_dma_chan_per_vf_hwtcl                  (pf4_num_dma_chan_per_vf_hwtcl                ),
                                    .pf5_num_dma_chan_per_vf_hwtcl                  (pf5_num_dma_chan_per_vf_hwtcl                ),
                                    .pf6_num_dma_chan_per_vf_hwtcl                  (pf6_num_dma_chan_per_vf_hwtcl                ),
                                    .pf7_num_dma_chan_per_vf_hwtcl                  (pf7_num_dma_chan_per_vf_hwtcl                ),
                                    .enable_user_msix_hwtcl                         (enable_user_msix_hwtcl                       ),
                                    .enable_user_flr_hwtcl                          (enable_user_flr_hwtcl                        ),
                                    .num_h2d_uport_hwtcl                            (num_h2d_uport_hwtcl                          ),
                                    .num_d2h_uport_hwtcl                            (num_d2h_uport_hwtcl                          ),
                                    .d2h_num_active_channel_hwtcl                   (d2h_num_active_channel_hwtcl                 ),
                                    .d2h_max_num_desc_fetch_hwtcl                   (d2h_max_num_desc_fetch_hwtcl                 ),
                                    .en_metadata_8_hwtcl                            (en_metadata_8_hwtcl                          ),
                                    .en_10bit_tag_hwtcl                             (en_10bit_tag_hwtcl                           ),
                                    .pio_bar2_size_per_f_hwtcl                      (pio_bar2_size_per_f_hwtcl                    ),
                                    .enable_bursting_master_hwtcl                   (enable_bursting_master_hwtcl                 ),
                                    .enable_bursting_slave_hwtcl                    (enable_bursting_slave_hwtcl                  ),
                                    .enable_mcdma_hwtcl                             (enable_mcdma_hwtcl                           ),
                                    .enable_byte_aligned_txfr_hwtcl                 (enable_byte_aligned_txfr_hwtcl               ),
                                    .enable_data_mover_hwtcl                        (enable_data_mover_hwtcl                      ),
                                    .pfcnt_w_hwtcl                                  (pfcnt_w_hwtcl                                ),
                                    .vfcnt_w_hwtcl                                  (vfcnt_w_hwtcl                                ),
                                    .max_bar_address_width_hwtcl                    (max_bar_address_width_hwtcl                  ),
                                    .enable_cs_hwtcl                                (enable_cs_hwtcl                              ),
                                    .core16_pf0_bar0_address_width_hwtcl            (core16_pf0_bar0_address_width_hwtcl          ),
                                    .core16_pf0_bar1_address_width_hwtcl            (core16_pf0_bar1_address_width_hwtcl          ),
                                    .core16_pf0_bar2_address_width_hwtcl            (core16_pf0_bar2_address_width_hwtcl          ),
                                    .core16_pf0_bar3_address_width_hwtcl            (core16_pf0_bar3_address_width_hwtcl          ),
                                    .core16_pf0_bar4_address_width_hwtcl            (core16_pf0_bar4_address_width_hwtcl          ),
                                    .core16_pf0_bar5_address_width_hwtcl            (core16_pf0_bar5_address_width_hwtcl          ),
                                    .core16_pf1_bar0_address_width_hwtcl            (core16_pf1_bar0_address_width_hwtcl          ),
                                    .core16_pf1_bar1_address_width_hwtcl            (core16_pf1_bar1_address_width_hwtcl          ),
                                    .core16_pf1_bar2_address_width_hwtcl            (core16_pf1_bar2_address_width_hwtcl          ),
                                    .core16_pf1_bar3_address_width_hwtcl            (core16_pf1_bar3_address_width_hwtcl          ),
                                    .core16_pf1_bar4_address_width_hwtcl            (core16_pf1_bar4_address_width_hwtcl          ),
                                    .core16_pf1_bar5_address_width_hwtcl            (core16_pf1_bar5_address_width_hwtcl          ),
                                    .core16_pf2_bar0_address_width_hwtcl            (core16_pf2_bar0_address_width_hwtcl          ),
                                    .core16_pf2_bar1_address_width_hwtcl            (core16_pf2_bar1_address_width_hwtcl          ),
                                    .core16_pf2_bar2_address_width_hwtcl            (core16_pf2_bar2_address_width_hwtcl          ),
                                    .core16_pf2_bar3_address_width_hwtcl            (core16_pf2_bar3_address_width_hwtcl          ),
                                    .core16_pf2_bar4_address_width_hwtcl            (core16_pf2_bar4_address_width_hwtcl          ),
                                    .core16_pf2_bar5_address_width_hwtcl            (core16_pf2_bar5_address_width_hwtcl          ),
                                    .core16_pf3_bar0_address_width_hwtcl            (core16_pf3_bar0_address_width_hwtcl          ),
                                    .core16_pf3_bar1_address_width_hwtcl            (core16_pf3_bar1_address_width_hwtcl          ),
                                    .core16_pf3_bar2_address_width_hwtcl            (core16_pf3_bar2_address_width_hwtcl          ),
                                    .core16_pf3_bar3_address_width_hwtcl            (core16_pf3_bar3_address_width_hwtcl          ),
                                    .core16_pf3_bar4_address_width_hwtcl            (core16_pf3_bar4_address_width_hwtcl          ),
                                    .core16_pf3_bar5_address_width_hwtcl            (core16_pf3_bar5_address_width_hwtcl          ),
                                    .core16_pf4_bar0_address_width_hwtcl            (core16_pf4_bar0_address_width_hwtcl          ),
                                    .core16_pf4_bar1_address_width_hwtcl            (core16_pf4_bar1_address_width_hwtcl          ),
                                    .core16_pf4_bar2_address_width_hwtcl            (core16_pf4_bar2_address_width_hwtcl          ),
                                    .core16_pf4_bar3_address_width_hwtcl            (core16_pf4_bar3_address_width_hwtcl          ),
                                    .core16_pf4_bar4_address_width_hwtcl            (core16_pf4_bar4_address_width_hwtcl          ),
                                    .core16_pf4_bar5_address_width_hwtcl            (core16_pf4_bar5_address_width_hwtcl          ),
                                    .core16_pf5_bar0_address_width_hwtcl            (core16_pf5_bar0_address_width_hwtcl          ),
                                    .core16_pf5_bar1_address_width_hwtcl            (core16_pf5_bar1_address_width_hwtcl          ),
                                    .core16_pf5_bar2_address_width_hwtcl            (core16_pf5_bar2_address_width_hwtcl          ),
                                    .core16_pf5_bar3_address_width_hwtcl            (core16_pf5_bar3_address_width_hwtcl          ),
                                    .core16_pf5_bar4_address_width_hwtcl            (core16_pf5_bar4_address_width_hwtcl          ),
                                    .core16_pf5_bar5_address_width_hwtcl            (core16_pf5_bar5_address_width_hwtcl          ),
                                    .core16_pf6_bar0_address_width_hwtcl            (core16_pf6_bar0_address_width_hwtcl          ),
                                    .core16_pf6_bar1_address_width_hwtcl            (core16_pf6_bar1_address_width_hwtcl          ),
                                    .core16_pf6_bar2_address_width_hwtcl            (core16_pf6_bar2_address_width_hwtcl          ),
                                    .core16_pf6_bar3_address_width_hwtcl            (core16_pf6_bar3_address_width_hwtcl          ),
                                    .core16_pf6_bar4_address_width_hwtcl            (core16_pf6_bar4_address_width_hwtcl          ),
                                    .core16_pf6_bar5_address_width_hwtcl            (core16_pf6_bar5_address_width_hwtcl          ),
                                    .core16_pf7_bar0_address_width_hwtcl            (core16_pf7_bar0_address_width_hwtcl          ),
                                    .core16_pf7_bar2_address_width_hwtcl            (core16_pf7_bar2_address_width_hwtcl          ),
                                    .core16_pf7_bar3_address_width_hwtcl            (core16_pf7_bar3_address_width_hwtcl          ),
                                    .core16_pf7_bar4_address_width_hwtcl            (core16_pf7_bar4_address_width_hwtcl          ),
                                    .core16_pf7_bar5_address_width_hwtcl            (core16_pf7_bar5_address_width_hwtcl          ),
                                    .core16_pf7_bar1_address_width_hwtcl            (core16_pf7_bar1_address_width_hwtcl          ),
                                    .core16_pf0_sriov_vf_bar0_address_width_hwtcl   (core16_pf0_sriov_vf_bar0_address_width_int_hwtcl ),
                                    .core16_pf0_sriov_vf_bar1_address_width_hwtcl   (core16_pf0_sriov_vf_bar1_address_width_int_hwtcl ),
                                    .core16_pf0_sriov_vf_bar2_address_width_hwtcl   (core16_pf0_sriov_vf_bar2_address_width_int_hwtcl ),
                                    .core16_pf0_sriov_vf_bar3_address_width_hwtcl   (core16_pf0_sriov_vf_bar3_address_width_int_hwtcl ),
                                    .core16_pf0_sriov_vf_bar4_address_width_hwtcl   (core16_pf0_sriov_vf_bar4_address_width_int_hwtcl ),
                                    .core16_pf0_sriov_vf_bar5_address_width_hwtcl   (core16_pf0_sriov_vf_bar5_address_width_int_hwtcl ),
                                    .core16_pf1_sriov_vf_bar0_address_width_hwtcl   (core16_pf1_sriov_vf_bar0_address_width_int_hwtcl ),
                                    .core16_pf1_sriov_vf_bar1_address_width_hwtcl   (core16_pf1_sriov_vf_bar1_address_width_int_hwtcl ),
                                    .core16_pf1_sriov_vf_bar2_address_width_hwtcl   (core16_pf1_sriov_vf_bar2_address_width_int_hwtcl ),
                                    .core16_pf1_sriov_vf_bar3_address_width_hwtcl   (core16_pf1_sriov_vf_bar3_address_width_int_hwtcl ),
                                    .core16_pf1_sriov_vf_bar4_address_width_hwtcl   (core16_pf1_sriov_vf_bar4_address_width_int_hwtcl ),
                                    .core16_pf1_sriov_vf_bar5_address_width_hwtcl   (core16_pf1_sriov_vf_bar5_address_width_int_hwtcl ),
                                    .core16_pf2_sriov_vf_bar0_address_width_hwtcl   (core16_pf2_sriov_vf_bar0_address_width_int_hwtcl ),
                                    .core16_pf2_sriov_vf_bar1_address_width_hwtcl   (core16_pf2_sriov_vf_bar1_address_width_int_hwtcl ),
                                    .core16_pf2_sriov_vf_bar2_address_width_hwtcl   (core16_pf2_sriov_vf_bar2_address_width_int_hwtcl ),
                                    .core16_pf2_sriov_vf_bar3_address_width_hwtcl   (core16_pf2_sriov_vf_bar3_address_width_int_hwtcl ),
                                    .core16_pf2_sriov_vf_bar4_address_width_hwtcl   (core16_pf2_sriov_vf_bar4_address_width_int_hwtcl ),
                                    .core16_pf2_sriov_vf_bar5_address_width_hwtcl   (core16_pf2_sriov_vf_bar5_address_width_int_hwtcl ),
                                    .core16_pf3_sriov_vf_bar0_address_width_hwtcl   (core16_pf3_sriov_vf_bar0_address_width_int_hwtcl ),
                                    .core16_pf3_sriov_vf_bar1_address_width_hwtcl   (core16_pf3_sriov_vf_bar1_address_width_int_hwtcl ),
                                    .core16_pf3_sriov_vf_bar2_address_width_hwtcl   (core16_pf3_sriov_vf_bar2_address_width_int_hwtcl ),
                                    .core16_pf3_sriov_vf_bar3_address_width_hwtcl   (core16_pf3_sriov_vf_bar3_address_width_int_hwtcl ),
                                    .core16_pf3_sriov_vf_bar4_address_width_hwtcl   (core16_pf3_sriov_vf_bar4_address_width_int_hwtcl ),
                                    .core16_pf3_sriov_vf_bar5_address_width_hwtcl   (core16_pf3_sriov_vf_bar5_address_width_int_hwtcl ),
                                    .core16_pf4_sriov_vf_bar0_address_width_hwtcl   (core16_pf4_sriov_vf_bar0_address_width_int_hwtcl ),
                                    .core16_pf4_sriov_vf_bar1_address_width_hwtcl   (core16_pf4_sriov_vf_bar1_address_width_int_hwtcl ),
                                    .core16_pf4_sriov_vf_bar2_address_width_hwtcl   (core16_pf4_sriov_vf_bar2_address_width_int_hwtcl ),
                                    .core16_pf4_sriov_vf_bar3_address_width_hwtcl   (core16_pf4_sriov_vf_bar3_address_width_int_hwtcl ),
                                    .core16_pf4_sriov_vf_bar4_address_width_hwtcl   (core16_pf4_sriov_vf_bar4_address_width_int_hwtcl ),
                                    .core16_pf4_sriov_vf_bar5_address_width_hwtcl   (core16_pf4_sriov_vf_bar5_address_width_int_hwtcl ),
                                    .core16_pf5_sriov_vf_bar0_address_width_hwtcl   (core16_pf5_sriov_vf_bar0_address_width_int_hwtcl ),
                                    .core16_pf5_sriov_vf_bar1_address_width_hwtcl   (core16_pf5_sriov_vf_bar1_address_width_int_hwtcl ),
                                    .core16_pf5_sriov_vf_bar2_address_width_hwtcl   (core16_pf5_sriov_vf_bar2_address_width_int_hwtcl ),
                                    .core16_pf5_sriov_vf_bar3_address_width_hwtcl   (core16_pf5_sriov_vf_bar3_address_width_int_hwtcl ),
                                    .core16_pf5_sriov_vf_bar4_address_width_hwtcl   (core16_pf5_sriov_vf_bar4_address_width_int_hwtcl ),
                                    .core16_pf5_sriov_vf_bar5_address_width_hwtcl   (core16_pf5_sriov_vf_bar5_address_width_int_hwtcl ),
                                    .core16_pf6_sriov_vf_bar0_address_width_hwtcl   (core16_pf6_sriov_vf_bar0_address_width_int_hwtcl ),
                                    .core16_pf6_sriov_vf_bar1_address_width_hwtcl   (core16_pf6_sriov_vf_bar1_address_width_int_hwtcl ),
                                    .core16_pf6_sriov_vf_bar2_address_width_hwtcl   (core16_pf6_sriov_vf_bar2_address_width_int_hwtcl ),
                                    .core16_pf6_sriov_vf_bar3_address_width_hwtcl   (core16_pf6_sriov_vf_bar3_address_width_int_hwtcl ),
                                    .core16_pf6_sriov_vf_bar4_address_width_hwtcl   (core16_pf6_sriov_vf_bar4_address_width_int_hwtcl ),
                                    .core16_pf6_sriov_vf_bar5_address_width_hwtcl   (core16_pf6_sriov_vf_bar5_address_width_int_hwtcl ),
                                    .core16_pf7_sriov_vf_bar0_address_width_hwtcl   (core16_pf7_sriov_vf_bar0_address_width_int_hwtcl ),
                                    .core16_pf7_sriov_vf_bar1_address_width_hwtcl   (core16_pf7_sriov_vf_bar1_address_width_int_hwtcl ),
                                    .core16_pf7_sriov_vf_bar2_address_width_hwtcl   (core16_pf7_sriov_vf_bar2_address_width_int_hwtcl ),
                                    .core16_pf7_sriov_vf_bar3_address_width_hwtcl   (core16_pf7_sriov_vf_bar3_address_width_int_hwtcl ),
                                    .core16_pf7_sriov_vf_bar4_address_width_hwtcl   (core16_pf7_sriov_vf_bar4_address_width_int_hwtcl ),
                                    .core16_pf7_sriov_vf_bar5_address_width_hwtcl   (core16_pf7_sriov_vf_bar5_address_width_int_hwtcl )
      
                                    ) 
   mcdma (
          .clk                                  (  coreclkout_hip                   ), 
          .rx_st_ready_o                        (  p0_rx_st_ready_i                 ), 
          .rx_st_valid_i                        (  p0_rx_st_valid_o                 ),
          .rx_st_sop_i                          (  p0_rx_st_sop_o                   ),
          .rx_st_eop_i                          (  p0_rx_st_eop_o                   ),
          .rx_st_hdr_i                          (  p0_rx_st_hdr_o                   ),
          .rx_st_data_i                         (  p0_rx_st_data_o                  ),
          .rx_st_vf_active_i                    (  p0_rx_st_vf_active_wire            ),
          .rx_st_func_num_i                     (  p0_rx_st_func_num_wire             ),
          .rx_st_vf_num_i                       (  p0_rx_st_vf_num_wire               ),
          .rx_st_bar_range_i                    (  p0_rx_st_bar_range_o             ),
          .rx_par_err_i                         (  p0_rx_par_err_o                  ),
          .rx_st_empty_i                        (  p0_rx_st_empty_o                 ),
          .rx_st_tlp_prfx_i                     (  p0_rx_st_tlp_prfx_o              ),
          .rx_st_tlp_abort_i                    (  p0_rx_st_tlp_abort_o             ),
          .rx_st_data_par_i                     (  '0                               ),
          .rx_st_hdr_par_i                      (  '0                               ),
          .rx_st_tlp_prfx_par_i                 (  '0                               ),


          .tx_st_ready_i                        (  p0_tx_st_ready_o                ),
          .tx_par_err_i                         (  p0_tx_par_err_o                 ),
          .tx_st_valid_o                        (  p0_tx_st_valid_i                ),
          .tx_st_sop_o                          (  p0_tx_st_sop_i                  ),
          .tx_st_eop_o                          (  p0_tx_st_eop_i                  ),
          .tx_st_err_o                          (  p0_tx_st_err_i                  ),
          .tx_st_hdr_o                          (  p0_tx_st_hdr_i                  ),
          .tx_st_data_o                         (  p0_tx_st_data_i                 ),
          //.tx_st_vf_active_o                    (/.tx_st_vf_active_o               ),
          .tx_st_tlp_prfx_o                     (  p0_tx_st_tlp_prfx_i             ),
          .tx_st_data_par_o                     (  p0_tx_st_data_par_i             ),
          .tx_st_hdr_par_o                      (  p0_tx_st_hdr_par_i              ),
          .tx_st_tlp_prfx_par_o                 (  p0_tx_st_tlp_prfx_par_i         ),

          .dl_timer_update_o                    ( p0_dl_timer_update_o              ),
      
          .tx_cdts_limit_i                      ( p0_tx_cdts_limit_o              ),
          .tx_cdts_limit_tdm_idx_i              ( p0_tx_cdts_limit_tdm_idx_o      ),
      
          .rx_buffer_limit_o                    ( p0_rx_buffer_limit_i            ),
          .rx_buffer_limit_tdm_idx_o            ( p0_rx_buffer_limit_tdm_idx_i    ),
      
          .tl_cfg_func_i                        ( p0_tl_cfg_func_o            ),
          .tl_cfg_add_i                         ( p0_tl_cfg_add_o             ),
          .tl_cfg_ctl_i                         ( p0_tl_cfg_ctl_o             ),

          .usr_hip_tl_cfg_func_o                (usr_hip_tl_cfg_func_o        ),       
          .usr_hip_tl_cfg_add_o                 (usr_hip_tl_cfg_add_o         ),        
          .usr_hip_tl_cfg_ctl_o                 (usr_hip_tl_cfg_ctl_o         ),        
      
          .hip_reconfig_read_o                  ( p0_hip_reconfig_read               ),
          .hip_reconfig_address_o               ( p0_hip_reconfig_address            ),
          .hip_reconfig_write_o                 ( p0_hip_reconfig_write              ),
          .hip_reconfig_writedata_o             ( p0_hip_reconfig_writedata          ),
          .hip_reconfig_clk_i                   ( p0_hip_reconfig_clk                ),
          .hip_reconfig_readdatavalid_i         ( p0_hip_reconfig_readdatavalid      ),
          .hip_reconfig_readdata_i              ( p0_hip_reconfig_readdata           ),
          .hip_reconfig_waitrequest_i           ( p0_hip_reconfig_waitrequest        ),
      
          .flr_rcvd_pf_i                        ( p0_flr_rcvd_pf_wire                   ),
          .flr_rcvd_vf_i                        ( p0_flr_rcvd_vf_wire                   ),
          .flr_rcvd_pf_num_i                    ( p0_flr_rcvd_pf_num_wire               ),
          .flr_rcvd_vf_num_i                    ( p0_flr_rcvd_vf_num_wire               ),
          .flr_completed_pf_o                   ( p0_flr_completed_pf_i                 ),
          .flr_completed_vf_o                   ( p0_flr_completed_vf_i                 ),
          .flr_completed_pf_num_o               ( p0_flr_completed_pf_num_i             ),
          .flr_completed_vf_num_o               ( p0_flr_completed_vf_num_i             ),
      
          .cpl_timeout_i                        ( p0_cpl_timeout_o                   ),
         // .cpl_timeout_avmm_clk_o               ( p0_cpl_timeout_avmm_clk_i          ),
         // .cpl_timeout_avmm_waitrequest_i       ( p0_cpl_timeout_waitrequest_o       ),
         // .cpl_timeout_avmm_read_o              ( p0_cpl_timeout_avmm_read_i         ),
         // .cpl_timeout_avmm_address_o           ( p0_cpl_timeout_avmm_address_wire      ),
         // .cpl_timeout_avmm_write_o             ( p0_cpl_timeout_avmm_write_i        ),
         // .cpl_timeout_avmm_writedata_o         ( p0_cpl_timeout_avmm_writedata_i    ),
         // .cpl_timeout_avmm_readdata_i          ( p0_cpl_timeout_avmm_readdata_o     ),
         // .cpl_timeout_avmm_readdatavalid_i     ( p0_cpl_timeout_avmm_readdatavalid_o),
      
          .app_err_valid_o                      ( p0_app_err_valid_i                     ),
          .app_err_hdr_o                        ( p0_app_err_hdr_i                       ),
          .app_err_info_o                       ( p0_app_err_info_i                      ),
          .app_err_func_num_o                   ( p0_app_err_func_num_i                  ),
          .serr_i                               ( p0_serr_out_o                          ),
          .hip_enter_err_mode_i                 ( p0_hip_enter_err_mode_o                ),
      
          .app_rst_n                            ( app_rst_n                       ),
          .rst_n                                ( p0_reset_status_n               ),
          .pin_perst_n                          ( p0_pin_perst_n                  ),
          .app_clk                              ( app_clk                         ),

          .hip_10bits_tag_req_en_i              ( en_10bit_tag_hwtcl ? p0_10bits_tag_req_en_o : '0 ),

          .hip_msi_pnd_func_o                   ( p0_msi_pnd_func_i ),
          .hip_msi_pnd_addr_o                   ( p0_msi_pnd_addr_i ),
          .hip_msi_pnd_byte_o                   ( p0_msi_pnd_byte_i ),

          .msi_req_i                        ( msi_req_i                        ),
          .msi_func_num_i                   ( msi_func_num_i                   ),
          .msi_num_i                        ( msi_num_i                        ),
          .msi_ack_o                        ( msi_ack_o                        ),
          .msi_status_o                     ( msi_status_o                     ), 

          .bam_waitrequest_i                (bam_waitrequest_i),   
          .bam_address_o                    (bam_address_o),       
          .bam_byteenable_o                 (bam_byteenable_o),    
          .bam_read_o                       (bam_read_o),          
          .bam_readdata_i                   (bam_readdata_i),      
          .bam_readdatavalid_i              (bam_readdatavalid_i), 
          .bam_write_o                      (bam_write_o),         
          .bam_writedata_o                  (bam_writedata_o),     
          .bam_burstcount_o                 (bam_burstcount_o),

          .rx_pio_address_o                 (     rx_pio_address_o             ),  
          .rx_pio_byteenable_o              (     rx_pio_byteenable_o          ),  
          .rx_pio_read_o                    (     rx_pio_read_o                ), 
          .rx_pio_write_o                   (     rx_pio_write_o               ), 
          .rx_pio_writedata_o               (     rx_pio_writedata_o           ), 
          .rx_pio_burstcount_o              (     rx_pio_burstcount_o          ), 
          .rx_pio_waitrequest_i             (     rx_pio_waitrequest_i         ), 
          .rx_pio_readdata_i                (     rx_pio_readdata_i            ), 
          .rx_pio_readdatavalid_i           (     rx_pio_readdatavalid_i       ), 
          .rx_pio_response_i                (     rx_pio_response_i            ), 
          .rx_pio_writeresponsevalid_i      (     rx_pio_writeresponsevalid_i   ), 
      
          .h2d_st_sof_0_o                   (    h2d_st_sof_0_o                ), 
          .h2d_st_eof_0_o                   (    h2d_st_eof_0_o                ), 
          .h2d_st_empty_0_o                 (    h2d_st_empty_0_o              ), 
          .h2d_st_ready_0_i                 (    h2d_st_ready_0_i              ), 
          .h2d_st_valid_0_o                 (    h2d_st_valid_0_o              ), 
          .h2d_st_data_0_o                  (    h2d_st_data_0_o               ), 
          .h2d_st_channel_0_o               (    h2d_st_channel_0_o            ), 
      
          .h2d_st_sof_1_o                   (    h2d_st_sof_1_o                ), 
          .h2d_st_eof_1_o                   (    h2d_st_eof_1_o                ), 
          .h2d_st_empty_1_o                 (    h2d_st_empty_1_o              ), 
          .h2d_st_ready_1_i                 (    h2d_st_ready_1_i              ), 
          .h2d_st_valid_1_o                 (    h2d_st_valid_1_o              ), 
          .h2d_st_data_1_o                  (    h2d_st_data_1_o               ), 
          .h2d_st_channel_1_o               (    h2d_st_channel_1_o            ), 

          .h2d_st_sof_2_o                   (    h2d_st_sof_2_o                ), 
          .h2d_st_eof_2_o                   (    h2d_st_eof_2_o                ), 
          .h2d_st_empty_2_o                 (    h2d_st_empty_2_o              ), 
          .h2d_st_ready_2_i                 (    h2d_st_ready_2_i              ), 
          .h2d_st_valid_2_o                 (    h2d_st_valid_2_o              ), 
          .h2d_st_data_2_o                  (    h2d_st_data_2_o               ), 
          .h2d_st_channel_2_o               (    h2d_st_channel_2_o            ), 

          .h2d_st_sof_3_o                   (    h2d_st_sof_3_o                ), 
          .h2d_st_eof_3_o                   (    h2d_st_eof_3_o                ), 
          .h2d_st_empty_3_o                 (    h2d_st_empty_3_o              ), 
          .h2d_st_ready_3_i                 (    h2d_st_ready_3_i              ), 
          .h2d_st_valid_3_o                 (    h2d_st_valid_3_o              ), 
          .h2d_st_data_3_o                  (    h2d_st_data_3_o               ), 
          .h2d_st_channel_3_o               (    h2d_st_channel_3_o            ), 
      
          .h2ddm_waitrequest_i              (    h2ddm_waitrequest_i           ), 
          .h2ddm_writeresponsevalid_i       (    h2ddm_writeresponsevalid_i    ), 
          .h2ddm_write_o                    (    h2ddm_write_o                 ), 
          .h2ddm_address_o                  (    h2ddm_address_o               ), 
          .h2ddm_burstcount_o               (    h2ddm_burstcount_o            ), 
          .h2ddm_byteenable_o               (    h2ddm_byteenable_o            ), 
          .h2ddm_writedata_o                (    h2ddm_writedata_o             ), 
      
          .d2h_st_sof_0_i                   (    d2h_st_sof_0_i                ), 
          .d2h_st_eof_0_i                   (    d2h_st_eof_0_i                ), 
          .d2h_st_empty_0_i                 (    d2h_st_empty_0_i              ), 
          .d2h_st_channel_0_i               (    d2h_st_channel_0_i            ), 
          .d2h_st_valid_0_i                 (    d2h_st_valid_0_i              ), 
          .d2h_st_data_0_i                  (    d2h_st_data_0_i               ), 
          .d2h_st_ready_0_o                 (    d2h_st_ready_0_o              ), 
      
          .d2h_st_sof_1_i                   (    d2h_st_sof_1_i                ), 
          .d2h_st_eof_1_i                   (    d2h_st_eof_1_i                ), 
          .d2h_st_empty_1_i                 (    d2h_st_empty_1_i              ), 
          .d2h_st_channel_1_i               (    d2h_st_channel_1_i            ), 
          .d2h_st_valid_1_i                 (    d2h_st_valid_1_i              ), 
          .d2h_st_data_1_i                  (    d2h_st_data_1_i               ), 
          .d2h_st_ready_1_o                 (    d2h_st_ready_1_o              ), 
      
          .d2h_st_sof_2_i                   (    d2h_st_sof_2_i                ), 
          .d2h_st_eof_2_i                   (    d2h_st_eof_2_i                ), 
          .d2h_st_empty_2_i                 (    d2h_st_empty_2_i              ), 
          .d2h_st_channel_2_i               (    d2h_st_channel_2_i            ), 
          .d2h_st_valid_2_i                 (    d2h_st_valid_2_i              ), 
          .d2h_st_data_2_i                  (    d2h_st_data_2_i               ), 
          .d2h_st_ready_2_o                 (    d2h_st_ready_2_o              ), 
      
          .d2h_st_sof_3_i                   (    d2h_st_sof_3_i                ), 
          .d2h_st_eof_3_i                   (    d2h_st_eof_3_i                ), 
          .d2h_st_empty_3_i                 (    d2h_st_empty_3_i              ), 
          .d2h_st_channel_3_i               (    d2h_st_channel_3_i            ), 
          .d2h_st_valid_3_i                 (    d2h_st_valid_3_i              ), 
          .d2h_st_data_3_i                  (    d2h_st_data_3_i               ), 
          .d2h_st_ready_3_o                 (    d2h_st_ready_3_o              ), 
      
          .d2hdm_address_o                  (    d2hdm_address_o               ), 
          .d2hdm_byteenable_o               (    d2hdm_byteenable_o            ), 
          .d2hdm_read_o                     (    d2hdm_read_o                  ), 
          .d2hdm_burstcount_o               (    d2hdm_burstcount_o            ), 
          .d2hdm_waitrequest_i              (    d2hdm_waitrequest_i           ), 
          .d2hdm_readdata_i                 (    d2hdm_readdata_i              ), 
          .d2hdm_readdatavalid_i            (    d2hdm_readdatavalid_i         ), 
          .d2hdm_response_i                 (    d2hdm_response_i              ), 

          .h2ddm_desc_ready_o               ( h2ddm_desc_ready_o                ),
          .h2ddm_desc_valid_i               ( h2ddm_desc_valid_i                ), 
          .h2ddm_desc_data_i                ( h2ddm_desc_data_i                 ), // h2d_desc_bypass_t

          .h2ddm_desc_status_data_o         ( h2ddm_desc_status_data_o          ), // h2d_desc_status_t
          .h2ddm_desc_status_valid_o        ( h2ddm_desc_status_valid_o         ),

          .h2ddm_desc_cmpl_data_o           ( h2ddm_desc_cmpl_data_o            ), // h2d_desc_cmpl_t
          .h2ddm_desc_cmpl_empty_o          ( h2ddm_desc_cmpl_empty_o           ), 
          .h2ddm_desc_cmpl_sop_o            ( h2ddm_desc_cmpl_sop_o             ), 
          .h2ddm_desc_cmpl_eop_o            ( h2ddm_desc_cmpl_eop_o             ), 
          .h2ddm_desc_cmpl_valid_o          ( h2ddm_desc_cmpl_valid_o           ), 
          .h2ddm_desc_cmpl_ready_i          ( h2ddm_desc_cmpl_ready_i           ),

          .d2hdm_desc_ready_o               ( d2hdm_desc_ready_o                ), 
          .d2hdm_desc_valid_i               ( d2hdm_desc_valid_i                ), 
          .d2hdm_desc_data_i                ( d2hdm_desc_data_i                 ), // d2h_desc_bypass_t

          .d2hdm_desc_status_data_o         ( d2hdm_desc_status_data_o          ), // d2h_desc_status_t
          .d2hdm_desc_status_valid_o        ( d2hdm_desc_status_valid_o         ),

          .usr_event_msix_valid_i           (    usr_event_msix_valid_i        ), 
          .usr_event_msix_ready_o           (    usr_event_msix_ready_o        ), 
          .usr_event_msix_data_i            (    usr_event_msix_data_i         ), 
      
          .usr_flr_rcvd_val_o               (    usr_flr_rcvd_val_o            ), 
          .usr_flr_rcvd_chan_num_o          (    usr_flr_rcvd_chan_num_o       ), 
          .usr_flr_completed_i              (    usr_flr_completed_i           ), 
      
          .bas_vfactive_i                   (    bas_vfactive_i                ), 
          .bas_pfnum_i                      (    bas_pfnum_i                   ), 
          .bas_vfnum_i                      (    bas_vfnum_i                   ), 
          .bas_address_i                    (    bas_address_i                 ), 
          .bas_byteenable_i                 (    bas_byteenable_i              ), 
          .bas_read_i                       (    bas_read_i                    ), 
          .bas_write_i                      (    bas_write_i                   ), 
          .bas_writedata_i                  (    bas_writedata_i               ), 
          .bas_burstcount_i                 (    bas_burstcount_i              ), 
          .bas_waitrequest_o                (    bas_waitrequest_o             ), 
          .bas_readdata_o                   (    bas_readdata_o                ), 
          .bas_readdatavalid_o              (    bas_readdatavalid_o           ), 
          .bas_response_o                   (    bas_response_o                ), 

      
          .usr_hip_reconfig_rst_n_i         (    usr_hip_reconfig_rst_n_i      ), 
          .usr_hip_reconfig_clk_i           (    usr_hip_reconfig_clk_i        ), 
          .usr_hip_reconfig_address_i       (    usr_hip_reconfig_address_i    ), 
          .usr_hip_reconfig_read_i          (    usr_hip_reconfig_read_i       ), 
          .usr_hip_reconfig_write_i         (    usr_hip_reconfig_write_i      ), 
          .usr_hip_reconfig_writedata_i     (    usr_hip_reconfig_writedata_i  ), 
          .usr_hip_reconfig_readdata_o      (    usr_hip_reconfig_readdata_o   ), 
          .usr_hip_reconfig_readdatavalid_o ( usr_hip_reconfig_readdatavalid_o ), 
          .usr_hip_reconfig_waitrequest_o   ( usr_hip_reconfig_waitrequest_o   ), 
      
          .cs_waitrequest_o                 (    cs_waitrequest_o              ), 
          .cs_address_i                     (    cs_address_i                  ), 
          .cs_byteenable_i                  (    cs_byteenable_i               ), 
          .cs_read_i                        (    cs_read_i                     ), 
          .cs_readdata_o                    (    cs_readdata_o                 ), 
          .cs_readdatavalid_o               (    cs_readdatavalid_o            ), 
          .cs_write_i                       (    cs_write_i                    ), 
          .cs_writedata_i                   (    cs_writedata_i                ), 
          .cs_response_o                    (    cs_response_o                 ), 
          .cs_writeresponsevalid_o          (    cs_writeresponsevalid_o       ) 
          );


   intel_pcie_ftile_ast_hip 
     ast_hip (
              .*
              );

endmodule



