// (C) 2001-2022 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.



module pcie_ftile_mcdma_pcie_avst_f_700_qo3ieti #(

// reserved
   parameter ctop_core16_clrhip_not_rst_sticky                                     = "FALSE",
   parameter ctop_core8_clrhip_not_rst_sticky                                      = "FALSE",
   parameter ctop_core8_en_gpio_perst                                              = "FALSE",
   parameter core16_enable_pld_rst_port0_hwtcl                                     = 0,
   parameter core8_enable_independent_pin_perst_hwtcl                              = 0,
   
   // sim mode
   parameter sim_mode_hwtcl                                                        = "fast_sim_mode",

   // TLP bypass mode
   parameter core16_virtual_tlp_bypass_en_hwtcl                                    = 0,
   parameter core8_virtual_tlp_bypass_en_hwtcl                                     = 0,
   parameter core4_0_virtual_tlp_bypass_en_hwtcl                                   = 0,
   parameter core4_1_virtual_tlp_bypass_en_hwtcl                                   = 0,

   // ST signals width
   parameter core16_payload_width_integer_hwtcl                                    = 512,
   parameter core16_hdr_width_integer_hwtcl                                        = 256,
   parameter core16_pfx_width_integer_hwtcl                                        = 64,
   parameter core16_double_width_integer_hwtcl                                     = 2,
   parameter core16_empty_width_integer_hwtcl                                      = 6,
   parameter core8_payload_width_integer_hwtcl                                     = 256,
   parameter core8_hdr_width_integer_hwtcl                                         = 128,
   parameter core8_pfx_width_integer_hwtcl                                         = 32,
   parameter core8_double_width_integer_hwtcl                                      = 1,
   parameter core8_empty_width_integer_hwtcl                                       = 3,
   parameter core4_0_payload_width_integer_hwtcl                                   = 128,
   parameter core4_0_hdr_width_integer_hwtcl                                       = 128,
   parameter core4_0_pfx_width_integer_hwtcl                                       = 32,
   parameter core4_0_double_width_integer_hwtcl                                    = 1,
   parameter core4_0_empty_width_integer_hwtcl                                     = 2,
   parameter core4_1_payload_width_integer_hwtcl                                   = 128,
   parameter core4_1_hdr_width_integer_hwtcl                                       = 128,
   parameter core4_1_pfx_width_integer_hwtcl                                       = 32,
   parameter core4_1_double_width_integer_hwtcl                                    = 1,
   parameter core4_1_empty_width_integer_hwtcl                                     = 2,
   
   parameter core16_total_pf_count_width_hwtcl                                     = 1,
   parameter core16_total_vf_count_width_hwtcl                                     = 0,
   parameter core16_total_pf_count_hwtcl                                           = 1,
   parameter core16_total_vf_count_hwtcl                                           = 1,
   parameter core8_total_pf_count_width_hwtcl                                      = 1,
   parameter core8_total_vf_count_width_hwtcl                                      = 0,
   parameter core8_total_pf_count_hwtcl                                            = 1,
   parameter core8_total_vf_count_hwtcl                                            = 1,
   
   // rx_buffer_limit
   parameter core16_enable_rx_buffer_limit_ports_hwtcl                             = 1,
   parameter core8_enable_rx_buffer_limit_ports_hwtcl                              = 1,
   parameter core4_0_enable_rx_buffer_limit_ports_hwtcl                            = 1,
   parameter core4_1_enable_rx_buffer_limit_ports_hwtcl                            = 1,

   // Parity Error
   parameter core16_use_ast_parity_hwtcl                                           = 0,
   parameter core8_use_ast_parity_hwtcl                                            = 0,
   parameter core4_0_use_ast_parity_hwtcl                                          = 0,
   parameter core4_1_use_ast_parity_hwtcl                                          = 0,

   // PTM
   parameter core16_virtual_ptm_hwtcl                                              = 0,
   parameter core8_virtual_ptm_hwtcl                                               = 0,

   // ECC enable
   parameter core16_enable_ecc_hwtcl                                               = 0,
   parameter core8_enable_ecc_hwtcl                                                = 0,
   parameter core4_0_enable_ecc_hwtcl                                              = 0,
   parameter core4_1_enable_ecc_hwtcl                                              = 0,

   // Power management interface parameter for p*_app_req_retry_en (pld_crs_en)
   parameter core16_enable_power_mgnt_intf_hwtcl                                   = 0,
   parameter core8_enable_power_mgnt_intf_hwtcl                                    = 0,
   parameter core4_0_enable_power_mgnt_intf_hwtcl                                  = 0,
   parameter core4_1_enable_power_mgnt_intf_hwtcl                                  = 0,

   // PCS Reconfig
   parameter PCS_CONFIG_EN                                                         = 0,
   parameter core16_hip_reconfig_hwtcl                                             = 0,
   parameter core8_hip_reconfig_hwtcl                                              = 0,
   parameter core4_0_hip_reconfig_hwtcl                                            = 0,
   parameter core4_1_hip_reconfig_hwtcl                                            = 0,
   parameter xcvr_reconfig_hwtcl                                                   = 0,

   // Debug Toolkit
   parameter   ftile_debug_toolkit_hwtcl                                           = 0,
   parameter   ftile_enable_pciess_register_access_hwtcl                           = 0,
   parameter   ftile_link_insp_en_hwtcl                                            = 0,
   parameter   ftile_link_insp_avmm_en_hwtcl                                       = 0,

   // VIRTIO - core16
   parameter core16_enable_virtio_hwtcl                                            = 0,
   parameter core16_virtio_start_byte_address_hwtcl                                = 8'h48,
   parameter core16_pf0_virtio_capability_present_hwtcl                            = 0,
   parameter core16_pf0_virtio_device_specific_cap_present_hwtcl                   = 0,
   parameter core16_pf0_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
   parameter core16_pf0_virtio_cmn_config_bar_offset_hwtcl                         = 0,
   parameter core16_pf0_virtio_cmn_config_structure_length_hwtcl                   = 0,
   parameter core16_pf0_virtio_notification_bar_indicator_hwtcl                    = 0,
   parameter core16_pf0_virtio_notification_bar_offset_hwtcl                       = 0,
   parameter core16_pf0_virtio_notification_structure_length_hwtcl                 = 0,
   parameter core16_pf0_virtio_notify_off_multiplier_hwtcl                         = 0,
   parameter core16_pf0_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
   parameter core16_pf0_virtio_isrstatus_bar_offset_hwtcl                          = 0,
   parameter core16_pf0_virtio_isrstatus_structure_length_hwtcl                    = 0,
   parameter core16_pf0_virtio_devspecific_bar_indicator_hwtcl                     = 0,
   parameter core16_pf0_virtio_devspecific_bar_offset_hwtcl                        = 0,
   parameter core16_pf0_virtio_devspecific_structure_length_hwtcl                  = 0,
   parameter core16_pf0_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
   parameter core16_pf0_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
   parameter core16_pf0_virtio_pciconfig_access_structure_length_hwtcl             = 0,
   parameter core16_pf1_virtio_capability_present_hwtcl                            = 0,
   parameter core16_pf1_virtio_device_specific_cap_present_hwtcl                   = 0,
   parameter core16_pf1_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
   parameter core16_pf1_virtio_cmn_config_bar_offset_hwtcl                         = 0,
   parameter core16_pf1_virtio_cmn_config_structure_length_hwtcl                   = 0,
   parameter core16_pf1_virtio_notification_bar_indicator_hwtcl                    = 0,
   parameter core16_pf1_virtio_notification_bar_offset_hwtcl                       = 0,
   parameter core16_pf1_virtio_notification_structure_length_hwtcl                 = 0,
   parameter core16_pf1_virtio_notify_off_multiplier_hwtcl                         = 0,
   parameter core16_pf1_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
   parameter core16_pf1_virtio_isrstatus_bar_offset_hwtcl                          = 0,
   parameter core16_pf1_virtio_isrstatus_structure_length_hwtcl                    = 0,
   parameter core16_pf1_virtio_devspecific_bar_indicator_hwtcl                     = 0,
   parameter core16_pf1_virtio_devspecific_bar_offset_hwtcl                        = 0,
   parameter core16_pf1_virtio_devspecific_structure_length_hwtcl                  = 0,
   parameter core16_pf1_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
   parameter core16_pf1_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
   parameter core16_pf1_virtio_pciconfig_access_structure_length_hwtcl             = 0,
   parameter core16_pf2_virtio_capability_present_hwtcl                            = 0,
   parameter core16_pf2_virtio_device_specific_cap_present_hwtcl                   = 0,
   parameter core16_pf2_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
   parameter core16_pf2_virtio_cmn_config_bar_offset_hwtcl                         = 0,
   parameter core16_pf2_virtio_cmn_config_structure_length_hwtcl                   = 0,
   parameter core16_pf2_virtio_notification_bar_indicator_hwtcl                    = 0,
   parameter core16_pf2_virtio_notification_bar_offset_hwtcl                       = 0,
   parameter core16_pf2_virtio_notification_structure_length_hwtcl                 = 0,
   parameter core16_pf2_virtio_notify_off_multiplier_hwtcl                         = 0,
   parameter core16_pf2_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
   parameter core16_pf2_virtio_isrstatus_bar_offset_hwtcl                          = 0,
   parameter core16_pf2_virtio_isrstatus_structure_length_hwtcl                    = 0,
   parameter core16_pf2_virtio_devspecific_bar_indicator_hwtcl                     = 0,
   parameter core16_pf2_virtio_devspecific_bar_offset_hwtcl                        = 0,
   parameter core16_pf2_virtio_devspecific_structure_length_hwtcl                  = 0,
   parameter core16_pf2_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
   parameter core16_pf2_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
   parameter core16_pf2_virtio_pciconfig_access_structure_length_hwtcl             = 0,
   parameter core16_pf3_virtio_capability_present_hwtcl                            = 0,
   parameter core16_pf3_virtio_device_specific_cap_present_hwtcl                   = 0,
   parameter core16_pf3_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
   parameter core16_pf3_virtio_cmn_config_bar_offset_hwtcl                         = 0,
   parameter core16_pf3_virtio_cmn_config_structure_length_hwtcl                   = 0,
   parameter core16_pf3_virtio_notification_bar_indicator_hwtcl                    = 0,
   parameter core16_pf3_virtio_notification_bar_offset_hwtcl                       = 0,
   parameter core16_pf3_virtio_notification_structure_length_hwtcl                 = 0,
   parameter core16_pf3_virtio_notify_off_multiplier_hwtcl                         = 0,
   parameter core16_pf3_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
   parameter core16_pf3_virtio_isrstatus_bar_offset_hwtcl                          = 0,
   parameter core16_pf3_virtio_isrstatus_structure_length_hwtcl                    = 0,
   parameter core16_pf3_virtio_devspecific_bar_indicator_hwtcl                     = 0,
   parameter core16_pf3_virtio_devspecific_bar_offset_hwtcl                        = 0,
   parameter core16_pf3_virtio_devspecific_structure_length_hwtcl                  = 0,
   parameter core16_pf3_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
   parameter core16_pf3_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
   parameter core16_pf3_virtio_pciconfig_access_structure_length_hwtcl             = 0,
   parameter core16_pf4_virtio_capability_present_hwtcl                            = 0,
   parameter core16_pf4_virtio_device_specific_cap_present_hwtcl                   = 0,
   parameter core16_pf4_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
   parameter core16_pf4_virtio_cmn_config_bar_offset_hwtcl                         = 0,
   parameter core16_pf4_virtio_cmn_config_structure_length_hwtcl                   = 0,
   parameter core16_pf4_virtio_notification_bar_indicator_hwtcl                    = 0,
   parameter core16_pf4_virtio_notification_bar_offset_hwtcl                       = 0,
   parameter core16_pf4_virtio_notification_structure_length_hwtcl                 = 0,
   parameter core16_pf4_virtio_notify_off_multiplier_hwtcl                         = 0,
   parameter core16_pf4_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
   parameter core16_pf4_virtio_isrstatus_bar_offset_hwtcl                          = 0,
   parameter core16_pf4_virtio_isrstatus_structure_length_hwtcl                    = 0,
   parameter core16_pf4_virtio_devspecific_bar_indicator_hwtcl                     = 0,
   parameter core16_pf4_virtio_devspecific_bar_offset_hwtcl                        = 0,
   parameter core16_pf4_virtio_devspecific_structure_length_hwtcl                  = 0,
   parameter core16_pf4_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
   parameter core16_pf4_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
   parameter core16_pf4_virtio_pciconfig_access_structure_length_hwtcl             = 0,
   parameter core16_pf5_virtio_capability_present_hwtcl                            = 0,
   parameter core16_pf5_virtio_device_specific_cap_present_hwtcl                   = 0,
   parameter core16_pf5_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
   parameter core16_pf5_virtio_cmn_config_bar_offset_hwtcl                         = 0,
   parameter core16_pf5_virtio_cmn_config_structure_length_hwtcl                   = 0,
   parameter core16_pf5_virtio_notification_bar_indicator_hwtcl                    = 0,
   parameter core16_pf5_virtio_notification_bar_offset_hwtcl                       = 0,
   parameter core16_pf5_virtio_notification_structure_length_hwtcl                 = 0,
   parameter core16_pf5_virtio_notify_off_multiplier_hwtcl                         = 0,
   parameter core16_pf5_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
   parameter core16_pf5_virtio_isrstatus_bar_offset_hwtcl                          = 0,
   parameter core16_pf5_virtio_isrstatus_structure_length_hwtcl                    = 0,
   parameter core16_pf5_virtio_devspecific_bar_indicator_hwtcl                     = 0,
   parameter core16_pf5_virtio_devspecific_bar_offset_hwtcl                        = 0,
   parameter core16_pf5_virtio_devspecific_structure_length_hwtcl                  = 0,
   parameter core16_pf5_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
   parameter core16_pf5_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
   parameter core16_pf5_virtio_pciconfig_access_structure_length_hwtcl             = 0,
   parameter core16_pf6_virtio_capability_present_hwtcl                            = 0,
   parameter core16_pf6_virtio_device_specific_cap_present_hwtcl                   = 0,
   parameter core16_pf6_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
   parameter core16_pf6_virtio_cmn_config_bar_offset_hwtcl                         = 0,
   parameter core16_pf6_virtio_cmn_config_structure_length_hwtcl                   = 0,
   parameter core16_pf6_virtio_notification_bar_indicator_hwtcl                    = 0,
   parameter core16_pf6_virtio_notification_bar_offset_hwtcl                       = 0,
   parameter core16_pf6_virtio_notification_structure_length_hwtcl                 = 0,
   parameter core16_pf6_virtio_notify_off_multiplier_hwtcl                         = 0,
   parameter core16_pf6_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
   parameter core16_pf6_virtio_isrstatus_bar_offset_hwtcl                          = 0,
   parameter core16_pf6_virtio_isrstatus_structure_length_hwtcl                    = 0,
   parameter core16_pf6_virtio_devspecific_bar_indicator_hwtcl                     = 0,
   parameter core16_pf6_virtio_devspecific_bar_offset_hwtcl                        = 0,
   parameter core16_pf6_virtio_devspecific_structure_length_hwtcl                  = 0,
   parameter core16_pf6_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
   parameter core16_pf6_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
   parameter core16_pf6_virtio_pciconfig_access_structure_length_hwtcl             = 0,
   parameter core16_pf7_virtio_capability_present_hwtcl                            = 0,
   parameter core16_pf7_virtio_device_specific_cap_present_hwtcl                   = 0,
   parameter core16_pf7_virtio_cmn_config_bar_indicator_hwtcl                      = 0,
   parameter core16_pf7_virtio_cmn_config_bar_offset_hwtcl                         = 0,
   parameter core16_pf7_virtio_cmn_config_structure_length_hwtcl                   = 0,
   parameter core16_pf7_virtio_notification_bar_indicator_hwtcl                    = 0,
   parameter core16_pf7_virtio_notification_bar_offset_hwtcl                       = 0,
   parameter core16_pf7_virtio_notification_structure_length_hwtcl                 = 0,
   parameter core16_pf7_virtio_notify_off_multiplier_hwtcl                         = 0,
   parameter core16_pf7_virtio_isrstatus_bar_indicator_hwtcl                       = 0,
   parameter core16_pf7_virtio_isrstatus_bar_offset_hwtcl                          = 0,
   parameter core16_pf7_virtio_isrstatus_structure_length_hwtcl                    = 0,
   parameter core16_pf7_virtio_devspecific_bar_indicator_hwtcl                     = 0,
   parameter core16_pf7_virtio_devspecific_bar_offset_hwtcl                        = 0,
   parameter core16_pf7_virtio_devspecific_structure_length_hwtcl                  = 0,
   parameter core16_pf7_virtio_pciconfig_access_bar_indicator_hwtcl                = 0,
   parameter core16_pf7_virtio_pciconfig_access_bar_offset_hwtcl                   = 0,
   parameter core16_pf7_virtio_pciconfig_access_structure_length_hwtcl             = 0,
   parameter core16_pf0vf_virtio_capability_present_hwtcl                          = 0,
   parameter core16_pf0vf_virtio_device_specific_cap_present_hwtcl                 = 0,
   parameter core16_pf0vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
   parameter core16_pf0vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
   parameter core16_pf0vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
   parameter core16_pf0vf_virtio_notification_bar_indicator_hwtcl                  = 0,
   parameter core16_pf0vf_virtio_notification_bar_offset_hwtcl                     = 0,
   parameter core16_pf0vf_virtio_notification_structure_length_hwtcl               = 0,
   parameter core16_pf0vf_virtio_notify_off_multiplier_hwtcl                       = 0,
   parameter core16_pf0vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
   parameter core16_pf0vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
   parameter core16_pf0vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
   parameter core16_pf0vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
   parameter core16_pf0vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
   parameter core16_pf0vf_virtio_devspecific_structure_length_hwtcl                = 0,
   parameter core16_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
   parameter core16_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
   parameter core16_pf0vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
   parameter core16_pf1vf_virtio_capability_present_hwtcl                          = 0,
   parameter core16_pf1vf_virtio_device_specific_cap_present_hwtcl                 = 0,
   parameter core16_pf1vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
   parameter core16_pf1vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
   parameter core16_pf1vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
   parameter core16_pf1vf_virtio_notification_bar_indicator_hwtcl                  = 0,
   parameter core16_pf1vf_virtio_notification_bar_offset_hwtcl                     = 0,
   parameter core16_pf1vf_virtio_notification_structure_length_hwtcl               = 0,
   parameter core16_pf1vf_virtio_notify_off_multiplier_hwtcl                       = 0,
   parameter core16_pf1vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
   parameter core16_pf1vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
   parameter core16_pf1vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
   parameter core16_pf1vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
   parameter core16_pf1vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
   parameter core16_pf1vf_virtio_devspecific_structure_length_hwtcl                = 0,
   parameter core16_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
   parameter core16_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
   parameter core16_pf1vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
   parameter core16_pf2vf_virtio_capability_present_hwtcl                          = 0,
   parameter core16_pf2vf_virtio_device_specific_cap_present_hwtcl                 = 0,
   parameter core16_pf2vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
   parameter core16_pf2vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
   parameter core16_pf2vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
   parameter core16_pf2vf_virtio_notification_bar_indicator_hwtcl                  = 0,
   parameter core16_pf2vf_virtio_notification_bar_offset_hwtcl                     = 0,
   parameter core16_pf2vf_virtio_notification_structure_length_hwtcl               = 0,
   parameter core16_pf2vf_virtio_notify_off_multiplier_hwtcl                       = 0,
   parameter core16_pf2vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
   parameter core16_pf2vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
   parameter core16_pf2vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
   parameter core16_pf2vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
   parameter core16_pf2vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
   parameter core16_pf2vf_virtio_devspecific_structure_length_hwtcl                = 0,
   parameter core16_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
   parameter core16_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
   parameter core16_pf2vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
   parameter core16_pf3vf_virtio_capability_present_hwtcl                          = 0,
   parameter core16_pf3vf_virtio_device_specific_cap_present_hwtcl                 = 0,
   parameter core16_pf3vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
   parameter core16_pf3vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
   parameter core16_pf3vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
   parameter core16_pf3vf_virtio_notification_bar_indicator_hwtcl                  = 0,
   parameter core16_pf3vf_virtio_notification_bar_offset_hwtcl                     = 0,
   parameter core16_pf3vf_virtio_notification_structure_length_hwtcl               = 0,
   parameter core16_pf3vf_virtio_notify_off_multiplier_hwtcl                       = 0,
   parameter core16_pf3vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
   parameter core16_pf3vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
   parameter core16_pf3vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
   parameter core16_pf3vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
   parameter core16_pf3vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
   parameter core16_pf3vf_virtio_devspecific_structure_length_hwtcl                = 0,
   parameter core16_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
   parameter core16_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
   parameter core16_pf3vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
   parameter core16_pf4vf_virtio_capability_present_hwtcl                          = 0,
   parameter core16_pf4vf_virtio_device_specific_cap_present_hwtcl                 = 0,
   parameter core16_pf4vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
   parameter core16_pf4vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
   parameter core16_pf4vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
   parameter core16_pf4vf_virtio_notification_bar_indicator_hwtcl                  = 0,
   parameter core16_pf4vf_virtio_notification_bar_offset_hwtcl                     = 0,
   parameter core16_pf4vf_virtio_notification_structure_length_hwtcl               = 0,
   parameter core16_pf4vf_virtio_notify_off_multiplier_hwtcl                       = 0,
   parameter core16_pf4vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
   parameter core16_pf4vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
   parameter core16_pf4vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
   parameter core16_pf4vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
   parameter core16_pf4vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
   parameter core16_pf4vf_virtio_devspecific_structure_length_hwtcl                = 0,
   parameter core16_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
   parameter core16_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
   parameter core16_pf4vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
   parameter core16_pf5vf_virtio_capability_present_hwtcl                          = 0,
   parameter core16_pf5vf_virtio_device_specific_cap_present_hwtcl                 = 0,
   parameter core16_pf5vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
   parameter core16_pf5vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
   parameter core16_pf5vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
   parameter core16_pf5vf_virtio_notification_bar_indicator_hwtcl                  = 0,
   parameter core16_pf5vf_virtio_notification_bar_offset_hwtcl                     = 0,
   parameter core16_pf5vf_virtio_notification_structure_length_hwtcl               = 0,
   parameter core16_pf5vf_virtio_notify_off_multiplier_hwtcl                       = 0,
   parameter core16_pf5vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
   parameter core16_pf5vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
   parameter core16_pf5vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
   parameter core16_pf5vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
   parameter core16_pf5vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
   parameter core16_pf5vf_virtio_devspecific_structure_length_hwtcl                = 0,
   parameter core16_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
   parameter core16_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
   parameter core16_pf5vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
   parameter core16_pf6vf_virtio_capability_present_hwtcl                          = 0,
   parameter core16_pf6vf_virtio_device_specific_cap_present_hwtcl                 = 0,
   parameter core16_pf6vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
   parameter core16_pf6vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
   parameter core16_pf6vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
   parameter core16_pf6vf_virtio_notification_bar_indicator_hwtcl                  = 0,
   parameter core16_pf6vf_virtio_notification_bar_offset_hwtcl                     = 0,
   parameter core16_pf6vf_virtio_notification_structure_length_hwtcl               = 0,
   parameter core16_pf6vf_virtio_notify_off_multiplier_hwtcl                       = 0,
   parameter core16_pf6vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
   parameter core16_pf6vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
   parameter core16_pf6vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
   parameter core16_pf6vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
   parameter core16_pf6vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
   parameter core16_pf6vf_virtio_devspecific_structure_length_hwtcl                = 0,
   parameter core16_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
   parameter core16_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
   parameter core16_pf6vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,
   parameter core16_pf7vf_virtio_capability_present_hwtcl                          = 0,
   parameter core16_pf7vf_virtio_device_specific_cap_present_hwtcl                 = 0,
   parameter core16_pf7vf_virtio_cmn_config_bar_indicator_hwtcl                    = 0,
   parameter core16_pf7vf_virtio_cmn_config_bar_offset_hwtcl                       = 0,
   parameter core16_pf7vf_virtio_cmn_config_structure_length_hwtcl                 = 0,
   parameter core16_pf7vf_virtio_notification_bar_indicator_hwtcl                  = 0,
   parameter core16_pf7vf_virtio_notification_bar_offset_hwtcl                     = 0,
   parameter core16_pf7vf_virtio_notification_structure_length_hwtcl               = 0,
   parameter core16_pf7vf_virtio_notify_off_multiplier_hwtcl                       = 0,
   parameter core16_pf7vf_virtio_isrstatus_bar_indicator_hwtcl                     = 0,
   parameter core16_pf7vf_virtio_isrstatus_bar_offset_hwtcl                        = 0,
   parameter core16_pf7vf_virtio_isrstatus_structure_length_hwtcl                  = 0,
   parameter core16_pf7vf_virtio_devspecific_bar_indicator_hwtcl                   = 0,
   parameter core16_pf7vf_virtio_devspecific_bar_offset_hwtcl                      = 0,
   parameter core16_pf7vf_virtio_devspecific_structure_length_hwtcl                = 0,
   parameter core16_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl              = 0,
   parameter core16_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl                 = 0,
   parameter core16_pf7vf_virtio_pciconfig_access_structure_length_hwtcl           = 0,

   // VIRTIO - core8
   parameter core8_enable_virtio_hwtcl                                             = 0,
   parameter core8_virtio_start_byte_address_hwtcl                                 = 8'h48,
   parameter core8_pf0_virtio_capability_present_hwtcl                             = 0,
   parameter core8_pf0_virtio_device_specific_cap_present_hwtcl                    = 0,
   parameter core8_pf0_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
   parameter core8_pf0_virtio_cmn_config_bar_offset_hwtcl                          = 0,
   parameter core8_pf0_virtio_cmn_config_structure_length_hwtcl                    = 0,
   parameter core8_pf0_virtio_notification_bar_indicator_hwtcl                     = 0,
   parameter core8_pf0_virtio_notification_bar_offset_hwtcl                        = 0,
   parameter core8_pf0_virtio_notification_structure_length_hwtcl                  = 0,
   parameter core8_pf0_virtio_notify_off_multiplier_hwtcl                          = 0,
   parameter core8_pf0_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
   parameter core8_pf0_virtio_isrstatus_bar_offset_hwtcl                           = 0,
   parameter core8_pf0_virtio_isrstatus_structure_length_hwtcl                     = 0,
   parameter core8_pf0_virtio_devspecific_bar_indicator_hwtcl                      = 0,
   parameter core8_pf0_virtio_devspecific_bar_offset_hwtcl                         = 0,
   parameter core8_pf0_virtio_devspecific_structure_length_hwtcl                   = 0,
   parameter core8_pf0_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
   parameter core8_pf0_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
   parameter core8_pf0_virtio_pciconfig_access_structure_length_hwtcl              = 0,
   parameter core8_pf1_virtio_capability_present_hwtcl                             = 0,
   parameter core8_pf1_virtio_device_specific_cap_present_hwtcl                    = 0,
   parameter core8_pf1_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
   parameter core8_pf1_virtio_cmn_config_bar_offset_hwtcl                          = 0,
   parameter core8_pf1_virtio_cmn_config_structure_length_hwtcl                    = 0,
   parameter core8_pf1_virtio_notification_bar_indicator_hwtcl                     = 0,
   parameter core8_pf1_virtio_notification_bar_offset_hwtcl                        = 0,
   parameter core8_pf1_virtio_notification_structure_length_hwtcl                  = 0,
   parameter core8_pf1_virtio_notify_off_multiplier_hwtcl                          = 0,
   parameter core8_pf1_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
   parameter core8_pf1_virtio_isrstatus_bar_offset_hwtcl                           = 0,
   parameter core8_pf1_virtio_isrstatus_structure_length_hwtcl                     = 0,
   parameter core8_pf1_virtio_devspecific_bar_indicator_hwtcl                      = 0,
   parameter core8_pf1_virtio_devspecific_bar_offset_hwtcl                         = 0,
   parameter core8_pf1_virtio_devspecific_structure_length_hwtcl                   = 0,
   parameter core8_pf1_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
   parameter core8_pf1_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
   parameter core8_pf1_virtio_pciconfig_access_structure_length_hwtcl              = 0,
   parameter core8_pf2_virtio_capability_present_hwtcl                             = 0,
   parameter core8_pf2_virtio_device_specific_cap_present_hwtcl                    = 0,
   parameter core8_pf2_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
   parameter core8_pf2_virtio_cmn_config_bar_offset_hwtcl                          = 0,
   parameter core8_pf2_virtio_cmn_config_structure_length_hwtcl                    = 0,
   parameter core8_pf2_virtio_notification_bar_indicator_hwtcl                     = 0,
   parameter core8_pf2_virtio_notification_bar_offset_hwtcl                        = 0,
   parameter core8_pf2_virtio_notification_structure_length_hwtcl                  = 0,
   parameter core8_pf2_virtio_notify_off_multiplier_hwtcl                          = 0,
   parameter core8_pf2_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
   parameter core8_pf2_virtio_isrstatus_bar_offset_hwtcl                           = 0,
   parameter core8_pf2_virtio_isrstatus_structure_length_hwtcl                     = 0,
   parameter core8_pf2_virtio_devspecific_bar_indicator_hwtcl                      = 0,
   parameter core8_pf2_virtio_devspecific_bar_offset_hwtcl                         = 0,
   parameter core8_pf2_virtio_devspecific_structure_length_hwtcl                   = 0,
   parameter core8_pf2_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
   parameter core8_pf2_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
   parameter core8_pf2_virtio_pciconfig_access_structure_length_hwtcl              = 0,
   parameter core8_pf3_virtio_capability_present_hwtcl                             = 0,
   parameter core8_pf3_virtio_device_specific_cap_present_hwtcl                    = 0,
   parameter core8_pf3_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
   parameter core8_pf3_virtio_cmn_config_bar_offset_hwtcl                          = 0,
   parameter core8_pf3_virtio_cmn_config_structure_length_hwtcl                    = 0,
   parameter core8_pf3_virtio_notification_bar_indicator_hwtcl                     = 0,
   parameter core8_pf3_virtio_notification_bar_offset_hwtcl                        = 0,
   parameter core8_pf3_virtio_notification_structure_length_hwtcl                  = 0,
   parameter core8_pf3_virtio_notify_off_multiplier_hwtcl                          = 0,
   parameter core8_pf3_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
   parameter core8_pf3_virtio_isrstatus_bar_offset_hwtcl                           = 0,
   parameter core8_pf3_virtio_isrstatus_structure_length_hwtcl                     = 0,
   parameter core8_pf3_virtio_devspecific_bar_indicator_hwtcl                      = 0,
   parameter core8_pf3_virtio_devspecific_bar_offset_hwtcl                         = 0,
   parameter core8_pf3_virtio_devspecific_structure_length_hwtcl                   = 0,
   parameter core8_pf3_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
   parameter core8_pf3_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
   parameter core8_pf3_virtio_pciconfig_access_structure_length_hwtcl              = 0,
   parameter core8_pf4_virtio_capability_present_hwtcl                             = 0,
   parameter core8_pf4_virtio_device_specific_cap_present_hwtcl                    = 0,
   parameter core8_pf4_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
   parameter core8_pf4_virtio_cmn_config_bar_offset_hwtcl                          = 0,
   parameter core8_pf4_virtio_cmn_config_structure_length_hwtcl                    = 0,
   parameter core8_pf4_virtio_notification_bar_indicator_hwtcl                     = 0,
   parameter core8_pf4_virtio_notification_bar_offset_hwtcl                        = 0,
   parameter core8_pf4_virtio_notification_structure_length_hwtcl                  = 0,
   parameter core8_pf4_virtio_notify_off_multiplier_hwtcl                          = 0,
   parameter core8_pf4_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
   parameter core8_pf4_virtio_isrstatus_bar_offset_hwtcl                           = 0,
   parameter core8_pf4_virtio_isrstatus_structure_length_hwtcl                     = 0,
   parameter core8_pf4_virtio_devspecific_bar_indicator_hwtcl                      = 0,
   parameter core8_pf4_virtio_devspecific_bar_offset_hwtcl                         = 0,
   parameter core8_pf4_virtio_devspecific_structure_length_hwtcl                   = 0,
   parameter core8_pf4_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
   parameter core8_pf4_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
   parameter core8_pf4_virtio_pciconfig_access_structure_length_hwtcl              = 0,
   parameter core8_pf5_virtio_capability_present_hwtcl                             = 0,
   parameter core8_pf5_virtio_device_specific_cap_present_hwtcl                    = 0,
   parameter core8_pf5_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
   parameter core8_pf5_virtio_cmn_config_bar_offset_hwtcl                          = 0,
   parameter core8_pf5_virtio_cmn_config_structure_length_hwtcl                    = 0,
   parameter core8_pf5_virtio_notification_bar_indicator_hwtcl                     = 0,
   parameter core8_pf5_virtio_notification_bar_offset_hwtcl                        = 0,
   parameter core8_pf5_virtio_notification_structure_length_hwtcl                  = 0,
   parameter core8_pf5_virtio_notify_off_multiplier_hwtcl                          = 0,
   parameter core8_pf5_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
   parameter core8_pf5_virtio_isrstatus_bar_offset_hwtcl                           = 0,
   parameter core8_pf5_virtio_isrstatus_structure_length_hwtcl                     = 0,
   parameter core8_pf5_virtio_devspecific_bar_indicator_hwtcl                      = 0,
   parameter core8_pf5_virtio_devspecific_bar_offset_hwtcl                         = 0,
   parameter core8_pf5_virtio_devspecific_structure_length_hwtcl                   = 0,
   parameter core8_pf5_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
   parameter core8_pf5_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
   parameter core8_pf5_virtio_pciconfig_access_structure_length_hwtcl              = 0,
   parameter core8_pf6_virtio_capability_present_hwtcl                             = 0,
   parameter core8_pf6_virtio_device_specific_cap_present_hwtcl                    = 0,
   parameter core8_pf6_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
   parameter core8_pf6_virtio_cmn_config_bar_offset_hwtcl                          = 0,
   parameter core8_pf6_virtio_cmn_config_structure_length_hwtcl                    = 0,
   parameter core8_pf6_virtio_notification_bar_indicator_hwtcl                     = 0,
   parameter core8_pf6_virtio_notification_bar_offset_hwtcl                        = 0,
   parameter core8_pf6_virtio_notification_structure_length_hwtcl                  = 0,
   parameter core8_pf6_virtio_notify_off_multiplier_hwtcl                          = 0,
   parameter core8_pf6_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
   parameter core8_pf6_virtio_isrstatus_bar_offset_hwtcl                           = 0,
   parameter core8_pf6_virtio_isrstatus_structure_length_hwtcl                     = 0,
   parameter core8_pf6_virtio_devspecific_bar_indicator_hwtcl                      = 0,
   parameter core8_pf6_virtio_devspecific_bar_offset_hwtcl                         = 0,
   parameter core8_pf6_virtio_devspecific_structure_length_hwtcl                   = 0,
   parameter core8_pf6_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
   parameter core8_pf6_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
   parameter core8_pf6_virtio_pciconfig_access_structure_length_hwtcl              = 0,
   parameter core8_pf7_virtio_capability_present_hwtcl                             = 0,
   parameter core8_pf7_virtio_device_specific_cap_present_hwtcl                    = 0,
   parameter core8_pf7_virtio_cmn_config_bar_indicator_hwtcl                       = 0,
   parameter core8_pf7_virtio_cmn_config_bar_offset_hwtcl                          = 0,
   parameter core8_pf7_virtio_cmn_config_structure_length_hwtcl                    = 0,
   parameter core8_pf7_virtio_notification_bar_indicator_hwtcl                     = 0,
   parameter core8_pf7_virtio_notification_bar_offset_hwtcl                        = 0,
   parameter core8_pf7_virtio_notification_structure_length_hwtcl                  = 0,
   parameter core8_pf7_virtio_notify_off_multiplier_hwtcl                          = 0,
   parameter core8_pf7_virtio_isrstatus_bar_indicator_hwtcl                        = 0,
   parameter core8_pf7_virtio_isrstatus_bar_offset_hwtcl                           = 0,
   parameter core8_pf7_virtio_isrstatus_structure_length_hwtcl                     = 0,
   parameter core8_pf7_virtio_devspecific_bar_indicator_hwtcl                      = 0,
   parameter core8_pf7_virtio_devspecific_bar_offset_hwtcl                         = 0,
   parameter core8_pf7_virtio_devspecific_structure_length_hwtcl                   = 0,
   parameter core8_pf7_virtio_pciconfig_access_bar_indicator_hwtcl                 = 0,
   parameter core8_pf7_virtio_pciconfig_access_bar_offset_hwtcl                    = 0,
   parameter core8_pf7_virtio_pciconfig_access_structure_length_hwtcl              = 0,
   parameter core8_pf0vf_virtio_capability_present_hwtcl                           = 0,
   parameter core8_pf0vf_virtio_device_specific_cap_present_hwtcl                  = 0,
   parameter core8_pf0vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
   parameter core8_pf0vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
   parameter core8_pf0vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
   parameter core8_pf0vf_virtio_notification_bar_indicator_hwtcl                   = 0,
   parameter core8_pf0vf_virtio_notification_bar_offset_hwtcl                      = 0,
   parameter core8_pf0vf_virtio_notification_structure_length_hwtcl                = 0,
   parameter core8_pf0vf_virtio_notify_off_multiplier_hwtcl                        = 0,
   parameter core8_pf0vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
   parameter core8_pf0vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
   parameter core8_pf0vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
   parameter core8_pf0vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
   parameter core8_pf0vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
   parameter core8_pf0vf_virtio_devspecific_structure_length_hwtcl                 = 0,
   parameter core8_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
   parameter core8_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
   parameter core8_pf0vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
   parameter core8_pf1vf_virtio_capability_present_hwtcl                           = 0,
   parameter core8_pf1vf_virtio_device_specific_cap_present_hwtcl                  = 0,
   parameter core8_pf1vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
   parameter core8_pf1vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
   parameter core8_pf1vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
   parameter core8_pf1vf_virtio_notification_bar_indicator_hwtcl                   = 0,
   parameter core8_pf1vf_virtio_notification_bar_offset_hwtcl                      = 0,
   parameter core8_pf1vf_virtio_notification_structure_length_hwtcl                = 0,
   parameter core8_pf1vf_virtio_notify_off_multiplier_hwtcl                        = 0,
   parameter core8_pf1vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
   parameter core8_pf1vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
   parameter core8_pf1vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
   parameter core8_pf1vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
   parameter core8_pf1vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
   parameter core8_pf1vf_virtio_devspecific_structure_length_hwtcl                 = 0,
   parameter core8_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
   parameter core8_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
   parameter core8_pf1vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
   parameter core8_pf2vf_virtio_capability_present_hwtcl                           = 0,
   parameter core8_pf2vf_virtio_device_specific_cap_present_hwtcl                  = 0,
   parameter core8_pf2vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
   parameter core8_pf2vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
   parameter core8_pf2vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
   parameter core8_pf2vf_virtio_notification_bar_indicator_hwtcl                   = 0,
   parameter core8_pf2vf_virtio_notification_bar_offset_hwtcl                      = 0,
   parameter core8_pf2vf_virtio_notification_structure_length_hwtcl                = 0,
   parameter core8_pf2vf_virtio_notify_off_multiplier_hwtcl                        = 0,
   parameter core8_pf2vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
   parameter core8_pf2vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
   parameter core8_pf2vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
   parameter core8_pf2vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
   parameter core8_pf2vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
   parameter core8_pf2vf_virtio_devspecific_structure_length_hwtcl                 = 0,
   parameter core8_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
   parameter core8_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
   parameter core8_pf2vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
   parameter core8_pf3vf_virtio_capability_present_hwtcl                           = 0,
   parameter core8_pf3vf_virtio_device_specific_cap_present_hwtcl                  = 0,
   parameter core8_pf3vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
   parameter core8_pf3vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
   parameter core8_pf3vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
   parameter core8_pf3vf_virtio_notification_bar_indicator_hwtcl                   = 0,
   parameter core8_pf3vf_virtio_notification_bar_offset_hwtcl                      = 0,
   parameter core8_pf3vf_virtio_notification_structure_length_hwtcl                = 0,
   parameter core8_pf3vf_virtio_notify_off_multiplier_hwtcl                        = 0,
   parameter core8_pf3vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
   parameter core8_pf3vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
   parameter core8_pf3vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
   parameter core8_pf3vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
   parameter core8_pf3vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
   parameter core8_pf3vf_virtio_devspecific_structure_length_hwtcl                 = 0,
   parameter core8_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
   parameter core8_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
   parameter core8_pf3vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
   parameter core8_pf4vf_virtio_capability_present_hwtcl                           = 0,
   parameter core8_pf4vf_virtio_device_specific_cap_present_hwtcl                  = 0,
   parameter core8_pf4vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
   parameter core8_pf4vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
   parameter core8_pf4vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
   parameter core8_pf4vf_virtio_notification_bar_indicator_hwtcl                   = 0,
   parameter core8_pf4vf_virtio_notification_bar_offset_hwtcl                      = 0,
   parameter core8_pf4vf_virtio_notification_structure_length_hwtcl                = 0,
   parameter core8_pf4vf_virtio_notify_off_multiplier_hwtcl                        = 0,
   parameter core8_pf4vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
   parameter core8_pf4vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
   parameter core8_pf4vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
   parameter core8_pf4vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
   parameter core8_pf4vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
   parameter core8_pf4vf_virtio_devspecific_structure_length_hwtcl                 = 0,
   parameter core8_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
   parameter core8_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
   parameter core8_pf4vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
   parameter core8_pf5vf_virtio_capability_present_hwtcl                           = 0,
   parameter core8_pf5vf_virtio_device_specific_cap_present_hwtcl                  = 0,
   parameter core8_pf5vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
   parameter core8_pf5vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
   parameter core8_pf5vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
   parameter core8_pf5vf_virtio_notification_bar_indicator_hwtcl                   = 0,
   parameter core8_pf5vf_virtio_notification_bar_offset_hwtcl                      = 0,
   parameter core8_pf5vf_virtio_notification_structure_length_hwtcl                = 0,
   parameter core8_pf5vf_virtio_notify_off_multiplier_hwtcl                        = 0,
   parameter core8_pf5vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
   parameter core8_pf5vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
   parameter core8_pf5vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
   parameter core8_pf5vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
   parameter core8_pf5vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
   parameter core8_pf5vf_virtio_devspecific_structure_length_hwtcl                 = 0,
   parameter core8_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
   parameter core8_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
   parameter core8_pf5vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
   parameter core8_pf6vf_virtio_capability_present_hwtcl                           = 0,
   parameter core8_pf6vf_virtio_device_specific_cap_present_hwtcl                  = 0,
   parameter core8_pf6vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
   parameter core8_pf6vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
   parameter core8_pf6vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
   parameter core8_pf6vf_virtio_notification_bar_indicator_hwtcl                   = 0,
   parameter core8_pf6vf_virtio_notification_bar_offset_hwtcl                      = 0,
   parameter core8_pf6vf_virtio_notification_structure_length_hwtcl                = 0,
   parameter core8_pf6vf_virtio_notify_off_multiplier_hwtcl                        = 0,
   parameter core8_pf6vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
   parameter core8_pf6vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
   parameter core8_pf6vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
   parameter core8_pf6vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
   parameter core8_pf6vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
   parameter core8_pf6vf_virtio_devspecific_structure_length_hwtcl                 = 0,
   parameter core8_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
   parameter core8_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
   parameter core8_pf6vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,
   parameter core8_pf7vf_virtio_capability_present_hwtcl                           = 0,
   parameter core8_pf7vf_virtio_device_specific_cap_present_hwtcl                  = 0,
   parameter core8_pf7vf_virtio_cmn_config_bar_indicator_hwtcl                     = 0,
   parameter core8_pf7vf_virtio_cmn_config_bar_offset_hwtcl                        = 0,
   parameter core8_pf7vf_virtio_cmn_config_structure_length_hwtcl                  = 0,
   parameter core8_pf7vf_virtio_notification_bar_indicator_hwtcl                   = 0,
   parameter core8_pf7vf_virtio_notification_bar_offset_hwtcl                      = 0,
   parameter core8_pf7vf_virtio_notification_structure_length_hwtcl                = 0,
   parameter core8_pf7vf_virtio_notify_off_multiplier_hwtcl                        = 0,
   parameter core8_pf7vf_virtio_isrstatus_bar_indicator_hwtcl                      = 0,
   parameter core8_pf7vf_virtio_isrstatus_bar_offset_hwtcl                         = 0,
   parameter core8_pf7vf_virtio_isrstatus_structure_length_hwtcl                   = 0,
   parameter core8_pf7vf_virtio_devspecific_bar_indicator_hwtcl                    = 0,
   parameter core8_pf7vf_virtio_devspecific_bar_offset_hwtcl                       = 0,
   parameter core8_pf7vf_virtio_devspecific_structure_length_hwtcl                 = 0,
   parameter core8_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl               = 0,
   parameter core8_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl                  = 0,
   parameter core8_pf7vf_virtio_pciconfig_access_structure_length_hwtcl            = 0,

   parameter core16_pf0_vf_count_hwtcl                                             = 0,
   parameter core16_pf1_vf_count_hwtcl                                             = 0,
   parameter core16_pf2_vf_count_hwtcl                                             = 0,
   parameter core16_pf3_vf_count_hwtcl                                             = 0,
   parameter core16_pf4_vf_count_hwtcl                                             = 0,
   parameter core16_pf5_vf_count_hwtcl                                             = 0,
   parameter core16_pf6_vf_count_hwtcl                                             = 0,
   parameter core16_pf7_vf_count_hwtcl                                             = 0,
   parameter core8_pf0_vf_count_hwtcl                                              = 0,
   parameter core8_pf1_vf_count_hwtcl                                              = 0,
   parameter core8_pf2_vf_count_hwtcl                                              = 0,
   parameter core8_pf3_vf_count_hwtcl                                              = 0,
   parameter core8_pf4_vf_count_hwtcl                                              = 0,
   parameter core8_pf5_vf_count_hwtcl                                              = 0,
   parameter core8_pf6_vf_count_hwtcl                                              = 0,
   parameter core8_pf7_vf_count_hwtcl                                              = 0,

   // HIP_TOP params - core16
   parameter core16_pf0_bar0_address_width_hwtcl                                   = 16,
   parameter core16_pf0_bar1_address_width_hwtcl                                   = 16,
   parameter core16_pf0_bar2_address_width_hwtcl                                   = 16,
   parameter core16_pf0_bar3_address_width_hwtcl                                   = 16,
   parameter core16_pf0_bar4_address_width_hwtcl                                   = 16,
   parameter core16_pf0_bar5_address_width_hwtcl                                   = 16,
   parameter core16_pf1_bar0_address_width_hwtcl                                   = 16,
   parameter core16_pf1_bar1_address_width_hwtcl                                   = 16,
   parameter core16_pf1_bar2_address_width_hwtcl                                   = 16,
   parameter core16_pf1_bar3_address_width_hwtcl                                   = 16,
   parameter core16_pf1_bar4_address_width_hwtcl                                   = 16,
   parameter core16_pf1_bar5_address_width_hwtcl                                   = 16,
   parameter core16_pf2_bar0_address_width_hwtcl                                   = 16,
   parameter core16_pf2_bar1_address_width_hwtcl                                   = 16,
   parameter core16_pf2_bar2_address_width_hwtcl                                   = 16,
   parameter core16_pf2_bar3_address_width_hwtcl                                   = 16,
   parameter core16_pf2_bar4_address_width_hwtcl                                   = 16,
   parameter core16_pf2_bar5_address_width_hwtcl                                   = 16,
   parameter core16_pf3_bar0_address_width_hwtcl                                   = 16,
   parameter core16_pf3_bar1_address_width_hwtcl                                   = 16,
   parameter core16_pf3_bar2_address_width_hwtcl                                   = 16,
   parameter core16_pf3_bar3_address_width_hwtcl                                   = 16,
   parameter core16_pf3_bar4_address_width_hwtcl                                   = 16,
   parameter core16_pf3_bar5_address_width_hwtcl                                   = 16,
   parameter core16_pf4_bar0_address_width_hwtcl                                   = 16,
   parameter core16_pf4_bar1_address_width_hwtcl                                   = 16,
   parameter core16_pf4_bar2_address_width_hwtcl                                   = 16,
   parameter core16_pf4_bar3_address_width_hwtcl                                   = 16,
   parameter core16_pf4_bar4_address_width_hwtcl                                   = 16,
   parameter core16_pf4_bar5_address_width_hwtcl                                   = 16,
   parameter core16_pf5_bar0_address_width_hwtcl                                   = 16,
   parameter core16_pf5_bar1_address_width_hwtcl                                   = 16,
   parameter core16_pf5_bar2_address_width_hwtcl                                   = 16,
   parameter core16_pf5_bar3_address_width_hwtcl                                   = 16,
   parameter core16_pf5_bar4_address_width_hwtcl                                   = 16,
   parameter core16_pf5_bar5_address_width_hwtcl                                   = 16,
   parameter core16_pf6_bar0_address_width_hwtcl                                   = 16,
   parameter core16_pf6_bar1_address_width_hwtcl                                   = 16,
   parameter core16_pf6_bar2_address_width_hwtcl                                   = 16,
   parameter core16_pf6_bar3_address_width_hwtcl                                   = 16,
   parameter core16_pf6_bar4_address_width_hwtcl                                   = 16,
   parameter core16_pf6_bar5_address_width_hwtcl                                   = 16,
   parameter core16_pf7_bar0_address_width_hwtcl                                   = 16,
   parameter core16_pf7_bar1_address_width_hwtcl                                   = 16,
   parameter core16_pf7_bar2_address_width_hwtcl                                   = 16,
   parameter core16_pf7_bar3_address_width_hwtcl                                   = 16,
   parameter core16_pf7_bar4_address_width_hwtcl                                   = 16,
   parameter core16_pf7_bar5_address_width_hwtcl                                   = 16,

   parameter core16_pf0_expansion_base_address_register_integer_hwtcl              = 0,
   parameter core16_pf1_expansion_base_address_register_integer_hwtcl              = 0,
   parameter core16_pf2_expansion_base_address_register_integer_hwtcl              = 0,
   parameter core16_pf3_expansion_base_address_register_integer_hwtcl              = 0,
   parameter core16_pf4_expansion_base_address_register_integer_hwtcl              = 0,
   parameter core16_pf5_expansion_base_address_register_integer_hwtcl              = 0,
   parameter core16_pf6_expansion_base_address_register_integer_hwtcl              = 0,
   parameter core16_pf7_expansion_base_address_register_integer_hwtcl              = 0,

   parameter core16_pf0_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
   parameter core16_pf0_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
   parameter core16_pf0_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
   parameter core16_pf0_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
   parameter core16_pf0_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
   parameter core16_pf0_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
   parameter core16_pf1_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
   parameter core16_pf1_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
   parameter core16_pf1_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
   parameter core16_pf1_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
   parameter core16_pf1_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
   parameter core16_pf1_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
   parameter core16_pf2_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
   parameter core16_pf2_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
   parameter core16_pf2_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
   parameter core16_pf2_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
   parameter core16_pf2_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
   parameter core16_pf2_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
   parameter core16_pf3_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
   parameter core16_pf3_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
   parameter core16_pf3_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
   parameter core16_pf3_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
   parameter core16_pf3_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
   parameter core16_pf3_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
   parameter core16_pf4_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
   parameter core16_pf4_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
   parameter core16_pf4_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
   parameter core16_pf4_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
   parameter core16_pf4_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
   parameter core16_pf4_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
   parameter core16_pf5_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
   parameter core16_pf5_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
   parameter core16_pf5_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
   parameter core16_pf5_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
   parameter core16_pf5_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
   parameter core16_pf5_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
   parameter core16_pf6_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
   parameter core16_pf6_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
   parameter core16_pf6_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
   parameter core16_pf6_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
   parameter core16_pf6_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
   parameter core16_pf6_sriov_vf_bar5_address_width_int_hwtcl                  = 16,
   parameter core16_pf7_sriov_vf_bar0_address_width_int_hwtcl                  = 16,
   parameter core16_pf7_sriov_vf_bar1_address_width_int_hwtcl                  = 16,
   parameter core16_pf7_sriov_vf_bar2_address_width_int_hwtcl                  = 16,
   parameter core16_pf7_sriov_vf_bar3_address_width_int_hwtcl                  = 16,
   parameter core16_pf7_sriov_vf_bar4_address_width_int_hwtcl                  = 16,
   parameter core16_pf7_sriov_vf_bar5_address_width_int_hwtcl                  = 16,

   // HIP_TOP params - core8
   parameter core8_pf0_bar0_address_width_hwtcl                                    = 16,
   parameter core8_pf0_bar1_address_width_hwtcl                                    = 16,
   parameter core8_pf0_bar2_address_width_hwtcl                                    = 16,
   parameter core8_pf0_bar3_address_width_hwtcl                                    = 16,
   parameter core8_pf0_bar4_address_width_hwtcl                                    = 16,
   parameter core8_pf0_bar5_address_width_hwtcl                                    = 16,
   parameter core8_pf1_bar0_address_width_hwtcl                                    = 16,
   parameter core8_pf1_bar1_address_width_hwtcl                                    = 16,
   parameter core8_pf1_bar2_address_width_hwtcl                                    = 16,
   parameter core8_pf1_bar3_address_width_hwtcl                                    = 16,
   parameter core8_pf1_bar4_address_width_hwtcl                                    = 16,
   parameter core8_pf1_bar5_address_width_hwtcl                                    = 16,
   parameter core8_pf2_bar0_address_width_hwtcl                                    = 16,
   parameter core8_pf2_bar1_address_width_hwtcl                                    = 16,
   parameter core8_pf2_bar2_address_width_hwtcl                                    = 16,
   parameter core8_pf2_bar3_address_width_hwtcl                                    = 16,
   parameter core8_pf2_bar4_address_width_hwtcl                                    = 16,
   parameter core8_pf2_bar5_address_width_hwtcl                                    = 16,
   parameter core8_pf3_bar0_address_width_hwtcl                                    = 16,
   parameter core8_pf3_bar1_address_width_hwtcl                                    = 16,
   parameter core8_pf3_bar2_address_width_hwtcl                                    = 16,
   parameter core8_pf3_bar3_address_width_hwtcl                                    = 16,
   parameter core8_pf3_bar4_address_width_hwtcl                                    = 16,
   parameter core8_pf3_bar5_address_width_hwtcl                                    = 16,
   parameter core8_pf4_bar0_address_width_hwtcl                                    = 16,
   parameter core8_pf4_bar1_address_width_hwtcl                                    = 16,
   parameter core8_pf4_bar2_address_width_hwtcl                                    = 16,
   parameter core8_pf4_bar3_address_width_hwtcl                                    = 16,
   parameter core8_pf4_bar4_address_width_hwtcl                                    = 16,
   parameter core8_pf4_bar5_address_width_hwtcl                                    = 16,
   parameter core8_pf5_bar0_address_width_hwtcl                                    = 16,
   parameter core8_pf5_bar1_address_width_hwtcl                                    = 16,
   parameter core8_pf5_bar2_address_width_hwtcl                                    = 16,
   parameter core8_pf5_bar3_address_width_hwtcl                                    = 16,
   parameter core8_pf5_bar4_address_width_hwtcl                                    = 16,
   parameter core8_pf5_bar5_address_width_hwtcl                                    = 16,
   parameter core8_pf6_bar0_address_width_hwtcl                                    = 16,
   parameter core8_pf6_bar1_address_width_hwtcl                                    = 16,
   parameter core8_pf6_bar2_address_width_hwtcl                                    = 16,
   parameter core8_pf6_bar3_address_width_hwtcl                                    = 16,
   parameter core8_pf6_bar4_address_width_hwtcl                                    = 16,
   parameter core8_pf6_bar5_address_width_hwtcl                                    = 16,
   parameter core8_pf7_bar0_address_width_hwtcl                                    = 16,
   parameter core8_pf7_bar1_address_width_hwtcl                                    = 16,
   parameter core8_pf7_bar2_address_width_hwtcl                                    = 16,
   parameter core8_pf7_bar3_address_width_hwtcl                                    = 16,
   parameter core8_pf7_bar4_address_width_hwtcl                                    = 16,
   parameter core8_pf7_bar5_address_width_hwtcl                                    = 16,

   parameter core8_pf0_expansion_base_address_register_integer_hwtcl               = 0,
   parameter core8_pf1_expansion_base_address_register_integer_hwtcl               = 0,
   parameter core8_pf2_expansion_base_address_register_integer_hwtcl               = 0,
   parameter core8_pf3_expansion_base_address_register_integer_hwtcl               = 0,
   parameter core8_pf4_expansion_base_address_register_integer_hwtcl               = 0,
   parameter core8_pf5_expansion_base_address_register_integer_hwtcl               = 0,
   parameter core8_pf6_expansion_base_address_register_integer_hwtcl               = 0,
   parameter core8_pf7_expansion_base_address_register_integer_hwtcl               = 0,

   parameter core8_pf0_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
   parameter core8_pf0_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
   parameter core8_pf0_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
   parameter core8_pf0_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
   parameter core8_pf0_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
   parameter core8_pf0_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
   parameter core8_pf1_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
   parameter core8_pf1_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
   parameter core8_pf1_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
   parameter core8_pf1_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
   parameter core8_pf1_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
   parameter core8_pf1_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
   parameter core8_pf2_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
   parameter core8_pf2_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
   parameter core8_pf2_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
   parameter core8_pf2_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
   parameter core8_pf2_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
   parameter core8_pf2_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
   parameter core8_pf3_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
   parameter core8_pf3_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
   parameter core8_pf3_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
   parameter core8_pf3_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
   parameter core8_pf3_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
   parameter core8_pf3_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
   parameter core8_pf4_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
   parameter core8_pf4_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
   parameter core8_pf4_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
   parameter core8_pf4_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
   parameter core8_pf4_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
   parameter core8_pf4_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
   parameter core8_pf5_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
   parameter core8_pf5_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
   parameter core8_pf5_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
   parameter core8_pf5_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
   parameter core8_pf5_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
   parameter core8_pf5_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
   parameter core8_pf6_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
   parameter core8_pf6_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
   parameter core8_pf6_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
   parameter core8_pf6_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
   parameter core8_pf6_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
   parameter core8_pf6_sriov_vf_bar5_address_width_int_hwtcl                   = 16,
   parameter core8_pf7_sriov_vf_bar0_address_width_int_hwtcl                   = 16,
   parameter core8_pf7_sriov_vf_bar1_address_width_int_hwtcl                   = 16,
   parameter core8_pf7_sriov_vf_bar2_address_width_int_hwtcl                   = 16,
   parameter core8_pf7_sriov_vf_bar3_address_width_int_hwtcl                   = 16,
   parameter core8_pf7_sriov_vf_bar4_address_width_int_hwtcl                   = 16,
   parameter core8_pf7_sriov_vf_bar5_address_width_int_hwtcl                   = 16,

   //Preset
   parameter core16_pf0_dsp_16g_tx_preset_hwtcl                                    = 0,
   parameter core16_pf0_dsp_tx_preset_hwtcl                                        = 0,
   parameter core16_pf0_usp_16g_tx_preset_hwtcl                                    = 0,
   parameter core16_pf0_usp_tx_preset_hwtcl                                        = 0,
   parameter core16_pf0_dsp_rx_preset_hint_hwtcl                                   = 0,
   parameter core16_pf0_usp_rx_preset_hint_hwtcl                                   = 0,
   
   parameter core8_pf0_dsp_16g_tx_preset_hwtcl                                     = 0,
   parameter core8_pf0_dsp_tx_preset_hwtcl                                         = 0,
   parameter core8_pf0_usp_16g_tx_preset_hwtcl                                     = 0,
   parameter core8_pf0_usp_tx_preset_hwtcl                                         = 0,
   parameter core8_pf0_dsp_rx_preset_hint_hwtcl                                    = 0,
   parameter core8_pf0_usp_rx_preset_hint_hwtcl                                    = 0,
   
   parameter core4_0_pf0_dsp_16g_tx_preset_hwtcl                                   = 0,
   parameter core4_0_pf0_dsp_tx_preset_hwtcl                                       = 0,
   parameter core4_0_pf0_usp_16g_tx_preset_hwtcl                                   = 0,
   parameter core4_0_pf0_usp_tx_preset_hwtcl                                       = 0,
   parameter core4_0_pf0_dsp_rx_preset_hint_hwtcl                                  = 0,
   parameter core4_0_pf0_usp_rx_preset_hint_hwtcl                                  = 0,
   
   parameter core4_1_pf0_dsp_16g_tx_preset_hwtcl                                   = 0,
   parameter core4_1_pf0_dsp_tx_preset_hwtcl                                       = 0,
   parameter core4_1_pf0_usp_16g_tx_preset_hwtcl                                   = 0,
   parameter core4_1_pf0_usp_tx_preset_hwtcl                                       = 0,
   parameter core4_1_pf0_dsp_rx_preset_hint_hwtcl                                  = 0,
   parameter core4_1_pf0_usp_rx_preset_hint_hwtcl                                  = 0,

   // user_mode_to_pld & pld_in_use ports enable
   parameter core16_user_mode_to_pld_in_use_hwtcl                                 = 0,
   parameter core8_user_mode_to_pld_in_use_hwtcl                                  = 0,
   parameter core4_0_user_mode_to_pld_in_use_hwtcl                                = 0,
   parameter core4_1_user_mode_to_pld_in_use_hwtcl                                = 0,

   // pld_warm_rst_rdy
   parameter core16_enable_pld_warm_rst_rdy_hwtcl                                 = 0,
   parameter core8_enable_pld_warm_rst_rdy_hwtcl                                  = 0,
   parameter core4_0_enable_pld_warm_rst_rdy_hwtcl                                = 0,
   parameter core4_1_enable_pld_warm_rst_rdy_hwtcl                                = 0,

   // adapter
   parameter adapter_type_hwtcl                                                   = "NATIVE",
   parameter adapter_clk_source_hwtcl                                             = "IOPLL",

   // Error Intf
   parameter core16_enable_error_intf_hwtcl                                       = 0,
   parameter core8_enable_error_intf_hwtcl                                        = 0,
   parameter core4_0_enable_error_intf_hwtcl                                      = 0,
   parameter core4_1_enable_error_intf_hwtcl                                      = 0,
   
   // FLR
   parameter core16_flr_cap_hwtcl                                                 = 0,
   parameter core8_flr_cap_hwtcl                                                  = 0,
   parameter core4_0_flr_cap_hwtcl                                                = 0,
   parameter core4_1_flr_cap_hwtcl                                                = 0,
  
   // cpl_timeout
   parameter core16_enable_cpl_timeout_hwtcl                                      = 0,
   parameter core8_enable_cpl_timeout_hwtcl                                       = 0,
   parameter core4_0_enable_cpl_timeout_hwtcl                                     = 0,
   parameter core4_1_enable_cpl_timeout_hwtcl                                     = 0,

   // multi_func
   parameter core16_enable_multi_func_hwtcl                                       = 0,
   parameter core8_enable_multi_func_hwtcl                                        = 0,

   // SRIOV
   parameter core16_enable_sriov_hwtcl                                            = 0,
   parameter core8_enable_sriov_hwtcl                                             = 0,

   // 10-bit tag
   parameter core16_enable_10bit_tag_support_intf_hwtcl                           = 0,

   //sn cap
   parameter ctop_core16_sn_ser_num_reg_1_dw_hwtcl                                 = "0",
   parameter ctop_core16_sn_ser_num_reg_2_dw_hwtcl                                 = "0",
   parameter ctop_core4_0_sn_ser_num_reg_1_dw_hwtcl                                = "0",
   parameter ctop_core4_0_sn_ser_num_reg_2_dw_hwtcl                                = "0",
   parameter ctop_core4_1_sn_ser_num_reg_1_dw_hwtcl                                = "0",
   parameter ctop_core4_1_sn_ser_num_reg_2_dw_hwtcl                                = "0",
   parameter ctop_core8_sn_ser_num_reg_1_dw_hwtcl                                  = "0",
   parameter ctop_core8_sn_ser_num_reg_2_dw_hwtcl                                  = "0",


   // HIP_BB params
   parameter ctop_core16_virtual_pf0_sriov_num_vf_non_ari                          = 0,
   parameter ctop_core16_virtual_pf1_sriov_num_vf_non_ari                          = 0,
   parameter ctop_core16_virtual_pf2_sriov_num_vf_non_ari                          = 0,
   parameter ctop_core16_virtual_pf3_sriov_num_vf_non_ari                          = 0,
   parameter ctop_core16_virtual_pf4_sriov_num_vf_non_ari                          = 0,
   parameter ctop_core16_virtual_pf5_sriov_num_vf_non_ari                          = 0,
   parameter ctop_core16_virtual_pf6_sriov_num_vf_non_ari                          = 0,
   parameter ctop_core16_virtual_pf7_sriov_num_vf_non_ari                          = 0,
   parameter ctop_core8_virtual_pf0_sriov_num_vf_non_ari                           = 0,
   parameter ctop_core8_virtual_pf1_sriov_num_vf_non_ari                           = 0,
   parameter ctop_core8_virtual_pf2_sriov_num_vf_non_ari                           = 0,
   parameter ctop_core8_virtual_pf3_sriov_num_vf_non_ari                           = 0,
   parameter ctop_core8_virtual_pf4_sriov_num_vf_non_ari                           = 0,
   parameter ctop_core8_virtual_pf5_sriov_num_vf_non_ari                           = 0,
   parameter ctop_core8_virtual_pf6_sriov_num_vf_non_ari                           = 0,
   parameter ctop_core8_virtual_pf7_sriov_num_vf_non_ari                           = 0,

   parameter pcie_cvp_attr                                                         = "PCIE_CVP_ATTR_DISABLE",
   parameter ctop_core16_cvp_user_id                                               = 0,
   parameter ctop_core16_exvf_ats_pagealignreq_pf0				   = "FALSE",
   parameter ctop_core16_exvf_ats_pagealignreq_pf1				   = "FALSE",
   parameter ctop_core16_exvf_ats_pagealignreq_pf2				   = "FALSE",
   parameter ctop_core16_exvf_ats_pagealignreq_pf3				   = "FALSE",
   parameter ctop_core16_exvf_ats_pagealignreq_pf4				   = "FALSE",
   parameter ctop_core16_exvf_ats_pagealignreq_pf5				   = "FALSE",
   parameter ctop_core16_exvf_ats_pagealignreq_pf6				   = "FALSE",
   parameter ctop_core16_exvf_ats_pagealignreq_pf7				   = "FALSE",
   parameter ctop_core16_exvf_msix_tablesize_pf0                                   = 0,
   parameter ctop_core16_exvf_msix_tablesize_pf1                                   = 0,
   parameter ctop_core16_exvf_msix_tablesize_pf2                                   = 0,
   parameter ctop_core16_exvf_msix_tablesize_pf3                                   = 0,
   parameter ctop_core16_exvf_msix_tablesize_pf4                                   = 0,
   parameter ctop_core16_exvf_msix_tablesize_pf5                                   = 0,
   parameter ctop_core16_exvf_msix_tablesize_pf6                                   = 0,
   parameter ctop_core16_exvf_msix_tablesize_pf7                                   = 0,
   parameter ctop_core16_exvf_msixpba_bir_pf0                                      = 0,
   parameter ctop_core16_exvf_msixpba_bir_pf1                                      = 0,
   parameter ctop_core16_exvf_msixpba_bir_pf2                                      = 0,
   parameter ctop_core16_exvf_msixpba_bir_pf3                                      = 0,
   parameter ctop_core16_exvf_msixpba_bir_pf4                                      = 0,
   parameter ctop_core16_exvf_msixpba_bir_pf5                                      = 0,
   parameter ctop_core16_exvf_msixpba_bir_pf6                                      = 0,
   parameter ctop_core16_exvf_msixpba_bir_pf7                                      = 0,
   parameter ctop_core16_exvf_msixpba_offset_pf0                                   = 0,
   parameter ctop_core16_exvf_msixpba_offset_pf1                                   = 0,
   parameter ctop_core16_exvf_msixpba_offset_pf2                                   = 0,
   parameter ctop_core16_exvf_msixpba_offset_pf3                                   = 0,
   parameter ctop_core16_exvf_msixpba_offset_pf4                                   = 0,
   parameter ctop_core16_exvf_msixpba_offset_pf5                                   = 0,
   parameter ctop_core16_exvf_msixpba_offset_pf6                                   = 0,
   parameter ctop_core16_exvf_msixpba_offset_pf7                                   = 0,
   parameter ctop_core16_exvf_msixtable_bir_pf0                                    = 0,
   parameter ctop_core16_exvf_msixtable_bir_pf1                                    = 0,
   parameter ctop_core16_exvf_msixtable_bir_pf2                                    = 0,
   parameter ctop_core16_exvf_msixtable_bir_pf3                                    = 0,
   parameter ctop_core16_exvf_msixtable_bir_pf4                                    = 0,
   parameter ctop_core16_exvf_msixtable_bir_pf5                                    = 0,
   parameter ctop_core16_exvf_msixtable_bir_pf6                                    = 0,
   parameter ctop_core16_exvf_msixtable_bir_pf7                                    = 0,
   parameter ctop_core16_exvf_msixtable_offset_pf0                                 = 0,
   parameter ctop_core16_exvf_msixtable_offset_pf1                                 = 0,
   parameter ctop_core16_exvf_msixtable_offset_pf2                                 = 0,
   parameter ctop_core16_exvf_msixtable_offset_pf3                                 = 0,
   parameter ctop_core16_exvf_msixtable_offset_pf4                                 = 0,
   parameter ctop_core16_exvf_msixtable_offset_pf5                                 = 0,
   parameter ctop_core16_exvf_msixtable_offset_pf6                                 = 0,
   parameter ctop_core16_exvf_msixtable_offset_pf7                                 = 0,
   parameter ctop_core16_exvf_subsysid_pf0                                         = 0,
   parameter ctop_core16_exvf_subsysid_pf1                                         = 0,
   parameter ctop_core16_exvf_subsysid_pf2                                         = 0,
   parameter ctop_core16_exvf_subsysid_pf3                                         = 0,
   parameter ctop_core16_exvf_subsysid_pf4                                         = 0,
   parameter ctop_core16_exvf_subsysid_pf5                                         = 0,
   parameter ctop_core16_exvf_subsysid_pf6                                         = 0,
   parameter ctop_core16_exvf_subsysid_pf7                                         = 0,
   parameter ctop_core16_pf0_acs_cap_acs_at_block                                  = "DISABLE",
   parameter ctop_core16_pf0_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
   parameter ctop_core16_pf0_acs_cap_acs_egress_ctrl_size                          = 8,
   parameter ctop_core16_pf0_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
   parameter ctop_core16_pf0_acs_cap_acs_p2p_egress_control                        = "DISABLE",
   parameter ctop_core16_pf0_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
   parameter ctop_core16_pf0_acs_cap_acs_src_valid                                 = "DISABLE",
   parameter ctop_core16_pf0_acs_cap_acs_usp_forwarding                            = "DISABLE",
   parameter ctop_core16_pf0_auto_lane_flip_ctrl_en                                = "ENABLE",
   parameter ctop_core16_pf0_bar0_prefetch                                         = "TRUE",
   parameter ctop_core16_pf0_bar0_type                                             = "CTOP_CORE16_PF0_BAR0_MEM64",
   parameter ctop_core16_pf0_bar1_prefetch                                         = "FALSE",
   parameter ctop_core16_pf0_bar2_prefetch                                         = "FALSE",
   parameter ctop_core16_pf0_bar2_type                                             = "CTOP_CORE16_PF0_BAR2_MEM32",
   parameter ctop_core16_pf0_bar3_prefetch                                         = "FALSE",
   parameter ctop_core16_pf0_bar4_prefetch                                         = "TRUE",
   parameter ctop_core16_pf0_bar4_type                                             = "CTOP_CORE16_PF0_BAR4_MEM64",
   parameter ctop_core16_pf0_bar5_prefetch                                         = "FALSE",
   parameter ctop_core16_pf0_base_class_code                                       = 255,
   parameter ctop_core16_pf0_eq_redo                                               = "DISABLE",
   parameter ctop_core16_pf0_eq_redo_atg4                                          = "DISABLE",
   parameter ctop_core16_pf0_gen3_eq_pset_req_vec                                  = 1023,
   parameter ctop_core16_pf0_gen3_eq_pset_req_vec_atg4                             = 1023,
   parameter ctop_core16_pf0_int_pin                                               = "CTOP_CORE16_PF0_NO_INT",
   parameter ctop_core16_pf0_loopback_enable                                       = "FALSE",
   parameter ctop_core16_pf0_pasid_cap_execute_permission_supported                = "DISABLE",
   parameter ctop_core16_pf0_pasid_cap_max_pasid_width                             = 0,
   parameter ctop_core16_pf0_pasid_cap_privileged_mode_supported                   = "DISABLE",
   parameter ctop_core16_pf0_pci_msi_64_bit_addr_cap                               = "FALSE",
   parameter ctop_core16_pf0_pci_msi_ext_data_cap                                  = "FALSE",
   parameter ctop_core16_pf0_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF0_MSI_VEC_1",
   parameter ctop_core16_pf0_pci_msix_bir                                          = 0,
   parameter ctop_core16_pf0_pci_msix_pba                                          = 0,
   parameter ctop_core16_pf0_pci_msix_pba_offset                                   = 196608,
   parameter ctop_core16_pf0_pci_msix_table_offset                                 = 131072,
   parameter ctop_core16_pf0_pci_msix_table_size                                   = 15,
   parameter ctop_core16_pf0_pci_msix_table_size_vfcomm_cs2                        = 0,
   parameter ctop_core16_pf0_pci_type0_bar0_enabled                                = "ENABLE",
   parameter ctop_core16_pf0_pci_type0_bar1_enabled                                = "DISABLE",
   parameter ctop_core16_pf0_pci_type0_bar2_enabled                                = "DISABLE",
   parameter ctop_core16_pf0_pci_type0_bar3_enabled                                = "DISABLE",
   parameter ctop_core16_pf0_pci_type0_bar4_enabled                                = "ENABLE",
   parameter ctop_core16_pf0_pci_type0_bar5_enabled                                = "DISABLE",
   parameter ctop_core16_pf0_pci_type0_device_id                                   = 2500,
   parameter ctop_core16_pf0_pci_type0_vendor_id                                   = 4466,
   parameter ctop_core16_pf0_pcie_cap_attention_indicator                          = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_attention_indicator_button                   = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_electromech_interlock                        = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_ep_l0s_accpt_latency                         = 0,
   parameter ctop_core16_pf0_pcie_cap_ep_l1_accpt_latency                          = 0,
   parameter ctop_core16_pf0_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF0_SUPPORTED",
   parameter ctop_core16_pf0_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF0_CAPABLE",
   parameter ctop_core16_pf0_pcie_cap_hot_plug_capable                             = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_hot_plug_surprise                            = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_mrl_sensor                                   = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_no_cmd_cpl_support                           = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_phy_slot_num                                 = 0,
   parameter ctop_core16_pf0_pcie_cap_port_num                                     = 1,
   parameter ctop_core16_pf0_pcie_cap_power_controller                             = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_power_indicator                              = "FALSE",
   parameter ctop_core16_pf0_pcie_cap_sel_deemphasis                               = "CTOP_CORE16_PF0_MINUS_6DB",
   parameter ctop_core16_pf0_pcie_cap_slot_clk_config                              = "TRUE",
   parameter ctop_core16_pf0_pcie_cap_slot_power_limit_scale                       = 0,
   parameter ctop_core16_pf0_pcie_cap_slot_power_limit_value                       = 0,
   parameter ctop_core16_pf0_pcie_slot_imp                                         = "CTOP_CORE16_PF0_NOT_IMPLEMENTED",
   parameter ctop_core16_pf0_pme_support                                           = 15,
   parameter ctop_core16_pf0_program_interface                                     = 0,
   parameter ctop_core16_pf0_revision_id                                           = 1,
   parameter ctop_core16_pf0_rom_bar_enabled                                       = "DISABLE",
   parameter ctop_core16_pf0_rp_rom_bar_enabled                                    = "DISABLE",
   parameter ctop_core16_pf0_shadow_sriov_vf_stride_ari_cs2                        = 0,
   parameter ctop_core16_pf0_sriov_sup_page_size                                   = "0",
   parameter ctop_core16_pf0_sriov_vf_bar0_prefetch                                = "FALSE",
   parameter ctop_core16_pf0_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF0_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core16_pf0_sriov_vf_bar1_prefetch                                = "FALSE",
   parameter ctop_core16_pf0_sriov_vf_bar2_prefetch                                = "FALSE",
   parameter ctop_core16_pf0_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF0_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core16_pf0_sriov_vf_bar3_prefetch                                = "FALSE",
   parameter ctop_core16_pf0_sriov_vf_bar4_prefetch                                = "FALSE",
   parameter ctop_core16_pf0_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF0_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core16_pf0_sriov_vf_bar5_prefetch                                = "FALSE",
   parameter ctop_core16_pf0_sriov_vf_device_id                                    = 0,
   parameter ctop_core16_pf0_sriov_vf_offset_ari_cs2                               = 0,
   parameter ctop_core16_pf0_sriov_vf_offset_nonari                                = 0,
   parameter ctop_core16_pf0_sriov_vf_stride_nonari                                = 0,
   parameter ctop_core16_pf0_subclass_code                                         = 0,
   parameter ctop_core16_pf0_subsys_dev_id                                         = 0,
   parameter ctop_core16_pf0_subsys_vendor_id                                      = 0,
   parameter ctop_core16_pf0_tph_req_cap_int_vec                                   = "DISABLE",
   parameter ctop_core16_pf0_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF0_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core16_pf0_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF0_NOT_IN_MSIX_TABLE",
   parameter ctop_core16_pf0_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF0_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core16_pf0_tph_req_cap_st_table_size                             = 0,
   parameter ctop_core16_pf0_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
   parameter ctop_core16_pf0_tph_req_device_spec                                   = "DISABLE",
   parameter ctop_core16_pf0_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf0_prs_outstanding_capacity				   = "0",
   parameter ctop_core16_pf1_acs_cap_acs_at_block                                  = "DISABLE",
   parameter ctop_core16_pf1_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
   parameter ctop_core16_pf1_acs_cap_acs_egress_ctrl_size                          = 8,
   parameter ctop_core16_pf1_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
   parameter ctop_core16_pf1_acs_cap_acs_p2p_egress_control                        = "DISABLE",
   parameter ctop_core16_pf1_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
   parameter ctop_core16_pf1_acs_cap_acs_src_valid                                 = "DISABLE",
   parameter ctop_core16_pf1_acs_cap_acs_usp_forwarding                            = "DISABLE",
   parameter ctop_core16_pf1_bar0_prefetch                                         = "FALSE",
   parameter ctop_core16_pf1_bar0_type                                             = "CTOP_CORE16_PF1_BAR0_MEM32",
   parameter ctop_core16_pf1_bar1_prefetch                                         = "FALSE",
   parameter ctop_core16_pf1_bar2_prefetch                                         = "FALSE",
   parameter ctop_core16_pf1_bar2_type                                             = "CTOP_CORE16_PF1_BAR2_MEM32",
   parameter ctop_core16_pf1_bar3_prefetch                                         = "FALSE",
   parameter ctop_core16_pf1_bar4_prefetch                                         = "FALSE",
   parameter ctop_core16_pf1_bar4_type                                             = "CTOP_CORE16_PF1_BAR4_MEM32",
   parameter ctop_core16_pf1_bar5_prefetch                                         = "FALSE",
   parameter ctop_core16_pf1_base_class_code                                       = 255,
   parameter ctop_core16_pf1_int_pin                                               = "CTOP_CORE16_PF1_NO_INT",
   parameter ctop_core16_pf1_pasid_cap_execute_permission_supported                = "DISABLE",
   parameter ctop_core16_pf1_pasid_cap_max_pasid_width                             = 0,
   parameter ctop_core16_pf1_pasid_cap_privileged_mode_supported                   = "DISABLE",
   parameter ctop_core16_pf1_pci_msi_64_bit_addr_cap                               = "FALSE",
   parameter ctop_core16_pf1_pci_msi_ext_data_cap                                  = "FALSE",
   parameter ctop_core16_pf1_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF1_MSI_VEC_1",
   parameter ctop_core16_pf1_pci_msix_bir                                          = 0,
   parameter ctop_core16_pf1_pci_msix_pba                                          = 0,
   parameter ctop_core16_pf1_pci_msix_pba_offset                                   = 0,
   parameter ctop_core16_pf1_pci_msix_table_offset                                 = 0,
   parameter ctop_core16_pf1_pci_msix_table_size                                   = 0,
   parameter ctop_core16_pf1_pci_msix_table_size_vfcomm_cs2                        = 0,
   parameter ctop_core16_pf1_pci_type0_bar0_enabled                                = "DISABLE",
   parameter ctop_core16_pf1_pci_type0_bar1_enabled                                = "DISABLE",
   parameter ctop_core16_pf1_pci_type0_bar2_enabled                                = "DISABLE",
   parameter ctop_core16_pf1_pci_type0_bar3_enabled                                = "DISABLE",
   parameter ctop_core16_pf1_pci_type0_bar4_enabled                                = "DISABLE",
   parameter ctop_core16_pf1_pci_type0_bar5_enabled                                = "DISABLE",
   parameter ctop_core16_pf1_pci_type0_device_id                                   = 0,
   parameter ctop_core16_pf1_pci_type0_vendor_id                                   = 0,
   parameter ctop_core16_pf1_pcie_cap_ep_l0s_accpt_latency                         = 0,
   parameter ctop_core16_pf1_pcie_cap_ep_l1_accpt_latency                          = 0,
   parameter ctop_core16_pf1_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF1_NOT_SUPPORTED",
   parameter ctop_core16_pf1_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF1_NOT_CAPABLE",
   parameter ctop_core16_pf1_pcie_cap_slot_clk_config                              = "FALSE",
   parameter ctop_core16_pf1_pme_support                                           = 0,
   parameter ctop_core16_pf1_program_interface                                     = 0,
   parameter ctop_core16_pf1_revision_id                                           = 0,
   parameter ctop_core16_pf1_rom_bar_enabled                                       = "DISABLE",
   parameter ctop_core16_pf1_shadow_sriov_vf_stride_ari_cs2                        = 0,
   parameter ctop_core16_pf1_sriov_sup_page_size                                   = "0",
   parameter ctop_core16_pf1_sriov_vf_bar0_prefetch                                = "FALSE",
   parameter ctop_core16_pf1_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF1_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core16_pf1_sriov_vf_bar1_prefetch                                = "FALSE",
   parameter ctop_core16_pf1_sriov_vf_bar2_prefetch                                = "FALSE",
   parameter ctop_core16_pf1_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF1_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core16_pf1_sriov_vf_bar3_prefetch                                = "FALSE",
   parameter ctop_core16_pf1_sriov_vf_bar4_prefetch                                = "FALSE",
   parameter ctop_core16_pf1_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF1_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core16_pf1_sriov_vf_bar5_prefetch                                = "FALSE",
   parameter ctop_core16_pf1_sriov_vf_device_id                                    = 0,
   parameter ctop_core16_pf1_sriov_vf_offset_ari_cs2                               = 0,
   parameter ctop_core16_pf1_sriov_vf_offset_position_nonari                       = 0,
   parameter ctop_core16_pf1_sriov_vf_stride_nonari                                = 0,
   parameter ctop_core16_pf1_subclass_code                                         = 0,
   parameter ctop_core16_pf1_subsys_dev_id                                         = 0,
   parameter ctop_core16_pf1_subsys_vendor_id                                      = 0,
   parameter ctop_core16_pf1_tph_req_cap_int_vec                                   = "DISABLE",
   parameter ctop_core16_pf1_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf1_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF1_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core16_pf1_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF1_NOT_IN_MSIX_TABLE",
   parameter ctop_core16_pf1_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF1_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core16_pf1_tph_req_cap_st_table_size                             = 0,
   parameter ctop_core16_pf1_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
   parameter ctop_core16_pf1_tph_req_device_spec                                   = "DISABLE",
   parameter ctop_core16_pf1_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf1_prs_outstanding_capacity				   = "0",
   parameter ctop_core16_pf2_acs_cap_acs_at_block                                  = "DISABLE",
   parameter ctop_core16_pf2_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
   parameter ctop_core16_pf2_acs_cap_acs_egress_ctrl_size                          = 8,
   parameter ctop_core16_pf2_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
   parameter ctop_core16_pf2_acs_cap_acs_p2p_egress_control                        = "DISABLE",
   parameter ctop_core16_pf2_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
   parameter ctop_core16_pf2_acs_cap_acs_src_valid                                 = "DISABLE",
   parameter ctop_core16_pf2_acs_cap_acs_usp_forwarding                            = "DISABLE",
   parameter ctop_core16_pf2_bar0_prefetch                                         = "FALSE",
   parameter ctop_core16_pf2_bar0_type                                             = "CTOP_CORE16_PF2_BAR0_MEM32",
   parameter ctop_core16_pf2_bar1_prefetch                                         = "FALSE",
   parameter ctop_core16_pf2_bar2_prefetch                                         = "FALSE",
   parameter ctop_core16_pf2_bar2_type                                             = "CTOP_CORE16_PF2_BAR2_MEM32",
   parameter ctop_core16_pf2_bar3_prefetch                                         = "FALSE",
   parameter ctop_core16_pf2_bar4_prefetch                                         = "FALSE",
   parameter ctop_core16_pf2_bar4_type                                             = "CTOP_CORE16_PF2_BAR4_MEM32",
   parameter ctop_core16_pf2_bar5_prefetch                                         = "FALSE",
   parameter ctop_core16_pf2_base_class_code                                       = 255,
   parameter ctop_core16_pf2_int_pin                                               = "CTOP_CORE16_PF2_NO_INT",
   parameter ctop_core16_pf2_pasid_cap_execute_permission_supported                = "DISABLE",
   parameter ctop_core16_pf2_pasid_cap_max_pasid_width                             = 0,
   parameter ctop_core16_pf2_pasid_cap_privileged_mode_supported                   = "DISABLE",
   parameter ctop_core16_pf2_pci_msi_64_bit_addr_cap                               = "FALSE",
   parameter ctop_core16_pf2_pci_msi_ext_data_cap                                  = "FALSE",
   parameter ctop_core16_pf2_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF2_MSI_VEC_1",
   parameter ctop_core16_pf2_pci_msix_bir                                          = 0,
   parameter ctop_core16_pf2_pci_msix_pba                                          = 0,
   parameter ctop_core16_pf2_pci_msix_pba_offset                                   = 0,
   parameter ctop_core16_pf2_pci_msix_table_offset                                 = 0,
   parameter ctop_core16_pf2_pci_msix_table_size                                   = 0,
   parameter ctop_core16_pf2_pci_msix_table_size_vfcomm_cs2                        = 0,
   parameter ctop_core16_pf2_pci_type0_bar0_enabled                                = "DISABLE",
   parameter ctop_core16_pf2_pci_type0_bar1_enabled                                = "DISABLE",
   parameter ctop_core16_pf2_pci_type0_bar2_enabled                                = "DISABLE",
   parameter ctop_core16_pf2_pci_type0_bar3_enabled                                = "DISABLE",
   parameter ctop_core16_pf2_pci_type0_bar4_enabled                                = "DISABLE",
   parameter ctop_core16_pf2_pci_type0_bar5_enabled                                = "DISABLE",
   parameter ctop_core16_pf2_pci_type0_device_id                                   = 0,
   parameter ctop_core16_pf2_pci_type0_vendor_id                                   = 0,
   parameter ctop_core16_pf2_pcie_cap_ep_l0s_accpt_latency                         = 0,
   parameter ctop_core16_pf2_pcie_cap_ep_l1_accpt_latency                          = 0,
   parameter ctop_core16_pf2_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF2_NOT_SUPPORTED",
   parameter ctop_core16_pf2_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF2_NOT_CAPABLE",
   parameter ctop_core16_pf2_pcie_cap_slot_clk_config                              = "FALSE",
   parameter ctop_core16_pf2_pme_support                                           = 0,
   parameter ctop_core16_pf2_program_interface                                     = 0,
   parameter ctop_core16_pf2_revision_id                                           = 0,
   parameter ctop_core16_pf2_rom_bar_enabled                                       = "DISABLE",
   parameter ctop_core16_pf2_shadow_sriov_vf_stride_ari_cs2                        = 0,
   parameter ctop_core16_pf2_sriov_sup_page_size                                   = "0",
   parameter ctop_core16_pf2_sriov_vf_bar0_prefetch                                = "FALSE",
   parameter ctop_core16_pf2_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF2_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core16_pf2_sriov_vf_bar1_prefetch                                = "FALSE",
   parameter ctop_core16_pf2_sriov_vf_bar2_prefetch                                = "FALSE",
   parameter ctop_core16_pf2_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF2_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core16_pf2_sriov_vf_bar3_prefetch                                = "FALSE",
   parameter ctop_core16_pf2_sriov_vf_bar4_prefetch                                = "FALSE",
   parameter ctop_core16_pf2_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF2_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core16_pf2_sriov_vf_bar5_prefetch                                = "FALSE",
   parameter ctop_core16_pf2_sriov_vf_device_id                                    = 0,
   parameter ctop_core16_pf2_sriov_vf_offset_ari_cs2                               = 0,
   parameter ctop_core16_pf2_sriov_vf_offset_position_nonari                       = 0,
   parameter ctop_core16_pf2_sriov_vf_stride_nonari                                = 0,
   parameter ctop_core16_pf2_subclass_code                                         = 0,
   parameter ctop_core16_pf2_subsys_dev_id                                         = 0,
   parameter ctop_core16_pf2_subsys_vendor_id                                      = 0,
   parameter ctop_core16_pf2_tph_req_cap_int_vec                                   = "DISABLE",
   parameter ctop_core16_pf2_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf2_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF2_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core16_pf2_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF2_NOT_IN_MSIX_TABLE",
   parameter ctop_core16_pf2_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF2_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core16_pf2_tph_req_cap_st_table_size                             = 0,
   parameter ctop_core16_pf2_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
   parameter ctop_core16_pf2_tph_req_device_spec                                   = "DISABLE",
   parameter ctop_core16_pf2_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf2_prs_outstanding_capacity				   = "0",
   parameter ctop_core16_pf3_acs_cap_acs_at_block                                  = "DISABLE",
   parameter ctop_core16_pf3_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
   parameter ctop_core16_pf3_acs_cap_acs_egress_ctrl_size                          = 8,
   parameter ctop_core16_pf3_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
   parameter ctop_core16_pf3_acs_cap_acs_p2p_egress_control                        = "DISABLE",
   parameter ctop_core16_pf3_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
   parameter ctop_core16_pf3_acs_cap_acs_src_valid                                 = "DISABLE",
   parameter ctop_core16_pf3_acs_cap_acs_usp_forwarding                            = "DISABLE",
   parameter ctop_core16_pf3_bar0_prefetch                                         = "FALSE",
   parameter ctop_core16_pf3_bar0_type                                             = "CTOP_CORE16_PF3_BAR0_MEM32",
   parameter ctop_core16_pf3_bar1_prefetch                                         = "FALSE",
   parameter ctop_core16_pf3_bar2_prefetch                                         = "FALSE",
   parameter ctop_core16_pf3_bar2_type                                             = "CTOP_CORE16_PF3_BAR2_MEM32",
   parameter ctop_core16_pf3_bar3_prefetch                                         = "FALSE",
   parameter ctop_core16_pf3_bar4_prefetch                                         = "FALSE",
   parameter ctop_core16_pf3_bar4_type                                             = "CTOP_CORE16_PF3_BAR4_MEM32",
   parameter ctop_core16_pf3_bar5_prefetch                                         = "FALSE",
   parameter ctop_core16_pf3_base_class_code                                       = 255,
   parameter ctop_core16_pf3_int_pin                                               = "CTOP_CORE16_PF3_NO_INT",
   parameter ctop_core16_pf3_pasid_cap_execute_permission_supported                = "DISABLE",
   parameter ctop_core16_pf3_pasid_cap_max_pasid_width                             = 0,
   parameter ctop_core16_pf3_pasid_cap_privileged_mode_supported                   = "DISABLE",
   parameter ctop_core16_pf3_pci_msi_64_bit_addr_cap                               = "FALSE",
   parameter ctop_core16_pf3_pci_msi_ext_data_cap                                  = "FALSE",
   parameter ctop_core16_pf3_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF3_MSI_VEC_1",
   parameter ctop_core16_pf3_pci_msix_bir                                          = 0,
   parameter ctop_core16_pf3_pci_msix_pba                                          = 0,
   parameter ctop_core16_pf3_pci_msix_pba_offset                                   = 0,
   parameter ctop_core16_pf3_pci_msix_table_offset                                 = 0,
   parameter ctop_core16_pf3_pci_msix_table_size                                   = 0,
   parameter ctop_core16_pf3_pci_msix_table_size_vfcomm_cs2                        = 0,
   parameter ctop_core16_pf3_pci_type0_bar0_enabled                                = "DISABLE",
   parameter ctop_core16_pf3_pci_type0_bar1_enabled                                = "DISABLE",
   parameter ctop_core16_pf3_pci_type0_bar2_enabled                                = "DISABLE",
   parameter ctop_core16_pf3_pci_type0_bar3_enabled                                = "DISABLE",
   parameter ctop_core16_pf3_pci_type0_bar4_enabled                                = "DISABLE",
   parameter ctop_core16_pf3_pci_type0_bar5_enabled                                = "DISABLE",
   parameter ctop_core16_pf3_pci_type0_device_id                                   = 0,
   parameter ctop_core16_pf3_pci_type0_vendor_id                                   = 0,
   parameter ctop_core16_pf3_pcie_cap_ep_l0s_accpt_latency                         = 0,
   parameter ctop_core16_pf3_pcie_cap_ep_l1_accpt_latency                          = 0,
   parameter ctop_core16_pf3_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF3_NOT_SUPPORTED",
   parameter ctop_core16_pf3_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF3_NOT_CAPABLE",
   parameter ctop_core16_pf3_pcie_cap_slot_clk_config                              = "FALSE",
   parameter ctop_core16_pf3_pme_support                                           = 0,
   parameter ctop_core16_pf3_program_interface                                     = 0,
   parameter ctop_core16_pf3_revision_id                                           = 0,
   parameter ctop_core16_pf3_rom_bar_enabled                                       = "DISABLE",
   parameter ctop_core16_pf3_shadow_sriov_vf_stride_ari_cs2                        = 0,
   parameter ctop_core16_pf3_sriov_sup_page_size                                   = "0",
   parameter ctop_core16_pf3_sriov_vf_bar0_prefetch                                = "FALSE",
   parameter ctop_core16_pf3_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF3_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core16_pf3_sriov_vf_bar1_prefetch                                = "FALSE",
   parameter ctop_core16_pf3_sriov_vf_bar2_prefetch                                = "FALSE",
   parameter ctop_core16_pf3_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF3_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core16_pf3_sriov_vf_bar3_prefetch                                = "FALSE",
   parameter ctop_core16_pf3_sriov_vf_bar4_prefetch                                = "FALSE",
   parameter ctop_core16_pf3_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF3_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core16_pf3_sriov_vf_bar5_prefetch                                = "FALSE",
   parameter ctop_core16_pf3_sriov_vf_device_id                                    = 0,
   parameter ctop_core16_pf3_sriov_vf_offset_ari_cs2                               = 0,
   parameter ctop_core16_pf3_sriov_vf_offset_position_nonari                       = 0,
   parameter ctop_core16_pf3_sriov_vf_stride_nonari                                = 0,
   parameter ctop_core16_pf3_subclass_code                                         = 0,
   parameter ctop_core16_pf3_subsys_dev_id                                         = 0,
   parameter ctop_core16_pf3_subsys_vendor_id                                      = 0,
   parameter ctop_core16_pf3_tph_req_cap_int_vec                                   = "DISABLE",
   parameter ctop_core16_pf3_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf3_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF3_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core16_pf3_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF3_NOT_IN_MSIX_TABLE",
   parameter ctop_core16_pf3_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF3_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core16_pf3_tph_req_cap_st_table_size                             = 0,
   parameter ctop_core16_pf3_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
   parameter ctop_core16_pf3_tph_req_device_spec                                   = "DISABLE",
   parameter ctop_core16_pf3_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf3_prs_outstanding_capacity				   = "0",
   parameter ctop_core16_pf4_acs_cap_acs_at_block                                  = "DISABLE",
   parameter ctop_core16_pf4_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
   parameter ctop_core16_pf4_acs_cap_acs_egress_ctrl_size                          = 8,
   parameter ctop_core16_pf4_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
   parameter ctop_core16_pf4_acs_cap_acs_p2p_egress_control                        = "DISABLE",
   parameter ctop_core16_pf4_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
   parameter ctop_core16_pf4_acs_cap_acs_src_valid                                 = "DISABLE",
   parameter ctop_core16_pf4_acs_cap_acs_usp_forwarding                            = "DISABLE",
   parameter ctop_core16_pf4_bar0_prefetch                                         = "FALSE",
   parameter ctop_core16_pf4_bar0_type                                             = "CTOP_CORE16_PF4_BAR0_MEM32",
   parameter ctop_core16_pf4_bar1_prefetch                                         = "FALSE",
   parameter ctop_core16_pf4_bar2_prefetch                                         = "FALSE",
   parameter ctop_core16_pf4_bar2_type                                             = "CTOP_CORE16_PF4_BAR2_MEM32",
   parameter ctop_core16_pf4_bar3_prefetch                                         = "FALSE",
   parameter ctop_core16_pf4_bar4_prefetch                                         = "FALSE",
   parameter ctop_core16_pf4_bar4_type                                             = "CTOP_CORE16_PF4_BAR4_MEM32",
   parameter ctop_core16_pf4_bar5_prefetch                                         = "FALSE",
   parameter ctop_core16_pf4_base_class_code                                       = 255,
   parameter ctop_core16_pf4_int_pin                                               = "CTOP_CORE16_PF4_NO_INT",
   parameter ctop_core16_pf4_pasid_cap_execute_permission_supported                = "DISABLE",
   parameter ctop_core16_pf4_pasid_cap_max_pasid_width                             = 0,
   parameter ctop_core16_pf4_pasid_cap_privileged_mode_supported                   = "DISABLE",
   parameter ctop_core16_pf4_pci_msi_64_bit_addr_cap                               = "FALSE",
   parameter ctop_core16_pf4_pci_msi_ext_data_cap                                  = "FALSE",
   parameter ctop_core16_pf4_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF4_MSI_VEC_1",
   parameter ctop_core16_pf4_pci_msix_bir                                          = 0,
   parameter ctop_core16_pf4_pci_msix_pba                                          = 0,
   parameter ctop_core16_pf4_pci_msix_pba_offset                                   = 0,
   parameter ctop_core16_pf4_pci_msix_table_offset                                 = 0,
   parameter ctop_core16_pf4_pci_msix_table_size                                   = 0,
   parameter ctop_core16_pf4_pci_msix_table_size_vfcomm_cs2                        = 0,
   parameter ctop_core16_pf4_pci_type0_bar0_enabled                                = "DISABLE",
   parameter ctop_core16_pf4_pci_type0_bar1_enabled                                = "DISABLE",
   parameter ctop_core16_pf4_pci_type0_bar2_enabled                                = "DISABLE",
   parameter ctop_core16_pf4_pci_type0_bar3_enabled                                = "DISABLE",
   parameter ctop_core16_pf4_pci_type0_bar4_enabled                                = "DISABLE",
   parameter ctop_core16_pf4_pci_type0_bar5_enabled                                = "DISABLE",
   parameter ctop_core16_pf4_pci_type0_device_id                                   = 0,
   parameter ctop_core16_pf4_pci_type0_vendor_id                                   = 0,
   parameter ctop_core16_pf4_pcie_cap_ep_l0s_accpt_latency                         = 0,
   parameter ctop_core16_pf4_pcie_cap_ep_l1_accpt_latency                          = 0,
   parameter ctop_core16_pf4_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF4_NOT_SUPPORTED",
   parameter ctop_core16_pf4_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF4_NOT_CAPABLE",
   parameter ctop_core16_pf4_pcie_cap_slot_clk_config                              = "FALSE",
   parameter ctop_core16_pf4_pme_support                                           = 0,
   parameter ctop_core16_pf4_program_interface                                     = 0,
   parameter ctop_core16_pf4_revision_id                                           = 0,
   parameter ctop_core16_pf4_rom_bar_enabled                                       = "DISABLE",
   parameter ctop_core16_pf4_shadow_sriov_vf_stride_ari_cs2                        = 0,
   parameter ctop_core16_pf4_sriov_sup_page_size                                   = "0",
   parameter ctop_core16_pf4_sriov_vf_bar0_prefetch                                = "FALSE",
   parameter ctop_core16_pf4_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF4_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core16_pf4_sriov_vf_bar1_prefetch                                = "FALSE",
   parameter ctop_core16_pf4_sriov_vf_bar2_prefetch                                = "FALSE",
   parameter ctop_core16_pf4_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF4_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core16_pf4_sriov_vf_bar3_prefetch                                = "FALSE",
   parameter ctop_core16_pf4_sriov_vf_bar4_prefetch                                = "FALSE",
   parameter ctop_core16_pf4_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF4_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core16_pf4_sriov_vf_bar5_prefetch                                = "FALSE",
   parameter ctop_core16_pf4_sriov_vf_device_id                                    = 0,
   parameter ctop_core16_pf4_sriov_vf_offset_ari_cs2                               = 0,
   parameter ctop_core16_pf4_sriov_vf_offset_position_nonari                       = 0,
   parameter ctop_core16_pf4_sriov_vf_stride_nonari                                = 0,
   parameter ctop_core16_pf4_subclass_code                                         = 0,
   parameter ctop_core16_pf4_subsys_dev_id                                         = 0,
   parameter ctop_core16_pf4_subsys_vendor_id                                      = 0,
   parameter ctop_core16_pf4_tph_req_cap_int_vec                                   = "DISABLE",
   parameter ctop_core16_pf4_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf4_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF4_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core16_pf4_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF4_NOT_IN_MSIX_TABLE",
   parameter ctop_core16_pf4_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF4_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core16_pf4_tph_req_cap_st_table_size                             = 0,
   parameter ctop_core16_pf4_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
   parameter ctop_core16_pf4_tph_req_device_spec                                   = "DISABLE",
   parameter ctop_core16_pf4_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf4_prs_outstanding_capacity				   = "0",
   parameter ctop_core16_pf5_acs_cap_acs_at_block                                  = "DISABLE",
   parameter ctop_core16_pf5_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
   parameter ctop_core16_pf5_acs_cap_acs_egress_ctrl_size                          = 8,
   parameter ctop_core16_pf5_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
   parameter ctop_core16_pf5_acs_cap_acs_p2p_egress_control                        = "DISABLE",
   parameter ctop_core16_pf5_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
   parameter ctop_core16_pf5_acs_cap_acs_src_valid                                 = "DISABLE",
   parameter ctop_core16_pf5_acs_cap_acs_usp_forwarding                            = "DISABLE",
   parameter ctop_core16_pf5_bar0_prefetch                                         = "FALSE",
   parameter ctop_core16_pf5_bar0_type                                             = "CTOP_CORE16_PF5_BAR0_MEM32",
   parameter ctop_core16_pf5_bar1_prefetch                                         = "FALSE",
   parameter ctop_core16_pf5_bar2_prefetch                                         = "FALSE",
   parameter ctop_core16_pf5_bar2_type                                             = "CTOP_CORE16_PF5_BAR2_MEM32",
   parameter ctop_core16_pf5_bar3_prefetch                                         = "FALSE",
   parameter ctop_core16_pf5_bar4_prefetch                                         = "FALSE",
   parameter ctop_core16_pf5_bar4_type                                             = "CTOP_CORE16_PF5_BAR4_MEM32",
   parameter ctop_core16_pf5_bar5_prefetch                                         = "FALSE",
   parameter ctop_core16_pf5_base_class_code                                       = 255,
   parameter ctop_core16_pf5_int_pin                                               = "CTOP_CORE16_PF5_NO_INT",
   parameter ctop_core16_pf5_pasid_cap_execute_permission_supported                = "DISABLE",
   parameter ctop_core16_pf5_pasid_cap_max_pasid_width                             = 0,
   parameter ctop_core16_pf5_pasid_cap_privileged_mode_supported                   = "DISABLE",
   parameter ctop_core16_pf5_pci_msi_64_bit_addr_cap                               = "FALSE",
   parameter ctop_core16_pf5_pci_msi_ext_data_cap                                  = "FALSE",
   parameter ctop_core16_pf5_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF5_MSI_VEC_1",
   parameter ctop_core16_pf5_pci_msix_bir                                          = 0,
   parameter ctop_core16_pf5_pci_msix_pba                                          = 0,
   parameter ctop_core16_pf5_pci_msix_pba_offset                                   = 0,
   parameter ctop_core16_pf5_pci_msix_table_offset                                 = 0,
   parameter ctop_core16_pf5_pci_msix_table_size                                   = 0,
   parameter ctop_core16_pf5_pci_msix_table_size_vfcomm_cs2                        = 0,
   parameter ctop_core16_pf5_pci_type0_bar0_enabled                                = "DISABLE",
   parameter ctop_core16_pf5_pci_type0_bar1_enabled                                = "DISABLE",
   parameter ctop_core16_pf5_pci_type0_bar2_enabled                                = "DISABLE",
   parameter ctop_core16_pf5_pci_type0_bar3_enabled                                = "DISABLE",
   parameter ctop_core16_pf5_pci_type0_bar4_enabled                                = "DISABLE",
   parameter ctop_core16_pf5_pci_type0_bar5_enabled                                = "DISABLE",
   parameter ctop_core16_pf5_pci_type0_device_id                                   = 0,
   parameter ctop_core16_pf5_pci_type0_vendor_id                                   = 0,
   parameter ctop_core16_pf5_pcie_cap_ep_l0s_accpt_latency                         = 0,
   parameter ctop_core16_pf5_pcie_cap_ep_l1_accpt_latency                          = 0,
   parameter ctop_core16_pf5_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF5_NOT_SUPPORTED",
   parameter ctop_core16_pf5_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF5_NOT_CAPABLE",
   parameter ctop_core16_pf5_pcie_cap_slot_clk_config                              = "FALSE",
   parameter ctop_core16_pf5_pme_support                                           = 0,
   parameter ctop_core16_pf5_program_interface                                     = 0,
   parameter ctop_core16_pf5_revision_id                                           = 0,
   parameter ctop_core16_pf5_rom_bar_enabled                                       = "DISABLE",
   parameter ctop_core16_pf5_shadow_sriov_vf_stride_ari_cs2                        = 0,
   parameter ctop_core16_pf5_sriov_sup_page_size                                   = "0",
   parameter ctop_core16_pf5_sriov_vf_bar0_prefetch                                = "FALSE",
   parameter ctop_core16_pf5_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF5_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core16_pf5_sriov_vf_bar1_prefetch                                = "FALSE",
   parameter ctop_core16_pf5_sriov_vf_bar2_prefetch                                = "FALSE",
   parameter ctop_core16_pf5_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF5_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core16_pf5_sriov_vf_bar3_prefetch                                = "FALSE",
   parameter ctop_core16_pf5_sriov_vf_bar4_prefetch                                = "FALSE",
   parameter ctop_core16_pf5_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF5_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core16_pf5_sriov_vf_bar5_prefetch                                = "FALSE",
   parameter ctop_core16_pf5_sriov_vf_device_id                                    = 0,
   parameter ctop_core16_pf5_sriov_vf_offset_ari_cs2                               = 0,
   parameter ctop_core16_pf5_sriov_vf_offset_position_nonari                       = 0,
   parameter ctop_core16_pf5_sriov_vf_stride_nonari                                = 0,
   parameter ctop_core16_pf5_subclass_code                                         = 0,
   parameter ctop_core16_pf5_subsys_dev_id                                         = 0,
   parameter ctop_core16_pf5_subsys_vendor_id                                      = 0,
   parameter ctop_core16_pf5_tph_req_cap_int_vec                                   = "DISABLE",
   parameter ctop_core16_pf5_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf5_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF5_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core16_pf5_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF5_NOT_IN_MSIX_TABLE",
   parameter ctop_core16_pf5_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF5_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core16_pf5_tph_req_cap_st_table_size                             = 0,
   parameter ctop_core16_pf5_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
   parameter ctop_core16_pf5_tph_req_device_spec                                   = "DISABLE",
   parameter ctop_core16_pf5_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf5_prs_outstanding_capacity				   = "0",
   parameter ctop_core16_pf6_acs_cap_acs_at_block                                  = "DISABLE",
   parameter ctop_core16_pf6_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
   parameter ctop_core16_pf6_acs_cap_acs_egress_ctrl_size                          = 8,
   parameter ctop_core16_pf6_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
   parameter ctop_core16_pf6_acs_cap_acs_p2p_egress_control                        = "DISABLE",
   parameter ctop_core16_pf6_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
   parameter ctop_core16_pf6_acs_cap_acs_src_valid                                 = "DISABLE",
   parameter ctop_core16_pf6_acs_cap_acs_usp_forwarding                            = "DISABLE",
   parameter ctop_core16_pf6_bar0_prefetch                                         = "FALSE",
   parameter ctop_core16_pf6_bar0_type                                             = "CTOP_CORE16_PF6_BAR0_MEM32",
   parameter ctop_core16_pf6_bar1_prefetch                                         = "FALSE",
   parameter ctop_core16_pf6_bar2_prefetch                                         = "FALSE",
   parameter ctop_core16_pf6_bar2_type                                             = "CTOP_CORE16_PF6_BAR2_MEM32",
   parameter ctop_core16_pf6_bar3_prefetch                                         = "FALSE",
   parameter ctop_core16_pf6_bar4_prefetch                                         = "FALSE",
   parameter ctop_core16_pf6_bar4_type                                             = "CTOP_CORE16_PF6_BAR4_MEM32",
   parameter ctop_core16_pf6_bar5_prefetch                                         = "FALSE",
   parameter ctop_core16_pf6_base_class_code                                       = 255,
   parameter ctop_core16_pf6_int_pin                                               = "CTOP_CORE16_PF6_NO_INT",
   parameter ctop_core16_pf6_pasid_cap_execute_permission_supported                = "DISABLE",
   parameter ctop_core16_pf6_pasid_cap_max_pasid_width                             = 0,
   parameter ctop_core16_pf6_pasid_cap_privileged_mode_supported                   = "DISABLE",
   parameter ctop_core16_pf6_pci_msi_64_bit_addr_cap                               = "FALSE",
   parameter ctop_core16_pf6_pci_msi_ext_data_cap                                  = "FALSE",
   parameter ctop_core16_pf6_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF6_MSI_VEC_1",
   parameter ctop_core16_pf6_pci_msix_bir                                          = 0,
   parameter ctop_core16_pf6_pci_msix_pba                                          = 0,
   parameter ctop_core16_pf6_pci_msix_pba_offset                                   = 0,
   parameter ctop_core16_pf6_pci_msix_table_offset                                 = 0,
   parameter ctop_core16_pf6_pci_msix_table_size                                   = 0,
   parameter ctop_core16_pf6_pci_msix_table_size_vfcomm_cs2                        = 0,
   parameter ctop_core16_pf6_pci_type0_bar0_enabled                                = "DISABLE",
   parameter ctop_core16_pf6_pci_type0_bar1_enabled                                = "DISABLE",
   parameter ctop_core16_pf6_pci_type0_bar2_enabled                                = "DISABLE",
   parameter ctop_core16_pf6_pci_type0_bar3_enabled                                = "DISABLE",
   parameter ctop_core16_pf6_pci_type0_bar4_enabled                                = "DISABLE",
   parameter ctop_core16_pf6_pci_type0_bar5_enabled                                = "DISABLE",
   parameter ctop_core16_pf6_pci_type0_device_id                                   = 0,
   parameter ctop_core16_pf6_pci_type0_vendor_id                                   = 0,
   parameter ctop_core16_pf6_pcie_cap_ep_l0s_accpt_latency                         = 0,
   parameter ctop_core16_pf6_pcie_cap_ep_l1_accpt_latency                          = 0,
   parameter ctop_core16_pf6_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF6_NOT_SUPPORTED",
   parameter ctop_core16_pf6_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF6_NOT_CAPABLE",
   parameter ctop_core16_pf6_pcie_cap_slot_clk_config                              = "FALSE",
   parameter ctop_core16_pf6_pme_support                                           = 0,
   parameter ctop_core16_pf6_program_interface                                     = 0,
   parameter ctop_core16_pf6_revision_id                                           = 0,
   parameter ctop_core16_pf6_rom_bar_enabled                                       = "DISABLE",
   parameter ctop_core16_pf6_shadow_sriov_vf_stride_ari_cs2                        = 0,
   parameter ctop_core16_pf6_sriov_sup_page_size                                   = "0",
   parameter ctop_core16_pf6_sriov_vf_bar0_prefetch                                = "FALSE",
   parameter ctop_core16_pf6_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF6_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core16_pf6_sriov_vf_bar1_prefetch                                = "FALSE",
   parameter ctop_core16_pf6_sriov_vf_bar2_prefetch                                = "FALSE",
   parameter ctop_core16_pf6_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF6_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core16_pf6_sriov_vf_bar3_prefetch                                = "FALSE",
   parameter ctop_core16_pf6_sriov_vf_bar4_prefetch                                = "FALSE",
   parameter ctop_core16_pf6_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF6_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core16_pf6_sriov_vf_bar5_prefetch                                = "FALSE",
   parameter ctop_core16_pf6_sriov_vf_device_id                                    = 0,
   parameter ctop_core16_pf6_sriov_vf_offset_ari_cs2                               = 0,
   parameter ctop_core16_pf6_sriov_vf_offset_position_nonari                       = 0,
   parameter ctop_core16_pf6_sriov_vf_stride_nonari                                = 0,
   parameter ctop_core16_pf6_subclass_code                                         = 0,
   parameter ctop_core16_pf6_subsys_dev_id                                         = 0,
   parameter ctop_core16_pf6_subsys_vendor_id                                      = 0,
   parameter ctop_core16_pf6_tph_req_cap_int_vec                                   = "DISABLE",
   parameter ctop_core16_pf6_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf6_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF6_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core16_pf6_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF6_NOT_IN_MSIX_TABLE",
   parameter ctop_core16_pf6_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF6_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core16_pf6_tph_req_cap_st_table_size                             = 0,
   parameter ctop_core16_pf6_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
   parameter ctop_core16_pf6_tph_req_device_spec                                   = "DISABLE",
   parameter ctop_core16_pf6_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf6_prs_outstanding_capacity				   = "0",
   parameter ctop_core16_pf7_acs_cap_acs_at_block                                  = "DISABLE",
   parameter ctop_core16_pf7_acs_cap_acs_direct_translated_p2p                     = "DISABLE",
   parameter ctop_core16_pf7_acs_cap_acs_egress_ctrl_size                          = 8,
   parameter ctop_core16_pf7_acs_cap_acs_p2p_cpl_redirect                          = "DISABLE",
   parameter ctop_core16_pf7_acs_cap_acs_p2p_egress_control                        = "DISABLE",
   parameter ctop_core16_pf7_acs_cap_acs_p2p_req_redirect                          = "DISABLE",
   parameter ctop_core16_pf7_acs_cap_acs_src_valid                                 = "DISABLE",
   parameter ctop_core16_pf7_acs_cap_acs_usp_forwarding                            = "DISABLE",
   parameter ctop_core16_pf7_bar0_prefetch                                         = "FALSE",
   parameter ctop_core16_pf7_bar0_type                                             = "CTOP_CORE16_PF7_BAR0_MEM32",
   parameter ctop_core16_pf7_bar1_prefetch                                         = "FALSE",
   parameter ctop_core16_pf7_bar2_prefetch                                         = "FALSE",
   parameter ctop_core16_pf7_bar2_type                                             = "CTOP_CORE16_PF7_BAR2_MEM32",
   parameter ctop_core16_pf7_bar3_prefetch                                         = "FALSE",
   parameter ctop_core16_pf7_bar4_prefetch                                         = "FALSE",
   parameter ctop_core16_pf7_bar4_type                                             = "CTOP_CORE16_PF7_BAR4_MEM32",
   parameter ctop_core16_pf7_bar5_prefetch                                         = "FALSE",
   parameter ctop_core16_pf7_base_class_code                                       = 255,
   parameter ctop_core16_pf7_int_pin                                               = "CTOP_CORE16_PF7_NO_INT",
   parameter ctop_core16_pf7_pasid_cap_execute_permission_supported                = "DISABLE",
   parameter ctop_core16_pf7_pasid_cap_max_pasid_width                             = 0,
   parameter ctop_core16_pf7_pasid_cap_privileged_mode_supported                   = "DISABLE",
   parameter ctop_core16_pf7_pci_msi_64_bit_addr_cap                               = "FALSE",
   parameter ctop_core16_pf7_pci_msi_ext_data_cap                                  = "FALSE",
   parameter ctop_core16_pf7_pci_msi_multiple_msg_cap                              = "CTOP_CORE16_PF7_MSI_VEC_1",
   parameter ctop_core16_pf7_pci_msix_bir                                          = 0,
   parameter ctop_core16_pf7_pci_msix_pba                                          = 0,
   parameter ctop_core16_pf7_pci_msix_pba_offset                                   = 0,
   parameter ctop_core16_pf7_pci_msix_table_offset                                 = 0,
   parameter ctop_core16_pf7_pci_msix_table_size                                   = 0,
   parameter ctop_core16_pf7_pci_msix_table_size_vfcomm_cs2                        = 0,
   parameter ctop_core16_pf7_pci_type0_bar0_enabled                                = "DISABLE",
   parameter ctop_core16_pf7_pci_type0_bar1_enabled                                = "DISABLE",
   parameter ctop_core16_pf7_pci_type0_bar2_enabled                                = "DISABLE",
   parameter ctop_core16_pf7_pci_type0_bar3_enabled                                = "DISABLE",
   parameter ctop_core16_pf7_pci_type0_bar4_enabled                                = "DISABLE",
   parameter ctop_core16_pf7_pci_type0_bar5_enabled                                = "DISABLE",
   parameter ctop_core16_pf7_pci_type0_device_id                                   = 0,
   parameter ctop_core16_pf7_pci_type0_vendor_id                                   = 0,
   parameter ctop_core16_pf7_pcie_cap_ep_l0s_accpt_latency                         = 0,
   parameter ctop_core16_pf7_pcie_cap_ep_l1_accpt_latency                          = 0,
   parameter ctop_core16_pf7_pcie_cap_ext_tag_supp                                 = "CTOP_CORE16_PF7_NOT_SUPPORTED",
   parameter ctop_core16_pf7_pcie_cap_flr_cap                                      = "CTOP_CORE16_PF7_NOT_CAPABLE",
   parameter ctop_core16_pf7_pcie_cap_slot_clk_config                              = "FALSE",
   parameter ctop_core16_pf7_pme_support                                           = 0,
   parameter ctop_core16_pf7_program_interface                                     = 0,
   parameter ctop_core16_pf7_revision_id                                           = 0,
   parameter ctop_core16_pf7_rom_bar_enabled                                       = "DISABLE",
   parameter ctop_core16_pf7_shadow_sriov_vf_stride_ari_cs2                        = 0,
   parameter ctop_core16_pf7_sriov_sup_page_size                                   = "0",
   parameter ctop_core16_pf7_sriov_vf_bar0_prefetch                                = "FALSE",
   parameter ctop_core16_pf7_sriov_vf_bar0_type                                    = "CTOP_CORE16_PF7_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core16_pf7_sriov_vf_bar1_prefetch                                = "FALSE",
   parameter ctop_core16_pf7_sriov_vf_bar2_prefetch                                = "FALSE",
   parameter ctop_core16_pf7_sriov_vf_bar2_type                                    = "CTOP_CORE16_PF7_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core16_pf7_sriov_vf_bar3_prefetch                                = "FALSE",
   parameter ctop_core16_pf7_sriov_vf_bar4_prefetch                                = "FALSE",
   parameter ctop_core16_pf7_sriov_vf_bar4_type                                    = "CTOP_CORE16_PF7_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core16_pf7_sriov_vf_bar5_prefetch                                = "FALSE",
   parameter ctop_core16_pf7_sriov_vf_device_id                                    = 0,
   parameter ctop_core16_pf7_sriov_vf_offset_ari_cs2                               = 0,
   parameter ctop_core16_pf7_sriov_vf_offset_position_nonari                       = 0,
   parameter ctop_core16_pf7_sriov_vf_stride_nonari                                = 0,
   parameter ctop_core16_pf7_subclass_code                                         = 0,
   parameter ctop_core16_pf7_subsys_dev_id                                         = 0,
   parameter ctop_core16_pf7_subsys_vendor_id                                      = 0,
   parameter ctop_core16_pf7_tph_req_cap_int_vec                                   = "DISABLE",
   parameter ctop_core16_pf7_tph_req_cap_int_vec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf7_tph_req_cap_st_table_loc_0_vfcomm_cs2                 = "CTOP_CORE16_PF7_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core16_pf7_tph_req_cap_st_table_loc_1                            = "CTOP_CORE16_PF7_NOT_IN_MSIX_TABLE",
   parameter ctop_core16_pf7_tph_req_cap_st_table_loc_1_vfcomm_cs2                 = "CTOP_CORE16_PF7_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core16_pf7_tph_req_cap_st_table_size                             = 0,
   parameter ctop_core16_pf7_tph_req_cap_st_table_size_vfcomm_cs2                  = 0,
   parameter ctop_core16_pf7_tph_req_device_spec                                   = "DISABLE",
   parameter ctop_core16_pf7_tph_req_device_spec_vfcomm_cs2                        = "DISABLE",
   parameter ctop_core16_pf7_prs_outstanding_capacity				   = "0",
   parameter ctop_core16_rxbuf_limit_bypass                                        = 0,
   parameter ctop_core16_virtual_drop_vendor0_msg                                  = "FALSE",
   parameter ctop_core16_virtual_drop_vendor1_msg                                  = "FALSE",
   parameter ctop_core16_virtual_ep_native                                         = "CTOP_CORE16_NATIVE",
   parameter ctop_core16_virtual_link_rate                                         = "CTOP_CORE16_GEN4",
   parameter ctop_core16_virtual_link_width                                        = "CTOP_CORE16_X8",
   parameter ctop_core16_virtual_maxpayload_size                                   = "CTOP_CORE16_MAX_PAYLOAD_512",
   parameter ctop_core16_virtual_num_of_lanes                                      = "CTOP_CORE16_NUM_8",
   parameter ctop_core16_virtual_pf0_acs_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf0_ats_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf0_dlink_cap_enable                              = "ENABLE",
   parameter ctop_core16_virtual_pf0_exvf_acs_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf0_exvf_ats_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf0_exvf_msix_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf0_exvf_tph_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf0_exvf_virtio_en                                = "DISABLE",
   parameter ctop_core16_virtual_pf0_io_decode                                     = "CTOP_CORE16_IO32",
   parameter ctop_core16_virtual_pf0_ltr_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf0_msi_enable                                    = "DISABLE",
   parameter ctop_core16_virtual_pf0_msix_enable                                   = "ENABLE",
   parameter ctop_core16_virtual_pf0_pasid_cap_enable                              = "DISABLE",
   parameter ctop_core16_virtual_pf0_prefetch_decode                               = "CTOP_CORE16_PREF64",
   parameter ctop_core16_virtual_pf0_prs_ext_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf0_ras_des_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf0_sn_cap_enable                                 = "DISABLE",
   parameter ctop_core16_virtual_pf0_sriov_enable                                  = "DISABLE",
   parameter ctop_core16_virtual_pf0_sriov_vf_bar0_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf0_sriov_vf_bar1_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf0_sriov_vf_bar2_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf0_sriov_vf_bar3_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf0_sriov_vf_bar4_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf0_sriov_vf_bar5_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf0_tph_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf0_user_vsec_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf0_virtio_en                                     = "DISABLE",
   parameter ctop_core16_virtual_pf1_acs_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf1_ats_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf1_enable                                        = "DISABLE",
   parameter ctop_core16_virtual_pf1_exvf_acs_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf1_exvf_ats_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf1_exvf_msix_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf1_exvf_tph_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf1_exvf_virtio_en                                = "DISABLE",
   parameter ctop_core16_virtual_pf1_msi_enable                                    = "DISABLE",
   parameter ctop_core16_virtual_pf1_msix_enable                                   = "DISABLE",
   parameter ctop_core16_virtual_pf1_pasid_cap_enable                              = "DISABLE",
   parameter ctop_core16_virtual_pf1_prs_ext_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf1_sriov_enable                                  = "DISABLE",
   parameter ctop_core16_virtual_pf1_sriov_vf_bar0_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf1_sriov_vf_bar1_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf1_sriov_vf_bar2_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf1_sriov_vf_bar3_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf1_sriov_vf_bar4_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf1_sriov_vf_bar5_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf1_tph_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf1_user_vsec_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf1_user_vsec_offset                              = "0",
   parameter ctop_core16_virtual_pf1_virtio_en                                     = "DISABLE",
   parameter ctop_core16_virtual_pf2_acs_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf2_ats_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf2_enable                                        = "DISABLE",
   parameter ctop_core16_virtual_pf2_exvf_acs_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf2_exvf_ats_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf2_exvf_msix_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf2_exvf_tph_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf2_exvf_virtio_en                                = "DISABLE",
   parameter ctop_core16_virtual_pf2_msi_enable                                    = "DISABLE",
   parameter ctop_core16_virtual_pf2_msix_enable                                   = "DISABLE",
   parameter ctop_core16_virtual_pf2_pasid_cap_enable                              = "DISABLE",
   parameter ctop_core16_virtual_pf2_prs_ext_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf2_sriov_enable                                  = "DISABLE",
   parameter ctop_core16_virtual_pf2_sriov_vf_bar0_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf2_sriov_vf_bar1_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf2_sriov_vf_bar2_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf2_sriov_vf_bar3_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf2_sriov_vf_bar4_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf2_sriov_vf_bar5_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf2_tph_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf2_user_vsec_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf2_user_vsec_offset                              = "0",
   parameter ctop_core16_virtual_pf2_virtio_en                                     = "DISABLE",
   parameter ctop_core16_virtual_pf3_acs_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf3_ats_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf3_enable                                        = "DISABLE",
   parameter ctop_core16_virtual_pf3_exvf_acs_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf3_exvf_ats_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf3_exvf_msix_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf3_exvf_tph_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf3_exvf_virtio_en                                = "DISABLE",
   parameter ctop_core16_virtual_pf3_msi_enable                                    = "DISABLE",
   parameter ctop_core16_virtual_pf3_msix_enable                                   = "DISABLE",
   parameter ctop_core16_virtual_pf3_pasid_cap_enable                              = "DISABLE",
   parameter ctop_core16_virtual_pf3_prs_ext_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf3_sriov_enable                                  = "DISABLE",
   parameter ctop_core16_virtual_pf3_sriov_vf_bar0_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf3_sriov_vf_bar1_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf3_sriov_vf_bar2_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf3_sriov_vf_bar3_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf3_sriov_vf_bar4_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf3_sriov_vf_bar5_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf3_tph_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf3_user_vsec_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf3_user_vsec_offset                              = "0",
   parameter ctop_core16_virtual_pf3_virtio_en                                     = "DISABLE",
   parameter ctop_core16_virtual_pf4_acs_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf4_ats_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf4_enable                                        = "DISABLE",
   parameter ctop_core16_virtual_pf4_exvf_acs_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf4_exvf_ats_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf4_exvf_msix_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf4_exvf_tph_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf4_exvf_virtio_en                                = "DISABLE",
   parameter ctop_core16_virtual_pf4_msi_enable                                    = "DISABLE",
   parameter ctop_core16_virtual_pf4_msix_enable                                   = "DISABLE",
   parameter ctop_core16_virtual_pf4_pasid_cap_enable                              = "DISABLE",
   parameter ctop_core16_virtual_pf4_prs_ext_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf4_sriov_enable                                  = "DISABLE",
   parameter ctop_core16_virtual_pf4_sriov_vf_bar0_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf4_sriov_vf_bar1_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf4_sriov_vf_bar2_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf4_sriov_vf_bar3_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf4_sriov_vf_bar4_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf4_sriov_vf_bar5_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf4_tph_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf4_user_vsec_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf4_user_vsec_offset                              = "0",
   parameter ctop_core16_virtual_pf4_virtio_en                                     = "DISABLE",
   parameter ctop_core16_virtual_pf5_acs_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf5_ats_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf5_enable                                        = "DISABLE",
   parameter ctop_core16_virtual_pf5_exvf_acs_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf5_exvf_ats_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf5_exvf_msix_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf5_exvf_tph_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf5_exvf_virtio_en                                = "DISABLE",
   parameter ctop_core16_virtual_pf5_msi_enable                                    = "DISABLE",
   parameter ctop_core16_virtual_pf5_msix_enable                                   = "DISABLE",
   parameter ctop_core16_virtual_pf5_pasid_cap_enable                              = "DISABLE",
   parameter ctop_core16_virtual_pf5_prs_ext_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf5_sriov_enable                                  = "DISABLE",
   parameter ctop_core16_virtual_pf5_sriov_vf_bar0_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf5_sriov_vf_bar1_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf5_sriov_vf_bar2_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf5_sriov_vf_bar3_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf5_sriov_vf_bar4_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf5_sriov_vf_bar5_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf5_tph_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf5_user_vsec_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf5_user_vsec_offset                              = "0",
   parameter ctop_core16_virtual_pf5_virtio_en                                     = "DISABLE",
   parameter ctop_core16_virtual_pf6_acs_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf6_ats_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf6_enable                                        = "DISABLE",
   parameter ctop_core16_virtual_pf6_exvf_acs_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf6_exvf_ats_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf6_exvf_msix_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf6_exvf_tph_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf6_exvf_virtio_en                                = "DISABLE",
   parameter ctop_core16_virtual_pf6_msi_enable                                    = "DISABLE",
   parameter ctop_core16_virtual_pf6_msix_enable                                   = "DISABLE",
   parameter ctop_core16_virtual_pf6_pasid_cap_enable                              = "DISABLE",
   parameter ctop_core16_virtual_pf6_prs_ext_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf6_sriov_enable                                  = "DISABLE",
   parameter ctop_core16_virtual_pf6_sriov_vf_bar0_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf6_sriov_vf_bar1_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf6_sriov_vf_bar2_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf6_sriov_vf_bar3_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf6_sriov_vf_bar4_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf6_sriov_vf_bar5_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf6_tph_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf6_user_vsec_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf6_user_vsec_offset                              = "0",
   parameter ctop_core16_virtual_pf6_virtio_en                                     = "DISABLE",
   parameter ctop_core16_virtual_pf7_acs_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf7_ats_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf7_enable                                        = "DISABLE",
   parameter ctop_core16_virtual_pf7_exvf_acs_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf7_exvf_ats_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf7_exvf_msix_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf7_exvf_tph_cap_enable                           = "DISABLE",
   parameter ctop_core16_virtual_pf7_exvf_virtio_en                                = "DISABLE",
   parameter ctop_core16_virtual_pf7_msi_enable                                    = "DISABLE",
   parameter ctop_core16_virtual_pf7_msix_enable                                   = "DISABLE",
   parameter ctop_core16_virtual_pf7_pasid_cap_enable                              = "DISABLE",
   parameter ctop_core16_virtual_pf7_prs_ext_cap_enable                            = "DISABLE",
   parameter ctop_core16_virtual_pf7_sriov_enable                                  = "DISABLE",
   parameter ctop_core16_virtual_pf7_sriov_vf_bar0_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf7_sriov_vf_bar1_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf7_sriov_vf_bar2_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf7_sriov_vf_bar3_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf7_sriov_vf_bar4_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf7_sriov_vf_bar5_enabled                         = "DISABLE",
   parameter ctop_core16_virtual_pf7_tph_cap_enable                                = "DISABLE",
   parameter ctop_core16_virtual_pf7_user_vsec_cap_enable                          = "DISABLE",
   parameter ctop_core16_virtual_pf7_user_vsec_offset                              = "0",
   parameter ctop_core16_virtual_pf7_virtio_en                                     = "DISABLE",
   parameter ctop_core16_virtual_rp_ep_mode                                        = "CTOP_CORE16_EP",
   parameter ctop_core16_virtual_txeq_mode                                         = "CTOP_CORE16_EQ_FOM_MODE",
   parameter ctop_core16_virtual_ptm_autoupdate                                    = "CTOP_CORE16_AUTOUPDATE_DISABLE",
   parameter ctop_core16_vsec_next_offset                                          = "0",
   parameter ctop_core16_pf0_ari_acs_fun_grp_cap                                   = "FALSE",
   parameter ctop_core4_0_pf0_ari_acs_fun_grp_cap                                  = "FALSE",
   parameter ctop_core4_1_pf0_ari_acs_fun_grp_cap                                  = "FALSE",
   parameter ctop_core8_pf0_ari_acs_fun_grp_cap                                    = "FALSE",
   parameter ctop_core16_ecrc_strip		                                   = "TRUE",
   parameter ctop_core4_0_ecrc_strip		                                   = "FALSE",
   parameter ctop_core4_1_ecrc_strip		                                   = "FALSE",
   parameter ctop_core8_ecrc_strip		                                   = "FALSE",
   parameter ctop_core4_0_cvp_user_id                                              = 0,
   parameter ctop_core4_0_pf0_acs_cap_acs_at_block                                 = "DISABLE",
   parameter ctop_core4_0_pf0_acs_cap_acs_direct_translated_p2p                    = "DISABLE",
   parameter ctop_core4_0_pf0_acs_cap_acs_egress_ctrl_size                         = 8,
   parameter ctop_core4_0_pf0_acs_cap_acs_p2p_cpl_redirect                         = "DISABLE",
   parameter ctop_core4_0_pf0_acs_cap_acs_p2p_egress_control                       = "DISABLE",
   parameter ctop_core4_0_pf0_acs_cap_acs_p2p_req_redirect                         = "DISABLE",
   parameter ctop_core4_0_pf0_acs_cap_acs_src_valid                                = "DISABLE",
   parameter ctop_core4_0_pf0_acs_cap_acs_usp_forwarding                           = "DISABLE",
   parameter ctop_core4_0_pf0_auto_lane_flip_ctrl_en                               = "DISABLE",
   parameter ctop_core4_0_pf0_base_class_code                                      = 255,
   parameter ctop_core4_0_pf0_eq_redo                                              = "ENABLE",
   parameter ctop_core4_0_pf0_eq_redo_atg4                                         = "ENABLE",
   parameter ctop_core4_0_pf0_gen3_eq_pset_req_vec                                 = 32,
   parameter ctop_core4_0_pf0_gen3_eq_pset_req_vec_atg4                            = 1023,
   parameter ctop_core4_0_pf0_loopback_enable                                      = "FALSE",
   parameter ctop_core4_0_pf0_pci_msix_bir                                         = 0,
   parameter ctop_core4_0_pf0_pci_msix_pba                                         = 0,
   parameter ctop_core4_0_pf0_pci_msix_pba_offset                                  = 0,
   parameter ctop_core4_0_pf0_pci_msix_table_offset                                = 0,
   parameter ctop_core4_0_pf0_pci_msix_table_size                                  = 0,
   parameter ctop_core4_0_pf0_pci_msix_table_size_vfcomm_cs2                       = 0,
   parameter ctop_core4_0_pf0_pci_type0_bar0_mask_31_1                             = 0,
   parameter ctop_core4_0_pf0_pci_type0_bar1_mask_31_1                             = 0,
   parameter ctop_core4_0_pf0_pci_type0_bar2_mask_31_1                             = 0,
   parameter ctop_core4_0_pf0_pci_type0_bar3_mask_31_1                             = 0,
   parameter ctop_core4_0_pf0_pci_type0_bar4_mask_31_1                             = 0,
   parameter ctop_core4_0_pf0_pci_type0_bar5_mask_31_1                             = 0,
   parameter ctop_core4_0_pf0_pci_type0_device_id                                  = 0,
   parameter ctop_core4_0_pf0_pci_type0_vendor_id                                  = 0,
   parameter ctop_core4_0_pf0_pcie_cap_attention_indicator                         = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_attention_indicator_button                  = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_electromech_interlock                       = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_ep_l0s_accpt_latency                        = 0,
   parameter ctop_core4_0_pf0_pcie_cap_ep_l1_accpt_latency                         = 0,
   parameter ctop_core4_0_pf0_pcie_cap_ext_tag_supp                                = "CTOP_CORE4_0_PF0_NOT_SUPPORTED",
   parameter ctop_core4_0_pf0_pcie_cap_flr_cap                                     = "CTOP_CORE4_0_PF0_NOT_CAPABLE",
   parameter ctop_core4_0_pf0_pcie_cap_hot_plug_capable                            = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_hot_plug_surprise                           = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_mrl_sensor                                  = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_no_cmd_cpl_support                          = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_phy_slot_num                                = 0,
   parameter ctop_core4_0_pf0_pcie_cap_port_num                                    = 0,
   parameter ctop_core4_0_pf0_pcie_cap_power_controller                            = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_power_indicator                             = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_sel_deemphasis                              = "CTOP_CORE4_0_PF0_MINUS_6DB",
   parameter ctop_core4_0_pf0_pcie_cap_slot_clk_config                             = "FALSE",
   parameter ctop_core4_0_pf0_pcie_cap_slot_power_limit_scale                      = 0,
   parameter ctop_core4_0_pf0_pcie_cap_slot_power_limit_value                      = 0,
   parameter ctop_core4_0_pf0_pcie_slot_imp                                        = "CTOP_CORE4_0_PF0_NOT_IMPLEMENTED",
   parameter ctop_core4_0_pf0_pme_support                                          = 0,
   parameter ctop_core4_0_pf0_program_interface                                    = 0,
   parameter ctop_core4_0_pf0_revision_id                                          = 0,
   parameter ctop_core4_0_pf0_rom_bar_enabled                                      = "DISABLE",
   parameter ctop_core4_0_pf0_rp_rom_bar_enabled                                   = "DISABLE",
   parameter ctop_core4_0_pf0_subclass_code                                        = 0,
   parameter ctop_core4_0_pf0_subsys_dev_id                                        = 0,
   parameter ctop_core4_0_pf0_subsys_vendor_id                                     = 0,
   parameter ctop_core4_0_pf0_tph_req_cap_int_vec                                  = "DISABLE",
   parameter ctop_core4_0_pf0_tph_req_cap_int_vec_vfcomm_cs2                       = "DISABLE",
   parameter ctop_core4_0_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                = "CTOP_CORE4_0_PF0_IN_TPH_STRUCT_VF",
   parameter ctop_core4_0_pf0_tph_req_cap_st_table_loc_1                           = "CTOP_CORE4_0_PF0_NOT_IN_MSIX_TABLE",
   parameter ctop_core4_0_pf0_tph_req_cap_st_table_size                            = 0,
   parameter ctop_core4_0_pf0_tph_req_cap_st_table_size_vfcomm_cs2                 = 1,
   parameter ctop_core4_0_pf0_tph_req_device_spec                                  = "DISABLE",
   parameter ctop_core4_0_pf0_tph_req_device_spec_vfcomm_cs2                       = "DISABLE",
   parameter ctop_core4_0_pf0_prs_outstanding_capacity	                           = "0",
   parameter ctop_core4_0_rxbuf_limit_bypass                                       = 0,
   parameter ctop_core4_0_vsec_next_offset                                         = "0",
   parameter ctop_core4_0_virtual_drop_vendor0_msg                                 = "FALSE",
   parameter ctop_core4_0_virtual_drop_vendor1_msg                                 = "FALSE",
   parameter ctop_core4_0_virtual_ep_native                                        = "CTOP_CORE4_0_NATIVE",
   parameter ctop_core4_0_virtual_link_rate                                        = "CTOP_CORE4_0_GEN1",
   parameter ctop_core4_0_virtual_maxpayload_size                                  = "CTOP_CORE4_0_MAX_PAYLOAD_128",
   parameter ctop_core4_0_virtual_num_of_lanes                                     = "CTOP_CORE4_0_NUM_1",
   parameter ctop_core4_0_virtual_pf0_acs_cap_enable                               = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_dlink_cap_enable                             = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_io_decode                                    = "CTOP_CORE4_0_IO32",
   parameter ctop_core4_0_virtual_pf0_msix_enable                                  = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_pl16g_cap_enable                             = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_prefetch_decode                              = "CTOP_CORE4_0_PREF64",
   parameter ctop_core4_0_virtual_pf0_prs_ext_cap_enable                           = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_ras_des_cap_enable                           = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_sn_cap_enable                                = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_ats_cap_enable                               = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_tph_cap_enable                               = "DISABLE",
   parameter ctop_core4_0_virtual_pf0_user_vsec_cap_enable                         = "DISABLE",
   parameter ctop_core4_0_virtual_rp_ep_mode                                       = "CTOP_CORE4_0_EP",
   parameter ctop_core4_0_virtual_txeq_mode                                        = "CTOP_CORE4_0_EQ_FOM_MODE",
   parameter ctop_core4_1_cvp_user_id                                              = 0,
   parameter ctop_core4_1_pf0_acs_cap_acs_at_block                                 = "DISABLE",
   parameter ctop_core4_1_pf0_acs_cap_acs_direct_translated_p2p                    = "DISABLE",
   parameter ctop_core4_1_pf0_acs_cap_acs_egress_ctrl_size                         = 8,
   parameter ctop_core4_1_pf0_acs_cap_acs_p2p_cpl_redirect                         = "DISABLE",
   parameter ctop_core4_1_pf0_acs_cap_acs_p2p_egress_control                       = "DISABLE",
   parameter ctop_core4_1_pf0_acs_cap_acs_p2p_req_redirect                         = "DISABLE",
   parameter ctop_core4_1_pf0_acs_cap_acs_src_valid                                = "DISABLE",
   parameter ctop_core4_1_pf0_acs_cap_acs_usp_forwarding                           = "DISABLE",
   parameter ctop_core4_1_pf0_auto_lane_flip_ctrl_en                               = "DISABLE",
   parameter ctop_core4_1_pf0_base_class_code                                      = 255,
   parameter ctop_core4_1_pf0_eq_redo                                              = "ENABLE",
   parameter ctop_core4_1_pf0_eq_redo_atg4                                         = "ENABLE",
   parameter ctop_core4_1_pf0_gen3_eq_pset_req_vec                                 = 32,
   parameter ctop_core4_1_pf0_gen3_eq_pset_req_vec_atg4                            = 1023,
   parameter ctop_core4_1_pf0_loopback_enable                                      = "FALSE",
   parameter ctop_core4_1_pf0_pci_msix_bir                                         = 0,
   parameter ctop_core4_1_pf0_pci_msix_pba                                         = 0,
   parameter ctop_core4_1_pf0_pci_msix_pba_offset                                  = 0,
   parameter ctop_core4_1_pf0_pci_msix_table_offset                                = 0,
   parameter ctop_core4_1_pf0_pci_msix_table_size                                  = 0,
   parameter ctop_core4_1_pf0_pci_msix_table_size_vfcomm_cs2                       = 0,
   parameter ctop_core4_1_pf0_pci_type0_bar0_mask_31_1                             = 0,
   parameter ctop_core4_1_pf0_pci_type0_bar1_mask_31_1                             = 0,
   parameter ctop_core4_1_pf0_pci_type0_bar2_mask_31_1                             = 0,
   parameter ctop_core4_1_pf0_pci_type0_bar3_mask_31_1                             = 0,
   parameter ctop_core4_1_pf0_pci_type0_bar4_mask_31_1                             = 0,
   parameter ctop_core4_1_pf0_pci_type0_bar5_mask_31_1                             = 0,
   parameter ctop_core4_1_pf0_pci_type0_device_id                                  = 0,
   parameter ctop_core4_1_pf0_pci_type0_vendor_id                                  = 0,
   parameter ctop_core4_1_pf0_pcie_cap_attention_indicator                         = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_attention_indicator_button                  = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_electromech_interlock                       = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_ep_l0s_accpt_latency                        = 0,
   parameter ctop_core4_1_pf0_pcie_cap_ep_l1_accpt_latency                         = 0,
   parameter ctop_core4_1_pf0_pcie_cap_ext_tag_supp                                = "CTOP_CORE4_1_PF0_NOT_SUPPORTED",
   parameter ctop_core4_1_pf0_pcie_cap_flr_cap                                     = "CTOP_CORE4_1_PF0_NOT_CAPABLE",
   parameter ctop_core4_1_pf0_pcie_cap_hot_plug_capable                            = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_hot_plug_surprise                           = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_mrl_sensor                                  = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_no_cmd_cpl_support                          = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_phy_slot_num                                = 0,
   parameter ctop_core4_1_pf0_pcie_cap_port_num                                    = 0,
   parameter ctop_core4_1_pf0_pcie_cap_power_controller                            = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_power_indicator                             = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_sel_deemphasis                              = "CTOP_CORE4_1_PF0_MINUS_6DB",
   parameter ctop_core4_1_pf0_pcie_cap_slot_clk_config                             = "FALSE",
   parameter ctop_core4_1_pf0_pcie_cap_slot_power_limit_scale                      = 0,
   parameter ctop_core4_1_pf0_pcie_cap_slot_power_limit_value                      = 0,
   parameter ctop_core4_1_pf0_pcie_slot_imp                                        = "CTOP_CORE4_1_PF0_NOT_IMPLEMENTED",
   parameter ctop_core4_1_pf0_pme_support                                          = 0,
   parameter ctop_core4_1_pf0_program_interface                                    = 0,
   parameter ctop_core4_1_pf0_revision_id                                          = 0,
   parameter ctop_core4_1_pf0_rom_bar_enabled                                      = "DISABLE",
   parameter ctop_core4_1_pf0_rp_rom_bar_enabled                                   = "DISABLE",
   parameter ctop_core4_1_pf0_subclass_code                                        = 0,
   parameter ctop_core4_1_pf0_subsys_dev_id                                        = 0,
   parameter ctop_core4_1_pf0_subsys_vendor_id                                     = 0,
   parameter ctop_core4_1_pf0_tph_req_cap_int_vec                                  = "DISABLE",
   parameter ctop_core4_1_pf0_tph_req_cap_int_vec_vfcomm_cs2                       = "DISABLE",
   parameter ctop_core4_1_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                = "CTOP_CORE4_1_PF0_IN_TPH_STRUCT_VF",
   parameter ctop_core4_1_pf0_tph_req_cap_st_table_loc_1                           = "CTOP_CORE4_1_PF0_NOT_IN_MSIX_TABLE",
   parameter ctop_core4_1_pf0_tph_req_cap_st_table_size                            = 0,
   parameter ctop_core4_1_pf0_tph_req_cap_st_table_size_vfcomm_cs2                 = 1,
   parameter ctop_core4_1_pf0_tph_req_device_spec                                  = "DISABLE",
   parameter ctop_core4_1_pf0_tph_req_device_spec_vfcomm_cs2                       = "DISABLE",
   parameter ctop_core4_1_pf0_prs_outstanding_capacity	                           = "0",
   parameter ctop_core4_1_rxbuf_limit_bypass                                       = 0,
   parameter ctop_core4_1_vsec_next_offset                                         = "0",
   parameter ctop_core4_1_virtual_drop_vendor0_msg                                 = "FALSE",
   parameter ctop_core4_1_virtual_drop_vendor1_msg                                 = "FALSE",
   parameter ctop_core4_1_virtual_ep_native                                        = "CTOP_CORE4_1_NATIVE",
   parameter ctop_core4_1_virtual_link_rate                                        = "CTOP_CORE4_1_GEN1",
   parameter ctop_core4_1_virtual_maxpayload_size                                  = "CTOP_CORE4_1_MAX_PAYLOAD_128",
   parameter ctop_core4_1_virtual_num_of_lanes                                     = "CTOP_CORE4_1_NUM_1",
   parameter ctop_core4_1_virtual_pf0_acs_cap_enable                               = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_dlink_cap_enable                             = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_io_decode                                    = "CTOP_CORE4_1_IO32",
   parameter ctop_core4_1_virtual_pf0_msix_enable                                  = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_pl16g_cap_enable                             = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_prefetch_decode                              = "CTOP_CORE4_1_PREF64",
   parameter ctop_core4_1_virtual_pf0_prs_ext_cap_enable                           = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_ras_des_cap_enable                           = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_sn_cap_enable                                = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_ats_cap_enable                               = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_tph_cap_enable                               = "DISABLE",
   parameter ctop_core4_1_virtual_pf0_user_vsec_cap_enable                         = "DISABLE",
   parameter ctop_core4_1_virtual_rp_ep_mode                                       = "CTOP_CORE4_1_EP",
   parameter ctop_core4_1_virtual_txeq_mode                                        = "CTOP_CORE4_1_EQ_FOM_MODE",
   parameter ctop_core8_cvp_user_id                                                = 0,
   parameter ctop_core8_exvf_ats_pagealignreq_pf0				   = "FALSE",
   parameter ctop_core8_exvf_ats_pagealignreq_pf1				   = "FALSE",
   parameter ctop_core8_exvf_ats_pagealignreq_pf2				   = "FALSE",
   parameter ctop_core8_exvf_ats_pagealignreq_pf3				   = "FALSE",
   parameter ctop_core8_exvf_ats_pagealignreq_pf4				   = "FALSE",
   parameter ctop_core8_exvf_ats_pagealignreq_pf5				   = "FALSE",
   parameter ctop_core8_exvf_ats_pagealignreq_pf6				   = "FALSE",
   parameter ctop_core8_exvf_ats_pagealignreq_pf7				   = "FALSE",
   parameter ctop_core8_exvf_msix_tablesize_pf0                                    = 0,
   parameter ctop_core8_exvf_msix_tablesize_pf1                                    = 0,
   parameter ctop_core8_exvf_msix_tablesize_pf2                                    = 0,
   parameter ctop_core8_exvf_msix_tablesize_pf3                                    = 0,
   parameter ctop_core8_exvf_msix_tablesize_pf4                                    = 0,
   parameter ctop_core8_exvf_msix_tablesize_pf5                                    = 0,
   parameter ctop_core8_exvf_msix_tablesize_pf6                                    = 0,
   parameter ctop_core8_exvf_msix_tablesize_pf7                                    = 0,
   parameter ctop_core8_exvf_msixpba_bir_pf0                                       = 0,
   parameter ctop_core8_exvf_msixpba_bir_pf1                                       = 0,
   parameter ctop_core8_exvf_msixpba_bir_pf2                                       = 0,
   parameter ctop_core8_exvf_msixpba_bir_pf3                                       = 0,
   parameter ctop_core8_exvf_msixpba_bir_pf4                                       = 0,
   parameter ctop_core8_exvf_msixpba_bir_pf5                                       = 0,
   parameter ctop_core8_exvf_msixpba_bir_pf6                                       = 0,
   parameter ctop_core8_exvf_msixpba_bir_pf7                                       = 0,
   parameter ctop_core8_exvf_msixpba_offset_pf0                                    = 0,
   parameter ctop_core8_exvf_msixpba_offset_pf1                                    = 0,
   parameter ctop_core8_exvf_msixpba_offset_pf2                                    = 0,
   parameter ctop_core8_exvf_msixpba_offset_pf3                                    = 0,
   parameter ctop_core8_exvf_msixpba_offset_pf4                                    = 0,
   parameter ctop_core8_exvf_msixpba_offset_pf5                                    = 0,
   parameter ctop_core8_exvf_msixpba_offset_pf6                                    = 0,
   parameter ctop_core8_exvf_msixpba_offset_pf7                                    = 0,
   parameter ctop_core8_exvf_msixtable_bir_pf0                                     = 0,
   parameter ctop_core8_exvf_msixtable_bir_pf1                                     = 0,
   parameter ctop_core8_exvf_msixtable_bir_pf2                                     = 0,
   parameter ctop_core8_exvf_msixtable_bir_pf3                                     = 0,
   parameter ctop_core8_exvf_msixtable_bir_pf4                                     = 0,
   parameter ctop_core8_exvf_msixtable_bir_pf5                                     = 0,
   parameter ctop_core8_exvf_msixtable_bir_pf6                                     = 0,
   parameter ctop_core8_exvf_msixtable_bir_pf7                                     = 0,
   parameter ctop_core8_exvf_msixtable_offset_pf0                                  = 0,
   parameter ctop_core8_exvf_msixtable_offset_pf1                                  = 0,
   parameter ctop_core8_exvf_msixtable_offset_pf2                                  = 0,
   parameter ctop_core8_exvf_msixtable_offset_pf3                                  = 0,
   parameter ctop_core8_exvf_msixtable_offset_pf4                                  = 0,
   parameter ctop_core8_exvf_msixtable_offset_pf5                                  = 0,
   parameter ctop_core8_exvf_msixtable_offset_pf6                                  = 0,
   parameter ctop_core8_exvf_msixtable_offset_pf7                                  = 0,
   parameter ctop_core8_exvf_subsysid_pf0                                          = 0,
   parameter ctop_core8_exvf_subsysid_pf1                                          = 0,
   parameter ctop_core8_exvf_subsysid_pf2                                          = 0,
   parameter ctop_core8_exvf_subsysid_pf3                                          = 0,
   parameter ctop_core8_exvf_subsysid_pf4                                          = 0,
   parameter ctop_core8_exvf_subsysid_pf5                                          = 0,
   parameter ctop_core8_exvf_subsysid_pf6                                          = 0,
   parameter ctop_core8_exvf_subsysid_pf7                                          = 0,
   parameter ctop_core8_pf0_acs_cap_acs_at_block                                   = "DISABLE",
   parameter ctop_core8_pf0_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
   parameter ctop_core8_pf0_acs_cap_acs_egress_ctrl_size                           = 8,
   parameter ctop_core8_pf0_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
   parameter ctop_core8_pf0_acs_cap_acs_p2p_egress_control                         = "DISABLE",
   parameter ctop_core8_pf0_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
   parameter ctop_core8_pf0_acs_cap_acs_src_valid                                  = "DISABLE",
   parameter ctop_core8_pf0_acs_cap_acs_usp_forwarding                             = "DISABLE",
   parameter ctop_core8_pf0_auto_lane_flip_ctrl_en                                 = "DISABLE",
   parameter ctop_core8_pf0_bar0_prefetch                                          = "FALSE",
   parameter ctop_core8_pf0_bar0_type                                              = "CTOP_CORE8_PF0_BAR0_MEM32",
   parameter ctop_core8_pf0_bar1_prefetch                                          = "FALSE",
   parameter ctop_core8_pf0_bar2_prefetch                                          = "FALSE",
   parameter ctop_core8_pf0_bar2_type                                              = "CTOP_CORE8_PF0_BAR2_MEM32",
   parameter ctop_core8_pf0_bar3_prefetch                                          = "FALSE",
   parameter ctop_core8_pf0_bar4_prefetch                                          = "FALSE",
   parameter ctop_core8_pf0_bar4_type                                              = "CTOP_CORE8_PF0_BAR4_MEM32",
   parameter ctop_core8_pf0_bar5_prefetch                                          = "FALSE",
   parameter ctop_core8_pf0_base_class_code                                        = 255,
   parameter ctop_core8_pf0_eq_redo                                                = "ENABLE",
   parameter ctop_core8_pf0_eq_redo_atg4                                           = "ENABLE",
   parameter ctop_core8_pf0_gen3_eq_pset_req_vec                                   = 32,
   parameter ctop_core8_pf0_gen3_eq_pset_req_vec_atg4                              = 1023,
   parameter ctop_core8_pf0_int_pin                                                = "CTOP_CORE8_PF0_NO_INT",
   parameter ctop_core8_pf0_loopback_enable                                        = "FALSE",
   parameter ctop_core8_pf0_pasid_cap_execute_permission_supported                 = "DISABLE",
   parameter ctop_core8_pf0_pasid_cap_max_pasid_width                              = 0,
   parameter ctop_core8_pf0_pasid_cap_privileged_mode_supported                    = "DISABLE",
   parameter ctop_core8_pf0_pci_msi_64_bit_addr_cap                                = "FALSE",
   parameter ctop_core8_pf0_pci_msi_ext_data_cap                                   = "FALSE",
   parameter ctop_core8_pf0_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF0_MSI_VEC_1",
   parameter ctop_core8_pf0_pci_msix_bir                                           = 0,
   parameter ctop_core8_pf0_pci_msix_pba                                           = 0,
   parameter ctop_core8_pf0_pci_msix_pba_offset                                    = 0,
   parameter ctop_core8_pf0_pci_msix_table_offset                                  = 0,
   parameter ctop_core8_pf0_pci_msix_table_size                                    = 0,
   parameter ctop_core8_pf0_pci_msix_table_size_vfcomm_cs2                         = 0,
   parameter ctop_core8_pf0_pci_type0_bar0_enabled                                 = "DISABLE",
   parameter ctop_core8_pf0_pci_type0_bar1_enabled                                 = "DISABLE",
   parameter ctop_core8_pf0_pci_type0_bar2_enabled                                 = "DISABLE",
   parameter ctop_core8_pf0_pci_type0_bar3_enabled                                 = "DISABLE",
   parameter ctop_core8_pf0_pci_type0_bar4_enabled                                 = "DISABLE",
   parameter ctop_core8_pf0_pci_type0_bar5_enabled                                 = "DISABLE",
   parameter ctop_core8_pf0_pci_type0_device_id                                    = 0,
   parameter ctop_core8_pf0_pci_type0_vendor_id                                    = 0,
   parameter ctop_core8_pf0_pcie_cap_attention_indicator                           = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_attention_indicator_button                    = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_electromech_interlock                         = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_ep_l0s_accpt_latency                          = 0,
   parameter ctop_core8_pf0_pcie_cap_ep_l1_accpt_latency                           = 0,
   parameter ctop_core8_pf0_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF0_NOT_SUPPORTED",
   parameter ctop_core8_pf0_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF0_NOT_CAPABLE",
   parameter ctop_core8_pf0_pcie_cap_hot_plug_capable                              = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_hot_plug_surprise                             = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_mrl_sensor                                    = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_no_cmd_cpl_support                            = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_phy_slot_num                                  = 0,
   parameter ctop_core8_pf0_pcie_cap_port_num                                      = 0,
   parameter ctop_core8_pf0_pcie_cap_power_controller                              = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_power_indicator                               = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_sel_deemphasis                                = "CTOP_CORE8_PF0_MINUS_6DB",
   parameter ctop_core8_pf0_pcie_cap_slot_clk_config                               = "FALSE",
   parameter ctop_core8_pf0_pcie_cap_slot_power_limit_scale                        = 0,
   parameter ctop_core8_pf0_pcie_cap_slot_power_limit_value                        = 0,
   parameter ctop_core8_pf0_pcie_slot_imp                                          = "CTOP_CORE8_PF0_NOT_IMPLEMENTED",
   parameter ctop_core8_pf0_pme_support                                            = 0,
   parameter ctop_core8_pf0_program_interface                                      = 0,
   parameter ctop_core8_pf0_revision_id                                            = 0,
   parameter ctop_core8_pf0_rom_bar_enabled                                        = "DISABLE",
   parameter ctop_core8_pf0_rp_rom_bar_enabled                                     = "DISABLE",
   parameter ctop_core8_pf0_shadow_sriov_vf_stride_ari_cs2                         = 0,
   parameter ctop_core8_pf0_sriov_sup_page_size                                    = "0",
   parameter ctop_core8_pf0_sriov_vf_bar0_prefetch                                 = "FALSE",
   parameter ctop_core8_pf0_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF0_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core8_pf0_sriov_vf_bar1_prefetch                                 = "FALSE",
   parameter ctop_core8_pf0_sriov_vf_bar2_prefetch                                 = "FALSE",
   parameter ctop_core8_pf0_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF0_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core8_pf0_sriov_vf_bar3_prefetch                                 = "FALSE",
   parameter ctop_core8_pf0_sriov_vf_bar4_prefetch                                 = "FALSE",
   parameter ctop_core8_pf0_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF0_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core8_pf0_sriov_vf_bar5_prefetch                                 = "FALSE",
   parameter ctop_core8_pf0_sriov_vf_device_id                                     = 0,
   parameter ctop_core8_pf0_sriov_vf_offset_ari_cs2                                = 0,
   parameter ctop_core8_pf0_sriov_vf_offset_nonari                                 = 0,
   parameter ctop_core8_pf0_sriov_vf_stride_nonari                                 = 0,
   parameter ctop_core8_pf0_subclass_code                                          = 0,
   parameter ctop_core8_pf0_subsys_dev_id                                          = 0,
   parameter ctop_core8_pf0_subsys_vendor_id                                       = 0,
   parameter ctop_core8_pf0_tph_req_cap_int_vec                                    = "DISABLE",
   parameter ctop_core8_pf0_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF0_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core8_pf0_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF0_NOT_IN_MSIX_TABLE",
   parameter ctop_core8_pf0_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF0_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core8_pf0_tph_req_cap_st_table_size                              = 0,
   parameter ctop_core8_pf0_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
   parameter ctop_core8_pf0_tph_req_device_spec                                    = "DISABLE",
   parameter ctop_core8_pf0_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf0_prs_outstanding_capacity				   = "0",
   parameter ctop_core8_pf1_acs_cap_acs_at_block                                   = "DISABLE",
   parameter ctop_core8_pf1_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
   parameter ctop_core8_pf1_acs_cap_acs_egress_ctrl_size                           = 8,
   parameter ctop_core8_pf1_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
   parameter ctop_core8_pf1_acs_cap_acs_p2p_egress_control                         = "DISABLE",
   parameter ctop_core8_pf1_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
   parameter ctop_core8_pf1_acs_cap_acs_src_valid                                  = "DISABLE",
   parameter ctop_core8_pf1_acs_cap_acs_usp_forwarding                             = "DISABLE",
   parameter ctop_core8_pf1_bar0_prefetch                                          = "FALSE",
   parameter ctop_core8_pf1_bar0_type                                              = "CTOP_CORE8_PF1_BAR0_MEM32",
   parameter ctop_core8_pf1_bar1_prefetch                                          = "FALSE",
   parameter ctop_core8_pf1_bar2_prefetch                                          = "FALSE",
   parameter ctop_core8_pf1_bar2_type                                              = "CTOP_CORE8_PF1_BAR2_MEM32",
   parameter ctop_core8_pf1_bar3_prefetch                                          = "FALSE",
   parameter ctop_core8_pf1_bar4_prefetch                                          = "FALSE",
   parameter ctop_core8_pf1_bar4_type                                              = "CTOP_CORE8_PF1_BAR4_MEM32",
   parameter ctop_core8_pf1_bar5_prefetch                                          = "FALSE",
   parameter ctop_core8_pf1_base_class_code                                        = 255,
   parameter ctop_core8_pf1_int_pin                                                = "CTOP_CORE8_PF1_NO_INT",
   parameter ctop_core8_pf1_pasid_cap_execute_permission_supported                 = "DISABLE",
   parameter ctop_core8_pf1_pasid_cap_max_pasid_width                              = 0,
   parameter ctop_core8_pf1_pasid_cap_privileged_mode_supported                    = "DISABLE",
   parameter ctop_core8_pf1_pci_msi_64_bit_addr_cap                                = "FALSE",
   parameter ctop_core8_pf1_pci_msi_ext_data_cap                                   = "FALSE",
   parameter ctop_core8_pf1_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF1_MSI_VEC_1",
   parameter ctop_core8_pf1_pci_msix_bir                                           = 0,
   parameter ctop_core8_pf1_pci_msix_pba                                           = 0,
   parameter ctop_core8_pf1_pci_msix_pba_offset                                    = 0,
   parameter ctop_core8_pf1_pci_msix_table_offset                                  = 0,
   parameter ctop_core8_pf1_pci_msix_table_size                                    = 0,
   parameter ctop_core8_pf1_pci_msix_table_size_vfcomm_cs2                         = 0,
   parameter ctop_core8_pf1_pci_type0_bar0_enabled                                 = "DISABLE",
   parameter ctop_core8_pf1_pci_type0_bar1_enabled                                 = "DISABLE",
   parameter ctop_core8_pf1_pci_type0_bar2_enabled                                 = "DISABLE",
   parameter ctop_core8_pf1_pci_type0_bar3_enabled                                 = "DISABLE",
   parameter ctop_core8_pf1_pci_type0_bar4_enabled                                 = "DISABLE",
   parameter ctop_core8_pf1_pci_type0_bar5_enabled                                 = "DISABLE",
   parameter ctop_core8_pf1_pci_type0_device_id                                    = 0,
   parameter ctop_core8_pf1_pci_type0_vendor_id                                    = 0,
   parameter ctop_core8_pf1_pcie_cap_ep_l0s_accpt_latency                          = 0,
   parameter ctop_core8_pf1_pcie_cap_ep_l1_accpt_latency                           = 0,
   parameter ctop_core8_pf1_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF1_NOT_SUPPORTED",
   parameter ctop_core8_pf1_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF1_NOT_CAPABLE",
   parameter ctop_core8_pf1_pcie_cap_slot_clk_config                               = "FALSE",
   parameter ctop_core8_pf1_pme_support                                            = 0,
   parameter ctop_core8_pf1_program_interface                                      = 0,
   parameter ctop_core8_pf1_revision_id                                            = 0,
   parameter ctop_core8_pf1_rom_bar_enabled                                        = "DISABLE",
   parameter ctop_core8_pf1_shadow_sriov_vf_stride_ari_cs2                         = 0,
   parameter ctop_core8_pf1_sriov_sup_page_size                                    = "0",
   parameter ctop_core8_pf1_sriov_vf_bar0_prefetch                                 = "FALSE",
   parameter ctop_core8_pf1_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF1_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core8_pf1_sriov_vf_bar1_prefetch                                 = "FALSE",
   parameter ctop_core8_pf1_sriov_vf_bar2_prefetch                                 = "FALSE",
   parameter ctop_core8_pf1_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF1_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core8_pf1_sriov_vf_bar3_prefetch                                 = "FALSE",
   parameter ctop_core8_pf1_sriov_vf_bar4_prefetch                                 = "FALSE",
   parameter ctop_core8_pf1_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF1_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core8_pf1_sriov_vf_bar5_prefetch                                 = "FALSE",
   parameter ctop_core8_pf1_sriov_vf_device_id                                     = 0,
   parameter ctop_core8_pf1_sriov_vf_offset_ari_cs2                                = 0,
   parameter ctop_core8_pf1_sriov_vf_offset_position_nonari                        = 0,
   parameter ctop_core8_pf1_sriov_vf_stride_nonari                                 = 0,
   parameter ctop_core8_pf1_subclass_code                                          = 0,
   parameter ctop_core8_pf1_subsys_dev_id                                          = 0,
   parameter ctop_core8_pf1_subsys_vendor_id                                       = 0,
   parameter ctop_core8_pf1_tph_req_cap_int_vec                                    = "DISABLE",
   parameter ctop_core8_pf1_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf1_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF1_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core8_pf1_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF1_NOT_IN_MSIX_TABLE",
   parameter ctop_core8_pf1_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF1_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core8_pf1_tph_req_cap_st_table_size                              = 0,
   parameter ctop_core8_pf1_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
   parameter ctop_core8_pf1_tph_req_device_spec                                    = "DISABLE",
   parameter ctop_core8_pf1_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf1_prs_outstanding_capacity				   = "0",
   parameter ctop_core8_pf2_acs_cap_acs_at_block                                   = "DISABLE",
   parameter ctop_core8_pf2_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
   parameter ctop_core8_pf2_acs_cap_acs_egress_ctrl_size                           = 8,
   parameter ctop_core8_pf2_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
   parameter ctop_core8_pf2_acs_cap_acs_p2p_egress_control                         = "DISABLE",
   parameter ctop_core8_pf2_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
   parameter ctop_core8_pf2_acs_cap_acs_src_valid                                  = "DISABLE",
   parameter ctop_core8_pf2_acs_cap_acs_usp_forwarding                             = "DISABLE",
   parameter ctop_core8_pf2_bar0_prefetch                                          = "FALSE",
   parameter ctop_core8_pf2_bar0_type                                              = "CTOP_CORE8_PF2_BAR0_MEM32",
   parameter ctop_core8_pf2_bar1_prefetch                                          = "FALSE",
   parameter ctop_core8_pf2_bar2_prefetch                                          = "FALSE",
   parameter ctop_core8_pf2_bar2_type                                              = "CTOP_CORE8_PF2_BAR2_MEM32",
   parameter ctop_core8_pf2_bar3_prefetch                                          = "FALSE",
   parameter ctop_core8_pf2_bar4_prefetch                                          = "FALSE",
   parameter ctop_core8_pf2_bar4_type                                              = "CTOP_CORE8_PF2_BAR4_MEM32",
   parameter ctop_core8_pf2_bar5_prefetch                                          = "FALSE",
   parameter ctop_core8_pf2_base_class_code                                        = 255,
   parameter ctop_core8_pf2_int_pin                                                = "CTOP_CORE8_PF2_NO_INT",
   parameter ctop_core8_pf2_pasid_cap_execute_permission_supported                 = "DISABLE",
   parameter ctop_core8_pf2_pasid_cap_max_pasid_width                              = 0,
   parameter ctop_core8_pf2_pasid_cap_privileged_mode_supported                    = "DISABLE",
   parameter ctop_core8_pf2_pci_msi_64_bit_addr_cap                                = "FALSE",
   parameter ctop_core8_pf2_pci_msi_ext_data_cap                                   = "FALSE",
   parameter ctop_core8_pf2_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF2_MSI_VEC_1",
   parameter ctop_core8_pf2_pci_msix_bir                                           = 0,
   parameter ctop_core8_pf2_pci_msix_pba                                           = 0,
   parameter ctop_core8_pf2_pci_msix_pba_offset                                    = 0,
   parameter ctop_core8_pf2_pci_msix_table_offset                                  = 0,
   parameter ctop_core8_pf2_pci_msix_table_size                                    = 0,
   parameter ctop_core8_pf2_pci_msix_table_size_vfcomm_cs2                         = 0,
   parameter ctop_core8_pf2_pci_type0_bar0_enabled                                 = "DISABLE",
   parameter ctop_core8_pf2_pci_type0_bar1_enabled                                 = "DISABLE",
   parameter ctop_core8_pf2_pci_type0_bar2_enabled                                 = "DISABLE",
   parameter ctop_core8_pf2_pci_type0_bar3_enabled                                 = "DISABLE",
   parameter ctop_core8_pf2_pci_type0_bar4_enabled                                 = "DISABLE",
   parameter ctop_core8_pf2_pci_type0_bar5_enabled                                 = "DISABLE",
   parameter ctop_core8_pf2_pci_type0_device_id                                    = 0,
   parameter ctop_core8_pf2_pci_type0_vendor_id                                    = 0,
   parameter ctop_core8_pf2_pcie_cap_ep_l0s_accpt_latency                          = 0,
   parameter ctop_core8_pf2_pcie_cap_ep_l1_accpt_latency                           = 0,
   parameter ctop_core8_pf2_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF2_NOT_SUPPORTED",
   parameter ctop_core8_pf2_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF2_NOT_CAPABLE",
   parameter ctop_core8_pf2_pcie_cap_slot_clk_config                               = "FALSE",
   parameter ctop_core8_pf2_pme_support                                            = 0,
   parameter ctop_core8_pf2_program_interface                                      = 0,
   parameter ctop_core8_pf2_revision_id                                            = 0,
   parameter ctop_core8_pf2_rom_bar_enabled                                        = "DISABLE",
   parameter ctop_core8_pf2_shadow_sriov_vf_stride_ari_cs2                         = 0,
   parameter ctop_core8_pf2_sriov_sup_page_size                                    = "0",
   parameter ctop_core8_pf2_sriov_vf_bar0_prefetch                                 = "FALSE",
   parameter ctop_core8_pf2_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF2_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core8_pf2_sriov_vf_bar1_prefetch                                 = "FALSE",
   parameter ctop_core8_pf2_sriov_vf_bar2_prefetch                                 = "FALSE",
   parameter ctop_core8_pf2_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF2_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core8_pf2_sriov_vf_bar3_prefetch                                 = "FALSE",
   parameter ctop_core8_pf2_sriov_vf_bar4_prefetch                                 = "FALSE",
   parameter ctop_core8_pf2_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF2_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core8_pf2_sriov_vf_bar5_prefetch                                 = "FALSE",
   parameter ctop_core8_pf2_sriov_vf_device_id                                     = 0,
   parameter ctop_core8_pf2_sriov_vf_offset_ari_cs2                                = 0,
   parameter ctop_core8_pf2_sriov_vf_offset_position_nonari                        = 0,
   parameter ctop_core8_pf2_sriov_vf_stride_nonari                                 = 0,
   parameter ctop_core8_pf2_subclass_code                                          = 0,
   parameter ctop_core8_pf2_subsys_dev_id                                          = 0,
   parameter ctop_core8_pf2_subsys_vendor_id                                       = 0,
   parameter ctop_core8_pf2_tph_req_cap_int_vec                                    = "DISABLE",
   parameter ctop_core8_pf2_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf2_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF2_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core8_pf2_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF2_NOT_IN_MSIX_TABLE",
   parameter ctop_core8_pf2_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF2_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core8_pf2_tph_req_cap_st_table_size                              = 0,
   parameter ctop_core8_pf2_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
   parameter ctop_core8_pf2_tph_req_device_spec                                    = "DISABLE",
   parameter ctop_core8_pf2_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf2_prs_outstanding_capacity				   = "0",
   parameter ctop_core8_pf3_acs_cap_acs_at_block                                   = "DISABLE",
   parameter ctop_core8_pf3_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
   parameter ctop_core8_pf3_acs_cap_acs_egress_ctrl_size                           = 8,
   parameter ctop_core8_pf3_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
   parameter ctop_core8_pf3_acs_cap_acs_p2p_egress_control                         = "DISABLE",
   parameter ctop_core8_pf3_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
   parameter ctop_core8_pf3_acs_cap_acs_src_valid                                  = "DISABLE",
   parameter ctop_core8_pf3_acs_cap_acs_usp_forwarding                             = "DISABLE",
   parameter ctop_core8_pf3_bar0_prefetch                                          = "FALSE",
   parameter ctop_core8_pf3_bar0_type                                              = "CTOP_CORE8_PF3_BAR0_MEM32",
   parameter ctop_core8_pf3_bar1_prefetch                                          = "FALSE",
   parameter ctop_core8_pf3_bar2_prefetch                                          = "FALSE",
   parameter ctop_core8_pf3_bar2_type                                              = "CTOP_CORE8_PF3_BAR2_MEM32",
   parameter ctop_core8_pf3_bar3_prefetch                                          = "FALSE",
   parameter ctop_core8_pf3_bar4_prefetch                                          = "FALSE",
   parameter ctop_core8_pf3_bar4_type                                              = "CTOP_CORE8_PF3_BAR4_MEM32",
   parameter ctop_core8_pf3_bar5_prefetch                                          = "FALSE",
   parameter ctop_core8_pf3_base_class_code                                        = 255,
   parameter ctop_core8_pf3_int_pin                                                = "CTOP_CORE8_PF3_NO_INT",
   parameter ctop_core8_pf3_pasid_cap_execute_permission_supported                 = "DISABLE",
   parameter ctop_core8_pf3_pasid_cap_max_pasid_width                              = 0,
   parameter ctop_core8_pf3_pasid_cap_privileged_mode_supported                    = "DISABLE",
   parameter ctop_core8_pf3_pci_msi_64_bit_addr_cap                                = "FALSE",
   parameter ctop_core8_pf3_pci_msi_ext_data_cap                                   = "FALSE",
   parameter ctop_core8_pf3_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF3_MSI_VEC_1",
   parameter ctop_core8_pf3_pci_msix_bir                                           = 0,
   parameter ctop_core8_pf3_pci_msix_pba                                           = 0,
   parameter ctop_core8_pf3_pci_msix_pba_offset                                    = 0,
   parameter ctop_core8_pf3_pci_msix_table_offset                                  = 0,
   parameter ctop_core8_pf3_pci_msix_table_size                                    = 0,
   parameter ctop_core8_pf3_pci_msix_table_size_vfcomm_cs2                         = 0,
   parameter ctop_core8_pf3_pci_type0_bar0_enabled                                 = "DISABLE",
   parameter ctop_core8_pf3_pci_type0_bar1_enabled                                 = "DISABLE",
   parameter ctop_core8_pf3_pci_type0_bar2_enabled                                 = "DISABLE",
   parameter ctop_core8_pf3_pci_type0_bar3_enabled                                 = "DISABLE",
   parameter ctop_core8_pf3_pci_type0_bar4_enabled                                 = "DISABLE",
   parameter ctop_core8_pf3_pci_type0_bar5_enabled                                 = "DISABLE",
   parameter ctop_core8_pf3_pci_type0_device_id                                    = 0,
   parameter ctop_core8_pf3_pci_type0_vendor_id                                    = 0,
   parameter ctop_core8_pf3_pcie_cap_ep_l0s_accpt_latency                          = 0,
   parameter ctop_core8_pf3_pcie_cap_ep_l1_accpt_latency                           = 0,
   parameter ctop_core8_pf3_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF3_NOT_SUPPORTED",
   parameter ctop_core8_pf3_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF3_NOT_CAPABLE",
   parameter ctop_core8_pf3_pcie_cap_slot_clk_config                               = "FALSE",
   parameter ctop_core8_pf3_pme_support                                            = 0,
   parameter ctop_core8_pf3_program_interface                                      = 0,
   parameter ctop_core8_pf3_revision_id                                            = 0,
   parameter ctop_core8_pf3_rom_bar_enabled                                        = "DISABLE",
   parameter ctop_core8_pf3_shadow_sriov_vf_stride_ari_cs2                         = 0,
   parameter ctop_core8_pf3_sriov_sup_page_size                                    = "0",
   parameter ctop_core8_pf3_sriov_vf_bar0_prefetch                                 = "FALSE",
   parameter ctop_core8_pf3_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF3_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core8_pf3_sriov_vf_bar1_prefetch                                 = "FALSE",
   parameter ctop_core8_pf3_sriov_vf_bar2_prefetch                                 = "FALSE",
   parameter ctop_core8_pf3_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF3_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core8_pf3_sriov_vf_bar3_prefetch                                 = "FALSE",
   parameter ctop_core8_pf3_sriov_vf_bar4_prefetch                                 = "FALSE",
   parameter ctop_core8_pf3_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF3_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core8_pf3_sriov_vf_bar5_prefetch                                 = "FALSE",
   parameter ctop_core8_pf3_sriov_vf_device_id                                     = 0,
   parameter ctop_core8_pf3_sriov_vf_offset_ari_cs2                                = 0,
   parameter ctop_core8_pf3_sriov_vf_offset_position_nonari                        = 0,
   parameter ctop_core8_pf3_sriov_vf_stride_nonari                                 = 0,
   parameter ctop_core8_pf3_subclass_code                                          = 0,
   parameter ctop_core8_pf3_subsys_dev_id                                          = 0,
   parameter ctop_core8_pf3_subsys_vendor_id                                       = 0,
   parameter ctop_core8_pf3_tph_req_cap_int_vec                                    = "DISABLE",
   parameter ctop_core8_pf3_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf3_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF3_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core8_pf3_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF3_NOT_IN_MSIX_TABLE",
   parameter ctop_core8_pf3_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF3_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core8_pf3_tph_req_cap_st_table_size                              = 0,
   parameter ctop_core8_pf3_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
   parameter ctop_core8_pf3_tph_req_device_spec                                    = "DISABLE",
   parameter ctop_core8_pf3_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf3_prs_outstanding_capacity				   = "0",
   parameter ctop_core8_pf4_acs_cap_acs_at_block                                   = "DISABLE",
   parameter ctop_core8_pf4_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
   parameter ctop_core8_pf4_acs_cap_acs_egress_ctrl_size                           = 8,
   parameter ctop_core8_pf4_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
   parameter ctop_core8_pf4_acs_cap_acs_p2p_egress_control                         = "DISABLE",
   parameter ctop_core8_pf4_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
   parameter ctop_core8_pf4_acs_cap_acs_src_valid                                  = "DISABLE",
   parameter ctop_core8_pf4_acs_cap_acs_usp_forwarding                             = "DISABLE",
   parameter ctop_core8_pf4_bar0_prefetch                                          = "FALSE",
   parameter ctop_core8_pf4_bar0_type                                              = "CTOP_CORE8_PF4_BAR0_MEM32",
   parameter ctop_core8_pf4_bar1_prefetch                                          = "FALSE",
   parameter ctop_core8_pf4_bar2_prefetch                                          = "FALSE",
   parameter ctop_core8_pf4_bar2_type                                              = "CTOP_CORE8_PF4_BAR2_MEM32",
   parameter ctop_core8_pf4_bar3_prefetch                                          = "FALSE",
   parameter ctop_core8_pf4_bar4_prefetch                                          = "FALSE",
   parameter ctop_core8_pf4_bar4_type                                              = "CTOP_CORE8_PF4_BAR4_MEM32",
   parameter ctop_core8_pf4_bar5_prefetch                                          = "FALSE",
   parameter ctop_core8_pf4_base_class_code                                        = 255,
   parameter ctop_core8_pf4_int_pin                                                = "CTOP_CORE8_PF4_NO_INT",
   parameter ctop_core8_pf4_pasid_cap_execute_permission_supported                 = "DISABLE",
   parameter ctop_core8_pf4_pasid_cap_max_pasid_width                              = 0,
   parameter ctop_core8_pf4_pasid_cap_privileged_mode_supported                    = "DISABLE",
   parameter ctop_core8_pf4_pci_msi_64_bit_addr_cap                                = "FALSE",
   parameter ctop_core8_pf4_pci_msi_ext_data_cap                                   = "FALSE",
   parameter ctop_core8_pf4_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF4_MSI_VEC_1",
   parameter ctop_core8_pf4_pci_msix_bir                                           = 0,
   parameter ctop_core8_pf4_pci_msix_pba                                           = 0,
   parameter ctop_core8_pf4_pci_msix_pba_offset                                    = 0,
   parameter ctop_core8_pf4_pci_msix_table_offset                                  = 0,
   parameter ctop_core8_pf4_pci_msix_table_size                                    = 0,
   parameter ctop_core8_pf4_pci_msix_table_size_vfcomm_cs2                         = 0,
   parameter ctop_core8_pf4_pci_type0_bar0_enabled                                 = "DISABLE",
   parameter ctop_core8_pf4_pci_type0_bar1_enabled                                 = "DISABLE",
   parameter ctop_core8_pf4_pci_type0_bar2_enabled                                 = "DISABLE",
   parameter ctop_core8_pf4_pci_type0_bar3_enabled                                 = "DISABLE",
   parameter ctop_core8_pf4_pci_type0_bar4_enabled                                 = "DISABLE",
   parameter ctop_core8_pf4_pci_type0_bar5_enabled                                 = "DISABLE",
   parameter ctop_core8_pf4_pci_type0_device_id                                    = 0,
   parameter ctop_core8_pf4_pci_type0_vendor_id                                    = 0,
   parameter ctop_core8_pf4_pcie_cap_ep_l0s_accpt_latency                          = 0,
   parameter ctop_core8_pf4_pcie_cap_ep_l1_accpt_latency                           = 0,
   parameter ctop_core8_pf4_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF4_NOT_SUPPORTED",
   parameter ctop_core8_pf4_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF4_NOT_CAPABLE",
   parameter ctop_core8_pf4_pcie_cap_slot_clk_config                               = "FALSE",
   parameter ctop_core8_pf4_pme_support                                            = 0,
   parameter ctop_core8_pf4_program_interface                                      = 0,
   parameter ctop_core8_pf4_revision_id                                            = 0,
   parameter ctop_core8_pf4_rom_bar_enabled                                        = "DISABLE",
   parameter ctop_core8_pf4_shadow_sriov_vf_stride_ari_cs2                         = 0,
   parameter ctop_core8_pf4_sriov_sup_page_size                                    = "0",
   parameter ctop_core8_pf4_sriov_vf_bar0_prefetch                                 = "FALSE",
   parameter ctop_core8_pf4_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF4_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core8_pf4_sriov_vf_bar1_prefetch                                 = "FALSE",
   parameter ctop_core8_pf4_sriov_vf_bar2_prefetch                                 = "FALSE",
   parameter ctop_core8_pf4_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF4_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core8_pf4_sriov_vf_bar3_prefetch                                 = "FALSE",
   parameter ctop_core8_pf4_sriov_vf_bar4_prefetch                                 = "FALSE",
   parameter ctop_core8_pf4_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF4_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core8_pf4_sriov_vf_bar5_prefetch                                 = "FALSE",
   parameter ctop_core8_pf4_sriov_vf_device_id                                     = 0,
   parameter ctop_core8_pf4_sriov_vf_offset_ari_cs2                                = 0,
   parameter ctop_core8_pf4_sriov_vf_offset_position_nonari                        = 0,
   parameter ctop_core8_pf4_sriov_vf_stride_nonari                                 = 0,
   parameter ctop_core8_pf4_subclass_code                                          = 0,
   parameter ctop_core8_pf4_subsys_dev_id                                          = 0,
   parameter ctop_core8_pf4_subsys_vendor_id                                       = 0,
   parameter ctop_core8_pf4_tph_req_cap_int_vec                                    = "DISABLE",
   parameter ctop_core8_pf4_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf4_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF4_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core8_pf4_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF4_NOT_IN_MSIX_TABLE",
   parameter ctop_core8_pf4_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF4_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core8_pf4_tph_req_cap_st_table_size                              = 0,
   parameter ctop_core8_pf4_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
   parameter ctop_core8_pf4_tph_req_device_spec                                    = "DISABLE",
   parameter ctop_core8_pf4_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf4_prs_outstanding_capacity				   = "0",
   parameter ctop_core8_pf5_acs_cap_acs_at_block                                   = "DISABLE",
   parameter ctop_core8_pf5_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
   parameter ctop_core8_pf5_acs_cap_acs_egress_ctrl_size                           = 8,
   parameter ctop_core8_pf5_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
   parameter ctop_core8_pf5_acs_cap_acs_p2p_egress_control                         = "DISABLE",
   parameter ctop_core8_pf5_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
   parameter ctop_core8_pf5_acs_cap_acs_src_valid                                  = "DISABLE",
   parameter ctop_core8_pf5_acs_cap_acs_usp_forwarding                             = "DISABLE",
   parameter ctop_core8_pf5_bar0_prefetch                                          = "FALSE",
   parameter ctop_core8_pf5_bar0_type                                              = "CTOP_CORE8_PF5_BAR0_MEM32",
   parameter ctop_core8_pf5_bar1_prefetch                                          = "FALSE",
   parameter ctop_core8_pf5_bar2_prefetch                                          = "FALSE",
   parameter ctop_core8_pf5_bar2_type                                              = "CTOP_CORE8_PF5_BAR2_MEM32",
   parameter ctop_core8_pf5_bar3_prefetch                                          = "FALSE",
   parameter ctop_core8_pf5_bar4_prefetch                                          = "FALSE",
   parameter ctop_core8_pf5_bar4_type                                              = "CTOP_CORE8_PF5_BAR4_MEM32",
   parameter ctop_core8_pf5_bar5_prefetch                                          = "FALSE",
   parameter ctop_core8_pf5_base_class_code                                        = 255,
   parameter ctop_core8_pf5_int_pin                                                = "CTOP_CORE8_PF5_NO_INT",
   parameter ctop_core8_pf5_pasid_cap_execute_permission_supported                 = "DISABLE",
   parameter ctop_core8_pf5_pasid_cap_max_pasid_width                              = 0,
   parameter ctop_core8_pf5_pasid_cap_privileged_mode_supported                    = "DISABLE",
   parameter ctop_core8_pf5_pci_msi_64_bit_addr_cap                                = "FALSE",
   parameter ctop_core8_pf5_pci_msi_ext_data_cap                                   = "FALSE",
   parameter ctop_core8_pf5_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF5_MSI_VEC_1",
   parameter ctop_core8_pf5_pci_msix_bir                                           = 0,
   parameter ctop_core8_pf5_pci_msix_pba                                           = 0,
   parameter ctop_core8_pf5_pci_msix_pba_offset                                    = 0,
   parameter ctop_core8_pf5_pci_msix_table_offset                                  = 0,
   parameter ctop_core8_pf5_pci_msix_table_size                                    = 0,
   parameter ctop_core8_pf5_pci_msix_table_size_vfcomm_cs2                         = 0,
   parameter ctop_core8_pf5_pci_type0_bar0_enabled                                 = "DISABLE",
   parameter ctop_core8_pf5_pci_type0_bar1_enabled                                 = "DISABLE",
   parameter ctop_core8_pf5_pci_type0_bar2_enabled                                 = "DISABLE",
   parameter ctop_core8_pf5_pci_type0_bar3_enabled                                 = "DISABLE",
   parameter ctop_core8_pf5_pci_type0_bar4_enabled                                 = "DISABLE",
   parameter ctop_core8_pf5_pci_type0_bar5_enabled                                 = "DISABLE",
   parameter ctop_core8_pf5_pci_type0_device_id                                    = 0,
   parameter ctop_core8_pf5_pci_type0_vendor_id                                    = 0,
   parameter ctop_core8_pf5_pcie_cap_ep_l0s_accpt_latency                          = 0,
   parameter ctop_core8_pf5_pcie_cap_ep_l1_accpt_latency                           = 0,
   parameter ctop_core8_pf5_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF5_NOT_SUPPORTED",
   parameter ctop_core8_pf5_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF5_NOT_CAPABLE",
   parameter ctop_core8_pf5_pcie_cap_slot_clk_config                               = "FALSE",
   parameter ctop_core8_pf5_pme_support                                            = 0,
   parameter ctop_core8_pf5_program_interface                                      = 0,
   parameter ctop_core8_pf5_revision_id                                            = 0,
   parameter ctop_core8_pf5_rom_bar_enabled                                        = "DISABLE",
   parameter ctop_core8_pf5_shadow_sriov_vf_stride_ari_cs2                         = 0,
   parameter ctop_core8_pf5_sriov_sup_page_size                                    = "0",
   parameter ctop_core8_pf5_sriov_vf_bar0_prefetch                                 = "FALSE",
   parameter ctop_core8_pf5_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF5_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core8_pf5_sriov_vf_bar1_prefetch                                 = "FALSE",
   parameter ctop_core8_pf5_sriov_vf_bar2_prefetch                                 = "FALSE",
   parameter ctop_core8_pf5_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF5_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core8_pf5_sriov_vf_bar3_prefetch                                 = "FALSE",
   parameter ctop_core8_pf5_sriov_vf_bar4_prefetch                                 = "FALSE",
   parameter ctop_core8_pf5_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF5_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core8_pf5_sriov_vf_bar5_prefetch                                 = "FALSE",
   parameter ctop_core8_pf5_sriov_vf_device_id                                     = 0,
   parameter ctop_core8_pf5_sriov_vf_offset_ari_cs2                                = 0,
   parameter ctop_core8_pf5_sriov_vf_offset_position_nonari                        = 0,
   parameter ctop_core8_pf5_sriov_vf_stride_nonari                                 = 0,
   parameter ctop_core8_pf5_subclass_code                                          = 0,
   parameter ctop_core8_pf5_subsys_dev_id                                          = 0,
   parameter ctop_core8_pf5_subsys_vendor_id                                       = 0,
   parameter ctop_core8_pf5_tph_req_cap_int_vec                                    = "DISABLE",
   parameter ctop_core8_pf5_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf5_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF5_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core8_pf5_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF5_NOT_IN_MSIX_TABLE",
   parameter ctop_core8_pf5_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF5_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core8_pf5_tph_req_cap_st_table_size                              = 0,
   parameter ctop_core8_pf5_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
   parameter ctop_core8_pf5_tph_req_device_spec                                    = "DISABLE",
   parameter ctop_core8_pf5_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf5_prs_outstanding_capacity				   = "0",
   parameter ctop_core8_pf6_acs_cap_acs_at_block                                   = "DISABLE",
   parameter ctop_core8_pf6_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
   parameter ctop_core8_pf6_acs_cap_acs_egress_ctrl_size                           = 8,
   parameter ctop_core8_pf6_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
   parameter ctop_core8_pf6_acs_cap_acs_p2p_egress_control                         = "DISABLE",
   parameter ctop_core8_pf6_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
   parameter ctop_core8_pf6_acs_cap_acs_src_valid                                  = "DISABLE",
   parameter ctop_core8_pf6_acs_cap_acs_usp_forwarding                             = "DISABLE",
   parameter ctop_core8_pf6_bar0_prefetch                                          = "FALSE",
   parameter ctop_core8_pf6_bar0_type                                              = "CTOP_CORE8_PF6_BAR0_MEM32",
   parameter ctop_core8_pf6_bar1_prefetch                                          = "FALSE",
   parameter ctop_core8_pf6_bar2_prefetch                                          = "FALSE",
   parameter ctop_core8_pf6_bar2_type                                              = "CTOP_CORE8_PF6_BAR2_MEM32",
   parameter ctop_core8_pf6_bar3_prefetch                                          = "FALSE",
   parameter ctop_core8_pf6_bar4_prefetch                                          = "FALSE",
   parameter ctop_core8_pf6_bar4_type                                              = "CTOP_CORE8_PF6_BAR4_MEM32",
   parameter ctop_core8_pf6_bar5_prefetch                                          = "FALSE",
   parameter ctop_core8_pf6_base_class_code                                        = 255,
   parameter ctop_core8_pf6_int_pin                                                = "CTOP_CORE8_PF6_NO_INT",
   parameter ctop_core8_pf6_pasid_cap_execute_permission_supported                 = "DISABLE",
   parameter ctop_core8_pf6_pasid_cap_max_pasid_width                              = 0,
   parameter ctop_core8_pf6_pasid_cap_privileged_mode_supported                    = "DISABLE",
   parameter ctop_core8_pf6_pci_msi_64_bit_addr_cap                                = "FALSE",
   parameter ctop_core8_pf6_pci_msi_ext_data_cap                                   = "FALSE",
   parameter ctop_core8_pf6_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF6_MSI_VEC_1",
   parameter ctop_core8_pf6_pci_msix_bir                                           = 0,
   parameter ctop_core8_pf6_pci_msix_pba                                           = 0,
   parameter ctop_core8_pf6_pci_msix_pba_offset                                    = 0,
   parameter ctop_core8_pf6_pci_msix_table_offset                                  = 0,
   parameter ctop_core8_pf6_pci_msix_table_size                                    = 0,
   parameter ctop_core8_pf6_pci_msix_table_size_vfcomm_cs2                         = 0,
   parameter ctop_core8_pf6_pci_type0_bar0_enabled                                 = "DISABLE",
   parameter ctop_core8_pf6_pci_type0_bar1_enabled                                 = "DISABLE",
   parameter ctop_core8_pf6_pci_type0_bar2_enabled                                 = "DISABLE",
   parameter ctop_core8_pf6_pci_type0_bar3_enabled                                 = "DISABLE",
   parameter ctop_core8_pf6_pci_type0_bar4_enabled                                 = "DISABLE",
   parameter ctop_core8_pf6_pci_type0_bar5_enabled                                 = "DISABLE",
   parameter ctop_core8_pf6_pci_type0_device_id                                    = 0,
   parameter ctop_core8_pf6_pci_type0_vendor_id                                    = 0,
   parameter ctop_core8_pf6_pcie_cap_ep_l0s_accpt_latency                          = 0,
   parameter ctop_core8_pf6_pcie_cap_ep_l1_accpt_latency                           = 0,
   parameter ctop_core8_pf6_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF6_NOT_SUPPORTED",
   parameter ctop_core8_pf6_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF6_NOT_CAPABLE",
   parameter ctop_core8_pf6_pcie_cap_slot_clk_config                               = "FALSE",
   parameter ctop_core8_pf6_pme_support                                            = 0,
   parameter ctop_core8_pf6_program_interface                                      = 0,
   parameter ctop_core8_pf6_revision_id                                            = 0,
   parameter ctop_core8_pf6_rom_bar_enabled                                        = "DISABLE",
   parameter ctop_core8_pf6_shadow_sriov_vf_stride_ari_cs2                         = 0,
   parameter ctop_core8_pf6_sriov_sup_page_size                                    = "0",
   parameter ctop_core8_pf6_sriov_vf_bar0_prefetch                                 = "FALSE",
   parameter ctop_core8_pf6_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF6_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core8_pf6_sriov_vf_bar1_prefetch                                 = "FALSE",
   parameter ctop_core8_pf6_sriov_vf_bar2_prefetch                                 = "FALSE",
   parameter ctop_core8_pf6_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF6_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core8_pf6_sriov_vf_bar3_prefetch                                 = "FALSE",
   parameter ctop_core8_pf6_sriov_vf_bar4_prefetch                                 = "FALSE",
   parameter ctop_core8_pf6_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF6_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core8_pf6_sriov_vf_bar5_prefetch                                 = "FALSE",
   parameter ctop_core8_pf6_sriov_vf_device_id                                     = 0,
   parameter ctop_core8_pf6_sriov_vf_offset_ari_cs2                                = 0,
   parameter ctop_core8_pf6_sriov_vf_offset_position_nonari                        = 0,
   parameter ctop_core8_pf6_sriov_vf_stride_nonari                                 = 0,
   parameter ctop_core8_pf6_subclass_code                                          = 0,
   parameter ctop_core8_pf6_subsys_dev_id                                          = 0,
   parameter ctop_core8_pf6_subsys_vendor_id                                       = 0,
   parameter ctop_core8_pf6_tph_req_cap_int_vec                                    = "DISABLE",
   parameter ctop_core8_pf6_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf6_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF6_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core8_pf6_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF6_NOT_IN_MSIX_TABLE",
   parameter ctop_core8_pf6_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF6_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core8_pf6_tph_req_cap_st_table_size                              = 0,
   parameter ctop_core8_pf6_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
   parameter ctop_core8_pf6_tph_req_device_spec                                    = "DISABLE",
   parameter ctop_core8_pf6_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf6_prs_outstanding_capacity				   = "0",
   parameter ctop_core8_pf7_acs_cap_acs_at_block                                   = "DISABLE",
   parameter ctop_core8_pf7_acs_cap_acs_direct_translated_p2p                      = "DISABLE",
   parameter ctop_core8_pf7_acs_cap_acs_egress_ctrl_size                           = 8,
   parameter ctop_core8_pf7_acs_cap_acs_p2p_cpl_redirect                           = "DISABLE",
   parameter ctop_core8_pf7_acs_cap_acs_p2p_egress_control                         = "DISABLE",
   parameter ctop_core8_pf7_acs_cap_acs_p2p_req_redirect                           = "DISABLE",
   parameter ctop_core8_pf7_acs_cap_acs_src_valid                                  = "DISABLE",
   parameter ctop_core8_pf7_acs_cap_acs_usp_forwarding                             = "DISABLE",
   parameter ctop_core8_pf7_bar0_prefetch                                          = "FALSE",
   parameter ctop_core8_pf7_bar0_type                                              = "CTOP_CORE8_PF7_BAR0_MEM32",
   parameter ctop_core8_pf7_bar1_prefetch                                          = "FALSE",
   parameter ctop_core8_pf7_bar2_prefetch                                          = "FALSE",
   parameter ctop_core8_pf7_bar2_type                                              = "CTOP_CORE8_PF7_BAR2_MEM32",
   parameter ctop_core8_pf7_bar3_prefetch                                          = "FALSE",
   parameter ctop_core8_pf7_bar4_prefetch                                          = "FALSE",
   parameter ctop_core8_pf7_bar4_type                                              = "CTOP_CORE8_PF7_BAR4_MEM32",
   parameter ctop_core8_pf7_bar5_prefetch                                          = "FALSE",
   parameter ctop_core8_pf7_base_class_code                                        = 255,
   parameter ctop_core8_pf7_int_pin                                                = "CTOP_CORE8_PF7_NO_INT",
   parameter ctop_core8_pf7_pasid_cap_execute_permission_supported                 = "DISABLE",
   parameter ctop_core8_pf7_pasid_cap_max_pasid_width                              = 0,
   parameter ctop_core8_pf7_pasid_cap_privileged_mode_supported                    = "DISABLE",
   parameter ctop_core8_pf7_pci_msi_64_bit_addr_cap                                = "FALSE",
   parameter ctop_core8_pf7_pci_msi_ext_data_cap                                   = "FALSE",
   parameter ctop_core8_pf7_pci_msi_multiple_msg_cap                               = "CTOP_CORE8_PF7_MSI_VEC_1",
   parameter ctop_core8_pf7_pci_msix_bir                                           = 0,
   parameter ctop_core8_pf7_pci_msix_pba                                           = 0,
   parameter ctop_core8_pf7_pci_msix_pba_offset                                    = 0,
   parameter ctop_core8_pf7_pci_msix_table_offset                                  = 0,
   parameter ctop_core8_pf7_pci_msix_table_size                                    = 0,
   parameter ctop_core8_pf7_pci_msix_table_size_vfcomm_cs2                         = 0,
   parameter ctop_core8_pf7_pci_type0_bar0_enabled                                 = "DISABLE",
   parameter ctop_core8_pf7_pci_type0_bar1_enabled                                 = "DISABLE",
   parameter ctop_core8_pf7_pci_type0_bar2_enabled                                 = "DISABLE",
   parameter ctop_core8_pf7_pci_type0_bar3_enabled                                 = "DISABLE",
   parameter ctop_core8_pf7_pci_type0_bar4_enabled                                 = "DISABLE",
   parameter ctop_core8_pf7_pci_type0_bar5_enabled                                 = "DISABLE",
   parameter ctop_core8_pf7_pci_type0_device_id                                    = 0,
   parameter ctop_core8_pf7_pci_type0_vendor_id                                    = 0,
   parameter ctop_core8_pf7_pcie_cap_ep_l0s_accpt_latency                          = 0,
   parameter ctop_core8_pf7_pcie_cap_ep_l1_accpt_latency                           = 0,
   parameter ctop_core8_pf7_pcie_cap_ext_tag_supp                                  = "CTOP_CORE8_PF7_NOT_SUPPORTED",
   parameter ctop_core8_pf7_pcie_cap_flr_cap                                       = "CTOP_CORE8_PF7_NOT_CAPABLE",
   parameter ctop_core8_pf7_pcie_cap_slot_clk_config                               = "FALSE",
   parameter ctop_core8_pf7_pme_support                                            = 0,
   parameter ctop_core8_pf7_program_interface                                      = 0,
   parameter ctop_core8_pf7_revision_id                                            = 0,
   parameter ctop_core8_pf7_rom_bar_enabled                                        = "DISABLE",
   parameter ctop_core8_pf7_shadow_sriov_vf_stride_ari_cs2                         = 0,
   parameter ctop_core8_pf7_sriov_sup_page_size                                    = "0",
   parameter ctop_core8_pf7_sriov_vf_bar0_prefetch                                 = "FALSE",
   parameter ctop_core8_pf7_sriov_vf_bar0_type                                     = "CTOP_CORE8_PF7_SRIOV_VF_BAR0_MEM32",
   parameter ctop_core8_pf7_sriov_vf_bar1_prefetch                                 = "FALSE",
   parameter ctop_core8_pf7_sriov_vf_bar2_prefetch                                 = "FALSE",
   parameter ctop_core8_pf7_sriov_vf_bar2_type                                     = "CTOP_CORE8_PF7_SRIOV_VF_BAR2_MEM32",
   parameter ctop_core8_pf7_sriov_vf_bar3_prefetch                                 = "FALSE",
   parameter ctop_core8_pf7_sriov_vf_bar4_prefetch                                 = "FALSE",
   parameter ctop_core8_pf7_sriov_vf_bar4_type                                     = "CTOP_CORE8_PF7_SRIOV_VF_BAR4_MEM32",
   parameter ctop_core8_pf7_sriov_vf_bar5_prefetch                                 = "FALSE",
   parameter ctop_core8_pf7_sriov_vf_device_id                                     = 0,
   parameter ctop_core8_pf7_sriov_vf_offset_ari_cs2                                = 0,
   parameter ctop_core8_pf7_sriov_vf_offset_position_nonari                        = 0,
   parameter ctop_core8_pf7_sriov_vf_stride_nonari                                 = 0,
   parameter ctop_core8_pf7_subclass_code                                          = 0,
   parameter ctop_core8_pf7_subsys_dev_id                                          = 0,
   parameter ctop_core8_pf7_subsys_vendor_id                                       = 0,
   parameter ctop_core8_pf7_tph_req_cap_int_vec                                    = "DISABLE",
   parameter ctop_core8_pf7_tph_req_cap_int_vec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf7_tph_req_cap_st_table_loc_0_vfcomm_cs2                  = "CTOP_CORE8_PF7_NOT_IN_TPH_STRUCT_VF",
   parameter ctop_core8_pf7_tph_req_cap_st_table_loc_1                             = "CTOP_CORE8_PF7_NOT_IN_MSIX_TABLE",
   parameter ctop_core8_pf7_tph_req_cap_st_table_loc_1_vfcomm_cs2                  = "CTOP_CORE8_PF7_NOT_IN_MSIX_TABLE_VF",
   parameter ctop_core8_pf7_tph_req_cap_st_table_size                              = 0,
   parameter ctop_core8_pf7_tph_req_cap_st_table_size_vfcomm_cs2                   = 0,
   parameter ctop_core8_pf7_tph_req_device_spec                                    = "DISABLE",
   parameter ctop_core8_pf7_tph_req_device_spec_vfcomm_cs2                         = "DISABLE",
   parameter ctop_core8_pf7_prs_outstanding_capacity				   = "0",
   parameter ctop_core8_rxbuf_limit_bypass                                         = 0,
   parameter ctop_core8_virtual_drop_vendor0_msg                                   = "FALSE",
   parameter ctop_core8_virtual_drop_vendor1_msg                                   = "FALSE",
   parameter ctop_core8_virtual_ep_native                                          = "CTOP_CORE8_NATIVE",
   parameter ctop_core8_virtual_link_rate                                          = "CTOP_CORE8_GEN1",
   parameter ctop_core8_virtual_link_width                                         = "CTOP_CORE8_X1",
   parameter ctop_core8_virtual_maxpayload_size                                    = "CTOP_CORE8_MAX_PAYLOAD_128",
   parameter ctop_core8_virtual_num_of_lanes                                       = "CTOP_CORE8_NUM_1",
   parameter ctop_core8_virtual_pf0_acs_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf0_ats_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf0_dlink_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf0_exvf_acs_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf0_exvf_ats_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf0_exvf_msix_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf0_exvf_tph_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf0_exvf_virtio_en                                 = "DISABLE",
   parameter ctop_core8_virtual_pf0_io_decode                                      = "CTOP_CORE8_IO32",
   parameter ctop_core8_virtual_pf0_ltr_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf0_msi_enable                                     = "DISABLE",
   parameter ctop_core8_virtual_pf0_msix_enable                                    = "DISABLE",
   parameter ctop_core8_virtual_pf0_pasid_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf0_prefetch_decode                                = "CTOP_CORE8_PREF64",
   parameter ctop_core8_virtual_pf0_prs_ext_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf0_ras_des_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf0_sn_cap_enable                                  = "DISABLE",
   parameter ctop_core8_virtual_pf0_sriov_enable                                   = "DISABLE",
   parameter ctop_core8_virtual_pf0_sriov_vf_bar0_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf0_sriov_vf_bar1_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf0_sriov_vf_bar2_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf0_sriov_vf_bar3_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf0_sriov_vf_bar4_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf0_sriov_vf_bar5_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf0_tph_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf0_user_vsec_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf0_virtio_en                                      = "DISABLE",
   parameter ctop_core8_virtual_pf1_acs_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf1_ats_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf1_enable                                         = "DISABLE",
   parameter ctop_core8_virtual_pf1_exvf_acs_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf1_exvf_ats_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf1_exvf_msix_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf1_exvf_tph_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf1_exvf_virtio_en                                 = "DISABLE",
   parameter ctop_core8_virtual_pf1_msi_enable                                     = "DISABLE",
   parameter ctop_core8_virtual_pf1_msix_enable                                    = "DISABLE",
   parameter ctop_core8_virtual_pf1_pasid_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf1_prs_ext_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf1_sriov_enable                                   = "DISABLE",
   parameter ctop_core8_virtual_pf1_sriov_vf_bar0_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf1_sriov_vf_bar1_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf1_sriov_vf_bar2_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf1_sriov_vf_bar3_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf1_sriov_vf_bar4_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf1_sriov_vf_bar5_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf1_tph_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf1_user_vsec_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf1_user_vsec_offset                               = "0",
   parameter ctop_core8_virtual_pf1_virtio_en                                      = "DISABLE",
   parameter ctop_core8_virtual_pf2_acs_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf2_ats_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf2_enable                                         = "DISABLE",
   parameter ctop_core8_virtual_pf2_exvf_acs_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf2_exvf_ats_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf2_exvf_msix_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf2_exvf_tph_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf2_exvf_virtio_en                                 = "DISABLE",
   parameter ctop_core8_virtual_pf2_msi_enable                                     = "DISABLE",
   parameter ctop_core8_virtual_pf2_msix_enable                                    = "DISABLE",
   parameter ctop_core8_virtual_pf2_pasid_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf2_prs_ext_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf2_sriov_enable                                   = "DISABLE",
   parameter ctop_core8_virtual_pf2_sriov_vf_bar0_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf2_sriov_vf_bar1_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf2_sriov_vf_bar2_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf2_sriov_vf_bar3_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf2_sriov_vf_bar4_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf2_sriov_vf_bar5_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf2_tph_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf2_user_vsec_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf2_user_vsec_offset                               = "0",
   parameter ctop_core8_virtual_pf2_virtio_en                                      = "DISABLE",
   parameter ctop_core8_virtual_pf3_acs_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf3_ats_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf3_enable                                         = "DISABLE",
   parameter ctop_core8_virtual_pf3_exvf_acs_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf3_exvf_ats_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf3_exvf_msix_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf3_exvf_tph_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf3_exvf_virtio_en                                 = "DISABLE",
   parameter ctop_core8_virtual_pf3_msi_enable                                     = "DISABLE",
   parameter ctop_core8_virtual_pf3_msix_enable                                    = "DISABLE",
   parameter ctop_core8_virtual_pf3_pasid_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf3_prs_ext_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf3_sriov_enable                                   = "DISABLE",
   parameter ctop_core8_virtual_pf3_sriov_vf_bar0_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf3_sriov_vf_bar1_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf3_sriov_vf_bar2_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf3_sriov_vf_bar3_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf3_sriov_vf_bar4_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf3_sriov_vf_bar5_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf3_tph_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf3_user_vsec_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf3_user_vsec_offset                               = "0",
   parameter ctop_core8_virtual_pf3_virtio_en                                      = "DISABLE",
   parameter ctop_core8_virtual_pf4_acs_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf4_ats_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf4_enable                                         = "DISABLE",
   parameter ctop_core8_virtual_pf4_exvf_acs_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf4_exvf_ats_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf4_exvf_msix_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf4_exvf_tph_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf4_exvf_virtio_en                                 = "DISABLE",
   parameter ctop_core8_virtual_pf4_msi_enable                                     = "DISABLE",
   parameter ctop_core8_virtual_pf4_msix_enable                                    = "DISABLE",
   parameter ctop_core8_virtual_pf4_pasid_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf4_prs_ext_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf4_sriov_enable                                   = "DISABLE",
   parameter ctop_core8_virtual_pf4_sriov_vf_bar0_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf4_sriov_vf_bar1_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf4_sriov_vf_bar2_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf4_sriov_vf_bar3_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf4_sriov_vf_bar4_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf4_sriov_vf_bar5_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf4_tph_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf4_user_vsec_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf4_user_vsec_offset                               = "0",
   parameter ctop_core8_virtual_pf4_virtio_en                                      = "DISABLE",
   parameter ctop_core8_virtual_pf5_acs_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf5_ats_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf5_enable                                         = "DISABLE",
   parameter ctop_core8_virtual_pf5_exvf_acs_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf5_exvf_ats_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf5_exvf_msix_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf5_exvf_tph_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf5_exvf_virtio_en                                 = "DISABLE",
   parameter ctop_core8_virtual_pf5_msi_enable                                     = "DISABLE",
   parameter ctop_core8_virtual_pf5_msix_enable                                    = "DISABLE",
   parameter ctop_core8_virtual_pf5_pasid_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf5_prs_ext_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf5_sriov_enable                                   = "DISABLE",
   parameter ctop_core8_virtual_pf5_sriov_vf_bar0_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf5_sriov_vf_bar1_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf5_sriov_vf_bar2_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf5_sriov_vf_bar3_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf5_sriov_vf_bar4_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf5_sriov_vf_bar5_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf5_tph_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf5_user_vsec_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf5_user_vsec_offset                               = "0",
   parameter ctop_core8_virtual_pf5_virtio_en                                      = "DISABLE",
   parameter ctop_core8_virtual_pf6_acs_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf6_ats_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf6_enable                                         = "DISABLE",
   parameter ctop_core8_virtual_pf6_exvf_acs_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf6_exvf_ats_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf6_exvf_msix_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf6_exvf_tph_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf6_exvf_virtio_en                                 = "DISABLE",
   parameter ctop_core8_virtual_pf6_msi_enable                                     = "DISABLE",
   parameter ctop_core8_virtual_pf6_msix_enable                                    = "DISABLE",
   parameter ctop_core8_virtual_pf6_pasid_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf6_prs_ext_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf6_sriov_enable                                   = "DISABLE",
   parameter ctop_core8_virtual_pf6_sriov_vf_bar0_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf6_sriov_vf_bar1_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf6_sriov_vf_bar2_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf6_sriov_vf_bar3_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf6_sriov_vf_bar4_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf6_sriov_vf_bar5_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf6_tph_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf6_user_vsec_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf6_user_vsec_offset                               = "0",
   parameter ctop_core8_virtual_pf6_virtio_en                                      = "DISABLE",
   parameter ctop_core8_virtual_pf7_acs_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf7_ats_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf7_enable                                         = "DISABLE",
   parameter ctop_core8_virtual_pf7_exvf_acs_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf7_exvf_ats_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf7_exvf_msix_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf7_exvf_tph_cap_enable                            = "DISABLE",
   parameter ctop_core8_virtual_pf7_exvf_virtio_en                                 = "DISABLE",
   parameter ctop_core8_virtual_pf7_msi_enable                                     = "DISABLE",
   parameter ctop_core8_virtual_pf7_msix_enable                                    = "DISABLE",
   parameter ctop_core8_virtual_pf7_pasid_cap_enable                               = "DISABLE",
   parameter ctop_core8_virtual_pf7_prs_ext_cap_enable                             = "DISABLE",
   parameter ctop_core8_virtual_pf7_sriov_enable                                   = "DISABLE",
   parameter ctop_core8_virtual_pf7_sriov_vf_bar0_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf7_sriov_vf_bar1_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf7_sriov_vf_bar2_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf7_sriov_vf_bar3_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf7_sriov_vf_bar4_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf7_sriov_vf_bar5_enabled                          = "DISABLE",
   parameter ctop_core8_virtual_pf7_tph_cap_enable                                 = "DISABLE",
   parameter ctop_core8_virtual_pf7_user_vsec_cap_enable                           = "DISABLE",
   parameter ctop_core8_virtual_pf7_user_vsec_offset                               = "0",
   parameter ctop_core8_virtual_pf7_virtio_en                                      = "DISABLE",
   parameter ctop_core8_virtual_rp_ep_mode                                         = "CTOP_CORE8_EP",
   parameter ctop_core8_virtual_txeq_mode                                          = "CTOP_CORE8_EQ_FOM_MODE",
   parameter ctop_core8_virtual_ptm_autoupdate                                     = "CTOP_CORE8_AUTOUPDATE_10MS",
   parameter ctop_core8_vsec_next_offset                                           = "0",
   parameter ctop_core16_cfg_ptm_local_clock_adj_lsb                               = "0",
   parameter ctop_core16_cfg_ptm_local_clock_adj_msb                               = "0",
   parameter ctop_core8_cfg_ptm_local_clock_adj_lsb                                = "0",
   parameter ctop_core8_cfg_ptm_local_clock_adj_msb                                = "0",
   parameter ctop_ctrltop_r_hrc_rst_ctrl_k_hrc_pin_perst_is_full_rst_attr          = "CTOP_CTRLTOP_R_HRC_RST_CTRL_K_HRC_PIN_PERST_IS_FULL_RST_ATTR_1",
   parameter ctop_virtual_ptm                                                      = "CTOP_DISABLED",
   parameter ctop_virtual_x16_perst_sel                                            = "CTOP_CMN_HARD_X16",
   parameter ctop_virtual_x8_perst_sel                                             = "CTOP_CMN_HARD_X8",
   parameter ctop_virtual_x40_perst_sel                                            = "CTOP_CMN_HARD_X40",
   parameter ctop_virtual_x41_perst_sel                                            = "CTOP_CMN_HARD_X41",
   parameter topology                                                              = "PCIE_X8",
   parameter virtual_sris_enable                                                   = "DISABLE_SRIS",
   parameter virtual_sup_mode                                                      = "USER_MODE",
   parameter virtual_tlp_bypass_en                                                 = "DISABLE_TLBP",


   parameter silicon_rev                                                           = "10nm8agdrb",
   parameter generating_b0_hwtcl                                                   = 1,
   parameter duplex_mode                                                           = "ENABLE"

)(
   // Clocks
   (* tile_ip_find_net *) input                        refclk0,
   (* tile_ip_find_net *) input                        refclk1,
   (* tile_ip_find_net *) input                        refclk2,
   (* tile_ip_find_net *) input                        refclk3,
   (* tile_ip_find_net *) input                        pcie_systempll_clk,

   output                                              coreclkout_hip,


   // Reset
   input                                               pin_perst_n,
   input                                               ninit_done,

   output                                              p0_pin_perst_n,
   output                                              p1_pin_perst_n,
   output                                              p2_pin_perst_n,
   output                                              p3_pin_perst_n,

   output                                              p0_reset_status_n,
   output                                              p1_reset_status_n,
   output                                              p2_reset_status_n,
   output                                              p3_reset_status_n,

   input                                               p0_pld_warm_rst_rdy_i,
   input                                               p1_pld_warm_rst_rdy_i,
   input                                               p2_pld_warm_rst_rdy_i,
   input                                               p3_pld_warm_rst_rdy_i,

   output                                              p0_pld_link_req_rst_o,
   output                                              p1_pld_link_req_rst_o,
   output                                              p2_pld_link_req_rst_o,
   output                                              p3_pld_link_req_rst_o,

   input                                               dummy_user_avmm_rst,

   //p0 rx_st ports
   input                                               p0_rx_st_ready_i,
   output  [core16_payload_width_integer_hwtcl-1:0]    p0_rx_st_data_o,
   output  [core16_payload_width_integer_hwtcl/8-1:0]  p0_rx_st_data_par_o,
   output  [core16_hdr_width_integer_hwtcl-1:0]        p0_rx_st_hdr_o,
   output  [core16_hdr_width_integer_hwtcl/8-1:0]      p0_rx_st_hdr_par_o,
   output  [core16_pfx_width_integer_hwtcl-1:0]        p0_rx_st_tlp_prfx_o,
   output  [core16_pfx_width_integer_hwtcl/8-1:0]      p0_rx_st_tlp_prfx_par_o,
   output  [core16_double_width_integer_hwtcl*3-1:0]   p0_rx_st_func_num_o,
   output  [core16_double_width_integer_hwtcl*11-1:0]  p0_rx_st_vf_num_o,
   output  [core16_double_width_integer_hwtcl-1:0]     p0_rx_st_vf_active_o,
   output  [core16_double_width_integer_hwtcl-1:0]     p0_rx_st_valid_o,
   output  [core16_double_width_integer_hwtcl-1:0]     p0_rx_st_sop_o,
   output  [core16_double_width_integer_hwtcl-1:0]     p0_rx_st_eop_o,
   output  [core16_empty_width_integer_hwtcl-1:0]      p0_rx_st_empty_o,
   output  [core16_double_width_integer_hwtcl*3-1:0]   p0_rx_st_bar_range_o,
   output  [core16_double_width_integer_hwtcl-1:0]     p0_rx_st_tlp_abort_o,
   output                                              p0_rx_par_err_o,
   //p1 rx_st ports
   input                                               p1_rx_st_ready_i,
   output  [core8_payload_width_integer_hwtcl-1:0]     p1_rx_st_data_o,
   output  [core8_payload_width_integer_hwtcl/8-1:0]   p1_rx_st_data_par_o,
   output  [core8_hdr_width_integer_hwtcl-1:0]         p1_rx_st_hdr_o,
   output  [core8_hdr_width_integer_hwtcl/8-1:0]       p1_rx_st_hdr_par_o,
   output  [core8_pfx_width_integer_hwtcl-1:0]         p1_rx_st_tlp_prfx_o,
   output  [core8_pfx_width_integer_hwtcl/8-1:0]       p1_rx_st_tlp_prfx_par_o,
   output  [core8_double_width_integer_hwtcl*3-1:0]    p1_rx_st_func_num_o,
   output  [core8_double_width_integer_hwtcl*11-1:0]   p1_rx_st_vf_num_o,
   output  [core8_double_width_integer_hwtcl-1:0]      p1_rx_st_vf_active_o,
   output  [core8_double_width_integer_hwtcl-1:0]      p1_rx_st_valid_o,
   output  [core8_double_width_integer_hwtcl-1:0]      p1_rx_st_sop_o,
   output  [core8_double_width_integer_hwtcl-1:0]      p1_rx_st_eop_o,
   output  [core8_empty_width_integer_hwtcl-1:0]       p1_rx_st_empty_o,
   output  [core8_double_width_integer_hwtcl*3-1:0]    p1_rx_st_bar_range_o,
   output  [core8_double_width_integer_hwtcl-1:0]      p1_rx_st_tlp_abort_o,
   output                                              p1_rx_par_err_o,
   //p2 rx_st ports
   input                                               p2_rx_st_ready_i,
   output  [core4_0_payload_width_integer_hwtcl-1:0]   p2_rx_st_data_o,
   output  [core4_0_payload_width_integer_hwtcl/8-1:0] p2_rx_st_data_par_o,
   output  [core4_0_hdr_width_integer_hwtcl-1:0]       p2_rx_st_hdr_o,
   output  [core4_0_hdr_width_integer_hwtcl/8-1:0]     p2_rx_st_hdr_par_o,
   output  [core4_0_pfx_width_integer_hwtcl-1:0]       p2_rx_st_tlp_prfx_o,
   output  [core4_0_pfx_width_integer_hwtcl/8-1:0]     p2_rx_st_tlp_prfx_par_o,
   output  [core4_0_double_width_integer_hwtcl-1:0]    p2_rx_st_valid_o,
   output  [core4_0_double_width_integer_hwtcl-1:0]    p2_rx_st_sop_o,
   output  [core4_0_double_width_integer_hwtcl-1:0]    p2_rx_st_eop_o,
   output  [core4_0_empty_width_integer_hwtcl-1:0]     p2_rx_st_empty_o,
   output  [core4_0_double_width_integer_hwtcl*3-1:0]  p2_rx_st_bar_range_o,
   output  [core4_0_double_width_integer_hwtcl-1:0]    p2_rx_st_tlp_abort_o,
   output                                              p2_rx_par_err_o,
   //p3 rx_st ports
   input                                               p3_rx_st_ready_i,
   output  [core4_1_payload_width_integer_hwtcl-1:0]   p3_rx_st_data_o,
   output  [core4_1_payload_width_integer_hwtcl/8-1:0] p3_rx_st_data_par_o,
   output  [core4_1_hdr_width_integer_hwtcl-1:0]       p3_rx_st_hdr_o,
   output  [core4_1_hdr_width_integer_hwtcl/8-1:0]     p3_rx_st_hdr_par_o,
   output  [core4_1_pfx_width_integer_hwtcl-1:0]       p3_rx_st_tlp_prfx_o,
   output  [core4_1_pfx_width_integer_hwtcl/8-1:0]     p3_rx_st_tlp_prfx_par_o,
   output  [core4_1_double_width_integer_hwtcl-1:0]    p3_rx_st_valid_o,
   output  [core4_1_double_width_integer_hwtcl-1:0]    p3_rx_st_sop_o,
   output  [core4_1_double_width_integer_hwtcl-1:0]    p3_rx_st_eop_o,
   output  [core4_1_empty_width_integer_hwtcl-1:0]     p3_rx_st_empty_o,
   output  [core4_1_double_width_integer_hwtcl*3-1:0]  p3_rx_st_bar_range_o,
   output  [core4_1_double_width_integer_hwtcl-1:0]    p3_rx_st_tlp_abort_o,
   output                                              p3_rx_par_err_o,


   //p0 rx_buffer_limit ports
   input  [1:0]                                        p0_rx_buffer_limit_tdm_idx_i,
   input  [11:0]                                       p0_rx_buffer_limit_i,
   //p1 rx_buffer_limit ports
   input  [11:0]                                       p1_rx_buffer_limit_i,
   input  [1:0]                                        p1_rx_buffer_limit_tdm_idx_i,
   //p2 rx_buffer_limit ports
   input  [1:0]                                        p2_rx_buffer_limit_tdm_idx_i,
   input  [11:0]                                       p2_rx_buffer_limit_i,
   //p3 rx_buffer_limit ports
   input  [11:0]                                       p3_rx_buffer_limit_i,
   input  [1:0]                                        p3_rx_buffer_limit_tdm_idx_i,


   //p0 tx_st ports
   input  [core16_payload_width_integer_hwtcl-1:0]     p0_tx_st_data_i,
   input  [core16_payload_width_integer_hwtcl/8-1:0]   p0_tx_st_data_par_i,
   input  [core16_hdr_width_integer_hwtcl-1:0]         p0_tx_st_hdr_i,
   input  [core16_hdr_width_integer_hwtcl/8-1:0]       p0_tx_st_hdr_par_i,
   input  [core16_pfx_width_integer_hwtcl-1:0]         p0_tx_st_tlp_prfx_i,
   input  [core16_pfx_width_integer_hwtcl/8-1:0]       p0_tx_st_tlp_prfx_par_i,
   input  [core16_double_width_integer_hwtcl-1:0]      p0_tx_st_valid_i,
   input  [core16_double_width_integer_hwtcl-1:0]      p0_tx_st_sop_i,
   input  [core16_double_width_integer_hwtcl-1:0]      p0_tx_st_eop_i,
   input  [core16_double_width_integer_hwtcl-1:0]      p0_tx_st_err_i,
   output                                              p0_tx_st_ready_o,
   output                                              p0_tx_par_err_o,
   //p1 tx_st ports
   input  [core8_payload_width_integer_hwtcl-1:0]      p1_tx_st_data_i,
   input  [core8_payload_width_integer_hwtcl/8-1:0]    p1_tx_st_data_par_i,
   input  [core8_hdr_width_integer_hwtcl-1:0]          p1_tx_st_hdr_i,
   input  [core8_hdr_width_integer_hwtcl/8-1:0]        p1_tx_st_hdr_par_i,
   input  [core8_pfx_width_integer_hwtcl-1:0]          p1_tx_st_tlp_prfx_i,
   input  [core8_pfx_width_integer_hwtcl/8-1:0]        p1_tx_st_tlp_prfx_par_i,
   input  [core8_double_width_integer_hwtcl-1:0]       p1_tx_st_valid_i,
   input  [core8_double_width_integer_hwtcl-1:0]       p1_tx_st_sop_i,
   input  [core8_double_width_integer_hwtcl-1:0]       p1_tx_st_eop_i,
   input  [core8_double_width_integer_hwtcl-1:0]       p1_tx_st_err_i,
   output                                              p1_tx_st_ready_o,
   output                                              p1_tx_par_err_o,
   //p2 tx_st ports
   input  [core4_0_payload_width_integer_hwtcl-1:0]    p2_tx_st_data_i,
   input  [core4_0_payload_width_integer_hwtcl/8-1:0]  p2_tx_st_data_par_i,
   input  [core4_0_hdr_width_integer_hwtcl-1:0]        p2_tx_st_hdr_i,
   input  [core4_0_hdr_width_integer_hwtcl/8-1:0]      p2_tx_st_hdr_par_i,
   input  [core4_0_pfx_width_integer_hwtcl-1:0]        p2_tx_st_tlp_prfx_i,
   input  [core4_0_pfx_width_integer_hwtcl/8-1:0]      p2_tx_st_tlp_prfx_par_i,
   input  [core4_0_double_width_integer_hwtcl-1:0]     p2_tx_st_valid_i,
   input  [core4_0_double_width_integer_hwtcl-1:0]     p2_tx_st_sop_i,
   input  [core4_0_double_width_integer_hwtcl-1:0]     p2_tx_st_eop_i,
   input  [core4_0_double_width_integer_hwtcl-1:0]     p2_tx_st_err_i,
   output                                              p2_tx_st_ready_o,
   output                                              p2_tx_par_err_o,
   //p3 tx_st ports
   input  [core4_1_payload_width_integer_hwtcl-1:0]    p3_tx_st_data_i,
   input  [core4_1_payload_width_integer_hwtcl/8-1:0]  p3_tx_st_data_par_i,
   input  [core4_1_hdr_width_integer_hwtcl-1:0]        p3_tx_st_hdr_i,
   input  [core4_1_hdr_width_integer_hwtcl/8-1:0]      p3_tx_st_hdr_par_i,
   input  [core4_1_pfx_width_integer_hwtcl-1:0]        p3_tx_st_tlp_prfx_i,
   input  [core4_1_pfx_width_integer_hwtcl/8-1:0]      p3_tx_st_tlp_prfx_par_i,
   input  [core4_1_double_width_integer_hwtcl-1:0]     p3_tx_st_valid_i,
   input  [core4_1_double_width_integer_hwtcl-1:0]     p3_tx_st_sop_i,
   input  [core4_1_double_width_integer_hwtcl-1:0]     p3_tx_st_eop_i,
   input  [core4_1_double_width_integer_hwtcl-1:0]     p3_tx_st_err_i,
   output                                              p3_tx_st_ready_o,
   output                                              p3_tx_par_err_o,


   //p0 tx_cdts ports
   output  [15:0]                                      p0_tx_cdts_limit_o,
   output  [2:0]                                       p0_tx_cdts_limit_tdm_idx_o,
   //p1 tx_cdts ports
   output  [15:0]                                      p1_tx_cdts_limit_o,
   output  [2:0]                                       p1_tx_cdts_limit_tdm_idx_o,
   //p2 tx_cdts ports
   output  [15:0]                                      p2_tx_cdts_limit_o,
   output  [2:0]                                       p2_tx_cdts_limit_tdm_idx_o,
   //p3 tx_cdts ports
   output  [15:0]                                      p3_tx_cdts_limit_o,
   output  [2:0]                                       p3_tx_cdts_limit_tdm_idx_o,


   //p0 _int_ ports
   input   [7:0]                                       p0_app_int_i,
   output                                              p0_int_status_o,
   //p1 _int_ ports
   input   [7:0]                                       p1_app_int_i,
   output                                              p1_int_status_o,
   //p2 _int_ ports
   output                                              p2_int_status_o,
   //p3 _int_ ports
   output                                              p3_int_status_o,


   //p0 msi ports (EP only)
   //soft logic to allign with 32bit data width
   input  [2:0]                                        p0_msi_pnd_func_i,
   input  [1:0]                                        p0_msi_pnd_addr_i,
   input  [7:0]                                        p0_msi_pnd_byte_i,    //need soft logic to convert 32 bit data to 8bit bytedata and 2bit addr
   //p1 msi ports
   input  [2:0]                                        p1_msi_pnd_func_i,
   input  [1:0]                                        p1_msi_pnd_addr_i,
   input  [7:0]                                        p1_msi_pnd_byte_i,
   //p2 msi ports
   //p3 msi ports


   //export output
   //soft logic needs to control input
   input                                               p0_app_xfer_pending_i,
   input                                               p0_apps_ready_entr_l23_i,
   input   [7:0]                                       p0_apps_pm_xmt_pme_i,
   input                                               p0_app_init_rst_i,
   input                                               p0_apps_pm_xmt_turnoff_i,
   output                                              p0_surprise_down_err_o,
   output                                              p0_link_up_o,
   output                                              p0_dl_up_o,
   output  [2:0]                                       p0_pm_state_o,
   output  [31:0]                                      p0_pm_dstate_o,
   output  [5:0]                                       p0_ltssm_state_o,
   //p1 power_mgmt ports
   input                                               p1_app_xfer_pending_i,
   input                                               p1_apps_ready_entr_l23_i,
   input   [7:0]                                       p1_apps_pm_xmt_pme_i,
   input                                               p1_app_init_rst_i,
   input                                               p1_apps_pm_xmt_turnoff_i,
   output                                              p1_surprise_down_err_o,
   output                                              p1_link_up_o,
   output                                              p1_dl_up_o,
   output  [2:0]                                       p1_pm_state_o,
   output  [31:0]                                      p1_pm_dstate_o,
   output  [5:0]                                       p1_ltssm_state_o,
   //p2 power_mgmt ports
   input                                               p2_app_xfer_pending_i,
   input                                               p2_apps_ready_entr_l23_i,
   input                                               p2_apps_pm_xmt_pme_i,
   input                                               p2_app_init_rst_i,
   input                                               p2_apps_pm_xmt_turnoff_i,
   output                                              p2_surprise_down_err_o,
   output                                              p2_link_up_o,
   output                                              p2_dl_up_o,
   output  [2:0]                                       p2_pm_state_o,
   output  [3:0]                                       p2_pm_dstate_o,
   output  [5:0]                                       p2_ltssm_state_o,
   //p3 power_mgmt ports
   input                                               p3_app_xfer_pending_i,
   input                                               p3_apps_ready_entr_l23_i,
   input                                               p3_apps_pm_xmt_pme_i,
   input                                               p3_app_init_rst_i,
   input                                               p3_apps_pm_xmt_turnoff_i,
   output                                              p3_surprise_down_err_o,
   output                                              p3_link_up_o,
   output                                              p3_dl_up_o,
   output  [2:0]                                       p3_pm_state_o,
   output  [3:0]                                       p3_pm_dstate_o,
   output  [5:0]                                       p3_ltssm_state_o,


   //p0 err_ ports
   //requires 5 cycles
   //need soft logic to ease user effort
   input                                               p0_app_err_valid_i,
   input   [2:0]                                       p0_app_err_func_num_i,
   input   [31:0]                                      p0_app_err_hdr_i,        //add soft logic to convert hdr+prfx to 5 cycles of 32bit
   input   [12:0]                                      p0_app_err_info_i,
   output                                              p0_serr_out_o,
   output                                              p0_hip_enter_err_mode_o,
   //p1 err_ ports
   input                                               p1_app_err_valid_i,
   input   [2:0]                                       p1_app_err_func_num_i,
   input   [31:0]                                      p1_app_err_hdr_i,        //add soft logic to convert hdr+prfx to 5 cycles of 32bit
   input   [12:0]                                      p1_app_err_info_i,
   output                                              p1_serr_out_o,
   output                                              p1_hip_enter_err_mode_o,
   //p2 err_ ports
   input                                               p2_app_err_valid_i,
   input   [31:0]                                      p2_app_err_hdr_i,        //add soft logic to convert hdr+prfx to 5 cycles of 32bit
   input   [12:0]                                      p2_app_err_info_i,
   output                                              p2_serr_out_o,
   output                                              p2_hip_enter_err_mode_o,
   //p3 err_ ports
   input                                               p3_app_err_valid_i,
   input   [31:0]                                      p3_app_err_hdr_i,        //add soft logic to convert hdr+prfx to 5 cycles of 32bit
   input   [12:0]                                      p3_app_err_info_i,
   output                                              p3_serr_out_o,
   output                                              p3_hip_enter_err_mode_o,


   //confirm whether or not to support
   //p0 hot plug ports
   //terminate in QSYS
   input                                               p0_sys_aux_pwr_det_i,
   input                                               p0_sys_pwr_fault_det_i,
   input                                               p0_sys_mrl_sensor_state_i,
   input                                               p0_sys_mrl_sensor_chged_i,
   input                                               p0_sys_pre_det_state_i,
   input                                               p0_sys_pre_det_chged_i,
   input                                               p0_sys_cmd_cpled_int_i,
   input                                               p0_sys_atten_button_pressed_i,
   input                                               p0_sys_eml_interlock_engaged_i,
   //p1 sys_ ports
   input                                               p1_sys_aux_pwr_det_i,
   input                                               p1_sys_pwr_fault_det_i,
   input                                               p1_sys_mrl_sensor_state_i,
   input                                               p1_sys_mrl_sensor_chged_i,
   input                                               p1_sys_pre_det_state_i,
   input                                               p1_sys_pre_det_chged_i,
   input                                               p1_sys_cmd_cpled_int_i,
   input                                               p1_sys_atten_button_pressed_i,
   input                                               p1_sys_eml_interlock_engaged_i,
   //p2 sys_ ports
   input                                               p2_sys_aux_pwr_det_i,
   input                                               p2_sys_pwr_fault_det_i,
   input                                               p2_sys_mrl_sensor_state_i,
   input                                               p2_sys_mrl_sensor_chged_i,
   input                                               p2_sys_pre_det_chged_i,
   input                                               p2_sys_pre_det_state_i,
   input                                               p2_sys_cmd_cpled_int_i,
   input                                               p2_sys_atten_button_pressed_i,
   input                                               p2_sys_eml_interlock_engaged_i,
   //p3 sys_ ports
   input                                               p3_sys_aux_pwr_det_i,
   input                                               p3_sys_pwr_fault_det_i,
   input                                               p3_sys_mrl_sensor_state_i,
   input                                               p3_sys_mrl_sensor_chged_i,
   input                                               p3_sys_pre_det_chged_i,
   input                                               p3_sys_pre_det_state_i,
   input                                               p3_sys_cmd_cpled_int_i,
   input                                               p3_sys_atten_button_pressed_i,
   input                                               p3_sys_eml_interlock_engaged_i,


   //p0 flr_ ports
   // PF FLR
   output  [7:0]                                       p0_flr_rcvd_pf_o,
   input   [7:0]                                       p0_flr_completed_pf_i,
   // VF FLR
   output                                              p0_flr_rcvd_vf_o,
   output  [2:0]                                       p0_flr_rcvd_pf_num_o,
   output  [10:0]                                      p0_flr_rcvd_vf_num_o,
   input                                               p0_flr_completed_vf_i,
   input   [2:0]                                       p0_flr_completed_pf_num_i,
   input   [10:0]                                      p0_flr_completed_vf_num_i,
   //p1 flr_ ports
   // PF FLR
   output  [7:0]                                       p1_flr_rcvd_pf_o,
   input   [7:0]                                       p1_flr_completed_pf_i,
   // VF FLR
   output                                              p1_flr_rcvd_vf_o,
   output  [2:0]                                       p1_flr_rcvd_pf_num_o,
   output  [10:0]                                      p1_flr_rcvd_vf_num_o,
   input                                               p1_flr_completed_vf_i,
   input   [2:0]                                       p1_flr_completed_pf_num_i,
   input   [10:0]                                      p1_flr_completed_vf_num_i,
   //p2 flr_ ports
   //p3 flr_ ports


   //p0 virtio ports
   output                                              p0_virtio_pcicfg_vfaccess_o,
   output  [10:0]                                      p0_virtio_pcicfg_vfnum_o,
   output  [2:0]                                       p0_virtio_pcicfg_pfnum_o,
   output  [7:0]                                       p0_virtio_pcicfg_bar_o,
   output  [31:0]                                      p0_virtio_pcicfg_length_o,
   output  [31:0]                                      p0_virtio_pcicfg_baroffset_o,
   output  [31:0]                                      p0_virtio_pcicfg_cfgdata_o,
   output                                              p0_virtio_pcicfg_cfgwr_o,
   output                                              p0_virtio_pcicfg_cfgrd_o,
   input   [10:0]                                      p0_virtio_pcicfg_appvfnum_i,
   input   [2:0]                                       p0_virtio_pcicfg_apppfnum_i,
   input                                               p0_virtio_pcicfg_rdack_i,
   input   [3:0]                                       p0_virtio_pcicfg_rdbe_i,
   input   [31:0]                                      p0_virtio_pcicfg_data_i,
   //p1 virtio ports
   output                                              p1_virtio_pcicfg_vfaccess_o,
   output  [10:0]                                      p1_virtio_pcicfg_vfnum_o,
   output  [2:0]                                       p1_virtio_pcicfg_pfnum_o,
   output  [7:0]                                       p1_virtio_pcicfg_bar_o,
   output  [31:0]                                      p1_virtio_pcicfg_length_o,
   output  [31:0]                                      p1_virtio_pcicfg_baroffset_o,
   output  [31:0]                                      p1_virtio_pcicfg_cfgdata_o,
   output                                              p1_virtio_pcicfg_cfgwr_o,
   output                                              p1_virtio_pcicfg_cfgrd_o,
   input   [10:0]                                      p1_virtio_pcicfg_appvfnum_i,
   input   [2:0]                                       p1_virtio_pcicfg_apppfnum_i,
   input                                               p1_virtio_pcicfg_rdack_i,
   input   [3:0]                                       p1_virtio_pcicfg_rdbe_i,
   input   [31:0]                                      p1_virtio_pcicfg_data_i,


   //p0 tl_cfg ports
   output  [4:0]                                       p0_tl_cfg_add_o,
   output  [2:0]                                       p0_tl_cfg_func_o,  //terminated in RP mode
   output  [15:0]                                      p0_tl_cfg_ctl_o,
   //p1 tl_cfg ports
   output  [4:0]                                       p1_tl_cfg_add_o,
   output  [2:0]                                       p1_tl_cfg_func_o,  //terminated in RP mode
   output  [15:0]                                      p1_tl_cfg_ctl_o,
   //p2 tl_cfg ports
   output  [4:0]                                       p2_tl_cfg_add_o,
   output  [2:0]                                       p2_tl_cfg_func_o,  //terminated in RP mode
   output  [15:0]                                      p2_tl_cfg_ctl_o,
   //p3 tl_cfg ports
   output  [4:0]                                       p3_tl_cfg_add_o,
   output  [2:0]                                       p3_tl_cfg_func_o,  //terminated in RP mode
   output  [15:0]                                      p3_tl_cfg_ctl_o,


   //export as it is
   input                                               p0_cii_halt_i,    //default to 0
   input                                               p0_cii_override_en_i,
   input   [31:0]                                      p0_cii_override_din_i,
   output                                              p0_cii_req_o,
   output  [9:0]                                       p0_cii_addr_o,
   output  [2:0]                                       p0_cii_func_num_o,
   output  [10:0]                                      p0_cii_vf_num_o,
   output                                              p0_cii_wr_vf_active_o,
   output                                              p0_cii_hdr_poisoned_o,
   output  [3:0]                                       p0_cii_hdr_first_be_o,
   output                                              p0_cii_wr_o,
   output  [31:0]                                      p0_cii_dout_o,
   //p1 cii_ ports
   input                                               p1_cii_halt_i,
   input                                               p1_cii_override_en_i,
   input   [31:0]                                      p1_cii_override_din_i,
   output                                              p1_cii_req_o,
   output  [9:0]                                       p1_cii_addr_o,
   output  [2:0]                                       p1_cii_func_num_o,
   output  [10:0]                                      p1_cii_vf_num_o,
   output                                              p1_cii_wr_vf_active_o,
   output                                              p1_cii_hdr_poisoned_o,
   output  [3:0]                                       p1_cii_hdr_first_be_o,
   output                                              p1_cii_wr_o,
   output  [31:0]                                      p1_cii_dout_o,
   //p2 cii_ ports
   //p3 cii_ ports
   
   //p0 10bit_tag_support_port
   output  [7:0]                                       p0_10bits_tag_req_en_o,

   //General Purpose VSEC IO only for x16 core
   //terminate in QSYS
   input   [7:0]                                       p0_pld_gp_status_i,
   output  [7:0]                                       p0_pld_gp_ctrl_o,
   //p1 gp_ ports
   //p2 gp_ ports
   //p3 gp_ ports


   //p0 vf_err_ ports
   input                                               p0_user_sent_vfnonfatalmsg_i,
   input   [2:0]                                       p0_user_vfnonfatalmsg_func_num_i,
   input   [10:0]                                      p0_user_vfnonfatalmsg_vfnum_i,
   output                                              p0_vf_err_ur_posted_s0_o,
   output                                              p0_vf_err_ur_posted_s1_o,
   output                                              p0_vf_err_ur_posted_s2_o,
   output                                              p0_vf_err_ur_posted_s3_o,
   output                                              p0_vf_err_ca_postedreq_s0_o,
   output                                              p0_vf_err_ca_postedreq_s1_o,
   output                                              p0_vf_err_ca_postedreq_s3_o,
   output                                              p0_vf_err_ca_postedreq_s2_o,
   output                                              p0_vf_err_poisonedwrreq_s0_o,
   output                                              p0_vf_err_poisonedwrreq_s1_o,
   output                                              p0_vf_err_poisonedwrreq_s2_o,
   output                                              p0_vf_err_poisonedwrreq_s3_o,
   output                                              p0_vf_err_poisonedcompl_s0_o,
   output                                              p0_vf_err_poisonedcompl_s1_o,
   output                                              p0_vf_err_poisonedcompl_s2_o,
   output                                              p0_vf_err_poisonedcompl_s3_o,
   output  [2:0]                                       p0_vf_err_func_num_s0_o,
   output  [2:0]                                       p0_vf_err_func_num_s1_o,
   output  [2:0]                                       p0_vf_err_func_num_s2_o,
   output  [2:0]                                       p0_vf_err_func_num_s3_o,
   output  [10:0]                                      p0_vf_err_vf_num_s0_o,
   output  [10:0]                                      p0_vf_err_vf_num_s1_o,
   output  [10:0]                                      p0_vf_err_vf_num_s2_o,
   output  [10:0]                                      p0_vf_err_vf_num_s3_o,
   output                                              p0_vf_err_overflow_o,
   //p1 vf_err_ ports
   input                                               p1_user_sent_vfnonfatalmsg_i,
   input   [2:0]                                       p1_user_vfnonfatalmsg_func_num_i,
   input   [10:0]                                      p1_user_vfnonfatalmsg_vfnum_i,
   output                                              p1_vf_err_ur_posted_s0_o,
   output                                              p1_vf_err_ur_posted_s1_o,
   output                                              p1_vf_err_ca_postedreq_s1_o,
   output                                              p1_vf_err_ca_postedreq_s0_o,
   output                                              p1_vf_err_poisonedwrreq_s0_o,
   output                                              p1_vf_err_poisonedwrreq_s1_o,
   output                                              p1_vf_err_poisonedcompl_s0_o,
   output                                              p1_vf_err_poisonedcompl_s1_o,
   output  [2:0]                                       p1_vf_err_func_num_s0_o,
   output  [2:0]                                       p1_vf_err_func_num_s1_o,
   output  [10:0]                                      p1_vf_err_vf_num_s0_o,
   output  [10:0]                                      p1_vf_err_vf_num_s1_o,
   output                                              p1_vf_err_overflow_o,
   //p2 vf_err_ ports
   //p3 vf_err_ ports


   //p0 pld_initialization ports
   input   [7:0]                                       p0_app_req_retry_en_i,
   //p1 user_ ports
   input   [7:0]                                       p1_app_req_retry_en_i,
   //p2 user_ ports
   input                                               p2_app_req_retry_en_i,
   //p3 user_ ports
   input                                               p3_app_req_retry_en_i,  //default to 0; export when CII is enabled//is part of the CII interface


   //completion timeout
   //p0
   output                                              p0_cpl_timeout_o,
   //p1
   output                                              p1_cpl_timeout_o,
   //p3
   output                                              p2_cpl_timeout_o,
   //p4
   output                                              p3_cpl_timeout_o,


   //dl_timer is part of the tl_cfg interface
   //p0 dl_timer ports
   output                                              p0_dl_timer_update_o,
   //p1 dl_timer ports
   output                                              p1_dl_timer_update_o,
   //p2 dl_timer ports
   output                                              p2_dl_timer_update_o,
   //p3 dl_timer ports
   output                                              p3_dl_timer_update_o,


   //p0 prs_event ports
   input   [1:0]                                       p0_prs_event_i,
   input   [2:0]                                       p0_prs_event_func_i,
   input                                               p0_prs_event_valid_i,
   //p1 prs_event ports
   input   [1:0]                                       p1_prs_event_i,
   input   [2:0]                                       p1_prs_event_func_i,
   input                                               p1_prs_event_valid_i,
   //p2 prs_event ports
   //p3 prs_event ports


   //p0 test_ ports
   input   [1:0]                                       p0_test_in_i,
   output  [139:0]                                     p0_test_out_o,
   //p1 test_ ports
   input                                               p1_test_in_i,
   output  [69:0]                                      p1_test_out_o,
   //p2 test_ ports
   input                                               p2_test_in_i,
   output  [34:0]                                      p2_test_out_o,
   //p3 test_ ports
   input                                               p3_test_in_i,
   output  [34:0]                                      p3_test_out_o,

   //PTM
   input                                               ptm_manual_update_i,
   output                                              ptm_clk_updated_o,
   output  [63:0]                                      ptm_local_clock_o,
   output                                              ptm_context_valid_o,

   //pld_ ports
   output                                              p0_user_mode_to_pld_o,
   output                                              p0_pld_in_use_o,
   output                                              p1_user_mode_to_pld_o,
   output                                              p1_pld_in_use_o,
   output                                              p2_user_mode_to_pld_o,
   output                                              p2_pld_in_use_o,
   output                                              p3_user_mode_to_pld_o,
   output                                              p3_pld_in_use_o,

   //independent perst
   input                                               i_gpio_perst0_n,
   input                                               i_gpio_perst1_n,
   input                                               i_gpio_perst2_n,
   input                                               i_gpio_perst3_n,

   // User AVMM ports
   //p0 user_avmm ports
   input                                               p0_hip_reconfig_clk,
   input   [20:0]                                      p0_hip_reconfig_address,
   input                                               p0_hip_reconfig_write,
   input   [7:0]                                       p0_hip_reconfig_writedata,
   input                                               p0_hip_reconfig_read,
   output                                              p0_hip_reconfig_readdatavalid,
   output  [7:0]                                       p0_hip_reconfig_readdata,
   output                                              p0_hip_reconfig_waitrequest,
   //p1 user_avmm ports
   input                                               p1_hip_reconfig_clk,
   input   [20:0]                                      p1_hip_reconfig_address,
   input                                               p1_hip_reconfig_write,
   input   [7:0]                                       p1_hip_reconfig_writedata,
   input                                               p1_hip_reconfig_read,
   output                                              p1_hip_reconfig_readdatavalid,
   output  [7:0]                                       p1_hip_reconfig_readdata,
   output                                              p1_hip_reconfig_waitrequest,
   //p2 user_avmm ports
   input                                               p2_hip_reconfig_clk,
   input   [20:0]                                      p2_hip_reconfig_address,
   input                                               p2_hip_reconfig_write,
   input   [7:0]                                       p2_hip_reconfig_writedata,
   input                                               p2_hip_reconfig_read,
   output                                              p2_hip_reconfig_readdatavalid,
   output  [7:0]                                       p2_hip_reconfig_readdata,
   output                                              p2_hip_reconfig_waitrequest,
   //p3 user_avmm ports
   input                                               p3_hip_reconfig_clk,
   input   [20:0]                                      p3_hip_reconfig_address,
   input                                               p3_hip_reconfig_write,
   input   [7:0]                                       p3_hip_reconfig_writedata,
   input                                               p3_hip_reconfig_read,
   output                                              p3_hip_reconfig_readdatavalid,
   output  [7:0]                                       p3_hip_reconfig_readdata,
   output                                              p3_hip_reconfig_waitrequest,

   //dtk_hip_reconfig ports
   output                                              p0_dtk_hip_reconfig_clk,
   output                                              p1_dtk_hip_reconfig_clk,
   output                                              p2_dtk_hip_reconfig_clk,
   output                                              p3_dtk_hip_reconfig_clk,

   //picess user_avmm ports
   input                                               pciess_reconfig_waitrequest,
   output                                              pciess_reconfig_read,
   output  [20:0]                                      pciess_reconfig_address,
   output                                              pciess_reconfig_write,
   output  [7:0]                                       pciess_reconfig_writedata,
   output                                              pciess_reconfig_clk,
   input                                               pciess_reconfig_readdatavalid,
   input   [7:0]                                       pciess_reconfig_readdata,

   // Link Inspector Interface
   input                                               pli_avmm_master_write,
   input                                               pli_avmm_master_read,
   input   [23:0]                                      pli_avmm_master_address,
   input   [31:0]                                      pli_avmm_master_writedata,
   output  [31:0]                                      pli_avmm_master_readdata,
   output                                              pli_avmm_master_readdatavalid,
   output                                              pli_avmm_master_waitrequest, 

   // Xcvr reconfig AVMM
   input                                               xcvr_reconfig_clk,
   input   [24:0]                                      xcvr_reconfig_address,
   input                                               xcvr_reconfig_write,
   input   [7:0]                                       xcvr_reconfig_writedata,
   input                                               xcvr_reconfig_read,
   output                                              xcvr_reconfig_readdatavalid,
   output  [7:0]                                       xcvr_reconfig_readdata,
   output                                              xcvr_reconfig_waitrequest,


   //Serial Interface Sgnals
   // TX
   (* tile_ip_find_net *) output                       tx_n_out0,
   (* tile_ip_find_net *) output                       tx_n_out1,
   (* tile_ip_find_net *) output                       tx_n_out2,
   (* tile_ip_find_net *) output                       tx_n_out3,
   (* tile_ip_find_net *) output                       tx_n_out4,
   (* tile_ip_find_net *) output                       tx_n_out5,
   (* tile_ip_find_net *) output                       tx_n_out6,
   (* tile_ip_find_net *) output                       tx_n_out7,
   (* tile_ip_find_net *) output                       tx_n_out8,
   (* tile_ip_find_net *) output                       tx_n_out9,
   (* tile_ip_find_net *) output                       tx_n_out10,
   (* tile_ip_find_net *) output                       tx_n_out11,
   (* tile_ip_find_net *) output                       tx_n_out12,
   (* tile_ip_find_net *) output                       tx_n_out13,
   (* tile_ip_find_net *) output                       tx_n_out14,
   (* tile_ip_find_net *) output                       tx_n_out15,
   (* tile_ip_find_net *) output                       tx_p_out0,
   (* tile_ip_find_net *) output                       tx_p_out1,
   (* tile_ip_find_net *) output                       tx_p_out2,
   (* tile_ip_find_net *) output                       tx_p_out3,
   (* tile_ip_find_net *) output                       tx_p_out4,
   (* tile_ip_find_net *) output                       tx_p_out5,
   (* tile_ip_find_net *) output                       tx_p_out6,
   (* tile_ip_find_net *) output                       tx_p_out7,
   (* tile_ip_find_net *) output                       tx_p_out8,
   (* tile_ip_find_net *) output                       tx_p_out9,
   (* tile_ip_find_net *) output                       tx_p_out10,
   (* tile_ip_find_net *) output                       tx_p_out11,
   (* tile_ip_find_net *) output                       tx_p_out12,
   (* tile_ip_find_net *) output                       tx_p_out13,
   (* tile_ip_find_net *) output                       tx_p_out14,
   (* tile_ip_find_net *) output                       tx_p_out15,
   // RX
   (* tile_ip_find_net *) input                        rx_n_in0,
   (* tile_ip_find_net *) input                        rx_n_in1,
   (* tile_ip_find_net *) input                        rx_n_in2,
   (* tile_ip_find_net *) input                        rx_n_in3,
   (* tile_ip_find_net *) input                        rx_n_in4,
   (* tile_ip_find_net *) input                        rx_n_in5,
   (* tile_ip_find_net *) input                        rx_n_in6,
   (* tile_ip_find_net *) input                        rx_n_in7,
   (* tile_ip_find_net *) input                        rx_n_in8,
   (* tile_ip_find_net *) input                        rx_n_in9,
   (* tile_ip_find_net *) input                        rx_n_in10,
   (* tile_ip_find_net *) input                        rx_n_in11,
   (* tile_ip_find_net *) input                        rx_n_in12,
   (* tile_ip_find_net *) input                        rx_n_in13,
   (* tile_ip_find_net *) input                        rx_n_in14,
   (* tile_ip_find_net *) input                        rx_n_in15,
   (* tile_ip_find_net *) input                        rx_p_in0,
   (* tile_ip_find_net *) input                        rx_p_in1,
   (* tile_ip_find_net *) input                        rx_p_in2,
   (* tile_ip_find_net *) input                        rx_p_in3,
   (* tile_ip_find_net *) input                        rx_p_in4,
   (* tile_ip_find_net *) input                        rx_p_in5,
   (* tile_ip_find_net *) input                        rx_p_in6,
   (* tile_ip_find_net *) input                        rx_p_in7,
   (* tile_ip_find_net *) input                        rx_p_in8,
   (* tile_ip_find_net *) input                        rx_p_in9,
   (* tile_ip_find_net *) input                        rx_p_in10,
   (* tile_ip_find_net *) input                        rx_p_in11,
   (* tile_ip_find_net *) input                        rx_p_in12,
   (* tile_ip_find_net *) input                        rx_p_in13,
   (* tile_ip_find_net *) input                        rx_p_in14,
   (* tile_ip_find_net *) input                        rx_p_in15

);

   wire           pld_clk;
   wire           adapter_clk;
   
   wire           ch0_pld_adapter_tx_pld_rst_n;
   wire           ch1_pld_adapter_tx_pld_rst_n;
   wire           ch2_pld_adapter_tx_pld_rst_n;
   wire           ch3_pld_adapter_tx_pld_rst_n;
   wire           ch4_pld_adapter_tx_pld_rst_n;
   wire           ch5_pld_adapter_tx_pld_rst_n;
   wire           ch6_pld_adapter_tx_pld_rst_n;
   wire           ch7_pld_adapter_tx_pld_rst_n;
   wire           ch8_pld_adapter_tx_pld_rst_n;
   wire           ch9_pld_adapter_tx_pld_rst_n;
   wire           ch10_pld_adapter_tx_pld_rst_n;
   wire           ch11_pld_adapter_tx_pld_rst_n;
   wire           ch12_pld_adapter_tx_pld_rst_n;
   wire           ch13_pld_adapter_tx_pld_rst_n;
   wire           ch14_pld_adapter_tx_pld_rst_n;
   wire           ch15_pld_adapter_tx_pld_rst_n;
   wire           ch16_pld_adapter_tx_pld_rst_n;
   wire           ch17_pld_adapter_tx_pld_rst_n;
   wire           ch18_pld_adapter_tx_pld_rst_n;
   wire           ch19_pld_adapter_tx_pld_rst_n;
   wire           ch20_pld_adapter_tx_pld_rst_n;
   wire           ch21_pld_adapter_tx_pld_rst_n;
   wire           ch22_pld_adapter_tx_pld_rst_n;
   wire           ch23_pld_adapter_tx_pld_rst_n;

   wire           ch0_pld_adapter_rx_pld_rst_n;
   wire           ch1_pld_adapter_rx_pld_rst_n;
   wire           ch2_pld_adapter_rx_pld_rst_n;
   wire           ch3_pld_adapter_rx_pld_rst_n;
   wire           ch4_pld_adapter_rx_pld_rst_n;
   wire           ch5_pld_adapter_rx_pld_rst_n;
   wire           ch6_pld_adapter_rx_pld_rst_n;
   wire           ch7_pld_adapter_rx_pld_rst_n;
   wire           ch8_pld_adapter_rx_pld_rst_n;
   wire           ch9_pld_adapter_rx_pld_rst_n;
   wire           ch10_pld_adapter_rx_pld_rst_n;
   wire           ch11_pld_adapter_rx_pld_rst_n;
   wire           ch12_pld_adapter_rx_pld_rst_n;
   wire           ch13_pld_adapter_rx_pld_rst_n;
   wire           ch14_pld_adapter_rx_pld_rst_n;
   wire           ch15_pld_adapter_rx_pld_rst_n;
   wire           ch16_pld_adapter_rx_pld_rst_n;
   wire           ch17_pld_adapter_rx_pld_rst_n;
   wire           ch18_pld_adapter_rx_pld_rst_n;
   wire           ch19_pld_adapter_rx_pld_rst_n;
   wire           ch20_pld_adapter_rx_pld_rst_n;
   wire           ch21_pld_adapter_rx_pld_rst_n;
   wire           ch22_pld_adapter_rx_pld_rst_n;
   wire           ch23_pld_adapter_rx_pld_rst_n;


//MAIB  signals
   wire           ch0_pld_tx_dll_lock_req;
   wire           ch1_pld_tx_dll_lock_req;
   wire           ch2_pld_tx_dll_lock_req;
   wire           ch3_pld_tx_dll_lock_req;
   wire           ch4_pld_tx_dll_lock_req;
   wire           ch5_pld_tx_dll_lock_req;
   wire           ch6_pld_tx_dll_lock_req;
   wire           ch7_pld_tx_dll_lock_req;
   wire           ch8_pld_tx_dll_lock_req;
   wire           ch9_pld_tx_dll_lock_req;
   wire           ch10_pld_tx_dll_lock_req;
   wire           ch11_pld_tx_dll_lock_req;
   wire           ch12_pld_tx_dll_lock_req;
   wire           ch13_pld_tx_dll_lock_req;
   wire           ch14_pld_tx_dll_lock_req;
   wire           ch15_pld_tx_dll_lock_req;
   wire           ch16_pld_tx_dll_lock_req;
   wire           ch17_pld_tx_dll_lock_req;
   wire           ch18_pld_tx_dll_lock_req;
   wire           ch19_pld_tx_dll_lock_req;
   wire           ch20_pld_tx_dll_lock_req;
   wire           ch21_pld_tx_dll_lock_req;
   wire           ch22_pld_tx_dll_lock_req;
   wire           ch23_pld_tx_dll_lock_req;

   wire           ch0_pld_rx_dll_lock_req;
   wire           ch1_pld_rx_dll_lock_req;
   wire           ch2_pld_rx_dll_lock_req;
   wire           ch3_pld_rx_dll_lock_req;
   wire           ch4_pld_rx_dll_lock_req;
   wire           ch5_pld_rx_dll_lock_req;
   wire           ch6_pld_rx_dll_lock_req;
   wire           ch7_pld_rx_dll_lock_req;
   wire           ch8_pld_rx_dll_lock_req;
   wire           ch9_pld_rx_dll_lock_req;
   wire           ch10_pld_rx_dll_lock_req;
   wire           ch11_pld_rx_dll_lock_req;
   wire           ch12_pld_rx_dll_lock_req;
   wire           ch13_pld_rx_dll_lock_req;
   wire           ch14_pld_rx_dll_lock_req;
   wire           ch15_pld_rx_dll_lock_req;
   wire           ch16_pld_rx_dll_lock_req;
   wire           ch17_pld_rx_dll_lock_req;
   wire           ch18_pld_rx_dll_lock_req;
   wire           ch19_pld_rx_dll_lock_req;
   wire           ch20_pld_rx_dll_lock_req;
   wire           ch21_pld_rx_dll_lock_req;
   wire           ch22_pld_rx_dll_lock_req;
   wire           ch23_pld_rx_dll_lock_req;

   wire           ch0_pld_fabric_tx_transfer_en;
   wire           ch1_pld_fabric_tx_transfer_en;
   wire           ch2_pld_fabric_tx_transfer_en;
   wire           ch3_pld_fabric_tx_transfer_en;
   wire           ch4_pld_fabric_tx_transfer_en;
   wire           ch5_pld_fabric_tx_transfer_en;
   wire           ch6_pld_fabric_tx_transfer_en;
   wire           ch7_pld_fabric_tx_transfer_en;
   wire           ch8_pld_fabric_tx_transfer_en;
   wire           ch9_pld_fabric_tx_transfer_en;
   wire           ch10_pld_fabric_tx_transfer_en;
   wire           ch11_pld_fabric_tx_transfer_en;
   wire           ch12_pld_fabric_tx_transfer_en;
   wire           ch13_pld_fabric_tx_transfer_en;
   wire           ch14_pld_fabric_tx_transfer_en;
   wire           ch15_pld_fabric_tx_transfer_en;
   wire           ch16_pld_fabric_tx_transfer_en;
   wire           ch17_pld_fabric_tx_transfer_en;
   wire           ch18_pld_fabric_tx_transfer_en;
   wire           ch19_pld_fabric_tx_transfer_en;
   wire           ch20_pld_fabric_tx_transfer_en;
   wire           ch21_pld_fabric_tx_transfer_en;
   wire           ch22_pld_fabric_tx_transfer_en;
   wire           ch23_pld_fabric_tx_transfer_en;

   wire           ch0_pld_hssi_rx_transfer_en;
   wire           ch1_pld_hssi_rx_transfer_en;
   wire           ch2_pld_hssi_rx_transfer_en;
   wire           ch3_pld_hssi_rx_transfer_en;
   wire           ch4_pld_hssi_rx_transfer_en;
   wire           ch5_pld_hssi_rx_transfer_en;
   wire           ch6_pld_hssi_rx_transfer_en;
   wire           ch7_pld_hssi_rx_transfer_en;
   wire           ch8_pld_hssi_rx_transfer_en;
   wire           ch9_pld_hssi_rx_transfer_en;
   wire           ch10_pld_hssi_rx_transfer_en;
   wire           ch11_pld_hssi_rx_transfer_en;
   wire           ch12_pld_hssi_rx_transfer_en;
   wire           ch13_pld_hssi_rx_transfer_en;
   wire           ch14_pld_hssi_rx_transfer_en;
   wire           ch15_pld_hssi_rx_transfer_en;
   wire           ch16_pld_hssi_rx_transfer_en;
   wire           ch17_pld_hssi_rx_transfer_en;
   wire           ch18_pld_hssi_rx_transfer_en;
   wire           ch19_pld_hssi_rx_transfer_en;
   wire           ch20_pld_hssi_rx_transfer_en;
   wire           ch21_pld_hssi_rx_transfer_en;
   wire           ch22_pld_hssi_rx_transfer_en;
   wire           ch23_pld_hssi_rx_transfer_en;

   wire           ch0_pld_rx_fabric_fifo_align_clr;
   wire           ch1_pld_rx_fabric_fifo_align_clr;
   wire           ch2_pld_rx_fabric_fifo_align_clr;
   wire           ch3_pld_rx_fabric_fifo_align_clr;
   wire           ch4_pld_rx_fabric_fifo_align_clr;
   wire           ch5_pld_rx_fabric_fifo_align_clr;
   wire           ch6_pld_rx_fabric_fifo_align_clr;
   wire           ch7_pld_rx_fabric_fifo_align_clr;
   wire           ch8_pld_rx_fabric_fifo_align_clr;
   wire           ch9_pld_rx_fabric_fifo_align_clr;
   wire           ch10_pld_rx_fabric_fifo_align_clr;
   wire           ch11_pld_rx_fabric_fifo_align_clr;
   wire           ch12_pld_rx_fabric_fifo_align_clr;
   wire           ch13_pld_rx_fabric_fifo_align_clr;
   wire           ch14_pld_rx_fabric_fifo_align_clr;
   wire           ch15_pld_rx_fabric_fifo_align_clr;
   wire           ch16_pld_rx_fabric_fifo_align_clr;
   wire           ch17_pld_rx_fabric_fifo_align_clr;
   wire           ch18_pld_rx_fabric_fifo_align_clr;
   wire           ch19_pld_rx_fabric_fifo_align_clr;
   wire           ch20_pld_rx_fabric_fifo_align_clr;
   wire           ch21_pld_rx_fabric_fifo_align_clr;
   wire           ch22_pld_rx_fabric_fifo_align_clr;
   wire           ch23_pld_rx_fabric_fifo_align_clr;


//RX synchronous datapath
   wire   [77:0]  rx_datapath_ch0;
   wire   [77:0]  rx_datapath_ch1;
   wire   [77:0]  rx_datapath_ch2;
   wire   [77:0]  rx_datapath_ch3;
   wire   [77:0]  rx_datapath_ch4;
   wire   [77:0]  rx_datapath_ch5;
   wire   [77:0]  rx_datapath_ch6;
   wire   [77:0]  rx_datapath_ch7;
   wire   [77:0]  rx_datapath_ch8;
   wire   [77:0]  rx_datapath_ch9;
   wire   [77:0]  rx_datapath_ch10;
   wire   [77:0]  rx_datapath_ch11;
   wire   [77:0]  rx_datapath_ch12;
   wire   [77:0]  rx_datapath_ch13;
   wire   [77:0]  rx_datapath_ch14;
   wire   [77:0]  rx_datapath_ch15;
   wire   [77:0]  rx_datapath_ch16;
   wire   [77:0]  rx_datapath_ch17;
   wire   [77:0]  rx_datapath_ch18;
   wire   [77:0]  rx_datapath_ch19;
   wire   [77:0]  rx_datapath_ch20;
   wire   [77:0]  rx_datapath_ch21;
   wire   [77:0]  rx_datapath_ch22;
   wire   [77:0]  rx_datapath_ch23;


//TX synchronous datapath
   wire   [77:0]  tx_datapath_ch0;
   wire   [77:0]  tx_datapath_ch1;
   wire   [77:0]  tx_datapath_ch2;
   wire   [77:0]  tx_datapath_ch3;
   wire   [77:0]  tx_datapath_ch4;
   wire   [77:0]  tx_datapath_ch5;
   wire   [77:0]  tx_datapath_ch6;
   wire   [77:0]  tx_datapath_ch7;
   wire   [77:0]  tx_datapath_ch8;
   wire   [77:0]  tx_datapath_ch9;
   wire   [77:0]  tx_datapath_ch10;
   wire   [77:0]  tx_datapath_ch11;
   wire   [77:0]  tx_datapath_ch12;
   wire   [77:0]  tx_datapath_ch13;
   wire   [77:0]  tx_datapath_ch14;
   wire   [77:0]  tx_datapath_ch15;
   wire   [77:0]  tx_datapath_ch16;
   wire   [77:0]  tx_datapath_ch17;
   wire   [77:0]  tx_datapath_ch18;
   wire   [77:0]  tx_datapath_ch19;
   wire   [77:0]  tx_datapath_ch20;
   wire   [77:0]  tx_datapath_ch21;
   wire   [77:0]  tx_datapath_ch22;
   wire   [77:0]  tx_datapath_ch23;


//RX async direct datapath
   wire           rx_async_direct_ch0;
   wire           rx_async_direct_ch1;
   wire           rx_async_direct_ch2;
   wire           rx_async_direct_ch3;


//TX async direct datapath
   wire           tx_async_direct_ch0;


//RX FSR
   wire   [3:0]   rx_fsr_ch0;
   wire   [3:0]   rx_fsr_ch1;
   wire   [3:0]   rx_fsr_ch2;
   wire   [3:0]   rx_fsr_ch3;
   wire   [3:0]   rx_fsr_ch4;
   wire   [3:0]   rx_fsr_ch5;
   wire   [3:0]   rx_fsr_ch6;
   wire   [3:0]   rx_fsr_ch7;
   wire   [3:0]   rx_fsr_ch8;
   wire   [3:0]   rx_fsr_ch9;
   wire   [3:0]   rx_fsr_ch10;
   wire   [3:0]   rx_fsr_ch11;
   wire   [3:0]   rx_fsr_ch12;
   wire   [3:0]   rx_fsr_ch13;


//TX FSR
   wire   [3:0]   tx_fsr_ch0;
   wire   [3:0]   tx_fsr_ch1;
   wire   [3:0]   tx_fsr_ch2;
   wire   [3:0]   tx_fsr_ch5;
   wire   [3:0]   tx_fsr_ch6;
   wire   [3:0]   tx_fsr_ch7;
   wire   [3:0]   tx_fsr_ch8;
   wire   [3:0]   tx_fsr_ch11;


//RX SSR
   wire   [37:0]  rx_ssr_ch0;
   wire   [37:0]  rx_ssr_ch1;
   wire   [37:0]  rx_ssr_ch5;
   wire   [37:0]  rx_ssr_ch8;
   wire   [37:0]  rx_ssr_ch11;


//TX SSR
   wire   [28:0]  tx_ssr_ch0;
   wire   [28:0]  tx_ssr_ch1;
   wire   [28:0]  tx_ssr_ch2;


//AVMM2 interface
   wire           avmm2_ch0_clk;
   wire           avmm2_ch0_write;
   wire           avmm2_ch0_read;
   wire           avmm2_ch0_readdatavalid;
   wire           avmm2_ch0_writedone;
   wire   [20:0]  avmm2_ch0_address;
   wire   [7:0]   avmm2_ch0_writedata;
   wire   [7:0]   avmm2_ch0_readdata;
   wire           avmm2_ch1_clk;
   wire           avmm2_ch1_write;
   wire           avmm2_ch1_read;
   wire           avmm2_ch1_readdatavalid;
   wire           avmm2_ch1_writedone;
   wire   [20:0]  avmm2_ch1_address;
   wire   [7:0]   avmm2_ch1_writedata;
   wire   [7:0]   avmm2_ch1_readdata;
   wire           avmm2_ch2_clk;
   wire           avmm2_ch2_write;
   wire           avmm2_ch2_read;
   wire           avmm2_ch2_readdatavalid;
   wire           avmm2_ch2_writedone;
   wire   [20:0]  avmm2_ch2_address;
   wire   [7:0]   avmm2_ch2_writedata;
   wire   [7:0]   avmm2_ch2_readdata;
   wire           avmm2_ch3_clk;
   wire           avmm2_ch3_write;
   wire           avmm2_ch3_read;
   wire           avmm2_ch3_readdatavalid;
   wire           avmm2_ch3_writedone;
   wire   [20:0]  avmm2_ch3_address;
   wire   [7:0]   avmm2_ch3_writedata;
   wire   [7:0]   avmm2_ch3_readdata;
   wire           avmm2_ch4_clk;
   wire           avmm2_ch4_write;
   wire           avmm2_ch4_read;
   wire           avmm2_ch4_readdatavalid;
   wire           avmm2_ch4_writedone;
   wire   [20:0]  avmm2_ch4_address;
   wire   [7:0]   avmm2_ch4_writedata;
   wire   [7:0]   avmm2_ch4_readdata;
   wire           avmm2_ch5_clk;
   wire           avmm2_ch5_write;
   wire           avmm2_ch5_read;
   wire           avmm2_ch5_readdatavalid;
   wire           avmm2_ch5_writedone;
   wire   [20:0]  avmm2_ch5_address;
   wire   [7:0]   avmm2_ch5_writedata;
   wire   [7:0]   avmm2_ch5_readdata;
   wire           avmm2_ch6_clk;
   wire           avmm2_ch6_write;
   wire           avmm2_ch6_read;
   wire           avmm2_ch6_readdatavalid;
   wire           avmm2_ch6_writedone;
   wire   [20:0]  avmm2_ch6_address;
   wire   [7:0]   avmm2_ch6_writedata;
   wire   [7:0]   avmm2_ch6_readdata;
   wire           avmm2_ch7_clk;
   wire           avmm2_ch7_write;
   wire           avmm2_ch7_read;
   wire           avmm2_ch7_readdatavalid;
   wire           avmm2_ch7_writedone;
   wire   [20:0]  avmm2_ch7_address;
   wire   [7:0]   avmm2_ch7_writedata;
   wire   [7:0]   avmm2_ch7_readdata;
   wire           avmm2_ch8_clk;
   wire           avmm2_ch8_write;
   wire           avmm2_ch8_read;
   wire           avmm2_ch8_readdatavalid;
   wire           avmm2_ch8_writedone;
   wire   [20:0]  avmm2_ch8_address;
   wire   [7:0]   avmm2_ch8_writedata;
   wire   [7:0]   avmm2_ch8_readdata;
   wire           avmm2_ch9_clk;
   wire           avmm2_ch9_write;
   wire           avmm2_ch9_read;
   wire           avmm2_ch9_readdatavalid;
   wire           avmm2_ch9_writedone;
   wire   [20:0]  avmm2_ch9_address;
   wire   [7:0]   avmm2_ch9_writedata;
   wire   [7:0]   avmm2_ch9_readdata;
   wire           avmm2_ch10_clk;
   wire           avmm2_ch10_write;
   wire           avmm2_ch10_read;
   wire           avmm2_ch10_readdatavalid;
   wire           avmm2_ch10_writedone;
   wire   [20:0]  avmm2_ch10_address;
   wire   [7:0]   avmm2_ch10_writedata;
   wire   [7:0]   avmm2_ch10_readdata;
   wire           avmm2_ch11_clk;
   wire           avmm2_ch11_write;
   wire           avmm2_ch11_read;
   wire           avmm2_ch11_readdatavalid;
   wire           avmm2_ch11_writedone;
   wire   [20:0]  avmm2_ch11_address;
   wire   [7:0]   avmm2_ch11_writedata;
   wire   [7:0]   avmm2_ch11_readdata;
   wire           avmm2_ch12_clk;
   wire           avmm2_ch12_write;
   wire           avmm2_ch12_read;
   wire           avmm2_ch12_readdatavalid;
   wire           avmm2_ch12_writedone;
   wire   [20:0]  avmm2_ch12_address;
   wire   [7:0]   avmm2_ch12_writedata;
   wire   [7:0]   avmm2_ch12_readdata;
   wire           avmm2_ch13_clk;
   wire           avmm2_ch13_write;
   wire           avmm2_ch13_read;
   wire           avmm2_ch13_readdatavalid;
   wire           avmm2_ch13_writedone;
   wire   [20:0]  avmm2_ch13_address;
   wire   [7:0]   avmm2_ch13_writedata;
   wire   [7:0]   avmm2_ch13_readdata;
   wire           avmm2_ch14_clk;
   wire           avmm2_ch14_write;
   wire           avmm2_ch14_read;
   wire           avmm2_ch14_readdatavalid;
   wire           avmm2_ch14_writedone;
   wire   [20:0]  avmm2_ch14_address;
   wire   [7:0]   avmm2_ch14_writedata;
   wire   [7:0]   avmm2_ch14_readdata;
   wire           avmm2_ch15_clk;
   wire           avmm2_ch15_write;
   wire           avmm2_ch15_read;
   wire           avmm2_ch15_readdatavalid;
   wire           avmm2_ch15_writedone;
   wire   [20:0]  avmm2_ch15_address;
   wire   [7:0]   avmm2_ch15_writedata;
   wire   [7:0]   avmm2_ch15_readdata;
   wire           avmm2_ch16_clk;
   wire           avmm2_ch16_write;
   wire           avmm2_ch16_read;
   wire           avmm2_ch16_readdatavalid;
   wire           avmm2_ch16_writedone;
   wire   [20:0]  avmm2_ch16_address;
   wire   [7:0]   avmm2_ch16_writedata;
   wire   [7:0]   avmm2_ch16_readdata;
   wire           avmm2_ch17_clk;
   wire           avmm2_ch17_write;
   wire           avmm2_ch17_read;
   wire           avmm2_ch17_readdatavalid;
   wire           avmm2_ch17_writedone;
   wire   [20:0]  avmm2_ch17_address;
   wire   [7:0]   avmm2_ch17_writedata;
   wire   [7:0]   avmm2_ch17_readdata;
   wire           avmm2_ch18_clk;
   wire           avmm2_ch18_write;
   wire           avmm2_ch18_read;
   wire           avmm2_ch18_readdatavalid;
   wire           avmm2_ch18_writedone;
   wire   [20:0]  avmm2_ch18_address;
   wire   [7:0]   avmm2_ch18_writedata;
   wire   [7:0]   avmm2_ch18_readdata;
   wire           avmm2_ch19_clk;
   wire           avmm2_ch19_write;
   wire           avmm2_ch19_read;
   wire           avmm2_ch19_readdatavalid;
   wire           avmm2_ch19_writedone;
   wire   [20:0]  avmm2_ch19_address;
   wire   [7:0]   avmm2_ch19_writedata;
   wire   [7:0]   avmm2_ch19_readdata;


   // MAIB signals 
   wire           ch0_pld_hssi_osc_transfer_en;
   wire           ch1_pld_hssi_osc_transfer_en;
   wire           ch2_pld_hssi_osc_transfer_en;
   wire           ch3_pld_hssi_osc_transfer_en;
   wire           ch4_pld_hssi_osc_transfer_en;
   wire           ch5_pld_hssi_osc_transfer_en;
   wire           ch6_pld_hssi_osc_transfer_en;
   wire           ch7_pld_hssi_osc_transfer_en;
   wire           ch8_pld_hssi_osc_transfer_en;
   wire           ch9_pld_hssi_osc_transfer_en;
   wire           ch10_pld_hssi_osc_transfer_en;
   wire           ch11_pld_hssi_osc_transfer_en;
   wire           ch12_pld_hssi_osc_transfer_en;
   wire           ch13_pld_hssi_osc_transfer_en;
   wire           ch14_pld_hssi_osc_transfer_en;
   wire           ch15_pld_hssi_osc_transfer_en;
   wire           ch16_pld_hssi_osc_transfer_en;
   wire           ch17_pld_hssi_osc_transfer_en;
   wire           ch18_pld_hssi_osc_transfer_en;
   wire           ch19_pld_hssi_osc_transfer_en;
   wire           ch20_pld_hssi_osc_transfer_en;
   wire           ch21_pld_hssi_osc_transfer_en;
   wire           ch22_pld_hssi_osc_transfer_en;
   wire           ch23_pld_hssi_osc_transfer_en;


   // FSR tx_dsk status signals
   // These signals are unused in soft logic; is temporary a dangling signal
   wire           p0_tx_dsk_done;
   wire           p0_tx_dsk_eval_done;
   wire   [2:0]   p0_tx_dsk_status;
   wire           p0_tx_dsk_mon_err_status;
   wire           p1_tx_dsk_done;
   wire           p1_tx_dsk_eval_done;
   wire   [2:0]   p1_tx_dsk_status;
   wire           p1_tx_dsk_mon_err_status;
   wire           p2_tx_dsk_done;
   wire           p2_tx_dsk_eval_done;
   wire   [2:0]   p2_tx_dsk_status;
   wire           p2_tx_dsk_mon_err_status;
   wire           p3_tx_dsk_done;
   wire           p3_tx_dsk_eval_done;
   wire   [2:0]   p3_tx_dsk_status;
   wire           p3_tx_dsk_mon_err_status;

pcie_hip_top_f_pcie_ftile_mcdma_pcie_avst_f_700_qo3ieti #(
   // ----------------------------- hwtcl params -----------------------------
   // core16
   .core16_total_pf_count_hwtcl                                              (core16_total_pf_count_hwtcl),

   .core16_pf0_bar0_address_width_hwtcl                                      (core16_pf0_bar0_address_width_hwtcl),
   .core16_pf0_bar1_address_width_hwtcl                                      (core16_pf0_bar1_address_width_hwtcl),
   .core16_pf0_bar2_address_width_hwtcl                                      (core16_pf0_bar2_address_width_hwtcl),
   .core16_pf0_bar3_address_width_hwtcl                                      (core16_pf0_bar3_address_width_hwtcl),
   .core16_pf0_bar4_address_width_hwtcl                                      (core16_pf0_bar4_address_width_hwtcl),
   .core16_pf0_bar5_address_width_hwtcl                                      (core16_pf0_bar5_address_width_hwtcl),
   .core16_pf1_bar0_address_width_hwtcl                                      (core16_pf1_bar0_address_width_hwtcl),
   .core16_pf1_bar1_address_width_hwtcl                                      (core16_pf1_bar1_address_width_hwtcl),
   .core16_pf1_bar2_address_width_hwtcl                                      (core16_pf1_bar2_address_width_hwtcl),
   .core16_pf1_bar3_address_width_hwtcl                                      (core16_pf1_bar3_address_width_hwtcl),
   .core16_pf1_bar4_address_width_hwtcl                                      (core16_pf1_bar4_address_width_hwtcl),
   .core16_pf1_bar5_address_width_hwtcl                                      (core16_pf1_bar5_address_width_hwtcl),
   .core16_pf2_bar0_address_width_hwtcl                                      (core16_pf2_bar0_address_width_hwtcl),
   .core16_pf2_bar1_address_width_hwtcl                                      (core16_pf2_bar1_address_width_hwtcl),
   .core16_pf2_bar2_address_width_hwtcl                                      (core16_pf2_bar2_address_width_hwtcl),
   .core16_pf2_bar3_address_width_hwtcl                                      (core16_pf2_bar3_address_width_hwtcl),
   .core16_pf2_bar4_address_width_hwtcl                                      (core16_pf2_bar4_address_width_hwtcl),
   .core16_pf2_bar5_address_width_hwtcl                                      (core16_pf2_bar5_address_width_hwtcl),
   .core16_pf3_bar0_address_width_hwtcl                                      (core16_pf3_bar0_address_width_hwtcl),
   .core16_pf3_bar1_address_width_hwtcl                                      (core16_pf3_bar1_address_width_hwtcl),
   .core16_pf3_bar2_address_width_hwtcl                                      (core16_pf3_bar2_address_width_hwtcl),
   .core16_pf3_bar3_address_width_hwtcl                                      (core16_pf3_bar3_address_width_hwtcl),
   .core16_pf3_bar4_address_width_hwtcl                                      (core16_pf3_bar4_address_width_hwtcl),
   .core16_pf3_bar5_address_width_hwtcl                                      (core16_pf3_bar5_address_width_hwtcl),
   .core16_pf4_bar0_address_width_hwtcl                                      (core16_pf4_bar0_address_width_hwtcl),
   .core16_pf4_bar1_address_width_hwtcl                                      (core16_pf4_bar1_address_width_hwtcl),
   .core16_pf4_bar2_address_width_hwtcl                                      (core16_pf4_bar2_address_width_hwtcl),
   .core16_pf4_bar3_address_width_hwtcl                                      (core16_pf4_bar3_address_width_hwtcl),
   .core16_pf4_bar4_address_width_hwtcl                                      (core16_pf4_bar4_address_width_hwtcl),
   .core16_pf4_bar5_address_width_hwtcl                                      (core16_pf4_bar5_address_width_hwtcl),
   .core16_pf5_bar0_address_width_hwtcl                                      (core16_pf5_bar0_address_width_hwtcl),
   .core16_pf5_bar1_address_width_hwtcl                                      (core16_pf5_bar1_address_width_hwtcl),
   .core16_pf5_bar2_address_width_hwtcl                                      (core16_pf5_bar2_address_width_hwtcl),
   .core16_pf5_bar3_address_width_hwtcl                                      (core16_pf5_bar3_address_width_hwtcl),
   .core16_pf5_bar4_address_width_hwtcl                                      (core16_pf5_bar4_address_width_hwtcl),
   .core16_pf5_bar5_address_width_hwtcl                                      (core16_pf5_bar5_address_width_hwtcl),
   .core16_pf6_bar0_address_width_hwtcl                                      (core16_pf6_bar0_address_width_hwtcl),
   .core16_pf6_bar1_address_width_hwtcl                                      (core16_pf6_bar1_address_width_hwtcl),
   .core16_pf6_bar2_address_width_hwtcl                                      (core16_pf6_bar2_address_width_hwtcl),
   .core16_pf6_bar3_address_width_hwtcl                                      (core16_pf6_bar3_address_width_hwtcl),
   .core16_pf6_bar4_address_width_hwtcl                                      (core16_pf6_bar4_address_width_hwtcl),
   .core16_pf6_bar5_address_width_hwtcl                                      (core16_pf6_bar5_address_width_hwtcl),
   .core16_pf7_bar0_address_width_hwtcl                                      (core16_pf7_bar0_address_width_hwtcl),
   .core16_pf7_bar1_address_width_hwtcl                                      (core16_pf7_bar1_address_width_hwtcl),
   .core16_pf7_bar2_address_width_hwtcl                                      (core16_pf7_bar2_address_width_hwtcl),
   .core16_pf7_bar3_address_width_hwtcl                                      (core16_pf7_bar3_address_width_hwtcl),
   .core16_pf7_bar4_address_width_hwtcl                                      (core16_pf7_bar4_address_width_hwtcl),
   .core16_pf7_bar5_address_width_hwtcl                                      (core16_pf7_bar5_address_width_hwtcl),

   .core16_pf0_expansion_base_address_register_integer_hwtcl                 (core16_pf0_expansion_base_address_register_integer_hwtcl),
   .core16_pf1_expansion_base_address_register_integer_hwtcl                 (core16_pf1_expansion_base_address_register_integer_hwtcl),
   .core16_pf2_expansion_base_address_register_integer_hwtcl                 (core16_pf2_expansion_base_address_register_integer_hwtcl),
   .core16_pf3_expansion_base_address_register_integer_hwtcl                 (core16_pf3_expansion_base_address_register_integer_hwtcl),
   .core16_pf4_expansion_base_address_register_integer_hwtcl                 (core16_pf4_expansion_base_address_register_integer_hwtcl),
   .core16_pf5_expansion_base_address_register_integer_hwtcl                 (core16_pf5_expansion_base_address_register_integer_hwtcl),
   .core16_pf6_expansion_base_address_register_integer_hwtcl                 (core16_pf6_expansion_base_address_register_integer_hwtcl),
   .core16_pf7_expansion_base_address_register_integer_hwtcl                 (core16_pf7_expansion_base_address_register_integer_hwtcl),

   .core16_pf0_sriov_vf_bar0_address_width_int_hwtcl                     (core16_pf0_sriov_vf_bar0_address_width_int_hwtcl),
   .core16_pf0_sriov_vf_bar1_address_width_int_hwtcl                     (core16_pf0_sriov_vf_bar1_address_width_int_hwtcl),
   .core16_pf0_sriov_vf_bar2_address_width_int_hwtcl                     (core16_pf0_sriov_vf_bar2_address_width_int_hwtcl),
   .core16_pf0_sriov_vf_bar3_address_width_int_hwtcl                     (core16_pf0_sriov_vf_bar3_address_width_int_hwtcl),
   .core16_pf0_sriov_vf_bar4_address_width_int_hwtcl                     (core16_pf0_sriov_vf_bar4_address_width_int_hwtcl),
   .core16_pf0_sriov_vf_bar5_address_width_int_hwtcl                     (core16_pf0_sriov_vf_bar5_address_width_int_hwtcl),
   .core16_pf1_sriov_vf_bar0_address_width_int_hwtcl                     (core16_pf1_sriov_vf_bar0_address_width_int_hwtcl),
   .core16_pf1_sriov_vf_bar1_address_width_int_hwtcl                     (core16_pf1_sriov_vf_bar1_address_width_int_hwtcl),
   .core16_pf1_sriov_vf_bar2_address_width_int_hwtcl                     (core16_pf1_sriov_vf_bar2_address_width_int_hwtcl),
   .core16_pf1_sriov_vf_bar3_address_width_int_hwtcl                     (core16_pf1_sriov_vf_bar3_address_width_int_hwtcl),
   .core16_pf1_sriov_vf_bar4_address_width_int_hwtcl                     (core16_pf1_sriov_vf_bar4_address_width_int_hwtcl),
   .core16_pf1_sriov_vf_bar5_address_width_int_hwtcl                     (core16_pf1_sriov_vf_bar5_address_width_int_hwtcl),
   .core16_pf2_sriov_vf_bar0_address_width_int_hwtcl                     (core16_pf2_sriov_vf_bar0_address_width_int_hwtcl),
   .core16_pf2_sriov_vf_bar1_address_width_int_hwtcl                     (core16_pf2_sriov_vf_bar1_address_width_int_hwtcl),
   .core16_pf2_sriov_vf_bar2_address_width_int_hwtcl                     (core16_pf2_sriov_vf_bar2_address_width_int_hwtcl),
   .core16_pf2_sriov_vf_bar3_address_width_int_hwtcl                     (core16_pf2_sriov_vf_bar3_address_width_int_hwtcl),
   .core16_pf2_sriov_vf_bar4_address_width_int_hwtcl                     (core16_pf2_sriov_vf_bar4_address_width_int_hwtcl),
   .core16_pf2_sriov_vf_bar5_address_width_int_hwtcl                     (core16_pf2_sriov_vf_bar5_address_width_int_hwtcl),
   .core16_pf3_sriov_vf_bar0_address_width_int_hwtcl                     (core16_pf3_sriov_vf_bar0_address_width_int_hwtcl),
   .core16_pf3_sriov_vf_bar1_address_width_int_hwtcl                     (core16_pf3_sriov_vf_bar1_address_width_int_hwtcl),
   .core16_pf3_sriov_vf_bar2_address_width_int_hwtcl                     (core16_pf3_sriov_vf_bar2_address_width_int_hwtcl),
   .core16_pf3_sriov_vf_bar3_address_width_int_hwtcl                     (core16_pf3_sriov_vf_bar3_address_width_int_hwtcl),
   .core16_pf3_sriov_vf_bar4_address_width_int_hwtcl                     (core16_pf3_sriov_vf_bar4_address_width_int_hwtcl),
   .core16_pf3_sriov_vf_bar5_address_width_int_hwtcl                     (core16_pf3_sriov_vf_bar5_address_width_int_hwtcl),
   .core16_pf4_sriov_vf_bar0_address_width_int_hwtcl                     (core16_pf4_sriov_vf_bar0_address_width_int_hwtcl),
   .core16_pf4_sriov_vf_bar1_address_width_int_hwtcl                     (core16_pf4_sriov_vf_bar1_address_width_int_hwtcl),
   .core16_pf4_sriov_vf_bar2_address_width_int_hwtcl                     (core16_pf4_sriov_vf_bar2_address_width_int_hwtcl),
   .core16_pf4_sriov_vf_bar3_address_width_int_hwtcl                     (core16_pf4_sriov_vf_bar3_address_width_int_hwtcl),
   .core16_pf4_sriov_vf_bar4_address_width_int_hwtcl                     (core16_pf4_sriov_vf_bar4_address_width_int_hwtcl),
   .core16_pf4_sriov_vf_bar5_address_width_int_hwtcl                     (core16_pf4_sriov_vf_bar5_address_width_int_hwtcl),
   .core16_pf5_sriov_vf_bar0_address_width_int_hwtcl                     (core16_pf5_sriov_vf_bar0_address_width_int_hwtcl),
   .core16_pf5_sriov_vf_bar1_address_width_int_hwtcl                     (core16_pf5_sriov_vf_bar1_address_width_int_hwtcl),
   .core16_pf5_sriov_vf_bar2_address_width_int_hwtcl                     (core16_pf5_sriov_vf_bar2_address_width_int_hwtcl),
   .core16_pf5_sriov_vf_bar3_address_width_int_hwtcl                     (core16_pf5_sriov_vf_bar3_address_width_int_hwtcl),
   .core16_pf5_sriov_vf_bar4_address_width_int_hwtcl                     (core16_pf5_sriov_vf_bar4_address_width_int_hwtcl),
   .core16_pf5_sriov_vf_bar5_address_width_int_hwtcl                     (core16_pf5_sriov_vf_bar5_address_width_int_hwtcl),
   .core16_pf6_sriov_vf_bar0_address_width_int_hwtcl                     (core16_pf6_sriov_vf_bar0_address_width_int_hwtcl),
   .core16_pf6_sriov_vf_bar1_address_width_int_hwtcl                     (core16_pf6_sriov_vf_bar1_address_width_int_hwtcl),
   .core16_pf6_sriov_vf_bar2_address_width_int_hwtcl                     (core16_pf6_sriov_vf_bar2_address_width_int_hwtcl),
   .core16_pf6_sriov_vf_bar3_address_width_int_hwtcl                     (core16_pf6_sriov_vf_bar3_address_width_int_hwtcl),
   .core16_pf6_sriov_vf_bar4_address_width_int_hwtcl                     (core16_pf6_sriov_vf_bar4_address_width_int_hwtcl),
   .core16_pf6_sriov_vf_bar5_address_width_int_hwtcl                     (core16_pf6_sriov_vf_bar5_address_width_int_hwtcl),
   .core16_pf7_sriov_vf_bar0_address_width_int_hwtcl                     (core16_pf7_sriov_vf_bar0_address_width_int_hwtcl),
   .core16_pf7_sriov_vf_bar1_address_width_int_hwtcl                     (core16_pf7_sriov_vf_bar1_address_width_int_hwtcl),
   .core16_pf7_sriov_vf_bar2_address_width_int_hwtcl                     (core16_pf7_sriov_vf_bar2_address_width_int_hwtcl),
   .core16_pf7_sriov_vf_bar3_address_width_int_hwtcl                     (core16_pf7_sriov_vf_bar3_address_width_int_hwtcl),
   .core16_pf7_sriov_vf_bar4_address_width_int_hwtcl                     (core16_pf7_sriov_vf_bar4_address_width_int_hwtcl),
   .core16_pf7_sriov_vf_bar5_address_width_int_hwtcl                     (core16_pf7_sriov_vf_bar5_address_width_int_hwtcl),

   // core8
   .core8_total_pf_count_hwtcl                                               (core8_total_pf_count_hwtcl),

   .core8_pf0_bar0_address_width_hwtcl                                       (core8_pf0_bar0_address_width_hwtcl),
   .core8_pf0_bar1_address_width_hwtcl                                       (core8_pf0_bar1_address_width_hwtcl),
   .core8_pf0_bar2_address_width_hwtcl                                       (core8_pf0_bar2_address_width_hwtcl),
   .core8_pf0_bar3_address_width_hwtcl                                       (core8_pf0_bar3_address_width_hwtcl),
   .core8_pf0_bar4_address_width_hwtcl                                       (core8_pf0_bar4_address_width_hwtcl),
   .core8_pf0_bar5_address_width_hwtcl                                       (core8_pf0_bar5_address_width_hwtcl),
   .core8_pf1_bar0_address_width_hwtcl                                       (core8_pf1_bar0_address_width_hwtcl),
   .core8_pf1_bar1_address_width_hwtcl                                       (core8_pf1_bar1_address_width_hwtcl),
   .core8_pf1_bar2_address_width_hwtcl                                       (core8_pf1_bar2_address_width_hwtcl),
   .core8_pf1_bar3_address_width_hwtcl                                       (core8_pf1_bar3_address_width_hwtcl),
   .core8_pf1_bar4_address_width_hwtcl                                       (core8_pf1_bar4_address_width_hwtcl),
   .core8_pf1_bar5_address_width_hwtcl                                       (core8_pf1_bar5_address_width_hwtcl),
   .core8_pf2_bar0_address_width_hwtcl                                       (core8_pf2_bar0_address_width_hwtcl),
   .core8_pf2_bar1_address_width_hwtcl                                       (core8_pf2_bar1_address_width_hwtcl),
   .core8_pf2_bar2_address_width_hwtcl                                       (core8_pf2_bar2_address_width_hwtcl),
   .core8_pf2_bar3_address_width_hwtcl                                       (core8_pf2_bar3_address_width_hwtcl),
   .core8_pf2_bar4_address_width_hwtcl                                       (core8_pf2_bar4_address_width_hwtcl),
   .core8_pf2_bar5_address_width_hwtcl                                       (core8_pf2_bar5_address_width_hwtcl),
   .core8_pf3_bar0_address_width_hwtcl                                       (core8_pf3_bar0_address_width_hwtcl),
   .core8_pf3_bar1_address_width_hwtcl                                       (core8_pf3_bar1_address_width_hwtcl),
   .core8_pf3_bar2_address_width_hwtcl                                       (core8_pf3_bar2_address_width_hwtcl),
   .core8_pf3_bar3_address_width_hwtcl                                       (core8_pf3_bar3_address_width_hwtcl),
   .core8_pf3_bar4_address_width_hwtcl                                       (core8_pf3_bar4_address_width_hwtcl),
   .core8_pf3_bar5_address_width_hwtcl                                       (core8_pf3_bar5_address_width_hwtcl),
   .core8_pf4_bar0_address_width_hwtcl                                       (core8_pf4_bar0_address_width_hwtcl),
   .core8_pf4_bar1_address_width_hwtcl                                       (core8_pf4_bar1_address_width_hwtcl),
   .core8_pf4_bar2_address_width_hwtcl                                       (core8_pf4_bar2_address_width_hwtcl),
   .core8_pf4_bar3_address_width_hwtcl                                       (core8_pf4_bar3_address_width_hwtcl),
   .core8_pf4_bar4_address_width_hwtcl                                       (core8_pf4_bar4_address_width_hwtcl),
   .core8_pf4_bar5_address_width_hwtcl                                       (core8_pf4_bar5_address_width_hwtcl),
   .core8_pf5_bar0_address_width_hwtcl                                       (core8_pf5_bar0_address_width_hwtcl),
   .core8_pf5_bar1_address_width_hwtcl                                       (core8_pf5_bar1_address_width_hwtcl),
   .core8_pf5_bar2_address_width_hwtcl                                       (core8_pf5_bar2_address_width_hwtcl),
   .core8_pf5_bar3_address_width_hwtcl                                       (core8_pf5_bar3_address_width_hwtcl),
   .core8_pf5_bar4_address_width_hwtcl                                       (core8_pf5_bar4_address_width_hwtcl),
   .core8_pf5_bar5_address_width_hwtcl                                       (core8_pf5_bar5_address_width_hwtcl),
   .core8_pf6_bar0_address_width_hwtcl                                       (core8_pf6_bar0_address_width_hwtcl),
   .core8_pf6_bar1_address_width_hwtcl                                       (core8_pf6_bar1_address_width_hwtcl),
   .core8_pf6_bar2_address_width_hwtcl                                       (core8_pf6_bar2_address_width_hwtcl),
   .core8_pf6_bar3_address_width_hwtcl                                       (core8_pf6_bar3_address_width_hwtcl),
   .core8_pf6_bar4_address_width_hwtcl                                       (core8_pf6_bar4_address_width_hwtcl),
   .core8_pf6_bar5_address_width_hwtcl                                       (core8_pf6_bar5_address_width_hwtcl),
   .core8_pf7_bar0_address_width_hwtcl                                       (core8_pf7_bar0_address_width_hwtcl),
   .core8_pf7_bar1_address_width_hwtcl                                       (core8_pf7_bar1_address_width_hwtcl),
   .core8_pf7_bar2_address_width_hwtcl                                       (core8_pf7_bar2_address_width_hwtcl),
   .core8_pf7_bar3_address_width_hwtcl                                       (core8_pf7_bar3_address_width_hwtcl),
   .core8_pf7_bar4_address_width_hwtcl                                       (core8_pf7_bar4_address_width_hwtcl),
   .core8_pf7_bar5_address_width_hwtcl                                       (core8_pf7_bar5_address_width_hwtcl),

   .core8_pf0_expansion_base_address_register_integer_hwtcl                  (core8_pf0_expansion_base_address_register_integer_hwtcl),
   .core8_pf1_expansion_base_address_register_integer_hwtcl                  (core8_pf1_expansion_base_address_register_integer_hwtcl),
   .core8_pf2_expansion_base_address_register_integer_hwtcl                  (core8_pf2_expansion_base_address_register_integer_hwtcl),
   .core8_pf3_expansion_base_address_register_integer_hwtcl                  (core8_pf3_expansion_base_address_register_integer_hwtcl),
   .core8_pf4_expansion_base_address_register_integer_hwtcl                  (core8_pf4_expansion_base_address_register_integer_hwtcl),
   .core8_pf5_expansion_base_address_register_integer_hwtcl                  (core8_pf5_expansion_base_address_register_integer_hwtcl),
   .core8_pf6_expansion_base_address_register_integer_hwtcl                  (core8_pf6_expansion_base_address_register_integer_hwtcl),
   .core8_pf7_expansion_base_address_register_integer_hwtcl                  (core8_pf7_expansion_base_address_register_integer_hwtcl),

   .core8_pf0_sriov_vf_bar0_address_width_int_hwtcl                      (core8_pf0_sriov_vf_bar0_address_width_int_hwtcl),
   .core8_pf0_sriov_vf_bar1_address_width_int_hwtcl                      (core8_pf0_sriov_vf_bar1_address_width_int_hwtcl),
   .core8_pf0_sriov_vf_bar2_address_width_int_hwtcl                      (core8_pf0_sriov_vf_bar2_address_width_int_hwtcl),
   .core8_pf0_sriov_vf_bar3_address_width_int_hwtcl                      (core8_pf0_sriov_vf_bar3_address_width_int_hwtcl),
   .core8_pf0_sriov_vf_bar4_address_width_int_hwtcl                      (core8_pf0_sriov_vf_bar4_address_width_int_hwtcl),
   .core8_pf0_sriov_vf_bar5_address_width_int_hwtcl                      (core8_pf0_sriov_vf_bar5_address_width_int_hwtcl),
   .core8_pf1_sriov_vf_bar0_address_width_int_hwtcl                      (core8_pf1_sriov_vf_bar0_address_width_int_hwtcl),
   .core8_pf1_sriov_vf_bar1_address_width_int_hwtcl                      (core8_pf1_sriov_vf_bar1_address_width_int_hwtcl),
   .core8_pf1_sriov_vf_bar2_address_width_int_hwtcl                      (core8_pf1_sriov_vf_bar2_address_width_int_hwtcl),
   .core8_pf1_sriov_vf_bar3_address_width_int_hwtcl                      (core8_pf1_sriov_vf_bar3_address_width_int_hwtcl),
   .core8_pf1_sriov_vf_bar4_address_width_int_hwtcl                      (core8_pf1_sriov_vf_bar4_address_width_int_hwtcl),
   .core8_pf1_sriov_vf_bar5_address_width_int_hwtcl                      (core8_pf1_sriov_vf_bar5_address_width_int_hwtcl),
   .core8_pf2_sriov_vf_bar0_address_width_int_hwtcl                      (core8_pf2_sriov_vf_bar0_address_width_int_hwtcl),
   .core8_pf2_sriov_vf_bar1_address_width_int_hwtcl                      (core8_pf2_sriov_vf_bar1_address_width_int_hwtcl),
   .core8_pf2_sriov_vf_bar2_address_width_int_hwtcl                      (core8_pf2_sriov_vf_bar2_address_width_int_hwtcl),
   .core8_pf2_sriov_vf_bar3_address_width_int_hwtcl                      (core8_pf2_sriov_vf_bar3_address_width_int_hwtcl),
   .core8_pf2_sriov_vf_bar4_address_width_int_hwtcl                      (core8_pf2_sriov_vf_bar4_address_width_int_hwtcl),
   .core8_pf2_sriov_vf_bar5_address_width_int_hwtcl                      (core8_pf2_sriov_vf_bar5_address_width_int_hwtcl),
   .core8_pf3_sriov_vf_bar0_address_width_int_hwtcl                      (core8_pf3_sriov_vf_bar0_address_width_int_hwtcl),
   .core8_pf3_sriov_vf_bar1_address_width_int_hwtcl                      (core8_pf3_sriov_vf_bar1_address_width_int_hwtcl),
   .core8_pf3_sriov_vf_bar2_address_width_int_hwtcl                      (core8_pf3_sriov_vf_bar2_address_width_int_hwtcl),
   .core8_pf3_sriov_vf_bar3_address_width_int_hwtcl                      (core8_pf3_sriov_vf_bar3_address_width_int_hwtcl),
   .core8_pf3_sriov_vf_bar4_address_width_int_hwtcl                      (core8_pf3_sriov_vf_bar4_address_width_int_hwtcl),
   .core8_pf3_sriov_vf_bar5_address_width_int_hwtcl                      (core8_pf3_sriov_vf_bar5_address_width_int_hwtcl),
   .core8_pf4_sriov_vf_bar0_address_width_int_hwtcl                      (core8_pf4_sriov_vf_bar0_address_width_int_hwtcl),
   .core8_pf4_sriov_vf_bar1_address_width_int_hwtcl                      (core8_pf4_sriov_vf_bar1_address_width_int_hwtcl),
   .core8_pf4_sriov_vf_bar2_address_width_int_hwtcl                      (core8_pf4_sriov_vf_bar2_address_width_int_hwtcl),
   .core8_pf4_sriov_vf_bar3_address_width_int_hwtcl                      (core8_pf4_sriov_vf_bar3_address_width_int_hwtcl),
   .core8_pf4_sriov_vf_bar4_address_width_int_hwtcl                      (core8_pf4_sriov_vf_bar4_address_width_int_hwtcl),
   .core8_pf4_sriov_vf_bar5_address_width_int_hwtcl                      (core8_pf4_sriov_vf_bar5_address_width_int_hwtcl),
   .core8_pf5_sriov_vf_bar0_address_width_int_hwtcl                      (core8_pf5_sriov_vf_bar0_address_width_int_hwtcl),
   .core8_pf5_sriov_vf_bar1_address_width_int_hwtcl                      (core8_pf5_sriov_vf_bar1_address_width_int_hwtcl),
   .core8_pf5_sriov_vf_bar2_address_width_int_hwtcl                      (core8_pf5_sriov_vf_bar2_address_width_int_hwtcl),
   .core8_pf5_sriov_vf_bar3_address_width_int_hwtcl                      (core8_pf5_sriov_vf_bar3_address_width_int_hwtcl),
   .core8_pf5_sriov_vf_bar4_address_width_int_hwtcl                      (core8_pf5_sriov_vf_bar4_address_width_int_hwtcl),
   .core8_pf5_sriov_vf_bar5_address_width_int_hwtcl                      (core8_pf5_sriov_vf_bar5_address_width_int_hwtcl),
   .core8_pf6_sriov_vf_bar0_address_width_int_hwtcl                      (core8_pf6_sriov_vf_bar0_address_width_int_hwtcl),
   .core8_pf6_sriov_vf_bar1_address_width_int_hwtcl                      (core8_pf6_sriov_vf_bar1_address_width_int_hwtcl),
   .core8_pf6_sriov_vf_bar2_address_width_int_hwtcl                      (core8_pf6_sriov_vf_bar2_address_width_int_hwtcl),
   .core8_pf6_sriov_vf_bar3_address_width_int_hwtcl                      (core8_pf6_sriov_vf_bar3_address_width_int_hwtcl),
   .core8_pf6_sriov_vf_bar4_address_width_int_hwtcl                      (core8_pf6_sriov_vf_bar4_address_width_int_hwtcl),
   .core8_pf6_sriov_vf_bar5_address_width_int_hwtcl                      (core8_pf6_sriov_vf_bar5_address_width_int_hwtcl),
   .core8_pf7_sriov_vf_bar0_address_width_int_hwtcl                      (core8_pf7_sriov_vf_bar0_address_width_int_hwtcl),
   .core8_pf7_sriov_vf_bar1_address_width_int_hwtcl                      (core8_pf7_sriov_vf_bar1_address_width_int_hwtcl),
   .core8_pf7_sriov_vf_bar2_address_width_int_hwtcl                      (core8_pf7_sriov_vf_bar2_address_width_int_hwtcl),
   .core8_pf7_sriov_vf_bar3_address_width_int_hwtcl                      (core8_pf7_sriov_vf_bar3_address_width_int_hwtcl),
   .core8_pf7_sriov_vf_bar4_address_width_int_hwtcl                      (core8_pf7_sriov_vf_bar4_address_width_int_hwtcl),
   .core8_pf7_sriov_vf_bar5_address_width_int_hwtcl                      (core8_pf7_sriov_vf_bar5_address_width_int_hwtcl),

   .core16_use_ast_parity_hwtcl                                              (core16_use_ast_parity_hwtcl),
   .core8_use_ast_parity_hwtcl                                               (core8_use_ast_parity_hwtcl),
   .core4_0_use_ast_parity_hwtcl                                             (core4_0_use_ast_parity_hwtcl),
   .core4_1_use_ast_parity_hwtcl                                             (core4_1_use_ast_parity_hwtcl),

   // p*_app_req_retry_en (pld_crs_en)
   .core16_enable_power_mgnt_intf_hwtcl                                      (core16_enable_power_mgnt_intf_hwtcl),
   .core8_enable_power_mgnt_intf_hwtcl                                       (core8_enable_power_mgnt_intf_hwtcl),
   .core4_0_enable_power_mgnt_intf_hwtcl                                     (core4_0_enable_power_mgnt_intf_hwtcl),
   .core4_1_enable_power_mgnt_intf_hwtcl                                     (core4_1_enable_power_mgnt_intf_hwtcl),

   //Preset                                                         
   .core16_pf0_dsp_16g_tx_preset_hwtcl                                       (core16_pf0_dsp_16g_tx_preset_hwtcl),
   .core16_pf0_dsp_tx_preset_hwtcl                                           (core16_pf0_dsp_tx_preset_hwtcl),
   .core16_pf0_usp_16g_tx_preset_hwtcl                                       (core16_pf0_usp_16g_tx_preset_hwtcl),
   .core16_pf0_usp_tx_preset_hwtcl                                           (core16_pf0_usp_tx_preset_hwtcl),
   .core16_pf0_dsp_rx_preset_hint_hwtcl                                      (core16_pf0_dsp_rx_preset_hint_hwtcl),
   .core16_pf0_usp_rx_preset_hint_hwtcl                                      (core16_pf0_usp_rx_preset_hint_hwtcl),

   .core8_pf0_dsp_16g_tx_preset_hwtcl                                        (core8_pf0_dsp_16g_tx_preset_hwtcl),
   .core8_pf0_dsp_tx_preset_hwtcl                                            (core8_pf0_dsp_tx_preset_hwtcl),
   .core8_pf0_usp_16g_tx_preset_hwtcl                                        (core8_pf0_usp_16g_tx_preset_hwtcl),
   .core8_pf0_usp_tx_preset_hwtcl                                            (core8_pf0_usp_tx_preset_hwtcl),
   .core8_pf0_dsp_rx_preset_hint_hwtcl                                       (core8_pf0_dsp_rx_preset_hint_hwtcl),
   .core8_pf0_usp_rx_preset_hint_hwtcl                                       (core8_pf0_usp_rx_preset_hint_hwtcl),
   
   .core4_0_pf0_dsp_16g_tx_preset_hwtcl                                      (core4_0_pf0_dsp_16g_tx_preset_hwtcl),
   .core4_0_pf0_dsp_tx_preset_hwtcl                                          (core4_0_pf0_dsp_tx_preset_hwtcl),
   .core4_0_pf0_usp_16g_tx_preset_hwtcl                                      (core4_0_pf0_usp_16g_tx_preset_hwtcl),
   .core4_0_pf0_usp_tx_preset_hwtcl                                          (core4_0_pf0_usp_tx_preset_hwtcl),
   .core4_0_pf0_dsp_rx_preset_hint_hwtcl                                     (core4_0_pf0_dsp_rx_preset_hint_hwtcl),
   .core4_0_pf0_usp_rx_preset_hint_hwtcl                                     (core4_0_pf0_usp_rx_preset_hint_hwtcl),
														             
   .core4_1_pf0_dsp_16g_tx_preset_hwtcl                                      (core4_1_pf0_dsp_16g_tx_preset_hwtcl),
   .core4_1_pf0_dsp_tx_preset_hwtcl                                          (core4_1_pf0_dsp_tx_preset_hwtcl),
   .core4_1_pf0_usp_16g_tx_preset_hwtcl                                      (core4_1_pf0_usp_16g_tx_preset_hwtcl),
   .core4_1_pf0_usp_tx_preset_hwtcl                                          (core4_1_pf0_usp_tx_preset_hwtcl),
   .core4_1_pf0_dsp_rx_preset_hint_hwtcl                                     (core4_1_pf0_dsp_rx_preset_hint_hwtcl),
   .core4_1_pf0_usp_rx_preset_hint_hwtcl                                     (core4_1_pf0_usp_rx_preset_hint_hwtcl),


   //sn cap
   .ctop_core16_sn_ser_num_reg_1_dw_hwtcl                                    (ctop_core16_sn_ser_num_reg_1_dw_hwtcl),
   .ctop_core16_sn_ser_num_reg_2_dw_hwtcl                                    (ctop_core16_sn_ser_num_reg_2_dw_hwtcl),
   .ctop_core4_0_sn_ser_num_reg_1_dw_hwtcl                                   (ctop_core4_0_sn_ser_num_reg_1_dw_hwtcl),
   .ctop_core4_0_sn_ser_num_reg_2_dw_hwtcl                                   (ctop_core4_0_sn_ser_num_reg_2_dw_hwtcl),
   .ctop_core4_1_sn_ser_num_reg_1_dw_hwtcl                                   (ctop_core4_1_sn_ser_num_reg_1_dw_hwtcl),
   .ctop_core4_1_sn_ser_num_reg_2_dw_hwtcl                                   (ctop_core4_1_sn_ser_num_reg_2_dw_hwtcl),
   .ctop_core8_sn_ser_num_reg_1_dw_hwtcl                                     (ctop_core8_sn_ser_num_reg_1_dw_hwtcl),
   .ctop_core8_sn_ser_num_reg_2_dw_hwtcl                                     (ctop_core8_sn_ser_num_reg_2_dw_hwtcl),

   //
   .ctop_core16_cfg_ptm_local_clock_adj_lsb                                  (ctop_core16_cfg_ptm_local_clock_adj_lsb),
   .ctop_core16_cfg_ptm_local_clock_adj_msb                                  (ctop_core16_cfg_ptm_local_clock_adj_msb),
   .ctop_core8_cfg_ptm_local_clock_adj_lsb                                   (ctop_core8_cfg_ptm_local_clock_adj_lsb),
   .ctop_core8_cfg_ptm_local_clock_adj_msb                                   (ctop_core8_cfg_ptm_local_clock_adj_msb),

   // ----------------------------- BB params -----------------------------
   .ctop_core16_virtual_pf0_sriov_num_vf_non_ari                             (ctop_core16_virtual_pf0_sriov_num_vf_non_ari),
   .ctop_core16_virtual_pf1_sriov_num_vf_non_ari                             (ctop_core16_virtual_pf1_sriov_num_vf_non_ari),
   .ctop_core16_virtual_pf2_sriov_num_vf_non_ari                             (ctop_core16_virtual_pf2_sriov_num_vf_non_ari),
   .ctop_core16_virtual_pf3_sriov_num_vf_non_ari                             (ctop_core16_virtual_pf3_sriov_num_vf_non_ari),
   .ctop_core16_virtual_pf4_sriov_num_vf_non_ari                             (ctop_core16_virtual_pf4_sriov_num_vf_non_ari),
   .ctop_core16_virtual_pf5_sriov_num_vf_non_ari                             (ctop_core16_virtual_pf5_sriov_num_vf_non_ari),
   .ctop_core16_virtual_pf6_sriov_num_vf_non_ari                             (ctop_core16_virtual_pf6_sriov_num_vf_non_ari),
   .ctop_core16_virtual_pf7_sriov_num_vf_non_ari                             (ctop_core16_virtual_pf7_sriov_num_vf_non_ari),
   .ctop_core8_virtual_pf0_sriov_num_vf_non_ari                              (ctop_core8_virtual_pf0_sriov_num_vf_non_ari),
   .ctop_core8_virtual_pf1_sriov_num_vf_non_ari                              (ctop_core8_virtual_pf1_sriov_num_vf_non_ari),
   .ctop_core8_virtual_pf2_sriov_num_vf_non_ari                              (ctop_core8_virtual_pf2_sriov_num_vf_non_ari),
   .ctop_core8_virtual_pf3_sriov_num_vf_non_ari                              (ctop_core8_virtual_pf3_sriov_num_vf_non_ari),
   .ctop_core8_virtual_pf4_sriov_num_vf_non_ari                              (ctop_core8_virtual_pf4_sriov_num_vf_non_ari),
   .ctop_core8_virtual_pf5_sriov_num_vf_non_ari                              (ctop_core8_virtual_pf5_sriov_num_vf_non_ari),
   .ctop_core8_virtual_pf6_sriov_num_vf_non_ari                              (ctop_core8_virtual_pf6_sriov_num_vf_non_ari),
   .ctop_core8_virtual_pf7_sriov_num_vf_non_ari                              (ctop_core8_virtual_pf7_sriov_num_vf_non_ari),

   .pcie_cvp_attr                                                            (pcie_cvp_attr),
   .ctop_core16_cvp_user_id                                                  (ctop_core16_cvp_user_id),
   .ctop_core16_exvf_ats_pagealignreq_pf0				     (ctop_core16_exvf_ats_pagealignreq_pf0),
   .ctop_core16_exvf_ats_pagealignreq_pf1				     (ctop_core16_exvf_ats_pagealignreq_pf1),
   .ctop_core16_exvf_ats_pagealignreq_pf2				     (ctop_core16_exvf_ats_pagealignreq_pf2),
   .ctop_core16_exvf_ats_pagealignreq_pf3				     (ctop_core16_exvf_ats_pagealignreq_pf3),
   .ctop_core16_exvf_ats_pagealignreq_pf4				     (ctop_core16_exvf_ats_pagealignreq_pf4),
   .ctop_core16_exvf_ats_pagealignreq_pf5				     (ctop_core16_exvf_ats_pagealignreq_pf5),
   .ctop_core16_exvf_ats_pagealignreq_pf6				     (ctop_core16_exvf_ats_pagealignreq_pf6),
   .ctop_core16_exvf_ats_pagealignreq_pf7				     (ctop_core16_exvf_ats_pagealignreq_pf7),
   .ctop_core16_exvf_msix_tablesize_pf0                                      (ctop_core16_exvf_msix_tablesize_pf0),
   .ctop_core16_exvf_msix_tablesize_pf1                                      (ctop_core16_exvf_msix_tablesize_pf1),
   .ctop_core16_exvf_msix_tablesize_pf2                                      (ctop_core16_exvf_msix_tablesize_pf2),
   .ctop_core16_exvf_msix_tablesize_pf3                                      (ctop_core16_exvf_msix_tablesize_pf3),
   .ctop_core16_exvf_msix_tablesize_pf4                                      (ctop_core16_exvf_msix_tablesize_pf4),
   .ctop_core16_exvf_msix_tablesize_pf5                                      (ctop_core16_exvf_msix_tablesize_pf5),
   .ctop_core16_exvf_msix_tablesize_pf6                                      (ctop_core16_exvf_msix_tablesize_pf6),
   .ctop_core16_exvf_msix_tablesize_pf7                                      (ctop_core16_exvf_msix_tablesize_pf7),
   .ctop_core16_exvf_msixpba_bir_pf0                                         (ctop_core16_exvf_msixpba_bir_pf0),
   .ctop_core16_exvf_msixpba_bir_pf1                                         (ctop_core16_exvf_msixpba_bir_pf1),
   .ctop_core16_exvf_msixpba_bir_pf2                                         (ctop_core16_exvf_msixpba_bir_pf2),
   .ctop_core16_exvf_msixpba_bir_pf3                                         (ctop_core16_exvf_msixpba_bir_pf3),
   .ctop_core16_exvf_msixpba_bir_pf4                                         (ctop_core16_exvf_msixpba_bir_pf4),
   .ctop_core16_exvf_msixpba_bir_pf5                                         (ctop_core16_exvf_msixpba_bir_pf5),
   .ctop_core16_exvf_msixpba_bir_pf6                                         (ctop_core16_exvf_msixpba_bir_pf6),
   .ctop_core16_exvf_msixpba_bir_pf7                                         (ctop_core16_exvf_msixpba_bir_pf7),
   .ctop_core16_exvf_msixpba_offset_pf0                                      (ctop_core16_exvf_msixpba_offset_pf0),
   .ctop_core16_exvf_msixpba_offset_pf1                                      (ctop_core16_exvf_msixpba_offset_pf1),
   .ctop_core16_exvf_msixpba_offset_pf2                                      (ctop_core16_exvf_msixpba_offset_pf2),
   .ctop_core16_exvf_msixpba_offset_pf3                                      (ctop_core16_exvf_msixpba_offset_pf3),
   .ctop_core16_exvf_msixpba_offset_pf4                                      (ctop_core16_exvf_msixpba_offset_pf4),
   .ctop_core16_exvf_msixpba_offset_pf5                                      (ctop_core16_exvf_msixpba_offset_pf5),
   .ctop_core16_exvf_msixpba_offset_pf6                                      (ctop_core16_exvf_msixpba_offset_pf6),
   .ctop_core16_exvf_msixpba_offset_pf7                                      (ctop_core16_exvf_msixpba_offset_pf7),
   .ctop_core16_exvf_msixtable_bir_pf0                                       (ctop_core16_exvf_msixtable_bir_pf0),
   .ctop_core16_exvf_msixtable_bir_pf1                                       (ctop_core16_exvf_msixtable_bir_pf1),
   .ctop_core16_exvf_msixtable_bir_pf2                                       (ctop_core16_exvf_msixtable_bir_pf2),
   .ctop_core16_exvf_msixtable_bir_pf3                                       (ctop_core16_exvf_msixtable_bir_pf3),
   .ctop_core16_exvf_msixtable_bir_pf4                                       (ctop_core16_exvf_msixtable_bir_pf4),
   .ctop_core16_exvf_msixtable_bir_pf5                                       (ctop_core16_exvf_msixtable_bir_pf5),
   .ctop_core16_exvf_msixtable_bir_pf6                                       (ctop_core16_exvf_msixtable_bir_pf6),
   .ctop_core16_exvf_msixtable_bir_pf7                                       (ctop_core16_exvf_msixtable_bir_pf7),
   .ctop_core16_exvf_msixtable_offset_pf0                                    (ctop_core16_exvf_msixtable_offset_pf0),
   .ctop_core16_exvf_msixtable_offset_pf1                                    (ctop_core16_exvf_msixtable_offset_pf1),
   .ctop_core16_exvf_msixtable_offset_pf2                                    (ctop_core16_exvf_msixtable_offset_pf2),
   .ctop_core16_exvf_msixtable_offset_pf3                                    (ctop_core16_exvf_msixtable_offset_pf3),
   .ctop_core16_exvf_msixtable_offset_pf4                                    (ctop_core16_exvf_msixtable_offset_pf4),
   .ctop_core16_exvf_msixtable_offset_pf5                                    (ctop_core16_exvf_msixtable_offset_pf5),
   .ctop_core16_exvf_msixtable_offset_pf6                                    (ctop_core16_exvf_msixtable_offset_pf6),
   .ctop_core16_exvf_msixtable_offset_pf7                                    (ctop_core16_exvf_msixtable_offset_pf7),
   .ctop_core16_exvf_subsysid_pf0                                            (ctop_core16_exvf_subsysid_pf0),
   .ctop_core16_exvf_subsysid_pf1                                            (ctop_core16_exvf_subsysid_pf1),
   .ctop_core16_exvf_subsysid_pf2                                            (ctop_core16_exvf_subsysid_pf2),
   .ctop_core16_exvf_subsysid_pf3                                            (ctop_core16_exvf_subsysid_pf3),
   .ctop_core16_exvf_subsysid_pf4                                            (ctop_core16_exvf_subsysid_pf4),
   .ctop_core16_exvf_subsysid_pf5                                            (ctop_core16_exvf_subsysid_pf5),
   .ctop_core16_exvf_subsysid_pf6                                            (ctop_core16_exvf_subsysid_pf6),
   .ctop_core16_exvf_subsysid_pf7                                            (ctop_core16_exvf_subsysid_pf7),
   .ctop_core16_pf0_acs_cap_acs_at_block                                     (ctop_core16_pf0_acs_cap_acs_at_block),
   .ctop_core16_pf0_acs_cap_acs_direct_translated_p2p                        (ctop_core16_pf0_acs_cap_acs_direct_translated_p2p),
   .ctop_core16_pf0_acs_cap_acs_egress_ctrl_size                             (ctop_core16_pf0_acs_cap_acs_egress_ctrl_size),
   .ctop_core16_pf0_acs_cap_acs_p2p_cpl_redirect                             (ctop_core16_pf0_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core16_pf0_acs_cap_acs_p2p_egress_control                           (ctop_core16_pf0_acs_cap_acs_p2p_egress_control),
   .ctop_core16_pf0_acs_cap_acs_p2p_req_redirect                             (ctop_core16_pf0_acs_cap_acs_p2p_req_redirect),
   .ctop_core16_pf0_acs_cap_acs_src_valid                                    (ctop_core16_pf0_acs_cap_acs_src_valid),
   .ctop_core16_pf0_acs_cap_acs_usp_forwarding                               (ctop_core16_pf0_acs_cap_acs_usp_forwarding),
   .ctop_core16_pf0_auto_lane_flip_ctrl_en                                   (ctop_core16_pf0_auto_lane_flip_ctrl_en),
   .ctop_core16_pf0_bar0_prefetch                                            (ctop_core16_pf0_bar0_prefetch),
   .ctop_core16_pf0_bar0_type                                                (ctop_core16_pf0_bar0_type),
   .ctop_core16_pf0_bar1_prefetch                                            (ctop_core16_pf0_bar1_prefetch),
   .ctop_core16_pf0_bar2_prefetch                                            (ctop_core16_pf0_bar2_prefetch),
   .ctop_core16_pf0_bar2_type                                                (ctop_core16_pf0_bar2_type),
   .ctop_core16_pf0_bar3_prefetch                                            (ctop_core16_pf0_bar3_prefetch),
   .ctop_core16_pf0_bar4_prefetch                                            (ctop_core16_pf0_bar4_prefetch),
   .ctop_core16_pf0_bar4_type                                                (ctop_core16_pf0_bar4_type),
   .ctop_core16_pf0_bar5_prefetch                                            (ctop_core16_pf0_bar5_prefetch),
   .ctop_core16_pf0_base_class_code                                          (ctop_core16_pf0_base_class_code),
   .ctop_core16_pf0_eq_redo                                                  (ctop_core16_pf0_eq_redo),
   .ctop_core16_pf0_eq_redo_atg4                                             (ctop_core16_pf0_eq_redo_atg4),
   .ctop_core16_pf0_gen3_eq_pset_req_vec                                     (ctop_core16_pf0_gen3_eq_pset_req_vec),
   .ctop_core16_pf0_gen3_eq_pset_req_vec_atg4                                (ctop_core16_pf0_gen3_eq_pset_req_vec_atg4),
   .ctop_core16_pf0_int_pin                                                  (ctop_core16_pf0_int_pin),
   .ctop_core16_pf0_loopback_enable                                          (ctop_core16_pf0_loopback_enable),
   .ctop_core16_pf0_pasid_cap_execute_permission_supported                   (ctop_core16_pf0_pasid_cap_execute_permission_supported),
   .ctop_core16_pf0_pasid_cap_max_pasid_width                                (ctop_core16_pf0_pasid_cap_max_pasid_width),
   .ctop_core16_pf0_pasid_cap_privileged_mode_supported                      (ctop_core16_pf0_pasid_cap_privileged_mode_supported),
   .ctop_core16_pf0_pci_msi_64_bit_addr_cap                                  (ctop_core16_pf0_pci_msi_64_bit_addr_cap),
   .ctop_core16_pf0_pci_msi_ext_data_cap                                     (ctop_core16_pf0_pci_msi_ext_data_cap),
   .ctop_core16_pf0_pci_msi_multiple_msg_cap                                 (ctop_core16_pf0_pci_msi_multiple_msg_cap),
   .ctop_core16_pf0_pci_msix_bir                                             (ctop_core16_pf0_pci_msix_bir),
   .ctop_core16_pf0_pci_msix_pba                                             (ctop_core16_pf0_pci_msix_pba),
   .ctop_core16_pf0_pci_msix_pba_offset                                      (ctop_core16_pf0_pci_msix_pba_offset),
   .ctop_core16_pf0_pci_msix_table_offset                                    (ctop_core16_pf0_pci_msix_table_offset),
   .ctop_core16_pf0_pci_msix_table_size                                      (ctop_core16_pf0_pci_msix_table_size),
   .ctop_core16_pf0_pci_msix_table_size_vfcomm_cs2                           (ctop_core16_pf0_pci_msix_table_size_vfcomm_cs2),
   .ctop_core16_pf0_pci_type0_bar0_enabled                                   (ctop_core16_pf0_pci_type0_bar0_enabled),
   .ctop_core16_pf0_pci_type0_bar1_enabled                                   (ctop_core16_pf0_pci_type0_bar1_enabled),
   .ctop_core16_pf0_pci_type0_bar2_enabled                                   (ctop_core16_pf0_pci_type0_bar2_enabled),
   .ctop_core16_pf0_pci_type0_bar3_enabled                                   (ctop_core16_pf0_pci_type0_bar3_enabled),
   .ctop_core16_pf0_pci_type0_bar4_enabled                                   (ctop_core16_pf0_pci_type0_bar4_enabled),
   .ctop_core16_pf0_pci_type0_bar5_enabled                                   (ctop_core16_pf0_pci_type0_bar5_enabled),
   .ctop_core16_pf0_pci_type0_device_id                                      (ctop_core16_pf0_pci_type0_device_id),
   .ctop_core16_pf0_pci_type0_vendor_id                                      (ctop_core16_pf0_pci_type0_vendor_id),
   .ctop_core16_pf0_pcie_cap_attention_indicator                             (ctop_core16_pf0_pcie_cap_attention_indicator),
   .ctop_core16_pf0_pcie_cap_attention_indicator_button                      (ctop_core16_pf0_pcie_cap_attention_indicator_button),
   .ctop_core16_pf0_pcie_cap_electromech_interlock                           (ctop_core16_pf0_pcie_cap_electromech_interlock),
   .ctop_core16_pf0_pcie_cap_ep_l0s_accpt_latency                            (ctop_core16_pf0_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core16_pf0_pcie_cap_ep_l1_accpt_latency                             (ctop_core16_pf0_pcie_cap_ep_l1_accpt_latency),
   .ctop_core16_pf0_pcie_cap_ext_tag_supp                                    (ctop_core16_pf0_pcie_cap_ext_tag_supp),
   .ctop_core16_pf0_pcie_cap_flr_cap                                         (ctop_core16_pf0_pcie_cap_flr_cap),
   .ctop_core16_pf0_pcie_cap_hot_plug_capable                                (ctop_core16_pf0_pcie_cap_hot_plug_capable),
   .ctop_core16_pf0_pcie_cap_hot_plug_surprise                               (ctop_core16_pf0_pcie_cap_hot_plug_surprise),
   .ctop_core16_pf0_pcie_cap_mrl_sensor                                      (ctop_core16_pf0_pcie_cap_mrl_sensor),
   .ctop_core16_pf0_pcie_cap_no_cmd_cpl_support                              (ctop_core16_pf0_pcie_cap_no_cmd_cpl_support),
   .ctop_core16_pf0_pcie_cap_phy_slot_num                                    (ctop_core16_pf0_pcie_cap_phy_slot_num),
   .ctop_core16_pf0_pcie_cap_port_num                                        (ctop_core16_pf0_pcie_cap_port_num),
   .ctop_core16_pf0_pcie_cap_power_controller                                (ctop_core16_pf0_pcie_cap_power_controller),
   .ctop_core16_pf0_pcie_cap_power_indicator                                 (ctop_core16_pf0_pcie_cap_power_indicator),
   .ctop_core16_pf0_pcie_cap_sel_deemphasis                                  (ctop_core16_pf0_pcie_cap_sel_deemphasis),
   .ctop_core16_pf0_pcie_cap_slot_clk_config                                 (ctop_core16_pf0_pcie_cap_slot_clk_config),
   .ctop_core16_pf0_pcie_cap_slot_power_limit_scale                          (ctop_core16_pf0_pcie_cap_slot_power_limit_scale),
   .ctop_core16_pf0_pcie_cap_slot_power_limit_value                          (ctop_core16_pf0_pcie_cap_slot_power_limit_value),
   .ctop_core16_pf0_pcie_slot_imp                                            (ctop_core16_pf0_pcie_slot_imp),
   .ctop_core16_pf0_pme_support                                              (ctop_core16_pf0_pme_support),
   .ctop_core16_pf0_program_interface                                        (ctop_core16_pf0_program_interface),
   .ctop_core16_pf0_revision_id                                              (ctop_core16_pf0_revision_id),
   .ctop_core16_pf0_rom_bar_enabled                                          (ctop_core16_pf0_rom_bar_enabled),
   .ctop_core16_pf0_rp_rom_bar_enabled                                       (ctop_core16_pf0_rp_rom_bar_enabled),
   .ctop_core16_pf0_shadow_sriov_vf_stride_ari_cs2                           (ctop_core16_pf0_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core16_pf0_sriov_sup_page_size                                      (ctop_core16_pf0_sriov_sup_page_size),
   .ctop_core16_pf0_sriov_vf_bar0_prefetch                                   (ctop_core16_pf0_sriov_vf_bar0_prefetch),
   .ctop_core16_pf0_sriov_vf_bar0_type                                       (ctop_core16_pf0_sriov_vf_bar0_type),
   .ctop_core16_pf0_sriov_vf_bar1_prefetch                                   (ctop_core16_pf0_sriov_vf_bar1_prefetch),
   .ctop_core16_pf0_sriov_vf_bar2_prefetch                                   (ctop_core16_pf0_sriov_vf_bar2_prefetch),
   .ctop_core16_pf0_sriov_vf_bar2_type                                       (ctop_core16_pf0_sriov_vf_bar2_type),
   .ctop_core16_pf0_sriov_vf_bar3_prefetch                                   (ctop_core16_pf0_sriov_vf_bar3_prefetch),
   .ctop_core16_pf0_sriov_vf_bar4_prefetch                                   (ctop_core16_pf0_sriov_vf_bar4_prefetch),
   .ctop_core16_pf0_sriov_vf_bar4_type                                       (ctop_core16_pf0_sriov_vf_bar4_type),
   .ctop_core16_pf0_sriov_vf_bar5_prefetch                                   (ctop_core16_pf0_sriov_vf_bar5_prefetch),
   .ctop_core16_pf0_sriov_vf_device_id                                       (ctop_core16_pf0_sriov_vf_device_id),
   .ctop_core16_pf0_sriov_vf_offset_ari_cs2                                  (ctop_core16_pf0_sriov_vf_offset_ari_cs2),
   .ctop_core16_pf0_sriov_vf_offset_nonari                                   (ctop_core16_pf0_sriov_vf_offset_nonari),
   .ctop_core16_pf0_sriov_vf_stride_nonari                                   (ctop_core16_pf0_sriov_vf_stride_nonari),
   .ctop_core16_pf0_subclass_code                                            (ctop_core16_pf0_subclass_code),
   .ctop_core16_pf0_subsys_dev_id                                            (ctop_core16_pf0_subsys_dev_id),
   .ctop_core16_pf0_subsys_vendor_id                                         (ctop_core16_pf0_subsys_vendor_id),
   .ctop_core16_pf0_tph_req_cap_int_vec                                      (ctop_core16_pf0_tph_req_cap_int_vec),
   .ctop_core16_pf0_tph_req_cap_int_vec_vfcomm_cs2                           (ctop_core16_pf0_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core16_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                    (ctop_core16_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core16_pf0_tph_req_cap_st_table_loc_1                               (ctop_core16_pf0_tph_req_cap_st_table_loc_1),
   .ctop_core16_pf0_tph_req_cap_st_table_loc_1_vfcomm_cs2                    (ctop_core16_pf0_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core16_pf0_tph_req_cap_st_table_size                                (ctop_core16_pf0_tph_req_cap_st_table_size),
   .ctop_core16_pf0_tph_req_cap_st_table_size_vfcomm_cs2                     (ctop_core16_pf0_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core16_pf0_tph_req_device_spec                                      (ctop_core16_pf0_tph_req_device_spec),
   .ctop_core16_pf0_tph_req_device_spec_vfcomm_cs2                           (ctop_core16_pf0_tph_req_device_spec_vfcomm_cs2),
   .ctop_core16_pf0_prs_outstanding_capacity				     (ctop_core16_pf0_prs_outstanding_capacity),
   .ctop_core16_pf1_acs_cap_acs_at_block                                     (ctop_core16_pf1_acs_cap_acs_at_block),
   .ctop_core16_pf1_acs_cap_acs_direct_translated_p2p                        (ctop_core16_pf1_acs_cap_acs_direct_translated_p2p),
   .ctop_core16_pf1_acs_cap_acs_egress_ctrl_size                             (ctop_core16_pf1_acs_cap_acs_egress_ctrl_size),
   .ctop_core16_pf1_acs_cap_acs_p2p_cpl_redirect                             (ctop_core16_pf1_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core16_pf1_acs_cap_acs_p2p_egress_control                           (ctop_core16_pf1_acs_cap_acs_p2p_egress_control),
   .ctop_core16_pf1_acs_cap_acs_p2p_req_redirect                             (ctop_core16_pf1_acs_cap_acs_p2p_req_redirect),
   .ctop_core16_pf1_acs_cap_acs_src_valid                                    (ctop_core16_pf1_acs_cap_acs_src_valid),
   .ctop_core16_pf1_acs_cap_acs_usp_forwarding                               (ctop_core16_pf1_acs_cap_acs_usp_forwarding),
   .ctop_core16_pf1_bar0_prefetch                                            (ctop_core16_pf1_bar0_prefetch),
   .ctop_core16_pf1_bar0_type                                                (ctop_core16_pf1_bar0_type),
   .ctop_core16_pf1_bar1_prefetch                                            (ctop_core16_pf1_bar1_prefetch),
   .ctop_core16_pf1_bar2_prefetch                                            (ctop_core16_pf1_bar2_prefetch),
   .ctop_core16_pf1_bar2_type                                                (ctop_core16_pf1_bar2_type),
   .ctop_core16_pf1_bar3_prefetch                                            (ctop_core16_pf1_bar3_prefetch),
   .ctop_core16_pf1_bar4_prefetch                                            (ctop_core16_pf1_bar4_prefetch),
   .ctop_core16_pf1_bar4_type                                                (ctop_core16_pf1_bar4_type),
   .ctop_core16_pf1_bar5_prefetch                                            (ctop_core16_pf1_bar5_prefetch),
   .ctop_core16_pf1_base_class_code                                          (ctop_core16_pf1_base_class_code),
   .ctop_core16_pf1_int_pin                                                  (ctop_core16_pf1_int_pin),
   .ctop_core16_pf1_pasid_cap_execute_permission_supported                   (ctop_core16_pf1_pasid_cap_execute_permission_supported),
   .ctop_core16_pf1_pasid_cap_max_pasid_width                                (ctop_core16_pf1_pasid_cap_max_pasid_width),
   .ctop_core16_pf1_pasid_cap_privileged_mode_supported                      (ctop_core16_pf1_pasid_cap_privileged_mode_supported),
   .ctop_core16_pf1_pci_msi_64_bit_addr_cap                                  (ctop_core16_pf1_pci_msi_64_bit_addr_cap),
   .ctop_core16_pf1_pci_msi_ext_data_cap                                     (ctop_core16_pf1_pci_msi_ext_data_cap),
   .ctop_core16_pf1_pci_msi_multiple_msg_cap                                 (ctop_core16_pf1_pci_msi_multiple_msg_cap),
   .ctop_core16_pf1_pci_msix_bir                                             (ctop_core16_pf1_pci_msix_bir),
   .ctop_core16_pf1_pci_msix_pba                                             (ctop_core16_pf1_pci_msix_pba),
   .ctop_core16_pf1_pci_msix_pba_offset                                      (ctop_core16_pf1_pci_msix_pba_offset),
   .ctop_core16_pf1_pci_msix_table_offset                                    (ctop_core16_pf1_pci_msix_table_offset),
   .ctop_core16_pf1_pci_msix_table_size                                      (ctop_core16_pf1_pci_msix_table_size),
   .ctop_core16_pf1_pci_msix_table_size_vfcomm_cs2                           (ctop_core16_pf1_pci_msix_table_size_vfcomm_cs2),
   .ctop_core16_pf1_pci_type0_bar0_enabled                                   (ctop_core16_pf1_pci_type0_bar0_enabled),
   .ctop_core16_pf1_pci_type0_bar1_enabled                                   (ctop_core16_pf1_pci_type0_bar1_enabled),
   .ctop_core16_pf1_pci_type0_bar2_enabled                                   (ctop_core16_pf1_pci_type0_bar2_enabled),
   .ctop_core16_pf1_pci_type0_bar3_enabled                                   (ctop_core16_pf1_pci_type0_bar3_enabled),
   .ctop_core16_pf1_pci_type0_bar4_enabled                                   (ctop_core16_pf1_pci_type0_bar4_enabled),
   .ctop_core16_pf1_pci_type0_bar5_enabled                                   (ctop_core16_pf1_pci_type0_bar5_enabled),
   .ctop_core16_pf1_pci_type0_device_id                                      (ctop_core16_pf1_pci_type0_device_id),
   .ctop_core16_pf1_pci_type0_vendor_id                                      (ctop_core16_pf1_pci_type0_vendor_id),
   .ctop_core16_pf1_pcie_cap_ep_l0s_accpt_latency                            (ctop_core16_pf1_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core16_pf1_pcie_cap_ep_l1_accpt_latency                             (ctop_core16_pf1_pcie_cap_ep_l1_accpt_latency),
   .ctop_core16_pf1_pcie_cap_ext_tag_supp                                    (ctop_core16_pf1_pcie_cap_ext_tag_supp),
   .ctop_core16_pf1_pcie_cap_flr_cap                                         (ctop_core16_pf1_pcie_cap_flr_cap),
   .ctop_core16_pf1_pcie_cap_slot_clk_config                                 (ctop_core16_pf1_pcie_cap_slot_clk_config),
   .ctop_core16_pf1_pme_support                                              (ctop_core16_pf1_pme_support),
   .ctop_core16_pf1_program_interface                                        (ctop_core16_pf1_program_interface),
   .ctop_core16_pf1_revision_id                                              (ctop_core16_pf1_revision_id),
   .ctop_core16_pf1_rom_bar_enabled                                          (ctop_core16_pf1_rom_bar_enabled),
   .ctop_core16_pf1_shadow_sriov_vf_stride_ari_cs2                           (ctop_core16_pf1_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core16_pf1_sriov_sup_page_size                                      (ctop_core16_pf1_sriov_sup_page_size),
   .ctop_core16_pf1_sriov_vf_bar0_prefetch                                   (ctop_core16_pf1_sriov_vf_bar0_prefetch),
   .ctop_core16_pf1_sriov_vf_bar0_type                                       (ctop_core16_pf1_sriov_vf_bar0_type),
   .ctop_core16_pf1_sriov_vf_bar1_prefetch                                   (ctop_core16_pf1_sriov_vf_bar1_prefetch),
   .ctop_core16_pf1_sriov_vf_bar2_prefetch                                   (ctop_core16_pf1_sriov_vf_bar2_prefetch),
   .ctop_core16_pf1_sriov_vf_bar2_type                                       (ctop_core16_pf1_sriov_vf_bar2_type),
   .ctop_core16_pf1_sriov_vf_bar3_prefetch                                   (ctop_core16_pf1_sriov_vf_bar3_prefetch),
   .ctop_core16_pf1_sriov_vf_bar4_prefetch                                   (ctop_core16_pf1_sriov_vf_bar4_prefetch),
   .ctop_core16_pf1_sriov_vf_bar4_type                                       (ctop_core16_pf1_sriov_vf_bar4_type),
   .ctop_core16_pf1_sriov_vf_bar5_prefetch                                   (ctop_core16_pf1_sriov_vf_bar5_prefetch),
   .ctop_core16_pf1_sriov_vf_device_id                                       (ctop_core16_pf1_sriov_vf_device_id),
   .ctop_core16_pf1_sriov_vf_offset_ari_cs2                                  (ctop_core16_pf1_sriov_vf_offset_ari_cs2),
   .ctop_core16_pf1_sriov_vf_offset_position_nonari                          (ctop_core16_pf1_sriov_vf_offset_position_nonari),
   .ctop_core16_pf1_sriov_vf_stride_nonari                                   (ctop_core16_pf1_sriov_vf_stride_nonari),
   .ctop_core16_pf1_subclass_code                                            (ctop_core16_pf1_subclass_code),
   .ctop_core16_pf1_subsys_dev_id                                            (ctop_core16_pf1_subsys_dev_id),
   .ctop_core16_pf1_subsys_vendor_id                                         (ctop_core16_pf1_subsys_vendor_id),
   .ctop_core16_pf1_tph_req_cap_int_vec                                      (ctop_core16_pf1_tph_req_cap_int_vec),
   .ctop_core16_pf1_tph_req_cap_int_vec_vfcomm_cs2                           (ctop_core16_pf1_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core16_pf1_tph_req_cap_st_table_loc_0_vfcomm_cs2                    (ctop_core16_pf1_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core16_pf1_tph_req_cap_st_table_loc_1                               (ctop_core16_pf1_tph_req_cap_st_table_loc_1),
   .ctop_core16_pf1_tph_req_cap_st_table_loc_1_vfcomm_cs2                    (ctop_core16_pf1_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core16_pf1_tph_req_cap_st_table_size                                (ctop_core16_pf1_tph_req_cap_st_table_size),
   .ctop_core16_pf1_tph_req_cap_st_table_size_vfcomm_cs2                     (ctop_core16_pf1_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core16_pf1_tph_req_device_spec                                      (ctop_core16_pf1_tph_req_device_spec),
   .ctop_core16_pf1_tph_req_device_spec_vfcomm_cs2                           (ctop_core16_pf1_tph_req_device_spec_vfcomm_cs2),
   .ctop_core16_pf1_prs_outstanding_capacity				     (ctop_core16_pf1_prs_outstanding_capacity),
   .ctop_core16_pf2_acs_cap_acs_at_block                                     (ctop_core16_pf2_acs_cap_acs_at_block),
   .ctop_core16_pf2_acs_cap_acs_direct_translated_p2p                        (ctop_core16_pf2_acs_cap_acs_direct_translated_p2p),
   .ctop_core16_pf2_acs_cap_acs_egress_ctrl_size                             (ctop_core16_pf2_acs_cap_acs_egress_ctrl_size),
   .ctop_core16_pf2_acs_cap_acs_p2p_cpl_redirect                             (ctop_core16_pf2_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core16_pf2_acs_cap_acs_p2p_egress_control                           (ctop_core16_pf2_acs_cap_acs_p2p_egress_control),
   .ctop_core16_pf2_acs_cap_acs_p2p_req_redirect                             (ctop_core16_pf2_acs_cap_acs_p2p_req_redirect),
   .ctop_core16_pf2_acs_cap_acs_src_valid                                    (ctop_core16_pf2_acs_cap_acs_src_valid),
   .ctop_core16_pf2_acs_cap_acs_usp_forwarding                               (ctop_core16_pf2_acs_cap_acs_usp_forwarding),
   .ctop_core16_pf2_bar0_prefetch                                            (ctop_core16_pf2_bar0_prefetch),
   .ctop_core16_pf2_bar0_type                                                (ctop_core16_pf2_bar0_type),
   .ctop_core16_pf2_bar1_prefetch                                            (ctop_core16_pf2_bar1_prefetch),
   .ctop_core16_pf2_bar2_prefetch                                            (ctop_core16_pf2_bar2_prefetch),
   .ctop_core16_pf2_bar2_type                                                (ctop_core16_pf2_bar2_type),
   .ctop_core16_pf2_bar3_prefetch                                            (ctop_core16_pf2_bar3_prefetch),
   .ctop_core16_pf2_bar4_prefetch                                            (ctop_core16_pf2_bar4_prefetch),
   .ctop_core16_pf2_bar4_type                                                (ctop_core16_pf2_bar4_type),
   .ctop_core16_pf2_bar5_prefetch                                            (ctop_core16_pf2_bar5_prefetch),
   .ctop_core16_pf2_base_class_code                                          (ctop_core16_pf2_base_class_code),
   .ctop_core16_pf2_int_pin                                                  (ctop_core16_pf2_int_pin),
   .ctop_core16_pf2_pasid_cap_execute_permission_supported                   (ctop_core16_pf2_pasid_cap_execute_permission_supported),
   .ctop_core16_pf2_pasid_cap_max_pasid_width                                (ctop_core16_pf2_pasid_cap_max_pasid_width),
   .ctop_core16_pf2_pasid_cap_privileged_mode_supported                      (ctop_core16_pf2_pasid_cap_privileged_mode_supported),
   .ctop_core16_pf2_pci_msi_64_bit_addr_cap                                  (ctop_core16_pf2_pci_msi_64_bit_addr_cap),
   .ctop_core16_pf2_pci_msi_ext_data_cap                                     (ctop_core16_pf2_pci_msi_ext_data_cap),
   .ctop_core16_pf2_pci_msi_multiple_msg_cap                                 (ctop_core16_pf2_pci_msi_multiple_msg_cap),
   .ctop_core16_pf2_pci_msix_bir                                             (ctop_core16_pf2_pci_msix_bir),
   .ctop_core16_pf2_pci_msix_pba                                             (ctop_core16_pf2_pci_msix_pba),
   .ctop_core16_pf2_pci_msix_pba_offset                                      (ctop_core16_pf2_pci_msix_pba_offset),
   .ctop_core16_pf2_pci_msix_table_offset                                    (ctop_core16_pf2_pci_msix_table_offset),
   .ctop_core16_pf2_pci_msix_table_size                                      (ctop_core16_pf2_pci_msix_table_size),
   .ctop_core16_pf2_pci_msix_table_size_vfcomm_cs2                           (ctop_core16_pf2_pci_msix_table_size_vfcomm_cs2),
   .ctop_core16_pf2_pci_type0_bar0_enabled                                   (ctop_core16_pf2_pci_type0_bar0_enabled),
   .ctop_core16_pf2_pci_type0_bar1_enabled                                   (ctop_core16_pf2_pci_type0_bar1_enabled),
   .ctop_core16_pf2_pci_type0_bar2_enabled                                   (ctop_core16_pf2_pci_type0_bar2_enabled),
   .ctop_core16_pf2_pci_type0_bar3_enabled                                   (ctop_core16_pf2_pci_type0_bar3_enabled),
   .ctop_core16_pf2_pci_type0_bar4_enabled                                   (ctop_core16_pf2_pci_type0_bar4_enabled),
   .ctop_core16_pf2_pci_type0_bar5_enabled                                   (ctop_core16_pf2_pci_type0_bar5_enabled),
   .ctop_core16_pf2_pci_type0_device_id                                      (ctop_core16_pf2_pci_type0_device_id),
   .ctop_core16_pf2_pci_type0_vendor_id                                      (ctop_core16_pf2_pci_type0_vendor_id),
   .ctop_core16_pf2_pcie_cap_ep_l0s_accpt_latency                            (ctop_core16_pf2_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core16_pf2_pcie_cap_ep_l1_accpt_latency                             (ctop_core16_pf2_pcie_cap_ep_l1_accpt_latency),
   .ctop_core16_pf2_pcie_cap_ext_tag_supp                                    (ctop_core16_pf2_pcie_cap_ext_tag_supp),
   .ctop_core16_pf2_pcie_cap_flr_cap                                         (ctop_core16_pf2_pcie_cap_flr_cap),
   .ctop_core16_pf2_pcie_cap_slot_clk_config                                 (ctop_core16_pf2_pcie_cap_slot_clk_config),
   .ctop_core16_pf2_pme_support                                              (ctop_core16_pf2_pme_support),
   .ctop_core16_pf2_program_interface                                        (ctop_core16_pf2_program_interface),
   .ctop_core16_pf2_revision_id                                              (ctop_core16_pf2_revision_id),
   .ctop_core16_pf2_rom_bar_enabled                                          (ctop_core16_pf2_rom_bar_enabled),
   .ctop_core16_pf2_shadow_sriov_vf_stride_ari_cs2                           (ctop_core16_pf2_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core16_pf2_sriov_sup_page_size                                      (ctop_core16_pf2_sriov_sup_page_size),
   .ctop_core16_pf2_sriov_vf_bar0_prefetch                                   (ctop_core16_pf2_sriov_vf_bar0_prefetch),
   .ctop_core16_pf2_sriov_vf_bar0_type                                       (ctop_core16_pf2_sriov_vf_bar0_type),
   .ctop_core16_pf2_sriov_vf_bar1_prefetch                                   (ctop_core16_pf2_sriov_vf_bar1_prefetch),
   .ctop_core16_pf2_sriov_vf_bar2_prefetch                                   (ctop_core16_pf2_sriov_vf_bar2_prefetch),
   .ctop_core16_pf2_sriov_vf_bar2_type                                       (ctop_core16_pf2_sriov_vf_bar2_type),
   .ctop_core16_pf2_sriov_vf_bar3_prefetch                                   (ctop_core16_pf2_sriov_vf_bar3_prefetch),
   .ctop_core16_pf2_sriov_vf_bar4_prefetch                                   (ctop_core16_pf2_sriov_vf_bar4_prefetch),
   .ctop_core16_pf2_sriov_vf_bar4_type                                       (ctop_core16_pf2_sriov_vf_bar4_type),
   .ctop_core16_pf2_sriov_vf_bar5_prefetch                                   (ctop_core16_pf2_sriov_vf_bar5_prefetch),
   .ctop_core16_pf2_sriov_vf_device_id                                       (ctop_core16_pf2_sriov_vf_device_id),
   .ctop_core16_pf2_sriov_vf_offset_ari_cs2                                  (ctop_core16_pf2_sriov_vf_offset_ari_cs2),
   .ctop_core16_pf2_sriov_vf_offset_position_nonari                          (ctop_core16_pf2_sriov_vf_offset_position_nonari),
   .ctop_core16_pf2_sriov_vf_stride_nonari                                   (ctop_core16_pf2_sriov_vf_stride_nonari),
   .ctop_core16_pf2_subclass_code                                            (ctop_core16_pf2_subclass_code),
   .ctop_core16_pf2_subsys_dev_id                                            (ctop_core16_pf2_subsys_dev_id),
   .ctop_core16_pf2_subsys_vendor_id                                         (ctop_core16_pf2_subsys_vendor_id),
   .ctop_core16_pf2_tph_req_cap_int_vec                                      (ctop_core16_pf2_tph_req_cap_int_vec),
   .ctop_core16_pf2_tph_req_cap_int_vec_vfcomm_cs2                           (ctop_core16_pf2_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core16_pf2_tph_req_cap_st_table_loc_0_vfcomm_cs2                    (ctop_core16_pf2_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core16_pf2_tph_req_cap_st_table_loc_1                               (ctop_core16_pf2_tph_req_cap_st_table_loc_1),
   .ctop_core16_pf2_tph_req_cap_st_table_loc_1_vfcomm_cs2                    (ctop_core16_pf2_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core16_pf2_tph_req_cap_st_table_size                                (ctop_core16_pf2_tph_req_cap_st_table_size),
   .ctop_core16_pf2_tph_req_cap_st_table_size_vfcomm_cs2                     (ctop_core16_pf2_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core16_pf2_tph_req_device_spec                                      (ctop_core16_pf2_tph_req_device_spec),
   .ctop_core16_pf2_tph_req_device_spec_vfcomm_cs2                           (ctop_core16_pf2_tph_req_device_spec_vfcomm_cs2),
   .ctop_core16_pf2_prs_outstanding_capacity				     (ctop_core16_pf2_prs_outstanding_capacity),
   .ctop_core16_pf3_acs_cap_acs_at_block                                     (ctop_core16_pf3_acs_cap_acs_at_block),
   .ctop_core16_pf3_acs_cap_acs_direct_translated_p2p                        (ctop_core16_pf3_acs_cap_acs_direct_translated_p2p),
   .ctop_core16_pf3_acs_cap_acs_egress_ctrl_size                             (ctop_core16_pf3_acs_cap_acs_egress_ctrl_size),
   .ctop_core16_pf3_acs_cap_acs_p2p_cpl_redirect                             (ctop_core16_pf3_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core16_pf3_acs_cap_acs_p2p_egress_control                           (ctop_core16_pf3_acs_cap_acs_p2p_egress_control),
   .ctop_core16_pf3_acs_cap_acs_p2p_req_redirect                             (ctop_core16_pf3_acs_cap_acs_p2p_req_redirect),
   .ctop_core16_pf3_acs_cap_acs_src_valid                                    (ctop_core16_pf3_acs_cap_acs_src_valid),
   .ctop_core16_pf3_acs_cap_acs_usp_forwarding                               (ctop_core16_pf3_acs_cap_acs_usp_forwarding),
   .ctop_core16_pf3_bar0_prefetch                                            (ctop_core16_pf3_bar0_prefetch),
   .ctop_core16_pf3_bar0_type                                                (ctop_core16_pf3_bar0_type),
   .ctop_core16_pf3_bar1_prefetch                                            (ctop_core16_pf3_bar1_prefetch),
   .ctop_core16_pf3_bar2_prefetch                                            (ctop_core16_pf3_bar2_prefetch),
   .ctop_core16_pf3_bar2_type                                                (ctop_core16_pf3_bar2_type),
   .ctop_core16_pf3_bar3_prefetch                                            (ctop_core16_pf3_bar3_prefetch),
   .ctop_core16_pf3_bar4_prefetch                                            (ctop_core16_pf3_bar4_prefetch),
   .ctop_core16_pf3_bar4_type                                                (ctop_core16_pf3_bar4_type),
   .ctop_core16_pf3_bar5_prefetch                                            (ctop_core16_pf3_bar5_prefetch),
   .ctop_core16_pf3_base_class_code                                          (ctop_core16_pf3_base_class_code),
   .ctop_core16_pf3_int_pin                                                  (ctop_core16_pf3_int_pin),
   .ctop_core16_pf3_pasid_cap_execute_permission_supported                   (ctop_core16_pf3_pasid_cap_execute_permission_supported),
   .ctop_core16_pf3_pasid_cap_max_pasid_width                                (ctop_core16_pf3_pasid_cap_max_pasid_width),
   .ctop_core16_pf3_pasid_cap_privileged_mode_supported                      (ctop_core16_pf3_pasid_cap_privileged_mode_supported),
   .ctop_core16_pf3_pci_msi_64_bit_addr_cap                                  (ctop_core16_pf3_pci_msi_64_bit_addr_cap),
   .ctop_core16_pf3_pci_msi_ext_data_cap                                     (ctop_core16_pf3_pci_msi_ext_data_cap),
   .ctop_core16_pf3_pci_msi_multiple_msg_cap                                 (ctop_core16_pf3_pci_msi_multiple_msg_cap),
   .ctop_core16_pf3_pci_msix_bir                                             (ctop_core16_pf3_pci_msix_bir),
   .ctop_core16_pf3_pci_msix_pba                                             (ctop_core16_pf3_pci_msix_pba),
   .ctop_core16_pf3_pci_msix_pba_offset                                      (ctop_core16_pf3_pci_msix_pba_offset),
   .ctop_core16_pf3_pci_msix_table_offset                                    (ctop_core16_pf3_pci_msix_table_offset),
   .ctop_core16_pf3_pci_msix_table_size                                      (ctop_core16_pf3_pci_msix_table_size),
   .ctop_core16_pf3_pci_msix_table_size_vfcomm_cs2                           (ctop_core16_pf3_pci_msix_table_size_vfcomm_cs2),
   .ctop_core16_pf3_pci_type0_bar0_enabled                                   (ctop_core16_pf3_pci_type0_bar0_enabled),
   .ctop_core16_pf3_pci_type0_bar1_enabled                                   (ctop_core16_pf3_pci_type0_bar1_enabled),
   .ctop_core16_pf3_pci_type0_bar2_enabled                                   (ctop_core16_pf3_pci_type0_bar2_enabled),
   .ctop_core16_pf3_pci_type0_bar3_enabled                                   (ctop_core16_pf3_pci_type0_bar3_enabled),
   .ctop_core16_pf3_pci_type0_bar4_enabled                                   (ctop_core16_pf3_pci_type0_bar4_enabled),
   .ctop_core16_pf3_pci_type0_bar5_enabled                                   (ctop_core16_pf3_pci_type0_bar5_enabled),
   .ctop_core16_pf3_pci_type0_device_id                                      (ctop_core16_pf3_pci_type0_device_id),
   .ctop_core16_pf3_pci_type0_vendor_id                                      (ctop_core16_pf3_pci_type0_vendor_id),
   .ctop_core16_pf3_pcie_cap_ep_l0s_accpt_latency                            (ctop_core16_pf3_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core16_pf3_pcie_cap_ep_l1_accpt_latency                             (ctop_core16_pf3_pcie_cap_ep_l1_accpt_latency),
   .ctop_core16_pf3_pcie_cap_ext_tag_supp                                    (ctop_core16_pf3_pcie_cap_ext_tag_supp),
   .ctop_core16_pf3_pcie_cap_flr_cap                                         (ctop_core16_pf3_pcie_cap_flr_cap),
   .ctop_core16_pf3_pcie_cap_slot_clk_config                                 (ctop_core16_pf3_pcie_cap_slot_clk_config),
   .ctop_core16_pf3_pme_support                                              (ctop_core16_pf3_pme_support),
   .ctop_core16_pf3_program_interface                                        (ctop_core16_pf3_program_interface),
   .ctop_core16_pf3_revision_id                                              (ctop_core16_pf3_revision_id),
   .ctop_core16_pf3_rom_bar_enabled                                          (ctop_core16_pf3_rom_bar_enabled),
   .ctop_core16_pf3_shadow_sriov_vf_stride_ari_cs2                           (ctop_core16_pf3_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core16_pf3_sriov_sup_page_size                                      (ctop_core16_pf3_sriov_sup_page_size),
   .ctop_core16_pf3_sriov_vf_bar0_prefetch                                   (ctop_core16_pf3_sriov_vf_bar0_prefetch),
   .ctop_core16_pf3_sriov_vf_bar0_type                                       (ctop_core16_pf3_sriov_vf_bar0_type),
   .ctop_core16_pf3_sriov_vf_bar1_prefetch                                   (ctop_core16_pf3_sriov_vf_bar1_prefetch),
   .ctop_core16_pf3_sriov_vf_bar2_prefetch                                   (ctop_core16_pf3_sriov_vf_bar2_prefetch),
   .ctop_core16_pf3_sriov_vf_bar2_type                                       (ctop_core16_pf3_sriov_vf_bar2_type),
   .ctop_core16_pf3_sriov_vf_bar3_prefetch                                   (ctop_core16_pf3_sriov_vf_bar3_prefetch),
   .ctop_core16_pf3_sriov_vf_bar4_prefetch                                   (ctop_core16_pf3_sriov_vf_bar4_prefetch),
   .ctop_core16_pf3_sriov_vf_bar4_type                                       (ctop_core16_pf3_sriov_vf_bar4_type),
   .ctop_core16_pf3_sriov_vf_bar5_prefetch                                   (ctop_core16_pf3_sriov_vf_bar5_prefetch),
   .ctop_core16_pf3_sriov_vf_device_id                                       (ctop_core16_pf3_sriov_vf_device_id),
   .ctop_core16_pf3_sriov_vf_offset_ari_cs2                                  (ctop_core16_pf3_sriov_vf_offset_ari_cs2),
   .ctop_core16_pf3_sriov_vf_offset_position_nonari                          (ctop_core16_pf3_sriov_vf_offset_position_nonari),
   .ctop_core16_pf3_sriov_vf_stride_nonari                                   (ctop_core16_pf3_sriov_vf_stride_nonari),
   .ctop_core16_pf3_subclass_code                                            (ctop_core16_pf3_subclass_code),
   .ctop_core16_pf3_subsys_dev_id                                            (ctop_core16_pf3_subsys_dev_id),
   .ctop_core16_pf3_subsys_vendor_id                                         (ctop_core16_pf3_subsys_vendor_id),
   .ctop_core16_pf3_tph_req_cap_int_vec                                      (ctop_core16_pf3_tph_req_cap_int_vec),
   .ctop_core16_pf3_tph_req_cap_int_vec_vfcomm_cs2                           (ctop_core16_pf3_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core16_pf3_tph_req_cap_st_table_loc_0_vfcomm_cs2                    (ctop_core16_pf3_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core16_pf3_tph_req_cap_st_table_loc_1                               (ctop_core16_pf3_tph_req_cap_st_table_loc_1),
   .ctop_core16_pf3_tph_req_cap_st_table_loc_1_vfcomm_cs2                    (ctop_core16_pf3_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core16_pf3_tph_req_cap_st_table_size                                (ctop_core16_pf3_tph_req_cap_st_table_size),
   .ctop_core16_pf3_tph_req_cap_st_table_size_vfcomm_cs2                     (ctop_core16_pf3_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core16_pf3_tph_req_device_spec                                      (ctop_core16_pf3_tph_req_device_spec),
   .ctop_core16_pf3_tph_req_device_spec_vfcomm_cs2                           (ctop_core16_pf3_tph_req_device_spec_vfcomm_cs2),
   .ctop_core16_pf3_prs_outstanding_capacity				     (ctop_core16_pf3_prs_outstanding_capacity),
   .ctop_core16_pf4_acs_cap_acs_at_block                                     (ctop_core16_pf4_acs_cap_acs_at_block),
   .ctop_core16_pf4_acs_cap_acs_direct_translated_p2p                        (ctop_core16_pf4_acs_cap_acs_direct_translated_p2p),
   .ctop_core16_pf4_acs_cap_acs_egress_ctrl_size                             (ctop_core16_pf4_acs_cap_acs_egress_ctrl_size),
   .ctop_core16_pf4_acs_cap_acs_p2p_cpl_redirect                             (ctop_core16_pf4_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core16_pf4_acs_cap_acs_p2p_egress_control                           (ctop_core16_pf4_acs_cap_acs_p2p_egress_control),
   .ctop_core16_pf4_acs_cap_acs_p2p_req_redirect                             (ctop_core16_pf4_acs_cap_acs_p2p_req_redirect),
   .ctop_core16_pf4_acs_cap_acs_src_valid                                    (ctop_core16_pf4_acs_cap_acs_src_valid),
   .ctop_core16_pf4_acs_cap_acs_usp_forwarding                               (ctop_core16_pf4_acs_cap_acs_usp_forwarding),
   .ctop_core16_pf4_bar0_prefetch                                            (ctop_core16_pf4_bar0_prefetch),
   .ctop_core16_pf4_bar0_type                                                (ctop_core16_pf4_bar0_type),
   .ctop_core16_pf4_bar1_prefetch                                            (ctop_core16_pf4_bar1_prefetch),
   .ctop_core16_pf4_bar2_prefetch                                            (ctop_core16_pf4_bar2_prefetch),
   .ctop_core16_pf4_bar2_type                                                (ctop_core16_pf4_bar2_type),
   .ctop_core16_pf4_bar3_prefetch                                            (ctop_core16_pf4_bar3_prefetch),
   .ctop_core16_pf4_bar4_prefetch                                            (ctop_core16_pf4_bar4_prefetch),
   .ctop_core16_pf4_bar4_type                                                (ctop_core16_pf4_bar4_type),
   .ctop_core16_pf4_bar5_prefetch                                            (ctop_core16_pf4_bar5_prefetch),
   .ctop_core16_pf4_base_class_code                                          (ctop_core16_pf4_base_class_code),
   .ctop_core16_pf4_int_pin                                                  (ctop_core16_pf4_int_pin),
   .ctop_core16_pf4_pasid_cap_execute_permission_supported                   (ctop_core16_pf4_pasid_cap_execute_permission_supported),
   .ctop_core16_pf4_pasid_cap_max_pasid_width                                (ctop_core16_pf4_pasid_cap_max_pasid_width),
   .ctop_core16_pf4_pasid_cap_privileged_mode_supported                      (ctop_core16_pf4_pasid_cap_privileged_mode_supported),
   .ctop_core16_pf4_pci_msi_64_bit_addr_cap                                  (ctop_core16_pf4_pci_msi_64_bit_addr_cap),
   .ctop_core16_pf4_pci_msi_ext_data_cap                                     (ctop_core16_pf4_pci_msi_ext_data_cap),
   .ctop_core16_pf4_pci_msi_multiple_msg_cap                                 (ctop_core16_pf4_pci_msi_multiple_msg_cap),
   .ctop_core16_pf4_pci_msix_bir                                             (ctop_core16_pf4_pci_msix_bir),
   .ctop_core16_pf4_pci_msix_pba                                             (ctop_core16_pf4_pci_msix_pba),
   .ctop_core16_pf4_pci_msix_pba_offset                                      (ctop_core16_pf4_pci_msix_pba_offset),
   .ctop_core16_pf4_pci_msix_table_offset                                    (ctop_core16_pf4_pci_msix_table_offset),
   .ctop_core16_pf4_pci_msix_table_size                                      (ctop_core16_pf4_pci_msix_table_size),
   .ctop_core16_pf4_pci_msix_table_size_vfcomm_cs2                           (ctop_core16_pf4_pci_msix_table_size_vfcomm_cs2),
   .ctop_core16_pf4_pci_type0_bar0_enabled                                   (ctop_core16_pf4_pci_type0_bar0_enabled),
   .ctop_core16_pf4_pci_type0_bar1_enabled                                   (ctop_core16_pf4_pci_type0_bar1_enabled),
   .ctop_core16_pf4_pci_type0_bar2_enabled                                   (ctop_core16_pf4_pci_type0_bar2_enabled),
   .ctop_core16_pf4_pci_type0_bar3_enabled                                   (ctop_core16_pf4_pci_type0_bar3_enabled),
   .ctop_core16_pf4_pci_type0_bar4_enabled                                   (ctop_core16_pf4_pci_type0_bar4_enabled),
   .ctop_core16_pf4_pci_type0_bar5_enabled                                   (ctop_core16_pf4_pci_type0_bar5_enabled),
   .ctop_core16_pf4_pci_type0_device_id                                      (ctop_core16_pf4_pci_type0_device_id),
   .ctop_core16_pf4_pci_type0_vendor_id                                      (ctop_core16_pf4_pci_type0_vendor_id),
   .ctop_core16_pf4_pcie_cap_ep_l0s_accpt_latency                            (ctop_core16_pf4_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core16_pf4_pcie_cap_ep_l1_accpt_latency                             (ctop_core16_pf4_pcie_cap_ep_l1_accpt_latency),
   .ctop_core16_pf4_pcie_cap_ext_tag_supp                                    (ctop_core16_pf4_pcie_cap_ext_tag_supp),
   .ctop_core16_pf4_pcie_cap_flr_cap                                         (ctop_core16_pf4_pcie_cap_flr_cap),
   .ctop_core16_pf4_pcie_cap_slot_clk_config                                 (ctop_core16_pf4_pcie_cap_slot_clk_config),
   .ctop_core16_pf4_pme_support                                              (ctop_core16_pf4_pme_support),
   .ctop_core16_pf4_program_interface                                        (ctop_core16_pf4_program_interface),
   .ctop_core16_pf4_revision_id                                              (ctop_core16_pf4_revision_id),
   .ctop_core16_pf4_rom_bar_enabled                                          (ctop_core16_pf4_rom_bar_enabled),
   .ctop_core16_pf4_shadow_sriov_vf_stride_ari_cs2                           (ctop_core16_pf4_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core16_pf4_sriov_sup_page_size                                      (ctop_core16_pf4_sriov_sup_page_size),
   .ctop_core16_pf4_sriov_vf_bar0_prefetch                                   (ctop_core16_pf4_sriov_vf_bar0_prefetch),
   .ctop_core16_pf4_sriov_vf_bar0_type                                       (ctop_core16_pf4_sriov_vf_bar0_type),
   .ctop_core16_pf4_sriov_vf_bar1_prefetch                                   (ctop_core16_pf4_sriov_vf_bar1_prefetch),
   .ctop_core16_pf4_sriov_vf_bar2_prefetch                                   (ctop_core16_pf4_sriov_vf_bar2_prefetch),
   .ctop_core16_pf4_sriov_vf_bar2_type                                       (ctop_core16_pf4_sriov_vf_bar2_type),
   .ctop_core16_pf4_sriov_vf_bar3_prefetch                                   (ctop_core16_pf4_sriov_vf_bar3_prefetch),
   .ctop_core16_pf4_sriov_vf_bar4_prefetch                                   (ctop_core16_pf4_sriov_vf_bar4_prefetch),
   .ctop_core16_pf4_sriov_vf_bar4_type                                       (ctop_core16_pf4_sriov_vf_bar4_type),
   .ctop_core16_pf4_sriov_vf_bar5_prefetch                                   (ctop_core16_pf4_sriov_vf_bar5_prefetch),
   .ctop_core16_pf4_sriov_vf_device_id                                       (ctop_core16_pf4_sriov_vf_device_id),
   .ctop_core16_pf4_sriov_vf_offset_ari_cs2                                  (ctop_core16_pf4_sriov_vf_offset_ari_cs2),
   .ctop_core16_pf4_sriov_vf_offset_position_nonari                          (ctop_core16_pf4_sriov_vf_offset_position_nonari),
   .ctop_core16_pf4_sriov_vf_stride_nonari                                   (ctop_core16_pf4_sriov_vf_stride_nonari),
   .ctop_core16_pf4_subclass_code                                            (ctop_core16_pf4_subclass_code),
   .ctop_core16_pf4_subsys_dev_id                                            (ctop_core16_pf4_subsys_dev_id),
   .ctop_core16_pf4_subsys_vendor_id                                         (ctop_core16_pf4_subsys_vendor_id),
   .ctop_core16_pf4_tph_req_cap_int_vec                                      (ctop_core16_pf4_tph_req_cap_int_vec),
   .ctop_core16_pf4_tph_req_cap_int_vec_vfcomm_cs2                           (ctop_core16_pf4_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core16_pf4_tph_req_cap_st_table_loc_0_vfcomm_cs2                    (ctop_core16_pf4_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core16_pf4_tph_req_cap_st_table_loc_1                               (ctop_core16_pf4_tph_req_cap_st_table_loc_1),
   .ctop_core16_pf4_tph_req_cap_st_table_loc_1_vfcomm_cs2                    (ctop_core16_pf4_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core16_pf4_tph_req_cap_st_table_size                                (ctop_core16_pf4_tph_req_cap_st_table_size),
   .ctop_core16_pf4_tph_req_cap_st_table_size_vfcomm_cs2                     (ctop_core16_pf4_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core16_pf4_tph_req_device_spec                                      (ctop_core16_pf4_tph_req_device_spec),
   .ctop_core16_pf4_tph_req_device_spec_vfcomm_cs2                           (ctop_core16_pf4_tph_req_device_spec_vfcomm_cs2),
   .ctop_core16_pf4_prs_outstanding_capacity				     (ctop_core16_pf4_prs_outstanding_capacity),
   .ctop_core16_pf5_acs_cap_acs_at_block                                     (ctop_core16_pf5_acs_cap_acs_at_block),
   .ctop_core16_pf5_acs_cap_acs_direct_translated_p2p                        (ctop_core16_pf5_acs_cap_acs_direct_translated_p2p),
   .ctop_core16_pf5_acs_cap_acs_egress_ctrl_size                             (ctop_core16_pf5_acs_cap_acs_egress_ctrl_size),
   .ctop_core16_pf5_acs_cap_acs_p2p_cpl_redirect                             (ctop_core16_pf5_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core16_pf5_acs_cap_acs_p2p_egress_control                           (ctop_core16_pf5_acs_cap_acs_p2p_egress_control),
   .ctop_core16_pf5_acs_cap_acs_p2p_req_redirect                             (ctop_core16_pf5_acs_cap_acs_p2p_req_redirect),
   .ctop_core16_pf5_acs_cap_acs_src_valid                                    (ctop_core16_pf5_acs_cap_acs_src_valid),
   .ctop_core16_pf5_acs_cap_acs_usp_forwarding                               (ctop_core16_pf5_acs_cap_acs_usp_forwarding),
   .ctop_core16_pf5_bar0_prefetch                                            (ctop_core16_pf5_bar0_prefetch),
   .ctop_core16_pf5_bar0_type                                                (ctop_core16_pf5_bar0_type),
   .ctop_core16_pf5_bar1_prefetch                                            (ctop_core16_pf5_bar1_prefetch),
   .ctop_core16_pf5_bar2_prefetch                                            (ctop_core16_pf5_bar2_prefetch),
   .ctop_core16_pf5_bar2_type                                                (ctop_core16_pf5_bar2_type),
   .ctop_core16_pf5_bar3_prefetch                                            (ctop_core16_pf5_bar3_prefetch),
   .ctop_core16_pf5_bar4_prefetch                                            (ctop_core16_pf5_bar4_prefetch),
   .ctop_core16_pf5_bar4_type                                                (ctop_core16_pf5_bar4_type),
   .ctop_core16_pf5_bar5_prefetch                                            (ctop_core16_pf5_bar5_prefetch),
   .ctop_core16_pf5_base_class_code                                          (ctop_core16_pf5_base_class_code),
   .ctop_core16_pf5_int_pin                                                  (ctop_core16_pf5_int_pin),
   .ctop_core16_pf5_pasid_cap_execute_permission_supported                   (ctop_core16_pf5_pasid_cap_execute_permission_supported),
   .ctop_core16_pf5_pasid_cap_max_pasid_width                                (ctop_core16_pf5_pasid_cap_max_pasid_width),
   .ctop_core16_pf5_pasid_cap_privileged_mode_supported                      (ctop_core16_pf5_pasid_cap_privileged_mode_supported),
   .ctop_core16_pf5_pci_msi_64_bit_addr_cap                                  (ctop_core16_pf5_pci_msi_64_bit_addr_cap),
   .ctop_core16_pf5_pci_msi_ext_data_cap                                     (ctop_core16_pf5_pci_msi_ext_data_cap),
   .ctop_core16_pf5_pci_msi_multiple_msg_cap                                 (ctop_core16_pf5_pci_msi_multiple_msg_cap),
   .ctop_core16_pf5_pci_msix_bir                                             (ctop_core16_pf5_pci_msix_bir),
   .ctop_core16_pf5_pci_msix_pba                                             (ctop_core16_pf5_pci_msix_pba),
   .ctop_core16_pf5_pci_msix_pba_offset                                      (ctop_core16_pf5_pci_msix_pba_offset),
   .ctop_core16_pf5_pci_msix_table_offset                                    (ctop_core16_pf5_pci_msix_table_offset),
   .ctop_core16_pf5_pci_msix_table_size                                      (ctop_core16_pf5_pci_msix_table_size),
   .ctop_core16_pf5_pci_msix_table_size_vfcomm_cs2                           (ctop_core16_pf5_pci_msix_table_size_vfcomm_cs2),
   .ctop_core16_pf5_pci_type0_bar0_enabled                                   (ctop_core16_pf5_pci_type0_bar0_enabled),
   .ctop_core16_pf5_pci_type0_bar1_enabled                                   (ctop_core16_pf5_pci_type0_bar1_enabled),
   .ctop_core16_pf5_pci_type0_bar2_enabled                                   (ctop_core16_pf5_pci_type0_bar2_enabled),
   .ctop_core16_pf5_pci_type0_bar3_enabled                                   (ctop_core16_pf5_pci_type0_bar3_enabled),
   .ctop_core16_pf5_pci_type0_bar4_enabled                                   (ctop_core16_pf5_pci_type0_bar4_enabled),
   .ctop_core16_pf5_pci_type0_bar5_enabled                                   (ctop_core16_pf5_pci_type0_bar5_enabled),
   .ctop_core16_pf5_pci_type0_device_id                                      (ctop_core16_pf5_pci_type0_device_id),
   .ctop_core16_pf5_pci_type0_vendor_id                                      (ctop_core16_pf5_pci_type0_vendor_id),
   .ctop_core16_pf5_pcie_cap_ep_l0s_accpt_latency                            (ctop_core16_pf5_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core16_pf5_pcie_cap_ep_l1_accpt_latency                             (ctop_core16_pf5_pcie_cap_ep_l1_accpt_latency),
   .ctop_core16_pf5_pcie_cap_ext_tag_supp                                    (ctop_core16_pf5_pcie_cap_ext_tag_supp),
   .ctop_core16_pf5_pcie_cap_flr_cap                                         (ctop_core16_pf5_pcie_cap_flr_cap),
   .ctop_core16_pf5_pcie_cap_slot_clk_config                                 (ctop_core16_pf5_pcie_cap_slot_clk_config),
   .ctop_core16_pf5_pme_support                                              (ctop_core16_pf5_pme_support),
   .ctop_core16_pf5_program_interface                                        (ctop_core16_pf5_program_interface),
   .ctop_core16_pf5_revision_id                                              (ctop_core16_pf5_revision_id),
   .ctop_core16_pf5_rom_bar_enabled                                          (ctop_core16_pf5_rom_bar_enabled),
   .ctop_core16_pf5_shadow_sriov_vf_stride_ari_cs2                           (ctop_core16_pf5_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core16_pf5_sriov_sup_page_size                                      (ctop_core16_pf5_sriov_sup_page_size),
   .ctop_core16_pf5_sriov_vf_bar0_prefetch                                   (ctop_core16_pf5_sriov_vf_bar0_prefetch),
   .ctop_core16_pf5_sriov_vf_bar0_type                                       (ctop_core16_pf5_sriov_vf_bar0_type),
   .ctop_core16_pf5_sriov_vf_bar1_prefetch                                   (ctop_core16_pf5_sriov_vf_bar1_prefetch),
   .ctop_core16_pf5_sriov_vf_bar2_prefetch                                   (ctop_core16_pf5_sriov_vf_bar2_prefetch),
   .ctop_core16_pf5_sriov_vf_bar2_type                                       (ctop_core16_pf5_sriov_vf_bar2_type),
   .ctop_core16_pf5_sriov_vf_bar3_prefetch                                   (ctop_core16_pf5_sriov_vf_bar3_prefetch),
   .ctop_core16_pf5_sriov_vf_bar4_prefetch                                   (ctop_core16_pf5_sriov_vf_bar4_prefetch),
   .ctop_core16_pf5_sriov_vf_bar4_type                                       (ctop_core16_pf5_sriov_vf_bar4_type),
   .ctop_core16_pf5_sriov_vf_bar5_prefetch                                   (ctop_core16_pf5_sriov_vf_bar5_prefetch),
   .ctop_core16_pf5_sriov_vf_device_id                                       (ctop_core16_pf5_sriov_vf_device_id),
   .ctop_core16_pf5_sriov_vf_offset_ari_cs2                                  (ctop_core16_pf5_sriov_vf_offset_ari_cs2),
   .ctop_core16_pf5_sriov_vf_offset_position_nonari                          (ctop_core16_pf5_sriov_vf_offset_position_nonari),
   .ctop_core16_pf5_sriov_vf_stride_nonari                                   (ctop_core16_pf5_sriov_vf_stride_nonari),
   .ctop_core16_pf5_subclass_code                                            (ctop_core16_pf5_subclass_code),
   .ctop_core16_pf5_subsys_dev_id                                            (ctop_core16_pf5_subsys_dev_id),
   .ctop_core16_pf5_subsys_vendor_id                                         (ctop_core16_pf5_subsys_vendor_id),
   .ctop_core16_pf5_tph_req_cap_int_vec                                      (ctop_core16_pf5_tph_req_cap_int_vec),
   .ctop_core16_pf5_tph_req_cap_int_vec_vfcomm_cs2                           (ctop_core16_pf5_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core16_pf5_tph_req_cap_st_table_loc_0_vfcomm_cs2                    (ctop_core16_pf5_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core16_pf5_tph_req_cap_st_table_loc_1                               (ctop_core16_pf5_tph_req_cap_st_table_loc_1),
   .ctop_core16_pf5_tph_req_cap_st_table_loc_1_vfcomm_cs2                    (ctop_core16_pf5_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core16_pf5_tph_req_cap_st_table_size                                (ctop_core16_pf5_tph_req_cap_st_table_size),
   .ctop_core16_pf5_tph_req_cap_st_table_size_vfcomm_cs2                     (ctop_core16_pf5_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core16_pf5_tph_req_device_spec                                      (ctop_core16_pf5_tph_req_device_spec),
   .ctop_core16_pf5_tph_req_device_spec_vfcomm_cs2                           (ctop_core16_pf5_tph_req_device_spec_vfcomm_cs2),
   .ctop_core16_pf5_prs_outstanding_capacity				     (ctop_core16_pf5_prs_outstanding_capacity),
   .ctop_core16_pf6_acs_cap_acs_at_block                                     (ctop_core16_pf6_acs_cap_acs_at_block),
   .ctop_core16_pf6_acs_cap_acs_direct_translated_p2p                        (ctop_core16_pf6_acs_cap_acs_direct_translated_p2p),
   .ctop_core16_pf6_acs_cap_acs_egress_ctrl_size                             (ctop_core16_pf6_acs_cap_acs_egress_ctrl_size),
   .ctop_core16_pf6_acs_cap_acs_p2p_cpl_redirect                             (ctop_core16_pf6_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core16_pf6_acs_cap_acs_p2p_egress_control                           (ctop_core16_pf6_acs_cap_acs_p2p_egress_control),
   .ctop_core16_pf6_acs_cap_acs_p2p_req_redirect                             (ctop_core16_pf6_acs_cap_acs_p2p_req_redirect),
   .ctop_core16_pf6_acs_cap_acs_src_valid                                    (ctop_core16_pf6_acs_cap_acs_src_valid),
   .ctop_core16_pf6_acs_cap_acs_usp_forwarding                               (ctop_core16_pf6_acs_cap_acs_usp_forwarding),
   .ctop_core16_pf6_bar0_prefetch                                            (ctop_core16_pf6_bar0_prefetch),
   .ctop_core16_pf6_bar0_type                                                (ctop_core16_pf6_bar0_type),
   .ctop_core16_pf6_bar1_prefetch                                            (ctop_core16_pf6_bar1_prefetch),
   .ctop_core16_pf6_bar2_prefetch                                            (ctop_core16_pf6_bar2_prefetch),
   .ctop_core16_pf6_bar2_type                                                (ctop_core16_pf6_bar2_type),
   .ctop_core16_pf6_bar3_prefetch                                            (ctop_core16_pf6_bar3_prefetch),
   .ctop_core16_pf6_bar4_prefetch                                            (ctop_core16_pf6_bar4_prefetch),
   .ctop_core16_pf6_bar4_type                                                (ctop_core16_pf6_bar4_type),
   .ctop_core16_pf6_bar5_prefetch                                            (ctop_core16_pf6_bar5_prefetch),
   .ctop_core16_pf6_base_class_code                                          (ctop_core16_pf6_base_class_code),
   .ctop_core16_pf6_int_pin                                                  (ctop_core16_pf6_int_pin),
   .ctop_core16_pf6_pasid_cap_execute_permission_supported                   (ctop_core16_pf6_pasid_cap_execute_permission_supported),
   .ctop_core16_pf6_pasid_cap_max_pasid_width                                (ctop_core16_pf6_pasid_cap_max_pasid_width),
   .ctop_core16_pf6_pasid_cap_privileged_mode_supported                      (ctop_core16_pf6_pasid_cap_privileged_mode_supported),
   .ctop_core16_pf6_pci_msi_64_bit_addr_cap                                  (ctop_core16_pf6_pci_msi_64_bit_addr_cap),
   .ctop_core16_pf6_pci_msi_ext_data_cap                                     (ctop_core16_pf6_pci_msi_ext_data_cap),
   .ctop_core16_pf6_pci_msi_multiple_msg_cap                                 (ctop_core16_pf6_pci_msi_multiple_msg_cap),
   .ctop_core16_pf6_pci_msix_bir                                             (ctop_core16_pf6_pci_msix_bir),
   .ctop_core16_pf6_pci_msix_pba                                             (ctop_core16_pf6_pci_msix_pba),
   .ctop_core16_pf6_pci_msix_pba_offset                                      (ctop_core16_pf6_pci_msix_pba_offset),
   .ctop_core16_pf6_pci_msix_table_offset                                    (ctop_core16_pf6_pci_msix_table_offset),
   .ctop_core16_pf6_pci_msix_table_size                                      (ctop_core16_pf6_pci_msix_table_size),
   .ctop_core16_pf6_pci_msix_table_size_vfcomm_cs2                           (ctop_core16_pf6_pci_msix_table_size_vfcomm_cs2),
   .ctop_core16_pf6_pci_type0_bar0_enabled                                   (ctop_core16_pf6_pci_type0_bar0_enabled),
   .ctop_core16_pf6_pci_type0_bar1_enabled                                   (ctop_core16_pf6_pci_type0_bar1_enabled),
   .ctop_core16_pf6_pci_type0_bar2_enabled                                   (ctop_core16_pf6_pci_type0_bar2_enabled),
   .ctop_core16_pf6_pci_type0_bar3_enabled                                   (ctop_core16_pf6_pci_type0_bar3_enabled),
   .ctop_core16_pf6_pci_type0_bar4_enabled                                   (ctop_core16_pf6_pci_type0_bar4_enabled),
   .ctop_core16_pf6_pci_type0_bar5_enabled                                   (ctop_core16_pf6_pci_type0_bar5_enabled),
   .ctop_core16_pf6_pci_type0_device_id                                      (ctop_core16_pf6_pci_type0_device_id),
   .ctop_core16_pf6_pci_type0_vendor_id                                      (ctop_core16_pf6_pci_type0_vendor_id),
   .ctop_core16_pf6_pcie_cap_ep_l0s_accpt_latency                            (ctop_core16_pf6_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core16_pf6_pcie_cap_ep_l1_accpt_latency                             (ctop_core16_pf6_pcie_cap_ep_l1_accpt_latency),
   .ctop_core16_pf6_pcie_cap_ext_tag_supp                                    (ctop_core16_pf6_pcie_cap_ext_tag_supp),
   .ctop_core16_pf6_pcie_cap_flr_cap                                         (ctop_core16_pf6_pcie_cap_flr_cap),
   .ctop_core16_pf6_pcie_cap_slot_clk_config                                 (ctop_core16_pf6_pcie_cap_slot_clk_config),
   .ctop_core16_pf6_pme_support                                              (ctop_core16_pf6_pme_support),
   .ctop_core16_pf6_program_interface                                        (ctop_core16_pf6_program_interface),
   .ctop_core16_pf6_revision_id                                              (ctop_core16_pf6_revision_id),
   .ctop_core16_pf6_rom_bar_enabled                                          (ctop_core16_pf6_rom_bar_enabled),
   .ctop_core16_pf6_shadow_sriov_vf_stride_ari_cs2                           (ctop_core16_pf6_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core16_pf6_sriov_sup_page_size                                      (ctop_core16_pf6_sriov_sup_page_size),
   .ctop_core16_pf6_sriov_vf_bar0_prefetch                                   (ctop_core16_pf6_sriov_vf_bar0_prefetch),
   .ctop_core16_pf6_sriov_vf_bar0_type                                       (ctop_core16_pf6_sriov_vf_bar0_type),
   .ctop_core16_pf6_sriov_vf_bar1_prefetch                                   (ctop_core16_pf6_sriov_vf_bar1_prefetch),
   .ctop_core16_pf6_sriov_vf_bar2_prefetch                                   (ctop_core16_pf6_sriov_vf_bar2_prefetch),
   .ctop_core16_pf6_sriov_vf_bar2_type                                       (ctop_core16_pf6_sriov_vf_bar2_type),
   .ctop_core16_pf6_sriov_vf_bar3_prefetch                                   (ctop_core16_pf6_sriov_vf_bar3_prefetch),
   .ctop_core16_pf6_sriov_vf_bar4_prefetch                                   (ctop_core16_pf6_sriov_vf_bar4_prefetch),
   .ctop_core16_pf6_sriov_vf_bar4_type                                       (ctop_core16_pf6_sriov_vf_bar4_type),
   .ctop_core16_pf6_sriov_vf_bar5_prefetch                                   (ctop_core16_pf6_sriov_vf_bar5_prefetch),
   .ctop_core16_pf6_sriov_vf_device_id                                       (ctop_core16_pf6_sriov_vf_device_id),
   .ctop_core16_pf6_sriov_vf_offset_ari_cs2                                  (ctop_core16_pf6_sriov_vf_offset_ari_cs2),
   .ctop_core16_pf6_sriov_vf_offset_position_nonari                          (ctop_core16_pf6_sriov_vf_offset_position_nonari),
   .ctop_core16_pf6_sriov_vf_stride_nonari                                   (ctop_core16_pf6_sriov_vf_stride_nonari),
   .ctop_core16_pf6_subclass_code                                            (ctop_core16_pf6_subclass_code),
   .ctop_core16_pf6_subsys_dev_id                                            (ctop_core16_pf6_subsys_dev_id),
   .ctop_core16_pf6_subsys_vendor_id                                         (ctop_core16_pf6_subsys_vendor_id),
   .ctop_core16_pf6_tph_req_cap_int_vec                                      (ctop_core16_pf6_tph_req_cap_int_vec),
   .ctop_core16_pf6_tph_req_cap_int_vec_vfcomm_cs2                           (ctop_core16_pf6_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core16_pf6_tph_req_cap_st_table_loc_0_vfcomm_cs2                    (ctop_core16_pf6_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core16_pf6_tph_req_cap_st_table_loc_1                               (ctop_core16_pf6_tph_req_cap_st_table_loc_1),
   .ctop_core16_pf6_tph_req_cap_st_table_loc_1_vfcomm_cs2                    (ctop_core16_pf6_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core16_pf6_tph_req_cap_st_table_size                                (ctop_core16_pf6_tph_req_cap_st_table_size),
   .ctop_core16_pf6_tph_req_cap_st_table_size_vfcomm_cs2                     (ctop_core16_pf6_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core16_pf6_tph_req_device_spec                                      (ctop_core16_pf6_tph_req_device_spec),
   .ctop_core16_pf6_tph_req_device_spec_vfcomm_cs2                           (ctop_core16_pf6_tph_req_device_spec_vfcomm_cs2),
   .ctop_core16_pf6_prs_outstanding_capacity				     (ctop_core16_pf6_prs_outstanding_capacity),
   .ctop_core16_pf7_acs_cap_acs_at_block                                     (ctop_core16_pf7_acs_cap_acs_at_block),
   .ctop_core16_pf7_acs_cap_acs_direct_translated_p2p                        (ctop_core16_pf7_acs_cap_acs_direct_translated_p2p),
   .ctop_core16_pf7_acs_cap_acs_egress_ctrl_size                             (ctop_core16_pf7_acs_cap_acs_egress_ctrl_size),
   .ctop_core16_pf7_acs_cap_acs_p2p_cpl_redirect                             (ctop_core16_pf7_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core16_pf7_acs_cap_acs_p2p_egress_control                           (ctop_core16_pf7_acs_cap_acs_p2p_egress_control),
   .ctop_core16_pf7_acs_cap_acs_p2p_req_redirect                             (ctop_core16_pf7_acs_cap_acs_p2p_req_redirect),
   .ctop_core16_pf7_acs_cap_acs_src_valid                                    (ctop_core16_pf7_acs_cap_acs_src_valid),
   .ctop_core16_pf7_acs_cap_acs_usp_forwarding                               (ctop_core16_pf7_acs_cap_acs_usp_forwarding),
   .ctop_core16_pf7_bar0_prefetch                                            (ctop_core16_pf7_bar0_prefetch),
   .ctop_core16_pf7_bar0_type                                                (ctop_core16_pf7_bar0_type),
   .ctop_core16_pf7_bar1_prefetch                                            (ctop_core16_pf7_bar1_prefetch),
   .ctop_core16_pf7_bar2_prefetch                                            (ctop_core16_pf7_bar2_prefetch),
   .ctop_core16_pf7_bar2_type                                                (ctop_core16_pf7_bar2_type),
   .ctop_core16_pf7_bar3_prefetch                                            (ctop_core16_pf7_bar3_prefetch),
   .ctop_core16_pf7_bar4_prefetch                                            (ctop_core16_pf7_bar4_prefetch),
   .ctop_core16_pf7_bar4_type                                                (ctop_core16_pf7_bar4_type),
   .ctop_core16_pf7_bar5_prefetch                                            (ctop_core16_pf7_bar5_prefetch),
   .ctop_core16_pf7_base_class_code                                          (ctop_core16_pf7_base_class_code),
   .ctop_core16_pf7_int_pin                                                  (ctop_core16_pf7_int_pin),
   .ctop_core16_pf7_pasid_cap_execute_permission_supported                   (ctop_core16_pf7_pasid_cap_execute_permission_supported),
   .ctop_core16_pf7_pasid_cap_max_pasid_width                                (ctop_core16_pf7_pasid_cap_max_pasid_width),
   .ctop_core16_pf7_pasid_cap_privileged_mode_supported                      (ctop_core16_pf7_pasid_cap_privileged_mode_supported),
   .ctop_core16_pf7_pci_msi_64_bit_addr_cap                                  (ctop_core16_pf7_pci_msi_64_bit_addr_cap),
   .ctop_core16_pf7_pci_msi_ext_data_cap                                     (ctop_core16_pf7_pci_msi_ext_data_cap),
   .ctop_core16_pf7_pci_msi_multiple_msg_cap                                 (ctop_core16_pf7_pci_msi_multiple_msg_cap),
   .ctop_core16_pf7_pci_msix_bir                                             (ctop_core16_pf7_pci_msix_bir),
   .ctop_core16_pf7_pci_msix_pba                                             (ctop_core16_pf7_pci_msix_pba),
   .ctop_core16_pf7_pci_msix_pba_offset                                      (ctop_core16_pf7_pci_msix_pba_offset),
   .ctop_core16_pf7_pci_msix_table_offset                                    (ctop_core16_pf7_pci_msix_table_offset),
   .ctop_core16_pf7_pci_msix_table_size                                      (ctop_core16_pf7_pci_msix_table_size),
   .ctop_core16_pf7_pci_msix_table_size_vfcomm_cs2                           (ctop_core16_pf7_pci_msix_table_size_vfcomm_cs2),
   .ctop_core16_pf7_pci_type0_bar0_enabled                                   (ctop_core16_pf7_pci_type0_bar0_enabled),
   .ctop_core16_pf7_pci_type0_bar1_enabled                                   (ctop_core16_pf7_pci_type0_bar1_enabled),
   .ctop_core16_pf7_pci_type0_bar2_enabled                                   (ctop_core16_pf7_pci_type0_bar2_enabled),
   .ctop_core16_pf7_pci_type0_bar3_enabled                                   (ctop_core16_pf7_pci_type0_bar3_enabled),
   .ctop_core16_pf7_pci_type0_bar4_enabled                                   (ctop_core16_pf7_pci_type0_bar4_enabled),
   .ctop_core16_pf7_pci_type0_bar5_enabled                                   (ctop_core16_pf7_pci_type0_bar5_enabled),
   .ctop_core16_pf7_pci_type0_device_id                                      (ctop_core16_pf7_pci_type0_device_id),
   .ctop_core16_pf7_pci_type0_vendor_id                                      (ctop_core16_pf7_pci_type0_vendor_id),
   .ctop_core16_pf7_pcie_cap_ep_l0s_accpt_latency                            (ctop_core16_pf7_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core16_pf7_pcie_cap_ep_l1_accpt_latency                             (ctop_core16_pf7_pcie_cap_ep_l1_accpt_latency),
   .ctop_core16_pf7_pcie_cap_ext_tag_supp                                    (ctop_core16_pf7_pcie_cap_ext_tag_supp),
   .ctop_core16_pf7_pcie_cap_flr_cap                                         (ctop_core16_pf7_pcie_cap_flr_cap),
   .ctop_core16_pf7_pcie_cap_slot_clk_config                                 (ctop_core16_pf7_pcie_cap_slot_clk_config),
   .ctop_core16_pf7_pme_support                                              (ctop_core16_pf7_pme_support),
   .ctop_core16_pf7_program_interface                                        (ctop_core16_pf7_program_interface),
   .ctop_core16_pf7_revision_id                                              (ctop_core16_pf7_revision_id),
   .ctop_core16_pf7_rom_bar_enabled                                          (ctop_core16_pf7_rom_bar_enabled),
   .ctop_core16_pf7_shadow_sriov_vf_stride_ari_cs2                           (ctop_core16_pf7_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core16_pf7_sriov_sup_page_size                                      (ctop_core16_pf7_sriov_sup_page_size),
   .ctop_core16_pf7_sriov_vf_bar0_prefetch                                   (ctop_core16_pf7_sriov_vf_bar0_prefetch),
   .ctop_core16_pf7_sriov_vf_bar0_type                                       (ctop_core16_pf7_sriov_vf_bar0_type),
   .ctop_core16_pf7_sriov_vf_bar1_prefetch                                   (ctop_core16_pf7_sriov_vf_bar1_prefetch),
   .ctop_core16_pf7_sriov_vf_bar2_prefetch                                   (ctop_core16_pf7_sriov_vf_bar2_prefetch),
   .ctop_core16_pf7_sriov_vf_bar2_type                                       (ctop_core16_pf7_sriov_vf_bar2_type),
   .ctop_core16_pf7_sriov_vf_bar3_prefetch                                   (ctop_core16_pf7_sriov_vf_bar3_prefetch),
   .ctop_core16_pf7_sriov_vf_bar4_prefetch                                   (ctop_core16_pf7_sriov_vf_bar4_prefetch),
   .ctop_core16_pf7_sriov_vf_bar4_type                                       (ctop_core16_pf7_sriov_vf_bar4_type),
   .ctop_core16_pf7_sriov_vf_bar5_prefetch                                   (ctop_core16_pf7_sriov_vf_bar5_prefetch),
   .ctop_core16_pf7_sriov_vf_device_id                                       (ctop_core16_pf7_sriov_vf_device_id),
   .ctop_core16_pf7_sriov_vf_offset_ari_cs2                                  (ctop_core16_pf7_sriov_vf_offset_ari_cs2),
   .ctop_core16_pf7_sriov_vf_offset_position_nonari                          (ctop_core16_pf7_sriov_vf_offset_position_nonari),
   .ctop_core16_pf7_sriov_vf_stride_nonari                                   (ctop_core16_pf7_sriov_vf_stride_nonari),
   .ctop_core16_pf7_subclass_code                                            (ctop_core16_pf7_subclass_code),
   .ctop_core16_pf7_subsys_dev_id                                            (ctop_core16_pf7_subsys_dev_id),
   .ctop_core16_pf7_subsys_vendor_id                                         (ctop_core16_pf7_subsys_vendor_id),
   .ctop_core16_pf7_tph_req_cap_int_vec                                      (ctop_core16_pf7_tph_req_cap_int_vec),
   .ctop_core16_pf7_tph_req_cap_int_vec_vfcomm_cs2                           (ctop_core16_pf7_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core16_pf7_tph_req_cap_st_table_loc_0_vfcomm_cs2                    (ctop_core16_pf7_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core16_pf7_tph_req_cap_st_table_loc_1                               (ctop_core16_pf7_tph_req_cap_st_table_loc_1),
   .ctop_core16_pf7_tph_req_cap_st_table_loc_1_vfcomm_cs2                    (ctop_core16_pf7_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core16_pf7_tph_req_cap_st_table_size                                (ctop_core16_pf7_tph_req_cap_st_table_size),
   .ctop_core16_pf7_tph_req_cap_st_table_size_vfcomm_cs2                     (ctop_core16_pf7_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core16_pf7_tph_req_device_spec                                      (ctop_core16_pf7_tph_req_device_spec),
   .ctop_core16_pf7_tph_req_device_spec_vfcomm_cs2                           (ctop_core16_pf7_tph_req_device_spec_vfcomm_cs2),
   .ctop_core16_pf7_prs_outstanding_capacity				     (ctop_core16_pf7_prs_outstanding_capacity),
   .ctop_core16_rxbuf_limit_bypass                                           (ctop_core16_rxbuf_limit_bypass),
   .ctop_core16_virtual_drop_vendor0_msg                                     (ctop_core16_virtual_drop_vendor0_msg),
   .ctop_core16_virtual_drop_vendor1_msg                                     (ctop_core16_virtual_drop_vendor1_msg),
   .ctop_core16_virtual_ep_native                                            (ctop_core16_virtual_ep_native),
   .ctop_core16_virtual_link_rate                                            (ctop_core16_virtual_link_rate),
   .ctop_core16_virtual_link_width                                           (ctop_core16_virtual_link_width),
   .ctop_core16_virtual_maxpayload_size                                      (ctop_core16_virtual_maxpayload_size),
   .ctop_core16_virtual_num_of_lanes                                         (ctop_core16_virtual_num_of_lanes),
   .ctop_core16_virtual_pf0_acs_cap_enable                                   (ctop_core16_virtual_pf0_acs_cap_enable),
   .ctop_core16_virtual_pf0_ats_cap_enable                                   (ctop_core16_virtual_pf0_ats_cap_enable),
   .ctop_core16_virtual_pf0_dlink_cap_enable                                 (ctop_core16_virtual_pf0_dlink_cap_enable),
   .ctop_core16_virtual_pf0_exvf_acs_cap_enable                              (ctop_core16_virtual_pf0_exvf_acs_cap_enable),
   .ctop_core16_virtual_pf0_exvf_ats_cap_enable                              (ctop_core16_virtual_pf0_exvf_ats_cap_enable),
   .ctop_core16_virtual_pf0_exvf_msix_cap_enable                             (ctop_core16_virtual_pf0_exvf_msix_cap_enable),
   .ctop_core16_virtual_pf0_exvf_tph_cap_enable                              (ctop_core16_virtual_pf0_exvf_tph_cap_enable),
   .ctop_core16_virtual_pf0_exvf_virtio_en                                   (ctop_core16_virtual_pf0_exvf_virtio_en),
   .ctop_core16_virtual_pf0_io_decode                                        (ctop_core16_virtual_pf0_io_decode),
   .ctop_core16_virtual_pf0_ltr_cap_enable                                   (ctop_core16_virtual_pf0_ltr_cap_enable),
   .ctop_core16_virtual_pf0_msi_enable                                       (ctop_core16_virtual_pf0_msi_enable),
   .ctop_core16_virtual_pf0_msix_enable                                      (ctop_core16_virtual_pf0_msix_enable),
   .ctop_core16_virtual_pf0_pasid_cap_enable                                 (ctop_core16_virtual_pf0_pasid_cap_enable),
   .ctop_core16_virtual_pf0_prefetch_decode                                  (ctop_core16_virtual_pf0_prefetch_decode),
   .ctop_core16_virtual_pf0_prs_ext_cap_enable                               (ctop_core16_virtual_pf0_prs_ext_cap_enable),
   .ctop_core16_virtual_pf0_ras_des_cap_enable                               (ctop_core16_virtual_pf0_ras_des_cap_enable),
   .ctop_core16_virtual_pf0_sn_cap_enable                                    (ctop_core16_virtual_pf0_sn_cap_enable),
   .ctop_core16_virtual_pf0_sriov_enable                                     (ctop_core16_virtual_pf0_sriov_enable),
   .ctop_core16_virtual_pf0_sriov_vf_bar0_enabled                            (ctop_core16_virtual_pf0_sriov_vf_bar0_enabled),
   .ctop_core16_virtual_pf0_sriov_vf_bar1_enabled                            (ctop_core16_virtual_pf0_sriov_vf_bar1_enabled),
   .ctop_core16_virtual_pf0_sriov_vf_bar2_enabled                            (ctop_core16_virtual_pf0_sriov_vf_bar2_enabled),
   .ctop_core16_virtual_pf0_sriov_vf_bar3_enabled                            (ctop_core16_virtual_pf0_sriov_vf_bar3_enabled),
   .ctop_core16_virtual_pf0_sriov_vf_bar4_enabled                            (ctop_core16_virtual_pf0_sriov_vf_bar4_enabled),
   .ctop_core16_virtual_pf0_sriov_vf_bar5_enabled                            (ctop_core16_virtual_pf0_sriov_vf_bar5_enabled),
   .ctop_core16_virtual_pf0_tph_cap_enable                                   (ctop_core16_virtual_pf0_tph_cap_enable),
   .ctop_core16_virtual_pf0_user_vsec_cap_enable                             (ctop_core16_virtual_pf0_user_vsec_cap_enable),
   .ctop_core16_virtual_pf0_virtio_en                                        (ctop_core16_virtual_pf0_virtio_en),
   .ctop_core16_virtual_pf1_acs_cap_enable                                   (ctop_core16_virtual_pf1_acs_cap_enable),
   .ctop_core16_virtual_pf1_ats_cap_enable                                   (ctop_core16_virtual_pf1_ats_cap_enable),
   .ctop_core16_virtual_pf1_enable                                           (ctop_core16_virtual_pf1_enable),
   .ctop_core16_virtual_pf1_exvf_acs_cap_enable                              (ctop_core16_virtual_pf1_exvf_acs_cap_enable),
   .ctop_core16_virtual_pf1_exvf_ats_cap_enable                              (ctop_core16_virtual_pf1_exvf_ats_cap_enable),
   .ctop_core16_virtual_pf1_exvf_msix_cap_enable                             (ctop_core16_virtual_pf1_exvf_msix_cap_enable),
   .ctop_core16_virtual_pf1_exvf_tph_cap_enable                              (ctop_core16_virtual_pf1_exvf_tph_cap_enable),
   .ctop_core16_virtual_pf1_exvf_virtio_en                                   (ctop_core16_virtual_pf1_exvf_virtio_en),
   .ctop_core16_virtual_pf1_msi_enable                                       (ctop_core16_virtual_pf1_msi_enable),
   .ctop_core16_virtual_pf1_msix_enable                                      (ctop_core16_virtual_pf1_msix_enable),
   .ctop_core16_virtual_pf1_pasid_cap_enable                                 (ctop_core16_virtual_pf1_pasid_cap_enable),
   .ctop_core16_virtual_pf1_prs_ext_cap_enable                               (ctop_core16_virtual_pf1_prs_ext_cap_enable),
   .ctop_core16_virtual_pf1_sriov_enable                                     (ctop_core16_virtual_pf1_sriov_enable),
   .ctop_core16_virtual_pf1_sriov_vf_bar0_enabled                            (ctop_core16_virtual_pf1_sriov_vf_bar0_enabled),
   .ctop_core16_virtual_pf1_sriov_vf_bar1_enabled                            (ctop_core16_virtual_pf1_sriov_vf_bar1_enabled),
   .ctop_core16_virtual_pf1_sriov_vf_bar2_enabled                            (ctop_core16_virtual_pf1_sriov_vf_bar2_enabled),
   .ctop_core16_virtual_pf1_sriov_vf_bar3_enabled                            (ctop_core16_virtual_pf1_sriov_vf_bar3_enabled),
   .ctop_core16_virtual_pf1_sriov_vf_bar4_enabled                            (ctop_core16_virtual_pf1_sriov_vf_bar4_enabled),
   .ctop_core16_virtual_pf1_sriov_vf_bar5_enabled                            (ctop_core16_virtual_pf1_sriov_vf_bar5_enabled),
   .ctop_core16_virtual_pf1_tph_cap_enable                                   (ctop_core16_virtual_pf1_tph_cap_enable),
   .ctop_core16_virtual_pf1_user_vsec_cap_enable                             (ctop_core16_virtual_pf1_user_vsec_cap_enable),
   .ctop_core16_virtual_pf1_user_vsec_offset                                 (ctop_core16_virtual_pf1_user_vsec_offset),
   .ctop_core16_virtual_pf1_virtio_en                                        (ctop_core16_virtual_pf1_virtio_en),
   .ctop_core16_virtual_pf2_acs_cap_enable                                   (ctop_core16_virtual_pf2_acs_cap_enable),
   .ctop_core16_virtual_pf2_ats_cap_enable                                   (ctop_core16_virtual_pf2_ats_cap_enable),
   .ctop_core16_virtual_pf2_enable                                           (ctop_core16_virtual_pf2_enable),
   .ctop_core16_virtual_pf2_exvf_acs_cap_enable                              (ctop_core16_virtual_pf2_exvf_acs_cap_enable),
   .ctop_core16_virtual_pf2_exvf_ats_cap_enable                              (ctop_core16_virtual_pf2_exvf_ats_cap_enable),
   .ctop_core16_virtual_pf2_exvf_msix_cap_enable                             (ctop_core16_virtual_pf2_exvf_msix_cap_enable),
   .ctop_core16_virtual_pf2_exvf_tph_cap_enable                              (ctop_core16_virtual_pf2_exvf_tph_cap_enable),
   .ctop_core16_virtual_pf2_exvf_virtio_en                                   (ctop_core16_virtual_pf2_exvf_virtio_en),
   .ctop_core16_virtual_pf2_msi_enable                                       (ctop_core16_virtual_pf2_msi_enable),
   .ctop_core16_virtual_pf2_msix_enable                                      (ctop_core16_virtual_pf2_msix_enable),
   .ctop_core16_virtual_pf2_pasid_cap_enable                                 (ctop_core16_virtual_pf2_pasid_cap_enable),
   .ctop_core16_virtual_pf2_prs_ext_cap_enable                               (ctop_core16_virtual_pf2_prs_ext_cap_enable),
   .ctop_core16_virtual_pf2_sriov_enable                                     (ctop_core16_virtual_pf2_sriov_enable),
   .ctop_core16_virtual_pf2_sriov_vf_bar0_enabled                            (ctop_core16_virtual_pf2_sriov_vf_bar0_enabled),
   .ctop_core16_virtual_pf2_sriov_vf_bar1_enabled                            (ctop_core16_virtual_pf2_sriov_vf_bar1_enabled),
   .ctop_core16_virtual_pf2_sriov_vf_bar2_enabled                            (ctop_core16_virtual_pf2_sriov_vf_bar2_enabled),
   .ctop_core16_virtual_pf2_sriov_vf_bar3_enabled                            (ctop_core16_virtual_pf2_sriov_vf_bar3_enabled),
   .ctop_core16_virtual_pf2_sriov_vf_bar4_enabled                            (ctop_core16_virtual_pf2_sriov_vf_bar4_enabled),
   .ctop_core16_virtual_pf2_sriov_vf_bar5_enabled                            (ctop_core16_virtual_pf2_sriov_vf_bar5_enabled),
   .ctop_core16_virtual_pf2_tph_cap_enable                                   (ctop_core16_virtual_pf2_tph_cap_enable),
   .ctop_core16_virtual_pf2_user_vsec_cap_enable                             (ctop_core16_virtual_pf2_user_vsec_cap_enable),
   .ctop_core16_virtual_pf2_user_vsec_offset                                 (ctop_core16_virtual_pf2_user_vsec_offset),
   .ctop_core16_virtual_pf2_virtio_en                                        (ctop_core16_virtual_pf2_virtio_en),
   .ctop_core16_virtual_pf3_acs_cap_enable                                   (ctop_core16_virtual_pf3_acs_cap_enable),
   .ctop_core16_virtual_pf3_ats_cap_enable                                   (ctop_core16_virtual_pf3_ats_cap_enable),
   .ctop_core16_virtual_pf3_enable                                           (ctop_core16_virtual_pf3_enable),
   .ctop_core16_virtual_pf3_exvf_acs_cap_enable                              (ctop_core16_virtual_pf3_exvf_acs_cap_enable),
   .ctop_core16_virtual_pf3_exvf_ats_cap_enable                              (ctop_core16_virtual_pf3_exvf_ats_cap_enable),
   .ctop_core16_virtual_pf3_exvf_msix_cap_enable                             (ctop_core16_virtual_pf3_exvf_msix_cap_enable),
   .ctop_core16_virtual_pf3_exvf_tph_cap_enable                              (ctop_core16_virtual_pf3_exvf_tph_cap_enable),
   .ctop_core16_virtual_pf3_exvf_virtio_en                                   (ctop_core16_virtual_pf3_exvf_virtio_en),
   .ctop_core16_virtual_pf3_msi_enable                                       (ctop_core16_virtual_pf3_msi_enable),
   .ctop_core16_virtual_pf3_msix_enable                                      (ctop_core16_virtual_pf3_msix_enable),
   .ctop_core16_virtual_pf3_pasid_cap_enable                                 (ctop_core16_virtual_pf3_pasid_cap_enable),
   .ctop_core16_virtual_pf3_prs_ext_cap_enable                               (ctop_core16_virtual_pf3_prs_ext_cap_enable),
   .ctop_core16_virtual_pf3_sriov_enable                                     (ctop_core16_virtual_pf3_sriov_enable),
   .ctop_core16_virtual_pf3_sriov_vf_bar0_enabled                            (ctop_core16_virtual_pf3_sriov_vf_bar0_enabled),
   .ctop_core16_virtual_pf3_sriov_vf_bar1_enabled                            (ctop_core16_virtual_pf3_sriov_vf_bar1_enabled),
   .ctop_core16_virtual_pf3_sriov_vf_bar2_enabled                            (ctop_core16_virtual_pf3_sriov_vf_bar2_enabled),
   .ctop_core16_virtual_pf3_sriov_vf_bar3_enabled                            (ctop_core16_virtual_pf3_sriov_vf_bar3_enabled),
   .ctop_core16_virtual_pf3_sriov_vf_bar4_enabled                            (ctop_core16_virtual_pf3_sriov_vf_bar4_enabled),
   .ctop_core16_virtual_pf3_sriov_vf_bar5_enabled                            (ctop_core16_virtual_pf3_sriov_vf_bar5_enabled),
   .ctop_core16_virtual_pf3_tph_cap_enable                                   (ctop_core16_virtual_pf3_tph_cap_enable),
   .ctop_core16_virtual_pf3_user_vsec_cap_enable                             (ctop_core16_virtual_pf3_user_vsec_cap_enable),
   .ctop_core16_virtual_pf3_user_vsec_offset                                 (ctop_core16_virtual_pf3_user_vsec_offset),
   .ctop_core16_virtual_pf3_virtio_en                                        (ctop_core16_virtual_pf3_virtio_en),
   .ctop_core16_virtual_pf4_acs_cap_enable                                   (ctop_core16_virtual_pf4_acs_cap_enable),
   .ctop_core16_virtual_pf4_ats_cap_enable                                   (ctop_core16_virtual_pf4_ats_cap_enable),
   .ctop_core16_virtual_pf4_enable                                           (ctop_core16_virtual_pf4_enable),
   .ctop_core16_virtual_pf4_exvf_acs_cap_enable                              (ctop_core16_virtual_pf4_exvf_acs_cap_enable),
   .ctop_core16_virtual_pf4_exvf_ats_cap_enable                              (ctop_core16_virtual_pf4_exvf_ats_cap_enable),
   .ctop_core16_virtual_pf4_exvf_msix_cap_enable                             (ctop_core16_virtual_pf4_exvf_msix_cap_enable),
   .ctop_core16_virtual_pf4_exvf_tph_cap_enable                              (ctop_core16_virtual_pf4_exvf_tph_cap_enable),
   .ctop_core16_virtual_pf4_exvf_virtio_en                                   (ctop_core16_virtual_pf4_exvf_virtio_en),
   .ctop_core16_virtual_pf4_msi_enable                                       (ctop_core16_virtual_pf4_msi_enable),
   .ctop_core16_virtual_pf4_msix_enable                                      (ctop_core16_virtual_pf4_msix_enable),
   .ctop_core16_virtual_pf4_pasid_cap_enable                                 (ctop_core16_virtual_pf4_pasid_cap_enable),
   .ctop_core16_virtual_pf4_prs_ext_cap_enable                               (ctop_core16_virtual_pf4_prs_ext_cap_enable),
   .ctop_core16_virtual_pf4_sriov_enable                                     (ctop_core16_virtual_pf4_sriov_enable),
   .ctop_core16_virtual_pf4_sriov_vf_bar0_enabled                            (ctop_core16_virtual_pf4_sriov_vf_bar0_enabled),
   .ctop_core16_virtual_pf4_sriov_vf_bar1_enabled                            (ctop_core16_virtual_pf4_sriov_vf_bar1_enabled),
   .ctop_core16_virtual_pf4_sriov_vf_bar2_enabled                            (ctop_core16_virtual_pf4_sriov_vf_bar2_enabled),
   .ctop_core16_virtual_pf4_sriov_vf_bar3_enabled                            (ctop_core16_virtual_pf4_sriov_vf_bar3_enabled),
   .ctop_core16_virtual_pf4_sriov_vf_bar4_enabled                            (ctop_core16_virtual_pf4_sriov_vf_bar4_enabled),
   .ctop_core16_virtual_pf4_sriov_vf_bar5_enabled                            (ctop_core16_virtual_pf4_sriov_vf_bar5_enabled),
   .ctop_core16_virtual_pf4_tph_cap_enable                                   (ctop_core16_virtual_pf4_tph_cap_enable),
   .ctop_core16_virtual_pf4_user_vsec_cap_enable                             (ctop_core16_virtual_pf4_user_vsec_cap_enable),
   .ctop_core16_virtual_pf4_user_vsec_offset                                 (ctop_core16_virtual_pf4_user_vsec_offset),
   .ctop_core16_virtual_pf4_virtio_en                                        (ctop_core16_virtual_pf4_virtio_en),
   .ctop_core16_virtual_pf5_acs_cap_enable                                   (ctop_core16_virtual_pf5_acs_cap_enable),
   .ctop_core16_virtual_pf5_ats_cap_enable                                   (ctop_core16_virtual_pf5_ats_cap_enable),
   .ctop_core16_virtual_pf5_enable                                           (ctop_core16_virtual_pf5_enable),
   .ctop_core16_virtual_pf5_exvf_acs_cap_enable                              (ctop_core16_virtual_pf5_exvf_acs_cap_enable),
   .ctop_core16_virtual_pf5_exvf_ats_cap_enable                              (ctop_core16_virtual_pf5_exvf_ats_cap_enable),
   .ctop_core16_virtual_pf5_exvf_msix_cap_enable                             (ctop_core16_virtual_pf5_exvf_msix_cap_enable),
   .ctop_core16_virtual_pf5_exvf_tph_cap_enable                              (ctop_core16_virtual_pf5_exvf_tph_cap_enable),
   .ctop_core16_virtual_pf5_exvf_virtio_en                                   (ctop_core16_virtual_pf5_exvf_virtio_en),
   .ctop_core16_virtual_pf5_msi_enable                                       (ctop_core16_virtual_pf5_msi_enable),
   .ctop_core16_virtual_pf5_msix_enable                                      (ctop_core16_virtual_pf5_msix_enable),
   .ctop_core16_virtual_pf5_pasid_cap_enable                                 (ctop_core16_virtual_pf5_pasid_cap_enable),
   .ctop_core16_virtual_pf5_prs_ext_cap_enable                               (ctop_core16_virtual_pf5_prs_ext_cap_enable),
   .ctop_core16_virtual_pf5_sriov_enable                                     (ctop_core16_virtual_pf5_sriov_enable),
   .ctop_core16_virtual_pf5_sriov_vf_bar0_enabled                            (ctop_core16_virtual_pf5_sriov_vf_bar0_enabled),
   .ctop_core16_virtual_pf5_sriov_vf_bar1_enabled                            (ctop_core16_virtual_pf5_sriov_vf_bar1_enabled),
   .ctop_core16_virtual_pf5_sriov_vf_bar2_enabled                            (ctop_core16_virtual_pf5_sriov_vf_bar2_enabled),
   .ctop_core16_virtual_pf5_sriov_vf_bar3_enabled                            (ctop_core16_virtual_pf5_sriov_vf_bar3_enabled),
   .ctop_core16_virtual_pf5_sriov_vf_bar4_enabled                            (ctop_core16_virtual_pf5_sriov_vf_bar4_enabled),
   .ctop_core16_virtual_pf5_sriov_vf_bar5_enabled                            (ctop_core16_virtual_pf5_sriov_vf_bar5_enabled),
   .ctop_core16_virtual_pf5_tph_cap_enable                                   (ctop_core16_virtual_pf5_tph_cap_enable),
   .ctop_core16_virtual_pf5_user_vsec_cap_enable                             (ctop_core16_virtual_pf5_user_vsec_cap_enable),
   .ctop_core16_virtual_pf5_user_vsec_offset                                 (ctop_core16_virtual_pf5_user_vsec_offset),
   .ctop_core16_virtual_pf5_virtio_en                                        (ctop_core16_virtual_pf5_virtio_en),
   .ctop_core16_virtual_pf6_acs_cap_enable                                   (ctop_core16_virtual_pf6_acs_cap_enable),
   .ctop_core16_virtual_pf6_ats_cap_enable                                   (ctop_core16_virtual_pf6_ats_cap_enable),
   .ctop_core16_virtual_pf6_enable                                           (ctop_core16_virtual_pf6_enable),
   .ctop_core16_virtual_pf6_exvf_acs_cap_enable                              (ctop_core16_virtual_pf6_exvf_acs_cap_enable),
   .ctop_core16_virtual_pf6_exvf_ats_cap_enable                              (ctop_core16_virtual_pf6_exvf_ats_cap_enable),
   .ctop_core16_virtual_pf6_exvf_msix_cap_enable                             (ctop_core16_virtual_pf6_exvf_msix_cap_enable),
   .ctop_core16_virtual_pf6_exvf_tph_cap_enable                              (ctop_core16_virtual_pf6_exvf_tph_cap_enable),
   .ctop_core16_virtual_pf6_exvf_virtio_en                                   (ctop_core16_virtual_pf6_exvf_virtio_en),
   .ctop_core16_virtual_pf6_msi_enable                                       (ctop_core16_virtual_pf6_msi_enable),
   .ctop_core16_virtual_pf6_msix_enable                                      (ctop_core16_virtual_pf6_msix_enable),
   .ctop_core16_virtual_pf6_pasid_cap_enable                                 (ctop_core16_virtual_pf6_pasid_cap_enable),
   .ctop_core16_virtual_pf6_prs_ext_cap_enable                               (ctop_core16_virtual_pf6_prs_ext_cap_enable),
   .ctop_core16_virtual_pf6_sriov_enable                                     (ctop_core16_virtual_pf6_sriov_enable),
   .ctop_core16_virtual_pf6_sriov_vf_bar0_enabled                            (ctop_core16_virtual_pf6_sriov_vf_bar0_enabled),
   .ctop_core16_virtual_pf6_sriov_vf_bar1_enabled                            (ctop_core16_virtual_pf6_sriov_vf_bar1_enabled),
   .ctop_core16_virtual_pf6_sriov_vf_bar2_enabled                            (ctop_core16_virtual_pf6_sriov_vf_bar2_enabled),
   .ctop_core16_virtual_pf6_sriov_vf_bar3_enabled                            (ctop_core16_virtual_pf6_sriov_vf_bar3_enabled),
   .ctop_core16_virtual_pf6_sriov_vf_bar4_enabled                            (ctop_core16_virtual_pf6_sriov_vf_bar4_enabled),
   .ctop_core16_virtual_pf6_sriov_vf_bar5_enabled                            (ctop_core16_virtual_pf6_sriov_vf_bar5_enabled),
   .ctop_core16_virtual_pf6_tph_cap_enable                                   (ctop_core16_virtual_pf6_tph_cap_enable),
   .ctop_core16_virtual_pf6_user_vsec_cap_enable                             (ctop_core16_virtual_pf6_user_vsec_cap_enable),
   .ctop_core16_virtual_pf6_user_vsec_offset                                 (ctop_core16_virtual_pf6_user_vsec_offset),
   .ctop_core16_virtual_pf6_virtio_en                                        (ctop_core16_virtual_pf6_virtio_en),
   .ctop_core16_virtual_pf7_acs_cap_enable                                   (ctop_core16_virtual_pf7_acs_cap_enable),
   .ctop_core16_virtual_pf7_ats_cap_enable                                   (ctop_core16_virtual_pf7_ats_cap_enable),
   .ctop_core16_virtual_pf7_enable                                           (ctop_core16_virtual_pf7_enable),
   .ctop_core16_virtual_pf7_exvf_acs_cap_enable                              (ctop_core16_virtual_pf7_exvf_acs_cap_enable),
   .ctop_core16_virtual_pf7_exvf_ats_cap_enable                              (ctop_core16_virtual_pf7_exvf_ats_cap_enable),
   .ctop_core16_virtual_pf7_exvf_msix_cap_enable                             (ctop_core16_virtual_pf7_exvf_msix_cap_enable),
   .ctop_core16_virtual_pf7_exvf_tph_cap_enable                              (ctop_core16_virtual_pf7_exvf_tph_cap_enable),
   .ctop_core16_virtual_pf7_exvf_virtio_en                                   (ctop_core16_virtual_pf7_exvf_virtio_en),
   .ctop_core16_virtual_pf7_msi_enable                                       (ctop_core16_virtual_pf7_msi_enable),
   .ctop_core16_virtual_pf7_msix_enable                                      (ctop_core16_virtual_pf7_msix_enable),
   .ctop_core16_virtual_pf7_pasid_cap_enable                                 (ctop_core16_virtual_pf7_pasid_cap_enable),
   .ctop_core16_virtual_pf7_prs_ext_cap_enable                               (ctop_core16_virtual_pf7_prs_ext_cap_enable),
   .ctop_core16_virtual_pf7_sriov_enable                                     (ctop_core16_virtual_pf7_sriov_enable),
   .ctop_core16_virtual_pf7_sriov_vf_bar0_enabled                            (ctop_core16_virtual_pf7_sriov_vf_bar0_enabled),
   .ctop_core16_virtual_pf7_sriov_vf_bar1_enabled                            (ctop_core16_virtual_pf7_sriov_vf_bar1_enabled),
   .ctop_core16_virtual_pf7_sriov_vf_bar2_enabled                            (ctop_core16_virtual_pf7_sriov_vf_bar2_enabled),
   .ctop_core16_virtual_pf7_sriov_vf_bar3_enabled                            (ctop_core16_virtual_pf7_sriov_vf_bar3_enabled),
   .ctop_core16_virtual_pf7_sriov_vf_bar4_enabled                            (ctop_core16_virtual_pf7_sriov_vf_bar4_enabled),
   .ctop_core16_virtual_pf7_sriov_vf_bar5_enabled                            (ctop_core16_virtual_pf7_sriov_vf_bar5_enabled),
   .ctop_core16_virtual_pf7_tph_cap_enable                                   (ctop_core16_virtual_pf7_tph_cap_enable),
   .ctop_core16_virtual_pf7_user_vsec_cap_enable                             (ctop_core16_virtual_pf7_user_vsec_cap_enable),
   .ctop_core16_virtual_pf7_user_vsec_offset                                 (ctop_core16_virtual_pf7_user_vsec_offset),
   .ctop_core16_virtual_pf7_virtio_en                                        (ctop_core16_virtual_pf7_virtio_en),
   .ctop_core16_virtual_rp_ep_mode                                           (ctop_core16_virtual_rp_ep_mode),
   .ctop_core16_virtual_txeq_mode                                            (ctop_core16_virtual_txeq_mode),
   .ctop_core16_virtual_ptm_autoupdate                                       (ctop_core16_virtual_ptm_autoupdate),
   .ctop_core16_vsec_next_offset                                             (ctop_core16_vsec_next_offset),
   .ctop_core16_pf0_ari_acs_fun_grp_cap                                      (ctop_core16_pf0_ari_acs_fun_grp_cap),
   .ctop_core4_0_pf0_ari_acs_fun_grp_cap                                     (ctop_core4_0_pf0_ari_acs_fun_grp_cap),
   .ctop_core4_1_pf0_ari_acs_fun_grp_cap                                     (ctop_core4_1_pf0_ari_acs_fun_grp_cap),
   .ctop_core8_pf0_ari_acs_fun_grp_cap                                       (ctop_core8_pf0_ari_acs_fun_grp_cap),
   .ctop_core16_ecrc_strip		                                     (ctop_core16_ecrc_strip),
   .ctop_core4_0_ecrc_strip		                                     (ctop_core4_0_ecrc_strip),
   .ctop_core4_1_ecrc_strip		                                     (ctop_core4_1_ecrc_strip),
   .ctop_core8_ecrc_strip		                                     (ctop_core8_ecrc_strip),
   .ctop_core4_0_cvp_user_id                                                 (ctop_core4_0_cvp_user_id),
   .ctop_core4_0_pf0_acs_cap_acs_at_block                                    (ctop_core4_0_pf0_acs_cap_acs_at_block),
   .ctop_core4_0_pf0_acs_cap_acs_direct_translated_p2p                       (ctop_core4_0_pf0_acs_cap_acs_direct_translated_p2p),
   .ctop_core4_0_pf0_acs_cap_acs_egress_ctrl_size                            (ctop_core4_0_pf0_acs_cap_acs_egress_ctrl_size),
   .ctop_core4_0_pf0_acs_cap_acs_p2p_cpl_redirect                            (ctop_core4_0_pf0_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core4_0_pf0_acs_cap_acs_p2p_egress_control                          (ctop_core4_0_pf0_acs_cap_acs_p2p_egress_control),
   .ctop_core4_0_pf0_acs_cap_acs_p2p_req_redirect                            (ctop_core4_0_pf0_acs_cap_acs_p2p_req_redirect),
   .ctop_core4_0_pf0_acs_cap_acs_src_valid                                   (ctop_core4_0_pf0_acs_cap_acs_src_valid),
   .ctop_core4_0_pf0_acs_cap_acs_usp_forwarding                              (ctop_core4_0_pf0_acs_cap_acs_usp_forwarding),
   .ctop_core4_0_pf0_auto_lane_flip_ctrl_en                                  (ctop_core4_0_pf0_auto_lane_flip_ctrl_en),
   .ctop_core4_0_pf0_base_class_code                                         (ctop_core4_0_pf0_base_class_code),
   .ctop_core4_0_pf0_eq_redo                                                 (ctop_core4_0_pf0_eq_redo),
   .ctop_core4_0_pf0_eq_redo_atg4                                            (ctop_core4_0_pf0_eq_redo_atg4),
   .ctop_core4_0_pf0_gen3_eq_pset_req_vec                                    (ctop_core4_0_pf0_gen3_eq_pset_req_vec),
   .ctop_core4_0_pf0_gen3_eq_pset_req_vec_atg4                               (ctop_core4_0_pf0_gen3_eq_pset_req_vec_atg4),
   .ctop_core4_0_pf0_loopback_enable                                         (ctop_core4_0_pf0_loopback_enable),
   .ctop_core4_0_pf0_pci_msix_bir                                            (ctop_core4_0_pf0_pci_msix_bir),
   .ctop_core4_0_pf0_pci_msix_pba                                            (ctop_core4_0_pf0_pci_msix_pba),
   .ctop_core4_0_pf0_pci_msix_pba_offset                                     (ctop_core4_0_pf0_pci_msix_pba_offset),
   .ctop_core4_0_pf0_pci_msix_table_offset                                   (ctop_core4_0_pf0_pci_msix_table_offset),
   .ctop_core4_0_pf0_pci_msix_table_size                                     (ctop_core4_0_pf0_pci_msix_table_size),
   .ctop_core4_0_pf0_pci_msix_table_size_vfcomm_cs2                          (ctop_core4_0_pf0_pci_msix_table_size_vfcomm_cs2),
   .ctop_core4_0_pf0_pci_type0_bar0_mask_31_1                                (ctop_core4_0_pf0_pci_type0_bar0_mask_31_1),
   .ctop_core4_0_pf0_pci_type0_bar1_mask_31_1                                (ctop_core4_0_pf0_pci_type0_bar1_mask_31_1),
   .ctop_core4_0_pf0_pci_type0_bar2_mask_31_1                                (ctop_core4_0_pf0_pci_type0_bar2_mask_31_1),
   .ctop_core4_0_pf0_pci_type0_bar3_mask_31_1                                (ctop_core4_0_pf0_pci_type0_bar3_mask_31_1),
   .ctop_core4_0_pf0_pci_type0_bar4_mask_31_1                                (ctop_core4_0_pf0_pci_type0_bar4_mask_31_1),
   .ctop_core4_0_pf0_pci_type0_bar5_mask_31_1                                (ctop_core4_0_pf0_pci_type0_bar5_mask_31_1),
   .ctop_core4_0_pf0_pci_type0_device_id                                     (ctop_core4_0_pf0_pci_type0_device_id),
   .ctop_core4_0_pf0_pci_type0_vendor_id                                     (ctop_core4_0_pf0_pci_type0_vendor_id),
   .ctop_core4_0_pf0_pcie_cap_attention_indicator                            (ctop_core4_0_pf0_pcie_cap_attention_indicator),
   .ctop_core4_0_pf0_pcie_cap_attention_indicator_button                     (ctop_core4_0_pf0_pcie_cap_attention_indicator_button),
   .ctop_core4_0_pf0_pcie_cap_electromech_interlock                          (ctop_core4_0_pf0_pcie_cap_electromech_interlock),
   .ctop_core4_0_pf0_pcie_cap_ep_l0s_accpt_latency                           (ctop_core4_0_pf0_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core4_0_pf0_pcie_cap_ep_l1_accpt_latency                            (ctop_core4_0_pf0_pcie_cap_ep_l1_accpt_latency),
   .ctop_core4_0_pf0_pcie_cap_ext_tag_supp                                   (ctop_core4_0_pf0_pcie_cap_ext_tag_supp),
   .ctop_core4_0_pf0_pcie_cap_flr_cap                                        (ctop_core4_0_pf0_pcie_cap_flr_cap),
   .ctop_core4_0_pf0_pcie_cap_hot_plug_capable                               (ctop_core4_0_pf0_pcie_cap_hot_plug_capable),
   .ctop_core4_0_pf0_pcie_cap_hot_plug_surprise                              (ctop_core4_0_pf0_pcie_cap_hot_plug_surprise),
   .ctop_core4_0_pf0_pcie_cap_mrl_sensor                                     (ctop_core4_0_pf0_pcie_cap_mrl_sensor),
   .ctop_core4_0_pf0_pcie_cap_no_cmd_cpl_support                             (ctop_core4_0_pf0_pcie_cap_no_cmd_cpl_support),
   .ctop_core4_0_pf0_pcie_cap_phy_slot_num                                   (ctop_core4_0_pf0_pcie_cap_phy_slot_num),
   .ctop_core4_0_pf0_pcie_cap_port_num                                       (ctop_core4_0_pf0_pcie_cap_port_num),
   .ctop_core4_0_pf0_pcie_cap_power_controller                               (ctop_core4_0_pf0_pcie_cap_power_controller),
   .ctop_core4_0_pf0_pcie_cap_power_indicator                                (ctop_core4_0_pf0_pcie_cap_power_indicator),
   .ctop_core4_0_pf0_pcie_cap_sel_deemphasis                                 (ctop_core4_0_pf0_pcie_cap_sel_deemphasis),
   .ctop_core4_0_pf0_pcie_cap_slot_clk_config                                (ctop_core4_0_pf0_pcie_cap_slot_clk_config),
   .ctop_core4_0_pf0_pcie_cap_slot_power_limit_scale                         (ctop_core4_0_pf0_pcie_cap_slot_power_limit_scale),
   .ctop_core4_0_pf0_pcie_cap_slot_power_limit_value                         (ctop_core4_0_pf0_pcie_cap_slot_power_limit_value),
   .ctop_core4_0_pf0_pcie_slot_imp                                           (ctop_core4_0_pf0_pcie_slot_imp),
   .ctop_core4_0_pf0_pme_support                                             (ctop_core4_0_pf0_pme_support),
   .ctop_core4_0_pf0_program_interface                                       (ctop_core4_0_pf0_program_interface),
   .ctop_core4_0_pf0_revision_id                                             (ctop_core4_0_pf0_revision_id),
   .ctop_core4_0_pf0_rom_bar_enabled                                         (ctop_core4_0_pf0_rom_bar_enabled),
   .ctop_core4_0_pf0_rp_rom_bar_enabled                                      (ctop_core4_0_pf0_rp_rom_bar_enabled),
   .ctop_core4_0_pf0_subclass_code                                           (ctop_core4_0_pf0_subclass_code),
   .ctop_core4_0_pf0_subsys_dev_id                                           (ctop_core4_0_pf0_subsys_dev_id),
   .ctop_core4_0_pf0_subsys_vendor_id                                        (ctop_core4_0_pf0_subsys_vendor_id),
   .ctop_core4_0_pf0_tph_req_cap_int_vec                                     (ctop_core4_0_pf0_tph_req_cap_int_vec),
   .ctop_core4_0_pf0_tph_req_cap_int_vec_vfcomm_cs2                          (ctop_core4_0_pf0_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core4_0_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                   (ctop_core4_0_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core4_0_pf0_tph_req_cap_st_table_loc_1                              (ctop_core4_0_pf0_tph_req_cap_st_table_loc_1),
   .ctop_core4_0_pf0_tph_req_cap_st_table_size                               (ctop_core4_0_pf0_tph_req_cap_st_table_size),
   .ctop_core4_0_pf0_tph_req_cap_st_table_size_vfcomm_cs2                    (ctop_core4_0_pf0_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core4_0_pf0_tph_req_device_spec                                     (ctop_core4_0_pf0_tph_req_device_spec),
   .ctop_core4_0_pf0_tph_req_device_spec_vfcomm_cs2                          (ctop_core4_0_pf0_tph_req_device_spec_vfcomm_cs2),
   .ctop_core4_0_pf0_prs_outstanding_capacity				     (ctop_core4_0_pf0_prs_outstanding_capacity),
   .ctop_core4_0_rxbuf_limit_bypass                                          (ctop_core4_0_rxbuf_limit_bypass),
   .ctop_core4_0_virtual_drop_vendor0_msg                                    (ctop_core4_0_virtual_drop_vendor0_msg),
   .ctop_core4_0_virtual_drop_vendor1_msg                                    (ctop_core4_0_virtual_drop_vendor1_msg),
   .ctop_core4_0_virtual_ep_native                                           (ctop_core4_0_virtual_ep_native),
   .ctop_core4_0_virtual_link_rate                                           (ctop_core4_0_virtual_link_rate),
   .ctop_core4_0_virtual_maxpayload_size                                     (ctop_core4_0_virtual_maxpayload_size),
   .ctop_core4_0_virtual_num_of_lanes                                        (ctop_core4_0_virtual_num_of_lanes),
   .ctop_core4_0_virtual_pf0_acs_cap_enable                                  (ctop_core4_0_virtual_pf0_acs_cap_enable),
   .ctop_core4_0_virtual_pf0_dlink_cap_enable                                (ctop_core4_0_virtual_pf0_dlink_cap_enable),
   .ctop_core4_0_virtual_pf0_io_decode                                       (ctop_core4_0_virtual_pf0_io_decode),
   .ctop_core4_0_virtual_pf0_msix_enable                                     (ctop_core4_0_virtual_pf0_msix_enable),
   .ctop_core4_0_virtual_pf0_pl16g_cap_enable                                (ctop_core4_0_virtual_pf0_pl16g_cap_enable),
   .ctop_core4_0_virtual_pf0_prefetch_decode                                 (ctop_core4_0_virtual_pf0_prefetch_decode),
   .ctop_core4_0_virtual_pf0_prs_ext_cap_enable                              (ctop_core4_0_virtual_pf0_prs_ext_cap_enable),
   .ctop_core4_0_virtual_pf0_ras_des_cap_enable                              (ctop_core4_0_virtual_pf0_ras_des_cap_enable),
   .ctop_core4_0_virtual_pf0_sn_cap_enable                                   (ctop_core4_0_virtual_pf0_sn_cap_enable),
   .ctop_core4_0_virtual_pf0_ats_cap_enable                                  (ctop_core4_0_virtual_pf0_ats_cap_enable),
   .ctop_core4_0_virtual_pf0_tph_cap_enable                                  (ctop_core4_0_virtual_pf0_tph_cap_enable),
   .ctop_core4_0_virtual_pf0_user_vsec_cap_enable                            (ctop_core4_0_virtual_pf0_user_vsec_cap_enable),
   .ctop_core4_0_virtual_rp_ep_mode                                          (ctop_core4_0_virtual_rp_ep_mode),
   .ctop_core4_0_virtual_txeq_mode                                           (ctop_core4_0_virtual_txeq_mode),
   .ctop_core4_0_vsec_next_offset                                            (ctop_core4_0_vsec_next_offset),
   .ctop_core4_1_cvp_user_id                                                 (ctop_core4_1_cvp_user_id),
   .ctop_core4_1_pf0_acs_cap_acs_at_block                                    (ctop_core4_1_pf0_acs_cap_acs_at_block),
   .ctop_core4_1_pf0_acs_cap_acs_direct_translated_p2p                       (ctop_core4_1_pf0_acs_cap_acs_direct_translated_p2p),
   .ctop_core4_1_pf0_acs_cap_acs_egress_ctrl_size                            (ctop_core4_1_pf0_acs_cap_acs_egress_ctrl_size),
   .ctop_core4_1_pf0_acs_cap_acs_p2p_cpl_redirect                            (ctop_core4_1_pf0_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core4_1_pf0_acs_cap_acs_p2p_egress_control                          (ctop_core4_1_pf0_acs_cap_acs_p2p_egress_control),
   .ctop_core4_1_pf0_acs_cap_acs_p2p_req_redirect                            (ctop_core4_1_pf0_acs_cap_acs_p2p_req_redirect),
   .ctop_core4_1_pf0_acs_cap_acs_src_valid                                   (ctop_core4_1_pf0_acs_cap_acs_src_valid),
   .ctop_core4_1_pf0_acs_cap_acs_usp_forwarding                              (ctop_core4_1_pf0_acs_cap_acs_usp_forwarding),
   .ctop_core4_1_pf0_auto_lane_flip_ctrl_en                                  (ctop_core4_1_pf0_auto_lane_flip_ctrl_en),
   .ctop_core4_1_pf0_base_class_code                                         (ctop_core4_1_pf0_base_class_code),
   .ctop_core4_1_pf0_eq_redo                                                 (ctop_core4_1_pf0_eq_redo),
   .ctop_core4_1_pf0_eq_redo_atg4                                            (ctop_core4_1_pf0_eq_redo_atg4),
   .ctop_core4_1_pf0_gen3_eq_pset_req_vec                                    (ctop_core4_1_pf0_gen3_eq_pset_req_vec),
   .ctop_core4_1_pf0_gen3_eq_pset_req_vec_atg4                               (ctop_core4_1_pf0_gen3_eq_pset_req_vec_atg4),
   .ctop_core4_1_pf0_loopback_enable                                         (ctop_core4_1_pf0_loopback_enable),
   .ctop_core4_1_pf0_pci_msix_bir                                            (ctop_core4_1_pf0_pci_msix_bir),
   .ctop_core4_1_pf0_pci_msix_pba                                            (ctop_core4_1_pf0_pci_msix_pba),
   .ctop_core4_1_pf0_pci_msix_pba_offset                                     (ctop_core4_1_pf0_pci_msix_pba_offset),
   .ctop_core4_1_pf0_pci_msix_table_offset                                   (ctop_core4_1_pf0_pci_msix_table_offset),
   .ctop_core4_1_pf0_pci_msix_table_size                                     (ctop_core4_1_pf0_pci_msix_table_size),
   .ctop_core4_1_pf0_pci_msix_table_size_vfcomm_cs2                          (ctop_core4_1_pf0_pci_msix_table_size_vfcomm_cs2),
   .ctop_core4_1_pf0_pci_type0_bar0_mask_31_1                                (ctop_core4_1_pf0_pci_type0_bar0_mask_31_1),
   .ctop_core4_1_pf0_pci_type0_bar1_mask_31_1                                (ctop_core4_1_pf0_pci_type0_bar1_mask_31_1),
   .ctop_core4_1_pf0_pci_type0_bar2_mask_31_1                                (ctop_core4_1_pf0_pci_type0_bar2_mask_31_1),
   .ctop_core4_1_pf0_pci_type0_bar3_mask_31_1                                (ctop_core4_1_pf0_pci_type0_bar3_mask_31_1),
   .ctop_core4_1_pf0_pci_type0_bar4_mask_31_1                                (ctop_core4_1_pf0_pci_type0_bar4_mask_31_1),
   .ctop_core4_1_pf0_pci_type0_bar5_mask_31_1                                (ctop_core4_1_pf0_pci_type0_bar5_mask_31_1),
   .ctop_core4_1_pf0_pci_type0_device_id                                     (ctop_core4_1_pf0_pci_type0_device_id),
   .ctop_core4_1_pf0_pci_type0_vendor_id                                     (ctop_core4_1_pf0_pci_type0_vendor_id),
   .ctop_core4_1_pf0_pcie_cap_attention_indicator                            (ctop_core4_1_pf0_pcie_cap_attention_indicator),
   .ctop_core4_1_pf0_pcie_cap_attention_indicator_button                     (ctop_core4_1_pf0_pcie_cap_attention_indicator_button),
   .ctop_core4_1_pf0_pcie_cap_electromech_interlock                          (ctop_core4_1_pf0_pcie_cap_electromech_interlock),
   .ctop_core4_1_pf0_pcie_cap_ep_l0s_accpt_latency                           (ctop_core4_1_pf0_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core4_1_pf0_pcie_cap_ep_l1_accpt_latency                            (ctop_core4_1_pf0_pcie_cap_ep_l1_accpt_latency),
   .ctop_core4_1_pf0_pcie_cap_ext_tag_supp                                   (ctop_core4_1_pf0_pcie_cap_ext_tag_supp),
   .ctop_core4_1_pf0_pcie_cap_flr_cap                                        (ctop_core4_1_pf0_pcie_cap_flr_cap),
   .ctop_core4_1_pf0_pcie_cap_hot_plug_capable                               (ctop_core4_1_pf0_pcie_cap_hot_plug_capable),
   .ctop_core4_1_pf0_pcie_cap_hot_plug_surprise                              (ctop_core4_1_pf0_pcie_cap_hot_plug_surprise),
   .ctop_core4_1_pf0_pcie_cap_mrl_sensor                                     (ctop_core4_1_pf0_pcie_cap_mrl_sensor),
   .ctop_core4_1_pf0_pcie_cap_no_cmd_cpl_support                             (ctop_core4_1_pf0_pcie_cap_no_cmd_cpl_support),
   .ctop_core4_1_pf0_pcie_cap_phy_slot_num                                   (ctop_core4_1_pf0_pcie_cap_phy_slot_num),
   .ctop_core4_1_pf0_pcie_cap_port_num                                       (ctop_core4_1_pf0_pcie_cap_port_num),
   .ctop_core4_1_pf0_pcie_cap_power_controller                               (ctop_core4_1_pf0_pcie_cap_power_controller),
   .ctop_core4_1_pf0_pcie_cap_power_indicator                                (ctop_core4_1_pf0_pcie_cap_power_indicator),
   .ctop_core4_1_pf0_pcie_cap_sel_deemphasis                                 (ctop_core4_1_pf0_pcie_cap_sel_deemphasis),
   .ctop_core4_1_pf0_pcie_cap_slot_clk_config                                (ctop_core4_1_pf0_pcie_cap_slot_clk_config),
   .ctop_core4_1_pf0_pcie_cap_slot_power_limit_scale                         (ctop_core4_1_pf0_pcie_cap_slot_power_limit_scale),
   .ctop_core4_1_pf0_pcie_cap_slot_power_limit_value                         (ctop_core4_1_pf0_pcie_cap_slot_power_limit_value),
   .ctop_core4_1_pf0_pcie_slot_imp                                           (ctop_core4_1_pf0_pcie_slot_imp),
   .ctop_core4_1_pf0_pme_support                                             (ctop_core4_1_pf0_pme_support),
   .ctop_core4_1_pf0_program_interface                                       (ctop_core4_1_pf0_program_interface),
   .ctop_core4_1_pf0_revision_id                                             (ctop_core4_1_pf0_revision_id),
   .ctop_core4_1_pf0_rom_bar_enabled                                         (ctop_core4_1_pf0_rom_bar_enabled),
   .ctop_core4_1_pf0_rp_rom_bar_enabled                                      (ctop_core4_1_pf0_rp_rom_bar_enabled),
   .ctop_core4_1_pf0_subclass_code                                           (ctop_core4_1_pf0_subclass_code),
   .ctop_core4_1_pf0_subsys_dev_id                                           (ctop_core4_1_pf0_subsys_dev_id),
   .ctop_core4_1_pf0_subsys_vendor_id                                        (ctop_core4_1_pf0_subsys_vendor_id),
   .ctop_core4_1_pf0_tph_req_cap_int_vec                                     (ctop_core4_1_pf0_tph_req_cap_int_vec),
   .ctop_core4_1_pf0_tph_req_cap_int_vec_vfcomm_cs2                          (ctop_core4_1_pf0_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core4_1_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                   (ctop_core4_1_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core4_1_pf0_tph_req_cap_st_table_loc_1                              (ctop_core4_1_pf0_tph_req_cap_st_table_loc_1),
   .ctop_core4_1_pf0_tph_req_cap_st_table_size                               (ctop_core4_1_pf0_tph_req_cap_st_table_size),
   .ctop_core4_1_pf0_tph_req_cap_st_table_size_vfcomm_cs2                    (ctop_core4_1_pf0_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core4_1_pf0_tph_req_device_spec                                     (ctop_core4_1_pf0_tph_req_device_spec),
   .ctop_core4_1_pf0_tph_req_device_spec_vfcomm_cs2                          (ctop_core4_1_pf0_tph_req_device_spec_vfcomm_cs2),
   .ctop_core4_1_pf0_prs_outstanding_capacity				     (ctop_core4_1_pf0_prs_outstanding_capacity),
   .ctop_core4_1_rxbuf_limit_bypass                                          (ctop_core4_1_rxbuf_limit_bypass),
   .ctop_core4_1_virtual_drop_vendor0_msg                                    (ctop_core4_1_virtual_drop_vendor0_msg),
   .ctop_core4_1_virtual_drop_vendor1_msg                                    (ctop_core4_1_virtual_drop_vendor1_msg),
   .ctop_core4_1_virtual_ep_native                                           (ctop_core4_1_virtual_ep_native),
   .ctop_core4_1_virtual_link_rate                                           (ctop_core4_1_virtual_link_rate),
   .ctop_core4_1_virtual_maxpayload_size                                     (ctop_core4_1_virtual_maxpayload_size),
   .ctop_core4_1_virtual_num_of_lanes                                        (ctop_core4_1_virtual_num_of_lanes),
   .ctop_core4_1_virtual_pf0_acs_cap_enable                                  (ctop_core4_1_virtual_pf0_acs_cap_enable),
   .ctop_core4_1_virtual_pf0_dlink_cap_enable                                (ctop_core4_1_virtual_pf0_dlink_cap_enable),
   .ctop_core4_1_virtual_pf0_io_decode                                       (ctop_core4_1_virtual_pf0_io_decode),
   .ctop_core4_1_virtual_pf0_msix_enable                                     (ctop_core4_1_virtual_pf0_msix_enable),
   .ctop_core4_1_virtual_pf0_pl16g_cap_enable                                (ctop_core4_1_virtual_pf0_pl16g_cap_enable),
   .ctop_core4_1_virtual_pf0_prefetch_decode                                 (ctop_core4_1_virtual_pf0_prefetch_decode),
   .ctop_core4_1_virtual_pf0_prs_ext_cap_enable                              (ctop_core4_1_virtual_pf0_prs_ext_cap_enable),
   .ctop_core4_1_virtual_pf0_ras_des_cap_enable                              (ctop_core4_1_virtual_pf0_ras_des_cap_enable),
   .ctop_core4_1_virtual_pf0_sn_cap_enable                                   (ctop_core4_1_virtual_pf0_sn_cap_enable),
   .ctop_core4_1_virtual_pf0_ats_cap_enable                                  (ctop_core4_1_virtual_pf0_ats_cap_enable),
   .ctop_core4_1_virtual_pf0_tph_cap_enable                                  (ctop_core4_1_virtual_pf0_tph_cap_enable),
   .ctop_core4_1_virtual_pf0_user_vsec_cap_enable                            (ctop_core4_1_virtual_pf0_user_vsec_cap_enable),
   .ctop_core4_1_vsec_next_offset                                          (ctop_core4_1_vsec_next_offset),
   .ctop_core4_1_virtual_rp_ep_mode                                          (ctop_core4_1_virtual_rp_ep_mode),
   .ctop_core4_1_virtual_txeq_mode                                           (ctop_core4_1_virtual_txeq_mode),
   .ctop_core8_cvp_user_id                                                   (ctop_core8_cvp_user_id),
   .ctop_core8_exvf_ats_pagealignreq_pf0				     (ctop_core8_exvf_ats_pagealignreq_pf0),
   .ctop_core8_exvf_ats_pagealignreq_pf1				     (ctop_core8_exvf_ats_pagealignreq_pf1),
   .ctop_core8_exvf_ats_pagealignreq_pf2				     (ctop_core8_exvf_ats_pagealignreq_pf2),
   .ctop_core8_exvf_ats_pagealignreq_pf3				     (ctop_core8_exvf_ats_pagealignreq_pf3),
   .ctop_core8_exvf_ats_pagealignreq_pf4				     (ctop_core8_exvf_ats_pagealignreq_pf4),
   .ctop_core8_exvf_ats_pagealignreq_pf5				     (ctop_core8_exvf_ats_pagealignreq_pf5),
   .ctop_core8_exvf_ats_pagealignreq_pf6				     (ctop_core8_exvf_ats_pagealignreq_pf6),
   .ctop_core8_exvf_ats_pagealignreq_pf7				     (ctop_core8_exvf_ats_pagealignreq_pf7),
   .ctop_core8_exvf_msix_tablesize_pf0                                       (ctop_core8_exvf_msix_tablesize_pf0),
   .ctop_core8_exvf_msix_tablesize_pf1                                       (ctop_core8_exvf_msix_tablesize_pf1),
   .ctop_core8_exvf_msix_tablesize_pf2                                       (ctop_core8_exvf_msix_tablesize_pf2),
   .ctop_core8_exvf_msix_tablesize_pf3                                       (ctop_core8_exvf_msix_tablesize_pf3),
   .ctop_core8_exvf_msix_tablesize_pf4                                       (ctop_core8_exvf_msix_tablesize_pf4),
   .ctop_core8_exvf_msix_tablesize_pf5                                       (ctop_core8_exvf_msix_tablesize_pf5),
   .ctop_core8_exvf_msix_tablesize_pf6                                       (ctop_core8_exvf_msix_tablesize_pf6),
   .ctop_core8_exvf_msix_tablesize_pf7                                       (ctop_core8_exvf_msix_tablesize_pf7),
   .ctop_core8_exvf_msixpba_bir_pf0                                          (ctop_core8_exvf_msixpba_bir_pf0),
   .ctop_core8_exvf_msixpba_bir_pf1                                          (ctop_core8_exvf_msixpba_bir_pf1),
   .ctop_core8_exvf_msixpba_bir_pf2                                          (ctop_core8_exvf_msixpba_bir_pf2),
   .ctop_core8_exvf_msixpba_bir_pf3                                          (ctop_core8_exvf_msixpba_bir_pf3),
   .ctop_core8_exvf_msixpba_bir_pf4                                          (ctop_core8_exvf_msixpba_bir_pf4),
   .ctop_core8_exvf_msixpba_bir_pf5                                          (ctop_core8_exvf_msixpba_bir_pf5),
   .ctop_core8_exvf_msixpba_bir_pf6                                          (ctop_core8_exvf_msixpba_bir_pf6),
   .ctop_core8_exvf_msixpba_bir_pf7                                          (ctop_core8_exvf_msixpba_bir_pf7),
   .ctop_core8_exvf_msixpba_offset_pf0                                       (ctop_core8_exvf_msixpba_offset_pf0),
   .ctop_core8_exvf_msixpba_offset_pf1                                       (ctop_core8_exvf_msixpba_offset_pf1),
   .ctop_core8_exvf_msixpba_offset_pf2                                       (ctop_core8_exvf_msixpba_offset_pf2),
   .ctop_core8_exvf_msixpba_offset_pf3                                       (ctop_core8_exvf_msixpba_offset_pf3),
   .ctop_core8_exvf_msixpba_offset_pf4                                       (ctop_core8_exvf_msixpba_offset_pf4),
   .ctop_core8_exvf_msixpba_offset_pf5                                       (ctop_core8_exvf_msixpba_offset_pf5),
   .ctop_core8_exvf_msixpba_offset_pf6                                       (ctop_core8_exvf_msixpba_offset_pf6),
   .ctop_core8_exvf_msixpba_offset_pf7                                       (ctop_core8_exvf_msixpba_offset_pf7),
   .ctop_core8_exvf_msixtable_bir_pf0                                        (ctop_core8_exvf_msixtable_bir_pf0),
   .ctop_core8_exvf_msixtable_bir_pf1                                        (ctop_core8_exvf_msixtable_bir_pf1),
   .ctop_core8_exvf_msixtable_bir_pf2                                        (ctop_core8_exvf_msixtable_bir_pf2),
   .ctop_core8_exvf_msixtable_bir_pf3                                        (ctop_core8_exvf_msixtable_bir_pf3),
   .ctop_core8_exvf_msixtable_bir_pf4                                        (ctop_core8_exvf_msixtable_bir_pf4),
   .ctop_core8_exvf_msixtable_bir_pf5                                        (ctop_core8_exvf_msixtable_bir_pf5),
   .ctop_core8_exvf_msixtable_bir_pf6                                        (ctop_core8_exvf_msixtable_bir_pf6),
   .ctop_core8_exvf_msixtable_bir_pf7                                        (ctop_core8_exvf_msixtable_bir_pf7),
   .ctop_core8_exvf_msixtable_offset_pf0                                     (ctop_core8_exvf_msixtable_offset_pf0),
   .ctop_core8_exvf_msixtable_offset_pf1                                     (ctop_core8_exvf_msixtable_offset_pf1),
   .ctop_core8_exvf_msixtable_offset_pf2                                     (ctop_core8_exvf_msixtable_offset_pf2),
   .ctop_core8_exvf_msixtable_offset_pf3                                     (ctop_core8_exvf_msixtable_offset_pf3),
   .ctop_core8_exvf_msixtable_offset_pf4                                     (ctop_core8_exvf_msixtable_offset_pf4),
   .ctop_core8_exvf_msixtable_offset_pf5                                     (ctop_core8_exvf_msixtable_offset_pf5),
   .ctop_core8_exvf_msixtable_offset_pf6                                     (ctop_core8_exvf_msixtable_offset_pf6),
   .ctop_core8_exvf_msixtable_offset_pf7                                     (ctop_core8_exvf_msixtable_offset_pf7),
   .ctop_core8_exvf_subsysid_pf0                                             (ctop_core8_exvf_subsysid_pf0),
   .ctop_core8_exvf_subsysid_pf1                                             (ctop_core8_exvf_subsysid_pf1),
   .ctop_core8_exvf_subsysid_pf2                                             (ctop_core8_exvf_subsysid_pf2),
   .ctop_core8_exvf_subsysid_pf3                                             (ctop_core8_exvf_subsysid_pf3),
   .ctop_core8_exvf_subsysid_pf4                                             (ctop_core8_exvf_subsysid_pf4),
   .ctop_core8_exvf_subsysid_pf5                                             (ctop_core8_exvf_subsysid_pf5),
   .ctop_core8_exvf_subsysid_pf6                                             (ctop_core8_exvf_subsysid_pf6),
   .ctop_core8_exvf_subsysid_pf7                                             (ctop_core8_exvf_subsysid_pf7),
   .ctop_core8_pf0_acs_cap_acs_at_block                                      (ctop_core8_pf0_acs_cap_acs_at_block),
   .ctop_core8_pf0_acs_cap_acs_direct_translated_p2p                         (ctop_core8_pf0_acs_cap_acs_direct_translated_p2p),
   .ctop_core8_pf0_acs_cap_acs_egress_ctrl_size                              (ctop_core8_pf0_acs_cap_acs_egress_ctrl_size),
   .ctop_core8_pf0_acs_cap_acs_p2p_cpl_redirect                              (ctop_core8_pf0_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core8_pf0_acs_cap_acs_p2p_egress_control                            (ctop_core8_pf0_acs_cap_acs_p2p_egress_control),
   .ctop_core8_pf0_acs_cap_acs_p2p_req_redirect                              (ctop_core8_pf0_acs_cap_acs_p2p_req_redirect),
   .ctop_core8_pf0_acs_cap_acs_src_valid                                     (ctop_core8_pf0_acs_cap_acs_src_valid),
   .ctop_core8_pf0_acs_cap_acs_usp_forwarding                                (ctop_core8_pf0_acs_cap_acs_usp_forwarding),
   .ctop_core8_pf0_auto_lane_flip_ctrl_en                                    (ctop_core8_pf0_auto_lane_flip_ctrl_en),
   .ctop_core8_pf0_bar0_prefetch                                             (ctop_core8_pf0_bar0_prefetch),
   .ctop_core8_pf0_bar0_type                                                 (ctop_core8_pf0_bar0_type),
   .ctop_core8_pf0_bar1_prefetch                                             (ctop_core8_pf0_bar1_prefetch),
   .ctop_core8_pf0_bar2_prefetch                                             (ctop_core8_pf0_bar2_prefetch),
   .ctop_core8_pf0_bar2_type                                                 (ctop_core8_pf0_bar2_type),
   .ctop_core8_pf0_bar3_prefetch                                             (ctop_core8_pf0_bar3_prefetch),
   .ctop_core8_pf0_bar4_prefetch                                             (ctop_core8_pf0_bar4_prefetch),
   .ctop_core8_pf0_bar4_type                                                 (ctop_core8_pf0_bar4_type),
   .ctop_core8_pf0_bar5_prefetch                                             (ctop_core8_pf0_bar5_prefetch),
   .ctop_core8_pf0_base_class_code                                           (ctop_core8_pf0_base_class_code),
   .ctop_core8_pf0_eq_redo                                                   (ctop_core8_pf0_eq_redo),
   .ctop_core8_pf0_eq_redo_atg4                                              (ctop_core8_pf0_eq_redo_atg4),
   .ctop_core8_pf0_gen3_eq_pset_req_vec                                      (ctop_core8_pf0_gen3_eq_pset_req_vec),
   .ctop_core8_pf0_gen3_eq_pset_req_vec_atg4                                 (ctop_core8_pf0_gen3_eq_pset_req_vec_atg4),
   .ctop_core8_pf0_int_pin                                                   (ctop_core8_pf0_int_pin),
   .ctop_core8_pf0_loopback_enable                                           (ctop_core8_pf0_loopback_enable),
   .ctop_core8_pf0_pasid_cap_execute_permission_supported                    (ctop_core8_pf0_pasid_cap_execute_permission_supported),
   .ctop_core8_pf0_pasid_cap_max_pasid_width                                 (ctop_core8_pf0_pasid_cap_max_pasid_width),
   .ctop_core8_pf0_pasid_cap_privileged_mode_supported                       (ctop_core8_pf0_pasid_cap_privileged_mode_supported),
   .ctop_core8_pf0_pci_msi_64_bit_addr_cap                                   (ctop_core8_pf0_pci_msi_64_bit_addr_cap),
   .ctop_core8_pf0_pci_msi_ext_data_cap                                      (ctop_core8_pf0_pci_msi_ext_data_cap),
   .ctop_core8_pf0_pci_msi_multiple_msg_cap                                  (ctop_core8_pf0_pci_msi_multiple_msg_cap),
   .ctop_core8_pf0_pci_msix_bir                                              (ctop_core8_pf0_pci_msix_bir),
   .ctop_core8_pf0_pci_msix_pba                                              (ctop_core8_pf0_pci_msix_pba),
   .ctop_core8_pf0_pci_msix_pba_offset                                       (ctop_core8_pf0_pci_msix_pba_offset),
   .ctop_core8_pf0_pci_msix_table_offset                                     (ctop_core8_pf0_pci_msix_table_offset),
   .ctop_core8_pf0_pci_msix_table_size                                       (ctop_core8_pf0_pci_msix_table_size),
   .ctop_core8_pf0_pci_msix_table_size_vfcomm_cs2                            (ctop_core8_pf0_pci_msix_table_size_vfcomm_cs2),
   .ctop_core8_pf0_pci_type0_bar0_enabled                                    (ctop_core8_pf0_pci_type0_bar0_enabled),
   .ctop_core8_pf0_pci_type0_bar1_enabled                                    (ctop_core8_pf0_pci_type0_bar1_enabled),
   .ctop_core8_pf0_pci_type0_bar2_enabled                                    (ctop_core8_pf0_pci_type0_bar2_enabled),
   .ctop_core8_pf0_pci_type0_bar3_enabled                                    (ctop_core8_pf0_pci_type0_bar3_enabled),
   .ctop_core8_pf0_pci_type0_bar4_enabled                                    (ctop_core8_pf0_pci_type0_bar4_enabled),
   .ctop_core8_pf0_pci_type0_bar5_enabled                                    (ctop_core8_pf0_pci_type0_bar5_enabled),
   .ctop_core8_pf0_pci_type0_device_id                                       (ctop_core8_pf0_pci_type0_device_id),
   .ctop_core8_pf0_pci_type0_vendor_id                                       (ctop_core8_pf0_pci_type0_vendor_id),
   .ctop_core8_pf0_pcie_cap_attention_indicator                              (ctop_core8_pf0_pcie_cap_attention_indicator),
   .ctop_core8_pf0_pcie_cap_attention_indicator_button                       (ctop_core8_pf0_pcie_cap_attention_indicator_button),
   .ctop_core8_pf0_pcie_cap_electromech_interlock                            (ctop_core8_pf0_pcie_cap_electromech_interlock),
   .ctop_core8_pf0_pcie_cap_ep_l0s_accpt_latency                             (ctop_core8_pf0_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core8_pf0_pcie_cap_ep_l1_accpt_latency                              (ctop_core8_pf0_pcie_cap_ep_l1_accpt_latency),
   .ctop_core8_pf0_pcie_cap_ext_tag_supp                                     (ctop_core8_pf0_pcie_cap_ext_tag_supp),
   .ctop_core8_pf0_pcie_cap_flr_cap                                          (ctop_core8_pf0_pcie_cap_flr_cap),
   .ctop_core8_pf0_pcie_cap_hot_plug_capable                                 (ctop_core8_pf0_pcie_cap_hot_plug_capable),
   .ctop_core8_pf0_pcie_cap_hot_plug_surprise                                (ctop_core8_pf0_pcie_cap_hot_plug_surprise),
   .ctop_core8_pf0_pcie_cap_mrl_sensor                                       (ctop_core8_pf0_pcie_cap_mrl_sensor),
   .ctop_core8_pf0_pcie_cap_no_cmd_cpl_support                               (ctop_core8_pf0_pcie_cap_no_cmd_cpl_support),
   .ctop_core8_pf0_pcie_cap_phy_slot_num                                     (ctop_core8_pf0_pcie_cap_phy_slot_num),
   .ctop_core8_pf0_pcie_cap_port_num                                         (ctop_core8_pf0_pcie_cap_port_num),
   .ctop_core8_pf0_pcie_cap_power_controller                                 (ctop_core8_pf0_pcie_cap_power_controller),
   .ctop_core8_pf0_pcie_cap_power_indicator                                  (ctop_core8_pf0_pcie_cap_power_indicator),
   .ctop_core8_pf0_pcie_cap_sel_deemphasis                                   (ctop_core8_pf0_pcie_cap_sel_deemphasis),
   .ctop_core8_pf0_pcie_cap_slot_clk_config                                  (ctop_core8_pf0_pcie_cap_slot_clk_config),
   .ctop_core8_pf0_pcie_cap_slot_power_limit_scale                           (ctop_core8_pf0_pcie_cap_slot_power_limit_scale),
   .ctop_core8_pf0_pcie_cap_slot_power_limit_value                           (ctop_core8_pf0_pcie_cap_slot_power_limit_value),
   .ctop_core8_pf0_pcie_slot_imp                                             (ctop_core8_pf0_pcie_slot_imp),
   .ctop_core8_pf0_pme_support                                               (ctop_core8_pf0_pme_support),
   .ctop_core8_pf0_program_interface                                         (ctop_core8_pf0_program_interface),
   .ctop_core8_pf0_revision_id                                               (ctop_core8_pf0_revision_id),
   .ctop_core8_pf0_rom_bar_enabled                                           (ctop_core8_pf0_rom_bar_enabled),
   .ctop_core8_pf0_rp_rom_bar_enabled                                        (ctop_core8_pf0_rp_rom_bar_enabled),
   .ctop_core8_pf0_shadow_sriov_vf_stride_ari_cs2                            (ctop_core8_pf0_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core8_pf0_sriov_sup_page_size                                       (ctop_core8_pf0_sriov_sup_page_size),
   .ctop_core8_pf0_sriov_vf_bar0_prefetch                                    (ctop_core8_pf0_sriov_vf_bar0_prefetch),
   .ctop_core8_pf0_sriov_vf_bar0_type                                        (ctop_core8_pf0_sriov_vf_bar0_type),
   .ctop_core8_pf0_sriov_vf_bar1_prefetch                                    (ctop_core8_pf0_sriov_vf_bar1_prefetch),
   .ctop_core8_pf0_sriov_vf_bar2_prefetch                                    (ctop_core8_pf0_sriov_vf_bar2_prefetch),
   .ctop_core8_pf0_sriov_vf_bar2_type                                        (ctop_core8_pf0_sriov_vf_bar2_type),
   .ctop_core8_pf0_sriov_vf_bar3_prefetch                                    (ctop_core8_pf0_sriov_vf_bar3_prefetch),
   .ctop_core8_pf0_sriov_vf_bar4_prefetch                                    (ctop_core8_pf0_sriov_vf_bar4_prefetch),
   .ctop_core8_pf0_sriov_vf_bar4_type                                        (ctop_core8_pf0_sriov_vf_bar4_type),
   .ctop_core8_pf0_sriov_vf_bar5_prefetch                                    (ctop_core8_pf0_sriov_vf_bar5_prefetch),
   .ctop_core8_pf0_sriov_vf_device_id                                        (ctop_core8_pf0_sriov_vf_device_id),
   .ctop_core8_pf0_sriov_vf_offset_ari_cs2                                   (ctop_core8_pf0_sriov_vf_offset_ari_cs2),
   .ctop_core8_pf0_sriov_vf_offset_nonari                                    (ctop_core8_pf0_sriov_vf_offset_nonari),
   .ctop_core8_pf0_sriov_vf_stride_nonari                                    (ctop_core8_pf0_sriov_vf_stride_nonari),
   .ctop_core8_pf0_subclass_code                                             (ctop_core8_pf0_subclass_code),
   .ctop_core8_pf0_subsys_dev_id                                             (ctop_core8_pf0_subsys_dev_id),
   .ctop_core8_pf0_subsys_vendor_id                                          (ctop_core8_pf0_subsys_vendor_id),
   .ctop_core8_pf0_tph_req_cap_int_vec                                       (ctop_core8_pf0_tph_req_cap_int_vec),
   .ctop_core8_pf0_tph_req_cap_int_vec_vfcomm_cs2                            (ctop_core8_pf0_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core8_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2                     (ctop_core8_pf0_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core8_pf0_tph_req_cap_st_table_loc_1                                (ctop_core8_pf0_tph_req_cap_st_table_loc_1),
   .ctop_core8_pf0_tph_req_cap_st_table_loc_1_vfcomm_cs2                     (ctop_core8_pf0_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core8_pf0_tph_req_cap_st_table_size                                 (ctop_core8_pf0_tph_req_cap_st_table_size),
   .ctop_core8_pf0_tph_req_cap_st_table_size_vfcomm_cs2                      (ctop_core8_pf0_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core8_pf0_tph_req_device_spec                                       (ctop_core8_pf0_tph_req_device_spec),
   .ctop_core8_pf0_tph_req_device_spec_vfcomm_cs2                            (ctop_core8_pf0_tph_req_device_spec_vfcomm_cs2),
   .ctop_core8_pf0_prs_outstanding_capacity				     (ctop_core8_pf0_prs_outstanding_capacity),
   .ctop_core8_pf1_acs_cap_acs_at_block                                      (ctop_core8_pf1_acs_cap_acs_at_block),
   .ctop_core8_pf1_acs_cap_acs_direct_translated_p2p                         (ctop_core8_pf1_acs_cap_acs_direct_translated_p2p),
   .ctop_core8_pf1_acs_cap_acs_egress_ctrl_size                              (ctop_core8_pf1_acs_cap_acs_egress_ctrl_size),
   .ctop_core8_pf1_acs_cap_acs_p2p_cpl_redirect                              (ctop_core8_pf1_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core8_pf1_acs_cap_acs_p2p_egress_control                            (ctop_core8_pf1_acs_cap_acs_p2p_egress_control),
   .ctop_core8_pf1_acs_cap_acs_p2p_req_redirect                              (ctop_core8_pf1_acs_cap_acs_p2p_req_redirect),
   .ctop_core8_pf1_acs_cap_acs_src_valid                                     (ctop_core8_pf1_acs_cap_acs_src_valid),
   .ctop_core8_pf1_acs_cap_acs_usp_forwarding                                (ctop_core8_pf1_acs_cap_acs_usp_forwarding),
   .ctop_core8_pf1_bar0_prefetch                                             (ctop_core8_pf1_bar0_prefetch),
   .ctop_core8_pf1_bar0_type                                                 (ctop_core8_pf1_bar0_type),
   .ctop_core8_pf1_bar1_prefetch                                             (ctop_core8_pf1_bar1_prefetch),
   .ctop_core8_pf1_bar2_prefetch                                             (ctop_core8_pf1_bar2_prefetch),
   .ctop_core8_pf1_bar2_type                                                 (ctop_core8_pf1_bar2_type),
   .ctop_core8_pf1_bar3_prefetch                                             (ctop_core8_pf1_bar3_prefetch),
   .ctop_core8_pf1_bar4_prefetch                                             (ctop_core8_pf1_bar4_prefetch),
   .ctop_core8_pf1_bar4_type                                                 (ctop_core8_pf1_bar4_type),
   .ctop_core8_pf1_bar5_prefetch                                             (ctop_core8_pf1_bar5_prefetch),
   .ctop_core8_pf1_base_class_code                                           (ctop_core8_pf1_base_class_code),
   .ctop_core8_pf1_int_pin                                                   (ctop_core8_pf1_int_pin),
   .ctop_core8_pf1_pasid_cap_execute_permission_supported                    (ctop_core8_pf1_pasid_cap_execute_permission_supported),
   .ctop_core8_pf1_pasid_cap_max_pasid_width                                 (ctop_core8_pf1_pasid_cap_max_pasid_width),
   .ctop_core8_pf1_pasid_cap_privileged_mode_supported                       (ctop_core8_pf1_pasid_cap_privileged_mode_supported),
   .ctop_core8_pf1_pci_msi_64_bit_addr_cap                                   (ctop_core8_pf1_pci_msi_64_bit_addr_cap),
   .ctop_core8_pf1_pci_msi_ext_data_cap                                      (ctop_core8_pf1_pci_msi_ext_data_cap),
   .ctop_core8_pf1_pci_msi_multiple_msg_cap                                  (ctop_core8_pf1_pci_msi_multiple_msg_cap),
   .ctop_core8_pf1_pci_msix_bir                                              (ctop_core8_pf1_pci_msix_bir),
   .ctop_core8_pf1_pci_msix_pba                                              (ctop_core8_pf1_pci_msix_pba),
   .ctop_core8_pf1_pci_msix_pba_offset                                       (ctop_core8_pf1_pci_msix_pba_offset),
   .ctop_core8_pf1_pci_msix_table_offset                                     (ctop_core8_pf1_pci_msix_table_offset),
   .ctop_core8_pf1_pci_msix_table_size                                       (ctop_core8_pf1_pci_msix_table_size),
   .ctop_core8_pf1_pci_msix_table_size_vfcomm_cs2                            (ctop_core8_pf1_pci_msix_table_size_vfcomm_cs2),
   .ctop_core8_pf1_pci_type0_bar0_enabled                                    (ctop_core8_pf1_pci_type0_bar0_enabled),
   .ctop_core8_pf1_pci_type0_bar1_enabled                                    (ctop_core8_pf1_pci_type0_bar1_enabled),
   .ctop_core8_pf1_pci_type0_bar2_enabled                                    (ctop_core8_pf1_pci_type0_bar2_enabled),
   .ctop_core8_pf1_pci_type0_bar3_enabled                                    (ctop_core8_pf1_pci_type0_bar3_enabled),
   .ctop_core8_pf1_pci_type0_bar4_enabled                                    (ctop_core8_pf1_pci_type0_bar4_enabled),
   .ctop_core8_pf1_pci_type0_bar5_enabled                                    (ctop_core8_pf1_pci_type0_bar5_enabled),
   .ctop_core8_pf1_pci_type0_device_id                                       (ctop_core8_pf1_pci_type0_device_id),
   .ctop_core8_pf1_pci_type0_vendor_id                                       (ctop_core8_pf1_pci_type0_vendor_id),
   .ctop_core8_pf1_pcie_cap_ep_l0s_accpt_latency                             (ctop_core8_pf1_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core8_pf1_pcie_cap_ep_l1_accpt_latency                              (ctop_core8_pf1_pcie_cap_ep_l1_accpt_latency),
   .ctop_core8_pf1_pcie_cap_ext_tag_supp                                     (ctop_core8_pf1_pcie_cap_ext_tag_supp),
   .ctop_core8_pf1_pcie_cap_flr_cap                                          (ctop_core8_pf1_pcie_cap_flr_cap),
   .ctop_core8_pf1_pcie_cap_slot_clk_config                                  (ctop_core8_pf1_pcie_cap_slot_clk_config),
   .ctop_core8_pf1_pme_support                                               (ctop_core8_pf1_pme_support),
   .ctop_core8_pf1_program_interface                                         (ctop_core8_pf1_program_interface),
   .ctop_core8_pf1_revision_id                                               (ctop_core8_pf1_revision_id),
   .ctop_core8_pf1_rom_bar_enabled                                           (ctop_core8_pf1_rom_bar_enabled),
   .ctop_core8_pf1_shadow_sriov_vf_stride_ari_cs2                            (ctop_core8_pf1_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core8_pf1_sriov_sup_page_size                                       (ctop_core8_pf1_sriov_sup_page_size),
   .ctop_core8_pf1_sriov_vf_bar0_prefetch                                    (ctop_core8_pf1_sriov_vf_bar0_prefetch),
   .ctop_core8_pf1_sriov_vf_bar0_type                                        (ctop_core8_pf1_sriov_vf_bar0_type),
   .ctop_core8_pf1_sriov_vf_bar1_prefetch                                    (ctop_core8_pf1_sriov_vf_bar1_prefetch),
   .ctop_core8_pf1_sriov_vf_bar2_prefetch                                    (ctop_core8_pf1_sriov_vf_bar2_prefetch),
   .ctop_core8_pf1_sriov_vf_bar2_type                                        (ctop_core8_pf1_sriov_vf_bar2_type),
   .ctop_core8_pf1_sriov_vf_bar3_prefetch                                    (ctop_core8_pf1_sriov_vf_bar3_prefetch),
   .ctop_core8_pf1_sriov_vf_bar4_prefetch                                    (ctop_core8_pf1_sriov_vf_bar4_prefetch),
   .ctop_core8_pf1_sriov_vf_bar4_type                                        (ctop_core8_pf1_sriov_vf_bar4_type),
   .ctop_core8_pf1_sriov_vf_bar5_prefetch                                    (ctop_core8_pf1_sriov_vf_bar5_prefetch),
   .ctop_core8_pf1_sriov_vf_device_id                                        (ctop_core8_pf1_sriov_vf_device_id),
   .ctop_core8_pf1_sriov_vf_offset_ari_cs2                                   (ctop_core8_pf1_sriov_vf_offset_ari_cs2),
   .ctop_core8_pf1_sriov_vf_offset_position_nonari                           (ctop_core8_pf1_sriov_vf_offset_position_nonari),
   .ctop_core8_pf1_sriov_vf_stride_nonari                                    (ctop_core8_pf1_sriov_vf_stride_nonari),
   .ctop_core8_pf1_subclass_code                                             (ctop_core8_pf1_subclass_code),
   .ctop_core8_pf1_subsys_dev_id                                             (ctop_core8_pf1_subsys_dev_id),
   .ctop_core8_pf1_subsys_vendor_id                                          (ctop_core8_pf1_subsys_vendor_id),
   .ctop_core8_pf1_tph_req_cap_int_vec                                       (ctop_core8_pf1_tph_req_cap_int_vec),
   .ctop_core8_pf1_tph_req_cap_int_vec_vfcomm_cs2                            (ctop_core8_pf1_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core8_pf1_tph_req_cap_st_table_loc_0_vfcomm_cs2                     (ctop_core8_pf1_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core8_pf1_tph_req_cap_st_table_loc_1                                (ctop_core8_pf1_tph_req_cap_st_table_loc_1),
   .ctop_core8_pf1_tph_req_cap_st_table_loc_1_vfcomm_cs2                     (ctop_core8_pf1_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core8_pf1_tph_req_cap_st_table_size                                 (ctop_core8_pf1_tph_req_cap_st_table_size),
   .ctop_core8_pf1_tph_req_cap_st_table_size_vfcomm_cs2                      (ctop_core8_pf1_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core8_pf1_tph_req_device_spec                                       (ctop_core8_pf1_tph_req_device_spec),
   .ctop_core8_pf1_tph_req_device_spec_vfcomm_cs2                            (ctop_core8_pf1_tph_req_device_spec_vfcomm_cs2),
   .ctop_core8_pf1_prs_outstanding_capacity				     (ctop_core8_pf1_prs_outstanding_capacity),
   .ctop_core8_pf2_acs_cap_acs_at_block                                      (ctop_core8_pf2_acs_cap_acs_at_block),
   .ctop_core8_pf2_acs_cap_acs_direct_translated_p2p                         (ctop_core8_pf2_acs_cap_acs_direct_translated_p2p),
   .ctop_core8_pf2_acs_cap_acs_egress_ctrl_size                              (ctop_core8_pf2_acs_cap_acs_egress_ctrl_size),
   .ctop_core8_pf2_acs_cap_acs_p2p_cpl_redirect                              (ctop_core8_pf2_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core8_pf2_acs_cap_acs_p2p_egress_control                            (ctop_core8_pf2_acs_cap_acs_p2p_egress_control),
   .ctop_core8_pf2_acs_cap_acs_p2p_req_redirect                              (ctop_core8_pf2_acs_cap_acs_p2p_req_redirect),
   .ctop_core8_pf2_acs_cap_acs_src_valid                                     (ctop_core8_pf2_acs_cap_acs_src_valid),
   .ctop_core8_pf2_acs_cap_acs_usp_forwarding                                (ctop_core8_pf2_acs_cap_acs_usp_forwarding),
   .ctop_core8_pf2_bar0_prefetch                                             (ctop_core8_pf2_bar0_prefetch),
   .ctop_core8_pf2_bar0_type                                                 (ctop_core8_pf2_bar0_type),
   .ctop_core8_pf2_bar1_prefetch                                             (ctop_core8_pf2_bar1_prefetch),
   .ctop_core8_pf2_bar2_prefetch                                             (ctop_core8_pf2_bar2_prefetch),
   .ctop_core8_pf2_bar2_type                                                 (ctop_core8_pf2_bar2_type),
   .ctop_core8_pf2_bar3_prefetch                                             (ctop_core8_pf2_bar3_prefetch),
   .ctop_core8_pf2_bar4_prefetch                                             (ctop_core8_pf2_bar4_prefetch),
   .ctop_core8_pf2_bar4_type                                                 (ctop_core8_pf2_bar4_type),
   .ctop_core8_pf2_bar5_prefetch                                             (ctop_core8_pf2_bar5_prefetch),
   .ctop_core8_pf2_base_class_code                                           (ctop_core8_pf2_base_class_code),
   .ctop_core8_pf2_int_pin                                                   (ctop_core8_pf2_int_pin),
   .ctop_core8_pf2_pasid_cap_execute_permission_supported                    (ctop_core8_pf2_pasid_cap_execute_permission_supported),
   .ctop_core8_pf2_pasid_cap_max_pasid_width                                 (ctop_core8_pf2_pasid_cap_max_pasid_width),
   .ctop_core8_pf2_pasid_cap_privileged_mode_supported                       (ctop_core8_pf2_pasid_cap_privileged_mode_supported),
   .ctop_core8_pf2_pci_msi_64_bit_addr_cap                                   (ctop_core8_pf2_pci_msi_64_bit_addr_cap),
   .ctop_core8_pf2_pci_msi_ext_data_cap                                      (ctop_core8_pf2_pci_msi_ext_data_cap),
   .ctop_core8_pf2_pci_msi_multiple_msg_cap                                  (ctop_core8_pf2_pci_msi_multiple_msg_cap),
   .ctop_core8_pf2_pci_msix_bir                                              (ctop_core8_pf2_pci_msix_bir),
   .ctop_core8_pf2_pci_msix_pba                                              (ctop_core8_pf2_pci_msix_pba),
   .ctop_core8_pf2_pci_msix_pba_offset                                       (ctop_core8_pf2_pci_msix_pba_offset),
   .ctop_core8_pf2_pci_msix_table_offset                                     (ctop_core8_pf2_pci_msix_table_offset),
   .ctop_core8_pf2_pci_msix_table_size                                       (ctop_core8_pf2_pci_msix_table_size),
   .ctop_core8_pf2_pci_msix_table_size_vfcomm_cs2                            (ctop_core8_pf2_pci_msix_table_size_vfcomm_cs2),
   .ctop_core8_pf2_pci_type0_bar0_enabled                                    (ctop_core8_pf2_pci_type0_bar0_enabled),
   .ctop_core8_pf2_pci_type0_bar1_enabled                                    (ctop_core8_pf2_pci_type0_bar1_enabled),
   .ctop_core8_pf2_pci_type0_bar2_enabled                                    (ctop_core8_pf2_pci_type0_bar2_enabled),
   .ctop_core8_pf2_pci_type0_bar3_enabled                                    (ctop_core8_pf2_pci_type0_bar3_enabled),
   .ctop_core8_pf2_pci_type0_bar4_enabled                                    (ctop_core8_pf2_pci_type0_bar4_enabled),
   .ctop_core8_pf2_pci_type0_bar5_enabled                                    (ctop_core8_pf2_pci_type0_bar5_enabled),
   .ctop_core8_pf2_pci_type0_device_id                                       (ctop_core8_pf2_pci_type0_device_id),
   .ctop_core8_pf2_pci_type0_vendor_id                                       (ctop_core8_pf2_pci_type0_vendor_id),
   .ctop_core8_pf2_pcie_cap_ep_l0s_accpt_latency                             (ctop_core8_pf2_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core8_pf2_pcie_cap_ep_l1_accpt_latency                              (ctop_core8_pf2_pcie_cap_ep_l1_accpt_latency),
   .ctop_core8_pf2_pcie_cap_ext_tag_supp                                     (ctop_core8_pf2_pcie_cap_ext_tag_supp),
   .ctop_core8_pf2_pcie_cap_flr_cap                                          (ctop_core8_pf2_pcie_cap_flr_cap),
   .ctop_core8_pf2_pcie_cap_slot_clk_config                                  (ctop_core8_pf2_pcie_cap_slot_clk_config),
   .ctop_core8_pf2_pme_support                                               (ctop_core8_pf2_pme_support),
   .ctop_core8_pf2_program_interface                                         (ctop_core8_pf2_program_interface),
   .ctop_core8_pf2_revision_id                                               (ctop_core8_pf2_revision_id),
   .ctop_core8_pf2_rom_bar_enabled                                           (ctop_core8_pf2_rom_bar_enabled),
   .ctop_core8_pf2_shadow_sriov_vf_stride_ari_cs2                            (ctop_core8_pf2_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core8_pf2_sriov_sup_page_size                                       (ctop_core8_pf2_sriov_sup_page_size),
   .ctop_core8_pf2_sriov_vf_bar0_prefetch                                    (ctop_core8_pf2_sriov_vf_bar0_prefetch),
   .ctop_core8_pf2_sriov_vf_bar0_type                                        (ctop_core8_pf2_sriov_vf_bar0_type),
   .ctop_core8_pf2_sriov_vf_bar1_prefetch                                    (ctop_core8_pf2_sriov_vf_bar1_prefetch),
   .ctop_core8_pf2_sriov_vf_bar2_prefetch                                    (ctop_core8_pf2_sriov_vf_bar2_prefetch),
   .ctop_core8_pf2_sriov_vf_bar2_type                                        (ctop_core8_pf2_sriov_vf_bar2_type),
   .ctop_core8_pf2_sriov_vf_bar3_prefetch                                    (ctop_core8_pf2_sriov_vf_bar3_prefetch),
   .ctop_core8_pf2_sriov_vf_bar4_prefetch                                    (ctop_core8_pf2_sriov_vf_bar4_prefetch),
   .ctop_core8_pf2_sriov_vf_bar4_type                                        (ctop_core8_pf2_sriov_vf_bar4_type),
   .ctop_core8_pf2_sriov_vf_bar5_prefetch                                    (ctop_core8_pf2_sriov_vf_bar5_prefetch),
   .ctop_core8_pf2_sriov_vf_device_id                                        (ctop_core8_pf2_sriov_vf_device_id),
   .ctop_core8_pf2_sriov_vf_offset_ari_cs2                                   (ctop_core8_pf2_sriov_vf_offset_ari_cs2),
   .ctop_core8_pf2_sriov_vf_offset_position_nonari                           (ctop_core8_pf2_sriov_vf_offset_position_nonari),
   .ctop_core8_pf2_sriov_vf_stride_nonari                                    (ctop_core8_pf2_sriov_vf_stride_nonari),
   .ctop_core8_pf2_subclass_code                                             (ctop_core8_pf2_subclass_code),
   .ctop_core8_pf2_subsys_dev_id                                             (ctop_core8_pf2_subsys_dev_id),
   .ctop_core8_pf2_subsys_vendor_id                                          (ctop_core8_pf2_subsys_vendor_id),
   .ctop_core8_pf2_tph_req_cap_int_vec                                       (ctop_core8_pf2_tph_req_cap_int_vec),
   .ctop_core8_pf2_tph_req_cap_int_vec_vfcomm_cs2                            (ctop_core8_pf2_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core8_pf2_tph_req_cap_st_table_loc_0_vfcomm_cs2                     (ctop_core8_pf2_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core8_pf2_tph_req_cap_st_table_loc_1                                (ctop_core8_pf2_tph_req_cap_st_table_loc_1),
   .ctop_core8_pf2_tph_req_cap_st_table_loc_1_vfcomm_cs2                     (ctop_core8_pf2_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core8_pf2_tph_req_cap_st_table_size                                 (ctop_core8_pf2_tph_req_cap_st_table_size),
   .ctop_core8_pf2_tph_req_cap_st_table_size_vfcomm_cs2                      (ctop_core8_pf2_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core8_pf2_tph_req_device_spec                                       (ctop_core8_pf2_tph_req_device_spec),
   .ctop_core8_pf2_tph_req_device_spec_vfcomm_cs2                            (ctop_core8_pf2_tph_req_device_spec_vfcomm_cs2),
   .ctop_core8_pf2_prs_outstanding_capacity				     (ctop_core8_pf2_prs_outstanding_capacity),
   .ctop_core8_pf3_acs_cap_acs_at_block                                      (ctop_core8_pf3_acs_cap_acs_at_block),
   .ctop_core8_pf3_acs_cap_acs_direct_translated_p2p                         (ctop_core8_pf3_acs_cap_acs_direct_translated_p2p),
   .ctop_core8_pf3_acs_cap_acs_egress_ctrl_size                              (ctop_core8_pf3_acs_cap_acs_egress_ctrl_size),
   .ctop_core8_pf3_acs_cap_acs_p2p_cpl_redirect                              (ctop_core8_pf3_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core8_pf3_acs_cap_acs_p2p_egress_control                            (ctop_core8_pf3_acs_cap_acs_p2p_egress_control),
   .ctop_core8_pf3_acs_cap_acs_p2p_req_redirect                              (ctop_core8_pf3_acs_cap_acs_p2p_req_redirect),
   .ctop_core8_pf3_acs_cap_acs_src_valid                                     (ctop_core8_pf3_acs_cap_acs_src_valid),
   .ctop_core8_pf3_acs_cap_acs_usp_forwarding                                (ctop_core8_pf3_acs_cap_acs_usp_forwarding),
   .ctop_core8_pf3_bar0_prefetch                                             (ctop_core8_pf3_bar0_prefetch),
   .ctop_core8_pf3_bar0_type                                                 (ctop_core8_pf3_bar0_type),
   .ctop_core8_pf3_bar1_prefetch                                             (ctop_core8_pf3_bar1_prefetch),
   .ctop_core8_pf3_bar2_prefetch                                             (ctop_core8_pf3_bar2_prefetch),
   .ctop_core8_pf3_bar2_type                                                 (ctop_core8_pf3_bar2_type),
   .ctop_core8_pf3_bar3_prefetch                                             (ctop_core8_pf3_bar3_prefetch),
   .ctop_core8_pf3_bar4_prefetch                                             (ctop_core8_pf3_bar4_prefetch),
   .ctop_core8_pf3_bar4_type                                                 (ctop_core8_pf3_bar4_type),
   .ctop_core8_pf3_bar5_prefetch                                             (ctop_core8_pf3_bar5_prefetch),
   .ctop_core8_pf3_base_class_code                                           (ctop_core8_pf3_base_class_code),
   .ctop_core8_pf3_int_pin                                                   (ctop_core8_pf3_int_pin),
   .ctop_core8_pf3_pasid_cap_execute_permission_supported                    (ctop_core8_pf3_pasid_cap_execute_permission_supported),
   .ctop_core8_pf3_pasid_cap_max_pasid_width                                 (ctop_core8_pf3_pasid_cap_max_pasid_width),
   .ctop_core8_pf3_pasid_cap_privileged_mode_supported                       (ctop_core8_pf3_pasid_cap_privileged_mode_supported),
   .ctop_core8_pf3_pci_msi_64_bit_addr_cap                                   (ctop_core8_pf3_pci_msi_64_bit_addr_cap),
   .ctop_core8_pf3_pci_msi_ext_data_cap                                      (ctop_core8_pf3_pci_msi_ext_data_cap),
   .ctop_core8_pf3_pci_msi_multiple_msg_cap                                  (ctop_core8_pf3_pci_msi_multiple_msg_cap),
   .ctop_core8_pf3_pci_msix_bir                                              (ctop_core8_pf3_pci_msix_bir),
   .ctop_core8_pf3_pci_msix_pba                                              (ctop_core8_pf3_pci_msix_pba),
   .ctop_core8_pf3_pci_msix_pba_offset                                       (ctop_core8_pf3_pci_msix_pba_offset),
   .ctop_core8_pf3_pci_msix_table_offset                                     (ctop_core8_pf3_pci_msix_table_offset),
   .ctop_core8_pf3_pci_msix_table_size                                       (ctop_core8_pf3_pci_msix_table_size),
   .ctop_core8_pf3_pci_msix_table_size_vfcomm_cs2                            (ctop_core8_pf3_pci_msix_table_size_vfcomm_cs2),
   .ctop_core8_pf3_pci_type0_bar0_enabled                                    (ctop_core8_pf3_pci_type0_bar0_enabled),
   .ctop_core8_pf3_pci_type0_bar1_enabled                                    (ctop_core8_pf3_pci_type0_bar1_enabled),
   .ctop_core8_pf3_pci_type0_bar2_enabled                                    (ctop_core8_pf3_pci_type0_bar2_enabled),
   .ctop_core8_pf3_pci_type0_bar3_enabled                                    (ctop_core8_pf3_pci_type0_bar3_enabled),
   .ctop_core8_pf3_pci_type0_bar4_enabled                                    (ctop_core8_pf3_pci_type0_bar4_enabled),
   .ctop_core8_pf3_pci_type0_bar5_enabled                                    (ctop_core8_pf3_pci_type0_bar5_enabled),
   .ctop_core8_pf3_pci_type0_device_id                                       (ctop_core8_pf3_pci_type0_device_id),
   .ctop_core8_pf3_pci_type0_vendor_id                                       (ctop_core8_pf3_pci_type0_vendor_id),
   .ctop_core8_pf3_pcie_cap_ep_l0s_accpt_latency                             (ctop_core8_pf3_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core8_pf3_pcie_cap_ep_l1_accpt_latency                              (ctop_core8_pf3_pcie_cap_ep_l1_accpt_latency),
   .ctop_core8_pf3_pcie_cap_ext_tag_supp                                     (ctop_core8_pf3_pcie_cap_ext_tag_supp),
   .ctop_core8_pf3_pcie_cap_flr_cap                                          (ctop_core8_pf3_pcie_cap_flr_cap),
   .ctop_core8_pf3_pcie_cap_slot_clk_config                                  (ctop_core8_pf3_pcie_cap_slot_clk_config),
   .ctop_core8_pf3_pme_support                                               (ctop_core8_pf3_pme_support),
   .ctop_core8_pf3_program_interface                                         (ctop_core8_pf3_program_interface),
   .ctop_core8_pf3_revision_id                                               (ctop_core8_pf3_revision_id),
   .ctop_core8_pf3_rom_bar_enabled                                           (ctop_core8_pf3_rom_bar_enabled),
   .ctop_core8_pf3_shadow_sriov_vf_stride_ari_cs2                            (ctop_core8_pf3_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core8_pf3_sriov_sup_page_size                                       (ctop_core8_pf3_sriov_sup_page_size),
   .ctop_core8_pf3_sriov_vf_bar0_prefetch                                    (ctop_core8_pf3_sriov_vf_bar0_prefetch),
   .ctop_core8_pf3_sriov_vf_bar0_type                                        (ctop_core8_pf3_sriov_vf_bar0_type),
   .ctop_core8_pf3_sriov_vf_bar1_prefetch                                    (ctop_core8_pf3_sriov_vf_bar1_prefetch),
   .ctop_core8_pf3_sriov_vf_bar2_prefetch                                    (ctop_core8_pf3_sriov_vf_bar2_prefetch),
   .ctop_core8_pf3_sriov_vf_bar2_type                                        (ctop_core8_pf3_sriov_vf_bar2_type),
   .ctop_core8_pf3_sriov_vf_bar3_prefetch                                    (ctop_core8_pf3_sriov_vf_bar3_prefetch),
   .ctop_core8_pf3_sriov_vf_bar4_prefetch                                    (ctop_core8_pf3_sriov_vf_bar4_prefetch),
   .ctop_core8_pf3_sriov_vf_bar4_type                                        (ctop_core8_pf3_sriov_vf_bar4_type),
   .ctop_core8_pf3_sriov_vf_bar5_prefetch                                    (ctop_core8_pf3_sriov_vf_bar5_prefetch),
   .ctop_core8_pf3_sriov_vf_device_id                                        (ctop_core8_pf3_sriov_vf_device_id),
   .ctop_core8_pf3_sriov_vf_offset_ari_cs2                                   (ctop_core8_pf3_sriov_vf_offset_ari_cs2),
   .ctop_core8_pf3_sriov_vf_offset_position_nonari                           (ctop_core8_pf3_sriov_vf_offset_position_nonari),
   .ctop_core8_pf3_sriov_vf_stride_nonari                                    (ctop_core8_pf3_sriov_vf_stride_nonari),
   .ctop_core8_pf3_subclass_code                                             (ctop_core8_pf3_subclass_code),
   .ctop_core8_pf3_subsys_dev_id                                             (ctop_core8_pf3_subsys_dev_id),
   .ctop_core8_pf3_subsys_vendor_id                                          (ctop_core8_pf3_subsys_vendor_id),
   .ctop_core8_pf3_tph_req_cap_int_vec                                       (ctop_core8_pf3_tph_req_cap_int_vec),
   .ctop_core8_pf3_tph_req_cap_int_vec_vfcomm_cs2                            (ctop_core8_pf3_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core8_pf3_tph_req_cap_st_table_loc_0_vfcomm_cs2                     (ctop_core8_pf3_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core8_pf3_tph_req_cap_st_table_loc_1                                (ctop_core8_pf3_tph_req_cap_st_table_loc_1),
   .ctop_core8_pf3_tph_req_cap_st_table_loc_1_vfcomm_cs2                     (ctop_core8_pf3_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core8_pf3_tph_req_cap_st_table_size                                 (ctop_core8_pf3_tph_req_cap_st_table_size),
   .ctop_core8_pf3_tph_req_cap_st_table_size_vfcomm_cs2                      (ctop_core8_pf3_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core8_pf3_tph_req_device_spec                                       (ctop_core8_pf3_tph_req_device_spec),
   .ctop_core8_pf3_tph_req_device_spec_vfcomm_cs2                            (ctop_core8_pf3_tph_req_device_spec_vfcomm_cs2),
   .ctop_core8_pf3_prs_outstanding_capacity				     (ctop_core8_pf3_prs_outstanding_capacity),
   .ctop_core8_pf4_acs_cap_acs_at_block                                      (ctop_core8_pf4_acs_cap_acs_at_block),
   .ctop_core8_pf4_acs_cap_acs_direct_translated_p2p                         (ctop_core8_pf4_acs_cap_acs_direct_translated_p2p),
   .ctop_core8_pf4_acs_cap_acs_egress_ctrl_size                              (ctop_core8_pf4_acs_cap_acs_egress_ctrl_size),
   .ctop_core8_pf4_acs_cap_acs_p2p_cpl_redirect                              (ctop_core8_pf4_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core8_pf4_acs_cap_acs_p2p_egress_control                            (ctop_core8_pf4_acs_cap_acs_p2p_egress_control),
   .ctop_core8_pf4_acs_cap_acs_p2p_req_redirect                              (ctop_core8_pf4_acs_cap_acs_p2p_req_redirect),
   .ctop_core8_pf4_acs_cap_acs_src_valid                                     (ctop_core8_pf4_acs_cap_acs_src_valid),
   .ctop_core8_pf4_acs_cap_acs_usp_forwarding                                (ctop_core8_pf4_acs_cap_acs_usp_forwarding),
   .ctop_core8_pf4_bar0_prefetch                                             (ctop_core8_pf4_bar0_prefetch),
   .ctop_core8_pf4_bar0_type                                                 (ctop_core8_pf4_bar0_type),
   .ctop_core8_pf4_bar1_prefetch                                             (ctop_core8_pf4_bar1_prefetch),
   .ctop_core8_pf4_bar2_prefetch                                             (ctop_core8_pf4_bar2_prefetch),
   .ctop_core8_pf4_bar2_type                                                 (ctop_core8_pf4_bar2_type),
   .ctop_core8_pf4_bar3_prefetch                                             (ctop_core8_pf4_bar3_prefetch),
   .ctop_core8_pf4_bar4_prefetch                                             (ctop_core8_pf4_bar4_prefetch),
   .ctop_core8_pf4_bar4_type                                                 (ctop_core8_pf4_bar4_type),
   .ctop_core8_pf4_bar5_prefetch                                             (ctop_core8_pf4_bar5_prefetch),
   .ctop_core8_pf4_base_class_code                                           (ctop_core8_pf4_base_class_code),
   .ctop_core8_pf4_int_pin                                                   (ctop_core8_pf4_int_pin),
   .ctop_core8_pf4_pasid_cap_execute_permission_supported                    (ctop_core8_pf4_pasid_cap_execute_permission_supported),
   .ctop_core8_pf4_pasid_cap_max_pasid_width                                 (ctop_core8_pf4_pasid_cap_max_pasid_width),
   .ctop_core8_pf4_pasid_cap_privileged_mode_supported                       (ctop_core8_pf4_pasid_cap_privileged_mode_supported),
   .ctop_core8_pf4_pci_msi_64_bit_addr_cap                                   (ctop_core8_pf4_pci_msi_64_bit_addr_cap),
   .ctop_core8_pf4_pci_msi_ext_data_cap                                      (ctop_core8_pf4_pci_msi_ext_data_cap),
   .ctop_core8_pf4_pci_msi_multiple_msg_cap                                  (ctop_core8_pf4_pci_msi_multiple_msg_cap),
   .ctop_core8_pf4_pci_msix_bir                                              (ctop_core8_pf4_pci_msix_bir),
   .ctop_core8_pf4_pci_msix_pba                                              (ctop_core8_pf4_pci_msix_pba),
   .ctop_core8_pf4_pci_msix_pba_offset                                       (ctop_core8_pf4_pci_msix_pba_offset),
   .ctop_core8_pf4_pci_msix_table_offset                                     (ctop_core8_pf4_pci_msix_table_offset),
   .ctop_core8_pf4_pci_msix_table_size                                       (ctop_core8_pf4_pci_msix_table_size),
   .ctop_core8_pf4_pci_msix_table_size_vfcomm_cs2                            (ctop_core8_pf4_pci_msix_table_size_vfcomm_cs2),
   .ctop_core8_pf4_pci_type0_bar0_enabled                                    (ctop_core8_pf4_pci_type0_bar0_enabled),
   .ctop_core8_pf4_pci_type0_bar1_enabled                                    (ctop_core8_pf4_pci_type0_bar1_enabled),
   .ctop_core8_pf4_pci_type0_bar2_enabled                                    (ctop_core8_pf4_pci_type0_bar2_enabled),
   .ctop_core8_pf4_pci_type0_bar3_enabled                                    (ctop_core8_pf4_pci_type0_bar3_enabled),
   .ctop_core8_pf4_pci_type0_bar4_enabled                                    (ctop_core8_pf4_pci_type0_bar4_enabled),
   .ctop_core8_pf4_pci_type0_bar5_enabled                                    (ctop_core8_pf4_pci_type0_bar5_enabled),
   .ctop_core8_pf4_pci_type0_device_id                                       (ctop_core8_pf4_pci_type0_device_id),
   .ctop_core8_pf4_pci_type0_vendor_id                                       (ctop_core8_pf4_pci_type0_vendor_id),
   .ctop_core8_pf4_pcie_cap_ep_l0s_accpt_latency                             (ctop_core8_pf4_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core8_pf4_pcie_cap_ep_l1_accpt_latency                              (ctop_core8_pf4_pcie_cap_ep_l1_accpt_latency),
   .ctop_core8_pf4_pcie_cap_ext_tag_supp                                     (ctop_core8_pf4_pcie_cap_ext_tag_supp),
   .ctop_core8_pf4_pcie_cap_flr_cap                                          (ctop_core8_pf4_pcie_cap_flr_cap),
   .ctop_core8_pf4_pcie_cap_slot_clk_config                                  (ctop_core8_pf4_pcie_cap_slot_clk_config),
   .ctop_core8_pf4_pme_support                                               (ctop_core8_pf4_pme_support),
   .ctop_core8_pf4_program_interface                                         (ctop_core8_pf4_program_interface),
   .ctop_core8_pf4_revision_id                                               (ctop_core8_pf4_revision_id),
   .ctop_core8_pf4_rom_bar_enabled                                           (ctop_core8_pf4_rom_bar_enabled),
   .ctop_core8_pf4_shadow_sriov_vf_stride_ari_cs2                            (ctop_core8_pf4_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core8_pf4_sriov_sup_page_size                                       (ctop_core8_pf4_sriov_sup_page_size),
   .ctop_core8_pf4_sriov_vf_bar0_prefetch                                    (ctop_core8_pf4_sriov_vf_bar0_prefetch),
   .ctop_core8_pf4_sriov_vf_bar0_type                                        (ctop_core8_pf4_sriov_vf_bar0_type),
   .ctop_core8_pf4_sriov_vf_bar1_prefetch                                    (ctop_core8_pf4_sriov_vf_bar1_prefetch),
   .ctop_core8_pf4_sriov_vf_bar2_prefetch                                    (ctop_core8_pf4_sriov_vf_bar2_prefetch),
   .ctop_core8_pf4_sriov_vf_bar2_type                                        (ctop_core8_pf4_sriov_vf_bar2_type),
   .ctop_core8_pf4_sriov_vf_bar3_prefetch                                    (ctop_core8_pf4_sriov_vf_bar3_prefetch),
   .ctop_core8_pf4_sriov_vf_bar4_prefetch                                    (ctop_core8_pf4_sriov_vf_bar4_prefetch),
   .ctop_core8_pf4_sriov_vf_bar4_type                                        (ctop_core8_pf4_sriov_vf_bar4_type),
   .ctop_core8_pf4_sriov_vf_bar5_prefetch                                    (ctop_core8_pf4_sriov_vf_bar5_prefetch),
   .ctop_core8_pf4_sriov_vf_device_id                                        (ctop_core8_pf4_sriov_vf_device_id),
   .ctop_core8_pf4_sriov_vf_offset_ari_cs2                                   (ctop_core8_pf4_sriov_vf_offset_ari_cs2),
   .ctop_core8_pf4_sriov_vf_offset_position_nonari                           (ctop_core8_pf4_sriov_vf_offset_position_nonari),
   .ctop_core8_pf4_sriov_vf_stride_nonari                                    (ctop_core8_pf4_sriov_vf_stride_nonari),
   .ctop_core8_pf4_subclass_code                                             (ctop_core8_pf4_subclass_code),
   .ctop_core8_pf4_subsys_dev_id                                             (ctop_core8_pf4_subsys_dev_id),
   .ctop_core8_pf4_subsys_vendor_id                                          (ctop_core8_pf4_subsys_vendor_id),
   .ctop_core8_pf4_tph_req_cap_int_vec                                       (ctop_core8_pf4_tph_req_cap_int_vec),
   .ctop_core8_pf4_tph_req_cap_int_vec_vfcomm_cs2                            (ctop_core8_pf4_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core8_pf4_tph_req_cap_st_table_loc_0_vfcomm_cs2                     (ctop_core8_pf4_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core8_pf4_tph_req_cap_st_table_loc_1                                (ctop_core8_pf4_tph_req_cap_st_table_loc_1),
   .ctop_core8_pf4_tph_req_cap_st_table_loc_1_vfcomm_cs2                     (ctop_core8_pf4_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core8_pf4_tph_req_cap_st_table_size                                 (ctop_core8_pf4_tph_req_cap_st_table_size),
   .ctop_core8_pf4_tph_req_cap_st_table_size_vfcomm_cs2                      (ctop_core8_pf4_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core8_pf4_tph_req_device_spec                                       (ctop_core8_pf4_tph_req_device_spec),
   .ctop_core8_pf4_tph_req_device_spec_vfcomm_cs2                            (ctop_core8_pf4_tph_req_device_spec_vfcomm_cs2),
   .ctop_core8_pf4_prs_outstanding_capacity				     (ctop_core8_pf4_prs_outstanding_capacity),
   .ctop_core8_pf5_acs_cap_acs_at_block                                      (ctop_core8_pf5_acs_cap_acs_at_block),
   .ctop_core8_pf5_acs_cap_acs_direct_translated_p2p                         (ctop_core8_pf5_acs_cap_acs_direct_translated_p2p),
   .ctop_core8_pf5_acs_cap_acs_egress_ctrl_size                              (ctop_core8_pf5_acs_cap_acs_egress_ctrl_size),
   .ctop_core8_pf5_acs_cap_acs_p2p_cpl_redirect                              (ctop_core8_pf5_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core8_pf5_acs_cap_acs_p2p_egress_control                            (ctop_core8_pf5_acs_cap_acs_p2p_egress_control),
   .ctop_core8_pf5_acs_cap_acs_p2p_req_redirect                              (ctop_core8_pf5_acs_cap_acs_p2p_req_redirect),
   .ctop_core8_pf5_acs_cap_acs_src_valid                                     (ctop_core8_pf5_acs_cap_acs_src_valid),
   .ctop_core8_pf5_acs_cap_acs_usp_forwarding                                (ctop_core8_pf5_acs_cap_acs_usp_forwarding),
   .ctop_core8_pf5_bar0_prefetch                                             (ctop_core8_pf5_bar0_prefetch),
   .ctop_core8_pf5_bar0_type                                                 (ctop_core8_pf5_bar0_type),
   .ctop_core8_pf5_bar1_prefetch                                             (ctop_core8_pf5_bar1_prefetch),
   .ctop_core8_pf5_bar2_prefetch                                             (ctop_core8_pf5_bar2_prefetch),
   .ctop_core8_pf5_bar2_type                                                 (ctop_core8_pf5_bar2_type),
   .ctop_core8_pf5_bar3_prefetch                                             (ctop_core8_pf5_bar3_prefetch),
   .ctop_core8_pf5_bar4_prefetch                                             (ctop_core8_pf5_bar4_prefetch),
   .ctop_core8_pf5_bar4_type                                                 (ctop_core8_pf5_bar4_type),
   .ctop_core8_pf5_bar5_prefetch                                             (ctop_core8_pf5_bar5_prefetch),
   .ctop_core8_pf5_base_class_code                                           (ctop_core8_pf5_base_class_code),
   .ctop_core8_pf5_int_pin                                                   (ctop_core8_pf5_int_pin),
   .ctop_core8_pf5_pasid_cap_execute_permission_supported                    (ctop_core8_pf5_pasid_cap_execute_permission_supported),
   .ctop_core8_pf5_pasid_cap_max_pasid_width                                 (ctop_core8_pf5_pasid_cap_max_pasid_width),
   .ctop_core8_pf5_pasid_cap_privileged_mode_supported                       (ctop_core8_pf5_pasid_cap_privileged_mode_supported),
   .ctop_core8_pf5_pci_msi_64_bit_addr_cap                                   (ctop_core8_pf5_pci_msi_64_bit_addr_cap),
   .ctop_core8_pf5_pci_msi_ext_data_cap                                      (ctop_core8_pf5_pci_msi_ext_data_cap),
   .ctop_core8_pf5_pci_msi_multiple_msg_cap                                  (ctop_core8_pf5_pci_msi_multiple_msg_cap),
   .ctop_core8_pf5_pci_msix_bir                                              (ctop_core8_pf5_pci_msix_bir),
   .ctop_core8_pf5_pci_msix_pba                                              (ctop_core8_pf5_pci_msix_pba),
   .ctop_core8_pf5_pci_msix_pba_offset                                       (ctop_core8_pf5_pci_msix_pba_offset),
   .ctop_core8_pf5_pci_msix_table_offset                                     (ctop_core8_pf5_pci_msix_table_offset),
   .ctop_core8_pf5_pci_msix_table_size                                       (ctop_core8_pf5_pci_msix_table_size),
   .ctop_core8_pf5_pci_msix_table_size_vfcomm_cs2                            (ctop_core8_pf5_pci_msix_table_size_vfcomm_cs2),
   .ctop_core8_pf5_pci_type0_bar0_enabled                                    (ctop_core8_pf5_pci_type0_bar0_enabled),
   .ctop_core8_pf5_pci_type0_bar1_enabled                                    (ctop_core8_pf5_pci_type0_bar1_enabled),
   .ctop_core8_pf5_pci_type0_bar2_enabled                                    (ctop_core8_pf5_pci_type0_bar2_enabled),
   .ctop_core8_pf5_pci_type0_bar3_enabled                                    (ctop_core8_pf5_pci_type0_bar3_enabled),
   .ctop_core8_pf5_pci_type0_bar4_enabled                                    (ctop_core8_pf5_pci_type0_bar4_enabled),
   .ctop_core8_pf5_pci_type0_bar5_enabled                                    (ctop_core8_pf5_pci_type0_bar5_enabled),
   .ctop_core8_pf5_pci_type0_device_id                                       (ctop_core8_pf5_pci_type0_device_id),
   .ctop_core8_pf5_pci_type0_vendor_id                                       (ctop_core8_pf5_pci_type0_vendor_id),
   .ctop_core8_pf5_pcie_cap_ep_l0s_accpt_latency                             (ctop_core8_pf5_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core8_pf5_pcie_cap_ep_l1_accpt_latency                              (ctop_core8_pf5_pcie_cap_ep_l1_accpt_latency),
   .ctop_core8_pf5_pcie_cap_ext_tag_supp                                     (ctop_core8_pf5_pcie_cap_ext_tag_supp),
   .ctop_core8_pf5_pcie_cap_flr_cap                                          (ctop_core8_pf5_pcie_cap_flr_cap),
   .ctop_core8_pf5_pcie_cap_slot_clk_config                                  (ctop_core8_pf5_pcie_cap_slot_clk_config),
   .ctop_core8_pf5_pme_support                                               (ctop_core8_pf5_pme_support),
   .ctop_core8_pf5_program_interface                                         (ctop_core8_pf5_program_interface),
   .ctop_core8_pf5_revision_id                                               (ctop_core8_pf5_revision_id),
   .ctop_core8_pf5_rom_bar_enabled                                           (ctop_core8_pf5_rom_bar_enabled),
   .ctop_core8_pf5_shadow_sriov_vf_stride_ari_cs2                            (ctop_core8_pf5_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core8_pf5_sriov_sup_page_size                                       (ctop_core8_pf5_sriov_sup_page_size),
   .ctop_core8_pf5_sriov_vf_bar0_prefetch                                    (ctop_core8_pf5_sriov_vf_bar0_prefetch),
   .ctop_core8_pf5_sriov_vf_bar0_type                                        (ctop_core8_pf5_sriov_vf_bar0_type),
   .ctop_core8_pf5_sriov_vf_bar1_prefetch                                    (ctop_core8_pf5_sriov_vf_bar1_prefetch),
   .ctop_core8_pf5_sriov_vf_bar2_prefetch                                    (ctop_core8_pf5_sriov_vf_bar2_prefetch),
   .ctop_core8_pf5_sriov_vf_bar2_type                                        (ctop_core8_pf5_sriov_vf_bar2_type),
   .ctop_core8_pf5_sriov_vf_bar3_prefetch                                    (ctop_core8_pf5_sriov_vf_bar3_prefetch),
   .ctop_core8_pf5_sriov_vf_bar4_prefetch                                    (ctop_core8_pf5_sriov_vf_bar4_prefetch),
   .ctop_core8_pf5_sriov_vf_bar4_type                                        (ctop_core8_pf5_sriov_vf_bar4_type),
   .ctop_core8_pf5_sriov_vf_bar5_prefetch                                    (ctop_core8_pf5_sriov_vf_bar5_prefetch),
   .ctop_core8_pf5_sriov_vf_device_id                                        (ctop_core8_pf5_sriov_vf_device_id),
   .ctop_core8_pf5_sriov_vf_offset_ari_cs2                                   (ctop_core8_pf5_sriov_vf_offset_ari_cs2),
   .ctop_core8_pf5_sriov_vf_offset_position_nonari                           (ctop_core8_pf5_sriov_vf_offset_position_nonari),
   .ctop_core8_pf5_sriov_vf_stride_nonari                                    (ctop_core8_pf5_sriov_vf_stride_nonari),
   .ctop_core8_pf5_subclass_code                                             (ctop_core8_pf5_subclass_code),
   .ctop_core8_pf5_subsys_dev_id                                             (ctop_core8_pf5_subsys_dev_id),
   .ctop_core8_pf5_subsys_vendor_id                                          (ctop_core8_pf5_subsys_vendor_id),
   .ctop_core8_pf5_tph_req_cap_int_vec                                       (ctop_core8_pf5_tph_req_cap_int_vec),
   .ctop_core8_pf5_tph_req_cap_int_vec_vfcomm_cs2                            (ctop_core8_pf5_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core8_pf5_tph_req_cap_st_table_loc_0_vfcomm_cs2                     (ctop_core8_pf5_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core8_pf5_tph_req_cap_st_table_loc_1                                (ctop_core8_pf5_tph_req_cap_st_table_loc_1),
   .ctop_core8_pf5_tph_req_cap_st_table_loc_1_vfcomm_cs2                     (ctop_core8_pf5_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core8_pf5_tph_req_cap_st_table_size                                 (ctop_core8_pf5_tph_req_cap_st_table_size),
   .ctop_core8_pf5_tph_req_cap_st_table_size_vfcomm_cs2                      (ctop_core8_pf5_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core8_pf5_tph_req_device_spec                                       (ctop_core8_pf5_tph_req_device_spec),
   .ctop_core8_pf5_tph_req_device_spec_vfcomm_cs2                            (ctop_core8_pf5_tph_req_device_spec_vfcomm_cs2),
   .ctop_core8_pf5_prs_outstanding_capacity				     (ctop_core8_pf5_prs_outstanding_capacity),
   .ctop_core8_pf6_acs_cap_acs_at_block                                      (ctop_core8_pf6_acs_cap_acs_at_block),
   .ctop_core8_pf6_acs_cap_acs_direct_translated_p2p                         (ctop_core8_pf6_acs_cap_acs_direct_translated_p2p),
   .ctop_core8_pf6_acs_cap_acs_egress_ctrl_size                              (ctop_core8_pf6_acs_cap_acs_egress_ctrl_size),
   .ctop_core8_pf6_acs_cap_acs_p2p_cpl_redirect                              (ctop_core8_pf6_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core8_pf6_acs_cap_acs_p2p_egress_control                            (ctop_core8_pf6_acs_cap_acs_p2p_egress_control),
   .ctop_core8_pf6_acs_cap_acs_p2p_req_redirect                              (ctop_core8_pf6_acs_cap_acs_p2p_req_redirect),
   .ctop_core8_pf6_acs_cap_acs_src_valid                                     (ctop_core8_pf6_acs_cap_acs_src_valid),
   .ctop_core8_pf6_acs_cap_acs_usp_forwarding                                (ctop_core8_pf6_acs_cap_acs_usp_forwarding),
   .ctop_core8_pf6_bar0_prefetch                                             (ctop_core8_pf6_bar0_prefetch),
   .ctop_core8_pf6_bar0_type                                                 (ctop_core8_pf6_bar0_type),
   .ctop_core8_pf6_bar1_prefetch                                             (ctop_core8_pf6_bar1_prefetch),
   .ctop_core8_pf6_bar2_prefetch                                             (ctop_core8_pf6_bar2_prefetch),
   .ctop_core8_pf6_bar2_type                                                 (ctop_core8_pf6_bar2_type),
   .ctop_core8_pf6_bar3_prefetch                                             (ctop_core8_pf6_bar3_prefetch),
   .ctop_core8_pf6_bar4_prefetch                                             (ctop_core8_pf6_bar4_prefetch),
   .ctop_core8_pf6_bar4_type                                                 (ctop_core8_pf6_bar4_type),
   .ctop_core8_pf6_bar5_prefetch                                             (ctop_core8_pf6_bar5_prefetch),
   .ctop_core8_pf6_base_class_code                                           (ctop_core8_pf6_base_class_code),
   .ctop_core8_pf6_int_pin                                                   (ctop_core8_pf6_int_pin),
   .ctop_core8_pf6_pasid_cap_execute_permission_supported                    (ctop_core8_pf6_pasid_cap_execute_permission_supported),
   .ctop_core8_pf6_pasid_cap_max_pasid_width                                 (ctop_core8_pf6_pasid_cap_max_pasid_width),
   .ctop_core8_pf6_pasid_cap_privileged_mode_supported                       (ctop_core8_pf6_pasid_cap_privileged_mode_supported),
   .ctop_core8_pf6_pci_msi_64_bit_addr_cap                                   (ctop_core8_pf6_pci_msi_64_bit_addr_cap),
   .ctop_core8_pf6_pci_msi_ext_data_cap                                      (ctop_core8_pf6_pci_msi_ext_data_cap),
   .ctop_core8_pf6_pci_msi_multiple_msg_cap                                  (ctop_core8_pf6_pci_msi_multiple_msg_cap),
   .ctop_core8_pf6_pci_msix_bir                                              (ctop_core8_pf6_pci_msix_bir),
   .ctop_core8_pf6_pci_msix_pba                                              (ctop_core8_pf6_pci_msix_pba),
   .ctop_core8_pf6_pci_msix_pba_offset                                       (ctop_core8_pf6_pci_msix_pba_offset),
   .ctop_core8_pf6_pci_msix_table_offset                                     (ctop_core8_pf6_pci_msix_table_offset),
   .ctop_core8_pf6_pci_msix_table_size                                       (ctop_core8_pf6_pci_msix_table_size),
   .ctop_core8_pf6_pci_msix_table_size_vfcomm_cs2                            (ctop_core8_pf6_pci_msix_table_size_vfcomm_cs2),
   .ctop_core8_pf6_pci_type0_bar0_enabled                                    (ctop_core8_pf6_pci_type0_bar0_enabled),
   .ctop_core8_pf6_pci_type0_bar1_enabled                                    (ctop_core8_pf6_pci_type0_bar1_enabled),
   .ctop_core8_pf6_pci_type0_bar2_enabled                                    (ctop_core8_pf6_pci_type0_bar2_enabled),
   .ctop_core8_pf6_pci_type0_bar3_enabled                                    (ctop_core8_pf6_pci_type0_bar3_enabled),
   .ctop_core8_pf6_pci_type0_bar4_enabled                                    (ctop_core8_pf6_pci_type0_bar4_enabled),
   .ctop_core8_pf6_pci_type0_bar5_enabled                                    (ctop_core8_pf6_pci_type0_bar5_enabled),
   .ctop_core8_pf6_pci_type0_device_id                                       (ctop_core8_pf6_pci_type0_device_id),
   .ctop_core8_pf6_pci_type0_vendor_id                                       (ctop_core8_pf6_pci_type0_vendor_id),
   .ctop_core8_pf6_pcie_cap_ep_l0s_accpt_latency                             (ctop_core8_pf6_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core8_pf6_pcie_cap_ep_l1_accpt_latency                              (ctop_core8_pf6_pcie_cap_ep_l1_accpt_latency),
   .ctop_core8_pf6_pcie_cap_ext_tag_supp                                     (ctop_core8_pf6_pcie_cap_ext_tag_supp),
   .ctop_core8_pf6_pcie_cap_flr_cap                                          (ctop_core8_pf6_pcie_cap_flr_cap),
   .ctop_core8_pf6_pcie_cap_slot_clk_config                                  (ctop_core8_pf6_pcie_cap_slot_clk_config),
   .ctop_core8_pf6_pme_support                                               (ctop_core8_pf6_pme_support),
   .ctop_core8_pf6_program_interface                                         (ctop_core8_pf6_program_interface),
   .ctop_core8_pf6_revision_id                                               (ctop_core8_pf6_revision_id),
   .ctop_core8_pf6_rom_bar_enabled                                           (ctop_core8_pf6_rom_bar_enabled),
   .ctop_core8_pf6_shadow_sriov_vf_stride_ari_cs2                            (ctop_core8_pf6_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core8_pf6_sriov_sup_page_size                                       (ctop_core8_pf6_sriov_sup_page_size),
   .ctop_core8_pf6_sriov_vf_bar0_prefetch                                    (ctop_core8_pf6_sriov_vf_bar0_prefetch),
   .ctop_core8_pf6_sriov_vf_bar0_type                                        (ctop_core8_pf6_sriov_vf_bar0_type),
   .ctop_core8_pf6_sriov_vf_bar1_prefetch                                    (ctop_core8_pf6_sriov_vf_bar1_prefetch),
   .ctop_core8_pf6_sriov_vf_bar2_prefetch                                    (ctop_core8_pf6_sriov_vf_bar2_prefetch),
   .ctop_core8_pf6_sriov_vf_bar2_type                                        (ctop_core8_pf6_sriov_vf_bar2_type),
   .ctop_core8_pf6_sriov_vf_bar3_prefetch                                    (ctop_core8_pf6_sriov_vf_bar3_prefetch),
   .ctop_core8_pf6_sriov_vf_bar4_prefetch                                    (ctop_core8_pf6_sriov_vf_bar4_prefetch),
   .ctop_core8_pf6_sriov_vf_bar4_type                                        (ctop_core8_pf6_sriov_vf_bar4_type),
   .ctop_core8_pf6_sriov_vf_bar5_prefetch                                    (ctop_core8_pf6_sriov_vf_bar5_prefetch),
   .ctop_core8_pf6_sriov_vf_device_id                                        (ctop_core8_pf6_sriov_vf_device_id),
   .ctop_core8_pf6_sriov_vf_offset_ari_cs2                                   (ctop_core8_pf6_sriov_vf_offset_ari_cs2),
   .ctop_core8_pf6_sriov_vf_offset_position_nonari                           (ctop_core8_pf6_sriov_vf_offset_position_nonari),
   .ctop_core8_pf6_sriov_vf_stride_nonari                                    (ctop_core8_pf6_sriov_vf_stride_nonari),
   .ctop_core8_pf6_subclass_code                                             (ctop_core8_pf6_subclass_code),
   .ctop_core8_pf6_subsys_dev_id                                             (ctop_core8_pf6_subsys_dev_id),
   .ctop_core8_pf6_subsys_vendor_id                                          (ctop_core8_pf6_subsys_vendor_id),
   .ctop_core8_pf6_tph_req_cap_int_vec                                       (ctop_core8_pf6_tph_req_cap_int_vec),
   .ctop_core8_pf6_tph_req_cap_int_vec_vfcomm_cs2                            (ctop_core8_pf6_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core8_pf6_tph_req_cap_st_table_loc_0_vfcomm_cs2                     (ctop_core8_pf6_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core8_pf6_tph_req_cap_st_table_loc_1                                (ctop_core8_pf6_tph_req_cap_st_table_loc_1),
   .ctop_core8_pf6_tph_req_cap_st_table_loc_1_vfcomm_cs2                     (ctop_core8_pf6_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core8_pf6_tph_req_cap_st_table_size                                 (ctop_core8_pf6_tph_req_cap_st_table_size),
   .ctop_core8_pf6_tph_req_cap_st_table_size_vfcomm_cs2                      (ctop_core8_pf6_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core8_pf6_tph_req_device_spec                                       (ctop_core8_pf6_tph_req_device_spec),
   .ctop_core8_pf6_tph_req_device_spec_vfcomm_cs2                            (ctop_core8_pf6_tph_req_device_spec_vfcomm_cs2),
   .ctop_core8_pf6_prs_outstanding_capacity				     (ctop_core8_pf6_prs_outstanding_capacity),
   .ctop_core8_pf7_acs_cap_acs_at_block                                      (ctop_core8_pf7_acs_cap_acs_at_block),
   .ctop_core8_pf7_acs_cap_acs_direct_translated_p2p                         (ctop_core8_pf7_acs_cap_acs_direct_translated_p2p),
   .ctop_core8_pf7_acs_cap_acs_egress_ctrl_size                              (ctop_core8_pf7_acs_cap_acs_egress_ctrl_size),
   .ctop_core8_pf7_acs_cap_acs_p2p_cpl_redirect                              (ctop_core8_pf7_acs_cap_acs_p2p_cpl_redirect),
   .ctop_core8_pf7_acs_cap_acs_p2p_egress_control                            (ctop_core8_pf7_acs_cap_acs_p2p_egress_control),
   .ctop_core8_pf7_acs_cap_acs_p2p_req_redirect                              (ctop_core8_pf7_acs_cap_acs_p2p_req_redirect),
   .ctop_core8_pf7_acs_cap_acs_src_valid                                     (ctop_core8_pf7_acs_cap_acs_src_valid),
   .ctop_core8_pf7_acs_cap_acs_usp_forwarding                                (ctop_core8_pf7_acs_cap_acs_usp_forwarding),
   .ctop_core8_pf7_bar0_prefetch                                             (ctop_core8_pf7_bar0_prefetch),
   .ctop_core8_pf7_bar0_type                                                 (ctop_core8_pf7_bar0_type),
   .ctop_core8_pf7_bar1_prefetch                                             (ctop_core8_pf7_bar1_prefetch),
   .ctop_core8_pf7_bar2_prefetch                                             (ctop_core8_pf7_bar2_prefetch),
   .ctop_core8_pf7_bar2_type                                                 (ctop_core8_pf7_bar2_type),
   .ctop_core8_pf7_bar3_prefetch                                             (ctop_core8_pf7_bar3_prefetch),
   .ctop_core8_pf7_bar4_prefetch                                             (ctop_core8_pf7_bar4_prefetch),
   .ctop_core8_pf7_bar4_type                                                 (ctop_core8_pf7_bar4_type),
   .ctop_core8_pf7_bar5_prefetch                                             (ctop_core8_pf7_bar5_prefetch),
   .ctop_core8_pf7_base_class_code                                           (ctop_core8_pf7_base_class_code),
   .ctop_core8_pf7_int_pin                                                   (ctop_core8_pf7_int_pin),
   .ctop_core8_pf7_pasid_cap_execute_permission_supported                    (ctop_core8_pf7_pasid_cap_execute_permission_supported),
   .ctop_core8_pf7_pasid_cap_max_pasid_width                                 (ctop_core8_pf7_pasid_cap_max_pasid_width),
   .ctop_core8_pf7_pasid_cap_privileged_mode_supported                       (ctop_core8_pf7_pasid_cap_privileged_mode_supported),
   .ctop_core8_pf7_pci_msi_64_bit_addr_cap                                   (ctop_core8_pf7_pci_msi_64_bit_addr_cap),
   .ctop_core8_pf7_pci_msi_ext_data_cap                                      (ctop_core8_pf7_pci_msi_ext_data_cap),
   .ctop_core8_pf7_pci_msi_multiple_msg_cap                                  (ctop_core8_pf7_pci_msi_multiple_msg_cap),
   .ctop_core8_pf7_pci_msix_bir                                              (ctop_core8_pf7_pci_msix_bir),
   .ctop_core8_pf7_pci_msix_pba                                              (ctop_core8_pf7_pci_msix_pba),
   .ctop_core8_pf7_pci_msix_pba_offset                                       (ctop_core8_pf7_pci_msix_pba_offset),
   .ctop_core8_pf7_pci_msix_table_offset                                     (ctop_core8_pf7_pci_msix_table_offset),
   .ctop_core8_pf7_pci_msix_table_size                                       (ctop_core8_pf7_pci_msix_table_size),
   .ctop_core8_pf7_pci_msix_table_size_vfcomm_cs2                            (ctop_core8_pf7_pci_msix_table_size_vfcomm_cs2),
   .ctop_core8_pf7_pci_type0_bar0_enabled                                    (ctop_core8_pf7_pci_type0_bar0_enabled),
   .ctop_core8_pf7_pci_type0_bar1_enabled                                    (ctop_core8_pf7_pci_type0_bar1_enabled),
   .ctop_core8_pf7_pci_type0_bar2_enabled                                    (ctop_core8_pf7_pci_type0_bar2_enabled),
   .ctop_core8_pf7_pci_type0_bar3_enabled                                    (ctop_core8_pf7_pci_type0_bar3_enabled),
   .ctop_core8_pf7_pci_type0_bar4_enabled                                    (ctop_core8_pf7_pci_type0_bar4_enabled),
   .ctop_core8_pf7_pci_type0_bar5_enabled                                    (ctop_core8_pf7_pci_type0_bar5_enabled),
   .ctop_core8_pf7_pci_type0_device_id                                       (ctop_core8_pf7_pci_type0_device_id),
   .ctop_core8_pf7_pci_type0_vendor_id                                       (ctop_core8_pf7_pci_type0_vendor_id),
   .ctop_core8_pf7_pcie_cap_ep_l0s_accpt_latency                             (ctop_core8_pf7_pcie_cap_ep_l0s_accpt_latency),
   .ctop_core8_pf7_pcie_cap_ep_l1_accpt_latency                              (ctop_core8_pf7_pcie_cap_ep_l1_accpt_latency),
   .ctop_core8_pf7_pcie_cap_ext_tag_supp                                     (ctop_core8_pf7_pcie_cap_ext_tag_supp),
   .ctop_core8_pf7_pcie_cap_flr_cap                                          (ctop_core8_pf7_pcie_cap_flr_cap),
   .ctop_core8_pf7_pcie_cap_slot_clk_config                                  (ctop_core8_pf7_pcie_cap_slot_clk_config),
   .ctop_core8_pf7_pme_support                                               (ctop_core8_pf7_pme_support),
   .ctop_core8_pf7_program_interface                                         (ctop_core8_pf7_program_interface),
   .ctop_core8_pf7_revision_id                                               (ctop_core8_pf7_revision_id),
   .ctop_core8_pf7_rom_bar_enabled                                           (ctop_core8_pf7_rom_bar_enabled),
   .ctop_core8_pf7_shadow_sriov_vf_stride_ari_cs2                            (ctop_core8_pf7_shadow_sriov_vf_stride_ari_cs2),
   .ctop_core8_pf7_sriov_sup_page_size                                       (ctop_core8_pf7_sriov_sup_page_size),
   .ctop_core8_pf7_sriov_vf_bar0_prefetch                                    (ctop_core8_pf7_sriov_vf_bar0_prefetch),
   .ctop_core8_pf7_sriov_vf_bar0_type                                        (ctop_core8_pf7_sriov_vf_bar0_type),
   .ctop_core8_pf7_sriov_vf_bar1_prefetch                                    (ctop_core8_pf7_sriov_vf_bar1_prefetch),
   .ctop_core8_pf7_sriov_vf_bar2_prefetch                                    (ctop_core8_pf7_sriov_vf_bar2_prefetch),
   .ctop_core8_pf7_sriov_vf_bar2_type                                        (ctop_core8_pf7_sriov_vf_bar2_type),
   .ctop_core8_pf7_sriov_vf_bar3_prefetch                                    (ctop_core8_pf7_sriov_vf_bar3_prefetch),
   .ctop_core8_pf7_sriov_vf_bar4_prefetch                                    (ctop_core8_pf7_sriov_vf_bar4_prefetch),
   .ctop_core8_pf7_sriov_vf_bar4_type                                        (ctop_core8_pf7_sriov_vf_bar4_type),
   .ctop_core8_pf7_sriov_vf_bar5_prefetch                                    (ctop_core8_pf7_sriov_vf_bar5_prefetch),
   .ctop_core8_pf7_sriov_vf_device_id                                        (ctop_core8_pf7_sriov_vf_device_id),
   .ctop_core8_pf7_sriov_vf_offset_ari_cs2                                   (ctop_core8_pf7_sriov_vf_offset_ari_cs2),
   .ctop_core8_pf7_sriov_vf_offset_position_nonari                           (ctop_core8_pf7_sriov_vf_offset_position_nonari),
   .ctop_core8_pf7_sriov_vf_stride_nonari                                    (ctop_core8_pf7_sriov_vf_stride_nonari),
   .ctop_core8_pf7_subclass_code                                             (ctop_core8_pf7_subclass_code),
   .ctop_core8_pf7_subsys_dev_id                                             (ctop_core8_pf7_subsys_dev_id),
   .ctop_core8_pf7_subsys_vendor_id                                          (ctop_core8_pf7_subsys_vendor_id),
   .ctop_core8_pf7_tph_req_cap_int_vec                                       (ctop_core8_pf7_tph_req_cap_int_vec),
   .ctop_core8_pf7_tph_req_cap_int_vec_vfcomm_cs2                            (ctop_core8_pf7_tph_req_cap_int_vec_vfcomm_cs2),
   .ctop_core8_pf7_tph_req_cap_st_table_loc_0_vfcomm_cs2                     (ctop_core8_pf7_tph_req_cap_st_table_loc_0_vfcomm_cs2),
   .ctop_core8_pf7_tph_req_cap_st_table_loc_1                                (ctop_core8_pf7_tph_req_cap_st_table_loc_1),
   .ctop_core8_pf7_tph_req_cap_st_table_loc_1_vfcomm_cs2                     (ctop_core8_pf7_tph_req_cap_st_table_loc_1_vfcomm_cs2),
   .ctop_core8_pf7_tph_req_cap_st_table_size                                 (ctop_core8_pf7_tph_req_cap_st_table_size),
   .ctop_core8_pf7_tph_req_cap_st_table_size_vfcomm_cs2                      (ctop_core8_pf7_tph_req_cap_st_table_size_vfcomm_cs2),
   .ctop_core8_pf7_tph_req_device_spec                                       (ctop_core8_pf7_tph_req_device_spec),
   .ctop_core8_pf7_tph_req_device_spec_vfcomm_cs2                            (ctop_core8_pf7_tph_req_device_spec_vfcomm_cs2),
   .ctop_core8_pf7_prs_outstanding_capacity				     (ctop_core8_pf7_prs_outstanding_capacity),
   .ctop_core8_rxbuf_limit_bypass                                            (ctop_core8_rxbuf_limit_bypass),
   .ctop_core8_virtual_drop_vendor0_msg                                      (ctop_core8_virtual_drop_vendor0_msg),
   .ctop_core8_virtual_drop_vendor1_msg                                      (ctop_core8_virtual_drop_vendor1_msg),
   .ctop_core8_virtual_ep_native                                             (ctop_core8_virtual_ep_native),
   .ctop_core8_virtual_link_rate                                             (ctop_core8_virtual_link_rate),
   .ctop_core8_virtual_link_width                                            (ctop_core8_virtual_link_width),
   .ctop_core8_virtual_maxpayload_size                                       (ctop_core8_virtual_maxpayload_size),
   .ctop_core8_virtual_num_of_lanes                                          (ctop_core8_virtual_num_of_lanes),
   .ctop_core8_virtual_pf0_acs_cap_enable                                    (ctop_core8_virtual_pf0_acs_cap_enable),
   .ctop_core8_virtual_pf0_ats_cap_enable                                    (ctop_core8_virtual_pf0_ats_cap_enable),
   .ctop_core8_virtual_pf0_dlink_cap_enable                                  (ctop_core8_virtual_pf0_dlink_cap_enable),
   .ctop_core8_virtual_pf0_exvf_acs_cap_enable                               (ctop_core8_virtual_pf0_exvf_acs_cap_enable),
   .ctop_core8_virtual_pf0_exvf_ats_cap_enable                               (ctop_core8_virtual_pf0_exvf_ats_cap_enable),
   .ctop_core8_virtual_pf0_exvf_msix_cap_enable                              (ctop_core8_virtual_pf0_exvf_msix_cap_enable),
   .ctop_core8_virtual_pf0_exvf_tph_cap_enable                               (ctop_core8_virtual_pf0_exvf_tph_cap_enable),
   .ctop_core8_virtual_pf0_exvf_virtio_en                                    (ctop_core8_virtual_pf0_exvf_virtio_en),
   .ctop_core8_virtual_pf0_io_decode                                         (ctop_core8_virtual_pf0_io_decode),
   .ctop_core8_virtual_pf0_ltr_cap_enable                                    (ctop_core8_virtual_pf0_ltr_cap_enable),
   .ctop_core8_virtual_pf0_msi_enable                                        (ctop_core8_virtual_pf0_msi_enable),
   .ctop_core8_virtual_pf0_msix_enable                                       (ctop_core8_virtual_pf0_msix_enable),
   .ctop_core8_virtual_pf0_pasid_cap_enable                                  (ctop_core8_virtual_pf0_pasid_cap_enable),
   .ctop_core8_virtual_pf0_prefetch_decode                                   (ctop_core8_virtual_pf0_prefetch_decode),
   .ctop_core8_virtual_pf0_prs_ext_cap_enable                                (ctop_core8_virtual_pf0_prs_ext_cap_enable),
   .ctop_core8_virtual_pf0_ras_des_cap_enable                                (ctop_core8_virtual_pf0_ras_des_cap_enable),
   .ctop_core8_virtual_pf0_sn_cap_enable                                     (ctop_core8_virtual_pf0_sn_cap_enable),
   .ctop_core8_virtual_pf0_sriov_enable                                      (ctop_core8_virtual_pf0_sriov_enable),
   .ctop_core8_virtual_pf0_sriov_vf_bar0_enabled                             (ctop_core8_virtual_pf0_sriov_vf_bar0_enabled),
   .ctop_core8_virtual_pf0_sriov_vf_bar1_enabled                             (ctop_core8_virtual_pf0_sriov_vf_bar1_enabled),
   .ctop_core8_virtual_pf0_sriov_vf_bar2_enabled                             (ctop_core8_virtual_pf0_sriov_vf_bar2_enabled),
   .ctop_core8_virtual_pf0_sriov_vf_bar3_enabled                             (ctop_core8_virtual_pf0_sriov_vf_bar3_enabled),
   .ctop_core8_virtual_pf0_sriov_vf_bar4_enabled                             (ctop_core8_virtual_pf0_sriov_vf_bar4_enabled),
   .ctop_core8_virtual_pf0_sriov_vf_bar5_enabled                             (ctop_core8_virtual_pf0_sriov_vf_bar5_enabled),
   .ctop_core8_virtual_pf0_tph_cap_enable                                    (ctop_core8_virtual_pf0_tph_cap_enable),
   .ctop_core8_virtual_pf0_user_vsec_cap_enable                              (ctop_core8_virtual_pf0_user_vsec_cap_enable),
   .ctop_core8_virtual_pf0_virtio_en                                         (ctop_core8_virtual_pf0_virtio_en),
   .ctop_core8_virtual_pf1_acs_cap_enable                                    (ctop_core8_virtual_pf1_acs_cap_enable),
   .ctop_core8_virtual_pf1_ats_cap_enable                                    (ctop_core8_virtual_pf1_ats_cap_enable),
   .ctop_core8_virtual_pf1_enable                                            (ctop_core8_virtual_pf1_enable),
   .ctop_core8_virtual_pf1_exvf_acs_cap_enable                               (ctop_core8_virtual_pf1_exvf_acs_cap_enable),
   .ctop_core8_virtual_pf1_exvf_ats_cap_enable                               (ctop_core8_virtual_pf1_exvf_ats_cap_enable),
   .ctop_core8_virtual_pf1_exvf_msix_cap_enable                              (ctop_core8_virtual_pf1_exvf_msix_cap_enable),
   .ctop_core8_virtual_pf1_exvf_tph_cap_enable                               (ctop_core8_virtual_pf1_exvf_tph_cap_enable),
   .ctop_core8_virtual_pf1_exvf_virtio_en                                    (ctop_core8_virtual_pf1_exvf_virtio_en),
   .ctop_core8_virtual_pf1_msi_enable                                        (ctop_core8_virtual_pf1_msi_enable),
   .ctop_core8_virtual_pf1_msix_enable                                       (ctop_core8_virtual_pf1_msix_enable),
   .ctop_core8_virtual_pf1_pasid_cap_enable                                  (ctop_core8_virtual_pf1_pasid_cap_enable),
   .ctop_core8_virtual_pf1_prs_ext_cap_enable                                (ctop_core8_virtual_pf1_prs_ext_cap_enable),
   .ctop_core8_virtual_pf1_sriov_enable                                      (ctop_core8_virtual_pf1_sriov_enable),
   .ctop_core8_virtual_pf1_sriov_vf_bar0_enabled                             (ctop_core8_virtual_pf1_sriov_vf_bar0_enabled),
   .ctop_core8_virtual_pf1_sriov_vf_bar1_enabled                             (ctop_core8_virtual_pf1_sriov_vf_bar1_enabled),
   .ctop_core8_virtual_pf1_sriov_vf_bar2_enabled                             (ctop_core8_virtual_pf1_sriov_vf_bar2_enabled),
   .ctop_core8_virtual_pf1_sriov_vf_bar3_enabled                             (ctop_core8_virtual_pf1_sriov_vf_bar3_enabled),
   .ctop_core8_virtual_pf1_sriov_vf_bar4_enabled                             (ctop_core8_virtual_pf1_sriov_vf_bar4_enabled),
   .ctop_core8_virtual_pf1_sriov_vf_bar5_enabled                             (ctop_core8_virtual_pf1_sriov_vf_bar5_enabled),
   .ctop_core8_virtual_pf1_tph_cap_enable                                    (ctop_core8_virtual_pf1_tph_cap_enable),
   .ctop_core8_virtual_pf1_user_vsec_cap_enable                              (ctop_core8_virtual_pf1_user_vsec_cap_enable),
   .ctop_core8_virtual_pf1_user_vsec_offset                                  (ctop_core8_virtual_pf1_user_vsec_offset),
   .ctop_core8_virtual_pf1_virtio_en                                         (ctop_core8_virtual_pf1_virtio_en),
   .ctop_core8_virtual_pf2_acs_cap_enable                                    (ctop_core8_virtual_pf2_acs_cap_enable),
   .ctop_core8_virtual_pf2_ats_cap_enable                                    (ctop_core8_virtual_pf2_ats_cap_enable),
   .ctop_core8_virtual_pf2_enable                                            (ctop_core8_virtual_pf2_enable),
   .ctop_core8_virtual_pf2_exvf_acs_cap_enable                               (ctop_core8_virtual_pf2_exvf_acs_cap_enable),
   .ctop_core8_virtual_pf2_exvf_ats_cap_enable                               (ctop_core8_virtual_pf2_exvf_ats_cap_enable),
   .ctop_core8_virtual_pf2_exvf_msix_cap_enable                              (ctop_core8_virtual_pf2_exvf_msix_cap_enable),
   .ctop_core8_virtual_pf2_exvf_tph_cap_enable                               (ctop_core8_virtual_pf2_exvf_tph_cap_enable),
   .ctop_core8_virtual_pf2_exvf_virtio_en                                    (ctop_core8_virtual_pf2_exvf_virtio_en),
   .ctop_core8_virtual_pf2_msi_enable                                        (ctop_core8_virtual_pf2_msi_enable),
   .ctop_core8_virtual_pf2_msix_enable                                       (ctop_core8_virtual_pf2_msix_enable),
   .ctop_core8_virtual_pf2_pasid_cap_enable                                  (ctop_core8_virtual_pf2_pasid_cap_enable),
   .ctop_core8_virtual_pf2_prs_ext_cap_enable                                (ctop_core8_virtual_pf2_prs_ext_cap_enable),
   .ctop_core8_virtual_pf2_sriov_enable                                      (ctop_core8_virtual_pf2_sriov_enable),
   .ctop_core8_virtual_pf2_sriov_vf_bar0_enabled                             (ctop_core8_virtual_pf2_sriov_vf_bar0_enabled),
   .ctop_core8_virtual_pf2_sriov_vf_bar1_enabled                             (ctop_core8_virtual_pf2_sriov_vf_bar1_enabled),
   .ctop_core8_virtual_pf2_sriov_vf_bar2_enabled                             (ctop_core8_virtual_pf2_sriov_vf_bar2_enabled),
   .ctop_core8_virtual_pf2_sriov_vf_bar3_enabled                             (ctop_core8_virtual_pf2_sriov_vf_bar3_enabled),
   .ctop_core8_virtual_pf2_sriov_vf_bar4_enabled                             (ctop_core8_virtual_pf2_sriov_vf_bar4_enabled),
   .ctop_core8_virtual_pf2_sriov_vf_bar5_enabled                             (ctop_core8_virtual_pf2_sriov_vf_bar5_enabled),
   .ctop_core8_virtual_pf2_tph_cap_enable                                    (ctop_core8_virtual_pf2_tph_cap_enable),
   .ctop_core8_virtual_pf2_user_vsec_cap_enable                              (ctop_core8_virtual_pf2_user_vsec_cap_enable),
   .ctop_core8_virtual_pf2_user_vsec_offset                                  (ctop_core8_virtual_pf2_user_vsec_offset),
   .ctop_core8_virtual_pf2_virtio_en                                         (ctop_core8_virtual_pf2_virtio_en),
   .ctop_core8_virtual_pf3_acs_cap_enable                                    (ctop_core8_virtual_pf3_acs_cap_enable),
   .ctop_core8_virtual_pf3_ats_cap_enable                                    (ctop_core8_virtual_pf3_ats_cap_enable),
   .ctop_core8_virtual_pf3_enable                                            (ctop_core8_virtual_pf3_enable),
   .ctop_core8_virtual_pf3_exvf_acs_cap_enable                               (ctop_core8_virtual_pf3_exvf_acs_cap_enable),
   .ctop_core8_virtual_pf3_exvf_ats_cap_enable                               (ctop_core8_virtual_pf3_exvf_ats_cap_enable),
   .ctop_core8_virtual_pf3_exvf_msix_cap_enable                              (ctop_core8_virtual_pf3_exvf_msix_cap_enable),
   .ctop_core8_virtual_pf3_exvf_tph_cap_enable                               (ctop_core8_virtual_pf3_exvf_tph_cap_enable),
   .ctop_core8_virtual_pf3_exvf_virtio_en                                    (ctop_core8_virtual_pf3_exvf_virtio_en),
   .ctop_core8_virtual_pf3_msi_enable                                        (ctop_core8_virtual_pf3_msi_enable),
   .ctop_core8_virtual_pf3_msix_enable                                       (ctop_core8_virtual_pf3_msix_enable),
   .ctop_core8_virtual_pf3_pasid_cap_enable                                  (ctop_core8_virtual_pf3_pasid_cap_enable),
   .ctop_core8_virtual_pf3_prs_ext_cap_enable                                (ctop_core8_virtual_pf3_prs_ext_cap_enable),
   .ctop_core8_virtual_pf3_sriov_enable                                      (ctop_core8_virtual_pf3_sriov_enable),
   .ctop_core8_virtual_pf3_sriov_vf_bar0_enabled                             (ctop_core8_virtual_pf3_sriov_vf_bar0_enabled),
   .ctop_core8_virtual_pf3_sriov_vf_bar1_enabled                             (ctop_core8_virtual_pf3_sriov_vf_bar1_enabled),
   .ctop_core8_virtual_pf3_sriov_vf_bar2_enabled                             (ctop_core8_virtual_pf3_sriov_vf_bar2_enabled),
   .ctop_core8_virtual_pf3_sriov_vf_bar3_enabled                             (ctop_core8_virtual_pf3_sriov_vf_bar3_enabled),
   .ctop_core8_virtual_pf3_sriov_vf_bar4_enabled                             (ctop_core8_virtual_pf3_sriov_vf_bar4_enabled),
   .ctop_core8_virtual_pf3_sriov_vf_bar5_enabled                             (ctop_core8_virtual_pf3_sriov_vf_bar5_enabled),
   .ctop_core8_virtual_pf3_tph_cap_enable                                    (ctop_core8_virtual_pf3_tph_cap_enable),
   .ctop_core8_virtual_pf3_user_vsec_cap_enable                              (ctop_core8_virtual_pf3_user_vsec_cap_enable),
   .ctop_core8_virtual_pf3_user_vsec_offset                                  (ctop_core8_virtual_pf3_user_vsec_offset),
   .ctop_core8_virtual_pf3_virtio_en                                         (ctop_core8_virtual_pf3_virtio_en),
   .ctop_core8_virtual_pf4_acs_cap_enable                                    (ctop_core8_virtual_pf4_acs_cap_enable),
   .ctop_core8_virtual_pf4_ats_cap_enable                                    (ctop_core8_virtual_pf4_ats_cap_enable),
   .ctop_core8_virtual_pf4_enable                                            (ctop_core8_virtual_pf4_enable),
   .ctop_core8_virtual_pf4_exvf_acs_cap_enable                               (ctop_core8_virtual_pf4_exvf_acs_cap_enable),
   .ctop_core8_virtual_pf4_exvf_ats_cap_enable                               (ctop_core8_virtual_pf4_exvf_ats_cap_enable),
   .ctop_core8_virtual_pf4_exvf_msix_cap_enable                              (ctop_core8_virtual_pf4_exvf_msix_cap_enable),
   .ctop_core8_virtual_pf4_exvf_tph_cap_enable                               (ctop_core8_virtual_pf4_exvf_tph_cap_enable),
   .ctop_core8_virtual_pf4_exvf_virtio_en                                    (ctop_core8_virtual_pf4_exvf_virtio_en),
   .ctop_core8_virtual_pf4_msi_enable                                        (ctop_core8_virtual_pf4_msi_enable),
   .ctop_core8_virtual_pf4_msix_enable                                       (ctop_core8_virtual_pf4_msix_enable),
   .ctop_core8_virtual_pf4_pasid_cap_enable                                  (ctop_core8_virtual_pf4_pasid_cap_enable),
   .ctop_core8_virtual_pf4_prs_ext_cap_enable                                (ctop_core8_virtual_pf4_prs_ext_cap_enable),
   .ctop_core8_virtual_pf4_sriov_enable                                      (ctop_core8_virtual_pf4_sriov_enable),
   .ctop_core8_virtual_pf4_sriov_vf_bar0_enabled                             (ctop_core8_virtual_pf4_sriov_vf_bar0_enabled),
   .ctop_core8_virtual_pf4_sriov_vf_bar1_enabled                             (ctop_core8_virtual_pf4_sriov_vf_bar1_enabled),
   .ctop_core8_virtual_pf4_sriov_vf_bar2_enabled                             (ctop_core8_virtual_pf4_sriov_vf_bar2_enabled),
   .ctop_core8_virtual_pf4_sriov_vf_bar3_enabled                             (ctop_core8_virtual_pf4_sriov_vf_bar3_enabled),
   .ctop_core8_virtual_pf4_sriov_vf_bar4_enabled                             (ctop_core8_virtual_pf4_sriov_vf_bar4_enabled),
   .ctop_core8_virtual_pf4_sriov_vf_bar5_enabled                             (ctop_core8_virtual_pf4_sriov_vf_bar5_enabled),
   .ctop_core8_virtual_pf4_tph_cap_enable                                    (ctop_core8_virtual_pf4_tph_cap_enable),
   .ctop_core8_virtual_pf4_user_vsec_cap_enable                              (ctop_core8_virtual_pf4_user_vsec_cap_enable),
   .ctop_core8_virtual_pf4_user_vsec_offset                                  (ctop_core8_virtual_pf4_user_vsec_offset),
   .ctop_core8_virtual_pf4_virtio_en                                         (ctop_core8_virtual_pf4_virtio_en),
   .ctop_core8_virtual_pf5_acs_cap_enable                                    (ctop_core8_virtual_pf5_acs_cap_enable),
   .ctop_core8_virtual_pf5_ats_cap_enable                                    (ctop_core8_virtual_pf5_ats_cap_enable),
   .ctop_core8_virtual_pf5_enable                                            (ctop_core8_virtual_pf5_enable),
   .ctop_core8_virtual_pf5_exvf_acs_cap_enable                               (ctop_core8_virtual_pf5_exvf_acs_cap_enable),
   .ctop_core8_virtual_pf5_exvf_ats_cap_enable                               (ctop_core8_virtual_pf5_exvf_ats_cap_enable),
   .ctop_core8_virtual_pf5_exvf_msix_cap_enable                              (ctop_core8_virtual_pf5_exvf_msix_cap_enable),
   .ctop_core8_virtual_pf5_exvf_tph_cap_enable                               (ctop_core8_virtual_pf5_exvf_tph_cap_enable),
   .ctop_core8_virtual_pf5_exvf_virtio_en                                    (ctop_core8_virtual_pf5_exvf_virtio_en),
   .ctop_core8_virtual_pf5_msi_enable                                        (ctop_core8_virtual_pf5_msi_enable),
   .ctop_core8_virtual_pf5_msix_enable                                       (ctop_core8_virtual_pf5_msix_enable),
   .ctop_core8_virtual_pf5_pasid_cap_enable                                  (ctop_core8_virtual_pf5_pasid_cap_enable),
   .ctop_core8_virtual_pf5_prs_ext_cap_enable                                (ctop_core8_virtual_pf5_prs_ext_cap_enable),
   .ctop_core8_virtual_pf5_sriov_enable                                      (ctop_core8_virtual_pf5_sriov_enable),
   .ctop_core8_virtual_pf5_sriov_vf_bar0_enabled                             (ctop_core8_virtual_pf5_sriov_vf_bar0_enabled),
   .ctop_core8_virtual_pf5_sriov_vf_bar1_enabled                             (ctop_core8_virtual_pf5_sriov_vf_bar1_enabled),
   .ctop_core8_virtual_pf5_sriov_vf_bar2_enabled                             (ctop_core8_virtual_pf5_sriov_vf_bar2_enabled),
   .ctop_core8_virtual_pf5_sriov_vf_bar3_enabled                             (ctop_core8_virtual_pf5_sriov_vf_bar3_enabled),
   .ctop_core8_virtual_pf5_sriov_vf_bar4_enabled                             (ctop_core8_virtual_pf5_sriov_vf_bar4_enabled),
   .ctop_core8_virtual_pf5_sriov_vf_bar5_enabled                             (ctop_core8_virtual_pf5_sriov_vf_bar5_enabled),
   .ctop_core8_virtual_pf5_tph_cap_enable                                    (ctop_core8_virtual_pf5_tph_cap_enable),
   .ctop_core8_virtual_pf5_user_vsec_cap_enable                              (ctop_core8_virtual_pf5_user_vsec_cap_enable),
   .ctop_core8_virtual_pf5_user_vsec_offset                                  (ctop_core8_virtual_pf5_user_vsec_offset),
   .ctop_core8_virtual_pf5_virtio_en                                         (ctop_core8_virtual_pf5_virtio_en),
   .ctop_core8_virtual_pf6_acs_cap_enable                                    (ctop_core8_virtual_pf6_acs_cap_enable),
   .ctop_core8_virtual_pf6_ats_cap_enable                                    (ctop_core8_virtual_pf6_ats_cap_enable),
   .ctop_core8_virtual_pf6_enable                                            (ctop_core8_virtual_pf6_enable),
   .ctop_core8_virtual_pf6_exvf_acs_cap_enable                               (ctop_core8_virtual_pf6_exvf_acs_cap_enable),
   .ctop_core8_virtual_pf6_exvf_ats_cap_enable                               (ctop_core8_virtual_pf6_exvf_ats_cap_enable),
   .ctop_core8_virtual_pf6_exvf_msix_cap_enable                              (ctop_core8_virtual_pf6_exvf_msix_cap_enable),
   .ctop_core8_virtual_pf6_exvf_tph_cap_enable                               (ctop_core8_virtual_pf6_exvf_tph_cap_enable),
   .ctop_core8_virtual_pf6_exvf_virtio_en                                    (ctop_core8_virtual_pf6_exvf_virtio_en),
   .ctop_core8_virtual_pf6_msi_enable                                        (ctop_core8_virtual_pf6_msi_enable),
   .ctop_core8_virtual_pf6_msix_enable                                       (ctop_core8_virtual_pf6_msix_enable),
   .ctop_core8_virtual_pf6_pasid_cap_enable                                  (ctop_core8_virtual_pf6_pasid_cap_enable),
   .ctop_core8_virtual_pf6_prs_ext_cap_enable                                (ctop_core8_virtual_pf6_prs_ext_cap_enable),
   .ctop_core8_virtual_pf6_sriov_enable                                      (ctop_core8_virtual_pf6_sriov_enable),
   .ctop_core8_virtual_pf6_sriov_vf_bar0_enabled                             (ctop_core8_virtual_pf6_sriov_vf_bar0_enabled),
   .ctop_core8_virtual_pf6_sriov_vf_bar1_enabled                             (ctop_core8_virtual_pf6_sriov_vf_bar1_enabled),
   .ctop_core8_virtual_pf6_sriov_vf_bar2_enabled                             (ctop_core8_virtual_pf6_sriov_vf_bar2_enabled),
   .ctop_core8_virtual_pf6_sriov_vf_bar3_enabled                             (ctop_core8_virtual_pf6_sriov_vf_bar3_enabled),
   .ctop_core8_virtual_pf6_sriov_vf_bar4_enabled                             (ctop_core8_virtual_pf6_sriov_vf_bar4_enabled),
   .ctop_core8_virtual_pf6_sriov_vf_bar5_enabled                             (ctop_core8_virtual_pf6_sriov_vf_bar5_enabled),
   .ctop_core8_virtual_pf6_tph_cap_enable                                    (ctop_core8_virtual_pf6_tph_cap_enable),
   .ctop_core8_virtual_pf6_user_vsec_cap_enable                              (ctop_core8_virtual_pf6_user_vsec_cap_enable),
   .ctop_core8_virtual_pf6_user_vsec_offset                                  (ctop_core8_virtual_pf6_user_vsec_offset),
   .ctop_core8_virtual_pf6_virtio_en                                         (ctop_core8_virtual_pf6_virtio_en),
   .ctop_core8_virtual_pf7_acs_cap_enable                                    (ctop_core8_virtual_pf7_acs_cap_enable),
   .ctop_core8_virtual_pf7_ats_cap_enable                                    (ctop_core8_virtual_pf7_ats_cap_enable),
   .ctop_core8_virtual_pf7_enable                                            (ctop_core8_virtual_pf7_enable),
   .ctop_core8_virtual_pf7_exvf_acs_cap_enable                               (ctop_core8_virtual_pf7_exvf_acs_cap_enable),
   .ctop_core8_virtual_pf7_exvf_ats_cap_enable                               (ctop_core8_virtual_pf7_exvf_ats_cap_enable),
   .ctop_core8_virtual_pf7_exvf_msix_cap_enable                              (ctop_core8_virtual_pf7_exvf_msix_cap_enable),
   .ctop_core8_virtual_pf7_exvf_tph_cap_enable                               (ctop_core8_virtual_pf7_exvf_tph_cap_enable),
   .ctop_core8_virtual_pf7_exvf_virtio_en                                    (ctop_core8_virtual_pf7_exvf_virtio_en),
   .ctop_core8_virtual_pf7_msi_enable                                        (ctop_core8_virtual_pf7_msi_enable),
   .ctop_core8_virtual_pf7_msix_enable                                       (ctop_core8_virtual_pf7_msix_enable),
   .ctop_core8_virtual_pf7_pasid_cap_enable                                  (ctop_core8_virtual_pf7_pasid_cap_enable),
   .ctop_core8_virtual_pf7_prs_ext_cap_enable                                (ctop_core8_virtual_pf7_prs_ext_cap_enable),
   .ctop_core8_virtual_pf7_sriov_enable                                      (ctop_core8_virtual_pf7_sriov_enable),
   .ctop_core8_virtual_pf7_sriov_vf_bar0_enabled                             (ctop_core8_virtual_pf7_sriov_vf_bar0_enabled),
   .ctop_core8_virtual_pf7_sriov_vf_bar1_enabled                             (ctop_core8_virtual_pf7_sriov_vf_bar1_enabled),
   .ctop_core8_virtual_pf7_sriov_vf_bar2_enabled                             (ctop_core8_virtual_pf7_sriov_vf_bar2_enabled),
   .ctop_core8_virtual_pf7_sriov_vf_bar3_enabled                             (ctop_core8_virtual_pf7_sriov_vf_bar3_enabled),
   .ctop_core8_virtual_pf7_sriov_vf_bar4_enabled                             (ctop_core8_virtual_pf7_sriov_vf_bar4_enabled),
   .ctop_core8_virtual_pf7_sriov_vf_bar5_enabled                             (ctop_core8_virtual_pf7_sriov_vf_bar5_enabled),
   .ctop_core8_virtual_pf7_tph_cap_enable                                    (ctop_core8_virtual_pf7_tph_cap_enable),
   .ctop_core8_virtual_pf7_user_vsec_cap_enable                              (ctop_core8_virtual_pf7_user_vsec_cap_enable),
   .ctop_core8_virtual_pf7_user_vsec_offset                                  (ctop_core8_virtual_pf7_user_vsec_offset),
   .ctop_core8_virtual_pf7_virtio_en                                         (ctop_core8_virtual_pf7_virtio_en),
   .ctop_core8_virtual_rp_ep_mode                                            (ctop_core8_virtual_rp_ep_mode),
   .ctop_core8_virtual_txeq_mode                                             (ctop_core8_virtual_txeq_mode),
   .ctop_core8_virtual_ptm_autoupdate                                        (ctop_core8_virtual_ptm_autoupdate),
   .ctop_core8_vsec_next_offset                                              (ctop_core8_vsec_next_offset),
   .ctop_ctrltop_r_hrc_rst_ctrl_k_hrc_pin_perst_is_full_rst_attr             (ctop_ctrltop_r_hrc_rst_ctrl_k_hrc_pin_perst_is_full_rst_attr),
   .ctop_virtual_ptm                                                         (ctop_virtual_ptm),
   .ctop_virtual_x16_perst_sel                                               (ctop_virtual_x16_perst_sel),
   .ctop_virtual_x8_perst_sel                                                (ctop_virtual_x8_perst_sel),
   .ctop_virtual_x40_perst_sel                                               (ctop_virtual_x40_perst_sel),
   .ctop_virtual_x41_perst_sel                                               (ctop_virtual_x41_perst_sel),
   .topology                                                                 (topology),
   .virtual_sris_enable                                                      (virtual_sris_enable),
   .virtual_sup_mode                                                         (virtual_sup_mode),
   .virtual_tlp_bypass_en                                                    (virtual_tlp_bypass_en),

   .silicon_rev                                                              (silicon_rev),
   .duplex_mode                                                              (duplex_mode)

) pcie_hip_top_f_inst (
   .hip_coreclkout_hip_o                    (pld_clk),
   .hip_refclk0                             (refclk0),
   .hip_refclk1                             (refclk1),
   .hip_refclk2                             (refclk2),
   .hip_refclk3                             (refclk3),
   .hip_pcie_systempll_clk                  (pcie_systempll_clk),
   .hip_pin_perst_n_i                       (pin_perst_n),
   .hip_ch0_pld_adapter_tx_pld_rst_n_i      (ch0_pld_adapter_tx_pld_rst_n),
   .hip_ch1_pld_adapter_tx_pld_rst_n_i      (ch1_pld_adapter_tx_pld_rst_n),
   .hip_ch2_pld_adapter_tx_pld_rst_n_i      (ch2_pld_adapter_tx_pld_rst_n),
   .hip_ch3_pld_adapter_tx_pld_rst_n_i      (ch3_pld_adapter_tx_pld_rst_n),
   .hip_ch4_pld_adapter_tx_pld_rst_n_i      (ch4_pld_adapter_tx_pld_rst_n),
   .hip_ch5_pld_adapter_tx_pld_rst_n_i      (ch5_pld_adapter_tx_pld_rst_n),
   .hip_ch6_pld_adapter_tx_pld_rst_n_i      (ch6_pld_adapter_tx_pld_rst_n),
   .hip_ch7_pld_adapter_tx_pld_rst_n_i      (ch7_pld_adapter_tx_pld_rst_n),
   .hip_ch8_pld_adapter_tx_pld_rst_n_i      (ch8_pld_adapter_tx_pld_rst_n),
   .hip_ch9_pld_adapter_tx_pld_rst_n_i      (ch9_pld_adapter_tx_pld_rst_n),
   .hip_ch10_pld_adapter_tx_pld_rst_n_i     (ch10_pld_adapter_tx_pld_rst_n),
   .hip_ch11_pld_adapter_tx_pld_rst_n_i     (ch11_pld_adapter_tx_pld_rst_n),
   .hip_ch12_pld_adapter_tx_pld_rst_n_i     (ch12_pld_adapter_tx_pld_rst_n),
   .hip_ch13_pld_adapter_tx_pld_rst_n_i     (ch13_pld_adapter_tx_pld_rst_n),
   .hip_ch14_pld_adapter_tx_pld_rst_n_i     (ch14_pld_adapter_tx_pld_rst_n),
   .hip_ch15_pld_adapter_tx_pld_rst_n_i     (ch15_pld_adapter_tx_pld_rst_n),
   .hip_ch16_pld_adapter_tx_pld_rst_n_i     (ch16_pld_adapter_tx_pld_rst_n),
   .hip_ch17_pld_adapter_tx_pld_rst_n_i     (ch17_pld_adapter_tx_pld_rst_n),
   .hip_ch18_pld_adapter_tx_pld_rst_n_i     (ch18_pld_adapter_tx_pld_rst_n),
   .hip_ch19_pld_adapter_tx_pld_rst_n_i     (ch19_pld_adapter_tx_pld_rst_n),
   .hip_ch20_pld_adapter_tx_pld_rst_n_i     (ch20_pld_adapter_tx_pld_rst_n),
   .hip_ch21_pld_adapter_tx_pld_rst_n_i     (ch21_pld_adapter_tx_pld_rst_n),
   .hip_ch22_pld_adapter_tx_pld_rst_n_i     (ch22_pld_adapter_tx_pld_rst_n),
   .hip_ch23_pld_adapter_tx_pld_rst_n_i     (ch23_pld_adapter_tx_pld_rst_n),
   .hip_ch0_pld_adapter_rx_pld_rst_n_i      (ch0_pld_adapter_rx_pld_rst_n),
   .hip_ch1_pld_adapter_rx_pld_rst_n_i      (ch1_pld_adapter_rx_pld_rst_n),
   .hip_ch2_pld_adapter_rx_pld_rst_n_i      (ch2_pld_adapter_rx_pld_rst_n),
   .hip_ch3_pld_adapter_rx_pld_rst_n_i      (ch3_pld_adapter_rx_pld_rst_n),
   .hip_ch4_pld_adapter_rx_pld_rst_n_i      (ch4_pld_adapter_rx_pld_rst_n),
   .hip_ch5_pld_adapter_rx_pld_rst_n_i      (ch5_pld_adapter_rx_pld_rst_n),
   .hip_ch6_pld_adapter_rx_pld_rst_n_i      (ch6_pld_adapter_rx_pld_rst_n),
   .hip_ch7_pld_adapter_rx_pld_rst_n_i      (ch7_pld_adapter_rx_pld_rst_n),
   .hip_ch8_pld_adapter_rx_pld_rst_n_i      (ch8_pld_adapter_rx_pld_rst_n),
   .hip_ch9_pld_adapter_rx_pld_rst_n_i      (ch9_pld_adapter_rx_pld_rst_n),
   .hip_ch10_pld_adapter_rx_pld_rst_n_i     (ch10_pld_adapter_rx_pld_rst_n),
   .hip_ch11_pld_adapter_rx_pld_rst_n_i     (ch11_pld_adapter_rx_pld_rst_n),
   .hip_ch12_pld_adapter_rx_pld_rst_n_i     (ch12_pld_adapter_rx_pld_rst_n),
   .hip_ch13_pld_adapter_rx_pld_rst_n_i     (ch13_pld_adapter_rx_pld_rst_n),
   .hip_ch14_pld_adapter_rx_pld_rst_n_i     (ch14_pld_adapter_rx_pld_rst_n),
   .hip_ch15_pld_adapter_rx_pld_rst_n_i     (ch15_pld_adapter_rx_pld_rst_n),
   .hip_ch16_pld_adapter_rx_pld_rst_n_i     (ch16_pld_adapter_rx_pld_rst_n),
   .hip_ch17_pld_adapter_rx_pld_rst_n_i     (ch17_pld_adapter_rx_pld_rst_n),
   .hip_ch18_pld_adapter_rx_pld_rst_n_i     (ch18_pld_adapter_rx_pld_rst_n),
   .hip_ch19_pld_adapter_rx_pld_rst_n_i     (ch19_pld_adapter_rx_pld_rst_n),
   .hip_ch20_pld_adapter_rx_pld_rst_n_i     (ch20_pld_adapter_rx_pld_rst_n),
   .hip_ch21_pld_adapter_rx_pld_rst_n_i     (ch21_pld_adapter_rx_pld_rst_n),
   .hip_ch22_pld_adapter_rx_pld_rst_n_i     (ch22_pld_adapter_rx_pld_rst_n),
   .hip_ch23_pld_adapter_rx_pld_rst_n_i     (ch23_pld_adapter_rx_pld_rst_n),
   .hip_tx_p_q0_ch0_o                       (tx_p_out0),
   .hip_tx_p_q0_ch1_o                       (tx_p_out1),
   .hip_tx_p_q0_ch2_o                       (tx_p_out2),
   .hip_tx_p_q0_ch3_o                       (tx_p_out3),
   .hip_tx_p_q1_ch4_o                       (tx_p_out4),
   .hip_tx_p_q1_ch5_o                       (tx_p_out5),
   .hip_tx_p_q1_ch6_o                       (tx_p_out6),
   .hip_tx_p_q1_ch7_o                       (tx_p_out7),
   .hip_tx_p_q2_ch8_o                       (tx_p_out8),
   .hip_tx_p_q2_ch9_o                       (tx_p_out9),
   .hip_tx_p_q2_ch10_o                      (tx_p_out10),
   .hip_tx_p_q2_ch11_o                      (tx_p_out11),
   .hip_tx_p_q3_ch12_o                      (tx_p_out12),
   .hip_tx_p_q3_ch13_o                      (tx_p_out13),
   .hip_tx_p_q3_ch14_o                      (tx_p_out14),
   .hip_tx_p_q3_ch15_o                      (tx_p_out15),
   .hip_tx_n_q0_ch0_o                       (tx_n_out0),
   .hip_tx_n_q0_ch1_o                       (tx_n_out1),
   .hip_tx_n_q0_ch2_o                       (tx_n_out2),
   .hip_tx_n_q0_ch3_o                       (tx_n_out3),
   .hip_tx_n_q1_ch4_o                       (tx_n_out4),
   .hip_tx_n_q1_ch5_o                       (tx_n_out5),
   .hip_tx_n_q1_ch6_o                       (tx_n_out6),
   .hip_tx_n_q1_ch7_o                       (tx_n_out7),
   .hip_tx_n_q2_ch8_o                       (tx_n_out8),
   .hip_tx_n_q2_ch9_o                       (tx_n_out9),
   .hip_tx_n_q2_ch10_o                      (tx_n_out10),
   .hip_tx_n_q2_ch11_o                      (tx_n_out11),
   .hip_tx_n_q3_ch12_o                      (tx_n_out12),
   .hip_tx_n_q3_ch13_o                      (tx_n_out13),
   .hip_tx_n_q3_ch14_o                      (tx_n_out14),
   .hip_tx_n_q3_ch15_o                      (tx_n_out15),
   .hip_rx_p_q0_ch0_i                       (rx_p_in0),
   .hip_rx_p_q0_ch1_i                       (rx_p_in1),
   .hip_rx_p_q0_ch2_i                       (rx_p_in2),
   .hip_rx_p_q0_ch3_i                       (rx_p_in3),
   .hip_rx_p_q1_ch4_i                       (rx_p_in4),
   .hip_rx_p_q1_ch5_i                       (rx_p_in5),
   .hip_rx_p_q1_ch6_i                       (rx_p_in6),
   .hip_rx_p_q1_ch7_i                       (rx_p_in7),
   .hip_rx_p_q2_ch8_i                       (rx_p_in8),
   .hip_rx_p_q2_ch9_i                       (rx_p_in9),
   .hip_rx_p_q2_ch10_i                      (rx_p_in10),
   .hip_rx_p_q2_ch11_i                      (rx_p_in11),
   .hip_rx_p_q3_ch12_i                      (rx_p_in12),
   .hip_rx_p_q3_ch13_i                      (rx_p_in13),
   .hip_rx_p_q3_ch14_i                      (rx_p_in14),
   .hip_rx_p_q3_ch15_i                      (rx_p_in15),
   .hip_rx_n_q0_ch0_i                       (rx_n_in0),
   .hip_rx_n_q0_ch1_i                       (rx_n_in1),
   .hip_rx_n_q0_ch2_i                       (rx_n_in2),
   .hip_rx_n_q0_ch3_i                       (rx_n_in3),
   .hip_rx_n_q1_ch4_i                       (rx_n_in4),
   .hip_rx_n_q1_ch5_i                       (rx_n_in5),
   .hip_rx_n_q1_ch6_i                       (rx_n_in6),
   .hip_rx_n_q1_ch7_i                       (rx_n_in7),
   .hip_rx_n_q2_ch8_i                       (rx_n_in8),
   .hip_rx_n_q2_ch9_i                       (rx_n_in9),
   .hip_rx_n_q2_ch10_i                      (rx_n_in10),
   .hip_rx_n_q2_ch11_i                      (rx_n_in11),
   .hip_rx_n_q3_ch12_i                      (rx_n_in12),
   .hip_rx_n_q3_ch13_i                      (rx_n_in13),
   .hip_rx_n_q3_ch14_i                      (rx_n_in14),
   .hip_rx_n_q3_ch15_i                      (rx_n_in15),
   .hip_ch0_pld_tx_dll_lock_req_i           (ch0_pld_tx_dll_lock_req),
   .hip_ch1_pld_tx_dll_lock_req_i           (ch1_pld_tx_dll_lock_req),
   .hip_ch2_pld_tx_dll_lock_req_i           (ch2_pld_tx_dll_lock_req),
   .hip_ch3_pld_tx_dll_lock_req_i           (ch3_pld_tx_dll_lock_req),
   .hip_ch4_pld_tx_dll_lock_req_i           (ch4_pld_tx_dll_lock_req),
   .hip_ch5_pld_tx_dll_lock_req_i           (ch5_pld_tx_dll_lock_req),
   .hip_ch6_pld_tx_dll_lock_req_i           (ch6_pld_tx_dll_lock_req),
   .hip_ch7_pld_tx_dll_lock_req_i           (ch7_pld_tx_dll_lock_req),
   .hip_ch8_pld_tx_dll_lock_req_i           (ch8_pld_tx_dll_lock_req),
   .hip_ch9_pld_tx_dll_lock_req_i           (ch9_pld_tx_dll_lock_req),
   .hip_ch10_pld_tx_dll_lock_req_i          (ch10_pld_tx_dll_lock_req),
   .hip_ch11_pld_tx_dll_lock_req_i          (ch11_pld_tx_dll_lock_req),
   .hip_ch12_pld_tx_dll_lock_req_i          (ch12_pld_tx_dll_lock_req),
   .hip_ch13_pld_tx_dll_lock_req_i          (ch13_pld_tx_dll_lock_req),
   .hip_ch14_pld_tx_dll_lock_req_i          (ch14_pld_tx_dll_lock_req),
   .hip_ch15_pld_tx_dll_lock_req_i          (ch15_pld_tx_dll_lock_req),
   .hip_ch16_pld_tx_dll_lock_req_i          (ch16_pld_tx_dll_lock_req),
   .hip_ch17_pld_tx_dll_lock_req_i          (ch17_pld_tx_dll_lock_req),
   .hip_ch18_pld_tx_dll_lock_req_i          (ch18_pld_tx_dll_lock_req),
   .hip_ch19_pld_tx_dll_lock_req_i          (ch19_pld_tx_dll_lock_req),
   .hip_ch20_pld_tx_dll_lock_req_i          (ch20_pld_tx_dll_lock_req),
   .hip_ch21_pld_tx_dll_lock_req_i          (ch21_pld_tx_dll_lock_req),
   .hip_ch22_pld_tx_dll_lock_req_i          (ch22_pld_tx_dll_lock_req),
   .hip_ch23_pld_tx_dll_lock_req_i          (ch23_pld_tx_dll_lock_req),
   .hip_ch0_pld_rx_dll_lock_req_i           (ch0_pld_rx_dll_lock_req),
   .hip_ch1_pld_rx_dll_lock_req_i           (ch1_pld_rx_dll_lock_req),
   .hip_ch2_pld_rx_dll_lock_req_i           (ch2_pld_rx_dll_lock_req),
   .hip_ch3_pld_rx_dll_lock_req_i           (ch3_pld_rx_dll_lock_req),
   .hip_ch4_pld_rx_dll_lock_req_i           (ch4_pld_rx_dll_lock_req),
   .hip_ch5_pld_rx_dll_lock_req_i           (ch5_pld_rx_dll_lock_req),
   .hip_ch6_pld_rx_dll_lock_req_i           (ch6_pld_rx_dll_lock_req),
   .hip_ch7_pld_rx_dll_lock_req_i           (ch7_pld_rx_dll_lock_req),
   .hip_ch8_pld_rx_dll_lock_req_i           (ch8_pld_rx_dll_lock_req),
   .hip_ch9_pld_rx_dll_lock_req_i           (ch9_pld_rx_dll_lock_req),
   .hip_ch10_pld_rx_dll_lock_req_i          (ch10_pld_rx_dll_lock_req),
   .hip_ch11_pld_rx_dll_lock_req_i          (ch11_pld_rx_dll_lock_req),
   .hip_ch12_pld_rx_dll_lock_req_i          (ch12_pld_rx_dll_lock_req),
   .hip_ch13_pld_rx_dll_lock_req_i          (ch13_pld_rx_dll_lock_req),
   .hip_ch14_pld_rx_dll_lock_req_i          (ch14_pld_rx_dll_lock_req),
   .hip_ch15_pld_rx_dll_lock_req_i          (ch15_pld_rx_dll_lock_req),
   .hip_ch16_pld_rx_dll_lock_req_i          (ch16_pld_rx_dll_lock_req),
   .hip_ch17_pld_rx_dll_lock_req_i          (ch17_pld_rx_dll_lock_req),
   .hip_ch18_pld_rx_dll_lock_req_i          (ch18_pld_rx_dll_lock_req),
   .hip_ch19_pld_rx_dll_lock_req_i          (ch19_pld_rx_dll_lock_req),
   .hip_ch20_pld_rx_dll_lock_req_i          (ch20_pld_rx_dll_lock_req),
   .hip_ch21_pld_rx_dll_lock_req_i          (ch21_pld_rx_dll_lock_req),
   .hip_ch22_pld_rx_dll_lock_req_i          (ch22_pld_rx_dll_lock_req),
   .hip_ch23_pld_rx_dll_lock_req_i          (ch23_pld_rx_dll_lock_req),
   .hip_ch0_pld_fabric_tx_transfer_en_o     (ch0_pld_fabric_tx_transfer_en),
   .hip_ch1_pld_fabric_tx_transfer_en_o     (ch1_pld_fabric_tx_transfer_en),
   .hip_ch2_pld_fabric_tx_transfer_en_o     (ch2_pld_fabric_tx_transfer_en),
   .hip_ch3_pld_fabric_tx_transfer_en_o     (ch3_pld_fabric_tx_transfer_en),
   .hip_ch4_pld_fabric_tx_transfer_en_o     (ch4_pld_fabric_tx_transfer_en),
   .hip_ch5_pld_fabric_tx_transfer_en_o     (ch5_pld_fabric_tx_transfer_en),
   .hip_ch6_pld_fabric_tx_transfer_en_o     (ch6_pld_fabric_tx_transfer_en),
   .hip_ch7_pld_fabric_tx_transfer_en_o     (ch7_pld_fabric_tx_transfer_en),
   .hip_ch8_pld_fabric_tx_transfer_en_o     (ch8_pld_fabric_tx_transfer_en),
   .hip_ch9_pld_fabric_tx_transfer_en_o     (ch9_pld_fabric_tx_transfer_en),
   .hip_ch10_pld_fabric_tx_transfer_en_o    (ch10_pld_fabric_tx_transfer_en),
   .hip_ch11_pld_fabric_tx_transfer_en_o    (ch11_pld_fabric_tx_transfer_en),
   .hip_ch12_pld_fabric_tx_transfer_en_o    (ch12_pld_fabric_tx_transfer_en),
   .hip_ch13_pld_fabric_tx_transfer_en_o    (ch13_pld_fabric_tx_transfer_en),
   .hip_ch14_pld_fabric_tx_transfer_en_o    (ch14_pld_fabric_tx_transfer_en),
   .hip_ch15_pld_fabric_tx_transfer_en_o    (ch15_pld_fabric_tx_transfer_en),
   .hip_ch16_pld_fabric_tx_transfer_en_o    (ch16_pld_fabric_tx_transfer_en),
   .hip_ch17_pld_fabric_tx_transfer_en_o    (ch17_pld_fabric_tx_transfer_en),
   .hip_ch18_pld_fabric_tx_transfer_en_o    (ch18_pld_fabric_tx_transfer_en),
   .hip_ch19_pld_fabric_tx_transfer_en_o    (ch19_pld_fabric_tx_transfer_en),
   .hip_ch20_pld_fabric_tx_transfer_en_o    (ch20_pld_fabric_tx_transfer_en),
   .hip_ch21_pld_fabric_tx_transfer_en_o    (ch21_pld_fabric_tx_transfer_en),
   .hip_ch22_pld_fabric_tx_transfer_en_o    (ch22_pld_fabric_tx_transfer_en),
   .hip_ch23_pld_fabric_tx_transfer_en_o    (ch23_pld_fabric_tx_transfer_en),
   .hip_ch0_pld_hssi_rx_transfer_en_o       (ch0_pld_hssi_rx_transfer_en),
   .hip_ch1_pld_hssi_rx_transfer_en_o       (ch1_pld_hssi_rx_transfer_en),
   .hip_ch2_pld_hssi_rx_transfer_en_o       (ch2_pld_hssi_rx_transfer_en),
   .hip_ch3_pld_hssi_rx_transfer_en_o       (ch3_pld_hssi_rx_transfer_en),
   .hip_ch4_pld_hssi_rx_transfer_en_o       (ch4_pld_hssi_rx_transfer_en),
   .hip_ch5_pld_hssi_rx_transfer_en_o       (ch5_pld_hssi_rx_transfer_en),
   .hip_ch6_pld_hssi_rx_transfer_en_o       (ch6_pld_hssi_rx_transfer_en),
   .hip_ch7_pld_hssi_rx_transfer_en_o       (ch7_pld_hssi_rx_transfer_en),
   .hip_ch8_pld_hssi_rx_transfer_en_o       (ch8_pld_hssi_rx_transfer_en),
   .hip_ch9_pld_hssi_rx_transfer_en_o       (ch9_pld_hssi_rx_transfer_en),
   .hip_ch10_pld_hssi_rx_transfer_en_o      (ch10_pld_hssi_rx_transfer_en),
   .hip_ch11_pld_hssi_rx_transfer_en_o      (ch11_pld_hssi_rx_transfer_en),
   .hip_ch12_pld_hssi_rx_transfer_en_o      (ch12_pld_hssi_rx_transfer_en),
   .hip_ch13_pld_hssi_rx_transfer_en_o      (ch13_pld_hssi_rx_transfer_en),
   .hip_ch14_pld_hssi_rx_transfer_en_o      (ch14_pld_hssi_rx_transfer_en),
   .hip_ch15_pld_hssi_rx_transfer_en_o      (ch15_pld_hssi_rx_transfer_en),
   .hip_ch16_pld_hssi_rx_transfer_en_o      (ch16_pld_hssi_rx_transfer_en),
   .hip_ch17_pld_hssi_rx_transfer_en_o      (ch17_pld_hssi_rx_transfer_en),
   .hip_ch18_pld_hssi_rx_transfer_en_o      (ch18_pld_hssi_rx_transfer_en),
   .hip_ch19_pld_hssi_rx_transfer_en_o      (ch19_pld_hssi_rx_transfer_en),
   .hip_ch20_pld_hssi_rx_transfer_en_o      (ch20_pld_hssi_rx_transfer_en),
   .hip_ch21_pld_hssi_rx_transfer_en_o      (ch21_pld_hssi_rx_transfer_en),
   .hip_ch22_pld_hssi_rx_transfer_en_o      (ch22_pld_hssi_rx_transfer_en),
   .hip_ch23_pld_hssi_rx_transfer_en_o      (ch23_pld_hssi_rx_transfer_en),
   .hip_ch0_pld_hssi_osc_transfer_en_o      (ch0_pld_hssi_osc_transfer_en),
   .hip_ch1_pld_hssi_osc_transfer_en_o      (ch1_pld_hssi_osc_transfer_en),
   .hip_ch2_pld_hssi_osc_transfer_en_o      (ch2_pld_hssi_osc_transfer_en),
   .hip_ch3_pld_hssi_osc_transfer_en_o      (ch3_pld_hssi_osc_transfer_en),
   .hip_ch4_pld_hssi_osc_transfer_en_o      (ch4_pld_hssi_osc_transfer_en),
   .hip_ch5_pld_hssi_osc_transfer_en_o      (ch5_pld_hssi_osc_transfer_en),
   .hip_ch6_pld_hssi_osc_transfer_en_o      (ch6_pld_hssi_osc_transfer_en),
   .hip_ch7_pld_hssi_osc_transfer_en_o      (ch7_pld_hssi_osc_transfer_en),
   .hip_ch8_pld_hssi_osc_transfer_en_o      (ch8_pld_hssi_osc_transfer_en),
   .hip_ch9_pld_hssi_osc_transfer_en_o      (ch9_pld_hssi_osc_transfer_en),
   .hip_ch10_pld_hssi_osc_transfer_en_o     (ch10_pld_hssi_osc_transfer_en),
   .hip_ch11_pld_hssi_osc_transfer_en_o     (ch11_pld_hssi_osc_transfer_en),
   .hip_ch12_pld_hssi_osc_transfer_en_o     (ch12_pld_hssi_osc_transfer_en),
   .hip_ch13_pld_hssi_osc_transfer_en_o     (ch13_pld_hssi_osc_transfer_en),
   .hip_ch14_pld_hssi_osc_transfer_en_o     (ch14_pld_hssi_osc_transfer_en),
   .hip_ch15_pld_hssi_osc_transfer_en_o     (ch15_pld_hssi_osc_transfer_en),
   .hip_ch16_pld_hssi_osc_transfer_en_o     (ch16_pld_hssi_osc_transfer_en),
   .hip_ch17_pld_hssi_osc_transfer_en_o     (ch17_pld_hssi_osc_transfer_en),
   .hip_ch18_pld_hssi_osc_transfer_en_o     (ch18_pld_hssi_osc_transfer_en),
   .hip_ch19_pld_hssi_osc_transfer_en_o     (ch19_pld_hssi_osc_transfer_en),
   .hip_ch20_pld_hssi_osc_transfer_en_o     (ch20_pld_hssi_osc_transfer_en),
   .hip_ch21_pld_hssi_osc_transfer_en_o     (ch21_pld_hssi_osc_transfer_en),
   .hip_ch22_pld_hssi_osc_transfer_en_o     (ch22_pld_hssi_osc_transfer_en),
   .hip_ch23_pld_hssi_osc_transfer_en_o     (ch23_pld_hssi_osc_transfer_en),
   .hip_ch0_pld_rx_fabric_fifo_align_clr_i  (ch0_pld_rx_fabric_fifo_align_clr),
   .hip_ch1_pld_rx_fabric_fifo_align_clr_i  (ch1_pld_rx_fabric_fifo_align_clr),
   .hip_ch2_pld_rx_fabric_fifo_align_clr_i  (ch2_pld_rx_fabric_fifo_align_clr),
   .hip_ch3_pld_rx_fabric_fifo_align_clr_i  (ch3_pld_rx_fabric_fifo_align_clr),
   .hip_ch4_pld_rx_fabric_fifo_align_clr_i  (ch4_pld_rx_fabric_fifo_align_clr),
   .hip_ch5_pld_rx_fabric_fifo_align_clr_i  (ch5_pld_rx_fabric_fifo_align_clr),
   .hip_ch6_pld_rx_fabric_fifo_align_clr_i  (ch6_pld_rx_fabric_fifo_align_clr),
   .hip_ch7_pld_rx_fabric_fifo_align_clr_i  (ch7_pld_rx_fabric_fifo_align_clr),
   .hip_ch8_pld_rx_fabric_fifo_align_clr_i  (ch8_pld_rx_fabric_fifo_align_clr),
   .hip_ch9_pld_rx_fabric_fifo_align_clr_i  (ch9_pld_rx_fabric_fifo_align_clr),
   .hip_ch10_pld_rx_fabric_fifo_align_clr_i (ch10_pld_rx_fabric_fifo_align_clr),
   .hip_ch11_pld_rx_fabric_fifo_align_clr_i (ch11_pld_rx_fabric_fifo_align_clr),
   .hip_ch12_pld_rx_fabric_fifo_align_clr_i (ch12_pld_rx_fabric_fifo_align_clr),
   .hip_ch13_pld_rx_fabric_fifo_align_clr_i (ch13_pld_rx_fabric_fifo_align_clr),
   .hip_ch14_pld_rx_fabric_fifo_align_clr_i (ch14_pld_rx_fabric_fifo_align_clr),
   .hip_ch15_pld_rx_fabric_fifo_align_clr_i (ch15_pld_rx_fabric_fifo_align_clr),
   .hip_ch16_pld_rx_fabric_fifo_align_clr_i (ch16_pld_rx_fabric_fifo_align_clr),
   .hip_ch17_pld_rx_fabric_fifo_align_clr_i (ch17_pld_rx_fabric_fifo_align_clr),
   .hip_ch18_pld_rx_fabric_fifo_align_clr_i (ch18_pld_rx_fabric_fifo_align_clr),
   .hip_ch19_pld_rx_fabric_fifo_align_clr_i (ch19_pld_rx_fabric_fifo_align_clr),
   .hip_ch20_pld_rx_fabric_fifo_align_clr_i (ch20_pld_rx_fabric_fifo_align_clr),
   .hip_ch21_pld_rx_fabric_fifo_align_clr_i (ch21_pld_rx_fabric_fifo_align_clr),
   .hip_ch22_pld_rx_fabric_fifo_align_clr_i (ch22_pld_rx_fabric_fifo_align_clr),
   .hip_ch23_pld_rx_fabric_fifo_align_clr_i (ch23_pld_rx_fabric_fifo_align_clr),
   .hip_rx_datapath_ch0_o                   (rx_datapath_ch0),
   .hip_rx_datapath_ch1_o                   (rx_datapath_ch1),
   .hip_rx_datapath_ch2_o                   (rx_datapath_ch2),
   .hip_rx_datapath_ch3_o                   (rx_datapath_ch3),
   .hip_rx_datapath_ch4_o                   (rx_datapath_ch4),
   .hip_rx_datapath_ch5_o                   (rx_datapath_ch5),
   .hip_rx_datapath_ch6_o                   (rx_datapath_ch6),
   .hip_rx_datapath_ch7_o                   (rx_datapath_ch7),
   .hip_rx_datapath_ch8_o                   (rx_datapath_ch8),
   .hip_rx_datapath_ch9_o                   (rx_datapath_ch9),
   .hip_rx_datapath_ch10_o                  (rx_datapath_ch10),
   .hip_rx_datapath_ch11_o                  (rx_datapath_ch11),
   .hip_rx_datapath_ch12_o                  (rx_datapath_ch12),
   .hip_rx_datapath_ch13_o                  (rx_datapath_ch13),
   .hip_rx_datapath_ch14_o                  (rx_datapath_ch14),
   .hip_rx_datapath_ch15_o                  (rx_datapath_ch15),
   .hip_rx_datapath_ch16_o                  (rx_datapath_ch16),
   .hip_rx_datapath_ch17_o                  (rx_datapath_ch17),
   .hip_rx_datapath_ch18_o                  (rx_datapath_ch18),
   .hip_rx_datapath_ch19_o                  (rx_datapath_ch19),
   .hip_rx_datapath_ch20_o                  (rx_datapath_ch20),
   .hip_rx_datapath_ch21_o                  (rx_datapath_ch21),
   .hip_rx_datapath_ch22_o                  (rx_datapath_ch22),
   .hip_rx_datapath_ch23_o                  (rx_datapath_ch23),
   .hip_tx_datapath_ch0_i                   (tx_datapath_ch0),
   .hip_tx_datapath_ch1_i                   (tx_datapath_ch1),
   .hip_tx_datapath_ch2_i                   (tx_datapath_ch2),
   .hip_tx_datapath_ch3_i                   (tx_datapath_ch3),
   .hip_tx_datapath_ch4_i                   (tx_datapath_ch4),
   .hip_tx_datapath_ch5_i                   (tx_datapath_ch5),
   .hip_tx_datapath_ch6_i                   (tx_datapath_ch6),
   .hip_tx_datapath_ch7_i                   (tx_datapath_ch7),
   .hip_tx_datapath_ch8_i                   (tx_datapath_ch8),
   .hip_tx_datapath_ch9_i                   (tx_datapath_ch9),
   .hip_tx_datapath_ch10_i                  (tx_datapath_ch10),
   .hip_tx_datapath_ch11_i                  (tx_datapath_ch11),
   .hip_tx_datapath_ch12_i                  (tx_datapath_ch12),
   .hip_tx_datapath_ch13_i                  (tx_datapath_ch13),
   .hip_tx_datapath_ch14_i                  (tx_datapath_ch14),
   .hip_tx_datapath_ch15_i                  (tx_datapath_ch15),
   .hip_tx_datapath_ch16_i                  (tx_datapath_ch16),
   .hip_tx_datapath_ch17_i                  (tx_datapath_ch17),
   .hip_tx_datapath_ch18_i                  (tx_datapath_ch18),
   .hip_tx_datapath_ch19_i                  (tx_datapath_ch19),
   .hip_tx_datapath_ch20_i                  (tx_datapath_ch20),
   .hip_tx_datapath_ch21_i                  (tx_datapath_ch21),
   .hip_tx_datapath_ch22_i                  (tx_datapath_ch22),
   .hip_tx_datapath_ch23_i                  (tx_datapath_ch23),
   .hip_rx_async_direct_ch0_o               (rx_async_direct_ch0),
   .hip_rx_async_direct_ch1_o               (rx_async_direct_ch1),
   .hip_rx_async_direct_ch2_o               (rx_async_direct_ch2),
   .hip_rx_async_direct_ch3_o               (rx_async_direct_ch3),
   .hip_tx_async_direct_ch0_i               (tx_async_direct_ch0),
   .hip_rx_fsr_ch0_o                        (rx_fsr_ch0),
   .hip_rx_fsr_ch1_o                        (rx_fsr_ch1),
   .hip_rx_fsr_ch2_o                        (rx_fsr_ch2),
   .hip_rx_fsr_ch3_o                        (rx_fsr_ch3),
   .hip_rx_fsr_ch4_o                        (rx_fsr_ch4),
   .hip_rx_fsr_ch5_o                        (rx_fsr_ch5),
   .hip_rx_fsr_ch6_o                        (rx_fsr_ch6),
   .hip_rx_fsr_ch7_o                        (rx_fsr_ch7),
   .hip_rx_fsr_ch8_o                        (rx_fsr_ch8),
   .hip_rx_fsr_ch9_o                        (rx_fsr_ch9),
   .hip_rx_fsr_ch10_o                       (rx_fsr_ch10),
   .hip_rx_fsr_ch11_o                       (rx_fsr_ch11),
   .hip_rx_fsr_ch12_o                       (rx_fsr_ch12),
   .hip_rx_fsr_ch13_o                       (rx_fsr_ch13),
   .hip_tx_fsr_ch0_i                        (tx_fsr_ch0),
   .hip_tx_fsr_ch1_i                        (tx_fsr_ch1),
   .hip_tx_fsr_ch2_i                        (tx_fsr_ch2),
   .hip_tx_fsr_ch5_i                        (tx_fsr_ch5),
   .hip_tx_fsr_ch6_i                        (tx_fsr_ch6),
   .hip_tx_fsr_ch7_i                        (tx_fsr_ch7),
   .hip_tx_fsr_ch8_i                        (tx_fsr_ch8),
   .hip_tx_fsr_ch11_i                       (tx_fsr_ch11),
   .hip_rx_ssr_ch0_o                        (rx_ssr_ch0),
   .hip_rx_ssr_ch1_o                        (rx_ssr_ch1),
   .hip_rx_ssr_ch5_o                        (rx_ssr_ch5),
   .hip_rx_ssr_ch8_o                        (rx_ssr_ch8),
   .hip_rx_ssr_ch11_o                       (rx_ssr_ch11),
   .hip_tx_ssr_ch0_i                        (tx_ssr_ch0),
   .hip_tx_ssr_ch1_i                        (tx_ssr_ch1),
   .hip_tx_ssr_ch2_i                        (tx_ssr_ch2),
   .hip_avmm2_ch0_clk_i                     (avmm2_ch0_clk),
   .hip_avmm2_ch0_write_i                   (avmm2_ch0_write),
   .hip_avmm2_ch0_read_i                    (avmm2_ch0_read),
   .hip_avmm2_ch0_readdatavalid_o           (avmm2_ch0_readdatavalid),
   .hip_avmm2_ch0_writedone_o               (avmm2_ch0_writedone),
   .hip_avmm2_ch0_address_i                 (avmm2_ch0_address),
   .hip_avmm2_ch0_writedata_i               (avmm2_ch0_writedata),
   .hip_avmm2_ch0_readdata_o                (avmm2_ch0_readdata),
   .hip_avmm2_ch1_clk_i                     (avmm2_ch1_clk),
   .hip_avmm2_ch1_write_i                   (avmm2_ch1_write),
   .hip_avmm2_ch1_read_i                    (avmm2_ch1_read),
   .hip_avmm2_ch1_readdatavalid_o           (avmm2_ch1_readdatavalid),
   .hip_avmm2_ch1_writedone_o               (avmm2_ch1_writedone),
   .hip_avmm2_ch1_address_i                 (avmm2_ch1_address),
   .hip_avmm2_ch1_writedata_i               (avmm2_ch1_writedata),
   .hip_avmm2_ch1_readdata_o                (avmm2_ch1_readdata),
   .hip_avmm2_ch2_clk_i                     (avmm2_ch2_clk),
   .hip_avmm2_ch2_write_i                   (avmm2_ch2_write),
   .hip_avmm2_ch2_read_i                    (avmm2_ch2_read),
   .hip_avmm2_ch2_readdatavalid_o           (avmm2_ch2_readdatavalid),
   .hip_avmm2_ch2_writedone_o               (avmm2_ch2_writedone),
   .hip_avmm2_ch2_address_i                 (avmm2_ch2_address),
   .hip_avmm2_ch2_writedata_i               (avmm2_ch2_writedata),
   .hip_avmm2_ch2_readdata_o                (avmm2_ch2_readdata),
   .hip_avmm2_ch3_clk_i                     (avmm2_ch3_clk),
   .hip_avmm2_ch3_write_i                   (avmm2_ch3_write),
   .hip_avmm2_ch3_read_i                    (avmm2_ch3_read),
   .hip_avmm2_ch3_readdatavalid_o           (avmm2_ch3_readdatavalid),
   .hip_avmm2_ch3_writedone_o               (avmm2_ch3_writedone),
   .hip_avmm2_ch3_address_i                 (avmm2_ch3_address),
   .hip_avmm2_ch3_writedata_i               (avmm2_ch3_writedata),
   .hip_avmm2_ch3_readdata_o                (avmm2_ch3_readdata),
   .hip_avmm2_ch4_clk_i                     (avmm2_ch4_clk),
   .hip_avmm2_ch4_write_i                   (avmm2_ch4_write),
   .hip_avmm2_ch4_read_i                    (avmm2_ch4_read),
   .hip_avmm2_ch4_readdatavalid_o           (avmm2_ch4_readdatavalid),
   .hip_avmm2_ch4_writedone_o               (avmm2_ch4_writedone),
   .hip_avmm2_ch4_address_i                 (avmm2_ch4_address),
   .hip_avmm2_ch4_writedata_i               (avmm2_ch4_writedata),
   .hip_avmm2_ch4_readdata_o                (avmm2_ch4_readdata),
   .hip_avmm2_ch5_clk_i                     (avmm2_ch5_clk),
   .hip_avmm2_ch5_write_i                   (avmm2_ch5_write),
   .hip_avmm2_ch5_read_i                    (avmm2_ch5_read),
   .hip_avmm2_ch5_readdatavalid_o           (avmm2_ch5_readdatavalid),
   .hip_avmm2_ch5_writedone_o               (avmm2_ch5_writedone),
   .hip_avmm2_ch5_address_i                 (avmm2_ch5_address),
   .hip_avmm2_ch5_writedata_i               (avmm2_ch5_writedata),
   .hip_avmm2_ch5_readdata_o                (avmm2_ch5_readdata),
   .hip_avmm2_ch6_clk_i                     (avmm2_ch6_clk),
   .hip_avmm2_ch6_write_i                   (avmm2_ch6_write),
   .hip_avmm2_ch6_read_i                    (avmm2_ch6_read),
   .hip_avmm2_ch6_readdatavalid_o           (avmm2_ch6_readdatavalid),
   .hip_avmm2_ch6_writedone_o               (avmm2_ch6_writedone),
   .hip_avmm2_ch6_address_i                 (avmm2_ch6_address),
   .hip_avmm2_ch6_writedata_i               (avmm2_ch6_writedata),
   .hip_avmm2_ch6_readdata_o                (avmm2_ch6_readdata),
   .hip_avmm2_ch7_clk_i                     (avmm2_ch7_clk),
   .hip_avmm2_ch7_write_i                   (avmm2_ch7_write),
   .hip_avmm2_ch7_read_i                    (avmm2_ch7_read),
   .hip_avmm2_ch7_readdatavalid_o           (avmm2_ch7_readdatavalid),
   .hip_avmm2_ch7_writedone_o               (avmm2_ch7_writedone),
   .hip_avmm2_ch7_address_i                 (avmm2_ch7_address),
   .hip_avmm2_ch7_writedata_i               (avmm2_ch7_writedata),
   .hip_avmm2_ch7_readdata_o                (avmm2_ch7_readdata),
   .hip_avmm2_ch8_clk_i                     (avmm2_ch8_clk),
   .hip_avmm2_ch8_write_i                   (avmm2_ch8_write),
   .hip_avmm2_ch8_read_i                    (avmm2_ch8_read),
   .hip_avmm2_ch8_readdatavalid_o           (avmm2_ch8_readdatavalid),
   .hip_avmm2_ch8_writedone_o               (avmm2_ch8_writedone),
   .hip_avmm2_ch8_address_i                 (avmm2_ch8_address),
   .hip_avmm2_ch8_writedata_i               (avmm2_ch8_writedata),
   .hip_avmm2_ch8_readdata_o                (avmm2_ch8_readdata),
   .hip_avmm2_ch9_clk_i                     (avmm2_ch9_clk),
   .hip_avmm2_ch9_write_i                   (avmm2_ch9_write),
   .hip_avmm2_ch9_read_i                    (avmm2_ch9_read),
   .hip_avmm2_ch9_readdatavalid_o           (avmm2_ch9_readdatavalid),
   .hip_avmm2_ch9_writedone_o               (avmm2_ch9_writedone),
   .hip_avmm2_ch9_address_i                 (avmm2_ch9_address),
   .hip_avmm2_ch9_writedata_i               (avmm2_ch9_writedata),
   .hip_avmm2_ch9_readdata_o                (avmm2_ch9_readdata),
   .hip_avmm2_ch10_clk_i                    (avmm2_ch10_clk),
   .hip_avmm2_ch10_write_i                  (avmm2_ch10_write),
   .hip_avmm2_ch10_read_i                   (avmm2_ch10_read),
   .hip_avmm2_ch10_readdatavalid_o          (avmm2_ch10_readdatavalid),
   .hip_avmm2_ch10_writedone_o              (avmm2_ch10_writedone),
   .hip_avmm2_ch10_address_i                (avmm2_ch10_address),
   .hip_avmm2_ch10_writedata_i              (avmm2_ch10_writedata),
   .hip_avmm2_ch10_readdata_o               (avmm2_ch10_readdata),
   .hip_avmm2_ch11_clk_i                    (avmm2_ch11_clk),
   .hip_avmm2_ch11_write_i                  (avmm2_ch11_write),
   .hip_avmm2_ch11_read_i                   (avmm2_ch11_read),
   .hip_avmm2_ch11_readdatavalid_o          (avmm2_ch11_readdatavalid),
   .hip_avmm2_ch11_writedone_o              (avmm2_ch11_writedone),
   .hip_avmm2_ch11_address_i                (avmm2_ch11_address),
   .hip_avmm2_ch11_writedata_i              (avmm2_ch11_writedata),
   .hip_avmm2_ch11_readdata_o               (avmm2_ch11_readdata),
   .hip_avmm2_ch12_clk_i                    (avmm2_ch12_clk),
   .hip_avmm2_ch12_write_i                  (avmm2_ch12_write),
   .hip_avmm2_ch12_read_i                   (avmm2_ch12_read),
   .hip_avmm2_ch12_readdatavalid_o          (avmm2_ch12_readdatavalid),
   .hip_avmm2_ch12_writedone_o              (avmm2_ch12_writedone),
   .hip_avmm2_ch12_address_i                (avmm2_ch12_address),
   .hip_avmm2_ch12_writedata_i              (avmm2_ch12_writedata),
   .hip_avmm2_ch12_readdata_o               (avmm2_ch12_readdata),
   .hip_avmm2_ch13_clk_i                    (avmm2_ch13_clk),
   .hip_avmm2_ch13_write_i                  (avmm2_ch13_write),
   .hip_avmm2_ch13_read_i                   (avmm2_ch13_read),
   .hip_avmm2_ch13_readdatavalid_o          (avmm2_ch13_readdatavalid),
   .hip_avmm2_ch13_writedone_o              (avmm2_ch13_writedone),
   .hip_avmm2_ch13_address_i                (avmm2_ch13_address),
   .hip_avmm2_ch13_writedata_i              (avmm2_ch13_writedata),
   .hip_avmm2_ch13_readdata_o               (avmm2_ch13_readdata),
   .hip_avmm2_ch14_clk_i                    (avmm2_ch14_clk),
   .hip_avmm2_ch14_write_i                  (avmm2_ch14_write),
   .hip_avmm2_ch14_read_i                   (avmm2_ch14_read),
   .hip_avmm2_ch14_readdatavalid_o          (avmm2_ch14_readdatavalid),
   .hip_avmm2_ch14_writedone_o              (avmm2_ch14_writedone),
   .hip_avmm2_ch14_address_i                (avmm2_ch14_address),
   .hip_avmm2_ch14_writedata_i              (avmm2_ch14_writedata),
   .hip_avmm2_ch14_readdata_o               (avmm2_ch14_readdata),
   .hip_avmm2_ch15_clk_i                    (avmm2_ch15_clk),
   .hip_avmm2_ch15_write_i                  (avmm2_ch15_write),
   .hip_avmm2_ch15_read_i                   (avmm2_ch15_read),
   .hip_avmm2_ch15_readdatavalid_o          (avmm2_ch15_readdatavalid),
   .hip_avmm2_ch15_writedone_o              (avmm2_ch15_writedone),
   .hip_avmm2_ch15_address_i                (avmm2_ch15_address),
   .hip_avmm2_ch15_writedata_i              (avmm2_ch15_writedata),
   .hip_avmm2_ch15_readdata_o               (avmm2_ch15_readdata),
   .hip_avmm2_ch16_clk_i                    (avmm2_ch16_clk),
   .hip_avmm2_ch16_write_i                  (avmm2_ch16_write),
   .hip_avmm2_ch16_read_i                   (avmm2_ch16_read),
   .hip_avmm2_ch16_readdatavalid_o          (avmm2_ch16_readdatavalid),
   .hip_avmm2_ch16_writedone_o              (avmm2_ch16_writedone),
   .hip_avmm2_ch16_address_i                (avmm2_ch16_address),
   .hip_avmm2_ch16_writedata_i              (avmm2_ch16_writedata),
   .hip_avmm2_ch16_readdata_o               (avmm2_ch16_readdata),
   .hip_avmm2_ch17_clk_i                    (avmm2_ch17_clk),
   .hip_avmm2_ch17_write_i                  (avmm2_ch17_write),
   .hip_avmm2_ch17_read_i                   (avmm2_ch17_read),
   .hip_avmm2_ch17_readdatavalid_o          (avmm2_ch17_readdatavalid),
   .hip_avmm2_ch17_writedone_o              (avmm2_ch17_writedone),
   .hip_avmm2_ch17_address_i                (avmm2_ch17_address),
   .hip_avmm2_ch17_writedata_i              (avmm2_ch17_writedata),
   .hip_avmm2_ch17_readdata_o               (avmm2_ch17_readdata),
   .hip_avmm2_ch18_clk_i                    (avmm2_ch18_clk),
   .hip_avmm2_ch18_write_i                  (avmm2_ch18_write),
   .hip_avmm2_ch18_read_i                   (avmm2_ch18_read),
   .hip_avmm2_ch18_readdatavalid_o          (avmm2_ch18_readdatavalid),
   .hip_avmm2_ch18_writedone_o              (avmm2_ch18_writedone),
   .hip_avmm2_ch18_address_i                (avmm2_ch18_address),
   .hip_avmm2_ch18_writedata_i              (avmm2_ch18_writedata),
   .hip_avmm2_ch18_readdata_o               (avmm2_ch18_readdata),
   .hip_avmm2_ch19_clk_i                    (avmm2_ch19_clk),
   .hip_avmm2_ch19_write_i                  (avmm2_ch19_write),
   .hip_avmm2_ch19_read_i                   (avmm2_ch19_read),
   .hip_avmm2_ch19_readdatavalid_o          (avmm2_ch19_readdatavalid),
   .hip_avmm2_ch19_writedone_o              (avmm2_ch19_writedone),
   .hip_avmm2_ch19_address_i                (avmm2_ch19_address),
   .hip_avmm2_ch19_writedata_i              (avmm2_ch19_writedata),
   .hip_avmm2_ch19_readdata_o               (avmm2_ch19_readdata)
);

   logic core_pll_lock_sync;
   
   // -------------------- IOPLL instantiation --------------------
   logic   adapt_iopll_locked, adapt_iopll_locked_sync;

   generate
      if (adapter_type_hwtcl=="A" || adapter_type_hwtcl=="B" || adapter_type_hwtcl=="C") begin : g_halfrate_inst
         if (adapter_clk_source_hwtcl == "IOPLL") begin : g_iopll_inst
            // CPLL will get reset by super reset
            // perst is default to full reset, which does not reset CPLL
            pcie_iopll_adapter pcie_iopll_adapt_inst (
               .outclk_0      (adapter_clk),
               .refclk        (pld_clk),
               .rst           (~core_pll_lock_sync),
               .locked        (adapt_iopll_locked),
               .permit_cal    (core_pll_lock_sync)
            );
   
            // synchronize adapt_iopll_locked
            altera_std_synchronizer_nocut #(
               .depth     (3),
               .rst_value (0)
            ) iopll_locked_sync_inst (
               .clk     (adapter_clk),
               .reset_n (1'b1),
               .din     (adapt_iopll_locked),
               .dout    (adapt_iopll_locked_sync)
            );
         end else begin : g_clkdiv_inst
            tennm_clk_divider pcie_clk_divider_inst (
               .inclk      (pld_clk),
               .clock_div1 (),
               .clock_div2 (adapter_clk),
               .clock_div4 ()
            );

            assign adapt_iopll_locked_sync = 1'b1;
         end
      end else begin : g_same_speed
         assign adapter_clk             =  pld_clk;
         assign adapt_iopll_locked_sync =  1'b1;
      end
   endgenerate

   assign coreclkout_hip = adapter_clk; //output to user

pcie_sip_top # (
   .sim_mode_hwtcl                                              (sim_mode_hwtcl),
   .topology                                                    (topology),
   .generating_b0_hwtcl                                         (generating_b0_hwtcl),
   .ctop_core16_virtual_rp_ep_mode                              (ctop_core16_virtual_rp_ep_mode),
   .ctop_core8_virtual_rp_ep_mode                               (ctop_core8_virtual_rp_ep_mode),
   .ctop_core4_0_virtual_rp_ep_mode                             (ctop_core4_0_virtual_rp_ep_mode),
   .ctop_core4_1_virtual_rp_ep_mode                             (ctop_core4_1_virtual_rp_ep_mode),
   .core16_virtual_tlp_bypass_en_hwtcl                          (core16_virtual_tlp_bypass_en_hwtcl),
   .core8_virtual_tlp_bypass_en_hwtcl                           (core8_virtual_tlp_bypass_en_hwtcl),
   .core4_0_virtual_tlp_bypass_en_hwtcl                         (core4_0_virtual_tlp_bypass_en_hwtcl),
   .core4_1_virtual_tlp_bypass_en_hwtcl                         (core4_1_virtual_tlp_bypass_en_hwtcl),
   .core16_total_pf_count_width_hwtcl                           (core16_total_pf_count_width_hwtcl),
   .core16_total_vf_count_width_hwtcl                           (core16_total_vf_count_width_hwtcl),
   .core16_total_pf_count_hwtcl                                 (core16_total_pf_count_hwtcl),
   .core16_total_vf_count_hwtcl                                 (core16_total_vf_count_hwtcl),
   .core8_total_pf_count_width_hwtcl                            (core8_total_pf_count_width_hwtcl),
   .core8_total_vf_count_width_hwtcl                            (core8_total_vf_count_width_hwtcl),
   .core8_total_pf_count_hwtcl                                  (core8_total_pf_count_hwtcl),
   .core8_total_vf_count_hwtcl                                  (core8_total_vf_count_hwtcl),

   // PCS Reconfig
   .PCS_CONFIG_EN                                               (PCS_CONFIG_EN),
   .core16_hip_reconfig_hwtcl                                   (core16_hip_reconfig_hwtcl),
   .core8_hip_reconfig_hwtcl                                    (core8_hip_reconfig_hwtcl),
   .core4_0_hip_reconfig_hwtcl                                  (core4_0_hip_reconfig_hwtcl),
   .core4_1_hip_reconfig_hwtcl                                  (core4_1_hip_reconfig_hwtcl),
   .xcvr_reconfig_hwtcl                                         (xcvr_reconfig_hwtcl),

   // TX/RX streaming interface
   .core16_payload_width_integer_hwtcl                          (core16_payload_width_integer_hwtcl),
   .core16_hdr_width_integer_hwtcl                              (core16_hdr_width_integer_hwtcl),
   .core16_pfx_width_integer_hwtcl                              (core16_pfx_width_integer_hwtcl),
   .core16_double_width_integer_hwtcl                           (core16_double_width_integer_hwtcl),
   .core16_empty_width_integer_hwtcl                            (core16_empty_width_integer_hwtcl),
   .core8_payload_width_integer_hwtcl                           (core8_payload_width_integer_hwtcl),
   .core8_hdr_width_integer_hwtcl                               (core8_hdr_width_integer_hwtcl),
   .core8_pfx_width_integer_hwtcl                               (core8_pfx_width_integer_hwtcl),
   .core8_double_width_integer_hwtcl                            (core8_double_width_integer_hwtcl),
   .core8_empty_width_integer_hwtcl                             (core8_empty_width_integer_hwtcl),
   .core4_0_payload_width_integer_hwtcl                         (core4_0_payload_width_integer_hwtcl),
   .core4_0_hdr_width_integer_hwtcl                             (core4_0_hdr_width_integer_hwtcl),
   .core4_0_pfx_width_integer_hwtcl                             (core4_0_pfx_width_integer_hwtcl),
   .core4_0_double_width_integer_hwtcl                          (core4_0_double_width_integer_hwtcl),
   .core4_0_empty_width_integer_hwtcl                           (core4_0_empty_width_integer_hwtcl),
   .core4_1_payload_width_integer_hwtcl                         (core4_1_payload_width_integer_hwtcl),
   .core4_1_hdr_width_integer_hwtcl                             (core4_1_hdr_width_integer_hwtcl),
   .core4_1_pfx_width_integer_hwtcl                             (core4_1_pfx_width_integer_hwtcl),
   .core4_1_double_width_integer_hwtcl                          (core4_1_double_width_integer_hwtcl),
   .core4_1_empty_width_integer_hwtcl                           (core4_1_empty_width_integer_hwtcl),

   // rx_buffer_limit
   .core16_enable_rx_buffer_limit_ports_hwtcl                   (core16_enable_rx_buffer_limit_ports_hwtcl),
   .core8_enable_rx_buffer_limit_ports_hwtcl                    (core8_enable_rx_buffer_limit_ports_hwtcl),
   .core4_0_enable_rx_buffer_limit_ports_hwtcl                  (core4_0_enable_rx_buffer_limit_ports_hwtcl),
   .core4_1_enable_rx_buffer_limit_ports_hwtcl                  (core4_1_enable_rx_buffer_limit_ports_hwtcl),

   // PTM
   .core16_virtual_ptm_hwtcl                                    (core16_virtual_ptm_hwtcl),
   .core8_virtual_ptm_hwtcl                                     (core8_virtual_ptm_hwtcl),

   // ARI_ACS_FUN_GRP_CAP
   .ctop_core16_pf0_ari_acs_fun_grp_cap                         (ctop_core16_pf0_ari_acs_fun_grp_cap),
   .ctop_core8_pf0_ari_acs_fun_grp_cap                          (ctop_core8_pf0_ari_acs_fun_grp_cap), 

   // Debug Toolkit
   .ftile_debug_toolkit_hwtcl                                   (ftile_debug_toolkit_hwtcl),
   .ftile_enable_pciess_register_access_hwtcl                   (ftile_enable_pciess_register_access_hwtcl),
   .ftile_link_insp_en_hwtcl                                    (ftile_link_insp_en_hwtcl),
   .ftile_link_insp_avmm_en_hwtcl                               (ftile_link_insp_avmm_en_hwtcl),

   //Independent pin perst
   .ctop_virtual_x16_perst_sel                                  (ctop_virtual_x16_perst_sel),
   .ctop_virtual_x8_perst_sel                                   (ctop_virtual_x8_perst_sel),
   .ctop_virtual_x40_perst_sel                                  (ctop_virtual_x40_perst_sel),
   .ctop_virtual_x41_perst_sel                                  (ctop_virtual_x41_perst_sel),

   //USER_MODE_TO_PLD_IN_USE
   .core16_user_mode_to_pld_in_use_hwtcl                        (core16_user_mode_to_pld_in_use_hwtcl),
   .core8_user_mode_to_pld_in_use_hwtcl                         (core8_user_mode_to_pld_in_use_hwtcl),
   .core4_0_user_mode_to_pld_in_use_hwtcl                       (core4_0_user_mode_to_pld_in_use_hwtcl),
   .core4_1_user_mode_to_pld_in_use_hwtcl                       (core4_1_user_mode_to_pld_in_use_hwtcl),

   // pld_warm_rst_rdy
   .core16_enable_pld_warm_rst_rdy_hwtcl                        (core16_enable_pld_warm_rst_rdy_hwtcl ),
   .core8_enable_pld_warm_rst_rdy_hwtcl                         (core8_enable_pld_warm_rst_rdy_hwtcl  ),
   .core4_0_enable_pld_warm_rst_rdy_hwtcl                       (core4_0_enable_pld_warm_rst_rdy_hwtcl),
   .core4_1_enable_pld_warm_rst_rdy_hwtcl                       (core4_1_enable_pld_warm_rst_rdy_hwtcl),

   // Adapter
   .adapter_type_hwtcl                                          (adapter_type_hwtcl                   ),
   
   // max payload
   .ctop_core16_virtual_maxpayload_size                         (ctop_core16_virtual_maxpayload_size  ),
   .ctop_core8_virtual_maxpayload_size                          (ctop_core8_virtual_maxpayload_size   ),
   .ctop_core4_0_virtual_maxpayload_size                        (ctop_core4_0_virtual_maxpayload_size ),
   .ctop_core4_1_virtual_maxpayload_size                        (ctop_core4_1_virtual_maxpayload_size ),
   
   // ast_parity
   .core16_use_ast_parity_hwtcl                                 (core16_use_ast_parity_hwtcl          ),
   .core8_use_ast_parity_hwtcl                                  (core8_use_ast_parity_hwtcl           ),
   .core4_0_use_ast_parity_hwtcl                                (core4_0_use_ast_parity_hwtcl         ),
   .core4_1_use_ast_parity_hwtcl                                (core4_1_use_ast_parity_hwtcl         ),
   
   // Power Management
   .core16_enable_power_mgnt_intf_hwtcl                         (core16_enable_power_mgnt_intf_hwtcl  ),
   .core8_enable_power_mgnt_intf_hwtcl                          (core8_enable_power_mgnt_intf_hwtcl   ),
   .core4_0_enable_power_mgnt_intf_hwtcl                        (core4_0_enable_power_mgnt_intf_hwtcl ),
   .core4_1_enable_power_mgnt_intf_hwtcl                        (core4_1_enable_power_mgnt_intf_hwtcl ),

   // Error Interface
   .core16_enable_error_intf_hwtcl                              (core16_enable_error_intf_hwtcl       ),
   .core8_enable_error_intf_hwtcl                               (core8_enable_error_intf_hwtcl        ),
   .core4_0_enable_error_intf_hwtcl                             (core4_0_enable_error_intf_hwtcl      ),
   .core4_1_enable_error_intf_hwtcl                             (core4_1_enable_error_intf_hwtcl      ),
   
   // FLR
   .core16_flr_cap_hwtcl                                        (core16_flr_cap_hwtcl                 ),
   .core8_flr_cap_hwtcl                                         (core8_flr_cap_hwtcl                  ),
   .core4_0_flr_cap_hwtcl                                       (core4_0_flr_cap_hwtcl                ),
   .core4_1_flr_cap_hwtcl                                       (core4_1_flr_cap_hwtcl                ),
   
   // cpl_timeout
   .core16_enable_cpl_timeout_hwtcl                             (core16_enable_cpl_timeout_hwtcl      ),
   .core8_enable_cpl_timeout_hwtcl                              (core8_enable_cpl_timeout_hwtcl       ),
   .core4_0_enable_cpl_timeout_hwtcl                            (core4_0_enable_cpl_timeout_hwtcl     ),
   .core4_1_enable_cpl_timeout_hwtcl                            (core4_1_enable_cpl_timeout_hwtcl     ),
   
   // multi_func
   .core16_enable_multi_func_hwtcl                              (core16_enable_multi_func_hwtcl       ),
   .core8_enable_multi_func_hwtcl                               (core8_enable_multi_func_hwtcl        ),
   
   // SRIOV
   .core16_enable_sriov_hwtcl                                   (core16_enable_sriov_hwtcl            ),
   .core8_enable_sriov_hwtcl                                    (core8_enable_sriov_hwtcl             ),
   
   // 10-bit tag
   .core16_enable_10bit_tag_support_intf_hwtcl                  (core16_enable_10bit_tag_support_intf_hwtcl),
   

   // Virtio
   .core16_enable_virtio_hwtcl                                  (core16_enable_virtio_hwtcl),
   .core16_virtio_start_byte_address_hwtcl                      (core16_virtio_start_byte_address_hwtcl),
   .core16_pf0_virtio_capability_present_hwtcl                  (core16_pf0_virtio_capability_present_hwtcl),
   .core16_pf0_virtio_device_specific_cap_present_hwtcl         (core16_pf0_virtio_device_specific_cap_present_hwtcl),
   .core16_pf0_virtio_cmn_config_bar_indicator_hwtcl            (core16_pf0_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf0_virtio_cmn_config_bar_offset_hwtcl               (core16_pf0_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf0_virtio_cmn_config_structure_length_hwtcl         (core16_pf0_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf0_virtio_notification_bar_indicator_hwtcl          (core16_pf0_virtio_notification_bar_indicator_hwtcl),
   .core16_pf0_virtio_notification_bar_offset_hwtcl             (core16_pf0_virtio_notification_bar_offset_hwtcl),
   .core16_pf0_virtio_notification_structure_length_hwtcl       (core16_pf0_virtio_notification_structure_length_hwtcl),
   .core16_pf0_virtio_notify_off_multiplier_hwtcl               (core16_pf0_virtio_notify_off_multiplier_hwtcl),
   .core16_pf0_virtio_isrstatus_bar_indicator_hwtcl             (core16_pf0_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf0_virtio_isrstatus_bar_offset_hwtcl                (core16_pf0_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf0_virtio_isrstatus_structure_length_hwtcl          (core16_pf0_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf0_virtio_devspecific_bar_indicator_hwtcl           (core16_pf0_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf0_virtio_devspecific_bar_offset_hwtcl              (core16_pf0_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf0_virtio_devspecific_structure_length_hwtcl        (core16_pf0_virtio_devspecific_structure_length_hwtcl),
   .core16_pf0_virtio_pciconfig_access_bar_indicator_hwtcl      (core16_pf0_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf0_virtio_pciconfig_access_bar_offset_hwtcl         (core16_pf0_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf0_virtio_pciconfig_access_structure_length_hwtcl   (core16_pf0_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf1_virtio_capability_present_hwtcl                  (core16_pf1_virtio_capability_present_hwtcl),
   .core16_pf1_virtio_device_specific_cap_present_hwtcl         (core16_pf1_virtio_device_specific_cap_present_hwtcl),
   .core16_pf1_virtio_cmn_config_bar_indicator_hwtcl            (core16_pf1_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf1_virtio_cmn_config_bar_offset_hwtcl               (core16_pf1_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf1_virtio_cmn_config_structure_length_hwtcl         (core16_pf1_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf1_virtio_notification_bar_indicator_hwtcl          (core16_pf1_virtio_notification_bar_indicator_hwtcl),
   .core16_pf1_virtio_notification_bar_offset_hwtcl             (core16_pf1_virtio_notification_bar_offset_hwtcl),
   .core16_pf1_virtio_notification_structure_length_hwtcl       (core16_pf1_virtio_notification_structure_length_hwtcl),
   .core16_pf1_virtio_notify_off_multiplier_hwtcl               (core16_pf1_virtio_notify_off_multiplier_hwtcl),
   .core16_pf1_virtio_isrstatus_bar_indicator_hwtcl             (core16_pf1_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf1_virtio_isrstatus_bar_offset_hwtcl                (core16_pf1_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf1_virtio_isrstatus_structure_length_hwtcl          (core16_pf1_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf1_virtio_devspecific_bar_indicator_hwtcl           (core16_pf1_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf1_virtio_devspecific_bar_offset_hwtcl              (core16_pf1_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf1_virtio_devspecific_structure_length_hwtcl        (core16_pf1_virtio_devspecific_structure_length_hwtcl),
   .core16_pf1_virtio_pciconfig_access_bar_indicator_hwtcl      (core16_pf1_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf1_virtio_pciconfig_access_bar_offset_hwtcl         (core16_pf1_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf1_virtio_pciconfig_access_structure_length_hwtcl   (core16_pf1_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf2_virtio_capability_present_hwtcl                  (core16_pf2_virtio_capability_present_hwtcl),
   .core16_pf2_virtio_device_specific_cap_present_hwtcl         (core16_pf2_virtio_device_specific_cap_present_hwtcl),
   .core16_pf2_virtio_cmn_config_bar_indicator_hwtcl            (core16_pf2_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf2_virtio_cmn_config_bar_offset_hwtcl               (core16_pf2_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf2_virtio_cmn_config_structure_length_hwtcl         (core16_pf2_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf2_virtio_notification_bar_indicator_hwtcl          (core16_pf2_virtio_notification_bar_indicator_hwtcl),
   .core16_pf2_virtio_notification_bar_offset_hwtcl             (core16_pf2_virtio_notification_bar_offset_hwtcl),
   .core16_pf2_virtio_notification_structure_length_hwtcl       (core16_pf2_virtio_notification_structure_length_hwtcl),
   .core16_pf2_virtio_notify_off_multiplier_hwtcl               (core16_pf2_virtio_notify_off_multiplier_hwtcl),
   .core16_pf2_virtio_isrstatus_bar_indicator_hwtcl             (core16_pf2_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf2_virtio_isrstatus_bar_offset_hwtcl                (core16_pf2_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf2_virtio_isrstatus_structure_length_hwtcl          (core16_pf2_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf2_virtio_devspecific_bar_indicator_hwtcl           (core16_pf2_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf2_virtio_devspecific_bar_offset_hwtcl              (core16_pf2_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf2_virtio_devspecific_structure_length_hwtcl        (core16_pf2_virtio_devspecific_structure_length_hwtcl),
   .core16_pf2_virtio_pciconfig_access_bar_indicator_hwtcl      (core16_pf2_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf2_virtio_pciconfig_access_bar_offset_hwtcl         (core16_pf2_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf2_virtio_pciconfig_access_structure_length_hwtcl   (core16_pf2_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf3_virtio_capability_present_hwtcl                  (core16_pf3_virtio_capability_present_hwtcl),
   .core16_pf3_virtio_device_specific_cap_present_hwtcl         (core16_pf3_virtio_device_specific_cap_present_hwtcl),
   .core16_pf3_virtio_cmn_config_bar_indicator_hwtcl            (core16_pf3_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf3_virtio_cmn_config_bar_offset_hwtcl               (core16_pf3_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf3_virtio_cmn_config_structure_length_hwtcl         (core16_pf3_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf3_virtio_notification_bar_indicator_hwtcl          (core16_pf3_virtio_notification_bar_indicator_hwtcl),
   .core16_pf3_virtio_notification_bar_offset_hwtcl             (core16_pf3_virtio_notification_bar_offset_hwtcl),
   .core16_pf3_virtio_notification_structure_length_hwtcl       (core16_pf3_virtio_notification_structure_length_hwtcl),
   .core16_pf3_virtio_notify_off_multiplier_hwtcl               (core16_pf3_virtio_notify_off_multiplier_hwtcl),
   .core16_pf3_virtio_isrstatus_bar_indicator_hwtcl             (core16_pf3_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf3_virtio_isrstatus_bar_offset_hwtcl                (core16_pf3_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf3_virtio_isrstatus_structure_length_hwtcl          (core16_pf3_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf3_virtio_devspecific_bar_indicator_hwtcl           (core16_pf3_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf3_virtio_devspecific_bar_offset_hwtcl              (core16_pf3_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf3_virtio_devspecific_structure_length_hwtcl        (core16_pf3_virtio_devspecific_structure_length_hwtcl),
   .core16_pf3_virtio_pciconfig_access_bar_indicator_hwtcl      (core16_pf3_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf3_virtio_pciconfig_access_bar_offset_hwtcl         (core16_pf3_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf3_virtio_pciconfig_access_structure_length_hwtcl   (core16_pf3_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf4_virtio_capability_present_hwtcl                  (core16_pf4_virtio_capability_present_hwtcl),
   .core16_pf4_virtio_device_specific_cap_present_hwtcl         (core16_pf4_virtio_device_specific_cap_present_hwtcl),
   .core16_pf4_virtio_cmn_config_bar_indicator_hwtcl            (core16_pf4_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf4_virtio_cmn_config_bar_offset_hwtcl               (core16_pf4_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf4_virtio_cmn_config_structure_length_hwtcl         (core16_pf4_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf4_virtio_notification_bar_indicator_hwtcl          (core16_pf4_virtio_notification_bar_indicator_hwtcl),
   .core16_pf4_virtio_notification_bar_offset_hwtcl             (core16_pf4_virtio_notification_bar_offset_hwtcl),
   .core16_pf4_virtio_notification_structure_length_hwtcl       (core16_pf4_virtio_notification_structure_length_hwtcl),
   .core16_pf4_virtio_notify_off_multiplier_hwtcl               (core16_pf4_virtio_notify_off_multiplier_hwtcl),
   .core16_pf4_virtio_isrstatus_bar_indicator_hwtcl             (core16_pf4_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf4_virtio_isrstatus_bar_offset_hwtcl                (core16_pf4_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf4_virtio_isrstatus_structure_length_hwtcl          (core16_pf4_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf4_virtio_devspecific_bar_indicator_hwtcl           (core16_pf4_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf4_virtio_devspecific_bar_offset_hwtcl              (core16_pf4_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf4_virtio_devspecific_structure_length_hwtcl        (core16_pf4_virtio_devspecific_structure_length_hwtcl),
   .core16_pf4_virtio_pciconfig_access_bar_indicator_hwtcl      (core16_pf4_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf4_virtio_pciconfig_access_bar_offset_hwtcl         (core16_pf4_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf4_virtio_pciconfig_access_structure_length_hwtcl   (core16_pf4_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf5_virtio_capability_present_hwtcl                  (core16_pf5_virtio_capability_present_hwtcl),
   .core16_pf5_virtio_device_specific_cap_present_hwtcl         (core16_pf5_virtio_device_specific_cap_present_hwtcl),
   .core16_pf5_virtio_cmn_config_bar_indicator_hwtcl            (core16_pf5_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf5_virtio_cmn_config_bar_offset_hwtcl               (core16_pf5_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf5_virtio_cmn_config_structure_length_hwtcl         (core16_pf5_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf5_virtio_notification_bar_indicator_hwtcl          (core16_pf5_virtio_notification_bar_indicator_hwtcl),
   .core16_pf5_virtio_notification_bar_offset_hwtcl             (core16_pf5_virtio_notification_bar_offset_hwtcl),
   .core16_pf5_virtio_notification_structure_length_hwtcl       (core16_pf5_virtio_notification_structure_length_hwtcl),
   .core16_pf5_virtio_notify_off_multiplier_hwtcl               (core16_pf5_virtio_notify_off_multiplier_hwtcl),
   .core16_pf5_virtio_isrstatus_bar_indicator_hwtcl             (core16_pf5_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf5_virtio_isrstatus_bar_offset_hwtcl                (core16_pf5_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf5_virtio_isrstatus_structure_length_hwtcl          (core16_pf5_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf5_virtio_devspecific_bar_indicator_hwtcl           (core16_pf5_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf5_virtio_devspecific_bar_offset_hwtcl              (core16_pf5_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf5_virtio_devspecific_structure_length_hwtcl        (core16_pf5_virtio_devspecific_structure_length_hwtcl),
   .core16_pf5_virtio_pciconfig_access_bar_indicator_hwtcl      (core16_pf5_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf5_virtio_pciconfig_access_bar_offset_hwtcl         (core16_pf5_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf5_virtio_pciconfig_access_structure_length_hwtcl   (core16_pf5_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf6_virtio_capability_present_hwtcl                  (core16_pf6_virtio_capability_present_hwtcl),
   .core16_pf6_virtio_device_specific_cap_present_hwtcl         (core16_pf6_virtio_device_specific_cap_present_hwtcl),
   .core16_pf6_virtio_cmn_config_bar_indicator_hwtcl            (core16_pf6_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf6_virtio_cmn_config_bar_offset_hwtcl               (core16_pf6_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf6_virtio_cmn_config_structure_length_hwtcl         (core16_pf6_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf6_virtio_notification_bar_indicator_hwtcl          (core16_pf6_virtio_notification_bar_indicator_hwtcl),
   .core16_pf6_virtio_notification_bar_offset_hwtcl             (core16_pf6_virtio_notification_bar_offset_hwtcl),
   .core16_pf6_virtio_notification_structure_length_hwtcl       (core16_pf6_virtio_notification_structure_length_hwtcl),
   .core16_pf6_virtio_notify_off_multiplier_hwtcl               (core16_pf6_virtio_notify_off_multiplier_hwtcl),
   .core16_pf6_virtio_isrstatus_bar_indicator_hwtcl             (core16_pf6_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf6_virtio_isrstatus_bar_offset_hwtcl                (core16_pf6_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf6_virtio_isrstatus_structure_length_hwtcl          (core16_pf6_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf6_virtio_devspecific_bar_indicator_hwtcl           (core16_pf6_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf6_virtio_devspecific_bar_offset_hwtcl              (core16_pf6_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf6_virtio_devspecific_structure_length_hwtcl        (core16_pf6_virtio_devspecific_structure_length_hwtcl),
   .core16_pf6_virtio_pciconfig_access_bar_indicator_hwtcl      (core16_pf6_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf6_virtio_pciconfig_access_bar_offset_hwtcl         (core16_pf6_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf6_virtio_pciconfig_access_structure_length_hwtcl   (core16_pf6_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf7_virtio_capability_present_hwtcl                  (core16_pf7_virtio_capability_present_hwtcl),
   .core16_pf7_virtio_device_specific_cap_present_hwtcl         (core16_pf7_virtio_device_specific_cap_present_hwtcl),
   .core16_pf7_virtio_cmn_config_bar_indicator_hwtcl            (core16_pf7_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf7_virtio_cmn_config_bar_offset_hwtcl               (core16_pf7_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf7_virtio_cmn_config_structure_length_hwtcl         (core16_pf7_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf7_virtio_notification_bar_indicator_hwtcl          (core16_pf7_virtio_notification_bar_indicator_hwtcl),
   .core16_pf7_virtio_notification_bar_offset_hwtcl             (core16_pf7_virtio_notification_bar_offset_hwtcl),
   .core16_pf7_virtio_notification_structure_length_hwtcl       (core16_pf7_virtio_notification_structure_length_hwtcl),
   .core16_pf7_virtio_notify_off_multiplier_hwtcl               (core16_pf7_virtio_notify_off_multiplier_hwtcl),
   .core16_pf7_virtio_isrstatus_bar_indicator_hwtcl             (core16_pf7_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf7_virtio_isrstatus_bar_offset_hwtcl                (core16_pf7_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf7_virtio_isrstatus_structure_length_hwtcl          (core16_pf7_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf7_virtio_devspecific_bar_indicator_hwtcl           (core16_pf7_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf7_virtio_devspecific_bar_offset_hwtcl              (core16_pf7_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf7_virtio_devspecific_structure_length_hwtcl        (core16_pf7_virtio_devspecific_structure_length_hwtcl),
   .core16_pf7_virtio_pciconfig_access_bar_indicator_hwtcl      (core16_pf7_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf7_virtio_pciconfig_access_bar_offset_hwtcl         (core16_pf7_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf7_virtio_pciconfig_access_structure_length_hwtcl   (core16_pf7_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf0vf_virtio_capability_present_hwtcl                (core16_pf0vf_virtio_capability_present_hwtcl),
   .core16_pf0vf_virtio_device_specific_cap_present_hwtcl       (core16_pf0vf_virtio_device_specific_cap_present_hwtcl),
   .core16_pf0vf_virtio_cmn_config_bar_indicator_hwtcl          (core16_pf0vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf0vf_virtio_cmn_config_bar_offset_hwtcl             (core16_pf0vf_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf0vf_virtio_cmn_config_structure_length_hwtcl       (core16_pf0vf_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf0vf_virtio_notification_bar_indicator_hwtcl        (core16_pf0vf_virtio_notification_bar_indicator_hwtcl),
   .core16_pf0vf_virtio_notification_bar_offset_hwtcl           (core16_pf0vf_virtio_notification_bar_offset_hwtcl),
   .core16_pf0vf_virtio_notification_structure_length_hwtcl     (core16_pf0vf_virtio_notification_structure_length_hwtcl),
   .core16_pf0vf_virtio_notify_off_multiplier_hwtcl             (core16_pf0vf_virtio_notify_off_multiplier_hwtcl),
   .core16_pf0vf_virtio_isrstatus_bar_indicator_hwtcl           (core16_pf0vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf0vf_virtio_isrstatus_bar_offset_hwtcl              (core16_pf0vf_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf0vf_virtio_isrstatus_structure_length_hwtcl        (core16_pf0vf_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf0vf_virtio_devspecific_bar_indicator_hwtcl         (core16_pf0vf_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf0vf_virtio_devspecific_bar_offset_hwtcl            (core16_pf0vf_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf0vf_virtio_devspecific_structure_length_hwtcl      (core16_pf0vf_virtio_devspecific_structure_length_hwtcl),
   .core16_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl    (core16_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl       (core16_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf0vf_virtio_pciconfig_access_structure_length_hwtcl (core16_pf0vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf1vf_virtio_capability_present_hwtcl                (core16_pf1vf_virtio_capability_present_hwtcl),
   .core16_pf1vf_virtio_device_specific_cap_present_hwtcl       (core16_pf1vf_virtio_device_specific_cap_present_hwtcl),
   .core16_pf1vf_virtio_cmn_config_bar_indicator_hwtcl          (core16_pf1vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf1vf_virtio_cmn_config_bar_offset_hwtcl             (core16_pf1vf_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf1vf_virtio_cmn_config_structure_length_hwtcl       (core16_pf1vf_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf1vf_virtio_notification_bar_indicator_hwtcl        (core16_pf1vf_virtio_notification_bar_indicator_hwtcl),
   .core16_pf1vf_virtio_notification_bar_offset_hwtcl           (core16_pf1vf_virtio_notification_bar_offset_hwtcl),
   .core16_pf1vf_virtio_notification_structure_length_hwtcl     (core16_pf1vf_virtio_notification_structure_length_hwtcl),
   .core16_pf1vf_virtio_notify_off_multiplier_hwtcl             (core16_pf1vf_virtio_notify_off_multiplier_hwtcl),
   .core16_pf1vf_virtio_isrstatus_bar_indicator_hwtcl           (core16_pf1vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf1vf_virtio_isrstatus_bar_offset_hwtcl              (core16_pf1vf_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf1vf_virtio_isrstatus_structure_length_hwtcl        (core16_pf1vf_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf1vf_virtio_devspecific_bar_indicator_hwtcl         (core16_pf1vf_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf1vf_virtio_devspecific_bar_offset_hwtcl            (core16_pf1vf_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf1vf_virtio_devspecific_structure_length_hwtcl      (core16_pf1vf_virtio_devspecific_structure_length_hwtcl),
   .core16_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl    (core16_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl       (core16_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf1vf_virtio_pciconfig_access_structure_length_hwtcl (core16_pf1vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf2vf_virtio_capability_present_hwtcl                (core16_pf2vf_virtio_capability_present_hwtcl),
   .core16_pf2vf_virtio_device_specific_cap_present_hwtcl       (core16_pf2vf_virtio_device_specific_cap_present_hwtcl),
   .core16_pf2vf_virtio_cmn_config_bar_indicator_hwtcl          (core16_pf2vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf2vf_virtio_cmn_config_bar_offset_hwtcl             (core16_pf2vf_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf2vf_virtio_cmn_config_structure_length_hwtcl       (core16_pf2vf_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf2vf_virtio_notification_bar_indicator_hwtcl        (core16_pf2vf_virtio_notification_bar_indicator_hwtcl),
   .core16_pf2vf_virtio_notification_bar_offset_hwtcl           (core16_pf2vf_virtio_notification_bar_offset_hwtcl),
   .core16_pf2vf_virtio_notification_structure_length_hwtcl     (core16_pf2vf_virtio_notification_structure_length_hwtcl),
   .core16_pf2vf_virtio_notify_off_multiplier_hwtcl             (core16_pf2vf_virtio_notify_off_multiplier_hwtcl),
   .core16_pf2vf_virtio_isrstatus_bar_indicator_hwtcl           (core16_pf2vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf2vf_virtio_isrstatus_bar_offset_hwtcl              (core16_pf2vf_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf2vf_virtio_isrstatus_structure_length_hwtcl        (core16_pf2vf_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf2vf_virtio_devspecific_bar_indicator_hwtcl         (core16_pf2vf_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf2vf_virtio_devspecific_bar_offset_hwtcl            (core16_pf2vf_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf2vf_virtio_devspecific_structure_length_hwtcl      (core16_pf2vf_virtio_devspecific_structure_length_hwtcl),
   .core16_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl    (core16_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl       (core16_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf2vf_virtio_pciconfig_access_structure_length_hwtcl (core16_pf2vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf3vf_virtio_capability_present_hwtcl                (core16_pf3vf_virtio_capability_present_hwtcl),
   .core16_pf3vf_virtio_device_specific_cap_present_hwtcl       (core16_pf3vf_virtio_device_specific_cap_present_hwtcl),
   .core16_pf3vf_virtio_cmn_config_bar_indicator_hwtcl          (core16_pf3vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf3vf_virtio_cmn_config_bar_offset_hwtcl             (core16_pf3vf_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf3vf_virtio_cmn_config_structure_length_hwtcl       (core16_pf3vf_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf3vf_virtio_notification_bar_indicator_hwtcl        (core16_pf3vf_virtio_notification_bar_indicator_hwtcl),
   .core16_pf3vf_virtio_notification_bar_offset_hwtcl           (core16_pf3vf_virtio_notification_bar_offset_hwtcl),
   .core16_pf3vf_virtio_notification_structure_length_hwtcl     (core16_pf3vf_virtio_notification_structure_length_hwtcl),
   .core16_pf3vf_virtio_notify_off_multiplier_hwtcl             (core16_pf3vf_virtio_notify_off_multiplier_hwtcl),
   .core16_pf3vf_virtio_isrstatus_bar_indicator_hwtcl           (core16_pf3vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf3vf_virtio_isrstatus_bar_offset_hwtcl              (core16_pf3vf_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf3vf_virtio_isrstatus_structure_length_hwtcl        (core16_pf3vf_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf3vf_virtio_devspecific_bar_indicator_hwtcl         (core16_pf3vf_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf3vf_virtio_devspecific_bar_offset_hwtcl            (core16_pf3vf_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf3vf_virtio_devspecific_structure_length_hwtcl      (core16_pf3vf_virtio_devspecific_structure_length_hwtcl),
   .core16_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl    (core16_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl       (core16_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf3vf_virtio_pciconfig_access_structure_length_hwtcl (core16_pf3vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf4vf_virtio_capability_present_hwtcl                (core16_pf4vf_virtio_capability_present_hwtcl),
   .core16_pf4vf_virtio_device_specific_cap_present_hwtcl       (core16_pf4vf_virtio_device_specific_cap_present_hwtcl),
   .core16_pf4vf_virtio_cmn_config_bar_indicator_hwtcl          (core16_pf4vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf4vf_virtio_cmn_config_bar_offset_hwtcl             (core16_pf4vf_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf4vf_virtio_cmn_config_structure_length_hwtcl       (core16_pf4vf_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf4vf_virtio_notification_bar_indicator_hwtcl        (core16_pf4vf_virtio_notification_bar_indicator_hwtcl),
   .core16_pf4vf_virtio_notification_bar_offset_hwtcl           (core16_pf4vf_virtio_notification_bar_offset_hwtcl),
   .core16_pf4vf_virtio_notification_structure_length_hwtcl     (core16_pf4vf_virtio_notification_structure_length_hwtcl),
   .core16_pf4vf_virtio_notify_off_multiplier_hwtcl             (core16_pf4vf_virtio_notify_off_multiplier_hwtcl),
   .core16_pf4vf_virtio_isrstatus_bar_indicator_hwtcl           (core16_pf4vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf4vf_virtio_isrstatus_bar_offset_hwtcl              (core16_pf4vf_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf4vf_virtio_isrstatus_structure_length_hwtcl        (core16_pf4vf_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf4vf_virtio_devspecific_bar_indicator_hwtcl         (core16_pf4vf_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf4vf_virtio_devspecific_bar_offset_hwtcl            (core16_pf4vf_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf4vf_virtio_devspecific_structure_length_hwtcl      (core16_pf4vf_virtio_devspecific_structure_length_hwtcl),
   .core16_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl    (core16_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl       (core16_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf4vf_virtio_pciconfig_access_structure_length_hwtcl (core16_pf4vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf5vf_virtio_capability_present_hwtcl                (core16_pf5vf_virtio_capability_present_hwtcl),
   .core16_pf5vf_virtio_device_specific_cap_present_hwtcl       (core16_pf5vf_virtio_device_specific_cap_present_hwtcl),
   .core16_pf5vf_virtio_cmn_config_bar_indicator_hwtcl          (core16_pf5vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf5vf_virtio_cmn_config_bar_offset_hwtcl             (core16_pf5vf_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf5vf_virtio_cmn_config_structure_length_hwtcl       (core16_pf5vf_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf5vf_virtio_notification_bar_indicator_hwtcl        (core16_pf5vf_virtio_notification_bar_indicator_hwtcl),
   .core16_pf5vf_virtio_notification_bar_offset_hwtcl           (core16_pf5vf_virtio_notification_bar_offset_hwtcl),
   .core16_pf5vf_virtio_notification_structure_length_hwtcl     (core16_pf5vf_virtio_notification_structure_length_hwtcl),
   .core16_pf5vf_virtio_notify_off_multiplier_hwtcl             (core16_pf5vf_virtio_notify_off_multiplier_hwtcl),
   .core16_pf5vf_virtio_isrstatus_bar_indicator_hwtcl           (core16_pf5vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf5vf_virtio_isrstatus_bar_offset_hwtcl              (core16_pf5vf_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf5vf_virtio_isrstatus_structure_length_hwtcl        (core16_pf5vf_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf5vf_virtio_devspecific_bar_indicator_hwtcl         (core16_pf5vf_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf5vf_virtio_devspecific_bar_offset_hwtcl            (core16_pf5vf_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf5vf_virtio_devspecific_structure_length_hwtcl      (core16_pf5vf_virtio_devspecific_structure_length_hwtcl),
   .core16_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl    (core16_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl       (core16_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf5vf_virtio_pciconfig_access_structure_length_hwtcl (core16_pf5vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf6vf_virtio_capability_present_hwtcl                (core16_pf6vf_virtio_capability_present_hwtcl),
   .core16_pf6vf_virtio_device_specific_cap_present_hwtcl       (core16_pf6vf_virtio_device_specific_cap_present_hwtcl),
   .core16_pf6vf_virtio_cmn_config_bar_indicator_hwtcl          (core16_pf6vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf6vf_virtio_cmn_config_bar_offset_hwtcl             (core16_pf6vf_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf6vf_virtio_cmn_config_structure_length_hwtcl       (core16_pf6vf_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf6vf_virtio_notification_bar_indicator_hwtcl        (core16_pf6vf_virtio_notification_bar_indicator_hwtcl),
   .core16_pf6vf_virtio_notification_bar_offset_hwtcl           (core16_pf6vf_virtio_notification_bar_offset_hwtcl),
   .core16_pf6vf_virtio_notification_structure_length_hwtcl     (core16_pf6vf_virtio_notification_structure_length_hwtcl),
   .core16_pf6vf_virtio_notify_off_multiplier_hwtcl             (core16_pf6vf_virtio_notify_off_multiplier_hwtcl),
   .core16_pf6vf_virtio_isrstatus_bar_indicator_hwtcl           (core16_pf6vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf6vf_virtio_isrstatus_bar_offset_hwtcl              (core16_pf6vf_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf6vf_virtio_isrstatus_structure_length_hwtcl        (core16_pf6vf_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf6vf_virtio_devspecific_bar_indicator_hwtcl         (core16_pf6vf_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf6vf_virtio_devspecific_bar_offset_hwtcl            (core16_pf6vf_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf6vf_virtio_devspecific_structure_length_hwtcl      (core16_pf6vf_virtio_devspecific_structure_length_hwtcl),
   .core16_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl    (core16_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl       (core16_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf6vf_virtio_pciconfig_access_structure_length_hwtcl (core16_pf6vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf7vf_virtio_capability_present_hwtcl                (core16_pf7vf_virtio_capability_present_hwtcl),
   .core16_pf7vf_virtio_device_specific_cap_present_hwtcl       (core16_pf7vf_virtio_device_specific_cap_present_hwtcl),
   .core16_pf7vf_virtio_cmn_config_bar_indicator_hwtcl          (core16_pf7vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core16_pf7vf_virtio_cmn_config_bar_offset_hwtcl             (core16_pf7vf_virtio_cmn_config_bar_offset_hwtcl),
   .core16_pf7vf_virtio_cmn_config_structure_length_hwtcl       (core16_pf7vf_virtio_cmn_config_structure_length_hwtcl),
   .core16_pf7vf_virtio_notification_bar_indicator_hwtcl        (core16_pf7vf_virtio_notification_bar_indicator_hwtcl),
   .core16_pf7vf_virtio_notification_bar_offset_hwtcl           (core16_pf7vf_virtio_notification_bar_offset_hwtcl),
   .core16_pf7vf_virtio_notification_structure_length_hwtcl     (core16_pf7vf_virtio_notification_structure_length_hwtcl),
   .core16_pf7vf_virtio_notify_off_multiplier_hwtcl             (core16_pf7vf_virtio_notify_off_multiplier_hwtcl),
   .core16_pf7vf_virtio_isrstatus_bar_indicator_hwtcl           (core16_pf7vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core16_pf7vf_virtio_isrstatus_bar_offset_hwtcl              (core16_pf7vf_virtio_isrstatus_bar_offset_hwtcl),
   .core16_pf7vf_virtio_isrstatus_structure_length_hwtcl        (core16_pf7vf_virtio_isrstatus_structure_length_hwtcl),
   .core16_pf7vf_virtio_devspecific_bar_indicator_hwtcl         (core16_pf7vf_virtio_devspecific_bar_indicator_hwtcl),
   .core16_pf7vf_virtio_devspecific_bar_offset_hwtcl            (core16_pf7vf_virtio_devspecific_bar_offset_hwtcl),
   .core16_pf7vf_virtio_devspecific_structure_length_hwtcl      (core16_pf7vf_virtio_devspecific_structure_length_hwtcl),
   .core16_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl    (core16_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core16_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl       (core16_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core16_pf7vf_virtio_pciconfig_access_structure_length_hwtcl (core16_pf7vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_enable_virtio_hwtcl                                   (core8_enable_virtio_hwtcl),
   .core8_virtio_start_byte_address_hwtcl                       (core8_virtio_start_byte_address_hwtcl),
   .core8_pf0_virtio_capability_present_hwtcl                   (core8_pf0_virtio_capability_present_hwtcl),
   .core8_pf0_virtio_device_specific_cap_present_hwtcl          (core8_pf0_virtio_device_specific_cap_present_hwtcl),
   .core8_pf0_virtio_cmn_config_bar_indicator_hwtcl             (core8_pf0_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf0_virtio_cmn_config_bar_offset_hwtcl                (core8_pf0_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf0_virtio_cmn_config_structure_length_hwtcl          (core8_pf0_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf0_virtio_notification_bar_indicator_hwtcl           (core8_pf0_virtio_notification_bar_indicator_hwtcl),
   .core8_pf0_virtio_notification_bar_offset_hwtcl              (core8_pf0_virtio_notification_bar_offset_hwtcl),
   .core8_pf0_virtio_notification_structure_length_hwtcl        (core8_pf0_virtio_notification_structure_length_hwtcl),
   .core8_pf0_virtio_notify_off_multiplier_hwtcl                (core8_pf0_virtio_notify_off_multiplier_hwtcl),
   .core8_pf0_virtio_isrstatus_bar_indicator_hwtcl              (core8_pf0_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf0_virtio_isrstatus_bar_offset_hwtcl                 (core8_pf0_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf0_virtio_isrstatus_structure_length_hwtcl           (core8_pf0_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf0_virtio_devspecific_bar_indicator_hwtcl            (core8_pf0_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf0_virtio_devspecific_bar_offset_hwtcl               (core8_pf0_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf0_virtio_devspecific_structure_length_hwtcl         (core8_pf0_virtio_devspecific_structure_length_hwtcl),
   .core8_pf0_virtio_pciconfig_access_bar_indicator_hwtcl       (core8_pf0_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf0_virtio_pciconfig_access_bar_offset_hwtcl          (core8_pf0_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf0_virtio_pciconfig_access_structure_length_hwtcl    (core8_pf0_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf1_virtio_capability_present_hwtcl                   (core8_pf1_virtio_capability_present_hwtcl),
   .core8_pf1_virtio_device_specific_cap_present_hwtcl          (core8_pf1_virtio_device_specific_cap_present_hwtcl),
   .core8_pf1_virtio_cmn_config_bar_indicator_hwtcl             (core8_pf1_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf1_virtio_cmn_config_bar_offset_hwtcl                (core8_pf1_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf1_virtio_cmn_config_structure_length_hwtcl          (core8_pf1_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf1_virtio_notification_bar_indicator_hwtcl           (core8_pf1_virtio_notification_bar_indicator_hwtcl),
   .core8_pf1_virtio_notification_bar_offset_hwtcl              (core8_pf1_virtio_notification_bar_offset_hwtcl),
   .core8_pf1_virtio_notification_structure_length_hwtcl        (core8_pf1_virtio_notification_structure_length_hwtcl),
   .core8_pf1_virtio_notify_off_multiplier_hwtcl                (core8_pf1_virtio_notify_off_multiplier_hwtcl),
   .core8_pf1_virtio_isrstatus_bar_indicator_hwtcl              (core8_pf1_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf1_virtio_isrstatus_bar_offset_hwtcl                 (core8_pf1_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf1_virtio_isrstatus_structure_length_hwtcl           (core8_pf1_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf1_virtio_devspecific_bar_indicator_hwtcl            (core8_pf1_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf1_virtio_devspecific_bar_offset_hwtcl               (core8_pf1_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf1_virtio_devspecific_structure_length_hwtcl         (core8_pf1_virtio_devspecific_structure_length_hwtcl),
   .core8_pf1_virtio_pciconfig_access_bar_indicator_hwtcl       (core8_pf1_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf1_virtio_pciconfig_access_bar_offset_hwtcl          (core8_pf1_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf1_virtio_pciconfig_access_structure_length_hwtcl    (core8_pf1_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf2_virtio_capability_present_hwtcl                   (core8_pf2_virtio_capability_present_hwtcl),
   .core8_pf2_virtio_device_specific_cap_present_hwtcl          (core8_pf2_virtio_device_specific_cap_present_hwtcl),
   .core8_pf2_virtio_cmn_config_bar_indicator_hwtcl             (core8_pf2_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf2_virtio_cmn_config_bar_offset_hwtcl                (core8_pf2_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf2_virtio_cmn_config_structure_length_hwtcl          (core8_pf2_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf2_virtio_notification_bar_indicator_hwtcl           (core8_pf2_virtio_notification_bar_indicator_hwtcl),
   .core8_pf2_virtio_notification_bar_offset_hwtcl              (core8_pf2_virtio_notification_bar_offset_hwtcl),
   .core8_pf2_virtio_notification_structure_length_hwtcl        (core8_pf2_virtio_notification_structure_length_hwtcl),
   .core8_pf2_virtio_notify_off_multiplier_hwtcl                (core8_pf2_virtio_notify_off_multiplier_hwtcl),
   .core8_pf2_virtio_isrstatus_bar_indicator_hwtcl              (core8_pf2_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf2_virtio_isrstatus_bar_offset_hwtcl                 (core8_pf2_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf2_virtio_isrstatus_structure_length_hwtcl           (core8_pf2_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf2_virtio_devspecific_bar_indicator_hwtcl            (core8_pf2_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf2_virtio_devspecific_bar_offset_hwtcl               (core8_pf2_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf2_virtio_devspecific_structure_length_hwtcl         (core8_pf2_virtio_devspecific_structure_length_hwtcl),
   .core8_pf2_virtio_pciconfig_access_bar_indicator_hwtcl       (core8_pf2_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf2_virtio_pciconfig_access_bar_offset_hwtcl          (core8_pf2_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf2_virtio_pciconfig_access_structure_length_hwtcl    (core8_pf2_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf3_virtio_capability_present_hwtcl                   (core8_pf3_virtio_capability_present_hwtcl),
   .core8_pf3_virtio_device_specific_cap_present_hwtcl          (core8_pf3_virtio_device_specific_cap_present_hwtcl),
   .core8_pf3_virtio_cmn_config_bar_indicator_hwtcl             (core8_pf3_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf3_virtio_cmn_config_bar_offset_hwtcl                (core8_pf3_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf3_virtio_cmn_config_structure_length_hwtcl          (core8_pf3_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf3_virtio_notification_bar_indicator_hwtcl           (core8_pf3_virtio_notification_bar_indicator_hwtcl),
   .core8_pf3_virtio_notification_bar_offset_hwtcl              (core8_pf3_virtio_notification_bar_offset_hwtcl),
   .core8_pf3_virtio_notification_structure_length_hwtcl        (core8_pf3_virtio_notification_structure_length_hwtcl),
   .core8_pf3_virtio_notify_off_multiplier_hwtcl                (core8_pf3_virtio_notify_off_multiplier_hwtcl),
   .core8_pf3_virtio_isrstatus_bar_indicator_hwtcl              (core8_pf3_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf3_virtio_isrstatus_bar_offset_hwtcl                 (core8_pf3_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf3_virtio_isrstatus_structure_length_hwtcl           (core8_pf3_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf3_virtio_devspecific_bar_indicator_hwtcl            (core8_pf3_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf3_virtio_devspecific_bar_offset_hwtcl               (core8_pf3_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf3_virtio_devspecific_structure_length_hwtcl         (core8_pf3_virtio_devspecific_structure_length_hwtcl),
   .core8_pf3_virtio_pciconfig_access_bar_indicator_hwtcl       (core8_pf3_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf3_virtio_pciconfig_access_bar_offset_hwtcl          (core8_pf3_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf3_virtio_pciconfig_access_structure_length_hwtcl    (core8_pf3_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf4_virtio_capability_present_hwtcl                   (core8_pf4_virtio_capability_present_hwtcl),
   .core8_pf4_virtio_device_specific_cap_present_hwtcl          (core8_pf4_virtio_device_specific_cap_present_hwtcl),
   .core8_pf4_virtio_cmn_config_bar_indicator_hwtcl             (core8_pf4_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf4_virtio_cmn_config_bar_offset_hwtcl                (core8_pf4_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf4_virtio_cmn_config_structure_length_hwtcl          (core8_pf4_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf4_virtio_notification_bar_indicator_hwtcl           (core8_pf4_virtio_notification_bar_indicator_hwtcl),
   .core8_pf4_virtio_notification_bar_offset_hwtcl              (core8_pf4_virtio_notification_bar_offset_hwtcl),
   .core8_pf4_virtio_notification_structure_length_hwtcl        (core8_pf4_virtio_notification_structure_length_hwtcl),
   .core8_pf4_virtio_notify_off_multiplier_hwtcl                (core8_pf4_virtio_notify_off_multiplier_hwtcl),
   .core8_pf4_virtio_isrstatus_bar_indicator_hwtcl              (core8_pf4_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf4_virtio_isrstatus_bar_offset_hwtcl                 (core8_pf4_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf4_virtio_isrstatus_structure_length_hwtcl           (core8_pf4_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf4_virtio_devspecific_bar_indicator_hwtcl            (core8_pf4_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf4_virtio_devspecific_bar_offset_hwtcl               (core8_pf4_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf4_virtio_devspecific_structure_length_hwtcl         (core8_pf4_virtio_devspecific_structure_length_hwtcl),
   .core8_pf4_virtio_pciconfig_access_bar_indicator_hwtcl       (core8_pf4_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf4_virtio_pciconfig_access_bar_offset_hwtcl          (core8_pf4_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf4_virtio_pciconfig_access_structure_length_hwtcl    (core8_pf4_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf5_virtio_capability_present_hwtcl                   (core8_pf5_virtio_capability_present_hwtcl),
   .core8_pf5_virtio_device_specific_cap_present_hwtcl          (core8_pf5_virtio_device_specific_cap_present_hwtcl),
   .core8_pf5_virtio_cmn_config_bar_indicator_hwtcl             (core8_pf5_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf5_virtio_cmn_config_bar_offset_hwtcl                (core8_pf5_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf5_virtio_cmn_config_structure_length_hwtcl          (core8_pf5_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf5_virtio_notification_bar_indicator_hwtcl           (core8_pf5_virtio_notification_bar_indicator_hwtcl),
   .core8_pf5_virtio_notification_bar_offset_hwtcl              (core8_pf5_virtio_notification_bar_offset_hwtcl),
   .core8_pf5_virtio_notification_structure_length_hwtcl        (core8_pf5_virtio_notification_structure_length_hwtcl),
   .core8_pf5_virtio_notify_off_multiplier_hwtcl                (core8_pf5_virtio_notify_off_multiplier_hwtcl),
   .core8_pf5_virtio_isrstatus_bar_indicator_hwtcl              (core8_pf5_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf5_virtio_isrstatus_bar_offset_hwtcl                 (core8_pf5_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf5_virtio_isrstatus_structure_length_hwtcl           (core8_pf5_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf5_virtio_devspecific_bar_indicator_hwtcl            (core8_pf5_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf5_virtio_devspecific_bar_offset_hwtcl               (core8_pf5_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf5_virtio_devspecific_structure_length_hwtcl         (core8_pf5_virtio_devspecific_structure_length_hwtcl),
   .core8_pf5_virtio_pciconfig_access_bar_indicator_hwtcl       (core8_pf5_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf5_virtio_pciconfig_access_bar_offset_hwtcl          (core8_pf5_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf5_virtio_pciconfig_access_structure_length_hwtcl    (core8_pf5_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf6_virtio_capability_present_hwtcl                   (core8_pf6_virtio_capability_present_hwtcl),
   .core8_pf6_virtio_device_specific_cap_present_hwtcl          (core8_pf6_virtio_device_specific_cap_present_hwtcl),
   .core8_pf6_virtio_cmn_config_bar_indicator_hwtcl             (core8_pf6_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf6_virtio_cmn_config_bar_offset_hwtcl                (core8_pf6_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf6_virtio_cmn_config_structure_length_hwtcl          (core8_pf6_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf6_virtio_notification_bar_indicator_hwtcl           (core8_pf6_virtio_notification_bar_indicator_hwtcl),
   .core8_pf6_virtio_notification_bar_offset_hwtcl              (core8_pf6_virtio_notification_bar_offset_hwtcl),
   .core8_pf6_virtio_notification_structure_length_hwtcl        (core8_pf6_virtio_notification_structure_length_hwtcl),
   .core8_pf6_virtio_notify_off_multiplier_hwtcl                (core8_pf6_virtio_notify_off_multiplier_hwtcl),
   .core8_pf6_virtio_isrstatus_bar_indicator_hwtcl              (core8_pf6_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf6_virtio_isrstatus_bar_offset_hwtcl                 (core8_pf6_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf6_virtio_isrstatus_structure_length_hwtcl           (core8_pf6_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf6_virtio_devspecific_bar_indicator_hwtcl            (core8_pf6_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf6_virtio_devspecific_bar_offset_hwtcl               (core8_pf6_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf6_virtio_devspecific_structure_length_hwtcl         (core8_pf6_virtio_devspecific_structure_length_hwtcl),
   .core8_pf6_virtio_pciconfig_access_bar_indicator_hwtcl       (core8_pf6_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf6_virtio_pciconfig_access_bar_offset_hwtcl          (core8_pf6_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf6_virtio_pciconfig_access_structure_length_hwtcl    (core8_pf6_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf7_virtio_capability_present_hwtcl                   (core8_pf7_virtio_capability_present_hwtcl),
   .core8_pf7_virtio_device_specific_cap_present_hwtcl          (core8_pf7_virtio_device_specific_cap_present_hwtcl),
   .core8_pf7_virtio_cmn_config_bar_indicator_hwtcl             (core8_pf7_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf7_virtio_cmn_config_bar_offset_hwtcl                (core8_pf7_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf7_virtio_cmn_config_structure_length_hwtcl          (core8_pf7_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf7_virtio_notification_bar_indicator_hwtcl           (core8_pf7_virtio_notification_bar_indicator_hwtcl),
   .core8_pf7_virtio_notification_bar_offset_hwtcl              (core8_pf7_virtio_notification_bar_offset_hwtcl),
   .core8_pf7_virtio_notification_structure_length_hwtcl        (core8_pf7_virtio_notification_structure_length_hwtcl),
   .core8_pf7_virtio_notify_off_multiplier_hwtcl                (core8_pf7_virtio_notify_off_multiplier_hwtcl),
   .core8_pf7_virtio_isrstatus_bar_indicator_hwtcl              (core8_pf7_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf7_virtio_isrstatus_bar_offset_hwtcl                 (core8_pf7_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf7_virtio_isrstatus_structure_length_hwtcl           (core8_pf7_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf7_virtio_devspecific_bar_indicator_hwtcl            (core8_pf7_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf7_virtio_devspecific_bar_offset_hwtcl               (core8_pf7_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf7_virtio_devspecific_structure_length_hwtcl         (core8_pf7_virtio_devspecific_structure_length_hwtcl),
   .core8_pf7_virtio_pciconfig_access_bar_indicator_hwtcl       (core8_pf7_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf7_virtio_pciconfig_access_bar_offset_hwtcl          (core8_pf7_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf7_virtio_pciconfig_access_structure_length_hwtcl    (core8_pf7_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf0vf_virtio_capability_present_hwtcl                 (core8_pf0vf_virtio_capability_present_hwtcl),
   .core8_pf0vf_virtio_device_specific_cap_present_hwtcl        (core8_pf0vf_virtio_device_specific_cap_present_hwtcl),
   .core8_pf0vf_virtio_cmn_config_bar_indicator_hwtcl           (core8_pf0vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf0vf_virtio_cmn_config_bar_offset_hwtcl              (core8_pf0vf_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf0vf_virtio_cmn_config_structure_length_hwtcl        (core8_pf0vf_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf0vf_virtio_notification_bar_indicator_hwtcl         (core8_pf0vf_virtio_notification_bar_indicator_hwtcl),
   .core8_pf0vf_virtio_notification_bar_offset_hwtcl            (core8_pf0vf_virtio_notification_bar_offset_hwtcl),
   .core8_pf0vf_virtio_notification_structure_length_hwtcl      (core8_pf0vf_virtio_notification_structure_length_hwtcl),
   .core8_pf0vf_virtio_notify_off_multiplier_hwtcl              (core8_pf0vf_virtio_notify_off_multiplier_hwtcl),
   .core8_pf0vf_virtio_isrstatus_bar_indicator_hwtcl            (core8_pf0vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf0vf_virtio_isrstatus_bar_offset_hwtcl               (core8_pf0vf_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf0vf_virtio_isrstatus_structure_length_hwtcl         (core8_pf0vf_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf0vf_virtio_devspecific_bar_indicator_hwtcl          (core8_pf0vf_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf0vf_virtio_devspecific_bar_offset_hwtcl             (core8_pf0vf_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf0vf_virtio_devspecific_structure_length_hwtcl       (core8_pf0vf_virtio_devspecific_structure_length_hwtcl),
   .core8_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl     (core8_pf0vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl        (core8_pf0vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf0vf_virtio_pciconfig_access_structure_length_hwtcl  (core8_pf0vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf1vf_virtio_capability_present_hwtcl                 (core8_pf1vf_virtio_capability_present_hwtcl),
   .core8_pf1vf_virtio_device_specific_cap_present_hwtcl        (core8_pf1vf_virtio_device_specific_cap_present_hwtcl),
   .core8_pf1vf_virtio_cmn_config_bar_indicator_hwtcl           (core8_pf1vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf1vf_virtio_cmn_config_bar_offset_hwtcl              (core8_pf1vf_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf1vf_virtio_cmn_config_structure_length_hwtcl        (core8_pf1vf_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf1vf_virtio_notification_bar_indicator_hwtcl         (core8_pf1vf_virtio_notification_bar_indicator_hwtcl),
   .core8_pf1vf_virtio_notification_bar_offset_hwtcl            (core8_pf1vf_virtio_notification_bar_offset_hwtcl),
   .core8_pf1vf_virtio_notification_structure_length_hwtcl      (core8_pf1vf_virtio_notification_structure_length_hwtcl),
   .core8_pf1vf_virtio_notify_off_multiplier_hwtcl              (core8_pf1vf_virtio_notify_off_multiplier_hwtcl),
   .core8_pf1vf_virtio_isrstatus_bar_indicator_hwtcl            (core8_pf1vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf1vf_virtio_isrstatus_bar_offset_hwtcl               (core8_pf1vf_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf1vf_virtio_isrstatus_structure_length_hwtcl         (core8_pf1vf_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf1vf_virtio_devspecific_bar_indicator_hwtcl          (core8_pf1vf_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf1vf_virtio_devspecific_bar_offset_hwtcl             (core8_pf1vf_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf1vf_virtio_devspecific_structure_length_hwtcl       (core8_pf1vf_virtio_devspecific_structure_length_hwtcl),
   .core8_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl     (core8_pf1vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl        (core8_pf1vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf1vf_virtio_pciconfig_access_structure_length_hwtcl  (core8_pf1vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf2vf_virtio_capability_present_hwtcl                 (core8_pf2vf_virtio_capability_present_hwtcl),
   .core8_pf2vf_virtio_device_specific_cap_present_hwtcl        (core8_pf2vf_virtio_device_specific_cap_present_hwtcl),
   .core8_pf2vf_virtio_cmn_config_bar_indicator_hwtcl           (core8_pf2vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf2vf_virtio_cmn_config_bar_offset_hwtcl              (core8_pf2vf_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf2vf_virtio_cmn_config_structure_length_hwtcl        (core8_pf2vf_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf2vf_virtio_notification_bar_indicator_hwtcl         (core8_pf2vf_virtio_notification_bar_indicator_hwtcl),
   .core8_pf2vf_virtio_notification_bar_offset_hwtcl            (core8_pf2vf_virtio_notification_bar_offset_hwtcl),
   .core8_pf2vf_virtio_notification_structure_length_hwtcl      (core8_pf2vf_virtio_notification_structure_length_hwtcl),
   .core8_pf2vf_virtio_notify_off_multiplier_hwtcl              (core8_pf2vf_virtio_notify_off_multiplier_hwtcl),
   .core8_pf2vf_virtio_isrstatus_bar_indicator_hwtcl            (core8_pf2vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf2vf_virtio_isrstatus_bar_offset_hwtcl               (core8_pf2vf_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf2vf_virtio_isrstatus_structure_length_hwtcl         (core8_pf2vf_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf2vf_virtio_devspecific_bar_indicator_hwtcl          (core8_pf2vf_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf2vf_virtio_devspecific_bar_offset_hwtcl             (core8_pf2vf_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf2vf_virtio_devspecific_structure_length_hwtcl       (core8_pf2vf_virtio_devspecific_structure_length_hwtcl),
   .core8_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl     (core8_pf2vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl        (core8_pf2vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf2vf_virtio_pciconfig_access_structure_length_hwtcl  (core8_pf2vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf3vf_virtio_capability_present_hwtcl                 (core8_pf3vf_virtio_capability_present_hwtcl),
   .core8_pf3vf_virtio_device_specific_cap_present_hwtcl        (core8_pf3vf_virtio_device_specific_cap_present_hwtcl),
   .core8_pf3vf_virtio_cmn_config_bar_indicator_hwtcl           (core8_pf3vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf3vf_virtio_cmn_config_bar_offset_hwtcl              (core8_pf3vf_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf3vf_virtio_cmn_config_structure_length_hwtcl        (core8_pf3vf_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf3vf_virtio_notification_bar_indicator_hwtcl         (core8_pf3vf_virtio_notification_bar_indicator_hwtcl),
   .core8_pf3vf_virtio_notification_bar_offset_hwtcl            (core8_pf3vf_virtio_notification_bar_offset_hwtcl),
   .core8_pf3vf_virtio_notification_structure_length_hwtcl      (core8_pf3vf_virtio_notification_structure_length_hwtcl),
   .core8_pf3vf_virtio_notify_off_multiplier_hwtcl              (core8_pf3vf_virtio_notify_off_multiplier_hwtcl),
   .core8_pf3vf_virtio_isrstatus_bar_indicator_hwtcl            (core8_pf3vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf3vf_virtio_isrstatus_bar_offset_hwtcl               (core8_pf3vf_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf3vf_virtio_isrstatus_structure_length_hwtcl         (core8_pf3vf_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf3vf_virtio_devspecific_bar_indicator_hwtcl          (core8_pf3vf_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf3vf_virtio_devspecific_bar_offset_hwtcl             (core8_pf3vf_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf3vf_virtio_devspecific_structure_length_hwtcl       (core8_pf3vf_virtio_devspecific_structure_length_hwtcl),
   .core8_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl     (core8_pf3vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl        (core8_pf3vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf3vf_virtio_pciconfig_access_structure_length_hwtcl  (core8_pf3vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf4vf_virtio_capability_present_hwtcl                 (core8_pf4vf_virtio_capability_present_hwtcl),
   .core8_pf4vf_virtio_device_specific_cap_present_hwtcl        (core8_pf4vf_virtio_device_specific_cap_present_hwtcl),
   .core8_pf4vf_virtio_cmn_config_bar_indicator_hwtcl           (core8_pf4vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf4vf_virtio_cmn_config_bar_offset_hwtcl              (core8_pf4vf_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf4vf_virtio_cmn_config_structure_length_hwtcl        (core8_pf4vf_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf4vf_virtio_notification_bar_indicator_hwtcl         (core8_pf4vf_virtio_notification_bar_indicator_hwtcl),
   .core8_pf4vf_virtio_notification_bar_offset_hwtcl            (core8_pf4vf_virtio_notification_bar_offset_hwtcl),
   .core8_pf4vf_virtio_notification_structure_length_hwtcl      (core8_pf4vf_virtio_notification_structure_length_hwtcl),
   .core8_pf4vf_virtio_notify_off_multiplier_hwtcl              (core8_pf4vf_virtio_notify_off_multiplier_hwtcl),
   .core8_pf4vf_virtio_isrstatus_bar_indicator_hwtcl            (core8_pf4vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf4vf_virtio_isrstatus_bar_offset_hwtcl               (core8_pf4vf_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf4vf_virtio_isrstatus_structure_length_hwtcl         (core8_pf4vf_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf4vf_virtio_devspecific_bar_indicator_hwtcl          (core8_pf4vf_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf4vf_virtio_devspecific_bar_offset_hwtcl             (core8_pf4vf_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf4vf_virtio_devspecific_structure_length_hwtcl       (core8_pf4vf_virtio_devspecific_structure_length_hwtcl),
   .core8_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl     (core8_pf4vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl        (core8_pf4vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf4vf_virtio_pciconfig_access_structure_length_hwtcl  (core8_pf4vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf5vf_virtio_capability_present_hwtcl                 (core8_pf5vf_virtio_capability_present_hwtcl),
   .core8_pf5vf_virtio_device_specific_cap_present_hwtcl        (core8_pf5vf_virtio_device_specific_cap_present_hwtcl),
   .core8_pf5vf_virtio_cmn_config_bar_indicator_hwtcl           (core8_pf5vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf5vf_virtio_cmn_config_bar_offset_hwtcl              (core8_pf5vf_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf5vf_virtio_cmn_config_structure_length_hwtcl        (core8_pf5vf_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf5vf_virtio_notification_bar_indicator_hwtcl         (core8_pf5vf_virtio_notification_bar_indicator_hwtcl),
   .core8_pf5vf_virtio_notification_bar_offset_hwtcl            (core8_pf5vf_virtio_notification_bar_offset_hwtcl),
   .core8_pf5vf_virtio_notification_structure_length_hwtcl      (core8_pf5vf_virtio_notification_structure_length_hwtcl),
   .core8_pf5vf_virtio_notify_off_multiplier_hwtcl              (core8_pf5vf_virtio_notify_off_multiplier_hwtcl),
   .core8_pf5vf_virtio_isrstatus_bar_indicator_hwtcl            (core8_pf5vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf5vf_virtio_isrstatus_bar_offset_hwtcl               (core8_pf5vf_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf5vf_virtio_isrstatus_structure_length_hwtcl         (core8_pf5vf_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf5vf_virtio_devspecific_bar_indicator_hwtcl          (core8_pf5vf_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf5vf_virtio_devspecific_bar_offset_hwtcl             (core8_pf5vf_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf5vf_virtio_devspecific_structure_length_hwtcl       (core8_pf5vf_virtio_devspecific_structure_length_hwtcl),
   .core8_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl     (core8_pf5vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl        (core8_pf5vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf5vf_virtio_pciconfig_access_structure_length_hwtcl  (core8_pf5vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf6vf_virtio_capability_present_hwtcl                 (core8_pf6vf_virtio_capability_present_hwtcl),
   .core8_pf6vf_virtio_device_specific_cap_present_hwtcl        (core8_pf6vf_virtio_device_specific_cap_present_hwtcl),
   .core8_pf6vf_virtio_cmn_config_bar_indicator_hwtcl           (core8_pf6vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf6vf_virtio_cmn_config_bar_offset_hwtcl              (core8_pf6vf_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf6vf_virtio_cmn_config_structure_length_hwtcl        (core8_pf6vf_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf6vf_virtio_notification_bar_indicator_hwtcl         (core8_pf6vf_virtio_notification_bar_indicator_hwtcl),
   .core8_pf6vf_virtio_notification_bar_offset_hwtcl            (core8_pf6vf_virtio_notification_bar_offset_hwtcl),
   .core8_pf6vf_virtio_notification_structure_length_hwtcl      (core8_pf6vf_virtio_notification_structure_length_hwtcl),
   .core8_pf6vf_virtio_notify_off_multiplier_hwtcl              (core8_pf6vf_virtio_notify_off_multiplier_hwtcl),
   .core8_pf6vf_virtio_isrstatus_bar_indicator_hwtcl            (core8_pf6vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf6vf_virtio_isrstatus_bar_offset_hwtcl               (core8_pf6vf_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf6vf_virtio_isrstatus_structure_length_hwtcl         (core8_pf6vf_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf6vf_virtio_devspecific_bar_indicator_hwtcl          (core8_pf6vf_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf6vf_virtio_devspecific_bar_offset_hwtcl             (core8_pf6vf_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf6vf_virtio_devspecific_structure_length_hwtcl       (core8_pf6vf_virtio_devspecific_structure_length_hwtcl),
   .core8_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl     (core8_pf6vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl        (core8_pf6vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf6vf_virtio_pciconfig_access_structure_length_hwtcl  (core8_pf6vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core8_pf7vf_virtio_capability_present_hwtcl                 (core8_pf7vf_virtio_capability_present_hwtcl),
   .core8_pf7vf_virtio_device_specific_cap_present_hwtcl        (core8_pf7vf_virtio_device_specific_cap_present_hwtcl),
   .core8_pf7vf_virtio_cmn_config_bar_indicator_hwtcl           (core8_pf7vf_virtio_cmn_config_bar_indicator_hwtcl),
   .core8_pf7vf_virtio_cmn_config_bar_offset_hwtcl              (core8_pf7vf_virtio_cmn_config_bar_offset_hwtcl),
   .core8_pf7vf_virtio_cmn_config_structure_length_hwtcl        (core8_pf7vf_virtio_cmn_config_structure_length_hwtcl),
   .core8_pf7vf_virtio_notification_bar_indicator_hwtcl         (core8_pf7vf_virtio_notification_bar_indicator_hwtcl),
   .core8_pf7vf_virtio_notification_bar_offset_hwtcl            (core8_pf7vf_virtio_notification_bar_offset_hwtcl),
   .core8_pf7vf_virtio_notification_structure_length_hwtcl      (core8_pf7vf_virtio_notification_structure_length_hwtcl),
   .core8_pf7vf_virtio_notify_off_multiplier_hwtcl              (core8_pf7vf_virtio_notify_off_multiplier_hwtcl),
   .core8_pf7vf_virtio_isrstatus_bar_indicator_hwtcl            (core8_pf7vf_virtio_isrstatus_bar_indicator_hwtcl),
   .core8_pf7vf_virtio_isrstatus_bar_offset_hwtcl               (core8_pf7vf_virtio_isrstatus_bar_offset_hwtcl),
   .core8_pf7vf_virtio_isrstatus_structure_length_hwtcl         (core8_pf7vf_virtio_isrstatus_structure_length_hwtcl),
   .core8_pf7vf_virtio_devspecific_bar_indicator_hwtcl          (core8_pf7vf_virtio_devspecific_bar_indicator_hwtcl),
   .core8_pf7vf_virtio_devspecific_bar_offset_hwtcl             (core8_pf7vf_virtio_devspecific_bar_offset_hwtcl),
   .core8_pf7vf_virtio_devspecific_structure_length_hwtcl       (core8_pf7vf_virtio_devspecific_structure_length_hwtcl),
   .core8_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl     (core8_pf7vf_virtio_pciconfig_access_bar_indicator_hwtcl),
   .core8_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl        (core8_pf7vf_virtio_pciconfig_access_bar_offset_hwtcl),
   .core8_pf7vf_virtio_pciconfig_access_structure_length_hwtcl  (core8_pf7vf_virtio_pciconfig_access_structure_length_hwtcl),
   .core16_pf0_vf_count_hwtcl                                   (core16_pf0_vf_count_hwtcl),
   .core16_pf1_vf_count_hwtcl                                   (core16_pf1_vf_count_hwtcl),
   .core16_pf2_vf_count_hwtcl                                   (core16_pf2_vf_count_hwtcl),
   .core16_pf3_vf_count_hwtcl                                   (core16_pf3_vf_count_hwtcl),
   .core16_pf4_vf_count_hwtcl                                   (core16_pf4_vf_count_hwtcl),
   .core16_pf5_vf_count_hwtcl                                   (core16_pf5_vf_count_hwtcl),
   .core16_pf6_vf_count_hwtcl                                   (core16_pf6_vf_count_hwtcl),
   .core16_pf7_vf_count_hwtcl                                   (core16_pf7_vf_count_hwtcl),
   .core8_pf0_vf_count_hwtcl                                    (core8_pf0_vf_count_hwtcl),
   .core8_pf1_vf_count_hwtcl                                    (core8_pf1_vf_count_hwtcl),
   .core8_pf2_vf_count_hwtcl                                    (core8_pf2_vf_count_hwtcl),
   .core8_pf3_vf_count_hwtcl                                    (core8_pf3_vf_count_hwtcl),
   .core8_pf4_vf_count_hwtcl                                    (core8_pf4_vf_count_hwtcl),
   .core8_pf5_vf_count_hwtcl                                    (core8_pf5_vf_count_hwtcl),
   .core8_pf6_vf_count_hwtcl                                    (core8_pf6_vf_count_hwtcl),
   .core8_pf7_vf_count_hwtcl                                    (core8_pf7_vf_count_hwtcl)

) pcie_sip_top_inst (
   .ninit_done                              (ninit_done),
   .coreclkout_hip                          (pld_clk),
   .adapter_clk                             (adapter_clk),
   .adapt_iopll_locked                      (adapt_iopll_locked_sync),
   .core_pll_lock_sync                      (core_pll_lock_sync),
   .sip_rx_datapath_ch0_i                   (rx_datapath_ch0),
   .sip_rx_datapath_ch1_i                   (rx_datapath_ch1),
   .sip_rx_datapath_ch2_i                   (rx_datapath_ch2),
   .sip_rx_datapath_ch3_i                   (rx_datapath_ch3),
   .sip_rx_datapath_ch4_i                   (rx_datapath_ch4),
   .sip_rx_datapath_ch5_i                   (rx_datapath_ch5),
   .sip_rx_datapath_ch6_i                   (rx_datapath_ch6),
   .sip_rx_datapath_ch7_i                   (rx_datapath_ch7),
   .sip_rx_datapath_ch8_i                   (rx_datapath_ch8),
   .sip_rx_datapath_ch9_i                   (rx_datapath_ch9),
   .sip_rx_datapath_ch10_i                  (rx_datapath_ch10),
   .sip_rx_datapath_ch11_i                  (rx_datapath_ch11),
   .sip_rx_datapath_ch12_i                  (rx_datapath_ch12),
   .sip_rx_datapath_ch13_i                  (rx_datapath_ch13),
   .sip_rx_datapath_ch14_i                  (rx_datapath_ch14),
   .sip_rx_datapath_ch15_i                  (rx_datapath_ch15),
   .sip_rx_datapath_ch16_i                  (rx_datapath_ch16),
   .sip_rx_datapath_ch17_i                  (rx_datapath_ch17),
   .sip_rx_datapath_ch18_i                  (rx_datapath_ch18),
   .sip_rx_datapath_ch19_i                  (rx_datapath_ch19),
   .sip_rx_datapath_ch20_i                  (rx_datapath_ch20),
   .sip_rx_datapath_ch21_i                  (rx_datapath_ch21),
   .sip_rx_datapath_ch22_i                  (rx_datapath_ch22),
   .sip_rx_datapath_ch23_i                  (rx_datapath_ch23),
   .sip_tx_datapath_ch0_o                   (tx_datapath_ch0),
   .sip_tx_datapath_ch1_o                   (tx_datapath_ch1),
   .sip_tx_datapath_ch2_o                   (tx_datapath_ch2),
   .sip_tx_datapath_ch3_o                   (tx_datapath_ch3),
   .sip_tx_datapath_ch4_o                   (tx_datapath_ch4),
   .sip_tx_datapath_ch5_o                   (tx_datapath_ch5),
   .sip_tx_datapath_ch6_o                   (tx_datapath_ch6),
   .sip_tx_datapath_ch7_o                   (tx_datapath_ch7),
   .sip_tx_datapath_ch8_o                   (tx_datapath_ch8),
   .sip_tx_datapath_ch9_o                   (tx_datapath_ch9),
   .sip_tx_datapath_ch10_o                  (tx_datapath_ch10),
   .sip_tx_datapath_ch11_o                  (tx_datapath_ch11),
   .sip_tx_datapath_ch12_o                  (tx_datapath_ch12),
   .sip_tx_datapath_ch13_o                  (tx_datapath_ch13),
   .sip_tx_datapath_ch14_o                  (tx_datapath_ch14),
   .sip_tx_datapath_ch15_o                  (tx_datapath_ch15),
   .sip_tx_datapath_ch16_o                  (tx_datapath_ch16),
   .sip_tx_datapath_ch17_o                  (tx_datapath_ch17),
   .sip_tx_datapath_ch18_o                  (tx_datapath_ch18),
   .sip_tx_datapath_ch19_o                  (tx_datapath_ch19),
   .sip_tx_datapath_ch20_o                  (tx_datapath_ch20),
   .sip_tx_datapath_ch21_o                  (tx_datapath_ch21),
   .sip_tx_datapath_ch22_o                  (tx_datapath_ch22),
   .sip_tx_datapath_ch23_o                  (tx_datapath_ch23),
   .sip_rx_async_direct_ch0_i               (rx_async_direct_ch0),
   .sip_rx_async_direct_ch1_i               (rx_async_direct_ch1),
   .sip_rx_async_direct_ch2_i               (rx_async_direct_ch2),
   .sip_rx_async_direct_ch3_i               (rx_async_direct_ch3),
   .sip_tx_async_direct_ch0_o               (tx_async_direct_ch0),
   .sip_rx_fsr_ch0_i                        (rx_fsr_ch0),
   .sip_rx_fsr_ch1_i                        (rx_fsr_ch1),
   .sip_rx_fsr_ch2_i                        (rx_fsr_ch2),
   .sip_rx_fsr_ch3_i                        (rx_fsr_ch3),
   .sip_rx_fsr_ch4_i                        (rx_fsr_ch4),
   .sip_rx_fsr_ch5_i                        (rx_fsr_ch5),
   .sip_rx_fsr_ch6_i                        (rx_fsr_ch6),
   .sip_rx_fsr_ch7_i                        (rx_fsr_ch7),
   .sip_rx_fsr_ch8_i                        (rx_fsr_ch8),
   .sip_rx_fsr_ch9_i                        (rx_fsr_ch9),
   .sip_rx_fsr_ch10_i                       (rx_fsr_ch10),
   .sip_rx_fsr_ch11_i                       (rx_fsr_ch11),
   .sip_rx_fsr_ch12_i                       (rx_fsr_ch12),
   .sip_rx_fsr_ch13_i                       (rx_fsr_ch13),
   .sip_tx_fsr_ch0_o                        (tx_fsr_ch0),
   .sip_tx_fsr_ch1_o                        (tx_fsr_ch1),
   .sip_tx_fsr_ch2_o                        (tx_fsr_ch2),
   .sip_tx_fsr_ch5_o                        (tx_fsr_ch5),
   .sip_tx_fsr_ch6_o                        (tx_fsr_ch6),
   .sip_tx_fsr_ch7_o                        (tx_fsr_ch7),
   .sip_tx_fsr_ch8_o                        (tx_fsr_ch8),
   .sip_tx_fsr_ch11_o                       (tx_fsr_ch11),
   .sip_rx_ssr_ch0_i                        (rx_ssr_ch0),
   .sip_rx_ssr_ch1_i                        (rx_ssr_ch1),
   .sip_rx_ssr_ch5_i                        (rx_ssr_ch5),
   .sip_rx_ssr_ch8_i                        (rx_ssr_ch8),
   .sip_rx_ssr_ch11_i                       (rx_ssr_ch11),
   .sip_tx_ssr_ch0_o                        (tx_ssr_ch0),
   .sip_tx_ssr_ch1_o                        (tx_ssr_ch1),
   .sip_tx_ssr_ch2_o                        (tx_ssr_ch2),
   .sip_avmm2_ch0_clk_o                     (avmm2_ch0_clk),
   .sip_avmm2_ch0_address_o                 (avmm2_ch0_address),
   .sip_avmm2_ch0_write_o                   (avmm2_ch0_write),
   .sip_avmm2_ch0_writedata_o               (avmm2_ch0_writedata),
   .sip_avmm2_ch0_read_o                    (avmm2_ch0_read),
   .sip_avmm2_ch0_readdatavalid_i           (avmm2_ch0_readdatavalid),
   .sip_avmm2_ch0_readdata_i                (avmm2_ch0_readdata),
   .sip_avmm2_ch0_writedone_i               (avmm2_ch0_writedone),
   .sip_avmm2_ch1_clk_o                     (avmm2_ch1_clk),
   .sip_avmm2_ch1_address_o                 (avmm2_ch1_address),
   .sip_avmm2_ch1_write_o                   (avmm2_ch1_write),
   .sip_avmm2_ch1_writedata_o               (avmm2_ch1_writedata),
   .sip_avmm2_ch1_read_o                    (avmm2_ch1_read),
   .sip_avmm2_ch1_readdatavalid_i           (avmm2_ch1_readdatavalid),
   .sip_avmm2_ch1_readdata_i                (avmm2_ch1_readdata),
   .sip_avmm2_ch1_writedone_i               (avmm2_ch1_writedone),
   .sip_avmm2_ch2_clk_o                     (avmm2_ch2_clk),
   .sip_avmm2_ch2_address_o                 (avmm2_ch2_address),
   .sip_avmm2_ch2_write_o                   (avmm2_ch2_write),
   .sip_avmm2_ch2_writedata_o               (avmm2_ch2_writedata),
   .sip_avmm2_ch2_read_o                    (avmm2_ch2_read),
   .sip_avmm2_ch2_readdatavalid_i           (avmm2_ch2_readdatavalid),
   .sip_avmm2_ch2_readdata_i                (avmm2_ch2_readdata),
   .sip_avmm2_ch2_writedone_i               (avmm2_ch2_writedone),
   .sip_avmm2_ch3_clk_o                     (avmm2_ch3_clk),
   .sip_avmm2_ch3_address_o                 (avmm2_ch3_address),
   .sip_avmm2_ch3_write_o                   (avmm2_ch3_write),
   .sip_avmm2_ch3_writedata_o               (avmm2_ch3_writedata),
   .sip_avmm2_ch3_read_o                    (avmm2_ch3_read),
   .sip_avmm2_ch3_readdatavalid_i           (avmm2_ch3_readdatavalid),
   .sip_avmm2_ch3_readdata_i                (avmm2_ch3_readdata),
   .sip_avmm2_ch3_writedone_i               (avmm2_ch3_writedone),
   .sip_avmm2_ch4_clk_o                     (avmm2_ch4_clk),
   .sip_avmm2_ch4_address_o                 (avmm2_ch4_address),
   .sip_avmm2_ch4_write_o                   (avmm2_ch4_write),
   .sip_avmm2_ch4_writedata_o               (avmm2_ch4_writedata),
   .sip_avmm2_ch4_read_o                    (avmm2_ch4_read),
   .sip_avmm2_ch4_readdatavalid_i           (avmm2_ch4_readdatavalid),
   .sip_avmm2_ch4_readdata_i                (avmm2_ch4_readdata),
   .sip_avmm2_ch4_writedone_i               (avmm2_ch4_writedone),
   .sip_avmm2_ch5_clk_o                     (avmm2_ch5_clk),
   .sip_avmm2_ch5_address_o                 (avmm2_ch5_address),
   .sip_avmm2_ch5_write_o                   (avmm2_ch5_write),
   .sip_avmm2_ch5_writedata_o               (avmm2_ch5_writedata),
   .sip_avmm2_ch5_read_o                    (avmm2_ch5_read),
   .sip_avmm2_ch5_readdatavalid_i           (avmm2_ch5_readdatavalid),
   .sip_avmm2_ch5_readdata_i                (avmm2_ch5_readdata),
   .sip_avmm2_ch5_writedone_i               (avmm2_ch5_writedone),
   .sip_avmm2_ch6_clk_o                     (avmm2_ch6_clk),
   .sip_avmm2_ch6_address_o                 (avmm2_ch6_address),
   .sip_avmm2_ch6_write_o                   (avmm2_ch6_write),
   .sip_avmm2_ch6_writedata_o               (avmm2_ch6_writedata),
   .sip_avmm2_ch6_read_o                    (avmm2_ch6_read),
   .sip_avmm2_ch6_readdatavalid_i           (avmm2_ch6_readdatavalid),
   .sip_avmm2_ch6_readdata_i                (avmm2_ch6_readdata),
   .sip_avmm2_ch6_writedone_i               (avmm2_ch6_writedone),
   .sip_avmm2_ch7_clk_o                     (avmm2_ch7_clk),
   .sip_avmm2_ch7_address_o                 (avmm2_ch7_address),
   .sip_avmm2_ch7_write_o                   (avmm2_ch7_write),
   .sip_avmm2_ch7_writedata_o               (avmm2_ch7_writedata),
   .sip_avmm2_ch7_read_o                    (avmm2_ch7_read),
   .sip_avmm2_ch7_readdatavalid_i           (avmm2_ch7_readdatavalid),
   .sip_avmm2_ch7_readdata_i                (avmm2_ch7_readdata),
   .sip_avmm2_ch7_writedone_i               (avmm2_ch7_writedone),
   .sip_avmm2_ch8_clk_o                     (avmm2_ch8_clk),
   .sip_avmm2_ch8_address_o                 (avmm2_ch8_address),
   .sip_avmm2_ch8_write_o                   (avmm2_ch8_write),
   .sip_avmm2_ch8_writedata_o               (avmm2_ch8_writedata),
   .sip_avmm2_ch8_read_o                    (avmm2_ch8_read),
   .sip_avmm2_ch8_readdatavalid_i           (avmm2_ch8_readdatavalid),
   .sip_avmm2_ch8_readdata_i                (avmm2_ch8_readdata),
   .sip_avmm2_ch8_writedone_i               (avmm2_ch8_writedone),
   .sip_avmm2_ch9_clk_o                     (avmm2_ch9_clk),
   .sip_avmm2_ch9_address_o                 (avmm2_ch9_address),
   .sip_avmm2_ch9_write_o                   (avmm2_ch9_write),
   .sip_avmm2_ch9_writedata_o               (avmm2_ch9_writedata),
   .sip_avmm2_ch9_read_o                    (avmm2_ch9_read),
   .sip_avmm2_ch9_readdatavalid_i           (avmm2_ch9_readdatavalid),
   .sip_avmm2_ch9_readdata_i                (avmm2_ch9_readdata),
   .sip_avmm2_ch9_writedone_i               (avmm2_ch9_writedone),
   .sip_avmm2_ch10_clk_o                    (avmm2_ch10_clk),
   .sip_avmm2_ch10_address_o                (avmm2_ch10_address),
   .sip_avmm2_ch10_write_o                  (avmm2_ch10_write),
   .sip_avmm2_ch10_writedata_o              (avmm2_ch10_writedata),
   .sip_avmm2_ch10_read_o                   (avmm2_ch10_read),
   .sip_avmm2_ch10_readdatavalid_i          (avmm2_ch10_readdatavalid),
   .sip_avmm2_ch10_readdata_i               (avmm2_ch10_readdata),
   .sip_avmm2_ch10_writedone_i              (avmm2_ch10_writedone),
   .sip_avmm2_ch11_clk_o                    (avmm2_ch11_clk),
   .sip_avmm2_ch11_address_o                (avmm2_ch11_address),
   .sip_avmm2_ch11_write_o                  (avmm2_ch11_write),
   .sip_avmm2_ch11_writedata_o              (avmm2_ch11_writedata),
   .sip_avmm2_ch11_read_o                   (avmm2_ch11_read),
   .sip_avmm2_ch11_readdatavalid_i          (avmm2_ch11_readdatavalid),
   .sip_avmm2_ch11_readdata_i               (avmm2_ch11_readdata),
   .sip_avmm2_ch11_writedone_i              (avmm2_ch11_writedone),
   .sip_avmm2_ch12_clk_o                    (avmm2_ch12_clk),
   .sip_avmm2_ch12_address_o                (avmm2_ch12_address),
   .sip_avmm2_ch12_write_o                  (avmm2_ch12_write),
   .sip_avmm2_ch12_writedata_o              (avmm2_ch12_writedata),
   .sip_avmm2_ch12_read_o                   (avmm2_ch12_read),
   .sip_avmm2_ch12_readdatavalid_i          (avmm2_ch12_readdatavalid),
   .sip_avmm2_ch12_readdata_i               (avmm2_ch12_readdata),
   .sip_avmm2_ch12_writedone_i              (avmm2_ch12_writedone),
   .sip_avmm2_ch13_clk_o                    (avmm2_ch13_clk),
   .sip_avmm2_ch13_address_o                (avmm2_ch13_address),
   .sip_avmm2_ch13_write_o                  (avmm2_ch13_write),
   .sip_avmm2_ch13_writedata_o              (avmm2_ch13_writedata),
   .sip_avmm2_ch13_read_o                   (avmm2_ch13_read),
   .sip_avmm2_ch13_readdatavalid_i          (avmm2_ch13_readdatavalid),
   .sip_avmm2_ch13_readdata_i               (avmm2_ch13_readdata),
   .sip_avmm2_ch13_writedone_i              (avmm2_ch13_writedone),
   .sip_avmm2_ch14_clk_o                    (avmm2_ch14_clk),
   .sip_avmm2_ch14_address_o                (avmm2_ch14_address),
   .sip_avmm2_ch14_write_o                  (avmm2_ch14_write),
   .sip_avmm2_ch14_writedata_o              (avmm2_ch14_writedata),
   .sip_avmm2_ch14_read_o                   (avmm2_ch14_read),
   .sip_avmm2_ch14_readdatavalid_i          (avmm2_ch14_readdatavalid),
   .sip_avmm2_ch14_readdata_i               (avmm2_ch14_readdata),
   .sip_avmm2_ch14_writedone_i              (avmm2_ch14_writedone),
   .sip_avmm2_ch15_clk_o                    (avmm2_ch15_clk),
   .sip_avmm2_ch15_address_o                (avmm2_ch15_address),
   .sip_avmm2_ch15_write_o                  (avmm2_ch15_write),
   .sip_avmm2_ch15_writedata_o              (avmm2_ch15_writedata),
   .sip_avmm2_ch15_read_o                   (avmm2_ch15_read),
   .sip_avmm2_ch15_readdatavalid_i          (avmm2_ch15_readdatavalid),
   .sip_avmm2_ch15_readdata_i               (avmm2_ch15_readdata),
   .sip_avmm2_ch15_writedone_i              (avmm2_ch15_writedone),
   .sip_avmm2_ch16_clk_o                    (avmm2_ch16_clk),
   .sip_avmm2_ch16_address_o                (avmm2_ch16_address),
   .sip_avmm2_ch16_write_o                  (avmm2_ch16_write),
   .sip_avmm2_ch16_writedata_o              (avmm2_ch16_writedata),
   .sip_avmm2_ch16_read_o                   (avmm2_ch16_read),
   .sip_avmm2_ch16_readdatavalid_i          (avmm2_ch16_readdatavalid),
   .sip_avmm2_ch16_readdata_i               (avmm2_ch16_readdata),
   .sip_avmm2_ch16_writedone_i              (avmm2_ch16_writedone),
   .sip_avmm2_ch17_clk_o                    (avmm2_ch17_clk),
   .sip_avmm2_ch17_address_o                (avmm2_ch17_address),
   .sip_avmm2_ch17_write_o                  (avmm2_ch17_write),
   .sip_avmm2_ch17_writedata_o              (avmm2_ch17_writedata),
   .sip_avmm2_ch17_read_o                   (avmm2_ch17_read),
   .sip_avmm2_ch17_readdatavalid_i          (avmm2_ch17_readdatavalid),
   .sip_avmm2_ch17_readdata_i               (avmm2_ch17_readdata),
   .sip_avmm2_ch17_writedone_i              (avmm2_ch17_writedone),
   .sip_avmm2_ch18_clk_o                    (avmm2_ch18_clk),
   .sip_avmm2_ch18_address_o                (avmm2_ch18_address),
   .sip_avmm2_ch18_write_o                  (avmm2_ch18_write),
   .sip_avmm2_ch18_writedata_o              (avmm2_ch18_writedata),
   .sip_avmm2_ch18_read_o                   (avmm2_ch18_read),
   .sip_avmm2_ch18_readdatavalid_i          (avmm2_ch18_readdatavalid),
   .sip_avmm2_ch18_readdata_i               (avmm2_ch18_readdata),
   .sip_avmm2_ch18_writedone_i              (avmm2_ch18_writedone),
   .sip_avmm2_ch19_clk_o                    (avmm2_ch19_clk),
   .sip_avmm2_ch19_address_o                (avmm2_ch19_address),
   .sip_avmm2_ch19_write_o                  (avmm2_ch19_write),
   .sip_avmm2_ch19_writedata_o              (avmm2_ch19_writedata),
   .sip_avmm2_ch19_read_o                   (avmm2_ch19_read),
   .sip_avmm2_ch19_readdatavalid_i          (avmm2_ch19_readdatavalid),
   .sip_avmm2_ch19_readdata_i               (avmm2_ch19_readdata),
   .sip_avmm2_ch19_writedone_i              (avmm2_ch19_writedone),
   .sip_ch0_pld_hssi_rx_transfer_en_i       (ch0_pld_hssi_rx_transfer_en),
   .sip_ch1_pld_hssi_rx_transfer_en_i       (ch1_pld_hssi_rx_transfer_en),
   .sip_ch2_pld_hssi_rx_transfer_en_i       (ch2_pld_hssi_rx_transfer_en),
   .sip_ch3_pld_hssi_rx_transfer_en_i       (ch3_pld_hssi_rx_transfer_en),
   .sip_ch4_pld_hssi_rx_transfer_en_i       (ch4_pld_hssi_rx_transfer_en),
   .sip_ch5_pld_hssi_rx_transfer_en_i       (ch5_pld_hssi_rx_transfer_en),
   .sip_ch6_pld_hssi_rx_transfer_en_i       (ch6_pld_hssi_rx_transfer_en),
   .sip_ch7_pld_hssi_rx_transfer_en_i       (ch7_pld_hssi_rx_transfer_en),
   .sip_ch8_pld_hssi_rx_transfer_en_i       (ch8_pld_hssi_rx_transfer_en),
   .sip_ch9_pld_hssi_rx_transfer_en_i       (ch9_pld_hssi_rx_transfer_en),
   .sip_ch10_pld_hssi_rx_transfer_en_i      (ch10_pld_hssi_rx_transfer_en),
   .sip_ch11_pld_hssi_rx_transfer_en_i      (ch11_pld_hssi_rx_transfer_en),
   .sip_ch12_pld_hssi_rx_transfer_en_i      (ch12_pld_hssi_rx_transfer_en),
   .sip_ch13_pld_hssi_rx_transfer_en_i      (ch13_pld_hssi_rx_transfer_en),
   .sip_ch14_pld_hssi_rx_transfer_en_i      (ch14_pld_hssi_rx_transfer_en),
   .sip_ch15_pld_hssi_rx_transfer_en_i      (ch15_pld_hssi_rx_transfer_en),
   .sip_ch16_pld_hssi_rx_transfer_en_i      (ch16_pld_hssi_rx_transfer_en),
   .sip_ch17_pld_hssi_rx_transfer_en_i      (ch17_pld_hssi_rx_transfer_en),
   .sip_ch18_pld_hssi_rx_transfer_en_i      (ch18_pld_hssi_rx_transfer_en),
   .sip_ch19_pld_hssi_rx_transfer_en_i      (ch19_pld_hssi_rx_transfer_en),
   .sip_ch20_pld_hssi_rx_transfer_en_i      (ch20_pld_hssi_rx_transfer_en),
   .sip_ch21_pld_hssi_rx_transfer_en_i      (ch21_pld_hssi_rx_transfer_en),
   .sip_ch22_pld_hssi_rx_transfer_en_i      (ch22_pld_hssi_rx_transfer_en),
   .sip_ch23_pld_hssi_rx_transfer_en_i      (ch23_pld_hssi_rx_transfer_en),
   .sip_ch0_pld_fabric_tx_transfer_en_i     (ch0_pld_fabric_tx_transfer_en),
   .sip_ch1_pld_fabric_tx_transfer_en_i     (ch1_pld_fabric_tx_transfer_en),
   .sip_ch2_pld_fabric_tx_transfer_en_i     (ch2_pld_fabric_tx_transfer_en),
   .sip_ch3_pld_fabric_tx_transfer_en_i     (ch3_pld_fabric_tx_transfer_en),
   .sip_ch4_pld_fabric_tx_transfer_en_i     (ch4_pld_fabric_tx_transfer_en),
   .sip_ch5_pld_fabric_tx_transfer_en_i     (ch5_pld_fabric_tx_transfer_en),
   .sip_ch6_pld_fabric_tx_transfer_en_i     (ch6_pld_fabric_tx_transfer_en),
   .sip_ch7_pld_fabric_tx_transfer_en_i     (ch7_pld_fabric_tx_transfer_en),
   .sip_ch8_pld_fabric_tx_transfer_en_i     (ch8_pld_fabric_tx_transfer_en),
   .sip_ch9_pld_fabric_tx_transfer_en_i     (ch9_pld_fabric_tx_transfer_en),
   .sip_ch10_pld_fabric_tx_transfer_en_i    (ch10_pld_fabric_tx_transfer_en),
   .sip_ch11_pld_fabric_tx_transfer_en_i    (ch11_pld_fabric_tx_transfer_en),
   .sip_ch12_pld_fabric_tx_transfer_en_i    (ch12_pld_fabric_tx_transfer_en),
   .sip_ch13_pld_fabric_tx_transfer_en_i    (ch13_pld_fabric_tx_transfer_en),
   .sip_ch14_pld_fabric_tx_transfer_en_i    (ch14_pld_fabric_tx_transfer_en),
   .sip_ch15_pld_fabric_tx_transfer_en_i    (ch15_pld_fabric_tx_transfer_en),
   .sip_ch16_pld_fabric_tx_transfer_en_i    (ch16_pld_fabric_tx_transfer_en),
   .sip_ch17_pld_fabric_tx_transfer_en_i    (ch17_pld_fabric_tx_transfer_en),
   .sip_ch18_pld_fabric_tx_transfer_en_i    (ch18_pld_fabric_tx_transfer_en),
   .sip_ch19_pld_fabric_tx_transfer_en_i    (ch19_pld_fabric_tx_transfer_en),
   .sip_ch20_pld_fabric_tx_transfer_en_i    (ch20_pld_fabric_tx_transfer_en),
   .sip_ch21_pld_fabric_tx_transfer_en_i    (ch21_pld_fabric_tx_transfer_en),
   .sip_ch22_pld_fabric_tx_transfer_en_i    (ch22_pld_fabric_tx_transfer_en),
   .sip_ch23_pld_fabric_tx_transfer_en_i    (ch23_pld_fabric_tx_transfer_en),
   .sip_ch0_pld_hssi_osc_transfer_en_i      (ch0_pld_hssi_osc_transfer_en),
   .sip_ch1_pld_hssi_osc_transfer_en_i      (ch1_pld_hssi_osc_transfer_en),
   .sip_ch2_pld_hssi_osc_transfer_en_i      (ch2_pld_hssi_osc_transfer_en),
   .sip_ch3_pld_hssi_osc_transfer_en_i      (ch3_pld_hssi_osc_transfer_en),
   .sip_ch4_pld_hssi_osc_transfer_en_i      (ch4_pld_hssi_osc_transfer_en),
   .sip_ch5_pld_hssi_osc_transfer_en_i      (ch5_pld_hssi_osc_transfer_en),
   .sip_ch6_pld_hssi_osc_transfer_en_i      (ch6_pld_hssi_osc_transfer_en),
   .sip_ch7_pld_hssi_osc_transfer_en_i      (ch7_pld_hssi_osc_transfer_en),
   .sip_ch8_pld_hssi_osc_transfer_en_i      (ch8_pld_hssi_osc_transfer_en),
   .sip_ch9_pld_hssi_osc_transfer_en_i      (ch9_pld_hssi_osc_transfer_en),
   .sip_ch10_pld_hssi_osc_transfer_en_i     (ch10_pld_hssi_osc_transfer_en),
   .sip_ch11_pld_hssi_osc_transfer_en_i     (ch11_pld_hssi_osc_transfer_en),
   .sip_ch12_pld_hssi_osc_transfer_en_i     (ch12_pld_hssi_osc_transfer_en),
   .sip_ch13_pld_hssi_osc_transfer_en_i     (ch13_pld_hssi_osc_transfer_en),
   .sip_ch14_pld_hssi_osc_transfer_en_i     (ch14_pld_hssi_osc_transfer_en),
   .sip_ch15_pld_hssi_osc_transfer_en_i     (ch15_pld_hssi_osc_transfer_en),
   .sip_ch16_pld_hssi_osc_transfer_en_i     (ch16_pld_hssi_osc_transfer_en),
   .sip_ch17_pld_hssi_osc_transfer_en_i     (ch17_pld_hssi_osc_transfer_en),
   .sip_ch18_pld_hssi_osc_transfer_en_i     (ch18_pld_hssi_osc_transfer_en),
   .sip_ch19_pld_hssi_osc_transfer_en_i     (ch19_pld_hssi_osc_transfer_en),
   .sip_ch20_pld_hssi_osc_transfer_en_i     (ch20_pld_hssi_osc_transfer_en),
   .sip_ch21_pld_hssi_osc_transfer_en_i     (ch21_pld_hssi_osc_transfer_en),
   .sip_ch22_pld_hssi_osc_transfer_en_i     (ch22_pld_hssi_osc_transfer_en),
   .sip_ch23_pld_hssi_osc_transfer_en_i     (ch23_pld_hssi_osc_transfer_en),
   .sip_ch0_pld_rx_fabric_fifo_align_clr_o  (ch0_pld_rx_fabric_fifo_align_clr),
   .sip_ch1_pld_rx_fabric_fifo_align_clr_o  (ch1_pld_rx_fabric_fifo_align_clr),
   .sip_ch2_pld_rx_fabric_fifo_align_clr_o  (ch2_pld_rx_fabric_fifo_align_clr),
   .sip_ch3_pld_rx_fabric_fifo_align_clr_o  (ch3_pld_rx_fabric_fifo_align_clr),
   .sip_ch4_pld_rx_fabric_fifo_align_clr_o  (ch4_pld_rx_fabric_fifo_align_clr),
   .sip_ch5_pld_rx_fabric_fifo_align_clr_o  (ch5_pld_rx_fabric_fifo_align_clr),
   .sip_ch6_pld_rx_fabric_fifo_align_clr_o  (ch6_pld_rx_fabric_fifo_align_clr),
   .sip_ch7_pld_rx_fabric_fifo_align_clr_o  (ch7_pld_rx_fabric_fifo_align_clr),
   .sip_ch8_pld_rx_fabric_fifo_align_clr_o  (ch8_pld_rx_fabric_fifo_align_clr),
   .sip_ch9_pld_rx_fabric_fifo_align_clr_o  (ch9_pld_rx_fabric_fifo_align_clr),
   .sip_ch10_pld_rx_fabric_fifo_align_clr_o (ch10_pld_rx_fabric_fifo_align_clr),
   .sip_ch11_pld_rx_fabric_fifo_align_clr_o (ch11_pld_rx_fabric_fifo_align_clr),
   .sip_ch12_pld_rx_fabric_fifo_align_clr_o (ch12_pld_rx_fabric_fifo_align_clr),
   .sip_ch13_pld_rx_fabric_fifo_align_clr_o (ch13_pld_rx_fabric_fifo_align_clr),
   .sip_ch14_pld_rx_fabric_fifo_align_clr_o (ch14_pld_rx_fabric_fifo_align_clr),
   .sip_ch15_pld_rx_fabric_fifo_align_clr_o (ch15_pld_rx_fabric_fifo_align_clr),
   .sip_ch16_pld_rx_fabric_fifo_align_clr_o (ch16_pld_rx_fabric_fifo_align_clr),
   .sip_ch17_pld_rx_fabric_fifo_align_clr_o (ch17_pld_rx_fabric_fifo_align_clr),
   .sip_ch18_pld_rx_fabric_fifo_align_clr_o (ch18_pld_rx_fabric_fifo_align_clr),
   .sip_ch19_pld_rx_fabric_fifo_align_clr_o (ch19_pld_rx_fabric_fifo_align_clr),
   .sip_ch20_pld_rx_fabric_fifo_align_clr_o (ch20_pld_rx_fabric_fifo_align_clr),
   .sip_ch21_pld_rx_fabric_fifo_align_clr_o (ch21_pld_rx_fabric_fifo_align_clr),
   .sip_ch22_pld_rx_fabric_fifo_align_clr_o (ch22_pld_rx_fabric_fifo_align_clr),
   .sip_ch23_pld_rx_fabric_fifo_align_clr_o (ch23_pld_rx_fabric_fifo_align_clr),
   .sip_ch0_pld_rx_dll_lock_req_o           (ch0_pld_rx_dll_lock_req),
   .sip_ch1_pld_rx_dll_lock_req_o           (ch1_pld_rx_dll_lock_req),
   .sip_ch2_pld_rx_dll_lock_req_o           (ch2_pld_rx_dll_lock_req),
   .sip_ch3_pld_rx_dll_lock_req_o           (ch3_pld_rx_dll_lock_req),
   .sip_ch4_pld_rx_dll_lock_req_o           (ch4_pld_rx_dll_lock_req),
   .sip_ch5_pld_rx_dll_lock_req_o           (ch5_pld_rx_dll_lock_req),
   .sip_ch6_pld_rx_dll_lock_req_o           (ch6_pld_rx_dll_lock_req),
   .sip_ch7_pld_rx_dll_lock_req_o           (ch7_pld_rx_dll_lock_req),
   .sip_ch8_pld_rx_dll_lock_req_o           (ch8_pld_rx_dll_lock_req),
   .sip_ch9_pld_rx_dll_lock_req_o           (ch9_pld_rx_dll_lock_req),
   .sip_ch10_pld_rx_dll_lock_req_o          (ch10_pld_rx_dll_lock_req),
   .sip_ch11_pld_rx_dll_lock_req_o          (ch11_pld_rx_dll_lock_req),
   .sip_ch12_pld_rx_dll_lock_req_o          (ch12_pld_rx_dll_lock_req),
   .sip_ch13_pld_rx_dll_lock_req_o          (ch13_pld_rx_dll_lock_req),
   .sip_ch14_pld_rx_dll_lock_req_o          (ch14_pld_rx_dll_lock_req),
   .sip_ch15_pld_rx_dll_lock_req_o          (ch15_pld_rx_dll_lock_req),
   .sip_ch16_pld_rx_dll_lock_req_o          (ch16_pld_rx_dll_lock_req),
   .sip_ch17_pld_rx_dll_lock_req_o          (ch17_pld_rx_dll_lock_req),
   .sip_ch18_pld_rx_dll_lock_req_o          (ch18_pld_rx_dll_lock_req),
   .sip_ch19_pld_rx_dll_lock_req_o          (ch19_pld_rx_dll_lock_req),
   .sip_ch20_pld_rx_dll_lock_req_o          (ch20_pld_rx_dll_lock_req),
   .sip_ch21_pld_rx_dll_lock_req_o          (ch21_pld_rx_dll_lock_req),
   .sip_ch22_pld_rx_dll_lock_req_o          (ch22_pld_rx_dll_lock_req),
   .sip_ch23_pld_rx_dll_lock_req_o          (ch23_pld_rx_dll_lock_req),
   .sip_ch0_pld_tx_dll_lock_req_o           (ch0_pld_tx_dll_lock_req),
   .sip_ch1_pld_tx_dll_lock_req_o           (ch1_pld_tx_dll_lock_req),
   .sip_ch2_pld_tx_dll_lock_req_o           (ch2_pld_tx_dll_lock_req),
   .sip_ch3_pld_tx_dll_lock_req_o           (ch3_pld_tx_dll_lock_req),
   .sip_ch4_pld_tx_dll_lock_req_o           (ch4_pld_tx_dll_lock_req),
   .sip_ch5_pld_tx_dll_lock_req_o           (ch5_pld_tx_dll_lock_req),
   .sip_ch6_pld_tx_dll_lock_req_o           (ch6_pld_tx_dll_lock_req),
   .sip_ch7_pld_tx_dll_lock_req_o           (ch7_pld_tx_dll_lock_req),
   .sip_ch8_pld_tx_dll_lock_req_o           (ch8_pld_tx_dll_lock_req),
   .sip_ch9_pld_tx_dll_lock_req_o           (ch9_pld_tx_dll_lock_req),
   .sip_ch10_pld_tx_dll_lock_req_o          (ch10_pld_tx_dll_lock_req),
   .sip_ch11_pld_tx_dll_lock_req_o          (ch11_pld_tx_dll_lock_req),
   .sip_ch12_pld_tx_dll_lock_req_o          (ch12_pld_tx_dll_lock_req),
   .sip_ch13_pld_tx_dll_lock_req_o          (ch13_pld_tx_dll_lock_req),
   .sip_ch14_pld_tx_dll_lock_req_o          (ch14_pld_tx_dll_lock_req),
   .sip_ch15_pld_tx_dll_lock_req_o          (ch15_pld_tx_dll_lock_req),
   .sip_ch16_pld_tx_dll_lock_req_o          (ch16_pld_tx_dll_lock_req),
   .sip_ch17_pld_tx_dll_lock_req_o          (ch17_pld_tx_dll_lock_req),
   .sip_ch18_pld_tx_dll_lock_req_o          (ch18_pld_tx_dll_lock_req),
   .sip_ch19_pld_tx_dll_lock_req_o          (ch19_pld_tx_dll_lock_req),
   .sip_ch20_pld_tx_dll_lock_req_o          (ch20_pld_tx_dll_lock_req),
   .sip_ch21_pld_tx_dll_lock_req_o          (ch21_pld_tx_dll_lock_req),
   .sip_ch22_pld_tx_dll_lock_req_o          (ch22_pld_tx_dll_lock_req),
   .sip_ch23_pld_tx_dll_lock_req_o          (ch23_pld_tx_dll_lock_req),
   .sip_ch0_pld_adapter_rx_pld_rst_n_o      (ch0_pld_adapter_rx_pld_rst_n),
   .sip_ch1_pld_adapter_rx_pld_rst_n_o      (ch1_pld_adapter_rx_pld_rst_n),
   .sip_ch2_pld_adapter_rx_pld_rst_n_o      (ch2_pld_adapter_rx_pld_rst_n),
   .sip_ch3_pld_adapter_rx_pld_rst_n_o      (ch3_pld_adapter_rx_pld_rst_n),
   .sip_ch4_pld_adapter_rx_pld_rst_n_o      (ch4_pld_adapter_rx_pld_rst_n),
   .sip_ch5_pld_adapter_rx_pld_rst_n_o      (ch5_pld_adapter_rx_pld_rst_n),
   .sip_ch6_pld_adapter_rx_pld_rst_n_o      (ch6_pld_adapter_rx_pld_rst_n),
   .sip_ch7_pld_adapter_rx_pld_rst_n_o      (ch7_pld_adapter_rx_pld_rst_n),
   .sip_ch8_pld_adapter_rx_pld_rst_n_o      (ch8_pld_adapter_rx_pld_rst_n),
   .sip_ch9_pld_adapter_rx_pld_rst_n_o      (ch9_pld_adapter_rx_pld_rst_n),
   .sip_ch10_pld_adapter_rx_pld_rst_n_o     (ch10_pld_adapter_rx_pld_rst_n),
   .sip_ch11_pld_adapter_rx_pld_rst_n_o     (ch11_pld_adapter_rx_pld_rst_n),
   .sip_ch12_pld_adapter_rx_pld_rst_n_o     (ch12_pld_adapter_rx_pld_rst_n),
   .sip_ch13_pld_adapter_rx_pld_rst_n_o     (ch13_pld_adapter_rx_pld_rst_n),
   .sip_ch14_pld_adapter_rx_pld_rst_n_o     (ch14_pld_adapter_rx_pld_rst_n),
   .sip_ch15_pld_adapter_rx_pld_rst_n_o     (ch15_pld_adapter_rx_pld_rst_n),
   .sip_ch16_pld_adapter_rx_pld_rst_n_o     (ch16_pld_adapter_rx_pld_rst_n),
   .sip_ch17_pld_adapter_rx_pld_rst_n_o     (ch17_pld_adapter_rx_pld_rst_n),
   .sip_ch18_pld_adapter_rx_pld_rst_n_o     (ch18_pld_adapter_rx_pld_rst_n),
   .sip_ch19_pld_adapter_rx_pld_rst_n_o     (ch19_pld_adapter_rx_pld_rst_n),
   .sip_ch20_pld_adapter_rx_pld_rst_n_o     (ch20_pld_adapter_rx_pld_rst_n),
   .sip_ch21_pld_adapter_rx_pld_rst_n_o     (ch21_pld_adapter_rx_pld_rst_n),
   .sip_ch22_pld_adapter_rx_pld_rst_n_o     (ch22_pld_adapter_rx_pld_rst_n),
   .sip_ch23_pld_adapter_rx_pld_rst_n_o     (ch23_pld_adapter_rx_pld_rst_n),
   .sip_ch0_pld_adapter_tx_pld_rst_n_o      (ch0_pld_adapter_tx_pld_rst_n),
   .sip_ch1_pld_adapter_tx_pld_rst_n_o      (ch1_pld_adapter_tx_pld_rst_n),
   .sip_ch2_pld_adapter_tx_pld_rst_n_o      (ch2_pld_adapter_tx_pld_rst_n),
   .sip_ch3_pld_adapter_tx_pld_rst_n_o      (ch3_pld_adapter_tx_pld_rst_n),
   .sip_ch4_pld_adapter_tx_pld_rst_n_o      (ch4_pld_adapter_tx_pld_rst_n),
   .sip_ch5_pld_adapter_tx_pld_rst_n_o      (ch5_pld_adapter_tx_pld_rst_n),
   .sip_ch6_pld_adapter_tx_pld_rst_n_o      (ch6_pld_adapter_tx_pld_rst_n),
   .sip_ch7_pld_adapter_tx_pld_rst_n_o      (ch7_pld_adapter_tx_pld_rst_n),
   .sip_ch8_pld_adapter_tx_pld_rst_n_o      (ch8_pld_adapter_tx_pld_rst_n),
   .sip_ch9_pld_adapter_tx_pld_rst_n_o      (ch9_pld_adapter_tx_pld_rst_n),
   .sip_ch10_pld_adapter_tx_pld_rst_n_o     (ch10_pld_adapter_tx_pld_rst_n),
   .sip_ch11_pld_adapter_tx_pld_rst_n_o     (ch11_pld_adapter_tx_pld_rst_n),
   .sip_ch12_pld_adapter_tx_pld_rst_n_o     (ch12_pld_adapter_tx_pld_rst_n),
   .sip_ch13_pld_adapter_tx_pld_rst_n_o     (ch13_pld_adapter_tx_pld_rst_n),
   .sip_ch14_pld_adapter_tx_pld_rst_n_o     (ch14_pld_adapter_tx_pld_rst_n),
   .sip_ch15_pld_adapter_tx_pld_rst_n_o     (ch15_pld_adapter_tx_pld_rst_n),
   .sip_ch16_pld_adapter_tx_pld_rst_n_o     (ch16_pld_adapter_tx_pld_rst_n),
   .sip_ch17_pld_adapter_tx_pld_rst_n_o     (ch17_pld_adapter_tx_pld_rst_n),
   .sip_ch18_pld_adapter_tx_pld_rst_n_o     (ch18_pld_adapter_tx_pld_rst_n),
   .sip_ch19_pld_adapter_tx_pld_rst_n_o     (ch19_pld_adapter_tx_pld_rst_n),
   .sip_ch20_pld_adapter_tx_pld_rst_n_o     (ch20_pld_adapter_tx_pld_rst_n),
   .sip_ch21_pld_adapter_tx_pld_rst_n_o     (ch21_pld_adapter_tx_pld_rst_n),
   .sip_ch22_pld_adapter_tx_pld_rst_n_o     (ch22_pld_adapter_tx_pld_rst_n),
   .sip_ch23_pld_adapter_tx_pld_rst_n_o     (ch23_pld_adapter_tx_pld_rst_n),
   .p0_rx_st_ready_i                        (p0_rx_st_ready_i),
   .p0_rx_par_err_o                         (p0_rx_par_err_o),
   .p0_rx_st_data_o                         (p0_rx_st_data_o),
   .p0_rx_st_data_par_o                     (p0_rx_st_data_par_o),
   .p0_rx_st_hdr_o                          (p0_rx_st_hdr_o),
   .p0_rx_st_hdr_par_o                      (p0_rx_st_hdr_par_o),
   .p0_rx_st_tlp_prfx_o                     (p0_rx_st_tlp_prfx_o),
   .p0_rx_st_tlp_prfx_par_o                 (p0_rx_st_tlp_prfx_par_o),
   .p0_rx_st_func_num_o                     (p0_rx_st_func_num_o),
   .p0_rx_st_vf_num_o                       (p0_rx_st_vf_num_o),
   .p0_rx_st_vf_active_o                    (p0_rx_st_vf_active_o),
   .p0_rx_st_valid_o                        (p0_rx_st_valid_o),
   .p0_rx_st_sop_o                          (p0_rx_st_sop_o),
   .p0_rx_st_eop_o                          (p0_rx_st_eop_o),
   .p0_rx_st_empty_o                        (p0_rx_st_empty_o),
   .p0_rx_st_bar_range_o                    (p0_rx_st_bar_range_o),
   .p0_rx_st_tlp_abort_o                    (p0_rx_st_tlp_abort_o),
   .p1_rx_st_ready_i                        (p1_rx_st_ready_i),
   .p1_rx_par_err_o                         (p1_rx_par_err_o),
   .p1_rx_st_data_o                         (p1_rx_st_data_o),
   .p1_rx_st_data_par_o                     (p1_rx_st_data_par_o),
   .p1_rx_st_hdr_o                          (p1_rx_st_hdr_o),
   .p1_rx_st_hdr_par_o                      (p1_rx_st_hdr_par_o),
   .p1_rx_st_tlp_prfx_o                     (p1_rx_st_tlp_prfx_o),
   .p1_rx_st_tlp_prfx_par_o                 (p1_rx_st_tlp_prfx_par_o),
   .p1_rx_st_func_num_o                     (p1_rx_st_func_num_o),
   .p1_rx_st_vf_num_o                       (p1_rx_st_vf_num_o),
   .p1_rx_st_vf_active_o                    (p1_rx_st_vf_active_o),
   .p1_rx_st_valid_o                        (p1_rx_st_valid_o),
   .p1_rx_st_sop_o                          (p1_rx_st_sop_o),
   .p1_rx_st_eop_o                          (p1_rx_st_eop_o),
   .p1_rx_st_empty_o                        (p1_rx_st_empty_o),
   .p1_rx_st_bar_range_o                    (p1_rx_st_bar_range_o),
   .p1_rx_st_tlp_abort_o                    (p1_rx_st_tlp_abort_o),
   .p2_rx_st_ready_i                        (p2_rx_st_ready_i),
   .p2_rx_par_err_o                         (p2_rx_par_err_o),
   .p2_rx_st_data_o                         (p2_rx_st_data_o),
   .p2_rx_st_data_par_o                     (p2_rx_st_data_par_o),
   .p2_rx_st_hdr_o                          (p2_rx_st_hdr_o),
   .p2_rx_st_hdr_par_o                      (p2_rx_st_hdr_par_o),
   .p2_rx_st_tlp_prfx_o                     (p2_rx_st_tlp_prfx_o),
   .p2_rx_st_tlp_prfx_par_o                 (p2_rx_st_tlp_prfx_par_o),
   .p2_rx_st_valid_o                        (p2_rx_st_valid_o),
   .p2_rx_st_sop_o                          (p2_rx_st_sop_o),
   .p2_rx_st_eop_o                          (p2_rx_st_eop_o),
   .p2_rx_st_empty_o                        (p2_rx_st_empty_o),
   .p2_rx_st_bar_range_o                    (p2_rx_st_bar_range_o),
   .p2_rx_st_tlp_abort_o                    (p2_rx_st_tlp_abort_o),
   .p3_rx_st_ready_i                        (p3_rx_st_ready_i),
   .p3_rx_par_err_o                         (p3_rx_par_err_o),
   .p3_rx_st_data_o                         (p3_rx_st_data_o),
   .p3_rx_st_data_par_o                     (p3_rx_st_data_par_o),
   .p3_rx_st_hdr_o                          (p3_rx_st_hdr_o),
   .p3_rx_st_hdr_par_o                      (p3_rx_st_hdr_par_o),
   .p3_rx_st_tlp_prfx_o                     (p3_rx_st_tlp_prfx_o),
   .p3_rx_st_tlp_prfx_par_o                 (p3_rx_st_tlp_prfx_par_o),
   .p3_rx_st_valid_o                        (p3_rx_st_valid_o),
   .p3_rx_st_sop_o                          (p3_rx_st_sop_o),
   .p3_rx_st_eop_o                          (p3_rx_st_eop_o),
   .p3_rx_st_empty_o                        (p3_rx_st_empty_o),
   .p3_rx_st_bar_range_o                    (p3_rx_st_bar_range_o),
   .p3_rx_st_tlp_abort_o                    (p3_rx_st_tlp_abort_o),
   .p0_rx_buffer_limit_i                    (p0_rx_buffer_limit_i),
   .p0_rx_buffer_limit_tdm_idx_i            (p0_rx_buffer_limit_tdm_idx_i),
   .p1_rx_buffer_limit_i                    (p1_rx_buffer_limit_i),
   .p1_rx_buffer_limit_tdm_idx_i            (p1_rx_buffer_limit_tdm_idx_i),
   .p2_rx_buffer_limit_i                    (p2_rx_buffer_limit_i),
   .p2_rx_buffer_limit_tdm_idx_i            (p2_rx_buffer_limit_tdm_idx_i),
   .p3_rx_buffer_limit_i                    (p3_rx_buffer_limit_i),
   .p3_rx_buffer_limit_tdm_idx_i            (p3_rx_buffer_limit_tdm_idx_i),
   .p0_tx_st_ready_o                        (p0_tx_st_ready_o),
   .p0_tx_par_err_o                         (p0_tx_par_err_o),
   .p0_tx_st_data_i                         (p0_tx_st_data_i),
   .p0_tx_st_data_par_i                     (p0_tx_st_data_par_i),
   .p0_tx_st_hdr_i                          (p0_tx_st_hdr_i),
   .p0_tx_st_hdr_par_i                      (p0_tx_st_hdr_par_i),
   .p0_tx_st_tlp_prfx_i                     (p0_tx_st_tlp_prfx_i),
   .p0_tx_st_tlp_prfx_par_i                 (p0_tx_st_tlp_prfx_par_i),
   .p0_tx_st_valid_i                        (p0_tx_st_valid_i),
   .p0_tx_st_sop_i                          (p0_tx_st_sop_i),
   .p0_tx_st_eop_i                          (p0_tx_st_eop_i),
   .p0_tx_st_err_i                          (p0_tx_st_err_i),
   .p1_tx_st_ready_o                        (p1_tx_st_ready_o),
   .p1_tx_par_err_o                         (p1_tx_par_err_o),
   .p1_tx_st_data_i                         (p1_tx_st_data_i),
   .p1_tx_st_data_par_i                     (p1_tx_st_data_par_i),
   .p1_tx_st_hdr_i                          (p1_tx_st_hdr_i),
   .p1_tx_st_hdr_par_i                      (p1_tx_st_hdr_par_i),
   .p1_tx_st_tlp_prfx_i                     (p1_tx_st_tlp_prfx_i),
   .p1_tx_st_tlp_prfx_par_i                 (p1_tx_st_tlp_prfx_par_i),
   .p1_tx_st_valid_i                        (p1_tx_st_valid_i),
   .p1_tx_st_sop_i                          (p1_tx_st_sop_i),
   .p1_tx_st_eop_i                          (p1_tx_st_eop_i),
   .p1_tx_st_err_i                          (p1_tx_st_err_i),
   .p2_tx_st_ready_o                        (p2_tx_st_ready_o),
   .p2_tx_par_err_o                         (p2_tx_par_err_o),
   .p2_tx_st_data_i                         (p2_tx_st_data_i),
   .p2_tx_st_data_par_i                     (p2_tx_st_data_par_i),
   .p2_tx_st_hdr_i                          (p2_tx_st_hdr_i),
   .p2_tx_st_hdr_par_i                      (p2_tx_st_hdr_par_i),
   .p2_tx_st_tlp_prfx_i                     (p2_tx_st_tlp_prfx_i),
   .p2_tx_st_tlp_prfx_par_i                 (p2_tx_st_tlp_prfx_par_i),
   .p2_tx_st_valid_i                        (p2_tx_st_valid_i),
   .p2_tx_st_sop_i                          (p2_tx_st_sop_i),
   .p2_tx_st_eop_i                          (p2_tx_st_eop_i),
   .p2_tx_st_err_i                          (p2_tx_st_err_i),
   .p3_tx_st_ready_o                        (p3_tx_st_ready_o),
   .p3_tx_par_err_o                         (p3_tx_par_err_o),
   .p3_tx_st_data_i                         (p3_tx_st_data_i),
   .p3_tx_st_data_par_i                     (p3_tx_st_data_par_i),
   .p3_tx_st_hdr_i                          (p3_tx_st_hdr_i),
   .p3_tx_st_hdr_par_i                      (p3_tx_st_hdr_par_i),
   .p3_tx_st_tlp_prfx_i                     (p3_tx_st_tlp_prfx_i),
   .p3_tx_st_tlp_prfx_par_i                 (p3_tx_st_tlp_prfx_par_i),
   .p3_tx_st_valid_i                        (p3_tx_st_valid_i),
   .p3_tx_st_sop_i                          (p3_tx_st_sop_i),
   .p3_tx_st_eop_i                          (p3_tx_st_eop_i),
   .p3_tx_st_err_i                          (p3_tx_st_err_i),
   .p0_tx_cdts_limit_o                      (p0_tx_cdts_limit_o),
   .p0_tx_cdts_limit_tdm_idx_o              (p0_tx_cdts_limit_tdm_idx_o),
   .p1_tx_cdts_limit_o                      (p1_tx_cdts_limit_o),
   .p1_tx_cdts_limit_tdm_idx_o              (p1_tx_cdts_limit_tdm_idx_o),
   .p2_tx_cdts_limit_o                      (p2_tx_cdts_limit_o),
   .p2_tx_cdts_limit_tdm_idx_o              (p2_tx_cdts_limit_tdm_idx_o),
   .p3_tx_cdts_limit_o                      (p3_tx_cdts_limit_o),
   .p3_tx_cdts_limit_tdm_idx_o              (p3_tx_cdts_limit_tdm_idx_o),
   .p0_app_int_i                            (p0_app_int_i),
   .p0_int_status_o                         (p0_int_status_o),
   .p1_app_int_i                            (p1_app_int_i),
   .p1_int_status_o                         (p1_int_status_o),
   .p2_int_status_o                         (p2_int_status_o),
   .p3_int_status_o                         (p3_int_status_o),
   .p0_msi_pnd_func_i                       (p0_msi_pnd_func_i),
   .p0_msi_pnd_addr_i                       (p0_msi_pnd_addr_i),
   .p0_msi_pnd_byte_i                       (p0_msi_pnd_byte_i),
   .p1_msi_pnd_func_i                       (p1_msi_pnd_func_i),
   .p1_msi_pnd_addr_i                       (p1_msi_pnd_addr_i),
   .p1_msi_pnd_byte_i                       (p1_msi_pnd_byte_i),
   .p0_app_xfer_pending_i                   (p0_app_xfer_pending_i),
   .p0_app_ready_entr_l23_i                 (p0_apps_ready_entr_l23_i),
   .p0_apps_pm_xmt_pme_i                    (p0_apps_pm_xmt_pme_i),
   .p0_app_init_rst_i                       (p0_app_init_rst_i),
   .p0_apps_pm_xmt_turnoff_i                (p0_apps_pm_xmt_turnoff_i),
   .p0_surprise_down_err_o                  (p0_surprise_down_err_o),
   .p0_link_up_o                            (p0_link_up_o),
   .p0_dl_up_o                              (p0_dl_up_o),
   .p0_pm_state_o                           (p0_pm_state_o),
   .p0_pm_dstate_o                          (p0_pm_dstate_o),
   .p0_ltssm_state_o                        (p0_ltssm_state_o),
   .p1_app_xfer_pending_i                   (p1_app_xfer_pending_i),
   .p1_app_ready_entr_l23_i                 (p1_apps_ready_entr_l23_i),
   .p1_apps_pm_xmt_pme_i                    (p1_apps_pm_xmt_pme_i),
   .p1_app_init_rst_i                       (p1_app_init_rst_i),
   .p1_apps_pm_xmt_turnoff_i                (p1_apps_pm_xmt_turnoff_i),
   .p1_surprise_down_err_o                  (p1_surprise_down_err_o),
   .p1_link_up_o                            (p1_link_up_o),
   .p1_dl_up_o                              (p1_dl_up_o),
   .p1_pm_state_o                           (p1_pm_state_o),
   .p1_pm_dstate_o                          (p1_pm_dstate_o),
   .p1_ltssm_state_o                        (p1_ltssm_state_o),
   .p2_app_xfer_pending_i                   (p2_app_xfer_pending_i),
   .p2_app_ready_entr_l23_i                 (p2_apps_ready_entr_l23_i),
   .p2_apps_pm_xmt_pme_i                    (p2_apps_pm_xmt_pme_i),
   .p2_app_init_rst_i                       (p2_app_init_rst_i),
   .p2_apps_pm_xmt_turnoff_i                (p2_apps_pm_xmt_turnoff_i),
   .p2_surprise_down_err_o                  (p2_surprise_down_err_o),
   .p2_link_up_o                            (p2_link_up_o),
   .p2_dl_up_o                              (p2_dl_up_o),
   .p2_pm_state_o                           (p2_pm_state_o),
   .p2_pm_dstate_o                          (p2_pm_dstate_o),
   .p2_ltssm_state_o                        (p2_ltssm_state_o),
   .p3_app_xfer_pending_i                   (p3_app_xfer_pending_i),
   .p3_app_ready_entr_l23_i                 (p3_apps_ready_entr_l23_i),
   .p3_apps_pm_xmt_pme_i                    (p3_apps_pm_xmt_pme_i),
   .p3_app_init_rst_i                       (p3_app_init_rst_i),
   .p3_apps_pm_xmt_turnoff_i                (p3_apps_pm_xmt_turnoff_i),
   .p3_surprise_down_err_o                  (p3_surprise_down_err_o),
   .p3_link_up_o                            (p3_link_up_o),
   .p3_dl_up_o                              (p3_dl_up_o),
   .p3_pm_state_o                           (p3_pm_state_o),
   .p3_pm_dstate_o                          (p3_pm_dstate_o),
   .p3_ltssm_state_o                        (p3_ltssm_state_o),
   .p0_app_err_valid_i                      (p0_app_err_valid_i),
   .p0_app_err_func_num_i                   (p0_app_err_func_num_i),
   .p0_app_err_hdr_i                        (p0_app_err_hdr_i),
   .p0_app_err_info_i                       (p0_app_err_info_i),
   .p0_serr_out_o                           (p0_serr_out_o),
   .p0_hip_enter_err_mode_o                 (p0_hip_enter_err_mode_o),
   .p1_app_err_valid_i                      (p1_app_err_valid_i),
   .p1_app_err_func_num_i                   (p1_app_err_func_num_i),
   .p1_app_err_hdr_i                        (p1_app_err_hdr_i),
   .p1_app_err_info_i                       (p1_app_err_info_i),
   .p1_serr_out_o                           (p1_serr_out_o),
   .p1_hip_enter_err_mode_o                 (p1_hip_enter_err_mode_o),
   .p2_app_err_valid_i                      (p2_app_err_valid_i),
   .p2_app_err_hdr_i                        (p2_app_err_hdr_i),
   .p2_app_err_info_i                       (p2_app_err_info_i),
   .p2_serr_out_o                           (p2_serr_out_o),
   .p2_hip_enter_err_mode_o                 (p2_hip_enter_err_mode_o),
   .p3_app_err_valid_i                      (p3_app_err_valid_i),
   .p3_app_err_hdr_i                        (p3_app_err_hdr_i),
   .p3_app_err_info_i                       (p3_app_err_info_i),
   .p3_serr_out_o                           (p3_serr_out_o),
   .p3_hip_enter_err_mode_o                 (p3_hip_enter_err_mode_o),
   .p0_sys_aux_pwr_det_i                    (p0_sys_aux_pwr_det_i),
   .p0_sys_pwr_fault_det_i                  (p0_sys_pwr_fault_det_i),
   .p0_sys_mrl_sensor_state_i               (p0_sys_mrl_sensor_state_i),
   .p0_sys_mrl_sensor_chged_i               (p0_sys_mrl_sensor_chged_i),
   .p0_sys_pre_det_state_i                  (p0_sys_pre_det_state_i),
   .p0_sys_pre_det_chged_i                  (p0_sys_pre_det_chged_i),
   .p0_sys_cmd_cpled_int_i                  (p0_sys_cmd_cpled_int_i),
   .p0_sys_atten_button_pressed_i           (p0_sys_atten_button_pressed_i),
   .p0_sys_eml_interlock_engaged_i          (p0_sys_eml_interlock_engaged_i),
   .p1_sys_aux_pwr_det_i                    (p1_sys_aux_pwr_det_i),
   .p1_sys_pwr_fault_det_i                  (p1_sys_pwr_fault_det_i),
   .p1_sys_mrl_sensor_state_i               (p1_sys_mrl_sensor_state_i),
   .p1_sys_mrl_sensor_chged_i               (p1_sys_mrl_sensor_chged_i),
   .p1_sys_pre_det_state_i                  (p1_sys_pre_det_state_i),
   .p1_sys_pre_det_chged_i                  (p1_sys_pre_det_chged_i),
   .p1_sys_cmd_cpled_int_i                  (p1_sys_cmd_cpled_int_i),
   .p1_sys_atten_button_pressed_i           (p1_sys_atten_button_pressed_i),
   .p1_sys_eml_interlock_engaged_i          (p1_sys_eml_interlock_engaged_i),
   .p2_sys_aux_pwr_det_i                    (p2_sys_aux_pwr_det_i),
   .p2_sys_pwr_fault_det_i                  (p2_sys_pwr_fault_det_i),
   .p2_sys_mrl_sensor_state_i               (p2_sys_mrl_sensor_state_i),
   .p2_sys_mrl_sensor_chged_i               (p2_sys_mrl_sensor_chged_i),
   .p2_sys_pre_det_chged_i                  (p2_sys_pre_det_chged_i),
   .p2_sys_pre_det_state_i                  (p2_sys_pre_det_state_i),
   .p2_sys_cmd_cpled_int_i                  (p2_sys_cmd_cpled_int_i),
   .p2_sys_atten_button_pressed_i           (p2_sys_atten_button_pressed_i),
   .p2_sys_eml_interlock_engaged_i          (p2_sys_eml_interlock_engaged_i),
   .p3_sys_aux_pwr_det_i                    (p3_sys_aux_pwr_det_i),
   .p3_sys_pwr_fault_det_i                  (p3_sys_pwr_fault_det_i),
   .p3_sys_mrl_sensor_state_i               (p3_sys_mrl_sensor_state_i),
   .p3_sys_mrl_sensor_chged_i               (p3_sys_mrl_sensor_chged_i),
   .p3_sys_pre_det_chged_i                  (p3_sys_pre_det_chged_i),
   .p3_sys_pre_det_state_i                  (p3_sys_pre_det_state_i),
   .p3_sys_cmd_cpled_int_i                  (p3_sys_cmd_cpled_int_i),
   .p3_sys_atten_button_pressed_i           (p3_sys_atten_button_pressed_i),
   .p3_sys_eml_interlock_engaged_i          (p3_sys_eml_interlock_engaged_i),
   .p0_flr_rcvd_pf_o                        (p0_flr_rcvd_pf_o),
   .p0_flr_completed_pf_i                   (p0_flr_completed_pf_i),
   .p1_flr_rcvd_pf_o                        (p1_flr_rcvd_pf_o),
   .p1_flr_completed_pf_i                   (p1_flr_completed_pf_i),
   .p0_flr_rcvd_vf_o                        (p0_flr_rcvd_vf_o),
   .p0_flr_rcvd_pf_num_o                    (p0_flr_rcvd_pf_num_o),
   .p0_flr_rcvd_vf_num_o                    (p0_flr_rcvd_vf_num_o),
   .p0_flr_completed_vf_i                   (p0_flr_completed_vf_i),
   .p0_flr_completed_pf_num_i               (p0_flr_completed_pf_num_i),
   .p0_flr_completed_vf_num_i               (p0_flr_completed_vf_num_i),
   .p1_flr_rcvd_vf_o                        (p1_flr_rcvd_vf_o),
   .p1_flr_rcvd_pf_num_o                    (p1_flr_rcvd_pf_num_o),
   .p1_flr_rcvd_vf_num_o                    (p1_flr_rcvd_vf_num_o),
   .p1_flr_completed_vf_i                   (p1_flr_completed_vf_i),
   .p1_flr_completed_pf_num_i               (p1_flr_completed_pf_num_i),
   .p1_flr_completed_vf_num_i               (p1_flr_completed_vf_num_i),
   .p0_tl_cfg_add_o                         (p0_tl_cfg_add_o),
   .p0_tl_cfg_func_o                        (p0_tl_cfg_func_o),
   .p0_tl_cfg_ctl_o                         (p0_tl_cfg_ctl_o),
   .p1_tl_cfg_add_o                         (p1_tl_cfg_add_o),
   .p1_tl_cfg_func_o                        (p1_tl_cfg_func_o),
   .p1_tl_cfg_ctl_o                         (p1_tl_cfg_ctl_o),
   .p2_tl_cfg_add_o                         (p2_tl_cfg_add_o),
   .p2_tl_cfg_func_o                        (p2_tl_cfg_func_o),
   .p2_tl_cfg_ctl_o                         (p2_tl_cfg_ctl_o),
   .p3_tl_cfg_add_o                         (p3_tl_cfg_add_o),
   .p3_tl_cfg_func_o                        (p3_tl_cfg_func_o),
   .p3_tl_cfg_ctl_o                         (p3_tl_cfg_ctl_o),
   .p0_cii_halt_i                           (p0_cii_halt_i),
   .p0_cii_override_en_i                    (p0_cii_override_en_i),
   .p0_cii_override_din_i                   (p0_cii_override_din_i),
   .p0_cii_req_o                            (p0_cii_req_o),
   .p0_cii_addr_o                           (p0_cii_addr_o),
   .p0_cii_func_num_o                       (p0_cii_func_num_o),
   .p0_cii_vf_num_o                         (p0_cii_vf_num_o),
   .p0_cii_wr_vf_active_o                   (p0_cii_wr_vf_active_o),
   .p0_cii_hdr_poisoned_o                   (p0_cii_hdr_poisoned_o),
   .p0_cii_hdr_first_be_o                   (p0_cii_hdr_first_be_o),
   .p0_cii_wr_o                             (p0_cii_wr_o),
   .p0_cii_dout_o                           (p0_cii_dout_o),
   .p1_cii_halt_i                           (p1_cii_halt_i),
   .p1_cii_override_en_i                    (p1_cii_override_en_i),
   .p1_cii_override_din_i                   (p1_cii_override_din_i),
   .p1_cii_req_o                            (p1_cii_req_o),
   .p1_cii_addr_o                           (p1_cii_addr_o),
   .p1_cii_func_num_o                       (p1_cii_func_num_o),
   .p1_cii_vf_num_o                         (p1_cii_vf_num_o),
   .p1_cii_wr_vf_active_o                   (p1_cii_wr_vf_active_o),
   .p1_cii_hdr_poisoned_o                   (p1_cii_hdr_poisoned_o),
   .p1_cii_hdr_first_be_o                   (p1_cii_hdr_first_be_o),
   .p1_cii_wr_o                             (p1_cii_wr_o),
   .p1_cii_dout_o                           (p1_cii_dout_o),
   .p0_10bits_tag_req_en_o                  (p0_10bits_tag_req_en_o),
   .p0_pld_gp_status_i                      (p0_pld_gp_status_i),
   .p0_pld_gp_ctrl_o                        (p0_pld_gp_ctrl_o),
   .p0_user_sent_vfnonfatalmsg_i            (p0_user_sent_vfnonfatalmsg_i),
   .p0_user_vfnonfatalmsg_func_num_i        (p0_user_vfnonfatalmsg_func_num_i),
   .p0_user_vfnonfatalmsg_vfnum_i           (p0_user_vfnonfatalmsg_vfnum_i),
   .p0_vf_err_ur_posted_s0_o                (p0_vf_err_ur_posted_s0_o),
   .p0_vf_err_ur_posted_s1_o                (p0_vf_err_ur_posted_s1_o),
   .p0_vf_err_ur_posted_s2_o                (p0_vf_err_ur_posted_s2_o),
   .p0_vf_err_ur_posted_s3_o                (p0_vf_err_ur_posted_s3_o),
   .p0_vf_err_ca_postedreq_s0_o             (p0_vf_err_ca_postedreq_s0_o),
   .p0_vf_err_ca_postedreq_s1_o             (p0_vf_err_ca_postedreq_s1_o),
   .p0_vf_err_ca_postedreq_s3_o             (p0_vf_err_ca_postedreq_s3_o),
   .p0_vf_err_ca_postedreq_s2_o             (p0_vf_err_ca_postedreq_s2_o),
   .p0_vf_err_poisonedwrreq_s0_o            (p0_vf_err_poisonedwrreq_s0_o),
   .p0_vf_err_poisonedwrreq_s1_o            (p0_vf_err_poisonedwrreq_s1_o),
   .p0_vf_err_poisonedwrreq_s2_o            (p0_vf_err_poisonedwrreq_s2_o),
   .p0_vf_err_poisonedwrreq_s3_o            (p0_vf_err_poisonedwrreq_s3_o),
   .p0_vf_err_poisonedcompl_s0_o            (p0_vf_err_poisonedcompl_s0_o),
   .p0_vf_err_poisonedcompl_s1_o            (p0_vf_err_poisonedcompl_s1_o),
   .p0_vf_err_poisonedcompl_s2_o            (p0_vf_err_poisonedcompl_s2_o),
   .p0_vf_err_poisonedcompl_s3_o            (p0_vf_err_poisonedcompl_s3_o),
   .p0_vf_err_func_num_s0_o                 (p0_vf_err_func_num_s0_o),
   .p0_vf_err_func_num_s1_o                 (p0_vf_err_func_num_s1_o),
   .p0_vf_err_func_num_s2_o                 (p0_vf_err_func_num_s2_o),
   .p0_vf_err_func_num_s3_o                 (p0_vf_err_func_num_s3_o),
   .p0_vf_err_vf_num_s0_o                   (p0_vf_err_vf_num_s0_o),
   .p0_vf_err_vf_num_s1_o                   (p0_vf_err_vf_num_s1_o),
   .p0_vf_err_vf_num_s2_o                   (p0_vf_err_vf_num_s2_o),
   .p0_vf_err_vf_num_s3_o                   (p0_vf_err_vf_num_s3_o),
   .p0_vf_err_overflow_o                    (p0_vf_err_overflow_o),
   .p1_user_sent_vfnonfatalmsg_i            (p1_user_sent_vfnonfatalmsg_i),
   .p1_user_vfnonfatalmsg_func_num_i        (p1_user_vfnonfatalmsg_func_num_i),
   .p1_user_vfnonfatalmsg_vfnum_i           (p1_user_vfnonfatalmsg_vfnum_i),
   .p1_vf_err_ur_posted_s0_o                (p1_vf_err_ur_posted_s0_o),
   .p1_vf_err_ur_posted_s1_o                (p1_vf_err_ur_posted_s1_o),
   .p1_vf_err_ca_postedreq_s1_o             (p1_vf_err_ca_postedreq_s1_o),
   .p1_vf_err_ca_postedreq_s0_o             (p1_vf_err_ca_postedreq_s0_o),
   .p1_vf_err_poisonedwrreq_s0_o            (p1_vf_err_poisonedwrreq_s0_o),
   .p1_vf_err_poisonedwrreq_s1_o            (p1_vf_err_poisonedwrreq_s1_o),
   .p1_vf_err_poisonedcompl_s0_o            (p1_vf_err_poisonedcompl_s0_o),
   .p1_vf_err_poisonedcompl_s1_o            (p1_vf_err_poisonedcompl_s1_o),
   .p1_vf_err_func_num_s0_o                 (p1_vf_err_func_num_s0_o),
   .p1_vf_err_func_num_s1_o                 (p1_vf_err_func_num_s1_o),
   .p1_vf_err_vf_num_s0_o                   (p1_vf_err_vf_num_s0_o),
   .p1_vf_err_vf_num_s1_o                   (p1_vf_err_vf_num_s1_o),
   .p1_vf_err_overflow_o                    (p1_vf_err_overflow_o),
   .p0_app_req_retry_en_i                   (p0_app_req_retry_en_i),
   .p1_app_req_retry_en_i                   (p1_app_req_retry_en_i),
   .p2_app_req_retry_en_i                   (p2_app_req_retry_en_i),
   .p3_app_req_retry_en_i                   (p3_app_req_retry_en_i),
   .p0_cpl_timeout_o                        (p0_cpl_timeout_o),
   .p1_cpl_timeout_o                        (p1_cpl_timeout_o),
   .p2_cpl_timeout_o                        (p2_cpl_timeout_o),
   .p3_cpl_timeout_o                        (p3_cpl_timeout_o),
   .p0_dl_timer_update_o                    (p0_dl_timer_update_o),
   .p1_dl_timer_update_o                    (p1_dl_timer_update_o),
   .p2_dl_timer_update_o                    (p2_dl_timer_update_o),
   .p3_dl_timer_update_o                    (p3_dl_timer_update_o),
   .p0_prs_event_i                          (p0_prs_event_i),
   .p0_prs_event_func_i                     (p0_prs_event_func_i),
   .p0_prs_event_valid_i                    (p0_prs_event_valid_i),
   .p1_prs_event_i                          (p1_prs_event_i),
   .p1_prs_event_func_i                     (p1_prs_event_func_i),
   .p1_prs_event_valid_i                    (p1_prs_event_valid_i),
   .p0_test_in_i                            (p0_test_in_i),
   .p0_test_out_o                           (p0_test_out_o),
   .p1_test_in_i                            (p1_test_in_i),
   .p1_test_out_o                           (p1_test_out_o),
   .p2_test_in_i                            (p2_test_in_i),
   .p2_test_out_o                           (p2_test_out_o),
   .p3_test_in_i                            (p3_test_in_i),
   .p3_test_out_o                           (p3_test_out_o),
   .ptm_manual_update_i                     (ptm_manual_update_i),
   .ptm_clk_updated_o                       (ptm_clk_updated_o),
   .ptm_local_clock_o                       (ptm_local_clock_o),
   .ptm_context_valid_o                     (ptm_context_valid_o),
   .p0_pld_in_use_o                         (p0_pld_in_use_o),
   .p1_pld_in_use_o                         (p1_pld_in_use_o),
   .p2_pld_in_use_o                         (p2_pld_in_use_o),
   .p3_pld_in_use_o                         (p3_pld_in_use_o),
   .p0_user_mode_to_pld_o                   (p0_user_mode_to_pld_o),
   .p1_user_mode_to_pld_o                   (p1_user_mode_to_pld_o),
   .p2_user_mode_to_pld_o                   (p2_user_mode_to_pld_o),
   .p3_user_mode_to_pld_o                   (p3_user_mode_to_pld_o),
   .i_gpio_perst0_n                         (i_gpio_perst0_n),
   .i_gpio_perst1_n                         (i_gpio_perst1_n),
   .i_gpio_perst2_n                         (i_gpio_perst2_n),
   .i_gpio_perst3_n                         (i_gpio_perst3_n),
   .p0_pin_perst_n                          (p0_pin_perst_n),
   .p1_pin_perst_n                          (p1_pin_perst_n),
   .p2_pin_perst_n                          (p2_pin_perst_n),
   .p3_pin_perst_n                          (p3_pin_perst_n),
   .p0_reset_status_n                       (p0_reset_status_n),
   .p1_reset_status_n                       (p1_reset_status_n),
   .p2_reset_status_n                       (p2_reset_status_n),
   .p3_reset_status_n                       (p3_reset_status_n),
   .p0_pld_warm_rst_rdy_i                   (p0_pld_warm_rst_rdy_i),
   .p1_pld_warm_rst_rdy_i                   (p1_pld_warm_rst_rdy_i),
   .p2_pld_warm_rst_rdy_i                   (p2_pld_warm_rst_rdy_i),
   .p3_pld_warm_rst_rdy_i                   (p3_pld_warm_rst_rdy_i),
   .p0_pld_link_req_rst_o                   (p0_pld_link_req_rst_o),
   .p1_pld_link_req_rst_o                   (p1_pld_link_req_rst_o),
   .p2_pld_link_req_rst_o                   (p2_pld_link_req_rst_o),
   .p3_pld_link_req_rst_o                   (p3_pld_link_req_rst_o),
   .p0_hip_reconfig_clk                     (p0_hip_reconfig_clk),
   .p0_hip_reconfig_address                 (p0_hip_reconfig_address),
   .p0_hip_reconfig_write                   (p0_hip_reconfig_write),
   .p0_hip_reconfig_writedata               (p0_hip_reconfig_writedata),
   .p0_hip_reconfig_read                    (p0_hip_reconfig_read),
   .p0_hip_reconfig_readdatavalid           (p0_hip_reconfig_readdatavalid),
   .p0_hip_reconfig_readdata                (p0_hip_reconfig_readdata),
   .p0_hip_reconfig_waitrequest             (p0_hip_reconfig_waitrequest),
   .p1_hip_reconfig_clk                     (p1_hip_reconfig_clk),
   .p1_hip_reconfig_address                 (p1_hip_reconfig_address),
   .p1_hip_reconfig_write                   (p1_hip_reconfig_write),
   .p1_hip_reconfig_writedata               (p1_hip_reconfig_writedata),
   .p1_hip_reconfig_read                    (p1_hip_reconfig_read),
   .p1_hip_reconfig_readdatavalid           (p1_hip_reconfig_readdatavalid),
   .p1_hip_reconfig_readdata                (p1_hip_reconfig_readdata),
   .p1_hip_reconfig_waitrequest             (p1_hip_reconfig_waitrequest),
   .p2_hip_reconfig_clk                     (p2_hip_reconfig_clk),
   .p2_hip_reconfig_address                 (p2_hip_reconfig_address),
   .p2_hip_reconfig_write                   (p2_hip_reconfig_write),
   .p2_hip_reconfig_writedata               (p2_hip_reconfig_writedata),
   .p2_hip_reconfig_read                    (p2_hip_reconfig_read),
   .p2_hip_reconfig_readdatavalid           (p2_hip_reconfig_readdatavalid),
   .p2_hip_reconfig_readdata                (p2_hip_reconfig_readdata),
   .p2_hip_reconfig_waitrequest             (p2_hip_reconfig_waitrequest),
   .p3_hip_reconfig_clk                     (p3_hip_reconfig_clk),
   .p3_hip_reconfig_address                 (p3_hip_reconfig_address),
   .p3_hip_reconfig_write                   (p3_hip_reconfig_write),
   .p3_hip_reconfig_writedata               (p3_hip_reconfig_writedata),
   .p3_hip_reconfig_read                    (p3_hip_reconfig_read),
   .p3_hip_reconfig_readdatavalid           (p3_hip_reconfig_readdatavalid),
   .p3_hip_reconfig_readdata                (p3_hip_reconfig_readdata),
   .p3_hip_reconfig_waitrequest             (p3_hip_reconfig_waitrequest),
   .xcvr_reconfig_clk                       (xcvr_reconfig_clk),
   .xcvr_reconfig_address                   (xcvr_reconfig_address),
   .xcvr_reconfig_write                     (xcvr_reconfig_write),
   .xcvr_reconfig_writedata                 (xcvr_reconfig_writedata),
   .xcvr_reconfig_read                      (xcvr_reconfig_read),
   .xcvr_reconfig_readdatavalid             (xcvr_reconfig_readdatavalid),
   .xcvr_reconfig_readdata                  (xcvr_reconfig_readdata),
   .xcvr_reconfig_waitrequest               (xcvr_reconfig_waitrequest),
   .p0_dtk_hip_reconfig_clk                 (p0_dtk_hip_reconfig_clk),
   .p1_dtk_hip_reconfig_clk                 (p1_dtk_hip_reconfig_clk),
   .p2_dtk_hip_reconfig_clk                 (p2_dtk_hip_reconfig_clk),
   .p3_dtk_hip_reconfig_clk                 (p3_dtk_hip_reconfig_clk),
   .pciess_reconfig_waitrequest             (pciess_reconfig_waitrequest),
   .pciess_reconfig_read                    (pciess_reconfig_read),
   .pciess_reconfig_address                 (pciess_reconfig_address),
   .pciess_reconfig_write                   (pciess_reconfig_write),
   .pciess_reconfig_writedata               (pciess_reconfig_writedata),
   .pciess_reconfig_clk                     (pciess_reconfig_clk),
   .pciess_reconfig_readdatavalid           (pciess_reconfig_readdatavalid),
   .pciess_reconfig_readdata                (pciess_reconfig_readdata),
   .pli_avmm_master_address                 (pli_avmm_master_address),
   .pli_avmm_master_read                    (pli_avmm_master_read),
   .pli_avmm_master_readdata                (pli_avmm_master_readdata),
   .pli_avmm_master_readdatavalid           (pli_avmm_master_readdatavalid),
   .pli_avmm_master_write                   (pli_avmm_master_write),
   .pli_avmm_master_writedata               (pli_avmm_master_writedata),
   .pli_avmm_master_waitrequest             (pli_avmm_master_waitrequest),
   .p0_virtio_pcicfg_vfaccess_o             (p0_virtio_pcicfg_vfaccess_o),
   .p0_virtio_pcicfg_vfnum_o                (p0_virtio_pcicfg_vfnum_o),
   .p0_virtio_pcicfg_pfnum_o                (p0_virtio_pcicfg_pfnum_o),
   .p0_virtio_pcicfg_bar_o                  (p0_virtio_pcicfg_bar_o),
   .p0_virtio_pcicfg_length_o               (p0_virtio_pcicfg_length_o),
   .p0_virtio_pcicfg_baroffset_o            (p0_virtio_pcicfg_baroffset_o),
   .p0_virtio_pcicfg_cfgdata_o              (p0_virtio_pcicfg_cfgdata_o),
   .p0_virtio_pcicfg_cfgwr_o                (p0_virtio_pcicfg_cfgwr_o),
   .p0_virtio_pcicfg_cfgrd_o                (p0_virtio_pcicfg_cfgrd_o),
   .p0_virtio_pcicfg_appvfnum_i             (p0_virtio_pcicfg_appvfnum_i),
   .p0_virtio_pcicfg_apppfnum_i             (p0_virtio_pcicfg_apppfnum_i),
   .p0_virtio_pcicfg_rdack_i                (p0_virtio_pcicfg_rdack_i),
   .p0_virtio_pcicfg_rdbe_i                 (p0_virtio_pcicfg_rdbe_i),
   .p0_virtio_pcicfg_data_i                 (p0_virtio_pcicfg_data_i),
   .p1_virtio_pcicfg_vfaccess_o             (p1_virtio_pcicfg_vfaccess_o),
   .p1_virtio_pcicfg_vfnum_o                (p1_virtio_pcicfg_vfnum_o),
   .p1_virtio_pcicfg_pfnum_o                (p1_virtio_pcicfg_pfnum_o),
   .p1_virtio_pcicfg_bar_o                  (p1_virtio_pcicfg_bar_o),
   .p1_virtio_pcicfg_length_o               (p1_virtio_pcicfg_length_o),
   .p1_virtio_pcicfg_baroffset_o            (p1_virtio_pcicfg_baroffset_o),
   .p1_virtio_pcicfg_cfgdata_o              (p1_virtio_pcicfg_cfgdata_o),
   .p1_virtio_pcicfg_cfgwr_o                (p1_virtio_pcicfg_cfgwr_o),
   .p1_virtio_pcicfg_cfgrd_o                (p1_virtio_pcicfg_cfgrd_o),
   .p1_virtio_pcicfg_appvfnum_i             (p1_virtio_pcicfg_appvfnum_i),
   .p1_virtio_pcicfg_apppfnum_i             (p1_virtio_pcicfg_apppfnum_i),
   .p1_virtio_pcicfg_rdack_i                (p1_virtio_pcicfg_rdack_i),
   .p1_virtio_pcicfg_rdbe_i                 (p1_virtio_pcicfg_rdbe_i),
   .p1_virtio_pcicfg_data_i                 (p1_virtio_pcicfg_data_i)
);

endmodule


