** (C) 2001-2020 Intel Corporation. All rights reserved.
** Your use of Intel Corporation's design tools, logic functions and other 
** software and tools, and its AMPP partner logic functions, and any output 
** files from any of the foregoing (including device programming or simulation 
** files), and any associated documentation or information are expressly subject 
** to the terms and conditions of the Intel Program License Subscription 
** Agreement, Intel FPGA IP License Agreement, or other applicable 
** license agreement, including, without limitation, that your use is for the 
** sole purpose of programming logic devices manufactured by Intel and sold by 
** Intel or its authorized distributors.  Please refer to the applicable 
** agreement for further details.


******************************************************************************
** This file provides a PRBS-10 generator, repeated for three full cycles
** for a total of 3*(2^10) = 3072 bit periods.
******************************************************************************

.subckt prbs_10_x3 out g
+ dtr     = 333p
+ dtf     = 333p
+ delay   = 0
+ distort = 0
+ per     = 3.0n
+ low     = 0
+ high    = 1

.param per2 = '0.5*per' 

* Bit Length = 3072

* Patterns
.param
+ w_0       = low
+ w_1       = low
+ w_2       = low
+ w_3       = low
+ w_4       = low
+ w_5       = low
+ w_6       = low
+ w_7       = low
+ w_8       = low
+ w_9       = low
+ w_10      = low
+ w_11      = high
+ w_12      = high
+ w_13      = high
+ w_14      = high
+ w_15      = high
+ w_16      = high
+ w_17      = high
+ w_18      = high
+ w_19      = high
+ w_20      = low
+ w_21      = low
+ w_22      = high
+ w_23      = high
+ w_24      = high
+ w_25      = high
+ w_26      = high
+ w_27      = high
+ w_28      = high
+ w_29      = low
+ w_30      = low
+ w_31      = low
+ w_32      = low
+ w_33      = high
+ w_34      = high
+ w_35      = high
+ w_36      = high
+ w_37      = high
+ w_38      = low
+ w_39      = low
+ w_40      = high
+ w_41      = high
+ w_42      = low
+ w_43      = low
+ w_44      = high
+ w_45      = high
+ w_46      = high
+ w_47      = low
+ w_48      = low
+ w_49      = low
+ w_50      = low
+ w_51      = low
+ w_52      = low
+ w_53      = low
+ w_54      = low
+ w_55      = high
+ w_56      = low
+ w_57      = low
+ w_58      = high
+ w_59      = high
+ w_60      = high
+ w_61      = high
+ w_62      = high
+ w_63      = high
+ w_64      = low
+ w_65      = high
+ w_66      = low
+ w_67      = low
+ w_68      = low
+ w_69      = high
+ w_70      = high
+ w_71      = high
+ w_72      = high
+ w_73      = low
+ w_74      = high
+ w_75      = high
+ w_76      = low
+ w_77      = high
+ w_78      = low
+ w_79      = low
+ w_80      = high
+ w_81      = high
+ w_82      = low
+ w_83      = high
+ w_84      = low
+ w_85      = low
+ w_86      = high
+ w_87      = high
+ w_88      = low
+ w_89      = low
+ w_90      = low
+ w_91      = low
+ w_92      = high
+ w_93      = high
+ w_94      = low
+ w_95      = low
+ w_96      = low
+ w_97      = low
+ w_98      = low
+ w_99      = high
+ w_100     = high
+ w_101     = low
+ w_102     = low
+ w_103     = low
+ w_104     = low
+ w_105     = high
+ w_106     = high
+ w_107     = high
+ w_108     = low
+ w_109     = low
+ w_110     = low
+ w_111     = low
+ w_112     = high
+ w_113     = high
+ w_114     = low
+ w_115     = low
+ w_116     = high
+ w_117     = low
+ w_118     = low
+ w_119     = high
+ w_120     = high
+ w_121     = low
+ w_122     = low
+ w_123     = low
+ w_124     = low
+ w_125     = low
+ w_126     = high
+ w_127     = low
+ w_128     = low
+ w_129     = low
+ w_130     = low
+ w_131     = low
+ w_132     = high
+ w_133     = high
+ w_134     = high
+ w_135     = low
+ w_136     = high
+ w_137     = low
+ w_138     = high
+ w_139     = high
+ w_140     = high
+ w_141     = low
+ w_142     = low
+ w_143     = high
+ w_144     = low
+ w_145     = high
+ w_146     = high
+ w_147     = high
+ w_148     = low
+ w_149     = high
+ w_150     = low
+ w_151     = low
+ w_152     = low
+ w_153     = high
+ w_154     = high
+ w_155     = low
+ w_156     = high
+ w_157     = low
+ w_158     = high
+ w_159     = high
+ w_160     = low
+ w_161     = high
+ w_162     = low
+ w_163     = low
+ w_164     = low
+ w_165     = high
+ w_166     = high
+ w_167     = high
+ w_168     = low
+ w_169     = low
+ w_170     = high
+ w_171     = high
+ w_172     = low
+ w_173     = high
+ w_174     = low
+ w_175     = low
+ w_176     = high
+ w_177     = low
+ w_178     = low
+ w_179     = low
+ w_180     = low
+ w_181     = low
+ w_182     = high
+ w_183     = high
+ w_184     = low
+ w_185     = low
+ w_186     = high
+ w_187     = low
+ w_188     = high
+ w_189     = high
+ w_190     = high
+ w_191     = low
+ w_192     = low
+ w_193     = low
+ w_194     = low
+ w_195     = low
+ w_196     = high
+ w_197     = high
+ w_198     = low
+ w_199     = high
+ w_200     = low
+ w_201     = low
+ w_202     = high
+ w_203     = high
+ w_204     = high
+ w_205     = low
+ w_206     = low
+ w_207     = low
+ w_208     = high
+ w_209     = high
+ w_210     = low
+ w_211     = low
+ w_212     = low
+ w_213     = high
+ w_214     = low
+ w_215     = low
+ w_216     = high
+ w_217     = low
+ w_218     = low
+ w_219     = low
+ w_220     = low
+ w_221     = high
+ w_222     = low
+ w_223     = high
+ w_224     = low
+ w_225     = low
+ w_226     = high
+ w_227     = low
+ w_228     = high
+ w_229     = high
+ w_230     = low
+ w_231     = high
+ w_232     = high
+ w_233     = high
+ w_234     = low
+ w_235     = low
+ w_236     = high
+ w_237     = high
+ w_238     = low
+ w_239     = low
+ w_240     = high
+ w_241     = low
+ w_242     = high
+ w_243     = low
+ w_244     = low
+ w_245     = low
+ w_246     = low
+ w_247     = low
+ w_248     = low
+ w_249     = low
+ w_250     = high
+ w_251     = high
+ w_252     = high
+ w_253     = low
+ w_254     = high
+ w_255     = high
+ w_256     = high
+ w_257     = high
+ w_258     = high
+ w_259     = low
+ w_260     = low
+ w_261     = high
+ w_262     = low
+ w_263     = high
+ w_264     = low
+ w_265     = high
+ w_266     = high
+ w_267     = high
+ w_268     = low
+ w_269     = low
+ w_270     = low
+ w_271     = high
+ w_272     = high
+ w_273     = high
+ w_274     = high
+ w_275     = low
+ w_276     = high
+ w_277     = low
+ w_278     = low
+ w_279     = high
+ w_280     = low
+ w_281     = low
+ w_282     = high
+ w_283     = high
+ w_284     = low
+ w_285     = high
+ w_286     = high
+ w_287     = low
+ w_288     = low
+ w_289     = high
+ w_290     = low
+ w_291     = low
+ w_292     = low
+ w_293     = low
+ w_294     = high
+ w_295     = low
+ w_296     = low
+ w_297     = low
+ w_298     = low
+ w_299     = high
+ w_300     = low
+ w_301     = high
+ w_302     = high
+ w_303     = low
+ w_304     = high
+ w_305     = low
+ w_306     = high
+ w_307     = high
+ w_308     = low
+ w_309     = high
+ w_310     = high
+ w_311     = low
+ w_312     = low
+ w_313     = high
+ w_314     = high
+ w_315     = high
+ w_316     = low
+ w_317     = low
+ w_318     = high
+ w_319     = low
+ w_320     = low
+ w_321     = low
+ w_322     = low
+ w_323     = low
+ w_324     = high
+ w_325     = low
+ w_326     = low
+ w_327     = low
+ w_328     = high
+ w_329     = low
+ w_330     = high
+ w_331     = high
+ w_332     = high
+ w_333     = low
+ w_334     = high
+ w_335     = low
+ w_336     = high
+ w_337     = low
+ w_338     = high
+ w_339     = high
+ w_340     = low
+ w_341     = high
+ w_342     = low
+ w_343     = high
+ w_344     = high
+ w_345     = high
+ w_346     = high
+ w_347     = high
+ w_348     = low
+ w_349     = low
+ w_350     = high
+ w_351     = high
+ w_352     = high
+ w_353     = low
+ w_354     = high
+ w_355     = high
+ w_356     = high
+ w_357     = low
+ w_358     = low
+ w_359     = low
+ w_360     = low
+ w_361     = high
+ w_362     = low
+ w_363     = high
+ w_364     = low
+ w_365     = high
+ w_366     = low
+ w_367     = low
+ w_368     = high
+ w_369     = high
+ w_370     = low
+ w_371     = high
+ w_372     = high
+ w_373     = high
+ w_374     = high
+ w_375     = high
+ w_376     = low
+ w_377     = low
+ w_378     = low
+ w_379     = low
+ w_380     = high
+ w_381     = low
+ w_382     = high
+ w_383     = high
+ w_384     = high
+ w_385     = low
+ w_386     = low
+ w_387     = high
+ w_388     = high
+ w_389     = low
+ w_390     = high
+ w_391     = high
+ w_392     = low
+ w_393     = high
+ w_394     = low
+ w_395     = low
+ w_396     = low
+ w_397     = low
+ w_398     = low
+ w_399     = high
+ w_400     = low
+ w_401     = low
+ w_402     = high
+ w_403     = high
+ w_404     = low
+ w_405     = high
+ w_406     = high
+ w_407     = high
+ w_408     = low
+ w_409     = high
+ w_410     = low
+ w_411     = low
+ w_412     = low
+ w_413     = low
+ w_414     = high
+ w_415     = low
+ w_416     = high
+ w_417     = low
+ w_418     = high
+ w_419     = high
+ w_420     = low
+ w_421     = high
+ w_422     = high
+ w_423     = low
+ w_424     = high
+ w_425     = high
+ w_426     = high
+ w_427     = high
+ w_428     = low
+ w_429     = low
+ w_430     = high
+ w_431     = low
+ w_432     = low
+ w_433     = high
+ w_434     = low
+ w_435     = high
+ w_436     = high
+ w_437     = low
+ w_438     = low
+ w_439     = low
+ w_440     = high
+ w_441     = low
+ w_442     = low
+ w_443     = high
+ w_444     = high
+ w_445     = low
+ w_446     = low
+ w_447     = low
+ w_448     = high
+ w_449     = low
+ w_450     = high
+ w_451     = low
+ w_452     = low
+ w_453     = low
+ w_454     = low
+ w_455     = low
+ w_456     = high
+ w_457     = low
+ w_458     = high
+ w_459     = high
+ w_460     = high
+ w_461     = low
+ w_462     = high
+ w_463     = high
+ w_464     = high
+ w_465     = low
+ w_466     = high
+ w_467     = high
+ w_468     = low
+ w_469     = high
+ w_470     = low
+ w_471     = high
+ w_472     = low
+ w_473     = high
+ w_474     = low
+ w_475     = high
+ w_476     = low
+ w_477     = low
+ w_478     = high
+ w_479     = high
+ w_480     = high
+ w_481     = high
+ w_482     = high
+ w_483     = high
+ w_484     = high
+ w_485     = high
+ w_486     = low
+ w_487     = low
+ w_488     = low
+ w_489     = high
+ w_490     = high
+ w_491     = high
+ w_492     = high
+ w_493     = high
+ w_494     = high
+ w_495     = low
+ w_496     = low
+ w_497     = high
+ w_498     = low
+ w_499     = low
+ w_500     = high
+ w_501     = high
+ w_502     = high
+ w_503     = high
+ w_504     = low
+ w_505     = low
+ w_506     = low
+ w_507     = high
+ w_508     = low
+ w_509     = low
+ w_510     = low
+ w_511     = high
+ w_512     = high
+ w_513     = low
+ w_514     = low
+ w_515     = high
+ w_516     = low
+ w_517     = high
+ w_518     = low
+ w_519     = high
+ w_520     = low
+ w_521     = low
+ w_522     = low
+ w_523     = low
+ w_524     = low
+ w_525     = high
+ w_526     = high
+ w_527     = high
+ w_528     = high
+ w_529     = high
+ w_530     = low
+ w_531     = high
+ w_532     = high
+ w_533     = high
+ w_534     = low
+ w_535     = low
+ w_536     = high
+ w_537     = high
+ w_538     = high
+ w_539     = low
+ w_540     = high
+ w_541     = low
+ w_542     = high
+ w_543     = low
+ w_544     = low
+ w_545     = low
+ w_546     = low
+ w_547     = high
+ w_548     = low
+ w_549     = high
+ w_550     = high
+ w_551     = high
+ w_552     = high
+ w_553     = low
+ w_554     = high
+ w_555     = high
+ w_556     = low
+ w_557     = high
+ w_558     = high
+ w_559     = low
+ w_560     = high
+ w_561     = high
+ w_562     = low
+ w_563     = high
+ w_564     = low
+ w_565     = low
+ w_566     = high
+ w_567     = low
+ w_568     = low
+ w_569     = high
+ w_570     = low
+ w_571     = low
+ w_572     = high
+ w_573     = high
+ w_574     = low
+ w_575     = low
+ w_576     = high
+ w_577     = low
+ w_578     = low
+ w_579     = high
+ w_580     = low
+ w_581     = low
+ w_582     = low
+ w_583     = low
+ w_584     = low
+ w_585     = low
+ w_586     = high
+ w_587     = low
+ w_588     = low
+ w_589     = high
+ w_590     = low
+ w_591     = high
+ w_592     = high
+ w_593     = high
+ w_594     = high
+ w_595     = low
+ w_596     = high
+ w_597     = low
+ w_598     = low
+ w_599     = high
+ w_600     = high
+ w_601     = low
+ w_602     = high
+ w_603     = high
+ w_604     = low
+ w_605     = high
+ w_606     = high
+ w_607     = low
+ w_608     = low
+ w_609     = low
+ w_610     = low
+ w_611     = high
+ w_612     = low
+ w_613     = low
+ w_614     = high
+ w_615     = low
+ w_616     = low
+ w_617     = low
+ w_618     = high
+ w_619     = high
+ w_620     = low
+ w_621     = high
+ w_622     = low
+ w_623     = low
+ w_624     = high
+ w_625     = low
+ w_626     = high
+ w_627     = low
+ w_628     = low
+ w_629     = low
+ w_630     = high
+ w_631     = high
+ w_632     = low
+ w_633     = low
+ w_634     = high
+ w_635     = high
+ w_636     = high
+ w_637     = low
+ w_638     = high
+ w_639     = low
+ w_640     = low
+ w_641     = low
+ w_642     = low
+ w_643     = low
+ w_644     = low
+ w_645     = high
+ w_646     = low
+ w_647     = high
+ w_648     = high
+ w_649     = low
+ w_650     = high
+ w_651     = high
+ w_652     = high
+ w_653     = high
+ w_654     = low
+ w_655     = high
+ w_656     = high
+ w_657     = low
+ w_658     = low
+ w_659     = high
+ w_660     = low
+ w_661     = high
+ w_662     = high
+ w_663     = low
+ w_664     = high
+ w_665     = low
+ w_666     = low
+ w_667     = low
+ w_668     = low
+ w_669     = high
+ w_670     = high
+ w_671     = low
+ w_672     = low
+ w_673     = high
+ w_674     = high
+ w_675     = low
+ w_676     = high
+ w_677     = high
+ w_678     = low
+ w_679     = low
+ w_680     = low
+ w_681     = low
+ w_682     = low
+ w_683     = low
+ w_684     = low
+ w_685     = high
+ w_686     = low
+ w_687     = low
+ w_688     = low
+ w_689     = high
+ w_690     = high
+ w_691     = high
+ w_692     = high
+ w_693     = high
+ w_694     = low
+ w_695     = high
+ w_696     = low
+ w_697     = high
+ w_698     = low
+ w_699     = low
+ w_700     = high
+ w_701     = high
+ w_702     = high
+ w_703     = low
+ w_704     = high
+ w_705     = high
+ w_706     = high
+ w_707     = high
+ w_708     = low
+ w_709     = low
+ w_710     = low
+ w_711     = high
+ w_712     = low
+ w_713     = high
+ w_714     = low
+ w_715     = high
+ w_716     = high
+ w_717     = low
+ w_718     = low
+ w_719     = high
+ w_720     = low
+ w_721     = high
+ w_722     = high
+ w_723     = high
+ w_724     = high
+ w_725     = low
+ w_726     = low
+ w_727     = low
+ w_728     = low
+ w_729     = high
+ w_730     = high
+ w_731     = low
+ w_732     = high
+ w_733     = high
+ w_734     = low
+ w_735     = low
+ w_736     = high
+ w_737     = high
+ w_738     = low
+ w_739     = low
+ w_740     = low
+ w_741     = high
+ w_742     = low
+ w_743     = low
+ w_744     = low
+ w_745     = low
+ w_746     = low
+ w_747     = low
+ w_748     = low
+ w_749     = high
+ w_750     = low
+ w_751     = high
+ w_752     = low
+ w_753     = high
+ w_754     = high
+ w_755     = high
+ w_756     = high
+ w_757     = high
+ w_758     = low
+ w_759     = high
+ w_760     = high
+ w_761     = high
+ w_762     = high
+ w_763     = low
+ w_764     = high
+ w_765     = high
+ w_766     = high
+ w_767     = low
+ w_768     = high
+ w_769     = low
+ w_770     = high
+ w_771     = high
+ w_772     = low
+ w_773     = high
+ w_774     = low
+ w_775     = high
+ w_776     = low
+ w_777     = high
+ w_778     = high
+ w_779     = high
+ w_780     = low
+ w_781     = low
+ w_782     = high
+ w_783     = high
+ w_784     = high
+ w_785     = high
+ w_786     = high
+ w_787     = low
+ w_788     = high
+ w_789     = low
+ w_790     = low
+ w_791     = low
+ w_792     = low
+ w_793     = high
+ w_794     = high
+ w_795     = high
+ w_796     = low
+ w_797     = high
+ w_798     = high
+ w_799     = low
+ w_800     = high
+ w_801     = high
+ w_802     = low
+ w_803     = low
+ w_804     = high
+ w_805     = low
+ w_806     = high
+ w_807     = low
+ w_808     = low
+ w_809     = high
+ w_810     = low
+ w_811     = low
+ w_812     = low
+ w_813     = low
+ w_814     = high
+ w_815     = high
+ w_816     = high
+ w_817     = low
+ w_818     = low
+ w_819     = high
+ w_820     = low
+ w_821     = high
+ w_822     = high
+ w_823     = low
+ w_824     = low
+ w_825     = high
+ w_826     = low
+ w_827     = low
+ w_828     = low
+ w_829     = high
+ w_830     = high
+ w_831     = low
+ w_832     = low
+ w_833     = low
+ w_834     = low
+ w_835     = high
+ w_836     = low
+ w_837     = high
+ w_838     = low
+ w_839     = low
+ w_840     = low
+ w_841     = low
+ w_842     = high
+ w_843     = high
+ w_844     = low
+ w_845     = high
+ w_846     = high
+ w_847     = high
+ w_848     = low
+ w_849     = high
+ w_850     = high
+ w_851     = low
+ w_852     = low
+ w_853     = low
+ w_854     = high
+ w_855     = low
+ w_856     = high
+ w_857     = low
+ w_858     = high
+ w_859     = low
+ w_860     = low
+ w_861     = low
+ w_862     = high
+ w_863     = low
+ w_864     = high
+ w_865     = high
+ w_866     = high
+ w_867     = high
+ w_868     = high
+ w_869     = low
+ w_870     = high
+ w_871     = low
+ w_872     = high
+ w_873     = high
+ w_874     = low
+ w_875     = high
+ w_876     = high
+ w_877     = high
+ w_878     = low
+ w_879     = high
+ w_880     = high
+ w_881     = high
+ w_882     = low
+ w_883     = low
+ w_884     = high
+ w_885     = low
+ w_886     = high
+ w_887     = low
+ w_888     = high
+ w_889     = low
+ w_890     = high
+ w_891     = low
+ w_892     = low
+ w_893     = low
+ w_894     = high
+ w_895     = high
+ w_896     = high
+ w_897     = high
+ w_898     = high
+ w_899     = high
+ w_900     = high
+ w_901     = low
+ w_902     = high
+ w_903     = low
+ w_904     = low
+ w_905     = high
+ w_906     = high
+ w_907     = high
+ w_908     = high
+ w_909     = high
+ w_910     = low
+ w_911     = high
+ w_912     = high
+ w_913     = low
+ w_914     = low
+ w_915     = low
+ w_916     = high
+ w_917     = high
+ w_918     = high
+ w_919     = low
+ w_920     = high
+ w_921     = low
+ w_922     = low
+ w_923     = low
+ w_924     = high
+ w_925     = low
+ w_926     = low
+ w_927     = high
+ w_928     = low
+ w_929     = high
+ w_930     = high
+ w_931     = low
+ w_932     = high
+ w_933     = low
+ w_934     = high
+ w_935     = low
+ w_936     = low
+ w_937     = high
+ w_938     = high
+ w_939     = low
+ w_940     = low
+ w_941     = high
+ w_942     = high
+ w_943     = high
+ w_944     = high
+ w_945     = low
+ w_946     = low
+ w_947     = low
+ w_948     = low
+ w_949     = low
+ w_950     = low
+ w_951     = low
+ w_952     = high
+ w_953     = high
+ w_954     = low
+ w_955     = low
+ w_956     = high
+ w_957     = high
+ w_958     = high
+ w_959     = high
+ w_960     = high
+ w_961     = low
+ w_962     = low
+ w_963     = low
+ w_964     = low
+ w_965     = low
+ w_966     = low
+ w_967     = high
+ w_968     = high
+ w_969     = high
+ w_970     = low
+ w_971     = low
+ w_972     = high
+ w_973     = high
+ w_974     = high
+ w_975     = high
+ w_976     = low
+ w_977     = low
+ w_978     = high
+ w_979     = low
+ w_980     = low
+ w_981     = low
+ w_982     = low
+ w_983     = high
+ w_984     = high
+ w_985     = low
+ w_986     = low
+ w_987     = low
+ w_988     = high
+ w_989     = low
+ w_990     = high
+ w_991     = high
+ w_992     = low
+ w_993     = low
+ w_994     = low
+ w_995     = low
+ w_996     = high
+ w_997     = low
+ w_998     = high
+ w_999     = high
+ w_1000    = low
+ w_1001    = low
+ w_1002    = low
+ w_1003    = high
+ w_1004    = high
+ w_1005    = low
+ w_1006    = high
+ w_1007    = high
+ w_1008    = low
+ w_1009    = low
+ w_1010    = low
+ w_1011    = high
+ w_1012    = low
+ w_1013    = low
+ w_1014    = low
+ w_1015    = high
+ w_1016    = low
+ w_1017    = low
+ w_1018    = low
+ w_1019    = high
+ w_1020    = low
+ w_1021    = high
+ w_1022    = low
+ w_1023    = high
+ w_1024    = low
+ w_1025    = low
+ w_1026    = low
+ w_1027    = low
+ w_1028    = low
+ w_1029    = low
+ w_1030    = low
+ w_1031    = low
+ w_1032    = low
+ w_1033    = low
+ w_1034    = low
+ w_1035    = high
+ w_1036    = high
+ w_1037    = high
+ w_1038    = high
+ w_1039    = high
+ w_1040    = high
+ w_1041    = high
+ w_1042    = high
+ w_1043    = high
+ w_1044    = low
+ w_1045    = low
+ w_1046    = high
+ w_1047    = high
+ w_1048    = high
+ w_1049    = high
+ w_1050    = high
+ w_1051    = high
+ w_1052    = high
+ w_1053    = low
+ w_1054    = low
+ w_1055    = low
+ w_1056    = low
+ w_1057    = high
+ w_1058    = high
+ w_1059    = high
+ w_1060    = high
+ w_1061    = high
+ w_1062    = low
+ w_1063    = low
+ w_1064    = high
+ w_1065    = high
+ w_1066    = low
+ w_1067    = low
+ w_1068    = high
+ w_1069    = high
+ w_1070    = high
+ w_1071    = low
+ w_1072    = low
+ w_1073    = low
+ w_1074    = low
+ w_1075    = low
+ w_1076    = low
+ w_1077    = low
+ w_1078    = low
+ w_1079    = high
+ w_1080    = low
+ w_1081    = low
+ w_1082    = high
+ w_1083    = high
+ w_1084    = high
+ w_1085    = high
+ w_1086    = high
+ w_1087    = high
+ w_1088    = low
+ w_1089    = high
+ w_1090    = low
+ w_1091    = low
+ w_1092    = low
+ w_1093    = high
+ w_1094    = high
+ w_1095    = high
+ w_1096    = high
+ w_1097    = low
+ w_1098    = high
+ w_1099    = high
+ w_1100    = low
+ w_1101    = high
+ w_1102    = low
+ w_1103    = low
+ w_1104    = high
+ w_1105    = high
+ w_1106    = low
+ w_1107    = high
+ w_1108    = low
+ w_1109    = low
+ w_1110    = high
+ w_1111    = high
+ w_1112    = low
+ w_1113    = low
+ w_1114    = low
+ w_1115    = low
+ w_1116    = high
+ w_1117    = high
+ w_1118    = low
+ w_1119    = low
+ w_1120    = low
+ w_1121    = low
+ w_1122    = low
+ w_1123    = high
+ w_1124    = high
+ w_1125    = low
+ w_1126    = low
+ w_1127    = low
+ w_1128    = low
+ w_1129    = high
+ w_1130    = high
+ w_1131    = high
+ w_1132    = low
+ w_1133    = low
+ w_1134    = low
+ w_1135    = low
+ w_1136    = high
+ w_1137    = high
+ w_1138    = low
+ w_1139    = low
+ w_1140    = high
+ w_1141    = low
+ w_1142    = low
+ w_1143    = high
+ w_1144    = high
+ w_1145    = low
+ w_1146    = low
+ w_1147    = low
+ w_1148    = low
+ w_1149    = low
+ w_1150    = high
+ w_1151    = low
+ w_1152    = low
+ w_1153    = low
+ w_1154    = low
+ w_1155    = low
+ w_1156    = high
+ w_1157    = high
+ w_1158    = high
+ w_1159    = low
+ w_1160    = high
+ w_1161    = low
+ w_1162    = high
+ w_1163    = high
+ w_1164    = high
+ w_1165    = low
+ w_1166    = low
+ w_1167    = high
+ w_1168    = low
+ w_1169    = high
+ w_1170    = high
+ w_1171    = high
+ w_1172    = low
+ w_1173    = high
+ w_1174    = low
+ w_1175    = low
+ w_1176    = low
+ w_1177    = high
+ w_1178    = high
+ w_1179    = low
+ w_1180    = high
+ w_1181    = low
+ w_1182    = high
+ w_1183    = high
+ w_1184    = low
+ w_1185    = high
+ w_1186    = low
+ w_1187    = low
+ w_1188    = low
+ w_1189    = high
+ w_1190    = high
+ w_1191    = high
+ w_1192    = low
+ w_1193    = low
+ w_1194    = high
+ w_1195    = high
+ w_1196    = low
+ w_1197    = high
+ w_1198    = low
+ w_1199    = low
+ w_1200    = high
+ w_1201    = low
+ w_1202    = low
+ w_1203    = low
+ w_1204    = low
+ w_1205    = low
+ w_1206    = high
+ w_1207    = high
+ w_1208    = low
+ w_1209    = low
+ w_1210    = high
+ w_1211    = low
+ w_1212    = high
+ w_1213    = high
+ w_1214    = high
+ w_1215    = low
+ w_1216    = low
+ w_1217    = low
+ w_1218    = low
+ w_1219    = low
+ w_1220    = high
+ w_1221    = high
+ w_1222    = low
+ w_1223    = high
+ w_1224    = low
+ w_1225    = low
+ w_1226    = high
+ w_1227    = high
+ w_1228    = high
+ w_1229    = low
+ w_1230    = low
+ w_1231    = low
+ w_1232    = high
+ w_1233    = high
+ w_1234    = low
+ w_1235    = low
+ w_1236    = low
+ w_1237    = high
+ w_1238    = low
+ w_1239    = low
+ w_1240    = high
+ w_1241    = low
+ w_1242    = low
+ w_1243    = low
+ w_1244    = low
+ w_1245    = high
+ w_1246    = low
+ w_1247    = high
+ w_1248    = low
+ w_1249    = low
+ w_1250    = high
+ w_1251    = low
+ w_1252    = high
+ w_1253    = high
+ w_1254    = low
+ w_1255    = high
+ w_1256    = high
+ w_1257    = high
+ w_1258    = low
+ w_1259    = low
+ w_1260    = high
+ w_1261    = high
+ w_1262    = low
+ w_1263    = low
+ w_1264    = high
+ w_1265    = low
+ w_1266    = high
+ w_1267    = low
+ w_1268    = low
+ w_1269    = low
+ w_1270    = low
+ w_1271    = low
+ w_1272    = low
+ w_1273    = low
+ w_1274    = high
+ w_1275    = high
+ w_1276    = high
+ w_1277    = low
+ w_1278    = high
+ w_1279    = high
+ w_1280    = high
+ w_1281    = high
+ w_1282    = high
+ w_1283    = low
+ w_1284    = low
+ w_1285    = high
+ w_1286    = low
+ w_1287    = high
+ w_1288    = low
+ w_1289    = high
+ w_1290    = high
+ w_1291    = high
+ w_1292    = low
+ w_1293    = low
+ w_1294    = low
+ w_1295    = high
+ w_1296    = high
+ w_1297    = high
+ w_1298    = high
+ w_1299    = low
+ w_1300    = high
+ w_1301    = low
+ w_1302    = low
+ w_1303    = high
+ w_1304    = low
+ w_1305    = low
+ w_1306    = high
+ w_1307    = high
+ w_1308    = low
+ w_1309    = high
+ w_1310    = high
+ w_1311    = low
+ w_1312    = low
+ w_1313    = high
+ w_1314    = low
+ w_1315    = low
+ w_1316    = low
+ w_1317    = low
+ w_1318    = high
+ w_1319    = low
+ w_1320    = low
+ w_1321    = low
+ w_1322    = low
+ w_1323    = high
+ w_1324    = low
+ w_1325    = high
+ w_1326    = high
+ w_1327    = low
+ w_1328    = high
+ w_1329    = low
+ w_1330    = high
+ w_1331    = high
+ w_1332    = low
+ w_1333    = high
+ w_1334    = high
+ w_1335    = low
+ w_1336    = low
+ w_1337    = high
+ w_1338    = high
+ w_1339    = high
+ w_1340    = low
+ w_1341    = low
+ w_1342    = high
+ w_1343    = low
+ w_1344    = low
+ w_1345    = low
+ w_1346    = low
+ w_1347    = low
+ w_1348    = high
+ w_1349    = low
+ w_1350    = low
+ w_1351    = low
+ w_1352    = high
+ w_1353    = low
+ w_1354    = high
+ w_1355    = high
+ w_1356    = high
+ w_1357    = low
+ w_1358    = high
+ w_1359    = low
+ w_1360    = high
+ w_1361    = low
+ w_1362    = high
+ w_1363    = high
+ w_1364    = low
+ w_1365    = high
+ w_1366    = low
+ w_1367    = high
+ w_1368    = high
+ w_1369    = high
+ w_1370    = high
+ w_1371    = high
+ w_1372    = low
+ w_1373    = low
+ w_1374    = high
+ w_1375    = high
+ w_1376    = high
+ w_1377    = low
+ w_1378    = high
+ w_1379    = high
+ w_1380    = high
+ w_1381    = low
+ w_1382    = low
+ w_1383    = low
+ w_1384    = low
+ w_1385    = high
+ w_1386    = low
+ w_1387    = high
+ w_1388    = low
+ w_1389    = high
+ w_1390    = low
+ w_1391    = low
+ w_1392    = high
+ w_1393    = high
+ w_1394    = low
+ w_1395    = high
+ w_1396    = high
+ w_1397    = high
+ w_1398    = high
+ w_1399    = high
+ w_1400    = low
+ w_1401    = low
+ w_1402    = low
+ w_1403    = low
+ w_1404    = high
+ w_1405    = low
+ w_1406    = high
+ w_1407    = high
+ w_1408    = high
+ w_1409    = low
+ w_1410    = low
+ w_1411    = high
+ w_1412    = high
+ w_1413    = low
+ w_1414    = high
+ w_1415    = high
+ w_1416    = low
+ w_1417    = high
+ w_1418    = low
+ w_1419    = low
+ w_1420    = low
+ w_1421    = low
+ w_1422    = low
+ w_1423    = high
+ w_1424    = low
+ w_1425    = low
+ w_1426    = high
+ w_1427    = high
+ w_1428    = low
+ w_1429    = high
+ w_1430    = high
+ w_1431    = high
+ w_1432    = low
+ w_1433    = high
+ w_1434    = low
+ w_1435    = low
+ w_1436    = low
+ w_1437    = low
+ w_1438    = high
+ w_1439    = low
+ w_1440    = high
+ w_1441    = low
+ w_1442    = high
+ w_1443    = high
+ w_1444    = low
+ w_1445    = high
+ w_1446    = high
+ w_1447    = low
+ w_1448    = high
+ w_1449    = high
+ w_1450    = high
+ w_1451    = high
+ w_1452    = low
+ w_1453    = low
+ w_1454    = high
+ w_1455    = low
+ w_1456    = low
+ w_1457    = high
+ w_1458    = low
+ w_1459    = high
+ w_1460    = high
+ w_1461    = low
+ w_1462    = low
+ w_1463    = low
+ w_1464    = high
+ w_1465    = low
+ w_1466    = low
+ w_1467    = high
+ w_1468    = high
+ w_1469    = low
+ w_1470    = low
+ w_1471    = low
+ w_1472    = high
+ w_1473    = low
+ w_1474    = high
+ w_1475    = low
+ w_1476    = low
+ w_1477    = low
+ w_1478    = low
+ w_1479    = low
+ w_1480    = high
+ w_1481    = low
+ w_1482    = high
+ w_1483    = high
+ w_1484    = high
+ w_1485    = low
+ w_1486    = high
+ w_1487    = high
+ w_1488    = high
+ w_1489    = low
+ w_1490    = high
+ w_1491    = high
+ w_1492    = low
+ w_1493    = high
+ w_1494    = low
+ w_1495    = high
+ w_1496    = low
+ w_1497    = high
+ w_1498    = low
+ w_1499    = high
+ w_1500    = low
+ w_1501    = low
+ w_1502    = high
+ w_1503    = high
+ w_1504    = high
+ w_1505    = high
+ w_1506    = high
+ w_1507    = high
+ w_1508    = high
+ w_1509    = high
+ w_1510    = low
+ w_1511    = low
+ w_1512    = low
+ w_1513    = high
+ w_1514    = high
+ w_1515    = high
+ w_1516    = high
+ w_1517    = high
+ w_1518    = high
+ w_1519    = low
+ w_1520    = low
+ w_1521    = high
+ w_1522    = low
+ w_1523    = low
+ w_1524    = high
+ w_1525    = high
+ w_1526    = high
+ w_1527    = high
+ w_1528    = low
+ w_1529    = low
+ w_1530    = low
+ w_1531    = high
+ w_1532    = low
+ w_1533    = low
+ w_1534    = low
+ w_1535    = high
+ w_1536    = high
+ w_1537    = low
+ w_1538    = low
+ w_1539    = high
+ w_1540    = low
+ w_1541    = high
+ w_1542    = low
+ w_1543    = high
+ w_1544    = low
+ w_1545    = low
+ w_1546    = low
+ w_1547    = low
+ w_1548    = low
+ w_1549    = high
+ w_1550    = high
+ w_1551    = high
+ w_1552    = high
+ w_1553    = high
+ w_1554    = low
+ w_1555    = high
+ w_1556    = high
+ w_1557    = high
+ w_1558    = low
+ w_1559    = low
+ w_1560    = high
+ w_1561    = high
+ w_1562    = high
+ w_1563    = low
+ w_1564    = high
+ w_1565    = low
+ w_1566    = high
+ w_1567    = low
+ w_1568    = low
+ w_1569    = low
+ w_1570    = low
+ w_1571    = high
+ w_1572    = low
+ w_1573    = high
+ w_1574    = high
+ w_1575    = high
+ w_1576    = high
+ w_1577    = low
+ w_1578    = high
+ w_1579    = high
+ w_1580    = low
+ w_1581    = high
+ w_1582    = high
+ w_1583    = low
+ w_1584    = high
+ w_1585    = high
+ w_1586    = low
+ w_1587    = high
+ w_1588    = low
+ w_1589    = low
+ w_1590    = high
+ w_1591    = low
+ w_1592    = low
+ w_1593    = high
+ w_1594    = low
+ w_1595    = low
+ w_1596    = high
+ w_1597    = high
+ w_1598    = low
+ w_1599    = low
+ w_1600    = high
+ w_1601    = low
+ w_1602    = low
+ w_1603    = high
+ w_1604    = low
+ w_1605    = low
+ w_1606    = low
+ w_1607    = low
+ w_1608    = low
+ w_1609    = low
+ w_1610    = high
+ w_1611    = low
+ w_1612    = low
+ w_1613    = high
+ w_1614    = low
+ w_1615    = high
+ w_1616    = high
+ w_1617    = high
+ w_1618    = high
+ w_1619    = low
+ w_1620    = high
+ w_1621    = low
+ w_1622    = low
+ w_1623    = high
+ w_1624    = high
+ w_1625    = low
+ w_1626    = high
+ w_1627    = high
+ w_1628    = low
+ w_1629    = high
+ w_1630    = high
+ w_1631    = low
+ w_1632    = low
+ w_1633    = low
+ w_1634    = low
+ w_1635    = high
+ w_1636    = low
+ w_1637    = low
+ w_1638    = high
+ w_1639    = low
+ w_1640    = low
+ w_1641    = low
+ w_1642    = high
+ w_1643    = high
+ w_1644    = low
+ w_1645    = high
+ w_1646    = low
+ w_1647    = low
+ w_1648    = high
+ w_1649    = low
+ w_1650    = high
+ w_1651    = low
+ w_1652    = low
+ w_1653    = low
+ w_1654    = high
+ w_1655    = high
+ w_1656    = low
+ w_1657    = low
+ w_1658    = high
+ w_1659    = high
+ w_1660    = high
+ w_1661    = low
+ w_1662    = high
+ w_1663    = low
+ w_1664    = low
+ w_1665    = low
+ w_1666    = low
+ w_1667    = low
+ w_1668    = low
+ w_1669    = high
+ w_1670    = low
+ w_1671    = high
+ w_1672    = high
+ w_1673    = low
+ w_1674    = high
+ w_1675    = high
+ w_1676    = high
+ w_1677    = high
+ w_1678    = low
+ w_1679    = high
+ w_1680    = high
+ w_1681    = low
+ w_1682    = low
+ w_1683    = high
+ w_1684    = low
+ w_1685    = high
+ w_1686    = high
+ w_1687    = low
+ w_1688    = high
+ w_1689    = low
+ w_1690    = low
+ w_1691    = low
+ w_1692    = low
+ w_1693    = high
+ w_1694    = high
+ w_1695    = low
+ w_1696    = low
+ w_1697    = high
+ w_1698    = high
+ w_1699    = low
+ w_1700    = high
+ w_1701    = high
+ w_1702    = low
+ w_1703    = low
+ w_1704    = low
+ w_1705    = low
+ w_1706    = low
+ w_1707    = low
+ w_1708    = low
+ w_1709    = high
+ w_1710    = low
+ w_1711    = low
+ w_1712    = low
+ w_1713    = high
+ w_1714    = high
+ w_1715    = high
+ w_1716    = high
+ w_1717    = high
+ w_1718    = low
+ w_1719    = high
+ w_1720    = low
+ w_1721    = high
+ w_1722    = low
+ w_1723    = low
+ w_1724    = high
+ w_1725    = high
+ w_1726    = high
+ w_1727    = low
+ w_1728    = high
+ w_1729    = high
+ w_1730    = high
+ w_1731    = high
+ w_1732    = low
+ w_1733    = low
+ w_1734    = low
+ w_1735    = high
+ w_1736    = low
+ w_1737    = high
+ w_1738    = low
+ w_1739    = high
+ w_1740    = high
+ w_1741    = low
+ w_1742    = low
+ w_1743    = high
+ w_1744    = low
+ w_1745    = high
+ w_1746    = high
+ w_1747    = high
+ w_1748    = high
+ w_1749    = low
+ w_1750    = low
+ w_1751    = low
+ w_1752    = low
+ w_1753    = high
+ w_1754    = high
+ w_1755    = low
+ w_1756    = high
+ w_1757    = high
+ w_1758    = low
+ w_1759    = low
+ w_1760    = high
+ w_1761    = high
+ w_1762    = low
+ w_1763    = low
+ w_1764    = low
+ w_1765    = high
+ w_1766    = low
+ w_1767    = low
+ w_1768    = low
+ w_1769    = low
+ w_1770    = low
+ w_1771    = low
+ w_1772    = low
+ w_1773    = high
+ w_1774    = low
+ w_1775    = high
+ w_1776    = low
+ w_1777    = high
+ w_1778    = high
+ w_1779    = high
+ w_1780    = high
+ w_1781    = high
+ w_1782    = low
+ w_1783    = high
+ w_1784    = high
+ w_1785    = high
+ w_1786    = high
+ w_1787    = low
+ w_1788    = high
+ w_1789    = high
+ w_1790    = high
+ w_1791    = low
+ w_1792    = high
+ w_1793    = low
+ w_1794    = high
+ w_1795    = high
+ w_1796    = low
+ w_1797    = high
+ w_1798    = low
+ w_1799    = high
+ w_1800    = low
+ w_1801    = high
+ w_1802    = high
+ w_1803    = high
+ w_1804    = low
+ w_1805    = low
+ w_1806    = high
+ w_1807    = high
+ w_1808    = high
+ w_1809    = high
+ w_1810    = high
+ w_1811    = low
+ w_1812    = high
+ w_1813    = low
+ w_1814    = low
+ w_1815    = low
+ w_1816    = low
+ w_1817    = high
+ w_1818    = high
+ w_1819    = high
+ w_1820    = low
+ w_1821    = high
+ w_1822    = high
+ w_1823    = low
+ w_1824    = high
+ w_1825    = high
+ w_1826    = low
+ w_1827    = low
+ w_1828    = high
+ w_1829    = low
+ w_1830    = high
+ w_1831    = low
+ w_1832    = low
+ w_1833    = high
+ w_1834    = low
+ w_1835    = low
+ w_1836    = low
+ w_1837    = low
+ w_1838    = high
+ w_1839    = high
+ w_1840    = high
+ w_1841    = low
+ w_1842    = low
+ w_1843    = high
+ w_1844    = low
+ w_1845    = high
+ w_1846    = high
+ w_1847    = low
+ w_1848    = low
+ w_1849    = high
+ w_1850    = low
+ w_1851    = low
+ w_1852    = low
+ w_1853    = high
+ w_1854    = high
+ w_1855    = low
+ w_1856    = low
+ w_1857    = low
+ w_1858    = low
+ w_1859    = high
+ w_1860    = low
+ w_1861    = high
+ w_1862    = low
+ w_1863    = low
+ w_1864    = low
+ w_1865    = low
+ w_1866    = high
+ w_1867    = high
+ w_1868    = low
+ w_1869    = high
+ w_1870    = high
+ w_1871    = high
+ w_1872    = low
+ w_1873    = high
+ w_1874    = high
+ w_1875    = low
+ w_1876    = low
+ w_1877    = low
+ w_1878    = high
+ w_1879    = low
+ w_1880    = high
+ w_1881    = low
+ w_1882    = high
+ w_1883    = low
+ w_1884    = low
+ w_1885    = low
+ w_1886    = high
+ w_1887    = low
+ w_1888    = high
+ w_1889    = high
+ w_1890    = high
+ w_1891    = high
+ w_1892    = high
+ w_1893    = low
+ w_1894    = high
+ w_1895    = low
+ w_1896    = high
+ w_1897    = high
+ w_1898    = low
+ w_1899    = high
+ w_1900    = high
+ w_1901    = high
+ w_1902    = low
+ w_1903    = high
+ w_1904    = high
+ w_1905    = high
+ w_1906    = low
+ w_1907    = low
+ w_1908    = high
+ w_1909    = low
+ w_1910    = high
+ w_1911    = low
+ w_1912    = high
+ w_1913    = low
+ w_1914    = high
+ w_1915    = low
+ w_1916    = low
+ w_1917    = low
+ w_1918    = high
+ w_1919    = high
+ w_1920    = high
+ w_1921    = high
+ w_1922    = high
+ w_1923    = high
+ w_1924    = high
+ w_1925    = low
+ w_1926    = high
+ w_1927    = low
+ w_1928    = low
+ w_1929    = high
+ w_1930    = high
+ w_1931    = high
+ w_1932    = high
+ w_1933    = high
+ w_1934    = low
+ w_1935    = high
+ w_1936    = high
+ w_1937    = low
+ w_1938    = low
+ w_1939    = low
+ w_1940    = high
+ w_1941    = high
+ w_1942    = high
+ w_1943    = low
+ w_1944    = high
+ w_1945    = low
+ w_1946    = low
+ w_1947    = low
+ w_1948    = high
+ w_1949    = low
+ w_1950    = low
+ w_1951    = high
+ w_1952    = low
+ w_1953    = high
+ w_1954    = high
+ w_1955    = low
+ w_1956    = high
+ w_1957    = low
+ w_1958    = high
+ w_1959    = low
+ w_1960    = low
+ w_1961    = high
+ w_1962    = high
+ w_1963    = low
+ w_1964    = low
+ w_1965    = high
+ w_1966    = high
+ w_1967    = high
+ w_1968    = high
+ w_1969    = low
+ w_1970    = low
+ w_1971    = low
+ w_1972    = low
+ w_1973    = low
+ w_1974    = low
+ w_1975    = low
+ w_1976    = high
+ w_1977    = high
+ w_1978    = low
+ w_1979    = low
+ w_1980    = high
+ w_1981    = high
+ w_1982    = high
+ w_1983    = high
+ w_1984    = high
+ w_1985    = low
+ w_1986    = low
+ w_1987    = low
+ w_1988    = low
+ w_1989    = low
+ w_1990    = low
+ w_1991    = high
+ w_1992    = high
+ w_1993    = high
+ w_1994    = low
+ w_1995    = low
+ w_1996    = high
+ w_1997    = high
+ w_1998    = high
+ w_1999    = high
+ w_2000    = low
+ w_2001    = low
+ w_2002    = high
+ w_2003    = low
+ w_2004    = low
+ w_2005    = low
+ w_2006    = low
+ w_2007    = high
+ w_2008    = high
+ w_2009    = low
+ w_2010    = low
+ w_2011    = low
+ w_2012    = high
+ w_2013    = low
+ w_2014    = high
+ w_2015    = high
+ w_2016    = low
+ w_2017    = low
+ w_2018    = low
+ w_2019    = low
+ w_2020    = high
+ w_2021    = low
+ w_2022    = high
+ w_2023    = high
+ w_2024    = low
+ w_2025    = low
+ w_2026    = low
+ w_2027    = high
+ w_2028    = high
+ w_2029    = low
+ w_2030    = high
+ w_2031    = high
+ w_2032    = low
+ w_2033    = low
+ w_2034    = low
+ w_2035    = high
+ w_2036    = low
+ w_2037    = low
+ w_2038    = low
+ w_2039    = high
+ w_2040    = low
+ w_2041    = low
+ w_2042    = low
+ w_2043    = high
+ w_2044    = low
+ w_2045    = high
+ w_2046    = low
+ w_2047    = high
+ w_2048    = low
+ w_2049    = low
+ w_2050    = low
+ w_2051    = low
+ w_2052    = low
+ w_2053    = low
+ w_2054    = low
+ w_2055    = low
+ w_2056    = low
+ w_2057    = low
+ w_2058    = low
+ w_2059    = high
+ w_2060    = high
+ w_2061    = high
+ w_2062    = high
+ w_2063    = high
+ w_2064    = high
+ w_2065    = high
+ w_2066    = high
+ w_2067    = high
+ w_2068    = low
+ w_2069    = low
+ w_2070    = high
+ w_2071    = high
+ w_2072    = high
+ w_2073    = high
+ w_2074    = high
+ w_2075    = high
+ w_2076    = high
+ w_2077    = low
+ w_2078    = low
+ w_2079    = low
+ w_2080    = low
+ w_2081    = high
+ w_2082    = high
+ w_2083    = high
+ w_2084    = high
+ w_2085    = high
+ w_2086    = low
+ w_2087    = low
+ w_2088    = high
+ w_2089    = high
+ w_2090    = low
+ w_2091    = low
+ w_2092    = high
+ w_2093    = high
+ w_2094    = high
+ w_2095    = low
+ w_2096    = low
+ w_2097    = low
+ w_2098    = low
+ w_2099    = low
+ w_2100    = low
+ w_2101    = low
+ w_2102    = low
+ w_2103    = high
+ w_2104    = low
+ w_2105    = low
+ w_2106    = high
+ w_2107    = high
+ w_2108    = high
+ w_2109    = high
+ w_2110    = high
+ w_2111    = high
+ w_2112    = low
+ w_2113    = high
+ w_2114    = low
+ w_2115    = low
+ w_2116    = low
+ w_2117    = high
+ w_2118    = high
+ w_2119    = high
+ w_2120    = high
+ w_2121    = low
+ w_2122    = high
+ w_2123    = high
+ w_2124    = low
+ w_2125    = high
+ w_2126    = low
+ w_2127    = low
+ w_2128    = high
+ w_2129    = high
+ w_2130    = low
+ w_2131    = high
+ w_2132    = low
+ w_2133    = low
+ w_2134    = high
+ w_2135    = high
+ w_2136    = low
+ w_2137    = low
+ w_2138    = low
+ w_2139    = low
+ w_2140    = high
+ w_2141    = high
+ w_2142    = low
+ w_2143    = low
+ w_2144    = low
+ w_2145    = low
+ w_2146    = low
+ w_2147    = high
+ w_2148    = high
+ w_2149    = low
+ w_2150    = low
+ w_2151    = low
+ w_2152    = low
+ w_2153    = high
+ w_2154    = high
+ w_2155    = high
+ w_2156    = low
+ w_2157    = low
+ w_2158    = low
+ w_2159    = low
+ w_2160    = high
+ w_2161    = high
+ w_2162    = low
+ w_2163    = low
+ w_2164    = high
+ w_2165    = low
+ w_2166    = low
+ w_2167    = high
+ w_2168    = high
+ w_2169    = low
+ w_2170    = low
+ w_2171    = low
+ w_2172    = low
+ w_2173    = low
+ w_2174    = high
+ w_2175    = low
+ w_2176    = low
+ w_2177    = low
+ w_2178    = low
+ w_2179    = low
+ w_2180    = high
+ w_2181    = high
+ w_2182    = high
+ w_2183    = low
+ w_2184    = high
+ w_2185    = low
+ w_2186    = high
+ w_2187    = high
+ w_2188    = high
+ w_2189    = low
+ w_2190    = low
+ w_2191    = high
+ w_2192    = low
+ w_2193    = high
+ w_2194    = high
+ w_2195    = high
+ w_2196    = low
+ w_2197    = high
+ w_2198    = low
+ w_2199    = low
+ w_2200    = low
+ w_2201    = high
+ w_2202    = high
+ w_2203    = low
+ w_2204    = high
+ w_2205    = low
+ w_2206    = high
+ w_2207    = high
+ w_2208    = low
+ w_2209    = high
+ w_2210    = low
+ w_2211    = low
+ w_2212    = low
+ w_2213    = high
+ w_2214    = high
+ w_2215    = high
+ w_2216    = low
+ w_2217    = low
+ w_2218    = high
+ w_2219    = high
+ w_2220    = low
+ w_2221    = high
+ w_2222    = low
+ w_2223    = low
+ w_2224    = high
+ w_2225    = low
+ w_2226    = low
+ w_2227    = low
+ w_2228    = low
+ w_2229    = low
+ w_2230    = high
+ w_2231    = high
+ w_2232    = low
+ w_2233    = low
+ w_2234    = high
+ w_2235    = low
+ w_2236    = high
+ w_2237    = high
+ w_2238    = high
+ w_2239    = low
+ w_2240    = low
+ w_2241    = low
+ w_2242    = low
+ w_2243    = low
+ w_2244    = high
+ w_2245    = high
+ w_2246    = low
+ w_2247    = high
+ w_2248    = low
+ w_2249    = low
+ w_2250    = high
+ w_2251    = high
+ w_2252    = high
+ w_2253    = low
+ w_2254    = low
+ w_2255    = low
+ w_2256    = high
+ w_2257    = high
+ w_2258    = low
+ w_2259    = low
+ w_2260    = low
+ w_2261    = high
+ w_2262    = low
+ w_2263    = low
+ w_2264    = high
+ w_2265    = low
+ w_2266    = low
+ w_2267    = low
+ w_2268    = low
+ w_2269    = high
+ w_2270    = low
+ w_2271    = high
+ w_2272    = low
+ w_2273    = low
+ w_2274    = high
+ w_2275    = low
+ w_2276    = high
+ w_2277    = high
+ w_2278    = low
+ w_2279    = high
+ w_2280    = high
+ w_2281    = high
+ w_2282    = low
+ w_2283    = low
+ w_2284    = high
+ w_2285    = high
+ w_2286    = low
+ w_2287    = low
+ w_2288    = high
+ w_2289    = low
+ w_2290    = high
+ w_2291    = low
+ w_2292    = low
+ w_2293    = low
+ w_2294    = low
+ w_2295    = low
+ w_2296    = low
+ w_2297    = low
+ w_2298    = high
+ w_2299    = high
+ w_2300    = high
+ w_2301    = low
+ w_2302    = high
+ w_2303    = high
+ w_2304    = high
+ w_2305    = high
+ w_2306    = high
+ w_2307    = low
+ w_2308    = low
+ w_2309    = high
+ w_2310    = low
+ w_2311    = high
+ w_2312    = low
+ w_2313    = high
+ w_2314    = high
+ w_2315    = high
+ w_2316    = low
+ w_2317    = low
+ w_2318    = low
+ w_2319    = high
+ w_2320    = high
+ w_2321    = high
+ w_2322    = high
+ w_2323    = low
+ w_2324    = high
+ w_2325    = low
+ w_2326    = low
+ w_2327    = high
+ w_2328    = low
+ w_2329    = low
+ w_2330    = high
+ w_2331    = high
+ w_2332    = low
+ w_2333    = high
+ w_2334    = high
+ w_2335    = low
+ w_2336    = low
+ w_2337    = high
+ w_2338    = low
+ w_2339    = low
+ w_2340    = low
+ w_2341    = low
+ w_2342    = high
+ w_2343    = low
+ w_2344    = low
+ w_2345    = low
+ w_2346    = low
+ w_2347    = high
+ w_2348    = low
+ w_2349    = high
+ w_2350    = high
+ w_2351    = low
+ w_2352    = high
+ w_2353    = low
+ w_2354    = high
+ w_2355    = high
+ w_2356    = low
+ w_2357    = high
+ w_2358    = high
+ w_2359    = low
+ w_2360    = low
+ w_2361    = high
+ w_2362    = high
+ w_2363    = high
+ w_2364    = low
+ w_2365    = low
+ w_2366    = high
+ w_2367    = low
+ w_2368    = low
+ w_2369    = low
+ w_2370    = low
+ w_2371    = low
+ w_2372    = high
+ w_2373    = low
+ w_2374    = low
+ w_2375    = low
+ w_2376    = high
+ w_2377    = low
+ w_2378    = high
+ w_2379    = high
+ w_2380    = high
+ w_2381    = low
+ w_2382    = high
+ w_2383    = low
+ w_2384    = high
+ w_2385    = low
+ w_2386    = high
+ w_2387    = high
+ w_2388    = low
+ w_2389    = high
+ w_2390    = low
+ w_2391    = high
+ w_2392    = high
+ w_2393    = high
+ w_2394    = high
+ w_2395    = high
+ w_2396    = low
+ w_2397    = low
+ w_2398    = high
+ w_2399    = high
+ w_2400    = high
+ w_2401    = low
+ w_2402    = high
+ w_2403    = high
+ w_2404    = high
+ w_2405    = low
+ w_2406    = low
+ w_2407    = low
+ w_2408    = low
+ w_2409    = high
+ w_2410    = low
+ w_2411    = high
+ w_2412    = low
+ w_2413    = high
+ w_2414    = low
+ w_2415    = low
+ w_2416    = high
+ w_2417    = high
+ w_2418    = low
+ w_2419    = high
+ w_2420    = high
+ w_2421    = high
+ w_2422    = high
+ w_2423    = high
+ w_2424    = low
+ w_2425    = low
+ w_2426    = low
+ w_2427    = low
+ w_2428    = high
+ w_2429    = low
+ w_2430    = high
+ w_2431    = high
+ w_2432    = high
+ w_2433    = low
+ w_2434    = low
+ w_2435    = high
+ w_2436    = high
+ w_2437    = low
+ w_2438    = high
+ w_2439    = high
+ w_2440    = low
+ w_2441    = high
+ w_2442    = low
+ w_2443    = low
+ w_2444    = low
+ w_2445    = low
+ w_2446    = low
+ w_2447    = high
+ w_2448    = low
+ w_2449    = low
+ w_2450    = high
+ w_2451    = high
+ w_2452    = low
+ w_2453    = high
+ w_2454    = high
+ w_2455    = high
+ w_2456    = low
+ w_2457    = high
+ w_2458    = low
+ w_2459    = low
+ w_2460    = low
+ w_2461    = low
+ w_2462    = high
+ w_2463    = low
+ w_2464    = high
+ w_2465    = low
+ w_2466    = high
+ w_2467    = high
+ w_2468    = low
+ w_2469    = high
+ w_2470    = high
+ w_2471    = low
+ w_2472    = high
+ w_2473    = high
+ w_2474    = high
+ w_2475    = high
+ w_2476    = low
+ w_2477    = low
+ w_2478    = high
+ w_2479    = low
+ w_2480    = low
+ w_2481    = high
+ w_2482    = low
+ w_2483    = high
+ w_2484    = high
+ w_2485    = low
+ w_2486    = low
+ w_2487    = low
+ w_2488    = high
+ w_2489    = low
+ w_2490    = low
+ w_2491    = high
+ w_2492    = high
+ w_2493    = low
+ w_2494    = low
+ w_2495    = low
+ w_2496    = high
+ w_2497    = low
+ w_2498    = high
+ w_2499    = low
+ w_2500    = low
+ w_2501    = low
+ w_2502    = low
+ w_2503    = low
+ w_2504    = high
+ w_2505    = low
+ w_2506    = high
+ w_2507    = high
+ w_2508    = high
+ w_2509    = low
+ w_2510    = high
+ w_2511    = high
+ w_2512    = high
+ w_2513    = low
+ w_2514    = high
+ w_2515    = high
+ w_2516    = low
+ w_2517    = high
+ w_2518    = low
+ w_2519    = high
+ w_2520    = low
+ w_2521    = high
+ w_2522    = low
+ w_2523    = high
+ w_2524    = low
+ w_2525    = low
+ w_2526    = high
+ w_2527    = high
+ w_2528    = high
+ w_2529    = high
+ w_2530    = high
+ w_2531    = high
+ w_2532    = high
+ w_2533    = high
+ w_2534    = low
+ w_2535    = low
+ w_2536    = low
+ w_2537    = high
+ w_2538    = high
+ w_2539    = high
+ w_2540    = high
+ w_2541    = high
+ w_2542    = high
+ w_2543    = low
+ w_2544    = low
+ w_2545    = high
+ w_2546    = low
+ w_2547    = low
+ w_2548    = high
+ w_2549    = high
+ w_2550    = high
+ w_2551    = high
+ w_2552    = low
+ w_2553    = low
+ w_2554    = low
+ w_2555    = high
+ w_2556    = low
+ w_2557    = low
+ w_2558    = low
+ w_2559    = high
+ w_2560    = high
+ w_2561    = low
+ w_2562    = low
+ w_2563    = high
+ w_2564    = low
+ w_2565    = high
+ w_2566    = low
+ w_2567    = high
+ w_2568    = low
+ w_2569    = low
+ w_2570    = low
+ w_2571    = low
+ w_2572    = low
+ w_2573    = high
+ w_2574    = high
+ w_2575    = high
+ w_2576    = high
+ w_2577    = high
+ w_2578    = low
+ w_2579    = high
+ w_2580    = high
+ w_2581    = high
+ w_2582    = low
+ w_2583    = low
+ w_2584    = high
+ w_2585    = high
+ w_2586    = high
+ w_2587    = low
+ w_2588    = high
+ w_2589    = low
+ w_2590    = high
+ w_2591    = low
+ w_2592    = low
+ w_2593    = low
+ w_2594    = low
+ w_2595    = high
+ w_2596    = low
+ w_2597    = high
+ w_2598    = high
+ w_2599    = high
+ w_2600    = high
+ w_2601    = low
+ w_2602    = high
+ w_2603    = high
+ w_2604    = low
+ w_2605    = high
+ w_2606    = high
+ w_2607    = low
+ w_2608    = high
+ w_2609    = high
+ w_2610    = low
+ w_2611    = high
+ w_2612    = low
+ w_2613    = low
+ w_2614    = high
+ w_2615    = low
+ w_2616    = low
+ w_2617    = high
+ w_2618    = low
+ w_2619    = low
+ w_2620    = high
+ w_2621    = high
+ w_2622    = low
+ w_2623    = low
+ w_2624    = high
+ w_2625    = low
+ w_2626    = low
+ w_2627    = high
+ w_2628    = low
+ w_2629    = low
+ w_2630    = low
+ w_2631    = low
+ w_2632    = low
+ w_2633    = low
+ w_2634    = high
+ w_2635    = low
+ w_2636    = low
+ w_2637    = high
+ w_2638    = low
+ w_2639    = high
+ w_2640    = high
+ w_2641    = high
+ w_2642    = high
+ w_2643    = low
+ w_2644    = high
+ w_2645    = low
+ w_2646    = low
+ w_2647    = high
+ w_2648    = high
+ w_2649    = low
+ w_2650    = high
+ w_2651    = high
+ w_2652    = low
+ w_2653    = high
+ w_2654    = high
+ w_2655    = low
+ w_2656    = low
+ w_2657    = low
+ w_2658    = low
+ w_2659    = high
+ w_2660    = low
+ w_2661    = low
+ w_2662    = high
+ w_2663    = low
+ w_2664    = low
+ w_2665    = low
+ w_2666    = high
+ w_2667    = high
+ w_2668    = low
+ w_2669    = high
+ w_2670    = low
+ w_2671    = low
+ w_2672    = high
+ w_2673    = low
+ w_2674    = high
+ w_2675    = low
+ w_2676    = low
+ w_2677    = low
+ w_2678    = high
+ w_2679    = high
+ w_2680    = low
+ w_2681    = low
+ w_2682    = high
+ w_2683    = high
+ w_2684    = high
+ w_2685    = low
+ w_2686    = high
+ w_2687    = low
+ w_2688    = low
+ w_2689    = low
+ w_2690    = low
+ w_2691    = low
+ w_2692    = low
+ w_2693    = high
+ w_2694    = low
+ w_2695    = high
+ w_2696    = high
+ w_2697    = low
+ w_2698    = high
+ w_2699    = high
+ w_2700    = high
+ w_2701    = high
+ w_2702    = low
+ w_2703    = high
+ w_2704    = high
+ w_2705    = low
+ w_2706    = low
+ w_2707    = high
+ w_2708    = low
+ w_2709    = high
+ w_2710    = high
+ w_2711    = low
+ w_2712    = high
+ w_2713    = low
+ w_2714    = low
+ w_2715    = low
+ w_2716    = low
+ w_2717    = high
+ w_2718    = high
+ w_2719    = low
+ w_2720    = low
+ w_2721    = high
+ w_2722    = high
+ w_2723    = low
+ w_2724    = high
+ w_2725    = high
+ w_2726    = low
+ w_2727    = low
+ w_2728    = low
+ w_2729    = low
+ w_2730    = low
+ w_2731    = low
+ w_2732    = low
+ w_2733    = high
+ w_2734    = low
+ w_2735    = low
+ w_2736    = low
+ w_2737    = high
+ w_2738    = high
+ w_2739    = high
+ w_2740    = high
+ w_2741    = high
+ w_2742    = low
+ w_2743    = high
+ w_2744    = low
+ w_2745    = high
+ w_2746    = low
+ w_2747    = low
+ w_2748    = high
+ w_2749    = high
+ w_2750    = high
+ w_2751    = low
+ w_2752    = high
+ w_2753    = high
+ w_2754    = high
+ w_2755    = high
+ w_2756    = low
+ w_2757    = low
+ w_2758    = low
+ w_2759    = high
+ w_2760    = low
+ w_2761    = high
+ w_2762    = low
+ w_2763    = high
+ w_2764    = high
+ w_2765    = low
+ w_2766    = low
+ w_2767    = high
+ w_2768    = low
+ w_2769    = high
+ w_2770    = high
+ w_2771    = high
+ w_2772    = high
+ w_2773    = low
+ w_2774    = low
+ w_2775    = low
+ w_2776    = low
+ w_2777    = high
+ w_2778    = high
+ w_2779    = low
+ w_2780    = high
+ w_2781    = high
+ w_2782    = low
+ w_2783    = low
+ w_2784    = high
+ w_2785    = high
+ w_2786    = low
+ w_2787    = low
+ w_2788    = low
+ w_2789    = high
+ w_2790    = low
+ w_2791    = low
+ w_2792    = low
+ w_2793    = low
+ w_2794    = low
+ w_2795    = low
+ w_2796    = low
+ w_2797    = high
+ w_2798    = low
+ w_2799    = high
+ w_2800    = low
+ w_2801    = high
+ w_2802    = high
+ w_2803    = high
+ w_2804    = high
+ w_2805    = high
+ w_2806    = low
+ w_2807    = high
+ w_2808    = high
+ w_2809    = high
+ w_2810    = high
+ w_2811    = low
+ w_2812    = high
+ w_2813    = high
+ w_2814    = high
+ w_2815    = low
+ w_2816    = high
+ w_2817    = low
+ w_2818    = high
+ w_2819    = high
+ w_2820    = low
+ w_2821    = high
+ w_2822    = low
+ w_2823    = high
+ w_2824    = low
+ w_2825    = high
+ w_2826    = high
+ w_2827    = high
+ w_2828    = low
+ w_2829    = low
+ w_2830    = high
+ w_2831    = high
+ w_2832    = high
+ w_2833    = high
+ w_2834    = high
+ w_2835    = low
+ w_2836    = high
+ w_2837    = low
+ w_2838    = low
+ w_2839    = low
+ w_2840    = low
+ w_2841    = high
+ w_2842    = high
+ w_2843    = high
+ w_2844    = low
+ w_2845    = high
+ w_2846    = high
+ w_2847    = low
+ w_2848    = high
+ w_2849    = high
+ w_2850    = low
+ w_2851    = low
+ w_2852    = high
+ w_2853    = low
+ w_2854    = high
+ w_2855    = low
+ w_2856    = low
+ w_2857    = high
+ w_2858    = low
+ w_2859    = low
+ w_2860    = low
+ w_2861    = low
+ w_2862    = high
+ w_2863    = high
+ w_2864    = high
+ w_2865    = low
+ w_2866    = low
+ w_2867    = high
+ w_2868    = low
+ w_2869    = high
+ w_2870    = high
+ w_2871    = low
+ w_2872    = low
+ w_2873    = high
+ w_2874    = low
+ w_2875    = low
+ w_2876    = low
+ w_2877    = high
+ w_2878    = high
+ w_2879    = low
+ w_2880    = low
+ w_2881    = low
+ w_2882    = low
+ w_2883    = high
+ w_2884    = low
+ w_2885    = high
+ w_2886    = low
+ w_2887    = low
+ w_2888    = low
+ w_2889    = low
+ w_2890    = high
+ w_2891    = high
+ w_2892    = low
+ w_2893    = high
+ w_2894    = high
+ w_2895    = high
+ w_2896    = low
+ w_2897    = high
+ w_2898    = high
+ w_2899    = low
+ w_2900    = low
+ w_2901    = low
+ w_2902    = high
+ w_2903    = low
+ w_2904    = high
+ w_2905    = low
+ w_2906    = high
+ w_2907    = low
+ w_2908    = low
+ w_2909    = low
+ w_2910    = high
+ w_2911    = low
+ w_2912    = high
+ w_2913    = high
+ w_2914    = high
+ w_2915    = high
+ w_2916    = high
+ w_2917    = low
+ w_2918    = high
+ w_2919    = low
+ w_2920    = high
+ w_2921    = high
+ w_2922    = low
+ w_2923    = high
+ w_2924    = high
+ w_2925    = high
+ w_2926    = low
+ w_2927    = high
+ w_2928    = high
+ w_2929    = high
+ w_2930    = low
+ w_2931    = low
+ w_2932    = high
+ w_2933    = low
+ w_2934    = high
+ w_2935    = low
+ w_2936    = high
+ w_2937    = low
+ w_2938    = high
+ w_2939    = low
+ w_2940    = low
+ w_2941    = low
+ w_2942    = high
+ w_2943    = high
+ w_2944    = high
+ w_2945    = high
+ w_2946    = high
+ w_2947    = high
+ w_2948    = high
+ w_2949    = low
+ w_2950    = high
+ w_2951    = low
+ w_2952    = low
+ w_2953    = high
+ w_2954    = high
+ w_2955    = high
+ w_2956    = high
+ w_2957    = high
+ w_2958    = low
+ w_2959    = high
+ w_2960    = high
+ w_2961    = low
+ w_2962    = low
+ w_2963    = low
+ w_2964    = high
+ w_2965    = high
+ w_2966    = high
+ w_2967    = low
+ w_2968    = high
+ w_2969    = low
+ w_2970    = low
+ w_2971    = low
+ w_2972    = high
+ w_2973    = low
+ w_2974    = low
+ w_2975    = high
+ w_2976    = low
+ w_2977    = high
+ w_2978    = high
+ w_2979    = low
+ w_2980    = high
+ w_2981    = low
+ w_2982    = high
+ w_2983    = low
+ w_2984    = low
+ w_2985    = high
+ w_2986    = high
+ w_2987    = low
+ w_2988    = low
+ w_2989    = high
+ w_2990    = high
+ w_2991    = high
+ w_2992    = high
+ w_2993    = low
+ w_2994    = low
+ w_2995    = low
+ w_2996    = low
+ w_2997    = low
+ w_2998    = low
+ w_2999    = low
+ w_3000    = high
+ w_3001    = high
+ w_3002    = low
+ w_3003    = low
+ w_3004    = high
+ w_3005    = high
+ w_3006    = high
+ w_3007    = high
+ w_3008    = high
+ w_3009    = low
+ w_3010    = low
+ w_3011    = low
+ w_3012    = low
+ w_3013    = low
+ w_3014    = low
+ w_3015    = high
+ w_3016    = high
+ w_3017    = high
+ w_3018    = low
+ w_3019    = low
+ w_3020    = high
+ w_3021    = high
+ w_3022    = high
+ w_3023    = high
+ w_3024    = low
+ w_3025    = low
+ w_3026    = high
+ w_3027    = low
+ w_3028    = low
+ w_3029    = low
+ w_3030    = low
+ w_3031    = high
+ w_3032    = high
+ w_3033    = low
+ w_3034    = low
+ w_3035    = low
+ w_3036    = high
+ w_3037    = low
+ w_3038    = high
+ w_3039    = high
+ w_3040    = low
+ w_3041    = low
+ w_3042    = low
+ w_3043    = low
+ w_3044    = high
+ w_3045    = low
+ w_3046    = high
+ w_3047    = high
+ w_3048    = low
+ w_3049    = low
+ w_3050    = low
+ w_3051    = high
+ w_3052    = high
+ w_3053    = low
+ w_3054    = high
+ w_3055    = high
+ w_3056    = low
+ w_3057    = low
+ w_3058    = low
+ w_3059    = high
+ w_3060    = low
+ w_3061    = low
+ w_3062    = low
+ w_3063    = high
+ w_3064    = low
+ w_3065    = low
+ w_3066    = low
+ w_3067    = high
+ w_3068    = low
+ w_3069    = high
+ w_3070    = low
+ w_3071    = high
+ w_3072    = low

Rwdata1   out   g   10Meg
Vwdata1   out   g   PWL
+ 'delay+0*per+     (   0-w_0)*distort/2'                                                     w_0
+ 'delay+0*per+     (   0-w_0)*distort/2+(dtr+dtf)/2+(w_0-0)*(dtf-dtr)/2'                     w_0
+ 'delay+0*per+per2+(w_0-w_1)*distort/2'                                                      w_0
+ 'delay+0*per+per2+(w_0-w_1)*distort/2+(dtf+dtr)/2+(w_1-w_0)*(dtf-dtr)/2'                    w_1
+ 'delay+1*per+     (w_1-w_2)*distort/2'                                                      w_1
+ 'delay+1*per+     (w_1-w_2)*distort/2+(dtf+dtr)/2+(w_2-w_1)*(dtf-dtr)/2'                    w_2
+ 'delay+1*per+per2+(w_2-w_3)*distort/2'                                                      w_2
+ 'delay+1*per+per2+(w_2-w_3)*distort/2+(dtf+dtr)/2+(w_3-w_2)*(dtf-dtr)/2'                    w_3
+ 'delay+2*per+     (w_3-w_4)*distort/2'                                                      w_3
+ 'delay+2*per+     (w_3-w_4)*distort/2+(dtf+dtr)/2+(w_4-w_3)*(dtf-dtr)/2'                    w_4
+ 'delay+2*per+per2+(w_4-w_5)*distort/2'                                                      w_4
+ 'delay+2*per+per2+(w_4-w_5)*distort/2+(dtf+dtr)/2+(w_5-w_4)*(dtf-dtr)/2'                    w_5
+ 'delay+3*per+     (w_5-w_6)*distort/2'                                                      w_5
+ 'delay+3*per+     (w_5-w_6)*distort/2+(dtf+dtr)/2+(w_6-w_5)*(dtf-dtr)/2'                    w_6
+ 'delay+3*per+per2+(w_6-w_7)*distort/2'                                                      w_6
+ 'delay+3*per+per2+(w_6-w_7)*distort/2+(dtf+dtr)/2+(w_7-w_6)*(dtf-dtr)/2'                    w_7
+ 'delay+4*per+     (w_7-w_8)*distort/2'                                                      w_7
+ 'delay+4*per+     (w_7-w_8)*distort/2+(dtf+dtr)/2+(w_8-w_7)*(dtf-dtr)/2'                    w_8
+ 'delay+4*per+per2+(w_8-w_9)*distort/2'                                                      w_8
+ 'delay+4*per+per2+(w_8-w_9)*distort/2+(dtf+dtr)/2+(w_9-w_8)*(dtf-dtr)/2'                    w_9
+ 'delay+5*per+     (w_9-w_10)*distort/2'                                                     w_9
+ 'delay+5*per+     (w_9-w_10)*distort/2+(dtf+dtr)/2+(w_10-w_9)*(dtf-dtr)/2'                  w_10
+ 'delay+5*per+per2+(w_10-w_11)*distort/2'                                                    w_10
+ 'delay+5*per+per2+(w_10-w_11)*distort/2+(dtf+dtr)/2+(w_11-w_10)*(dtf-dtr)/2'                w_11
+ 'delay+6*per+     (w_11-w_12)*distort/2'                                                    w_11
+ 'delay+6*per+     (w_11-w_12)*distort/2+(dtf+dtr)/2+(w_12-w_11)*(dtf-dtr)/2'                w_12
+ 'delay+6*per+per2+(w_12-w_13)*distort/2'                                                    w_12
+ 'delay+6*per+per2+(w_12-w_13)*distort/2+(dtf+dtr)/2+(w_13-w_12)*(dtf-dtr)/2'                w_13
+ 'delay+7*per+     (w_13-w_14)*distort/2'                                                    w_13
+ 'delay+7*per+     (w_13-w_14)*distort/2+(dtf+dtr)/2+(w_14-w_13)*(dtf-dtr)/2'                w_14
+ 'delay+7*per+per2+(w_14-w_15)*distort/2'                                                    w_14
+ 'delay+7*per+per2+(w_14-w_15)*distort/2+(dtf+dtr)/2+(w_15-w_14)*(dtf-dtr)/2'                w_15
+ 'delay+8*per+     (w_15-w_16)*distort/2'                                                    w_15
+ 'delay+8*per+     (w_15-w_16)*distort/2+(dtf+dtr)/2+(w_16-w_15)*(dtf-dtr)/2'                w_16
+ 'delay+8*per+per2+(w_16-w_17)*distort/2'                                                    w_16
+ 'delay+8*per+per2+(w_16-w_17)*distort/2+(dtf+dtr)/2+(w_17-w_16)*(dtf-dtr)/2'                w_17
+ 'delay+9*per+     (w_17-w_18)*distort/2'                                                    w_17
+ 'delay+9*per+     (w_17-w_18)*distort/2+(dtf+dtr)/2+(w_18-w_17)*(dtf-dtr)/2'                w_18
+ 'delay+9*per+per2+(w_18-w_19)*distort/2'                                                    w_18
+ 'delay+9*per+per2+(w_18-w_19)*distort/2+(dtf+dtr)/2+(w_19-w_18)*(dtf-dtr)/2'                w_19
+ 'delay+10*per+    (w_19-w_20)*distort/2'                                                    w_19
+ 'delay+10*per+    (w_19-w_20)*distort/2+(dtf+dtr)/2+(w_20-w_19)*(dtf-dtr)/2'                w_20
+ 'delay+10*per+per2+(w_20-w_21)*distort/2'                                                   w_20
+ 'delay+10*per+per2+(w_20-w_21)*distort/2+(dtf+dtr)/2+(w_21-w_20)*(dtf-dtr)/2'               w_21
+ 'delay+11*per+    (w_21-w_22)*distort/2'                                                    w_21
+ 'delay+11*per+    (w_21-w_22)*distort/2+(dtf+dtr)/2+(w_22-w_21)*(dtf-dtr)/2'                w_22
+ 'delay+11*per+per2+(w_22-w_23)*distort/2'                                                   w_22
+ 'delay+11*per+per2+(w_22-w_23)*distort/2+(dtf+dtr)/2+(w_23-w_22)*(dtf-dtr)/2'               w_23
+ 'delay+12*per+    (w_23-w_24)*distort/2'                                                    w_23
+ 'delay+12*per+    (w_23-w_24)*distort/2+(dtf+dtr)/2+(w_24-w_23)*(dtf-dtr)/2'                w_24
+ 'delay+12*per+per2+(w_24-w_25)*distort/2'                                                   w_24
+ 'delay+12*per+per2+(w_24-w_25)*distort/2+(dtf+dtr)/2+(w_25-w_24)*(dtf-dtr)/2'               w_25
+ 'delay+13*per+    (w_25-w_26)*distort/2'                                                    w_25
+ 'delay+13*per+    (w_25-w_26)*distort/2+(dtf+dtr)/2+(w_26-w_25)*(dtf-dtr)/2'                w_26
+ 'delay+13*per+per2+(w_26-w_27)*distort/2'                                                   w_26
+ 'delay+13*per+per2+(w_26-w_27)*distort/2+(dtf+dtr)/2+(w_27-w_26)*(dtf-dtr)/2'               w_27
+ 'delay+14*per+    (w_27-w_28)*distort/2'                                                    w_27
+ 'delay+14*per+    (w_27-w_28)*distort/2+(dtf+dtr)/2+(w_28-w_27)*(dtf-dtr)/2'                w_28
+ 'delay+14*per+per2+(w_28-w_29)*distort/2'                                                   w_28
+ 'delay+14*per+per2+(w_28-w_29)*distort/2+(dtf+dtr)/2+(w_29-w_28)*(dtf-dtr)/2'               w_29
+ 'delay+15*per+    (w_29-w_30)*distort/2'                                                    w_29
+ 'delay+15*per+    (w_29-w_30)*distort/2+(dtf+dtr)/2+(w_30-w_29)*(dtf-dtr)/2'                w_30
+ 'delay+15*per+per2+(w_30-w_31)*distort/2'                                                   w_30
+ 'delay+15*per+per2+(w_30-w_31)*distort/2+(dtf+dtr)/2+(w_31-w_30)*(dtf-dtr)/2'               w_31
+ 'delay+16*per+    (w_31-w_32)*distort/2'                                                    w_31
+ 'delay+16*per+    (w_31-w_32)*distort/2+(dtf+dtr)/2+(w_32-w_31)*(dtf-dtr)/2'                w_32
+ 'delay+16*per+per2+(w_32-w_33)*distort/2'                                                   w_32
+ 'delay+16*per+per2+(w_32-w_33)*distort/2+(dtf+dtr)/2+(w_33-w_32)*(dtf-dtr)/2'               w_33
+ 'delay+17*per+    (w_33-w_34)*distort/2'                                                    w_33
+ 'delay+17*per+    (w_33-w_34)*distort/2+(dtf+dtr)/2+(w_34-w_33)*(dtf-dtr)/2'                w_34
+ 'delay+17*per+per2+(w_34-w_35)*distort/2'                                                   w_34
+ 'delay+17*per+per2+(w_34-w_35)*distort/2+(dtf+dtr)/2+(w_35-w_34)*(dtf-dtr)/2'               w_35
+ 'delay+18*per+    (w_35-w_36)*distort/2'                                                    w_35
+ 'delay+18*per+    (w_35-w_36)*distort/2+(dtf+dtr)/2+(w_36-w_35)*(dtf-dtr)/2'                w_36
+ 'delay+18*per+per2+(w_36-w_37)*distort/2'                                                   w_36
+ 'delay+18*per+per2+(w_36-w_37)*distort/2+(dtf+dtr)/2+(w_37-w_36)*(dtf-dtr)/2'               w_37
+ 'delay+19*per+    (w_37-w_38)*distort/2'                                                    w_37
+ 'delay+19*per+    (w_37-w_38)*distort/2+(dtf+dtr)/2+(w_38-w_37)*(dtf-dtr)/2'                w_38
+ 'delay+19*per+per2+(w_38-w_39)*distort/2'                                                   w_38
+ 'delay+19*per+per2+(w_38-w_39)*distort/2+(dtf+dtr)/2+(w_39-w_38)*(dtf-dtr)/2'               w_39
+ 'delay+20*per+    (w_39-w_40)*distort/2'                                                    w_39
+ 'delay+20*per+    (w_39-w_40)*distort/2+(dtf+dtr)/2+(w_40-w_39)*(dtf-dtr)/2'                w_40
+ 'delay+20*per+per2+(w_40-w_41)*distort/2'                                                   w_40
+ 'delay+20*per+per2+(w_40-w_41)*distort/2+(dtf+dtr)/2+(w_41-w_40)*(dtf-dtr)/2'               w_41
+ 'delay+21*per+    (w_41-w_42)*distort/2'                                                    w_41
+ 'delay+21*per+    (w_41-w_42)*distort/2+(dtf+dtr)/2+(w_42-w_41)*(dtf-dtr)/2'                w_42
+ 'delay+21*per+per2+(w_42-w_43)*distort/2'                                                   w_42
+ 'delay+21*per+per2+(w_42-w_43)*distort/2+(dtf+dtr)/2+(w_43-w_42)*(dtf-dtr)/2'               w_43
+ 'delay+22*per+    (w_43-w_44)*distort/2'                                                    w_43
+ 'delay+22*per+    (w_43-w_44)*distort/2+(dtf+dtr)/2+(w_44-w_43)*(dtf-dtr)/2'                w_44
+ 'delay+22*per+per2+(w_44-w_45)*distort/2'                                                   w_44
+ 'delay+22*per+per2+(w_44-w_45)*distort/2+(dtf+dtr)/2+(w_45-w_44)*(dtf-dtr)/2'               w_45
+ 'delay+23*per+    (w_45-w_46)*distort/2'                                                    w_45
+ 'delay+23*per+    (w_45-w_46)*distort/2+(dtf+dtr)/2+(w_46-w_45)*(dtf-dtr)/2'                w_46
+ 'delay+23*per+per2+(w_46-w_47)*distort/2'                                                   w_46
+ 'delay+23*per+per2+(w_46-w_47)*distort/2+(dtf+dtr)/2+(w_47-w_46)*(dtf-dtr)/2'               w_47
+ 'delay+24*per+    (w_47-w_48)*distort/2'                                                    w_47
+ 'delay+24*per+    (w_47-w_48)*distort/2+(dtf+dtr)/2+(w_48-w_47)*(dtf-dtr)/2'                w_48
+ 'delay+24*per+per2+(w_48-w_49)*distort/2'                                                   w_48
+ 'delay+24*per+per2+(w_48-w_49)*distort/2+(dtf+dtr)/2+(w_49-w_48)*(dtf-dtr)/2'               w_49
+ 'delay+25*per+    (w_49-w_50)*distort/2'                                                    w_49
+ 'delay+25*per+    (w_49-w_50)*distort/2+(dtf+dtr)/2+(w_50-w_49)*(dtf-dtr)/2'                w_50
+ 'delay+25*per+per2+(w_50-w_51)*distort/2'                                                   w_50
+ 'delay+25*per+per2+(w_50-w_51)*distort/2+(dtf+dtr)/2+(w_51-w_50)*(dtf-dtr)/2'               w_51
+ 'delay+26*per+    (w_51-w_52)*distort/2'                                                    w_51
+ 'delay+26*per+    (w_51-w_52)*distort/2+(dtf+dtr)/2+(w_52-w_51)*(dtf-dtr)/2'                w_52
+ 'delay+26*per+per2+(w_52-w_53)*distort/2'                                                   w_52
+ 'delay+26*per+per2+(w_52-w_53)*distort/2+(dtf+dtr)/2+(w_53-w_52)*(dtf-dtr)/2'               w_53
+ 'delay+27*per+    (w_53-w_54)*distort/2'                                                    w_53
+ 'delay+27*per+    (w_53-w_54)*distort/2+(dtf+dtr)/2+(w_54-w_53)*(dtf-dtr)/2'                w_54
+ 'delay+27*per+per2+(w_54-w_55)*distort/2'                                                   w_54
+ 'delay+27*per+per2+(w_54-w_55)*distort/2+(dtf+dtr)/2+(w_55-w_54)*(dtf-dtr)/2'               w_55
+ 'delay+28*per+    (w_55-w_56)*distort/2'                                                    w_55
+ 'delay+28*per+    (w_55-w_56)*distort/2+(dtf+dtr)/2+(w_56-w_55)*(dtf-dtr)/2'                w_56
+ 'delay+28*per+per2+(w_56-w_57)*distort/2'                                                   w_56
+ 'delay+28*per+per2+(w_56-w_57)*distort/2+(dtf+dtr)/2+(w_57-w_56)*(dtf-dtr)/2'               w_57
+ 'delay+29*per+    (w_57-w_58)*distort/2'                                                    w_57
+ 'delay+29*per+    (w_57-w_58)*distort/2+(dtf+dtr)/2+(w_58-w_57)*(dtf-dtr)/2'                w_58
+ 'delay+29*per+per2+(w_58-w_59)*distort/2'                                                   w_58
+ 'delay+29*per+per2+(w_58-w_59)*distort/2+(dtf+dtr)/2+(w_59-w_58)*(dtf-dtr)/2'               w_59
+ 'delay+30*per+    (w_59-w_60)*distort/2'                                                    w_59
+ 'delay+30*per+    (w_59-w_60)*distort/2+(dtf+dtr)/2+(w_60-w_59)*(dtf-dtr)/2'                w_60
+ 'delay+30*per+per2+(w_60-w_61)*distort/2'                                                   w_60
+ 'delay+30*per+per2+(w_60-w_61)*distort/2+(dtf+dtr)/2+(w_61-w_60)*(dtf-dtr)/2'               w_61
+ 'delay+31*per+    (w_61-w_62)*distort/2'                                                    w_61
+ 'delay+31*per+    (w_61-w_62)*distort/2+(dtf+dtr)/2+(w_62-w_61)*(dtf-dtr)/2'                w_62
+ 'delay+31*per+per2+(w_62-w_63)*distort/2'                                                   w_62
+ 'delay+31*per+per2+(w_62-w_63)*distort/2+(dtf+dtr)/2+(w_63-w_62)*(dtf-dtr)/2'               w_63
+ 'delay+32*per+    (w_63-w_64)*distort/2'                                                    w_63
+ 'delay+32*per+    (w_63-w_64)*distort/2+(dtf+dtr)/2+(w_64-w_63)*(dtf-dtr)/2'                w_64
+ 'delay+32*per+per2+(w_64-w_65)*distort/2'                                                   w_64
+ 'delay+32*per+per2+(w_64-w_65)*distort/2+(dtf+dtr)/2+(w_65-w_64)*(dtf-dtr)/2'               w_65
+ 'delay+33*per+    (w_65-w_66)*distort/2'                                                    w_65
+ 'delay+33*per+    (w_65-w_66)*distort/2+(dtf+dtr)/2+(w_66-w_65)*(dtf-dtr)/2'                w_66
+ 'delay+33*per+per2+(w_66-w_67)*distort/2'                                                   w_66
+ 'delay+33*per+per2+(w_66-w_67)*distort/2+(dtf+dtr)/2+(w_67-w_66)*(dtf-dtr)/2'               w_67
+ 'delay+34*per+    (w_67-w_68)*distort/2'                                                    w_67
+ 'delay+34*per+    (w_67-w_68)*distort/2+(dtf+dtr)/2+(w_68-w_67)*(dtf-dtr)/2'                w_68
+ 'delay+34*per+per2+(w_68-w_69)*distort/2'                                                   w_68
+ 'delay+34*per+per2+(w_68-w_69)*distort/2+(dtf+dtr)/2+(w_69-w_68)*(dtf-dtr)/2'               w_69
+ 'delay+35*per+    (w_69-w_70)*distort/2'                                                    w_69
+ 'delay+35*per+    (w_69-w_70)*distort/2+(dtf+dtr)/2+(w_70-w_69)*(dtf-dtr)/2'                w_70
+ 'delay+35*per+per2+(w_70-w_71)*distort/2'                                                   w_70
+ 'delay+35*per+per2+(w_70-w_71)*distort/2+(dtf+dtr)/2+(w_71-w_70)*(dtf-dtr)/2'               w_71
+ 'delay+36*per+    (w_71-w_72)*distort/2'                                                    w_71
+ 'delay+36*per+    (w_71-w_72)*distort/2+(dtf+dtr)/2+(w_72-w_71)*(dtf-dtr)/2'                w_72
+ 'delay+36*per+per2+(w_72-w_73)*distort/2'                                                   w_72
+ 'delay+36*per+per2+(w_72-w_73)*distort/2+(dtf+dtr)/2+(w_73-w_72)*(dtf-dtr)/2'               w_73
+ 'delay+37*per+    (w_73-w_74)*distort/2'                                                    w_73
+ 'delay+37*per+    (w_73-w_74)*distort/2+(dtf+dtr)/2+(w_74-w_73)*(dtf-dtr)/2'                w_74
+ 'delay+37*per+per2+(w_74-w_75)*distort/2'                                                   w_74
+ 'delay+37*per+per2+(w_74-w_75)*distort/2+(dtf+dtr)/2+(w_75-w_74)*(dtf-dtr)/2'               w_75
+ 'delay+38*per+    (w_75-w_76)*distort/2'                                                    w_75
+ 'delay+38*per+    (w_75-w_76)*distort/2+(dtf+dtr)/2+(w_76-w_75)*(dtf-dtr)/2'                w_76
+ 'delay+38*per+per2+(w_76-w_77)*distort/2'                                                   w_76
+ 'delay+38*per+per2+(w_76-w_77)*distort/2+(dtf+dtr)/2+(w_77-w_76)*(dtf-dtr)/2'               w_77
+ 'delay+39*per+    (w_77-w_78)*distort/2'                                                    w_77
+ 'delay+39*per+    (w_77-w_78)*distort/2+(dtf+dtr)/2+(w_78-w_77)*(dtf-dtr)/2'                w_78
+ 'delay+39*per+per2+(w_78-w_79)*distort/2'                                                   w_78
+ 'delay+39*per+per2+(w_78-w_79)*distort/2+(dtf+dtr)/2+(w_79-w_78)*(dtf-dtr)/2'               w_79
+ 'delay+40*per+    (w_79-w_80)*distort/2'                                                    w_79
+ 'delay+40*per+    (w_79-w_80)*distort/2+(dtf+dtr)/2+(w_80-w_79)*(dtf-dtr)/2'                w_80
+ 'delay+40*per+per2+(w_80-w_81)*distort/2'                                                   w_80
+ 'delay+40*per+per2+(w_80-w_81)*distort/2+(dtf+dtr)/2+(w_81-w_80)*(dtf-dtr)/2'               w_81
+ 'delay+41*per+    (w_81-w_82)*distort/2'                                                    w_81
+ 'delay+41*per+    (w_81-w_82)*distort/2+(dtf+dtr)/2+(w_82-w_81)*(dtf-dtr)/2'                w_82
+ 'delay+41*per+per2+(w_82-w_83)*distort/2'                                                   w_82
+ 'delay+41*per+per2+(w_82-w_83)*distort/2+(dtf+dtr)/2+(w_83-w_82)*(dtf-dtr)/2'               w_83
+ 'delay+42*per+    (w_83-w_84)*distort/2'                                                    w_83
+ 'delay+42*per+    (w_83-w_84)*distort/2+(dtf+dtr)/2+(w_84-w_83)*(dtf-dtr)/2'                w_84
+ 'delay+42*per+per2+(w_84-w_85)*distort/2'                                                   w_84
+ 'delay+42*per+per2+(w_84-w_85)*distort/2+(dtf+dtr)/2+(w_85-w_84)*(dtf-dtr)/2'               w_85
+ 'delay+43*per+    (w_85-w_86)*distort/2'                                                    w_85
+ 'delay+43*per+    (w_85-w_86)*distort/2+(dtf+dtr)/2+(w_86-w_85)*(dtf-dtr)/2'                w_86
+ 'delay+43*per+per2+(w_86-w_87)*distort/2'                                                   w_86
+ 'delay+43*per+per2+(w_86-w_87)*distort/2+(dtf+dtr)/2+(w_87-w_86)*(dtf-dtr)/2'               w_87
+ 'delay+44*per+    (w_87-w_88)*distort/2'                                                    w_87
+ 'delay+44*per+    (w_87-w_88)*distort/2+(dtf+dtr)/2+(w_88-w_87)*(dtf-dtr)/2'                w_88
+ 'delay+44*per+per2+(w_88-w_89)*distort/2'                                                   w_88
+ 'delay+44*per+per2+(w_88-w_89)*distort/2+(dtf+dtr)/2+(w_89-w_88)*(dtf-dtr)/2'               w_89
+ 'delay+45*per+    (w_89-w_90)*distort/2'                                                    w_89
+ 'delay+45*per+    (w_89-w_90)*distort/2+(dtf+dtr)/2+(w_90-w_89)*(dtf-dtr)/2'                w_90
+ 'delay+45*per+per2+(w_90-w_91)*distort/2'                                                   w_90
+ 'delay+45*per+per2+(w_90-w_91)*distort/2+(dtf+dtr)/2+(w_91-w_90)*(dtf-dtr)/2'               w_91
+ 'delay+46*per+    (w_91-w_92)*distort/2'                                                    w_91
+ 'delay+46*per+    (w_91-w_92)*distort/2+(dtf+dtr)/2+(w_92-w_91)*(dtf-dtr)/2'                w_92
+ 'delay+46*per+per2+(w_92-w_93)*distort/2'                                                   w_92
+ 'delay+46*per+per2+(w_92-w_93)*distort/2+(dtf+dtr)/2+(w_93-w_92)*(dtf-dtr)/2'               w_93
+ 'delay+47*per+    (w_93-w_94)*distort/2'                                                    w_93
+ 'delay+47*per+    (w_93-w_94)*distort/2+(dtf+dtr)/2+(w_94-w_93)*(dtf-dtr)/2'                w_94
+ 'delay+47*per+per2+(w_94-w_95)*distort/2'                                                   w_94
+ 'delay+47*per+per2+(w_94-w_95)*distort/2+(dtf+dtr)/2+(w_95-w_94)*(dtf-dtr)/2'               w_95
+ 'delay+48*per+    (w_95-w_96)*distort/2'                                                    w_95
+ 'delay+48*per+    (w_95-w_96)*distort/2+(dtf+dtr)/2+(w_96-w_95)*(dtf-dtr)/2'                w_96
+ 'delay+48*per+per2+(w_96-w_97)*distort/2'                                                   w_96
+ 'delay+48*per+per2+(w_96-w_97)*distort/2+(dtf+dtr)/2+(w_97-w_96)*(dtf-dtr)/2'               w_97
+ 'delay+49*per+    (w_97-w_98)*distort/2'                                                    w_97
+ 'delay+49*per+    (w_97-w_98)*distort/2+(dtf+dtr)/2+(w_98-w_97)*(dtf-dtr)/2'                w_98
+ 'delay+49*per+per2+(w_98-w_99)*distort/2'                                                   w_98
+ 'delay+49*per+per2+(w_98-w_99)*distort/2+(dtf+dtr)/2+(w_99-w_98)*(dtf-dtr)/2'               w_99
+ 'delay+50*per+    (w_99-w_100)*distort/2'                                                   w_99
+ 'delay+50*per+    (w_99-w_100)*distort/2+(dtf+dtr)/2+(w_100-w_99)*(dtf-dtr)/2'              w_100
+ 'delay+50*per+per2+(w_100-w_101)*distort/2'                                                 w_100
+ 'delay+50*per+per2+(w_100-w_101)*distort/2+(dtf+dtr)/2+(w_101-w_100)*(dtf-dtr)/2'           w_101
+ 'delay+51*per+    (w_101-w_102)*distort/2'                                                  w_101
+ 'delay+51*per+    (w_101-w_102)*distort/2+(dtf+dtr)/2+(w_102-w_101)*(dtf-dtr)/2'            w_102
+ 'delay+51*per+per2+(w_102-w_103)*distort/2'                                                 w_102
+ 'delay+51*per+per2+(w_102-w_103)*distort/2+(dtf+dtr)/2+(w_103-w_102)*(dtf-dtr)/2'           w_103
+ 'delay+52*per+    (w_103-w_104)*distort/2'                                                  w_103
+ 'delay+52*per+    (w_103-w_104)*distort/2+(dtf+dtr)/2+(w_104-w_103)*(dtf-dtr)/2'            w_104
+ 'delay+52*per+per2+(w_104-w_105)*distort/2'                                                 w_104
+ 'delay+52*per+per2+(w_104-w_105)*distort/2+(dtf+dtr)/2+(w_105-w_104)*(dtf-dtr)/2'           w_105
+ 'delay+53*per+    (w_105-w_106)*distort/2'                                                  w_105
+ 'delay+53*per+    (w_105-w_106)*distort/2+(dtf+dtr)/2+(w_106-w_105)*(dtf-dtr)/2'            w_106
+ 'delay+53*per+per2+(w_106-w_107)*distort/2'                                                 w_106
+ 'delay+53*per+per2+(w_106-w_107)*distort/2+(dtf+dtr)/2+(w_107-w_106)*(dtf-dtr)/2'           w_107
+ 'delay+54*per+    (w_107-w_108)*distort/2'                                                  w_107
+ 'delay+54*per+    (w_107-w_108)*distort/2+(dtf+dtr)/2+(w_108-w_107)*(dtf-dtr)/2'            w_108
+ 'delay+54*per+per2+(w_108-w_109)*distort/2'                                                 w_108
+ 'delay+54*per+per2+(w_108-w_109)*distort/2+(dtf+dtr)/2+(w_109-w_108)*(dtf-dtr)/2'           w_109
+ 'delay+55*per+    (w_109-w_110)*distort/2'                                                  w_109
+ 'delay+55*per+    (w_109-w_110)*distort/2+(dtf+dtr)/2+(w_110-w_109)*(dtf-dtr)/2'            w_110
+ 'delay+55*per+per2+(w_110-w_111)*distort/2'                                                 w_110
+ 'delay+55*per+per2+(w_110-w_111)*distort/2+(dtf+dtr)/2+(w_111-w_110)*(dtf-dtr)/2'           w_111
+ 'delay+56*per+    (w_111-w_112)*distort/2'                                                  w_111
+ 'delay+56*per+    (w_111-w_112)*distort/2+(dtf+dtr)/2+(w_112-w_111)*(dtf-dtr)/2'            w_112
+ 'delay+56*per+per2+(w_112-w_113)*distort/2'                                                 w_112
+ 'delay+56*per+per2+(w_112-w_113)*distort/2+(dtf+dtr)/2+(w_113-w_112)*(dtf-dtr)/2'           w_113
+ 'delay+57*per+    (w_113-w_114)*distort/2'                                                  w_113
+ 'delay+57*per+    (w_113-w_114)*distort/2+(dtf+dtr)/2+(w_114-w_113)*(dtf-dtr)/2'            w_114
+ 'delay+57*per+per2+(w_114-w_115)*distort/2'                                                 w_114
+ 'delay+57*per+per2+(w_114-w_115)*distort/2+(dtf+dtr)/2+(w_115-w_114)*(dtf-dtr)/2'           w_115
+ 'delay+58*per+    (w_115-w_116)*distort/2'                                                  w_115
+ 'delay+58*per+    (w_115-w_116)*distort/2+(dtf+dtr)/2+(w_116-w_115)*(dtf-dtr)/2'            w_116
+ 'delay+58*per+per2+(w_116-w_117)*distort/2'                                                 w_116
+ 'delay+58*per+per2+(w_116-w_117)*distort/2+(dtf+dtr)/2+(w_117-w_116)*(dtf-dtr)/2'           w_117
+ 'delay+59*per+    (w_117-w_118)*distort/2'                                                  w_117
+ 'delay+59*per+    (w_117-w_118)*distort/2+(dtf+dtr)/2+(w_118-w_117)*(dtf-dtr)/2'            w_118
+ 'delay+59*per+per2+(w_118-w_119)*distort/2'                                                 w_118
+ 'delay+59*per+per2+(w_118-w_119)*distort/2+(dtf+dtr)/2+(w_119-w_118)*(dtf-dtr)/2'           w_119
+ 'delay+60*per+    (w_119-w_120)*distort/2'                                                  w_119
+ 'delay+60*per+    (w_119-w_120)*distort/2+(dtf+dtr)/2+(w_120-w_119)*(dtf-dtr)/2'            w_120
+ 'delay+60*per+per2+(w_120-w_121)*distort/2'                                                 w_120
+ 'delay+60*per+per2+(w_120-w_121)*distort/2+(dtf+dtr)/2+(w_121-w_120)*(dtf-dtr)/2'           w_121
+ 'delay+61*per+    (w_121-w_122)*distort/2'                                                  w_121
+ 'delay+61*per+    (w_121-w_122)*distort/2+(dtf+dtr)/2+(w_122-w_121)*(dtf-dtr)/2'            w_122
+ 'delay+61*per+per2+(w_122-w_123)*distort/2'                                                 w_122
+ 'delay+61*per+per2+(w_122-w_123)*distort/2+(dtf+dtr)/2+(w_123-w_122)*(dtf-dtr)/2'           w_123
+ 'delay+62*per+    (w_123-w_124)*distort/2'                                                  w_123
+ 'delay+62*per+    (w_123-w_124)*distort/2+(dtf+dtr)/2+(w_124-w_123)*(dtf-dtr)/2'            w_124
+ 'delay+62*per+per2+(w_124-w_125)*distort/2'                                                 w_124
+ 'delay+62*per+per2+(w_124-w_125)*distort/2+(dtf+dtr)/2+(w_125-w_124)*(dtf-dtr)/2'           w_125
+ 'delay+63*per+    (w_125-w_126)*distort/2'                                                  w_125
+ 'delay+63*per+    (w_125-w_126)*distort/2+(dtf+dtr)/2+(w_126-w_125)*(dtf-dtr)/2'            w_126
+ 'delay+63*per+per2+(w_126-w_127)*distort/2'                                                 w_126
+ 'delay+63*per+per2+(w_126-w_127)*distort/2+(dtf+dtr)/2+(w_127-w_126)*(dtf-dtr)/2'           w_127
+ 'delay+64*per+    (w_127-w_128)*distort/2'                                                  w_127
+ 'delay+64*per+    (w_127-w_128)*distort/2+(dtf+dtr)/2+(w_128-w_127)*(dtf-dtr)/2'            w_128
+ 'delay+64*per+per2+(w_128-w_129)*distort/2'                                                 w_128
+ 'delay+64*per+per2+(w_128-w_129)*distort/2+(dtf+dtr)/2+(w_129-w_128)*(dtf-dtr)/2'           w_129
+ 'delay+65*per+    (w_129-w_130)*distort/2'                                                  w_129
+ 'delay+65*per+    (w_129-w_130)*distort/2+(dtf+dtr)/2+(w_130-w_129)*(dtf-dtr)/2'            w_130
+ 'delay+65*per+per2+(w_130-w_131)*distort/2'                                                 w_130
+ 'delay+65*per+per2+(w_130-w_131)*distort/2+(dtf+dtr)/2+(w_131-w_130)*(dtf-dtr)/2'           w_131
+ 'delay+66*per+    (w_131-w_132)*distort/2'                                                  w_131
+ 'delay+66*per+    (w_131-w_132)*distort/2+(dtf+dtr)/2+(w_132-w_131)*(dtf-dtr)/2'            w_132
+ 'delay+66*per+per2+(w_132-w_133)*distort/2'                                                 w_132
+ 'delay+66*per+per2+(w_132-w_133)*distort/2+(dtf+dtr)/2+(w_133-w_132)*(dtf-dtr)/2'           w_133
+ 'delay+67*per+    (w_133-w_134)*distort/2'                                                  w_133
+ 'delay+67*per+    (w_133-w_134)*distort/2+(dtf+dtr)/2+(w_134-w_133)*(dtf-dtr)/2'            w_134
+ 'delay+67*per+per2+(w_134-w_135)*distort/2'                                                 w_134
+ 'delay+67*per+per2+(w_134-w_135)*distort/2+(dtf+dtr)/2+(w_135-w_134)*(dtf-dtr)/2'           w_135
+ 'delay+68*per+    (w_135-w_136)*distort/2'                                                  w_135
+ 'delay+68*per+    (w_135-w_136)*distort/2+(dtf+dtr)/2+(w_136-w_135)*(dtf-dtr)/2'            w_136
+ 'delay+68*per+per2+(w_136-w_137)*distort/2'                                                 w_136
+ 'delay+68*per+per2+(w_136-w_137)*distort/2+(dtf+dtr)/2+(w_137-w_136)*(dtf-dtr)/2'           w_137
+ 'delay+69*per+    (w_137-w_138)*distort/2'                                                  w_137
+ 'delay+69*per+    (w_137-w_138)*distort/2+(dtf+dtr)/2+(w_138-w_137)*(dtf-dtr)/2'            w_138
+ 'delay+69*per+per2+(w_138-w_139)*distort/2'                                                 w_138
+ 'delay+69*per+per2+(w_138-w_139)*distort/2+(dtf+dtr)/2+(w_139-w_138)*(dtf-dtr)/2'           w_139
+ 'delay+70*per+    (w_139-w_140)*distort/2'                                                  w_139
+ 'delay+70*per+    (w_139-w_140)*distort/2+(dtf+dtr)/2+(w_140-w_139)*(dtf-dtr)/2'            w_140
+ 'delay+70*per+per2+(w_140-w_141)*distort/2'                                                 w_140
+ 'delay+70*per+per2+(w_140-w_141)*distort/2+(dtf+dtr)/2+(w_141-w_140)*(dtf-dtr)/2'           w_141
+ 'delay+71*per+    (w_141-w_142)*distort/2'                                                  w_141
+ 'delay+71*per+    (w_141-w_142)*distort/2+(dtf+dtr)/2+(w_142-w_141)*(dtf-dtr)/2'            w_142
+ 'delay+71*per+per2+(w_142-w_143)*distort/2'                                                 w_142
+ 'delay+71*per+per2+(w_142-w_143)*distort/2+(dtf+dtr)/2+(w_143-w_142)*(dtf-dtr)/2'           w_143
+ 'delay+72*per+    (w_143-w_144)*distort/2'                                                  w_143
+ 'delay+72*per+    (w_143-w_144)*distort/2+(dtf+dtr)/2+(w_144-w_143)*(dtf-dtr)/2'            w_144
+ 'delay+72*per+per2+(w_144-w_145)*distort/2'                                                 w_144
+ 'delay+72*per+per2+(w_144-w_145)*distort/2+(dtf+dtr)/2+(w_145-w_144)*(dtf-dtr)/2'           w_145
+ 'delay+73*per+    (w_145-w_146)*distort/2'                                                  w_145
+ 'delay+73*per+    (w_145-w_146)*distort/2+(dtf+dtr)/2+(w_146-w_145)*(dtf-dtr)/2'            w_146
+ 'delay+73*per+per2+(w_146-w_147)*distort/2'                                                 w_146
+ 'delay+73*per+per2+(w_146-w_147)*distort/2+(dtf+dtr)/2+(w_147-w_146)*(dtf-dtr)/2'           w_147
+ 'delay+74*per+    (w_147-w_148)*distort/2'                                                  w_147
+ 'delay+74*per+    (w_147-w_148)*distort/2+(dtf+dtr)/2+(w_148-w_147)*(dtf-dtr)/2'            w_148
+ 'delay+74*per+per2+(w_148-w_149)*distort/2'                                                 w_148
+ 'delay+74*per+per2+(w_148-w_149)*distort/2+(dtf+dtr)/2+(w_149-w_148)*(dtf-dtr)/2'           w_149
+ 'delay+75*per+    (w_149-w_150)*distort/2'                                                  w_149
+ 'delay+75*per+    (w_149-w_150)*distort/2+(dtf+dtr)/2+(w_150-w_149)*(dtf-dtr)/2'            w_150
+ 'delay+75*per+per2+(w_150-w_151)*distort/2'                                                 w_150
+ 'delay+75*per+per2+(w_150-w_151)*distort/2+(dtf+dtr)/2+(w_151-w_150)*(dtf-dtr)/2'           w_151
+ 'delay+76*per+    (w_151-w_152)*distort/2'                                                  w_151
+ 'delay+76*per+    (w_151-w_152)*distort/2+(dtf+dtr)/2+(w_152-w_151)*(dtf-dtr)/2'            w_152
+ 'delay+76*per+per2+(w_152-w_153)*distort/2'                                                 w_152
+ 'delay+76*per+per2+(w_152-w_153)*distort/2+(dtf+dtr)/2+(w_153-w_152)*(dtf-dtr)/2'           w_153
+ 'delay+77*per+    (w_153-w_154)*distort/2'                                                  w_153
+ 'delay+77*per+    (w_153-w_154)*distort/2+(dtf+dtr)/2+(w_154-w_153)*(dtf-dtr)/2'            w_154
+ 'delay+77*per+per2+(w_154-w_155)*distort/2'                                                 w_154
+ 'delay+77*per+per2+(w_154-w_155)*distort/2+(dtf+dtr)/2+(w_155-w_154)*(dtf-dtr)/2'           w_155
+ 'delay+78*per+    (w_155-w_156)*distort/2'                                                  w_155
+ 'delay+78*per+    (w_155-w_156)*distort/2+(dtf+dtr)/2+(w_156-w_155)*(dtf-dtr)/2'            w_156
+ 'delay+78*per+per2+(w_156-w_157)*distort/2'                                                 w_156
+ 'delay+78*per+per2+(w_156-w_157)*distort/2+(dtf+dtr)/2+(w_157-w_156)*(dtf-dtr)/2'           w_157
+ 'delay+79*per+    (w_157-w_158)*distort/2'                                                  w_157
+ 'delay+79*per+    (w_157-w_158)*distort/2+(dtf+dtr)/2+(w_158-w_157)*(dtf-dtr)/2'            w_158
+ 'delay+79*per+per2+(w_158-w_159)*distort/2'                                                 w_158
+ 'delay+79*per+per2+(w_158-w_159)*distort/2+(dtf+dtr)/2+(w_159-w_158)*(dtf-dtr)/2'           w_159
+ 'delay+80*per+    (w_159-w_160)*distort/2'                                                  w_159
+ 'delay+80*per+    (w_159-w_160)*distort/2+(dtf+dtr)/2+(w_160-w_159)*(dtf-dtr)/2'            w_160
+ 'delay+80*per+per2+(w_160-w_161)*distort/2'                                                 w_160
+ 'delay+80*per+per2+(w_160-w_161)*distort/2+(dtf+dtr)/2+(w_161-w_160)*(dtf-dtr)/2'           w_161
+ 'delay+81*per+    (w_161-w_162)*distort/2'                                                  w_161
+ 'delay+81*per+    (w_161-w_162)*distort/2+(dtf+dtr)/2+(w_162-w_161)*(dtf-dtr)/2'            w_162
+ 'delay+81*per+per2+(w_162-w_163)*distort/2'                                                 w_162
+ 'delay+81*per+per2+(w_162-w_163)*distort/2+(dtf+dtr)/2+(w_163-w_162)*(dtf-dtr)/2'           w_163
+ 'delay+82*per+    (w_163-w_164)*distort/2'                                                  w_163
+ 'delay+82*per+    (w_163-w_164)*distort/2+(dtf+dtr)/2+(w_164-w_163)*(dtf-dtr)/2'            w_164
+ 'delay+82*per+per2+(w_164-w_165)*distort/2'                                                 w_164
+ 'delay+82*per+per2+(w_164-w_165)*distort/2+(dtf+dtr)/2+(w_165-w_164)*(dtf-dtr)/2'           w_165
+ 'delay+83*per+    (w_165-w_166)*distort/2'                                                  w_165
+ 'delay+83*per+    (w_165-w_166)*distort/2+(dtf+dtr)/2+(w_166-w_165)*(dtf-dtr)/2'            w_166
+ 'delay+83*per+per2+(w_166-w_167)*distort/2'                                                 w_166
+ 'delay+83*per+per2+(w_166-w_167)*distort/2+(dtf+dtr)/2+(w_167-w_166)*(dtf-dtr)/2'           w_167
+ 'delay+84*per+    (w_167-w_168)*distort/2'                                                  w_167
+ 'delay+84*per+    (w_167-w_168)*distort/2+(dtf+dtr)/2+(w_168-w_167)*(dtf-dtr)/2'            w_168
+ 'delay+84*per+per2+(w_168-w_169)*distort/2'                                                 w_168
+ 'delay+84*per+per2+(w_168-w_169)*distort/2+(dtf+dtr)/2+(w_169-w_168)*(dtf-dtr)/2'           w_169
+ 'delay+85*per+    (w_169-w_170)*distort/2'                                                  w_169
+ 'delay+85*per+    (w_169-w_170)*distort/2+(dtf+dtr)/2+(w_170-w_169)*(dtf-dtr)/2'            w_170
+ 'delay+85*per+per2+(w_170-w_171)*distort/2'                                                 w_170
+ 'delay+85*per+per2+(w_170-w_171)*distort/2+(dtf+dtr)/2+(w_171-w_170)*(dtf-dtr)/2'           w_171
+ 'delay+86*per+    (w_171-w_172)*distort/2'                                                  w_171
+ 'delay+86*per+    (w_171-w_172)*distort/2+(dtf+dtr)/2+(w_172-w_171)*(dtf-dtr)/2'            w_172
+ 'delay+86*per+per2+(w_172-w_173)*distort/2'                                                 w_172
+ 'delay+86*per+per2+(w_172-w_173)*distort/2+(dtf+dtr)/2+(w_173-w_172)*(dtf-dtr)/2'           w_173
+ 'delay+87*per+    (w_173-w_174)*distort/2'                                                  w_173
+ 'delay+87*per+    (w_173-w_174)*distort/2+(dtf+dtr)/2+(w_174-w_173)*(dtf-dtr)/2'            w_174
+ 'delay+87*per+per2+(w_174-w_175)*distort/2'                                                 w_174
+ 'delay+87*per+per2+(w_174-w_175)*distort/2+(dtf+dtr)/2+(w_175-w_174)*(dtf-dtr)/2'           w_175
+ 'delay+88*per+    (w_175-w_176)*distort/2'                                                  w_175
+ 'delay+88*per+    (w_175-w_176)*distort/2+(dtf+dtr)/2+(w_176-w_175)*(dtf-dtr)/2'            w_176
+ 'delay+88*per+per2+(w_176-w_177)*distort/2'                                                 w_176
+ 'delay+88*per+per2+(w_176-w_177)*distort/2+(dtf+dtr)/2+(w_177-w_176)*(dtf-dtr)/2'           w_177
+ 'delay+89*per+    (w_177-w_178)*distort/2'                                                  w_177
+ 'delay+89*per+    (w_177-w_178)*distort/2+(dtf+dtr)/2+(w_178-w_177)*(dtf-dtr)/2'            w_178
+ 'delay+89*per+per2+(w_178-w_179)*distort/2'                                                 w_178
+ 'delay+89*per+per2+(w_178-w_179)*distort/2+(dtf+dtr)/2+(w_179-w_178)*(dtf-dtr)/2'           w_179
+ 'delay+90*per+    (w_179-w_180)*distort/2'                                                  w_179
+ 'delay+90*per+    (w_179-w_180)*distort/2+(dtf+dtr)/2+(w_180-w_179)*(dtf-dtr)/2'            w_180
+ 'delay+90*per+per2+(w_180-w_181)*distort/2'                                                 w_180
+ 'delay+90*per+per2+(w_180-w_181)*distort/2+(dtf+dtr)/2+(w_181-w_180)*(dtf-dtr)/2'           w_181
+ 'delay+91*per+    (w_181-w_182)*distort/2'                                                  w_181
+ 'delay+91*per+    (w_181-w_182)*distort/2+(dtf+dtr)/2+(w_182-w_181)*(dtf-dtr)/2'            w_182
+ 'delay+91*per+per2+(w_182-w_183)*distort/2'                                                 w_182
+ 'delay+91*per+per2+(w_182-w_183)*distort/2+(dtf+dtr)/2+(w_183-w_182)*(dtf-dtr)/2'           w_183
+ 'delay+92*per+    (w_183-w_184)*distort/2'                                                  w_183
+ 'delay+92*per+    (w_183-w_184)*distort/2+(dtf+dtr)/2+(w_184-w_183)*(dtf-dtr)/2'            w_184
+ 'delay+92*per+per2+(w_184-w_185)*distort/2'                                                 w_184
+ 'delay+92*per+per2+(w_184-w_185)*distort/2+(dtf+dtr)/2+(w_185-w_184)*(dtf-dtr)/2'           w_185
+ 'delay+93*per+    (w_185-w_186)*distort/2'                                                  w_185
+ 'delay+93*per+    (w_185-w_186)*distort/2+(dtf+dtr)/2+(w_186-w_185)*(dtf-dtr)/2'            w_186
+ 'delay+93*per+per2+(w_186-w_187)*distort/2'                                                 w_186
+ 'delay+93*per+per2+(w_186-w_187)*distort/2+(dtf+dtr)/2+(w_187-w_186)*(dtf-dtr)/2'           w_187
+ 'delay+94*per+    (w_187-w_188)*distort/2'                                                  w_187
+ 'delay+94*per+    (w_187-w_188)*distort/2+(dtf+dtr)/2+(w_188-w_187)*(dtf-dtr)/2'            w_188
+ 'delay+94*per+per2+(w_188-w_189)*distort/2'                                                 w_188
+ 'delay+94*per+per2+(w_188-w_189)*distort/2+(dtf+dtr)/2+(w_189-w_188)*(dtf-dtr)/2'           w_189
+ 'delay+95*per+    (w_189-w_190)*distort/2'                                                  w_189
+ 'delay+95*per+    (w_189-w_190)*distort/2+(dtf+dtr)/2+(w_190-w_189)*(dtf-dtr)/2'            w_190
+ 'delay+95*per+per2+(w_190-w_191)*distort/2'                                                 w_190
+ 'delay+95*per+per2+(w_190-w_191)*distort/2+(dtf+dtr)/2+(w_191-w_190)*(dtf-dtr)/2'           w_191
+ 'delay+96*per+    (w_191-w_192)*distort/2'                                                  w_191
+ 'delay+96*per+    (w_191-w_192)*distort/2+(dtf+dtr)/2+(w_192-w_191)*(dtf-dtr)/2'            w_192
+ 'delay+96*per+per2+(w_192-w_193)*distort/2'                                                 w_192
+ 'delay+96*per+per2+(w_192-w_193)*distort/2+(dtf+dtr)/2+(w_193-w_192)*(dtf-dtr)/2'           w_193
+ 'delay+97*per+    (w_193-w_194)*distort/2'                                                  w_193
+ 'delay+97*per+    (w_193-w_194)*distort/2+(dtf+dtr)/2+(w_194-w_193)*(dtf-dtr)/2'            w_194
+ 'delay+97*per+per2+(w_194-w_195)*distort/2'                                                 w_194
+ 'delay+97*per+per2+(w_194-w_195)*distort/2+(dtf+dtr)/2+(w_195-w_194)*(dtf-dtr)/2'           w_195
+ 'delay+98*per+    (w_195-w_196)*distort/2'                                                  w_195
+ 'delay+98*per+    (w_195-w_196)*distort/2+(dtf+dtr)/2+(w_196-w_195)*(dtf-dtr)/2'            w_196
+ 'delay+98*per+per2+(w_196-w_197)*distort/2'                                                 w_196
+ 'delay+98*per+per2+(w_196-w_197)*distort/2+(dtf+dtr)/2+(w_197-w_196)*(dtf-dtr)/2'           w_197
+ 'delay+99*per+    (w_197-w_198)*distort/2'                                                  w_197
+ 'delay+99*per+    (w_197-w_198)*distort/2+(dtf+dtr)/2+(w_198-w_197)*(dtf-dtr)/2'            w_198
+ 'delay+99*per+per2+(w_198-w_199)*distort/2'                                                 w_198
+ 'delay+99*per+per2+(w_198-w_199)*distort/2+(dtf+dtr)/2+(w_199-w_198)*(dtf-dtr)/2'           w_199
+ 'delay+100*per+   (w_199-w_200)*distort/2'                                                  w_199
+ 'delay+100*per+   (w_199-w_200)*distort/2+(dtf+dtr)/2+(w_200-w_199)*(dtf-dtr)/2'            w_200
+ 'delay+100*per+per2+(w_200-w_201)*distort/2'                                                w_200
+ 'delay+100*per+per2+(w_200-w_201)*distort/2+(dtf+dtr)/2+(w_201-w_200)*(dtf-dtr)/2'          w_201
+ 'delay+101*per+   (w_201-w_202)*distort/2'                                                  w_201
+ 'delay+101*per+   (w_201-w_202)*distort/2+(dtf+dtr)/2+(w_202-w_201)*(dtf-dtr)/2'            w_202
+ 'delay+101*per+per2+(w_202-w_203)*distort/2'                                                w_202
+ 'delay+101*per+per2+(w_202-w_203)*distort/2+(dtf+dtr)/2+(w_203-w_202)*(dtf-dtr)/2'          w_203
+ 'delay+102*per+   (w_203-w_204)*distort/2'                                                  w_203
+ 'delay+102*per+   (w_203-w_204)*distort/2+(dtf+dtr)/2+(w_204-w_203)*(dtf-dtr)/2'            w_204
+ 'delay+102*per+per2+(w_204-w_205)*distort/2'                                                w_204
+ 'delay+102*per+per2+(w_204-w_205)*distort/2+(dtf+dtr)/2+(w_205-w_204)*(dtf-dtr)/2'          w_205
+ 'delay+103*per+   (w_205-w_206)*distort/2'                                                  w_205
+ 'delay+103*per+   (w_205-w_206)*distort/2+(dtf+dtr)/2+(w_206-w_205)*(dtf-dtr)/2'            w_206
+ 'delay+103*per+per2+(w_206-w_207)*distort/2'                                                w_206
+ 'delay+103*per+per2+(w_206-w_207)*distort/2+(dtf+dtr)/2+(w_207-w_206)*(dtf-dtr)/2'          w_207
+ 'delay+104*per+   (w_207-w_208)*distort/2'                                                  w_207
+ 'delay+104*per+   (w_207-w_208)*distort/2+(dtf+dtr)/2+(w_208-w_207)*(dtf-dtr)/2'            w_208
+ 'delay+104*per+per2+(w_208-w_209)*distort/2'                                                w_208
+ 'delay+104*per+per2+(w_208-w_209)*distort/2+(dtf+dtr)/2+(w_209-w_208)*(dtf-dtr)/2'          w_209
+ 'delay+105*per+   (w_209-w_210)*distort/2'                                                  w_209
+ 'delay+105*per+   (w_209-w_210)*distort/2+(dtf+dtr)/2+(w_210-w_209)*(dtf-dtr)/2'            w_210
+ 'delay+105*per+per2+(w_210-w_211)*distort/2'                                                w_210
+ 'delay+105*per+per2+(w_210-w_211)*distort/2+(dtf+dtr)/2+(w_211-w_210)*(dtf-dtr)/2'          w_211
+ 'delay+106*per+   (w_211-w_212)*distort/2'                                                  w_211
+ 'delay+106*per+   (w_211-w_212)*distort/2+(dtf+dtr)/2+(w_212-w_211)*(dtf-dtr)/2'            w_212
+ 'delay+106*per+per2+(w_212-w_213)*distort/2'                                                w_212
+ 'delay+106*per+per2+(w_212-w_213)*distort/2+(dtf+dtr)/2+(w_213-w_212)*(dtf-dtr)/2'          w_213
+ 'delay+107*per+   (w_213-w_214)*distort/2'                                                  w_213
+ 'delay+107*per+   (w_213-w_214)*distort/2+(dtf+dtr)/2+(w_214-w_213)*(dtf-dtr)/2'            w_214
+ 'delay+107*per+per2+(w_214-w_215)*distort/2'                                                w_214
+ 'delay+107*per+per2+(w_214-w_215)*distort/2+(dtf+dtr)/2+(w_215-w_214)*(dtf-dtr)/2'          w_215
+ 'delay+108*per+   (w_215-w_216)*distort/2'                                                  w_215
+ 'delay+108*per+   (w_215-w_216)*distort/2+(dtf+dtr)/2+(w_216-w_215)*(dtf-dtr)/2'            w_216
+ 'delay+108*per+per2+(w_216-w_217)*distort/2'                                                w_216
+ 'delay+108*per+per2+(w_216-w_217)*distort/2+(dtf+dtr)/2+(w_217-w_216)*(dtf-dtr)/2'          w_217
+ 'delay+109*per+   (w_217-w_218)*distort/2'                                                  w_217
+ 'delay+109*per+   (w_217-w_218)*distort/2+(dtf+dtr)/2+(w_218-w_217)*(dtf-dtr)/2'            w_218
+ 'delay+109*per+per2+(w_218-w_219)*distort/2'                                                w_218
+ 'delay+109*per+per2+(w_218-w_219)*distort/2+(dtf+dtr)/2+(w_219-w_218)*(dtf-dtr)/2'          w_219
+ 'delay+110*per+   (w_219-w_220)*distort/2'                                                  w_219
+ 'delay+110*per+   (w_219-w_220)*distort/2+(dtf+dtr)/2+(w_220-w_219)*(dtf-dtr)/2'            w_220
+ 'delay+110*per+per2+(w_220-w_221)*distort/2'                                                w_220
+ 'delay+110*per+per2+(w_220-w_221)*distort/2+(dtf+dtr)/2+(w_221-w_220)*(dtf-dtr)/2'          w_221
+ 'delay+111*per+   (w_221-w_222)*distort/2'                                                  w_221
+ 'delay+111*per+   (w_221-w_222)*distort/2+(dtf+dtr)/2+(w_222-w_221)*(dtf-dtr)/2'            w_222
+ 'delay+111*per+per2+(w_222-w_223)*distort/2'                                                w_222
+ 'delay+111*per+per2+(w_222-w_223)*distort/2+(dtf+dtr)/2+(w_223-w_222)*(dtf-dtr)/2'          w_223
+ 'delay+112*per+   (w_223-w_224)*distort/2'                                                  w_223
+ 'delay+112*per+   (w_223-w_224)*distort/2+(dtf+dtr)/2+(w_224-w_223)*(dtf-dtr)/2'            w_224
+ 'delay+112*per+per2+(w_224-w_225)*distort/2'                                                w_224
+ 'delay+112*per+per2+(w_224-w_225)*distort/2+(dtf+dtr)/2+(w_225-w_224)*(dtf-dtr)/2'          w_225
+ 'delay+113*per+   (w_225-w_226)*distort/2'                                                  w_225
+ 'delay+113*per+   (w_225-w_226)*distort/2+(dtf+dtr)/2+(w_226-w_225)*(dtf-dtr)/2'            w_226
+ 'delay+113*per+per2+(w_226-w_227)*distort/2'                                                w_226
+ 'delay+113*per+per2+(w_226-w_227)*distort/2+(dtf+dtr)/2+(w_227-w_226)*(dtf-dtr)/2'          w_227
+ 'delay+114*per+   (w_227-w_228)*distort/2'                                                  w_227
+ 'delay+114*per+   (w_227-w_228)*distort/2+(dtf+dtr)/2+(w_228-w_227)*(dtf-dtr)/2'            w_228
+ 'delay+114*per+per2+(w_228-w_229)*distort/2'                                                w_228
+ 'delay+114*per+per2+(w_228-w_229)*distort/2+(dtf+dtr)/2+(w_229-w_228)*(dtf-dtr)/2'          w_229
+ 'delay+115*per+   (w_229-w_230)*distort/2'                                                  w_229
+ 'delay+115*per+   (w_229-w_230)*distort/2+(dtf+dtr)/2+(w_230-w_229)*(dtf-dtr)/2'            w_230
+ 'delay+115*per+per2+(w_230-w_231)*distort/2'                                                w_230
+ 'delay+115*per+per2+(w_230-w_231)*distort/2+(dtf+dtr)/2+(w_231-w_230)*(dtf-dtr)/2'          w_231
+ 'delay+116*per+   (w_231-w_232)*distort/2'                                                  w_231
+ 'delay+116*per+   (w_231-w_232)*distort/2+(dtf+dtr)/2+(w_232-w_231)*(dtf-dtr)/2'            w_232
+ 'delay+116*per+per2+(w_232-w_233)*distort/2'                                                w_232
+ 'delay+116*per+per2+(w_232-w_233)*distort/2+(dtf+dtr)/2+(w_233-w_232)*(dtf-dtr)/2'          w_233
+ 'delay+117*per+   (w_233-w_234)*distort/2'                                                  w_233
+ 'delay+117*per+   (w_233-w_234)*distort/2+(dtf+dtr)/2+(w_234-w_233)*(dtf-dtr)/2'            w_234
+ 'delay+117*per+per2+(w_234-w_235)*distort/2'                                                w_234
+ 'delay+117*per+per2+(w_234-w_235)*distort/2+(dtf+dtr)/2+(w_235-w_234)*(dtf-dtr)/2'          w_235
+ 'delay+118*per+   (w_235-w_236)*distort/2'                                                  w_235
+ 'delay+118*per+   (w_235-w_236)*distort/2+(dtf+dtr)/2+(w_236-w_235)*(dtf-dtr)/2'            w_236
+ 'delay+118*per+per2+(w_236-w_237)*distort/2'                                                w_236
+ 'delay+118*per+per2+(w_236-w_237)*distort/2+(dtf+dtr)/2+(w_237-w_236)*(dtf-dtr)/2'          w_237
+ 'delay+119*per+   (w_237-w_238)*distort/2'                                                  w_237
+ 'delay+119*per+   (w_237-w_238)*distort/2+(dtf+dtr)/2+(w_238-w_237)*(dtf-dtr)/2'            w_238
+ 'delay+119*per+per2+(w_238-w_239)*distort/2'                                                w_238
+ 'delay+119*per+per2+(w_238-w_239)*distort/2+(dtf+dtr)/2+(w_239-w_238)*(dtf-dtr)/2'          w_239
+ 'delay+120*per+   (w_239-w_240)*distort/2'                                                  w_239
+ 'delay+120*per+   (w_239-w_240)*distort/2+(dtf+dtr)/2+(w_240-w_239)*(dtf-dtr)/2'            w_240
+ 'delay+120*per+per2+(w_240-w_241)*distort/2'                                                w_240
+ 'delay+120*per+per2+(w_240-w_241)*distort/2+(dtf+dtr)/2+(w_241-w_240)*(dtf-dtr)/2'          w_241
+ 'delay+121*per+   (w_241-w_242)*distort/2'                                                  w_241
+ 'delay+121*per+   (w_241-w_242)*distort/2+(dtf+dtr)/2+(w_242-w_241)*(dtf-dtr)/2'            w_242
+ 'delay+121*per+per2+(w_242-w_243)*distort/2'                                                w_242
+ 'delay+121*per+per2+(w_242-w_243)*distort/2+(dtf+dtr)/2+(w_243-w_242)*(dtf-dtr)/2'          w_243
+ 'delay+122*per+   (w_243-w_244)*distort/2'                                                  w_243
+ 'delay+122*per+   (w_243-w_244)*distort/2+(dtf+dtr)/2+(w_244-w_243)*(dtf-dtr)/2'            w_244
+ 'delay+122*per+per2+(w_244-w_245)*distort/2'                                                w_244
+ 'delay+122*per+per2+(w_244-w_245)*distort/2+(dtf+dtr)/2+(w_245-w_244)*(dtf-dtr)/2'          w_245
+ 'delay+123*per+   (w_245-w_246)*distort/2'                                                  w_245
+ 'delay+123*per+   (w_245-w_246)*distort/2+(dtf+dtr)/2+(w_246-w_245)*(dtf-dtr)/2'            w_246
+ 'delay+123*per+per2+(w_246-w_247)*distort/2'                                                w_246
+ 'delay+123*per+per2+(w_246-w_247)*distort/2+(dtf+dtr)/2+(w_247-w_246)*(dtf-dtr)/2'          w_247
+ 'delay+124*per+   (w_247-w_248)*distort/2'                                                  w_247
+ 'delay+124*per+   (w_247-w_248)*distort/2+(dtf+dtr)/2+(w_248-w_247)*(dtf-dtr)/2'            w_248
+ 'delay+124*per+per2+(w_248-w_249)*distort/2'                                                w_248
+ 'delay+124*per+per2+(w_248-w_249)*distort/2+(dtf+dtr)/2+(w_249-w_248)*(dtf-dtr)/2'          w_249
+ 'delay+125*per+   (w_249-w_250)*distort/2'                                                  w_249
+ 'delay+125*per+   (w_249-w_250)*distort/2+(dtf+dtr)/2+(w_250-w_249)*(dtf-dtr)/2'            w_250
+ 'delay+125*per+per2+(w_250-w_251)*distort/2'                                                w_250
+ 'delay+125*per+per2+(w_250-w_251)*distort/2+(dtf+dtr)/2+(w_251-w_250)*(dtf-dtr)/2'          w_251
+ 'delay+126*per+   (w_251-w_252)*distort/2'                                                  w_251
+ 'delay+126*per+   (w_251-w_252)*distort/2+(dtf+dtr)/2+(w_252-w_251)*(dtf-dtr)/2'            w_252
+ 'delay+126*per+per2+(w_252-w_253)*distort/2'                                                w_252
+ 'delay+126*per+per2+(w_252-w_253)*distort/2+(dtf+dtr)/2+(w_253-w_252)*(dtf-dtr)/2'          w_253
+ 'delay+127*per+   (w_253-w_254)*distort/2'                                                  w_253
+ 'delay+127*per+   (w_253-w_254)*distort/2+(dtf+dtr)/2+(w_254-w_253)*(dtf-dtr)/2'            w_254
+ 'delay+127*per+per2+(w_254-w_255)*distort/2'                                                w_254
+ 'delay+127*per+per2+(w_254-w_255)*distort/2+(dtf+dtr)/2+(w_255-w_254)*(dtf-dtr)/2'          w_255
+ 'delay+128*per+   (w_255-w_256)*distort/2'                                                  w_255
+ 'delay+128*per+   (w_255-w_256)*distort/2+(dtf+dtr)/2+(w_256-w_255)*(dtf-dtr)/2'            w_256
+ 'delay+128*per+per2+(w_256-w_257)*distort/2'                                                w_256
+ 'delay+128*per+per2+(w_256-w_257)*distort/2+(dtf+dtr)/2+(w_257-w_256)*(dtf-dtr)/2'          w_257
+ 'delay+129*per+   (w_257-w_258)*distort/2'                                                  w_257
+ 'delay+129*per+   (w_257-w_258)*distort/2+(dtf+dtr)/2+(w_258-w_257)*(dtf-dtr)/2'            w_258
+ 'delay+129*per+per2+(w_258-w_259)*distort/2'                                                w_258
+ 'delay+129*per+per2+(w_258-w_259)*distort/2+(dtf+dtr)/2+(w_259-w_258)*(dtf-dtr)/2'          w_259
+ 'delay+130*per+   (w_259-w_260)*distort/2'                                                  w_259
+ 'delay+130*per+   (w_259-w_260)*distort/2+(dtf+dtr)/2+(w_260-w_259)*(dtf-dtr)/2'            w_260
+ 'delay+130*per+per2+(w_260-w_261)*distort/2'                                                w_260
+ 'delay+130*per+per2+(w_260-w_261)*distort/2+(dtf+dtr)/2+(w_261-w_260)*(dtf-dtr)/2'          w_261
+ 'delay+131*per+   (w_261-w_262)*distort/2'                                                  w_261
+ 'delay+131*per+   (w_261-w_262)*distort/2+(dtf+dtr)/2+(w_262-w_261)*(dtf-dtr)/2'            w_262
+ 'delay+131*per+per2+(w_262-w_263)*distort/2'                                                w_262
+ 'delay+131*per+per2+(w_262-w_263)*distort/2+(dtf+dtr)/2+(w_263-w_262)*(dtf-dtr)/2'          w_263
+ 'delay+132*per+   (w_263-w_264)*distort/2'                                                  w_263
+ 'delay+132*per+   (w_263-w_264)*distort/2+(dtf+dtr)/2+(w_264-w_263)*(dtf-dtr)/2'            w_264
+ 'delay+132*per+per2+(w_264-w_265)*distort/2'                                                w_264
+ 'delay+132*per+per2+(w_264-w_265)*distort/2+(dtf+dtr)/2+(w_265-w_264)*(dtf-dtr)/2'          w_265
+ 'delay+133*per+   (w_265-w_266)*distort/2'                                                  w_265
+ 'delay+133*per+   (w_265-w_266)*distort/2+(dtf+dtr)/2+(w_266-w_265)*(dtf-dtr)/2'            w_266
+ 'delay+133*per+per2+(w_266-w_267)*distort/2'                                                w_266
+ 'delay+133*per+per2+(w_266-w_267)*distort/2+(dtf+dtr)/2+(w_267-w_266)*(dtf-dtr)/2'          w_267
+ 'delay+134*per+   (w_267-w_268)*distort/2'                                                  w_267
+ 'delay+134*per+   (w_267-w_268)*distort/2+(dtf+dtr)/2+(w_268-w_267)*(dtf-dtr)/2'            w_268
+ 'delay+134*per+per2+(w_268-w_269)*distort/2'                                                w_268
+ 'delay+134*per+per2+(w_268-w_269)*distort/2+(dtf+dtr)/2+(w_269-w_268)*(dtf-dtr)/2'          w_269
+ 'delay+135*per+   (w_269-w_270)*distort/2'                                                  w_269
+ 'delay+135*per+   (w_269-w_270)*distort/2+(dtf+dtr)/2+(w_270-w_269)*(dtf-dtr)/2'            w_270
+ 'delay+135*per+per2+(w_270-w_271)*distort/2'                                                w_270
+ 'delay+135*per+per2+(w_270-w_271)*distort/2+(dtf+dtr)/2+(w_271-w_270)*(dtf-dtr)/2'          w_271
+ 'delay+136*per+   (w_271-w_272)*distort/2'                                                  w_271
+ 'delay+136*per+   (w_271-w_272)*distort/2+(dtf+dtr)/2+(w_272-w_271)*(dtf-dtr)/2'            w_272
+ 'delay+136*per+per2+(w_272-w_273)*distort/2'                                                w_272
+ 'delay+136*per+per2+(w_272-w_273)*distort/2+(dtf+dtr)/2+(w_273-w_272)*(dtf-dtr)/2'          w_273
+ 'delay+137*per+   (w_273-w_274)*distort/2'                                                  w_273
+ 'delay+137*per+   (w_273-w_274)*distort/2+(dtf+dtr)/2+(w_274-w_273)*(dtf-dtr)/2'            w_274
+ 'delay+137*per+per2+(w_274-w_275)*distort/2'                                                w_274
+ 'delay+137*per+per2+(w_274-w_275)*distort/2+(dtf+dtr)/2+(w_275-w_274)*(dtf-dtr)/2'          w_275
+ 'delay+138*per+   (w_275-w_276)*distort/2'                                                  w_275
+ 'delay+138*per+   (w_275-w_276)*distort/2+(dtf+dtr)/2+(w_276-w_275)*(dtf-dtr)/2'            w_276
+ 'delay+138*per+per2+(w_276-w_277)*distort/2'                                                w_276
+ 'delay+138*per+per2+(w_276-w_277)*distort/2+(dtf+dtr)/2+(w_277-w_276)*(dtf-dtr)/2'          w_277
+ 'delay+139*per+   (w_277-w_278)*distort/2'                                                  w_277
+ 'delay+139*per+   (w_277-w_278)*distort/2+(dtf+dtr)/2+(w_278-w_277)*(dtf-dtr)/2'            w_278
+ 'delay+139*per+per2+(w_278-w_279)*distort/2'                                                w_278
+ 'delay+139*per+per2+(w_278-w_279)*distort/2+(dtf+dtr)/2+(w_279-w_278)*(dtf-dtr)/2'          w_279
+ 'delay+140*per+   (w_279-w_280)*distort/2'                                                  w_279
+ 'delay+140*per+   (w_279-w_280)*distort/2+(dtf+dtr)/2+(w_280-w_279)*(dtf-dtr)/2'            w_280
+ 'delay+140*per+per2+(w_280-w_281)*distort/2'                                                w_280
+ 'delay+140*per+per2+(w_280-w_281)*distort/2+(dtf+dtr)/2+(w_281-w_280)*(dtf-dtr)/2'          w_281
+ 'delay+141*per+   (w_281-w_282)*distort/2'                                                  w_281
+ 'delay+141*per+   (w_281-w_282)*distort/2+(dtf+dtr)/2+(w_282-w_281)*(dtf-dtr)/2'            w_282
+ 'delay+141*per+per2+(w_282-w_283)*distort/2'                                                w_282
+ 'delay+141*per+per2+(w_282-w_283)*distort/2+(dtf+dtr)/2+(w_283-w_282)*(dtf-dtr)/2'          w_283
+ 'delay+142*per+   (w_283-w_284)*distort/2'                                                  w_283
+ 'delay+142*per+   (w_283-w_284)*distort/2+(dtf+dtr)/2+(w_284-w_283)*(dtf-dtr)/2'            w_284
+ 'delay+142*per+per2+(w_284-w_285)*distort/2'                                                w_284
+ 'delay+142*per+per2+(w_284-w_285)*distort/2+(dtf+dtr)/2+(w_285-w_284)*(dtf-dtr)/2'          w_285
+ 'delay+143*per+   (w_285-w_286)*distort/2'                                                  w_285
+ 'delay+143*per+   (w_285-w_286)*distort/2+(dtf+dtr)/2+(w_286-w_285)*(dtf-dtr)/2'            w_286
+ 'delay+143*per+per2+(w_286-w_287)*distort/2'                                                w_286
+ 'delay+143*per+per2+(w_286-w_287)*distort/2+(dtf+dtr)/2+(w_287-w_286)*(dtf-dtr)/2'          w_287
+ 'delay+144*per+   (w_287-w_288)*distort/2'                                                  w_287
+ 'delay+144*per+   (w_287-w_288)*distort/2+(dtf+dtr)/2+(w_288-w_287)*(dtf-dtr)/2'            w_288
+ 'delay+144*per+per2+(w_288-w_289)*distort/2'                                                w_288
+ 'delay+144*per+per2+(w_288-w_289)*distort/2+(dtf+dtr)/2+(w_289-w_288)*(dtf-dtr)/2'          w_289
+ 'delay+145*per+   (w_289-w_290)*distort/2'                                                  w_289
+ 'delay+145*per+   (w_289-w_290)*distort/2+(dtf+dtr)/2+(w_290-w_289)*(dtf-dtr)/2'            w_290
+ 'delay+145*per+per2+(w_290-w_291)*distort/2'                                                w_290
+ 'delay+145*per+per2+(w_290-w_291)*distort/2+(dtf+dtr)/2+(w_291-w_290)*(dtf-dtr)/2'          w_291
+ 'delay+146*per+   (w_291-w_292)*distort/2'                                                  w_291
+ 'delay+146*per+   (w_291-w_292)*distort/2+(dtf+dtr)/2+(w_292-w_291)*(dtf-dtr)/2'            w_292
+ 'delay+146*per+per2+(w_292-w_293)*distort/2'                                                w_292
+ 'delay+146*per+per2+(w_292-w_293)*distort/2+(dtf+dtr)/2+(w_293-w_292)*(dtf-dtr)/2'          w_293
+ 'delay+147*per+   (w_293-w_294)*distort/2'                                                  w_293
+ 'delay+147*per+   (w_293-w_294)*distort/2+(dtf+dtr)/2+(w_294-w_293)*(dtf-dtr)/2'            w_294
+ 'delay+147*per+per2+(w_294-w_295)*distort/2'                                                w_294
+ 'delay+147*per+per2+(w_294-w_295)*distort/2+(dtf+dtr)/2+(w_295-w_294)*(dtf-dtr)/2'          w_295
+ 'delay+148*per+   (w_295-w_296)*distort/2'                                                  w_295
+ 'delay+148*per+   (w_295-w_296)*distort/2+(dtf+dtr)/2+(w_296-w_295)*(dtf-dtr)/2'            w_296
+ 'delay+148*per+per2+(w_296-w_297)*distort/2'                                                w_296
+ 'delay+148*per+per2+(w_296-w_297)*distort/2+(dtf+dtr)/2+(w_297-w_296)*(dtf-dtr)/2'          w_297
+ 'delay+149*per+   (w_297-w_298)*distort/2'                                                  w_297
+ 'delay+149*per+   (w_297-w_298)*distort/2+(dtf+dtr)/2+(w_298-w_297)*(dtf-dtr)/2'            w_298
+ 'delay+149*per+per2+(w_298-w_299)*distort/2'                                                w_298
+ 'delay+149*per+per2+(w_298-w_299)*distort/2+(dtf+dtr)/2+(w_299-w_298)*(dtf-dtr)/2'          w_299
+ 'delay+150*per+   (w_299-w_300)*distort/2'                                                  w_299
+ 'delay+150*per+   (w_299-w_300)*distort/2+(dtf+dtr)/2+(w_300-w_299)*(dtf-dtr)/2'            w_300
+ 'delay+150*per+per2+(w_300-w_301)*distort/2'                                                w_300
+ 'delay+150*per+per2+(w_300-w_301)*distort/2+(dtf+dtr)/2+(w_301-w_300)*(dtf-dtr)/2'          w_301
+ 'delay+151*per+   (w_301-w_302)*distort/2'                                                  w_301
+ 'delay+151*per+   (w_301-w_302)*distort/2+(dtf+dtr)/2+(w_302-w_301)*(dtf-dtr)/2'            w_302
+ 'delay+151*per+per2+(w_302-w_303)*distort/2'                                                w_302
+ 'delay+151*per+per2+(w_302-w_303)*distort/2+(dtf+dtr)/2+(w_303-w_302)*(dtf-dtr)/2'          w_303
+ 'delay+152*per+   (w_303-w_304)*distort/2'                                                  w_303
+ 'delay+152*per+   (w_303-w_304)*distort/2+(dtf+dtr)/2+(w_304-w_303)*(dtf-dtr)/2'            w_304
+ 'delay+152*per+per2+(w_304-w_305)*distort/2'                                                w_304
+ 'delay+152*per+per2+(w_304-w_305)*distort/2+(dtf+dtr)/2+(w_305-w_304)*(dtf-dtr)/2'          w_305
+ 'delay+153*per+   (w_305-w_306)*distort/2'                                                  w_305
+ 'delay+153*per+   (w_305-w_306)*distort/2+(dtf+dtr)/2+(w_306-w_305)*(dtf-dtr)/2'            w_306
+ 'delay+153*per+per2+(w_306-w_307)*distort/2'                                                w_306
+ 'delay+153*per+per2+(w_306-w_307)*distort/2+(dtf+dtr)/2+(w_307-w_306)*(dtf-dtr)/2'          w_307
+ 'delay+154*per+   (w_307-w_308)*distort/2'                                                  w_307
+ 'delay+154*per+   (w_307-w_308)*distort/2+(dtf+dtr)/2+(w_308-w_307)*(dtf-dtr)/2'            w_308
+ 'delay+154*per+per2+(w_308-w_309)*distort/2'                                                w_308
+ 'delay+154*per+per2+(w_308-w_309)*distort/2+(dtf+dtr)/2+(w_309-w_308)*(dtf-dtr)/2'          w_309
+ 'delay+155*per+   (w_309-w_310)*distort/2'                                                  w_309
+ 'delay+155*per+   (w_309-w_310)*distort/2+(dtf+dtr)/2+(w_310-w_309)*(dtf-dtr)/2'            w_310
+ 'delay+155*per+per2+(w_310-w_311)*distort/2'                                                w_310
+ 'delay+155*per+per2+(w_310-w_311)*distort/2+(dtf+dtr)/2+(w_311-w_310)*(dtf-dtr)/2'          w_311
+ 'delay+156*per+   (w_311-w_312)*distort/2'                                                  w_311
+ 'delay+156*per+   (w_311-w_312)*distort/2+(dtf+dtr)/2+(w_312-w_311)*(dtf-dtr)/2'            w_312
+ 'delay+156*per+per2+(w_312-w_313)*distort/2'                                                w_312
+ 'delay+156*per+per2+(w_312-w_313)*distort/2+(dtf+dtr)/2+(w_313-w_312)*(dtf-dtr)/2'          w_313
+ 'delay+157*per+   (w_313-w_314)*distort/2'                                                  w_313
+ 'delay+157*per+   (w_313-w_314)*distort/2+(dtf+dtr)/2+(w_314-w_313)*(dtf-dtr)/2'            w_314
+ 'delay+157*per+per2+(w_314-w_315)*distort/2'                                                w_314
+ 'delay+157*per+per2+(w_314-w_315)*distort/2+(dtf+dtr)/2+(w_315-w_314)*(dtf-dtr)/2'          w_315
+ 'delay+158*per+   (w_315-w_316)*distort/2'                                                  w_315
+ 'delay+158*per+   (w_315-w_316)*distort/2+(dtf+dtr)/2+(w_316-w_315)*(dtf-dtr)/2'            w_316
+ 'delay+158*per+per2+(w_316-w_317)*distort/2'                                                w_316
+ 'delay+158*per+per2+(w_316-w_317)*distort/2+(dtf+dtr)/2+(w_317-w_316)*(dtf-dtr)/2'          w_317
+ 'delay+159*per+   (w_317-w_318)*distort/2'                                                  w_317
+ 'delay+159*per+   (w_317-w_318)*distort/2+(dtf+dtr)/2+(w_318-w_317)*(dtf-dtr)/2'            w_318
+ 'delay+159*per+per2+(w_318-w_319)*distort/2'                                                w_318
+ 'delay+159*per+per2+(w_318-w_319)*distort/2+(dtf+dtr)/2+(w_319-w_318)*(dtf-dtr)/2'          w_319
+ 'delay+160*per+   (w_319-w_320)*distort/2'                                                  w_319
+ 'delay+160*per+   (w_319-w_320)*distort/2+(dtf+dtr)/2+(w_320-w_319)*(dtf-dtr)/2'            w_320
+ 'delay+160*per+per2+(w_320-w_321)*distort/2'                                                w_320
+ 'delay+160*per+per2+(w_320-w_321)*distort/2+(dtf+dtr)/2+(w_321-w_320)*(dtf-dtr)/2'          w_321
+ 'delay+161*per+   (w_321-w_322)*distort/2'                                                  w_321
+ 'delay+161*per+   (w_321-w_322)*distort/2+(dtf+dtr)/2+(w_322-w_321)*(dtf-dtr)/2'            w_322
+ 'delay+161*per+per2+(w_322-w_323)*distort/2'                                                w_322
+ 'delay+161*per+per2+(w_322-w_323)*distort/2+(dtf+dtr)/2+(w_323-w_322)*(dtf-dtr)/2'          w_323
+ 'delay+162*per+   (w_323-w_324)*distort/2'                                                  w_323
+ 'delay+162*per+   (w_323-w_324)*distort/2+(dtf+dtr)/2+(w_324-w_323)*(dtf-dtr)/2'            w_324
+ 'delay+162*per+per2+(w_324-w_325)*distort/2'                                                w_324
+ 'delay+162*per+per2+(w_324-w_325)*distort/2+(dtf+dtr)/2+(w_325-w_324)*(dtf-dtr)/2'          w_325
+ 'delay+163*per+   (w_325-w_326)*distort/2'                                                  w_325
+ 'delay+163*per+   (w_325-w_326)*distort/2+(dtf+dtr)/2+(w_326-w_325)*(dtf-dtr)/2'            w_326
+ 'delay+163*per+per2+(w_326-w_327)*distort/2'                                                w_326
+ 'delay+163*per+per2+(w_326-w_327)*distort/2+(dtf+dtr)/2+(w_327-w_326)*(dtf-dtr)/2'          w_327
+ 'delay+164*per+   (w_327-w_328)*distort/2'                                                  w_327
+ 'delay+164*per+   (w_327-w_328)*distort/2+(dtf+dtr)/2+(w_328-w_327)*(dtf-dtr)/2'            w_328
+ 'delay+164*per+per2+(w_328-w_329)*distort/2'                                                w_328
+ 'delay+164*per+per2+(w_328-w_329)*distort/2+(dtf+dtr)/2+(w_329-w_328)*(dtf-dtr)/2'          w_329
+ 'delay+165*per+   (w_329-w_330)*distort/2'                                                  w_329
+ 'delay+165*per+   (w_329-w_330)*distort/2+(dtf+dtr)/2+(w_330-w_329)*(dtf-dtr)/2'            w_330
+ 'delay+165*per+per2+(w_330-w_331)*distort/2'                                                w_330
+ 'delay+165*per+per2+(w_330-w_331)*distort/2+(dtf+dtr)/2+(w_331-w_330)*(dtf-dtr)/2'          w_331
+ 'delay+166*per+   (w_331-w_332)*distort/2'                                                  w_331
+ 'delay+166*per+   (w_331-w_332)*distort/2+(dtf+dtr)/2+(w_332-w_331)*(dtf-dtr)/2'            w_332
+ 'delay+166*per+per2+(w_332-w_333)*distort/2'                                                w_332
+ 'delay+166*per+per2+(w_332-w_333)*distort/2+(dtf+dtr)/2+(w_333-w_332)*(dtf-dtr)/2'          w_333
+ 'delay+167*per+   (w_333-w_334)*distort/2'                                                  w_333
+ 'delay+167*per+   (w_333-w_334)*distort/2+(dtf+dtr)/2+(w_334-w_333)*(dtf-dtr)/2'            w_334
+ 'delay+167*per+per2+(w_334-w_335)*distort/2'                                                w_334
+ 'delay+167*per+per2+(w_334-w_335)*distort/2+(dtf+dtr)/2+(w_335-w_334)*(dtf-dtr)/2'          w_335
+ 'delay+168*per+   (w_335-w_336)*distort/2'                                                  w_335
+ 'delay+168*per+   (w_335-w_336)*distort/2+(dtf+dtr)/2+(w_336-w_335)*(dtf-dtr)/2'            w_336
+ 'delay+168*per+per2+(w_336-w_337)*distort/2'                                                w_336
+ 'delay+168*per+per2+(w_336-w_337)*distort/2+(dtf+dtr)/2+(w_337-w_336)*(dtf-dtr)/2'          w_337
+ 'delay+169*per+   (w_337-w_338)*distort/2'                                                  w_337
+ 'delay+169*per+   (w_337-w_338)*distort/2+(dtf+dtr)/2+(w_338-w_337)*(dtf-dtr)/2'            w_338
+ 'delay+169*per+per2+(w_338-w_339)*distort/2'                                                w_338
+ 'delay+169*per+per2+(w_338-w_339)*distort/2+(dtf+dtr)/2+(w_339-w_338)*(dtf-dtr)/2'          w_339
+ 'delay+170*per+   (w_339-w_340)*distort/2'                                                  w_339
+ 'delay+170*per+   (w_339-w_340)*distort/2+(dtf+dtr)/2+(w_340-w_339)*(dtf-dtr)/2'            w_340
+ 'delay+170*per+per2+(w_340-w_341)*distort/2'                                                w_340
+ 'delay+170*per+per2+(w_340-w_341)*distort/2+(dtf+dtr)/2+(w_341-w_340)*(dtf-dtr)/2'          w_341
+ 'delay+171*per+   (w_341-w_342)*distort/2'                                                  w_341
+ 'delay+171*per+   (w_341-w_342)*distort/2+(dtf+dtr)/2+(w_342-w_341)*(dtf-dtr)/2'            w_342
+ 'delay+171*per+per2+(w_342-w_343)*distort/2'                                                w_342
+ 'delay+171*per+per2+(w_342-w_343)*distort/2+(dtf+dtr)/2+(w_343-w_342)*(dtf-dtr)/2'          w_343
+ 'delay+172*per+   (w_343-w_344)*distort/2'                                                  w_343
+ 'delay+172*per+   (w_343-w_344)*distort/2+(dtf+dtr)/2+(w_344-w_343)*(dtf-dtr)/2'            w_344
+ 'delay+172*per+per2+(w_344-w_345)*distort/2'                                                w_344
+ 'delay+172*per+per2+(w_344-w_345)*distort/2+(dtf+dtr)/2+(w_345-w_344)*(dtf-dtr)/2'          w_345
+ 'delay+173*per+   (w_345-w_346)*distort/2'                                                  w_345
+ 'delay+173*per+   (w_345-w_346)*distort/2+(dtf+dtr)/2+(w_346-w_345)*(dtf-dtr)/2'            w_346
+ 'delay+173*per+per2+(w_346-w_347)*distort/2'                                                w_346
+ 'delay+173*per+per2+(w_346-w_347)*distort/2+(dtf+dtr)/2+(w_347-w_346)*(dtf-dtr)/2'          w_347
+ 'delay+174*per+   (w_347-w_348)*distort/2'                                                  w_347
+ 'delay+174*per+   (w_347-w_348)*distort/2+(dtf+dtr)/2+(w_348-w_347)*(dtf-dtr)/2'            w_348
+ 'delay+174*per+per2+(w_348-w_349)*distort/2'                                                w_348
+ 'delay+174*per+per2+(w_348-w_349)*distort/2+(dtf+dtr)/2+(w_349-w_348)*(dtf-dtr)/2'          w_349
+ 'delay+175*per+   (w_349-w_350)*distort/2'                                                  w_349
+ 'delay+175*per+   (w_349-w_350)*distort/2+(dtf+dtr)/2+(w_350-w_349)*(dtf-dtr)/2'            w_350
+ 'delay+175*per+per2+(w_350-w_351)*distort/2'                                                w_350
+ 'delay+175*per+per2+(w_350-w_351)*distort/2+(dtf+dtr)/2+(w_351-w_350)*(dtf-dtr)/2'          w_351
+ 'delay+176*per+   (w_351-w_352)*distort/2'                                                  w_351
+ 'delay+176*per+   (w_351-w_352)*distort/2+(dtf+dtr)/2+(w_352-w_351)*(dtf-dtr)/2'            w_352
+ 'delay+176*per+per2+(w_352-w_353)*distort/2'                                                w_352
+ 'delay+176*per+per2+(w_352-w_353)*distort/2+(dtf+dtr)/2+(w_353-w_352)*(dtf-dtr)/2'          w_353
+ 'delay+177*per+   (w_353-w_354)*distort/2'                                                  w_353
+ 'delay+177*per+   (w_353-w_354)*distort/2+(dtf+dtr)/2+(w_354-w_353)*(dtf-dtr)/2'            w_354
+ 'delay+177*per+per2+(w_354-w_355)*distort/2'                                                w_354
+ 'delay+177*per+per2+(w_354-w_355)*distort/2+(dtf+dtr)/2+(w_355-w_354)*(dtf-dtr)/2'          w_355
+ 'delay+178*per+   (w_355-w_356)*distort/2'                                                  w_355
+ 'delay+178*per+   (w_355-w_356)*distort/2+(dtf+dtr)/2+(w_356-w_355)*(dtf-dtr)/2'            w_356
+ 'delay+178*per+per2+(w_356-w_357)*distort/2'                                                w_356
+ 'delay+178*per+per2+(w_356-w_357)*distort/2+(dtf+dtr)/2+(w_357-w_356)*(dtf-dtr)/2'          w_357
+ 'delay+179*per+   (w_357-w_358)*distort/2'                                                  w_357
+ 'delay+179*per+   (w_357-w_358)*distort/2+(dtf+dtr)/2+(w_358-w_357)*(dtf-dtr)/2'            w_358
+ 'delay+179*per+per2+(w_358-w_359)*distort/2'                                                w_358
+ 'delay+179*per+per2+(w_358-w_359)*distort/2+(dtf+dtr)/2+(w_359-w_358)*(dtf-dtr)/2'          w_359
+ 'delay+180*per+   (w_359-w_360)*distort/2'                                                  w_359
+ 'delay+180*per+   (w_359-w_360)*distort/2+(dtf+dtr)/2+(w_360-w_359)*(dtf-dtr)/2'            w_360
+ 'delay+180*per+per2+(w_360-w_361)*distort/2'                                                w_360
+ 'delay+180*per+per2+(w_360-w_361)*distort/2+(dtf+dtr)/2+(w_361-w_360)*(dtf-dtr)/2'          w_361
+ 'delay+181*per+   (w_361-w_362)*distort/2'                                                  w_361
+ 'delay+181*per+   (w_361-w_362)*distort/2+(dtf+dtr)/2+(w_362-w_361)*(dtf-dtr)/2'            w_362
+ 'delay+181*per+per2+(w_362-w_363)*distort/2'                                                w_362
+ 'delay+181*per+per2+(w_362-w_363)*distort/2+(dtf+dtr)/2+(w_363-w_362)*(dtf-dtr)/2'          w_363
+ 'delay+182*per+   (w_363-w_364)*distort/2'                                                  w_363
+ 'delay+182*per+   (w_363-w_364)*distort/2+(dtf+dtr)/2+(w_364-w_363)*(dtf-dtr)/2'            w_364
+ 'delay+182*per+per2+(w_364-w_365)*distort/2'                                                w_364
+ 'delay+182*per+per2+(w_364-w_365)*distort/2+(dtf+dtr)/2+(w_365-w_364)*(dtf-dtr)/2'          w_365
+ 'delay+183*per+   (w_365-w_366)*distort/2'                                                  w_365
+ 'delay+183*per+   (w_365-w_366)*distort/2+(dtf+dtr)/2+(w_366-w_365)*(dtf-dtr)/2'            w_366
+ 'delay+183*per+per2+(w_366-w_367)*distort/2'                                                w_366
+ 'delay+183*per+per2+(w_366-w_367)*distort/2+(dtf+dtr)/2+(w_367-w_366)*(dtf-dtr)/2'          w_367
+ 'delay+184*per+   (w_367-w_368)*distort/2'                                                  w_367
+ 'delay+184*per+   (w_367-w_368)*distort/2+(dtf+dtr)/2+(w_368-w_367)*(dtf-dtr)/2'            w_368
+ 'delay+184*per+per2+(w_368-w_369)*distort/2'                                                w_368
+ 'delay+184*per+per2+(w_368-w_369)*distort/2+(dtf+dtr)/2+(w_369-w_368)*(dtf-dtr)/2'          w_369
+ 'delay+185*per+   (w_369-w_370)*distort/2'                                                  w_369
+ 'delay+185*per+   (w_369-w_370)*distort/2+(dtf+dtr)/2+(w_370-w_369)*(dtf-dtr)/2'            w_370
+ 'delay+185*per+per2+(w_370-w_371)*distort/2'                                                w_370
+ 'delay+185*per+per2+(w_370-w_371)*distort/2+(dtf+dtr)/2+(w_371-w_370)*(dtf-dtr)/2'          w_371
+ 'delay+186*per+   (w_371-w_372)*distort/2'                                                  w_371
+ 'delay+186*per+   (w_371-w_372)*distort/2+(dtf+dtr)/2+(w_372-w_371)*(dtf-dtr)/2'            w_372
+ 'delay+186*per+per2+(w_372-w_373)*distort/2'                                                w_372
+ 'delay+186*per+per2+(w_372-w_373)*distort/2+(dtf+dtr)/2+(w_373-w_372)*(dtf-dtr)/2'          w_373
+ 'delay+187*per+   (w_373-w_374)*distort/2'                                                  w_373
+ 'delay+187*per+   (w_373-w_374)*distort/2+(dtf+dtr)/2+(w_374-w_373)*(dtf-dtr)/2'            w_374
+ 'delay+187*per+per2+(w_374-w_375)*distort/2'                                                w_374
+ 'delay+187*per+per2+(w_374-w_375)*distort/2+(dtf+dtr)/2+(w_375-w_374)*(dtf-dtr)/2'          w_375
+ 'delay+188*per+   (w_375-w_376)*distort/2'                                                  w_375
+ 'delay+188*per+   (w_375-w_376)*distort/2+(dtf+dtr)/2+(w_376-w_375)*(dtf-dtr)/2'            w_376
+ 'delay+188*per+per2+(w_376-w_377)*distort/2'                                                w_376
+ 'delay+188*per+per2+(w_376-w_377)*distort/2+(dtf+dtr)/2+(w_377-w_376)*(dtf-dtr)/2'          w_377
+ 'delay+189*per+   (w_377-w_378)*distort/2'                                                  w_377
+ 'delay+189*per+   (w_377-w_378)*distort/2+(dtf+dtr)/2+(w_378-w_377)*(dtf-dtr)/2'            w_378
+ 'delay+189*per+per2+(w_378-w_379)*distort/2'                                                w_378
+ 'delay+189*per+per2+(w_378-w_379)*distort/2+(dtf+dtr)/2+(w_379-w_378)*(dtf-dtr)/2'          w_379
+ 'delay+190*per+   (w_379-w_380)*distort/2'                                                  w_379
+ 'delay+190*per+   (w_379-w_380)*distort/2+(dtf+dtr)/2+(w_380-w_379)*(dtf-dtr)/2'            w_380
+ 'delay+190*per+per2+(w_380-w_381)*distort/2'                                                w_380
+ 'delay+190*per+per2+(w_380-w_381)*distort/2+(dtf+dtr)/2+(w_381-w_380)*(dtf-dtr)/2'          w_381
+ 'delay+191*per+   (w_381-w_382)*distort/2'                                                  w_381
+ 'delay+191*per+   (w_381-w_382)*distort/2+(dtf+dtr)/2+(w_382-w_381)*(dtf-dtr)/2'            w_382
+ 'delay+191*per+per2+(w_382-w_383)*distort/2'                                                w_382
+ 'delay+191*per+per2+(w_382-w_383)*distort/2+(dtf+dtr)/2+(w_383-w_382)*(dtf-dtr)/2'          w_383
+ 'delay+192*per+   (w_383-w_384)*distort/2'                                                  w_383
+ 'delay+192*per+   (w_383-w_384)*distort/2+(dtf+dtr)/2+(w_384-w_383)*(dtf-dtr)/2'            w_384
+ 'delay+192*per+per2+(w_384-w_385)*distort/2'                                                w_384
+ 'delay+192*per+per2+(w_384-w_385)*distort/2+(dtf+dtr)/2+(w_385-w_384)*(dtf-dtr)/2'          w_385
+ 'delay+193*per+   (w_385-w_386)*distort/2'                                                  w_385
+ 'delay+193*per+   (w_385-w_386)*distort/2+(dtf+dtr)/2+(w_386-w_385)*(dtf-dtr)/2'            w_386
+ 'delay+193*per+per2+(w_386-w_387)*distort/2'                                                w_386
+ 'delay+193*per+per2+(w_386-w_387)*distort/2+(dtf+dtr)/2+(w_387-w_386)*(dtf-dtr)/2'          w_387
+ 'delay+194*per+   (w_387-w_388)*distort/2'                                                  w_387
+ 'delay+194*per+   (w_387-w_388)*distort/2+(dtf+dtr)/2+(w_388-w_387)*(dtf-dtr)/2'            w_388
+ 'delay+194*per+per2+(w_388-w_389)*distort/2'                                                w_388
+ 'delay+194*per+per2+(w_388-w_389)*distort/2+(dtf+dtr)/2+(w_389-w_388)*(dtf-dtr)/2'          w_389
+ 'delay+195*per+   (w_389-w_390)*distort/2'                                                  w_389
+ 'delay+195*per+   (w_389-w_390)*distort/2+(dtf+dtr)/2+(w_390-w_389)*(dtf-dtr)/2'            w_390
+ 'delay+195*per+per2+(w_390-w_391)*distort/2'                                                w_390
+ 'delay+195*per+per2+(w_390-w_391)*distort/2+(dtf+dtr)/2+(w_391-w_390)*(dtf-dtr)/2'          w_391
+ 'delay+196*per+   (w_391-w_392)*distort/2'                                                  w_391
+ 'delay+196*per+   (w_391-w_392)*distort/2+(dtf+dtr)/2+(w_392-w_391)*(dtf-dtr)/2'            w_392
+ 'delay+196*per+per2+(w_392-w_393)*distort/2'                                                w_392
+ 'delay+196*per+per2+(w_392-w_393)*distort/2+(dtf+dtr)/2+(w_393-w_392)*(dtf-dtr)/2'          w_393
+ 'delay+197*per+   (w_393-w_394)*distort/2'                                                  w_393
+ 'delay+197*per+   (w_393-w_394)*distort/2+(dtf+dtr)/2+(w_394-w_393)*(dtf-dtr)/2'            w_394
+ 'delay+197*per+per2+(w_394-w_395)*distort/2'                                                w_394
+ 'delay+197*per+per2+(w_394-w_395)*distort/2+(dtf+dtr)/2+(w_395-w_394)*(dtf-dtr)/2'          w_395
+ 'delay+198*per+   (w_395-w_396)*distort/2'                                                  w_395
+ 'delay+198*per+   (w_395-w_396)*distort/2+(dtf+dtr)/2+(w_396-w_395)*(dtf-dtr)/2'            w_396
+ 'delay+198*per+per2+(w_396-w_397)*distort/2'                                                w_396
+ 'delay+198*per+per2+(w_396-w_397)*distort/2+(dtf+dtr)/2+(w_397-w_396)*(dtf-dtr)/2'          w_397
+ 'delay+199*per+   (w_397-w_398)*distort/2'                                                  w_397
+ 'delay+199*per+   (w_397-w_398)*distort/2+(dtf+dtr)/2+(w_398-w_397)*(dtf-dtr)/2'            w_398
+ 'delay+199*per+per2+(w_398-w_399)*distort/2'                                                w_398
+ 'delay+199*per+per2+(w_398-w_399)*distort/2+(dtf+dtr)/2+(w_399-w_398)*(dtf-dtr)/2'          w_399
+ 'delay+200*per+   (w_399-w_400)*distort/2'                                                  w_399
+ 'delay+200*per+   (w_399-w_400)*distort/2+(dtf+dtr)/2+(w_400-w_399)*(dtf-dtr)/2'            w_400
+ 'delay+200*per+per2+(w_400-w_401)*distort/2'                                                w_400
+ 'delay+200*per+per2+(w_400-w_401)*distort/2+(dtf+dtr)/2+(w_401-w_400)*(dtf-dtr)/2'          w_401
+ 'delay+201*per+   (w_401-w_402)*distort/2'                                                  w_401
+ 'delay+201*per+   (w_401-w_402)*distort/2+(dtf+dtr)/2+(w_402-w_401)*(dtf-dtr)/2'            w_402
+ 'delay+201*per+per2+(w_402-w_403)*distort/2'                                                w_402
+ 'delay+201*per+per2+(w_402-w_403)*distort/2+(dtf+dtr)/2+(w_403-w_402)*(dtf-dtr)/2'          w_403
+ 'delay+202*per+   (w_403-w_404)*distort/2'                                                  w_403
+ 'delay+202*per+   (w_403-w_404)*distort/2+(dtf+dtr)/2+(w_404-w_403)*(dtf-dtr)/2'            w_404
+ 'delay+202*per+per2+(w_404-w_405)*distort/2'                                                w_404
+ 'delay+202*per+per2+(w_404-w_405)*distort/2+(dtf+dtr)/2+(w_405-w_404)*(dtf-dtr)/2'          w_405
+ 'delay+203*per+   (w_405-w_406)*distort/2'                                                  w_405
+ 'delay+203*per+   (w_405-w_406)*distort/2+(dtf+dtr)/2+(w_406-w_405)*(dtf-dtr)/2'            w_406
+ 'delay+203*per+per2+(w_406-w_407)*distort/2'                                                w_406
+ 'delay+203*per+per2+(w_406-w_407)*distort/2+(dtf+dtr)/2+(w_407-w_406)*(dtf-dtr)/2'          w_407
+ 'delay+204*per+   (w_407-w_408)*distort/2'                                                  w_407
+ 'delay+204*per+   (w_407-w_408)*distort/2+(dtf+dtr)/2+(w_408-w_407)*(dtf-dtr)/2'            w_408
+ 'delay+204*per+per2+(w_408-w_409)*distort/2'                                                w_408
+ 'delay+204*per+per2+(w_408-w_409)*distort/2+(dtf+dtr)/2+(w_409-w_408)*(dtf-dtr)/2'          w_409
+ 'delay+205*per+   (w_409-w_410)*distort/2'                                                  w_409
+ 'delay+205*per+   (w_409-w_410)*distort/2+(dtf+dtr)/2+(w_410-w_409)*(dtf-dtr)/2'            w_410
+ 'delay+205*per+per2+(w_410-w_411)*distort/2'                                                w_410
+ 'delay+205*per+per2+(w_410-w_411)*distort/2+(dtf+dtr)/2+(w_411-w_410)*(dtf-dtr)/2'          w_411
+ 'delay+206*per+   (w_411-w_412)*distort/2'                                                  w_411
+ 'delay+206*per+   (w_411-w_412)*distort/2+(dtf+dtr)/2+(w_412-w_411)*(dtf-dtr)/2'            w_412
+ 'delay+206*per+per2+(w_412-w_413)*distort/2'                                                w_412
+ 'delay+206*per+per2+(w_412-w_413)*distort/2+(dtf+dtr)/2+(w_413-w_412)*(dtf-dtr)/2'          w_413
+ 'delay+207*per+   (w_413-w_414)*distort/2'                                                  w_413
+ 'delay+207*per+   (w_413-w_414)*distort/2+(dtf+dtr)/2+(w_414-w_413)*(dtf-dtr)/2'            w_414
+ 'delay+207*per+per2+(w_414-w_415)*distort/2'                                                w_414
+ 'delay+207*per+per2+(w_414-w_415)*distort/2+(dtf+dtr)/2+(w_415-w_414)*(dtf-dtr)/2'          w_415
+ 'delay+208*per+   (w_415-w_416)*distort/2'                                                  w_415
+ 'delay+208*per+   (w_415-w_416)*distort/2+(dtf+dtr)/2+(w_416-w_415)*(dtf-dtr)/2'            w_416
+ 'delay+208*per+per2+(w_416-w_417)*distort/2'                                                w_416
+ 'delay+208*per+per2+(w_416-w_417)*distort/2+(dtf+dtr)/2+(w_417-w_416)*(dtf-dtr)/2'          w_417
+ 'delay+209*per+   (w_417-w_418)*distort/2'                                                  w_417
+ 'delay+209*per+   (w_417-w_418)*distort/2+(dtf+dtr)/2+(w_418-w_417)*(dtf-dtr)/2'            w_418
+ 'delay+209*per+per2+(w_418-w_419)*distort/2'                                                w_418
+ 'delay+209*per+per2+(w_418-w_419)*distort/2+(dtf+dtr)/2+(w_419-w_418)*(dtf-dtr)/2'          w_419
+ 'delay+210*per+   (w_419-w_420)*distort/2'                                                  w_419
+ 'delay+210*per+   (w_419-w_420)*distort/2+(dtf+dtr)/2+(w_420-w_419)*(dtf-dtr)/2'            w_420
+ 'delay+210*per+per2+(w_420-w_421)*distort/2'                                                w_420
+ 'delay+210*per+per2+(w_420-w_421)*distort/2+(dtf+dtr)/2+(w_421-w_420)*(dtf-dtr)/2'          w_421
+ 'delay+211*per+   (w_421-w_422)*distort/2'                                                  w_421
+ 'delay+211*per+   (w_421-w_422)*distort/2+(dtf+dtr)/2+(w_422-w_421)*(dtf-dtr)/2'            w_422
+ 'delay+211*per+per2+(w_422-w_423)*distort/2'                                                w_422
+ 'delay+211*per+per2+(w_422-w_423)*distort/2+(dtf+dtr)/2+(w_423-w_422)*(dtf-dtr)/2'          w_423
+ 'delay+212*per+   (w_423-w_424)*distort/2'                                                  w_423
+ 'delay+212*per+   (w_423-w_424)*distort/2+(dtf+dtr)/2+(w_424-w_423)*(dtf-dtr)/2'            w_424
+ 'delay+212*per+per2+(w_424-w_425)*distort/2'                                                w_424
+ 'delay+212*per+per2+(w_424-w_425)*distort/2+(dtf+dtr)/2+(w_425-w_424)*(dtf-dtr)/2'          w_425
+ 'delay+213*per+   (w_425-w_426)*distort/2'                                                  w_425
+ 'delay+213*per+   (w_425-w_426)*distort/2+(dtf+dtr)/2+(w_426-w_425)*(dtf-dtr)/2'            w_426
+ 'delay+213*per+per2+(w_426-w_427)*distort/2'                                                w_426
+ 'delay+213*per+per2+(w_426-w_427)*distort/2+(dtf+dtr)/2+(w_427-w_426)*(dtf-dtr)/2'          w_427
+ 'delay+214*per+   (w_427-w_428)*distort/2'                                                  w_427
+ 'delay+214*per+   (w_427-w_428)*distort/2+(dtf+dtr)/2+(w_428-w_427)*(dtf-dtr)/2'            w_428
+ 'delay+214*per+per2+(w_428-w_429)*distort/2'                                                w_428
+ 'delay+214*per+per2+(w_428-w_429)*distort/2+(dtf+dtr)/2+(w_429-w_428)*(dtf-dtr)/2'          w_429
+ 'delay+215*per+   (w_429-w_430)*distort/2'                                                  w_429
+ 'delay+215*per+   (w_429-w_430)*distort/2+(dtf+dtr)/2+(w_430-w_429)*(dtf-dtr)/2'            w_430
+ 'delay+215*per+per2+(w_430-w_431)*distort/2'                                                w_430
+ 'delay+215*per+per2+(w_430-w_431)*distort/2+(dtf+dtr)/2+(w_431-w_430)*(dtf-dtr)/2'          w_431
+ 'delay+216*per+   (w_431-w_432)*distort/2'                                                  w_431
+ 'delay+216*per+   (w_431-w_432)*distort/2+(dtf+dtr)/2+(w_432-w_431)*(dtf-dtr)/2'            w_432
+ 'delay+216*per+per2+(w_432-w_433)*distort/2'                                                w_432
+ 'delay+216*per+per2+(w_432-w_433)*distort/2+(dtf+dtr)/2+(w_433-w_432)*(dtf-dtr)/2'          w_433
+ 'delay+217*per+   (w_433-w_434)*distort/2'                                                  w_433
+ 'delay+217*per+   (w_433-w_434)*distort/2+(dtf+dtr)/2+(w_434-w_433)*(dtf-dtr)/2'            w_434
+ 'delay+217*per+per2+(w_434-w_435)*distort/2'                                                w_434
+ 'delay+217*per+per2+(w_434-w_435)*distort/2+(dtf+dtr)/2+(w_435-w_434)*(dtf-dtr)/2'          w_435
+ 'delay+218*per+   (w_435-w_436)*distort/2'                                                  w_435
+ 'delay+218*per+   (w_435-w_436)*distort/2+(dtf+dtr)/2+(w_436-w_435)*(dtf-dtr)/2'            w_436
+ 'delay+218*per+per2+(w_436-w_437)*distort/2'                                                w_436
+ 'delay+218*per+per2+(w_436-w_437)*distort/2+(dtf+dtr)/2+(w_437-w_436)*(dtf-dtr)/2'          w_437
+ 'delay+219*per+   (w_437-w_438)*distort/2'                                                  w_437
+ 'delay+219*per+   (w_437-w_438)*distort/2+(dtf+dtr)/2+(w_438-w_437)*(dtf-dtr)/2'            w_438
+ 'delay+219*per+per2+(w_438-w_439)*distort/2'                                                w_438
+ 'delay+219*per+per2+(w_438-w_439)*distort/2+(dtf+dtr)/2+(w_439-w_438)*(dtf-dtr)/2'          w_439
+ 'delay+220*per+   (w_439-w_440)*distort/2'                                                  w_439
+ 'delay+220*per+   (w_439-w_440)*distort/2+(dtf+dtr)/2+(w_440-w_439)*(dtf-dtr)/2'            w_440
+ 'delay+220*per+per2+(w_440-w_441)*distort/2'                                                w_440
+ 'delay+220*per+per2+(w_440-w_441)*distort/2+(dtf+dtr)/2+(w_441-w_440)*(dtf-dtr)/2'          w_441
+ 'delay+221*per+   (w_441-w_442)*distort/2'                                                  w_441
+ 'delay+221*per+   (w_441-w_442)*distort/2+(dtf+dtr)/2+(w_442-w_441)*(dtf-dtr)/2'            w_442
+ 'delay+221*per+per2+(w_442-w_443)*distort/2'                                                w_442
+ 'delay+221*per+per2+(w_442-w_443)*distort/2+(dtf+dtr)/2+(w_443-w_442)*(dtf-dtr)/2'          w_443
+ 'delay+222*per+   (w_443-w_444)*distort/2'                                                  w_443
+ 'delay+222*per+   (w_443-w_444)*distort/2+(dtf+dtr)/2+(w_444-w_443)*(dtf-dtr)/2'            w_444
+ 'delay+222*per+per2+(w_444-w_445)*distort/2'                                                w_444
+ 'delay+222*per+per2+(w_444-w_445)*distort/2+(dtf+dtr)/2+(w_445-w_444)*(dtf-dtr)/2'          w_445
+ 'delay+223*per+   (w_445-w_446)*distort/2'                                                  w_445
+ 'delay+223*per+   (w_445-w_446)*distort/2+(dtf+dtr)/2+(w_446-w_445)*(dtf-dtr)/2'            w_446
+ 'delay+223*per+per2+(w_446-w_447)*distort/2'                                                w_446
+ 'delay+223*per+per2+(w_446-w_447)*distort/2+(dtf+dtr)/2+(w_447-w_446)*(dtf-dtr)/2'          w_447
+ 'delay+224*per+   (w_447-w_448)*distort/2'                                                  w_447
+ 'delay+224*per+   (w_447-w_448)*distort/2+(dtf+dtr)/2+(w_448-w_447)*(dtf-dtr)/2'            w_448
+ 'delay+224*per+per2+(w_448-w_449)*distort/2'                                                w_448
+ 'delay+224*per+per2+(w_448-w_449)*distort/2+(dtf+dtr)/2+(w_449-w_448)*(dtf-dtr)/2'          w_449
+ 'delay+225*per+   (w_449-w_450)*distort/2'                                                  w_449
+ 'delay+225*per+   (w_449-w_450)*distort/2+(dtf+dtr)/2+(w_450-w_449)*(dtf-dtr)/2'            w_450
+ 'delay+225*per+per2+(w_450-w_451)*distort/2'                                                w_450
+ 'delay+225*per+per2+(w_450-w_451)*distort/2+(dtf+dtr)/2+(w_451-w_450)*(dtf-dtr)/2'          w_451
+ 'delay+226*per+   (w_451-w_452)*distort/2'                                                  w_451
+ 'delay+226*per+   (w_451-w_452)*distort/2+(dtf+dtr)/2+(w_452-w_451)*(dtf-dtr)/2'            w_452
+ 'delay+226*per+per2+(w_452-w_453)*distort/2'                                                w_452
+ 'delay+226*per+per2+(w_452-w_453)*distort/2+(dtf+dtr)/2+(w_453-w_452)*(dtf-dtr)/2'          w_453
+ 'delay+227*per+   (w_453-w_454)*distort/2'                                                  w_453
+ 'delay+227*per+   (w_453-w_454)*distort/2+(dtf+dtr)/2+(w_454-w_453)*(dtf-dtr)/2'            w_454
+ 'delay+227*per+per2+(w_454-w_455)*distort/2'                                                w_454
+ 'delay+227*per+per2+(w_454-w_455)*distort/2+(dtf+dtr)/2+(w_455-w_454)*(dtf-dtr)/2'          w_455
+ 'delay+228*per+   (w_455-w_456)*distort/2'                                                  w_455
+ 'delay+228*per+   (w_455-w_456)*distort/2+(dtf+dtr)/2+(w_456-w_455)*(dtf-dtr)/2'            w_456
+ 'delay+228*per+per2+(w_456-w_457)*distort/2'                                                w_456
+ 'delay+228*per+per2+(w_456-w_457)*distort/2+(dtf+dtr)/2+(w_457-w_456)*(dtf-dtr)/2'          w_457
+ 'delay+229*per+   (w_457-w_458)*distort/2'                                                  w_457
+ 'delay+229*per+   (w_457-w_458)*distort/2+(dtf+dtr)/2+(w_458-w_457)*(dtf-dtr)/2'            w_458
+ 'delay+229*per+per2+(w_458-w_459)*distort/2'                                                w_458
+ 'delay+229*per+per2+(w_458-w_459)*distort/2+(dtf+dtr)/2+(w_459-w_458)*(dtf-dtr)/2'          w_459
+ 'delay+230*per+   (w_459-w_460)*distort/2'                                                  w_459
+ 'delay+230*per+   (w_459-w_460)*distort/2+(dtf+dtr)/2+(w_460-w_459)*(dtf-dtr)/2'            w_460
+ 'delay+230*per+per2+(w_460-w_461)*distort/2'                                                w_460
+ 'delay+230*per+per2+(w_460-w_461)*distort/2+(dtf+dtr)/2+(w_461-w_460)*(dtf-dtr)/2'          w_461
+ 'delay+231*per+   (w_461-w_462)*distort/2'                                                  w_461
+ 'delay+231*per+   (w_461-w_462)*distort/2+(dtf+dtr)/2+(w_462-w_461)*(dtf-dtr)/2'            w_462
+ 'delay+231*per+per2+(w_462-w_463)*distort/2'                                                w_462
+ 'delay+231*per+per2+(w_462-w_463)*distort/2+(dtf+dtr)/2+(w_463-w_462)*(dtf-dtr)/2'          w_463
+ 'delay+232*per+   (w_463-w_464)*distort/2'                                                  w_463
+ 'delay+232*per+   (w_463-w_464)*distort/2+(dtf+dtr)/2+(w_464-w_463)*(dtf-dtr)/2'            w_464
+ 'delay+232*per+per2+(w_464-w_465)*distort/2'                                                w_464
+ 'delay+232*per+per2+(w_464-w_465)*distort/2+(dtf+dtr)/2+(w_465-w_464)*(dtf-dtr)/2'          w_465
+ 'delay+233*per+   (w_465-w_466)*distort/2'                                                  w_465
+ 'delay+233*per+   (w_465-w_466)*distort/2+(dtf+dtr)/2+(w_466-w_465)*(dtf-dtr)/2'            w_466
+ 'delay+233*per+per2+(w_466-w_467)*distort/2'                                                w_466
+ 'delay+233*per+per2+(w_466-w_467)*distort/2+(dtf+dtr)/2+(w_467-w_466)*(dtf-dtr)/2'          w_467
+ 'delay+234*per+   (w_467-w_468)*distort/2'                                                  w_467
+ 'delay+234*per+   (w_467-w_468)*distort/2+(dtf+dtr)/2+(w_468-w_467)*(dtf-dtr)/2'            w_468
+ 'delay+234*per+per2+(w_468-w_469)*distort/2'                                                w_468
+ 'delay+234*per+per2+(w_468-w_469)*distort/2+(dtf+dtr)/2+(w_469-w_468)*(dtf-dtr)/2'          w_469
+ 'delay+235*per+   (w_469-w_470)*distort/2'                                                  w_469
+ 'delay+235*per+   (w_469-w_470)*distort/2+(dtf+dtr)/2+(w_470-w_469)*(dtf-dtr)/2'            w_470
+ 'delay+235*per+per2+(w_470-w_471)*distort/2'                                                w_470
+ 'delay+235*per+per2+(w_470-w_471)*distort/2+(dtf+dtr)/2+(w_471-w_470)*(dtf-dtr)/2'          w_471
+ 'delay+236*per+   (w_471-w_472)*distort/2'                                                  w_471
+ 'delay+236*per+   (w_471-w_472)*distort/2+(dtf+dtr)/2+(w_472-w_471)*(dtf-dtr)/2'            w_472
+ 'delay+236*per+per2+(w_472-w_473)*distort/2'                                                w_472
+ 'delay+236*per+per2+(w_472-w_473)*distort/2+(dtf+dtr)/2+(w_473-w_472)*(dtf-dtr)/2'          w_473
+ 'delay+237*per+   (w_473-w_474)*distort/2'                                                  w_473
+ 'delay+237*per+   (w_473-w_474)*distort/2+(dtf+dtr)/2+(w_474-w_473)*(dtf-dtr)/2'            w_474
+ 'delay+237*per+per2+(w_474-w_475)*distort/2'                                                w_474
+ 'delay+237*per+per2+(w_474-w_475)*distort/2+(dtf+dtr)/2+(w_475-w_474)*(dtf-dtr)/2'          w_475
+ 'delay+238*per+   (w_475-w_476)*distort/2'                                                  w_475
+ 'delay+238*per+   (w_475-w_476)*distort/2+(dtf+dtr)/2+(w_476-w_475)*(dtf-dtr)/2'            w_476
+ 'delay+238*per+per2+(w_476-w_477)*distort/2'                                                w_476
+ 'delay+238*per+per2+(w_476-w_477)*distort/2+(dtf+dtr)/2+(w_477-w_476)*(dtf-dtr)/2'          w_477
+ 'delay+239*per+   (w_477-w_478)*distort/2'                                                  w_477
+ 'delay+239*per+   (w_477-w_478)*distort/2+(dtf+dtr)/2+(w_478-w_477)*(dtf-dtr)/2'            w_478
+ 'delay+239*per+per2+(w_478-w_479)*distort/2'                                                w_478
+ 'delay+239*per+per2+(w_478-w_479)*distort/2+(dtf+dtr)/2+(w_479-w_478)*(dtf-dtr)/2'          w_479
+ 'delay+240*per+   (w_479-w_480)*distort/2'                                                  w_479
+ 'delay+240*per+   (w_479-w_480)*distort/2+(dtf+dtr)/2+(w_480-w_479)*(dtf-dtr)/2'            w_480
+ 'delay+240*per+per2+(w_480-w_481)*distort/2'                                                w_480
+ 'delay+240*per+per2+(w_480-w_481)*distort/2+(dtf+dtr)/2+(w_481-w_480)*(dtf-dtr)/2'          w_481
+ 'delay+241*per+   (w_481-w_482)*distort/2'                                                  w_481
+ 'delay+241*per+   (w_481-w_482)*distort/2+(dtf+dtr)/2+(w_482-w_481)*(dtf-dtr)/2'            w_482
+ 'delay+241*per+per2+(w_482-w_483)*distort/2'                                                w_482
+ 'delay+241*per+per2+(w_482-w_483)*distort/2+(dtf+dtr)/2+(w_483-w_482)*(dtf-dtr)/2'          w_483
+ 'delay+242*per+   (w_483-w_484)*distort/2'                                                  w_483
+ 'delay+242*per+   (w_483-w_484)*distort/2+(dtf+dtr)/2+(w_484-w_483)*(dtf-dtr)/2'            w_484
+ 'delay+242*per+per2+(w_484-w_485)*distort/2'                                                w_484
+ 'delay+242*per+per2+(w_484-w_485)*distort/2+(dtf+dtr)/2+(w_485-w_484)*(dtf-dtr)/2'          w_485
+ 'delay+243*per+   (w_485-w_486)*distort/2'                                                  w_485
+ 'delay+243*per+   (w_485-w_486)*distort/2+(dtf+dtr)/2+(w_486-w_485)*(dtf-dtr)/2'            w_486
+ 'delay+243*per+per2+(w_486-w_487)*distort/2'                                                w_486
+ 'delay+243*per+per2+(w_486-w_487)*distort/2+(dtf+dtr)/2+(w_487-w_486)*(dtf-dtr)/2'          w_487
+ 'delay+244*per+   (w_487-w_488)*distort/2'                                                  w_487
+ 'delay+244*per+   (w_487-w_488)*distort/2+(dtf+dtr)/2+(w_488-w_487)*(dtf-dtr)/2'            w_488
+ 'delay+244*per+per2+(w_488-w_489)*distort/2'                                                w_488
+ 'delay+244*per+per2+(w_488-w_489)*distort/2+(dtf+dtr)/2+(w_489-w_488)*(dtf-dtr)/2'          w_489
+ 'delay+245*per+   (w_489-w_490)*distort/2'                                                  w_489
+ 'delay+245*per+   (w_489-w_490)*distort/2+(dtf+dtr)/2+(w_490-w_489)*(dtf-dtr)/2'            w_490
+ 'delay+245*per+per2+(w_490-w_491)*distort/2'                                                w_490
+ 'delay+245*per+per2+(w_490-w_491)*distort/2+(dtf+dtr)/2+(w_491-w_490)*(dtf-dtr)/2'          w_491
+ 'delay+246*per+   (w_491-w_492)*distort/2'                                                  w_491
+ 'delay+246*per+   (w_491-w_492)*distort/2+(dtf+dtr)/2+(w_492-w_491)*(dtf-dtr)/2'            w_492
+ 'delay+246*per+per2+(w_492-w_493)*distort/2'                                                w_492
+ 'delay+246*per+per2+(w_492-w_493)*distort/2+(dtf+dtr)/2+(w_493-w_492)*(dtf-dtr)/2'          w_493
+ 'delay+247*per+   (w_493-w_494)*distort/2'                                                  w_493
+ 'delay+247*per+   (w_493-w_494)*distort/2+(dtf+dtr)/2+(w_494-w_493)*(dtf-dtr)/2'            w_494
+ 'delay+247*per+per2+(w_494-w_495)*distort/2'                                                w_494
+ 'delay+247*per+per2+(w_494-w_495)*distort/2+(dtf+dtr)/2+(w_495-w_494)*(dtf-dtr)/2'          w_495
+ 'delay+248*per+   (w_495-w_496)*distort/2'                                                  w_495
+ 'delay+248*per+   (w_495-w_496)*distort/2+(dtf+dtr)/2+(w_496-w_495)*(dtf-dtr)/2'            w_496
+ 'delay+248*per+per2+(w_496-w_497)*distort/2'                                                w_496
+ 'delay+248*per+per2+(w_496-w_497)*distort/2+(dtf+dtr)/2+(w_497-w_496)*(dtf-dtr)/2'          w_497
+ 'delay+249*per+   (w_497-w_498)*distort/2'                                                  w_497
+ 'delay+249*per+   (w_497-w_498)*distort/2+(dtf+dtr)/2+(w_498-w_497)*(dtf-dtr)/2'            w_498
+ 'delay+249*per+per2+(w_498-w_499)*distort/2'                                                w_498
+ 'delay+249*per+per2+(w_498-w_499)*distort/2+(dtf+dtr)/2+(w_499-w_498)*(dtf-dtr)/2'          w_499
+ 'delay+250*per+   (w_499-w_500)*distort/2'                                                  w_499
+ 'delay+250*per+   (w_499-w_500)*distort/2+(dtf+dtr)/2+(w_500-w_499)*(dtf-dtr)/2'            w_500
+ 'delay+250*per+per2+(w_500-w_501)*distort/2'                                                w_500
+ 'delay+250*per+per2+(w_500-w_501)*distort/2+(dtf+dtr)/2+(w_501-w_500)*(dtf-dtr)/2'          w_501
+ 'delay+251*per+   (w_501-w_502)*distort/2'                                                  w_501
+ 'delay+251*per+   (w_501-w_502)*distort/2+(dtf+dtr)/2+(w_502-w_501)*(dtf-dtr)/2'            w_502
+ 'delay+251*per+per2+(w_502-w_503)*distort/2'                                                w_502
+ 'delay+251*per+per2+(w_502-w_503)*distort/2+(dtf+dtr)/2+(w_503-w_502)*(dtf-dtr)/2'          w_503
+ 'delay+252*per+   (w_503-w_504)*distort/2'                                                  w_503
+ 'delay+252*per+   (w_503-w_504)*distort/2+(dtf+dtr)/2+(w_504-w_503)*(dtf-dtr)/2'            w_504
+ 'delay+252*per+per2+(w_504-w_505)*distort/2'                                                w_504
+ 'delay+252*per+per2+(w_504-w_505)*distort/2+(dtf+dtr)/2+(w_505-w_504)*(dtf-dtr)/2'          w_505
+ 'delay+253*per+   (w_505-w_506)*distort/2'                                                  w_505
+ 'delay+253*per+   (w_505-w_506)*distort/2+(dtf+dtr)/2+(w_506-w_505)*(dtf-dtr)/2'            w_506
+ 'delay+253*per+per2+(w_506-w_507)*distort/2'                                                w_506
+ 'delay+253*per+per2+(w_506-w_507)*distort/2+(dtf+dtr)/2+(w_507-w_506)*(dtf-dtr)/2'          w_507
+ 'delay+254*per+   (w_507-w_508)*distort/2'                                                  w_507
+ 'delay+254*per+   (w_507-w_508)*distort/2+(dtf+dtr)/2+(w_508-w_507)*(dtf-dtr)/2'            w_508
+ 'delay+254*per+per2+(w_508-w_509)*distort/2'                                                w_508
+ 'delay+254*per+per2+(w_508-w_509)*distort/2+(dtf+dtr)/2+(w_509-w_508)*(dtf-dtr)/2'          w_509
+ 'delay+255*per+   (w_509-w_510)*distort/2'                                                  w_509
+ 'delay+255*per+   (w_509-w_510)*distort/2+(dtf+dtr)/2+(w_510-w_509)*(dtf-dtr)/2'            w_510
+ 'delay+255*per+per2+(w_510-w_511)*distort/2'                                                w_510
+ 'delay+255*per+per2+(w_510-w_511)*distort/2+(dtf+dtr)/2+(w_511-w_510)*(dtf-dtr)/2'          w_511
+ 'delay+256*per+   (w_511-w_512)*distort/2'                                                  w_511
+ 'delay+256*per+   (w_511-w_512)*distort/2+(dtf+dtr)/2+(w_512-w_511)*(dtf-dtr)/2'            w_512
+ 'delay+256*per+per2+(w_512-w_513)*distort/2'                                                w_512
+ 'delay+256*per+per2+(w_512-w_513)*distort/2+(dtf+dtr)/2+(w_513-w_512)*(dtf-dtr)/2'          w_513
+ 'delay+257*per+   (w_513-w_514)*distort/2'                                                  w_513
+ 'delay+257*per+   (w_513-w_514)*distort/2+(dtf+dtr)/2+(w_514-w_513)*(dtf-dtr)/2'            w_514
+ 'delay+257*per+per2+(w_514-w_515)*distort/2'                                                w_514
+ 'delay+257*per+per2+(w_514-w_515)*distort/2+(dtf+dtr)/2+(w_515-w_514)*(dtf-dtr)/2'          w_515
+ 'delay+258*per+   (w_515-w_516)*distort/2'                                                  w_515
+ 'delay+258*per+   (w_515-w_516)*distort/2+(dtf+dtr)/2+(w_516-w_515)*(dtf-dtr)/2'            w_516
+ 'delay+258*per+per2+(w_516-w_517)*distort/2'                                                w_516
+ 'delay+258*per+per2+(w_516-w_517)*distort/2+(dtf+dtr)/2+(w_517-w_516)*(dtf-dtr)/2'          w_517
+ 'delay+259*per+   (w_517-w_518)*distort/2'                                                  w_517
+ 'delay+259*per+   (w_517-w_518)*distort/2+(dtf+dtr)/2+(w_518-w_517)*(dtf-dtr)/2'            w_518
+ 'delay+259*per+per2+(w_518-w_519)*distort/2'                                                w_518
+ 'delay+259*per+per2+(w_518-w_519)*distort/2+(dtf+dtr)/2+(w_519-w_518)*(dtf-dtr)/2'          w_519
+ 'delay+260*per+   (w_519-w_520)*distort/2'                                                  w_519
+ 'delay+260*per+   (w_519-w_520)*distort/2+(dtf+dtr)/2+(w_520-w_519)*(dtf-dtr)/2'            w_520
+ 'delay+260*per+per2+(w_520-w_521)*distort/2'                                                w_520
+ 'delay+260*per+per2+(w_520-w_521)*distort/2+(dtf+dtr)/2+(w_521-w_520)*(dtf-dtr)/2'          w_521
+ 'delay+261*per+   (w_521-w_522)*distort/2'                                                  w_521
+ 'delay+261*per+   (w_521-w_522)*distort/2+(dtf+dtr)/2+(w_522-w_521)*(dtf-dtr)/2'            w_522
+ 'delay+261*per+per2+(w_522-w_523)*distort/2'                                                w_522
+ 'delay+261*per+per2+(w_522-w_523)*distort/2+(dtf+dtr)/2+(w_523-w_522)*(dtf-dtr)/2'          w_523
+ 'delay+262*per+   (w_523-w_524)*distort/2'                                                  w_523
+ 'delay+262*per+   (w_523-w_524)*distort/2+(dtf+dtr)/2+(w_524-w_523)*(dtf-dtr)/2'            w_524
+ 'delay+262*per+per2+(w_524-w_525)*distort/2'                                                w_524
+ 'delay+262*per+per2+(w_524-w_525)*distort/2+(dtf+dtr)/2+(w_525-w_524)*(dtf-dtr)/2'          w_525
+ 'delay+263*per+   (w_525-w_526)*distort/2'                                                  w_525
+ 'delay+263*per+   (w_525-w_526)*distort/2+(dtf+dtr)/2+(w_526-w_525)*(dtf-dtr)/2'            w_526
+ 'delay+263*per+per2+(w_526-w_527)*distort/2'                                                w_526
+ 'delay+263*per+per2+(w_526-w_527)*distort/2+(dtf+dtr)/2+(w_527-w_526)*(dtf-dtr)/2'          w_527
+ 'delay+264*per+   (w_527-w_528)*distort/2'                                                  w_527
+ 'delay+264*per+   (w_527-w_528)*distort/2+(dtf+dtr)/2+(w_528-w_527)*(dtf-dtr)/2'            w_528
+ 'delay+264*per+per2+(w_528-w_529)*distort/2'                                                w_528
+ 'delay+264*per+per2+(w_528-w_529)*distort/2+(dtf+dtr)/2+(w_529-w_528)*(dtf-dtr)/2'          w_529
+ 'delay+265*per+   (w_529-w_530)*distort/2'                                                  w_529
+ 'delay+265*per+   (w_529-w_530)*distort/2+(dtf+dtr)/2+(w_530-w_529)*(dtf-dtr)/2'            w_530
+ 'delay+265*per+per2+(w_530-w_531)*distort/2'                                                w_530
+ 'delay+265*per+per2+(w_530-w_531)*distort/2+(dtf+dtr)/2+(w_531-w_530)*(dtf-dtr)/2'          w_531
+ 'delay+266*per+   (w_531-w_532)*distort/2'                                                  w_531
+ 'delay+266*per+   (w_531-w_532)*distort/2+(dtf+dtr)/2+(w_532-w_531)*(dtf-dtr)/2'            w_532
+ 'delay+266*per+per2+(w_532-w_533)*distort/2'                                                w_532
+ 'delay+266*per+per2+(w_532-w_533)*distort/2+(dtf+dtr)/2+(w_533-w_532)*(dtf-dtr)/2'          w_533
+ 'delay+267*per+   (w_533-w_534)*distort/2'                                                  w_533
+ 'delay+267*per+   (w_533-w_534)*distort/2+(dtf+dtr)/2+(w_534-w_533)*(dtf-dtr)/2'            w_534
+ 'delay+267*per+per2+(w_534-w_535)*distort/2'                                                w_534
+ 'delay+267*per+per2+(w_534-w_535)*distort/2+(dtf+dtr)/2+(w_535-w_534)*(dtf-dtr)/2'          w_535
+ 'delay+268*per+   (w_535-w_536)*distort/2'                                                  w_535
+ 'delay+268*per+   (w_535-w_536)*distort/2+(dtf+dtr)/2+(w_536-w_535)*(dtf-dtr)/2'            w_536
+ 'delay+268*per+per2+(w_536-w_537)*distort/2'                                                w_536
+ 'delay+268*per+per2+(w_536-w_537)*distort/2+(dtf+dtr)/2+(w_537-w_536)*(dtf-dtr)/2'          w_537
+ 'delay+269*per+   (w_537-w_538)*distort/2'                                                  w_537
+ 'delay+269*per+   (w_537-w_538)*distort/2+(dtf+dtr)/2+(w_538-w_537)*(dtf-dtr)/2'            w_538
+ 'delay+269*per+per2+(w_538-w_539)*distort/2'                                                w_538
+ 'delay+269*per+per2+(w_538-w_539)*distort/2+(dtf+dtr)/2+(w_539-w_538)*(dtf-dtr)/2'          w_539
+ 'delay+270*per+   (w_539-w_540)*distort/2'                                                  w_539
+ 'delay+270*per+   (w_539-w_540)*distort/2+(dtf+dtr)/2+(w_540-w_539)*(dtf-dtr)/2'            w_540
+ 'delay+270*per+per2+(w_540-w_541)*distort/2'                                                w_540
+ 'delay+270*per+per2+(w_540-w_541)*distort/2+(dtf+dtr)/2+(w_541-w_540)*(dtf-dtr)/2'          w_541
+ 'delay+271*per+   (w_541-w_542)*distort/2'                                                  w_541
+ 'delay+271*per+   (w_541-w_542)*distort/2+(dtf+dtr)/2+(w_542-w_541)*(dtf-dtr)/2'            w_542
+ 'delay+271*per+per2+(w_542-w_543)*distort/2'                                                w_542
+ 'delay+271*per+per2+(w_542-w_543)*distort/2+(dtf+dtr)/2+(w_543-w_542)*(dtf-dtr)/2'          w_543
+ 'delay+272*per+   (w_543-w_544)*distort/2'                                                  w_543
+ 'delay+272*per+   (w_543-w_544)*distort/2+(dtf+dtr)/2+(w_544-w_543)*(dtf-dtr)/2'            w_544
+ 'delay+272*per+per2+(w_544-w_545)*distort/2'                                                w_544
+ 'delay+272*per+per2+(w_544-w_545)*distort/2+(dtf+dtr)/2+(w_545-w_544)*(dtf-dtr)/2'          w_545
+ 'delay+273*per+   (w_545-w_546)*distort/2'                                                  w_545
+ 'delay+273*per+   (w_545-w_546)*distort/2+(dtf+dtr)/2+(w_546-w_545)*(dtf-dtr)/2'            w_546
+ 'delay+273*per+per2+(w_546-w_547)*distort/2'                                                w_546
+ 'delay+273*per+per2+(w_546-w_547)*distort/2+(dtf+dtr)/2+(w_547-w_546)*(dtf-dtr)/2'          w_547
+ 'delay+274*per+   (w_547-w_548)*distort/2'                                                  w_547
+ 'delay+274*per+   (w_547-w_548)*distort/2+(dtf+dtr)/2+(w_548-w_547)*(dtf-dtr)/2'            w_548
+ 'delay+274*per+per2+(w_548-w_549)*distort/2'                                                w_548
+ 'delay+274*per+per2+(w_548-w_549)*distort/2+(dtf+dtr)/2+(w_549-w_548)*(dtf-dtr)/2'          w_549
+ 'delay+275*per+   (w_549-w_550)*distort/2'                                                  w_549
+ 'delay+275*per+   (w_549-w_550)*distort/2+(dtf+dtr)/2+(w_550-w_549)*(dtf-dtr)/2'            w_550
+ 'delay+275*per+per2+(w_550-w_551)*distort/2'                                                w_550
+ 'delay+275*per+per2+(w_550-w_551)*distort/2+(dtf+dtr)/2+(w_551-w_550)*(dtf-dtr)/2'          w_551
+ 'delay+276*per+   (w_551-w_552)*distort/2'                                                  w_551
+ 'delay+276*per+   (w_551-w_552)*distort/2+(dtf+dtr)/2+(w_552-w_551)*(dtf-dtr)/2'            w_552
+ 'delay+276*per+per2+(w_552-w_553)*distort/2'                                                w_552
+ 'delay+276*per+per2+(w_552-w_553)*distort/2+(dtf+dtr)/2+(w_553-w_552)*(dtf-dtr)/2'          w_553
+ 'delay+277*per+   (w_553-w_554)*distort/2'                                                  w_553
+ 'delay+277*per+   (w_553-w_554)*distort/2+(dtf+dtr)/2+(w_554-w_553)*(dtf-dtr)/2'            w_554
+ 'delay+277*per+per2+(w_554-w_555)*distort/2'                                                w_554
+ 'delay+277*per+per2+(w_554-w_555)*distort/2+(dtf+dtr)/2+(w_555-w_554)*(dtf-dtr)/2'          w_555
+ 'delay+278*per+   (w_555-w_556)*distort/2'                                                  w_555
+ 'delay+278*per+   (w_555-w_556)*distort/2+(dtf+dtr)/2+(w_556-w_555)*(dtf-dtr)/2'            w_556
+ 'delay+278*per+per2+(w_556-w_557)*distort/2'                                                w_556
+ 'delay+278*per+per2+(w_556-w_557)*distort/2+(dtf+dtr)/2+(w_557-w_556)*(dtf-dtr)/2'          w_557
+ 'delay+279*per+   (w_557-w_558)*distort/2'                                                  w_557
+ 'delay+279*per+   (w_557-w_558)*distort/2+(dtf+dtr)/2+(w_558-w_557)*(dtf-dtr)/2'            w_558
+ 'delay+279*per+per2+(w_558-w_559)*distort/2'                                                w_558
+ 'delay+279*per+per2+(w_558-w_559)*distort/2+(dtf+dtr)/2+(w_559-w_558)*(dtf-dtr)/2'          w_559
+ 'delay+280*per+   (w_559-w_560)*distort/2'                                                  w_559
+ 'delay+280*per+   (w_559-w_560)*distort/2+(dtf+dtr)/2+(w_560-w_559)*(dtf-dtr)/2'            w_560
+ 'delay+280*per+per2+(w_560-w_561)*distort/2'                                                w_560
+ 'delay+280*per+per2+(w_560-w_561)*distort/2+(dtf+dtr)/2+(w_561-w_560)*(dtf-dtr)/2'          w_561
+ 'delay+281*per+   (w_561-w_562)*distort/2'                                                  w_561
+ 'delay+281*per+   (w_561-w_562)*distort/2+(dtf+dtr)/2+(w_562-w_561)*(dtf-dtr)/2'            w_562
+ 'delay+281*per+per2+(w_562-w_563)*distort/2'                                                w_562
+ 'delay+281*per+per2+(w_562-w_563)*distort/2+(dtf+dtr)/2+(w_563-w_562)*(dtf-dtr)/2'          w_563
+ 'delay+282*per+   (w_563-w_564)*distort/2'                                                  w_563
+ 'delay+282*per+   (w_563-w_564)*distort/2+(dtf+dtr)/2+(w_564-w_563)*(dtf-dtr)/2'            w_564
+ 'delay+282*per+per2+(w_564-w_565)*distort/2'                                                w_564
+ 'delay+282*per+per2+(w_564-w_565)*distort/2+(dtf+dtr)/2+(w_565-w_564)*(dtf-dtr)/2'          w_565
+ 'delay+283*per+   (w_565-w_566)*distort/2'                                                  w_565
+ 'delay+283*per+   (w_565-w_566)*distort/2+(dtf+dtr)/2+(w_566-w_565)*(dtf-dtr)/2'            w_566
+ 'delay+283*per+per2+(w_566-w_567)*distort/2'                                                w_566
+ 'delay+283*per+per2+(w_566-w_567)*distort/2+(dtf+dtr)/2+(w_567-w_566)*(dtf-dtr)/2'          w_567
+ 'delay+284*per+   (w_567-w_568)*distort/2'                                                  w_567
+ 'delay+284*per+   (w_567-w_568)*distort/2+(dtf+dtr)/2+(w_568-w_567)*(dtf-dtr)/2'            w_568
+ 'delay+284*per+per2+(w_568-w_569)*distort/2'                                                w_568
+ 'delay+284*per+per2+(w_568-w_569)*distort/2+(dtf+dtr)/2+(w_569-w_568)*(dtf-dtr)/2'          w_569
+ 'delay+285*per+   (w_569-w_570)*distort/2'                                                  w_569
+ 'delay+285*per+   (w_569-w_570)*distort/2+(dtf+dtr)/2+(w_570-w_569)*(dtf-dtr)/2'            w_570
+ 'delay+285*per+per2+(w_570-w_571)*distort/2'                                                w_570
+ 'delay+285*per+per2+(w_570-w_571)*distort/2+(dtf+dtr)/2+(w_571-w_570)*(dtf-dtr)/2'          w_571
+ 'delay+286*per+   (w_571-w_572)*distort/2'                                                  w_571
+ 'delay+286*per+   (w_571-w_572)*distort/2+(dtf+dtr)/2+(w_572-w_571)*(dtf-dtr)/2'            w_572
+ 'delay+286*per+per2+(w_572-w_573)*distort/2'                                                w_572
+ 'delay+286*per+per2+(w_572-w_573)*distort/2+(dtf+dtr)/2+(w_573-w_572)*(dtf-dtr)/2'          w_573
+ 'delay+287*per+   (w_573-w_574)*distort/2'                                                  w_573
+ 'delay+287*per+   (w_573-w_574)*distort/2+(dtf+dtr)/2+(w_574-w_573)*(dtf-dtr)/2'            w_574
+ 'delay+287*per+per2+(w_574-w_575)*distort/2'                                                w_574
+ 'delay+287*per+per2+(w_574-w_575)*distort/2+(dtf+dtr)/2+(w_575-w_574)*(dtf-dtr)/2'          w_575
+ 'delay+288*per+   (w_575-w_576)*distort/2'                                                  w_575
+ 'delay+288*per+   (w_575-w_576)*distort/2+(dtf+dtr)/2+(w_576-w_575)*(dtf-dtr)/2'            w_576
+ 'delay+288*per+per2+(w_576-w_577)*distort/2'                                                w_576
+ 'delay+288*per+per2+(w_576-w_577)*distort/2+(dtf+dtr)/2+(w_577-w_576)*(dtf-dtr)/2'          w_577
+ 'delay+289*per+   (w_577-w_578)*distort/2'                                                  w_577
+ 'delay+289*per+   (w_577-w_578)*distort/2+(dtf+dtr)/2+(w_578-w_577)*(dtf-dtr)/2'            w_578
+ 'delay+289*per+per2+(w_578-w_579)*distort/2'                                                w_578
+ 'delay+289*per+per2+(w_578-w_579)*distort/2+(dtf+dtr)/2+(w_579-w_578)*(dtf-dtr)/2'          w_579
+ 'delay+290*per+   (w_579-w_580)*distort/2'                                                  w_579
+ 'delay+290*per+   (w_579-w_580)*distort/2+(dtf+dtr)/2+(w_580-w_579)*(dtf-dtr)/2'            w_580
+ 'delay+290*per+per2+(w_580-w_581)*distort/2'                                                w_580
+ 'delay+290*per+per2+(w_580-w_581)*distort/2+(dtf+dtr)/2+(w_581-w_580)*(dtf-dtr)/2'          w_581
+ 'delay+291*per+   (w_581-w_582)*distort/2'                                                  w_581
+ 'delay+291*per+   (w_581-w_582)*distort/2+(dtf+dtr)/2+(w_582-w_581)*(dtf-dtr)/2'            w_582
+ 'delay+291*per+per2+(w_582-w_583)*distort/2'                                                w_582
+ 'delay+291*per+per2+(w_582-w_583)*distort/2+(dtf+dtr)/2+(w_583-w_582)*(dtf-dtr)/2'          w_583
+ 'delay+292*per+   (w_583-w_584)*distort/2'                                                  w_583
+ 'delay+292*per+   (w_583-w_584)*distort/2+(dtf+dtr)/2+(w_584-w_583)*(dtf-dtr)/2'            w_584
+ 'delay+292*per+per2+(w_584-w_585)*distort/2'                                                w_584
+ 'delay+292*per+per2+(w_584-w_585)*distort/2+(dtf+dtr)/2+(w_585-w_584)*(dtf-dtr)/2'          w_585
+ 'delay+293*per+   (w_585-w_586)*distort/2'                                                  w_585
+ 'delay+293*per+   (w_585-w_586)*distort/2+(dtf+dtr)/2+(w_586-w_585)*(dtf-dtr)/2'            w_586
+ 'delay+293*per+per2+(w_586-w_587)*distort/2'                                                w_586
+ 'delay+293*per+per2+(w_586-w_587)*distort/2+(dtf+dtr)/2+(w_587-w_586)*(dtf-dtr)/2'          w_587
+ 'delay+294*per+   (w_587-w_588)*distort/2'                                                  w_587
+ 'delay+294*per+   (w_587-w_588)*distort/2+(dtf+dtr)/2+(w_588-w_587)*(dtf-dtr)/2'            w_588
+ 'delay+294*per+per2+(w_588-w_589)*distort/2'                                                w_588
+ 'delay+294*per+per2+(w_588-w_589)*distort/2+(dtf+dtr)/2+(w_589-w_588)*(dtf-dtr)/2'          w_589
+ 'delay+295*per+   (w_589-w_590)*distort/2'                                                  w_589
+ 'delay+295*per+   (w_589-w_590)*distort/2+(dtf+dtr)/2+(w_590-w_589)*(dtf-dtr)/2'            w_590
+ 'delay+295*per+per2+(w_590-w_591)*distort/2'                                                w_590
+ 'delay+295*per+per2+(w_590-w_591)*distort/2+(dtf+dtr)/2+(w_591-w_590)*(dtf-dtr)/2'          w_591
+ 'delay+296*per+   (w_591-w_592)*distort/2'                                                  w_591
+ 'delay+296*per+   (w_591-w_592)*distort/2+(dtf+dtr)/2+(w_592-w_591)*(dtf-dtr)/2'            w_592
+ 'delay+296*per+per2+(w_592-w_593)*distort/2'                                                w_592
+ 'delay+296*per+per2+(w_592-w_593)*distort/2+(dtf+dtr)/2+(w_593-w_592)*(dtf-dtr)/2'          w_593
+ 'delay+297*per+   (w_593-w_594)*distort/2'                                                  w_593
+ 'delay+297*per+   (w_593-w_594)*distort/2+(dtf+dtr)/2+(w_594-w_593)*(dtf-dtr)/2'            w_594
+ 'delay+297*per+per2+(w_594-w_595)*distort/2'                                                w_594
+ 'delay+297*per+per2+(w_594-w_595)*distort/2+(dtf+dtr)/2+(w_595-w_594)*(dtf-dtr)/2'          w_595
+ 'delay+298*per+   (w_595-w_596)*distort/2'                                                  w_595
+ 'delay+298*per+   (w_595-w_596)*distort/2+(dtf+dtr)/2+(w_596-w_595)*(dtf-dtr)/2'            w_596
+ 'delay+298*per+per2+(w_596-w_597)*distort/2'                                                w_596
+ 'delay+298*per+per2+(w_596-w_597)*distort/2+(dtf+dtr)/2+(w_597-w_596)*(dtf-dtr)/2'          w_597
+ 'delay+299*per+   (w_597-w_598)*distort/2'                                                  w_597
+ 'delay+299*per+   (w_597-w_598)*distort/2+(dtf+dtr)/2+(w_598-w_597)*(dtf-dtr)/2'            w_598
+ 'delay+299*per+per2+(w_598-w_599)*distort/2'                                                w_598
+ 'delay+299*per+per2+(w_598-w_599)*distort/2+(dtf+dtr)/2+(w_599-w_598)*(dtf-dtr)/2'          w_599
+ 'delay+300*per+   (w_599-w_600)*distort/2'                                                  w_599
+ 'delay+300*per+   (w_599-w_600)*distort/2+(dtf+dtr)/2+(w_600-w_599)*(dtf-dtr)/2'            w_600
+ 'delay+300*per+per2+(w_600-w_601)*distort/2'                                                w_600
+ 'delay+300*per+per2+(w_600-w_601)*distort/2+(dtf+dtr)/2+(w_601-w_600)*(dtf-dtr)/2'          w_601
+ 'delay+301*per+   (w_601-w_602)*distort/2'                                                  w_601
+ 'delay+301*per+   (w_601-w_602)*distort/2+(dtf+dtr)/2+(w_602-w_601)*(dtf-dtr)/2'            w_602
+ 'delay+301*per+per2+(w_602-w_603)*distort/2'                                                w_602
+ 'delay+301*per+per2+(w_602-w_603)*distort/2+(dtf+dtr)/2+(w_603-w_602)*(dtf-dtr)/2'          w_603
+ 'delay+302*per+   (w_603-w_604)*distort/2'                                                  w_603
+ 'delay+302*per+   (w_603-w_604)*distort/2+(dtf+dtr)/2+(w_604-w_603)*(dtf-dtr)/2'            w_604
+ 'delay+302*per+per2+(w_604-w_605)*distort/2'                                                w_604
+ 'delay+302*per+per2+(w_604-w_605)*distort/2+(dtf+dtr)/2+(w_605-w_604)*(dtf-dtr)/2'          w_605
+ 'delay+303*per+   (w_605-w_606)*distort/2'                                                  w_605
+ 'delay+303*per+   (w_605-w_606)*distort/2+(dtf+dtr)/2+(w_606-w_605)*(dtf-dtr)/2'            w_606
+ 'delay+303*per+per2+(w_606-w_607)*distort/2'                                                w_606
+ 'delay+303*per+per2+(w_606-w_607)*distort/2+(dtf+dtr)/2+(w_607-w_606)*(dtf-dtr)/2'          w_607
+ 'delay+304*per+   (w_607-w_608)*distort/2'                                                  w_607
+ 'delay+304*per+   (w_607-w_608)*distort/2+(dtf+dtr)/2+(w_608-w_607)*(dtf-dtr)/2'            w_608
+ 'delay+304*per+per2+(w_608-w_609)*distort/2'                                                w_608
+ 'delay+304*per+per2+(w_608-w_609)*distort/2+(dtf+dtr)/2+(w_609-w_608)*(dtf-dtr)/2'          w_609
+ 'delay+305*per+   (w_609-w_610)*distort/2'                                                  w_609
+ 'delay+305*per+   (w_609-w_610)*distort/2+(dtf+dtr)/2+(w_610-w_609)*(dtf-dtr)/2'            w_610
+ 'delay+305*per+per2+(w_610-w_611)*distort/2'                                                w_610
+ 'delay+305*per+per2+(w_610-w_611)*distort/2+(dtf+dtr)/2+(w_611-w_610)*(dtf-dtr)/2'          w_611
+ 'delay+306*per+   (w_611-w_612)*distort/2'                                                  w_611
+ 'delay+306*per+   (w_611-w_612)*distort/2+(dtf+dtr)/2+(w_612-w_611)*(dtf-dtr)/2'            w_612
+ 'delay+306*per+per2+(w_612-w_613)*distort/2'                                                w_612
+ 'delay+306*per+per2+(w_612-w_613)*distort/2+(dtf+dtr)/2+(w_613-w_612)*(dtf-dtr)/2'          w_613
+ 'delay+307*per+   (w_613-w_614)*distort/2'                                                  w_613
+ 'delay+307*per+   (w_613-w_614)*distort/2+(dtf+dtr)/2+(w_614-w_613)*(dtf-dtr)/2'            w_614
+ 'delay+307*per+per2+(w_614-w_615)*distort/2'                                                w_614
+ 'delay+307*per+per2+(w_614-w_615)*distort/2+(dtf+dtr)/2+(w_615-w_614)*(dtf-dtr)/2'          w_615
+ 'delay+308*per+   (w_615-w_616)*distort/2'                                                  w_615
+ 'delay+308*per+   (w_615-w_616)*distort/2+(dtf+dtr)/2+(w_616-w_615)*(dtf-dtr)/2'            w_616
+ 'delay+308*per+per2+(w_616-w_617)*distort/2'                                                w_616
+ 'delay+308*per+per2+(w_616-w_617)*distort/2+(dtf+dtr)/2+(w_617-w_616)*(dtf-dtr)/2'          w_617
+ 'delay+309*per+   (w_617-w_618)*distort/2'                                                  w_617
+ 'delay+309*per+   (w_617-w_618)*distort/2+(dtf+dtr)/2+(w_618-w_617)*(dtf-dtr)/2'            w_618
+ 'delay+309*per+per2+(w_618-w_619)*distort/2'                                                w_618
+ 'delay+309*per+per2+(w_618-w_619)*distort/2+(dtf+dtr)/2+(w_619-w_618)*(dtf-dtr)/2'          w_619
+ 'delay+310*per+   (w_619-w_620)*distort/2'                                                  w_619
+ 'delay+310*per+   (w_619-w_620)*distort/2+(dtf+dtr)/2+(w_620-w_619)*(dtf-dtr)/2'            w_620
+ 'delay+310*per+per2+(w_620-w_621)*distort/2'                                                w_620
+ 'delay+310*per+per2+(w_620-w_621)*distort/2+(dtf+dtr)/2+(w_621-w_620)*(dtf-dtr)/2'          w_621
+ 'delay+311*per+   (w_621-w_622)*distort/2'                                                  w_621
+ 'delay+311*per+   (w_621-w_622)*distort/2+(dtf+dtr)/2+(w_622-w_621)*(dtf-dtr)/2'            w_622
+ 'delay+311*per+per2+(w_622-w_623)*distort/2'                                                w_622
+ 'delay+311*per+per2+(w_622-w_623)*distort/2+(dtf+dtr)/2+(w_623-w_622)*(dtf-dtr)/2'          w_623
+ 'delay+312*per+   (w_623-w_624)*distort/2'                                                  w_623
+ 'delay+312*per+   (w_623-w_624)*distort/2+(dtf+dtr)/2+(w_624-w_623)*(dtf-dtr)/2'            w_624
+ 'delay+312*per+per2+(w_624-w_625)*distort/2'                                                w_624
+ 'delay+312*per+per2+(w_624-w_625)*distort/2+(dtf+dtr)/2+(w_625-w_624)*(dtf-dtr)/2'          w_625
+ 'delay+313*per+   (w_625-w_626)*distort/2'                                                  w_625
+ 'delay+313*per+   (w_625-w_626)*distort/2+(dtf+dtr)/2+(w_626-w_625)*(dtf-dtr)/2'            w_626
+ 'delay+313*per+per2+(w_626-w_627)*distort/2'                                                w_626
+ 'delay+313*per+per2+(w_626-w_627)*distort/2+(dtf+dtr)/2+(w_627-w_626)*(dtf-dtr)/2'          w_627
+ 'delay+314*per+   (w_627-w_628)*distort/2'                                                  w_627
+ 'delay+314*per+   (w_627-w_628)*distort/2+(dtf+dtr)/2+(w_628-w_627)*(dtf-dtr)/2'            w_628
+ 'delay+314*per+per2+(w_628-w_629)*distort/2'                                                w_628
+ 'delay+314*per+per2+(w_628-w_629)*distort/2+(dtf+dtr)/2+(w_629-w_628)*(dtf-dtr)/2'          w_629
+ 'delay+315*per+   (w_629-w_630)*distort/2'                                                  w_629
+ 'delay+315*per+   (w_629-w_630)*distort/2+(dtf+dtr)/2+(w_630-w_629)*(dtf-dtr)/2'            w_630
+ 'delay+315*per+per2+(w_630-w_631)*distort/2'                                                w_630
+ 'delay+315*per+per2+(w_630-w_631)*distort/2+(dtf+dtr)/2+(w_631-w_630)*(dtf-dtr)/2'          w_631
+ 'delay+316*per+   (w_631-w_632)*distort/2'                                                  w_631
+ 'delay+316*per+   (w_631-w_632)*distort/2+(dtf+dtr)/2+(w_632-w_631)*(dtf-dtr)/2'            w_632
+ 'delay+316*per+per2+(w_632-w_633)*distort/2'                                                w_632
+ 'delay+316*per+per2+(w_632-w_633)*distort/2+(dtf+dtr)/2+(w_633-w_632)*(dtf-dtr)/2'          w_633
+ 'delay+317*per+   (w_633-w_634)*distort/2'                                                  w_633
+ 'delay+317*per+   (w_633-w_634)*distort/2+(dtf+dtr)/2+(w_634-w_633)*(dtf-dtr)/2'            w_634
+ 'delay+317*per+per2+(w_634-w_635)*distort/2'                                                w_634
+ 'delay+317*per+per2+(w_634-w_635)*distort/2+(dtf+dtr)/2+(w_635-w_634)*(dtf-dtr)/2'          w_635
+ 'delay+318*per+   (w_635-w_636)*distort/2'                                                  w_635
+ 'delay+318*per+   (w_635-w_636)*distort/2+(dtf+dtr)/2+(w_636-w_635)*(dtf-dtr)/2'            w_636
+ 'delay+318*per+per2+(w_636-w_637)*distort/2'                                                w_636
+ 'delay+318*per+per2+(w_636-w_637)*distort/2+(dtf+dtr)/2+(w_637-w_636)*(dtf-dtr)/2'          w_637
+ 'delay+319*per+   (w_637-w_638)*distort/2'                                                  w_637
+ 'delay+319*per+   (w_637-w_638)*distort/2+(dtf+dtr)/2+(w_638-w_637)*(dtf-dtr)/2'            w_638
+ 'delay+319*per+per2+(w_638-w_639)*distort/2'                                                w_638
+ 'delay+319*per+per2+(w_638-w_639)*distort/2+(dtf+dtr)/2+(w_639-w_638)*(dtf-dtr)/2'          w_639
+ 'delay+320*per+   (w_639-w_640)*distort/2'                                                  w_639
+ 'delay+320*per+   (w_639-w_640)*distort/2+(dtf+dtr)/2+(w_640-w_639)*(dtf-dtr)/2'            w_640
+ 'delay+320*per+per2+(w_640-w_641)*distort/2'                                                w_640
+ 'delay+320*per+per2+(w_640-w_641)*distort/2+(dtf+dtr)/2+(w_641-w_640)*(dtf-dtr)/2'          w_641
+ 'delay+321*per+   (w_641-w_642)*distort/2'                                                  w_641
+ 'delay+321*per+   (w_641-w_642)*distort/2+(dtf+dtr)/2+(w_642-w_641)*(dtf-dtr)/2'            w_642
+ 'delay+321*per+per2+(w_642-w_643)*distort/2'                                                w_642
+ 'delay+321*per+per2+(w_642-w_643)*distort/2+(dtf+dtr)/2+(w_643-w_642)*(dtf-dtr)/2'          w_643
+ 'delay+322*per+   (w_643-w_644)*distort/2'                                                  w_643
+ 'delay+322*per+   (w_643-w_644)*distort/2+(dtf+dtr)/2+(w_644-w_643)*(dtf-dtr)/2'            w_644
+ 'delay+322*per+per2+(w_644-w_645)*distort/2'                                                w_644
+ 'delay+322*per+per2+(w_644-w_645)*distort/2+(dtf+dtr)/2+(w_645-w_644)*(dtf-dtr)/2'          w_645
+ 'delay+323*per+   (w_645-w_646)*distort/2'                                                  w_645
+ 'delay+323*per+   (w_645-w_646)*distort/2+(dtf+dtr)/2+(w_646-w_645)*(dtf-dtr)/2'            w_646
+ 'delay+323*per+per2+(w_646-w_647)*distort/2'                                                w_646
+ 'delay+323*per+per2+(w_646-w_647)*distort/2+(dtf+dtr)/2+(w_647-w_646)*(dtf-dtr)/2'          w_647
+ 'delay+324*per+   (w_647-w_648)*distort/2'                                                  w_647
+ 'delay+324*per+   (w_647-w_648)*distort/2+(dtf+dtr)/2+(w_648-w_647)*(dtf-dtr)/2'            w_648
+ 'delay+324*per+per2+(w_648-w_649)*distort/2'                                                w_648
+ 'delay+324*per+per2+(w_648-w_649)*distort/2+(dtf+dtr)/2+(w_649-w_648)*(dtf-dtr)/2'          w_649
+ 'delay+325*per+   (w_649-w_650)*distort/2'                                                  w_649
+ 'delay+325*per+   (w_649-w_650)*distort/2+(dtf+dtr)/2+(w_650-w_649)*(dtf-dtr)/2'            w_650
+ 'delay+325*per+per2+(w_650-w_651)*distort/2'                                                w_650
+ 'delay+325*per+per2+(w_650-w_651)*distort/2+(dtf+dtr)/2+(w_651-w_650)*(dtf-dtr)/2'          w_651
+ 'delay+326*per+   (w_651-w_652)*distort/2'                                                  w_651
+ 'delay+326*per+   (w_651-w_652)*distort/2+(dtf+dtr)/2+(w_652-w_651)*(dtf-dtr)/2'            w_652
+ 'delay+326*per+per2+(w_652-w_653)*distort/2'                                                w_652
+ 'delay+326*per+per2+(w_652-w_653)*distort/2+(dtf+dtr)/2+(w_653-w_652)*(dtf-dtr)/2'          w_653
+ 'delay+327*per+   (w_653-w_654)*distort/2'                                                  w_653
+ 'delay+327*per+   (w_653-w_654)*distort/2+(dtf+dtr)/2+(w_654-w_653)*(dtf-dtr)/2'            w_654
+ 'delay+327*per+per2+(w_654-w_655)*distort/2'                                                w_654
+ 'delay+327*per+per2+(w_654-w_655)*distort/2+(dtf+dtr)/2+(w_655-w_654)*(dtf-dtr)/2'          w_655
+ 'delay+328*per+   (w_655-w_656)*distort/2'                                                  w_655
+ 'delay+328*per+   (w_655-w_656)*distort/2+(dtf+dtr)/2+(w_656-w_655)*(dtf-dtr)/2'            w_656
+ 'delay+328*per+per2+(w_656-w_657)*distort/2'                                                w_656
+ 'delay+328*per+per2+(w_656-w_657)*distort/2+(dtf+dtr)/2+(w_657-w_656)*(dtf-dtr)/2'          w_657
+ 'delay+329*per+   (w_657-w_658)*distort/2'                                                  w_657
+ 'delay+329*per+   (w_657-w_658)*distort/2+(dtf+dtr)/2+(w_658-w_657)*(dtf-dtr)/2'            w_658
+ 'delay+329*per+per2+(w_658-w_659)*distort/2'                                                w_658
+ 'delay+329*per+per2+(w_658-w_659)*distort/2+(dtf+dtr)/2+(w_659-w_658)*(dtf-dtr)/2'          w_659
+ 'delay+330*per+   (w_659-w_660)*distort/2'                                                  w_659
+ 'delay+330*per+   (w_659-w_660)*distort/2+(dtf+dtr)/2+(w_660-w_659)*(dtf-dtr)/2'            w_660
+ 'delay+330*per+per2+(w_660-w_661)*distort/2'                                                w_660
+ 'delay+330*per+per2+(w_660-w_661)*distort/2+(dtf+dtr)/2+(w_661-w_660)*(dtf-dtr)/2'          w_661
+ 'delay+331*per+   (w_661-w_662)*distort/2'                                                  w_661
+ 'delay+331*per+   (w_661-w_662)*distort/2+(dtf+dtr)/2+(w_662-w_661)*(dtf-dtr)/2'            w_662
+ 'delay+331*per+per2+(w_662-w_663)*distort/2'                                                w_662
+ 'delay+331*per+per2+(w_662-w_663)*distort/2+(dtf+dtr)/2+(w_663-w_662)*(dtf-dtr)/2'          w_663
+ 'delay+332*per+   (w_663-w_664)*distort/2'                                                  w_663
+ 'delay+332*per+   (w_663-w_664)*distort/2+(dtf+dtr)/2+(w_664-w_663)*(dtf-dtr)/2'            w_664
+ 'delay+332*per+per2+(w_664-w_665)*distort/2'                                                w_664
+ 'delay+332*per+per2+(w_664-w_665)*distort/2+(dtf+dtr)/2+(w_665-w_664)*(dtf-dtr)/2'          w_665
+ 'delay+333*per+   (w_665-w_666)*distort/2'                                                  w_665
+ 'delay+333*per+   (w_665-w_666)*distort/2+(dtf+dtr)/2+(w_666-w_665)*(dtf-dtr)/2'            w_666
+ 'delay+333*per+per2+(w_666-w_667)*distort/2'                                                w_666
+ 'delay+333*per+per2+(w_666-w_667)*distort/2+(dtf+dtr)/2+(w_667-w_666)*(dtf-dtr)/2'          w_667
+ 'delay+334*per+   (w_667-w_668)*distort/2'                                                  w_667
+ 'delay+334*per+   (w_667-w_668)*distort/2+(dtf+dtr)/2+(w_668-w_667)*(dtf-dtr)/2'            w_668
+ 'delay+334*per+per2+(w_668-w_669)*distort/2'                                                w_668
+ 'delay+334*per+per2+(w_668-w_669)*distort/2+(dtf+dtr)/2+(w_669-w_668)*(dtf-dtr)/2'          w_669
+ 'delay+335*per+   (w_669-w_670)*distort/2'                                                  w_669
+ 'delay+335*per+   (w_669-w_670)*distort/2+(dtf+dtr)/2+(w_670-w_669)*(dtf-dtr)/2'            w_670
+ 'delay+335*per+per2+(w_670-w_671)*distort/2'                                                w_670
+ 'delay+335*per+per2+(w_670-w_671)*distort/2+(dtf+dtr)/2+(w_671-w_670)*(dtf-dtr)/2'          w_671
+ 'delay+336*per+   (w_671-w_672)*distort/2'                                                  w_671
+ 'delay+336*per+   (w_671-w_672)*distort/2+(dtf+dtr)/2+(w_672-w_671)*(dtf-dtr)/2'            w_672
+ 'delay+336*per+per2+(w_672-w_673)*distort/2'                                                w_672
+ 'delay+336*per+per2+(w_672-w_673)*distort/2+(dtf+dtr)/2+(w_673-w_672)*(dtf-dtr)/2'          w_673
+ 'delay+337*per+   (w_673-w_674)*distort/2'                                                  w_673
+ 'delay+337*per+   (w_673-w_674)*distort/2+(dtf+dtr)/2+(w_674-w_673)*(dtf-dtr)/2'            w_674
+ 'delay+337*per+per2+(w_674-w_675)*distort/2'                                                w_674
+ 'delay+337*per+per2+(w_674-w_675)*distort/2+(dtf+dtr)/2+(w_675-w_674)*(dtf-dtr)/2'          w_675
+ 'delay+338*per+   (w_675-w_676)*distort/2'                                                  w_675
+ 'delay+338*per+   (w_675-w_676)*distort/2+(dtf+dtr)/2+(w_676-w_675)*(dtf-dtr)/2'            w_676
+ 'delay+338*per+per2+(w_676-w_677)*distort/2'                                                w_676
+ 'delay+338*per+per2+(w_676-w_677)*distort/2+(dtf+dtr)/2+(w_677-w_676)*(dtf-dtr)/2'          w_677
+ 'delay+339*per+   (w_677-w_678)*distort/2'                                                  w_677
+ 'delay+339*per+   (w_677-w_678)*distort/2+(dtf+dtr)/2+(w_678-w_677)*(dtf-dtr)/2'            w_678
+ 'delay+339*per+per2+(w_678-w_679)*distort/2'                                                w_678
+ 'delay+339*per+per2+(w_678-w_679)*distort/2+(dtf+dtr)/2+(w_679-w_678)*(dtf-dtr)/2'          w_679
+ 'delay+340*per+   (w_679-w_680)*distort/2'                                                  w_679
+ 'delay+340*per+   (w_679-w_680)*distort/2+(dtf+dtr)/2+(w_680-w_679)*(dtf-dtr)/2'            w_680
+ 'delay+340*per+per2+(w_680-w_681)*distort/2'                                                w_680
+ 'delay+340*per+per2+(w_680-w_681)*distort/2+(dtf+dtr)/2+(w_681-w_680)*(dtf-dtr)/2'          w_681
+ 'delay+341*per+   (w_681-w_682)*distort/2'                                                  w_681
+ 'delay+341*per+   (w_681-w_682)*distort/2+(dtf+dtr)/2+(w_682-w_681)*(dtf-dtr)/2'            w_682
+ 'delay+341*per+per2+(w_682-w_683)*distort/2'                                                w_682
+ 'delay+341*per+per2+(w_682-w_683)*distort/2+(dtf+dtr)/2+(w_683-w_682)*(dtf-dtr)/2'          w_683
+ 'delay+342*per+   (w_683-w_684)*distort/2'                                                  w_683
+ 'delay+342*per+   (w_683-w_684)*distort/2+(dtf+dtr)/2+(w_684-w_683)*(dtf-dtr)/2'            w_684
+ 'delay+342*per+per2+(w_684-w_685)*distort/2'                                                w_684
+ 'delay+342*per+per2+(w_684-w_685)*distort/2+(dtf+dtr)/2+(w_685-w_684)*(dtf-dtr)/2'          w_685
+ 'delay+343*per+   (w_685-w_686)*distort/2'                                                  w_685
+ 'delay+343*per+   (w_685-w_686)*distort/2+(dtf+dtr)/2+(w_686-w_685)*(dtf-dtr)/2'            w_686
+ 'delay+343*per+per2+(w_686-w_687)*distort/2'                                                w_686
+ 'delay+343*per+per2+(w_686-w_687)*distort/2+(dtf+dtr)/2+(w_687-w_686)*(dtf-dtr)/2'          w_687
+ 'delay+344*per+   (w_687-w_688)*distort/2'                                                  w_687
+ 'delay+344*per+   (w_687-w_688)*distort/2+(dtf+dtr)/2+(w_688-w_687)*(dtf-dtr)/2'            w_688
+ 'delay+344*per+per2+(w_688-w_689)*distort/2'                                                w_688
+ 'delay+344*per+per2+(w_688-w_689)*distort/2+(dtf+dtr)/2+(w_689-w_688)*(dtf-dtr)/2'          w_689
+ 'delay+345*per+   (w_689-w_690)*distort/2'                                                  w_689
+ 'delay+345*per+   (w_689-w_690)*distort/2+(dtf+dtr)/2+(w_690-w_689)*(dtf-dtr)/2'            w_690
+ 'delay+345*per+per2+(w_690-w_691)*distort/2'                                                w_690
+ 'delay+345*per+per2+(w_690-w_691)*distort/2+(dtf+dtr)/2+(w_691-w_690)*(dtf-dtr)/2'          w_691
+ 'delay+346*per+   (w_691-w_692)*distort/2'                                                  w_691
+ 'delay+346*per+   (w_691-w_692)*distort/2+(dtf+dtr)/2+(w_692-w_691)*(dtf-dtr)/2'            w_692
+ 'delay+346*per+per2+(w_692-w_693)*distort/2'                                                w_692
+ 'delay+346*per+per2+(w_692-w_693)*distort/2+(dtf+dtr)/2+(w_693-w_692)*(dtf-dtr)/2'          w_693
+ 'delay+347*per+   (w_693-w_694)*distort/2'                                                  w_693
+ 'delay+347*per+   (w_693-w_694)*distort/2+(dtf+dtr)/2+(w_694-w_693)*(dtf-dtr)/2'            w_694
+ 'delay+347*per+per2+(w_694-w_695)*distort/2'                                                w_694
+ 'delay+347*per+per2+(w_694-w_695)*distort/2+(dtf+dtr)/2+(w_695-w_694)*(dtf-dtr)/2'          w_695
+ 'delay+348*per+   (w_695-w_696)*distort/2'                                                  w_695
+ 'delay+348*per+   (w_695-w_696)*distort/2+(dtf+dtr)/2+(w_696-w_695)*(dtf-dtr)/2'            w_696
+ 'delay+348*per+per2+(w_696-w_697)*distort/2'                                                w_696
+ 'delay+348*per+per2+(w_696-w_697)*distort/2+(dtf+dtr)/2+(w_697-w_696)*(dtf-dtr)/2'          w_697
+ 'delay+349*per+   (w_697-w_698)*distort/2'                                                  w_697
+ 'delay+349*per+   (w_697-w_698)*distort/2+(dtf+dtr)/2+(w_698-w_697)*(dtf-dtr)/2'            w_698
+ 'delay+349*per+per2+(w_698-w_699)*distort/2'                                                w_698
+ 'delay+349*per+per2+(w_698-w_699)*distort/2+(dtf+dtr)/2+(w_699-w_698)*(dtf-dtr)/2'          w_699
+ 'delay+350*per+   (w_699-w_700)*distort/2'                                                  w_699
+ 'delay+350*per+   (w_699-w_700)*distort/2+(dtf+dtr)/2+(w_700-w_699)*(dtf-dtr)/2'            w_700
+ 'delay+350*per+per2+(w_700-w_701)*distort/2'                                                w_700
+ 'delay+350*per+per2+(w_700-w_701)*distort/2+(dtf+dtr)/2+(w_701-w_700)*(dtf-dtr)/2'          w_701
+ 'delay+351*per+   (w_701-w_702)*distort/2'                                                  w_701
+ 'delay+351*per+   (w_701-w_702)*distort/2+(dtf+dtr)/2+(w_702-w_701)*(dtf-dtr)/2'            w_702
+ 'delay+351*per+per2+(w_702-w_703)*distort/2'                                                w_702
+ 'delay+351*per+per2+(w_702-w_703)*distort/2+(dtf+dtr)/2+(w_703-w_702)*(dtf-dtr)/2'          w_703
+ 'delay+352*per+   (w_703-w_704)*distort/2'                                                  w_703
+ 'delay+352*per+   (w_703-w_704)*distort/2+(dtf+dtr)/2+(w_704-w_703)*(dtf-dtr)/2'            w_704
+ 'delay+352*per+per2+(w_704-w_705)*distort/2'                                                w_704
+ 'delay+352*per+per2+(w_704-w_705)*distort/2+(dtf+dtr)/2+(w_705-w_704)*(dtf-dtr)/2'          w_705
+ 'delay+353*per+   (w_705-w_706)*distort/2'                                                  w_705
+ 'delay+353*per+   (w_705-w_706)*distort/2+(dtf+dtr)/2+(w_706-w_705)*(dtf-dtr)/2'            w_706
+ 'delay+353*per+per2+(w_706-w_707)*distort/2'                                                w_706
+ 'delay+353*per+per2+(w_706-w_707)*distort/2+(dtf+dtr)/2+(w_707-w_706)*(dtf-dtr)/2'          w_707
+ 'delay+354*per+   (w_707-w_708)*distort/2'                                                  w_707
+ 'delay+354*per+   (w_707-w_708)*distort/2+(dtf+dtr)/2+(w_708-w_707)*(dtf-dtr)/2'            w_708
+ 'delay+354*per+per2+(w_708-w_709)*distort/2'                                                w_708
+ 'delay+354*per+per2+(w_708-w_709)*distort/2+(dtf+dtr)/2+(w_709-w_708)*(dtf-dtr)/2'          w_709
+ 'delay+355*per+   (w_709-w_710)*distort/2'                                                  w_709
+ 'delay+355*per+   (w_709-w_710)*distort/2+(dtf+dtr)/2+(w_710-w_709)*(dtf-dtr)/2'            w_710
+ 'delay+355*per+per2+(w_710-w_711)*distort/2'                                                w_710
+ 'delay+355*per+per2+(w_710-w_711)*distort/2+(dtf+dtr)/2+(w_711-w_710)*(dtf-dtr)/2'          w_711
+ 'delay+356*per+   (w_711-w_712)*distort/2'                                                  w_711
+ 'delay+356*per+   (w_711-w_712)*distort/2+(dtf+dtr)/2+(w_712-w_711)*(dtf-dtr)/2'            w_712
+ 'delay+356*per+per2+(w_712-w_713)*distort/2'                                                w_712
+ 'delay+356*per+per2+(w_712-w_713)*distort/2+(dtf+dtr)/2+(w_713-w_712)*(dtf-dtr)/2'          w_713
+ 'delay+357*per+   (w_713-w_714)*distort/2'                                                  w_713
+ 'delay+357*per+   (w_713-w_714)*distort/2+(dtf+dtr)/2+(w_714-w_713)*(dtf-dtr)/2'            w_714
+ 'delay+357*per+per2+(w_714-w_715)*distort/2'                                                w_714
+ 'delay+357*per+per2+(w_714-w_715)*distort/2+(dtf+dtr)/2+(w_715-w_714)*(dtf-dtr)/2'          w_715
+ 'delay+358*per+   (w_715-w_716)*distort/2'                                                  w_715
+ 'delay+358*per+   (w_715-w_716)*distort/2+(dtf+dtr)/2+(w_716-w_715)*(dtf-dtr)/2'            w_716
+ 'delay+358*per+per2+(w_716-w_717)*distort/2'                                                w_716
+ 'delay+358*per+per2+(w_716-w_717)*distort/2+(dtf+dtr)/2+(w_717-w_716)*(dtf-dtr)/2'          w_717
+ 'delay+359*per+   (w_717-w_718)*distort/2'                                                  w_717
+ 'delay+359*per+   (w_717-w_718)*distort/2+(dtf+dtr)/2+(w_718-w_717)*(dtf-dtr)/2'            w_718
+ 'delay+359*per+per2+(w_718-w_719)*distort/2'                                                w_718
+ 'delay+359*per+per2+(w_718-w_719)*distort/2+(dtf+dtr)/2+(w_719-w_718)*(dtf-dtr)/2'          w_719
+ 'delay+360*per+   (w_719-w_720)*distort/2'                                                  w_719
+ 'delay+360*per+   (w_719-w_720)*distort/2+(dtf+dtr)/2+(w_720-w_719)*(dtf-dtr)/2'            w_720
+ 'delay+360*per+per2+(w_720-w_721)*distort/2'                                                w_720
+ 'delay+360*per+per2+(w_720-w_721)*distort/2+(dtf+dtr)/2+(w_721-w_720)*(dtf-dtr)/2'          w_721
+ 'delay+361*per+   (w_721-w_722)*distort/2'                                                  w_721
+ 'delay+361*per+   (w_721-w_722)*distort/2+(dtf+dtr)/2+(w_722-w_721)*(dtf-dtr)/2'            w_722
+ 'delay+361*per+per2+(w_722-w_723)*distort/2'                                                w_722
+ 'delay+361*per+per2+(w_722-w_723)*distort/2+(dtf+dtr)/2+(w_723-w_722)*(dtf-dtr)/2'          w_723
+ 'delay+362*per+   (w_723-w_724)*distort/2'                                                  w_723
+ 'delay+362*per+   (w_723-w_724)*distort/2+(dtf+dtr)/2+(w_724-w_723)*(dtf-dtr)/2'            w_724
+ 'delay+362*per+per2+(w_724-w_725)*distort/2'                                                w_724
+ 'delay+362*per+per2+(w_724-w_725)*distort/2+(dtf+dtr)/2+(w_725-w_724)*(dtf-dtr)/2'          w_725
+ 'delay+363*per+   (w_725-w_726)*distort/2'                                                  w_725
+ 'delay+363*per+   (w_725-w_726)*distort/2+(dtf+dtr)/2+(w_726-w_725)*(dtf-dtr)/2'            w_726
+ 'delay+363*per+per2+(w_726-w_727)*distort/2'                                                w_726
+ 'delay+363*per+per2+(w_726-w_727)*distort/2+(dtf+dtr)/2+(w_727-w_726)*(dtf-dtr)/2'          w_727
+ 'delay+364*per+   (w_727-w_728)*distort/2'                                                  w_727
+ 'delay+364*per+   (w_727-w_728)*distort/2+(dtf+dtr)/2+(w_728-w_727)*(dtf-dtr)/2'            w_728
+ 'delay+364*per+per2+(w_728-w_729)*distort/2'                                                w_728
+ 'delay+364*per+per2+(w_728-w_729)*distort/2+(dtf+dtr)/2+(w_729-w_728)*(dtf-dtr)/2'          w_729
+ 'delay+365*per+   (w_729-w_730)*distort/2'                                                  w_729
+ 'delay+365*per+   (w_729-w_730)*distort/2+(dtf+dtr)/2+(w_730-w_729)*(dtf-dtr)/2'            w_730
+ 'delay+365*per+per2+(w_730-w_731)*distort/2'                                                w_730
+ 'delay+365*per+per2+(w_730-w_731)*distort/2+(dtf+dtr)/2+(w_731-w_730)*(dtf-dtr)/2'          w_731
+ 'delay+366*per+   (w_731-w_732)*distort/2'                                                  w_731
+ 'delay+366*per+   (w_731-w_732)*distort/2+(dtf+dtr)/2+(w_732-w_731)*(dtf-dtr)/2'            w_732
+ 'delay+366*per+per2+(w_732-w_733)*distort/2'                                                w_732
+ 'delay+366*per+per2+(w_732-w_733)*distort/2+(dtf+dtr)/2+(w_733-w_732)*(dtf-dtr)/2'          w_733
+ 'delay+367*per+   (w_733-w_734)*distort/2'                                                  w_733
+ 'delay+367*per+   (w_733-w_734)*distort/2+(dtf+dtr)/2+(w_734-w_733)*(dtf-dtr)/2'            w_734
+ 'delay+367*per+per2+(w_734-w_735)*distort/2'                                                w_734
+ 'delay+367*per+per2+(w_734-w_735)*distort/2+(dtf+dtr)/2+(w_735-w_734)*(dtf-dtr)/2'          w_735
+ 'delay+368*per+   (w_735-w_736)*distort/2'                                                  w_735
+ 'delay+368*per+   (w_735-w_736)*distort/2+(dtf+dtr)/2+(w_736-w_735)*(dtf-dtr)/2'            w_736
+ 'delay+368*per+per2+(w_736-w_737)*distort/2'                                                w_736
+ 'delay+368*per+per2+(w_736-w_737)*distort/2+(dtf+dtr)/2+(w_737-w_736)*(dtf-dtr)/2'          w_737
+ 'delay+369*per+   (w_737-w_738)*distort/2'                                                  w_737
+ 'delay+369*per+   (w_737-w_738)*distort/2+(dtf+dtr)/2+(w_738-w_737)*(dtf-dtr)/2'            w_738
+ 'delay+369*per+per2+(w_738-w_739)*distort/2'                                                w_738
+ 'delay+369*per+per2+(w_738-w_739)*distort/2+(dtf+dtr)/2+(w_739-w_738)*(dtf-dtr)/2'          w_739
+ 'delay+370*per+   (w_739-w_740)*distort/2'                                                  w_739
+ 'delay+370*per+   (w_739-w_740)*distort/2+(dtf+dtr)/2+(w_740-w_739)*(dtf-dtr)/2'            w_740
+ 'delay+370*per+per2+(w_740-w_741)*distort/2'                                                w_740
+ 'delay+370*per+per2+(w_740-w_741)*distort/2+(dtf+dtr)/2+(w_741-w_740)*(dtf-dtr)/2'          w_741
+ 'delay+371*per+   (w_741-w_742)*distort/2'                                                  w_741
+ 'delay+371*per+   (w_741-w_742)*distort/2+(dtf+dtr)/2+(w_742-w_741)*(dtf-dtr)/2'            w_742
+ 'delay+371*per+per2+(w_742-w_743)*distort/2'                                                w_742
+ 'delay+371*per+per2+(w_742-w_743)*distort/2+(dtf+dtr)/2+(w_743-w_742)*(dtf-dtr)/2'          w_743
+ 'delay+372*per+   (w_743-w_744)*distort/2'                                                  w_743
+ 'delay+372*per+   (w_743-w_744)*distort/2+(dtf+dtr)/2+(w_744-w_743)*(dtf-dtr)/2'            w_744
+ 'delay+372*per+per2+(w_744-w_745)*distort/2'                                                w_744
+ 'delay+372*per+per2+(w_744-w_745)*distort/2+(dtf+dtr)/2+(w_745-w_744)*(dtf-dtr)/2'          w_745
+ 'delay+373*per+   (w_745-w_746)*distort/2'                                                  w_745
+ 'delay+373*per+   (w_745-w_746)*distort/2+(dtf+dtr)/2+(w_746-w_745)*(dtf-dtr)/2'            w_746
+ 'delay+373*per+per2+(w_746-w_747)*distort/2'                                                w_746
+ 'delay+373*per+per2+(w_746-w_747)*distort/2+(dtf+dtr)/2+(w_747-w_746)*(dtf-dtr)/2'          w_747
+ 'delay+374*per+   (w_747-w_748)*distort/2'                                                  w_747
+ 'delay+374*per+   (w_747-w_748)*distort/2+(dtf+dtr)/2+(w_748-w_747)*(dtf-dtr)/2'            w_748
+ 'delay+374*per+per2+(w_748-w_749)*distort/2'                                                w_748
+ 'delay+374*per+per2+(w_748-w_749)*distort/2+(dtf+dtr)/2+(w_749-w_748)*(dtf-dtr)/2'          w_749
+ 'delay+375*per+   (w_749-w_750)*distort/2'                                                  w_749
+ 'delay+375*per+   (w_749-w_750)*distort/2+(dtf+dtr)/2+(w_750-w_749)*(dtf-dtr)/2'            w_750
+ 'delay+375*per+per2+(w_750-w_751)*distort/2'                                                w_750
+ 'delay+375*per+per2+(w_750-w_751)*distort/2+(dtf+dtr)/2+(w_751-w_750)*(dtf-dtr)/2'          w_751
+ 'delay+376*per+   (w_751-w_752)*distort/2'                                                  w_751
+ 'delay+376*per+   (w_751-w_752)*distort/2+(dtf+dtr)/2+(w_752-w_751)*(dtf-dtr)/2'            w_752
+ 'delay+376*per+per2+(w_752-w_753)*distort/2'                                                w_752
+ 'delay+376*per+per2+(w_752-w_753)*distort/2+(dtf+dtr)/2+(w_753-w_752)*(dtf-dtr)/2'          w_753
+ 'delay+377*per+   (w_753-w_754)*distort/2'                                                  w_753
+ 'delay+377*per+   (w_753-w_754)*distort/2+(dtf+dtr)/2+(w_754-w_753)*(dtf-dtr)/2'            w_754
+ 'delay+377*per+per2+(w_754-w_755)*distort/2'                                                w_754
+ 'delay+377*per+per2+(w_754-w_755)*distort/2+(dtf+dtr)/2+(w_755-w_754)*(dtf-dtr)/2'          w_755
+ 'delay+378*per+   (w_755-w_756)*distort/2'                                                  w_755
+ 'delay+378*per+   (w_755-w_756)*distort/2+(dtf+dtr)/2+(w_756-w_755)*(dtf-dtr)/2'            w_756
+ 'delay+378*per+per2+(w_756-w_757)*distort/2'                                                w_756
+ 'delay+378*per+per2+(w_756-w_757)*distort/2+(dtf+dtr)/2+(w_757-w_756)*(dtf-dtr)/2'          w_757
+ 'delay+379*per+   (w_757-w_758)*distort/2'                                                  w_757
+ 'delay+379*per+   (w_757-w_758)*distort/2+(dtf+dtr)/2+(w_758-w_757)*(dtf-dtr)/2'            w_758
+ 'delay+379*per+per2+(w_758-w_759)*distort/2'                                                w_758
+ 'delay+379*per+per2+(w_758-w_759)*distort/2+(dtf+dtr)/2+(w_759-w_758)*(dtf-dtr)/2'          w_759
+ 'delay+380*per+   (w_759-w_760)*distort/2'                                                  w_759
+ 'delay+380*per+   (w_759-w_760)*distort/2+(dtf+dtr)/2+(w_760-w_759)*(dtf-dtr)/2'            w_760
+ 'delay+380*per+per2+(w_760-w_761)*distort/2'                                                w_760
+ 'delay+380*per+per2+(w_760-w_761)*distort/2+(dtf+dtr)/2+(w_761-w_760)*(dtf-dtr)/2'          w_761
+ 'delay+381*per+   (w_761-w_762)*distort/2'                                                  w_761
+ 'delay+381*per+   (w_761-w_762)*distort/2+(dtf+dtr)/2+(w_762-w_761)*(dtf-dtr)/2'            w_762
+ 'delay+381*per+per2+(w_762-w_763)*distort/2'                                                w_762
+ 'delay+381*per+per2+(w_762-w_763)*distort/2+(dtf+dtr)/2+(w_763-w_762)*(dtf-dtr)/2'          w_763
+ 'delay+382*per+   (w_763-w_764)*distort/2'                                                  w_763
+ 'delay+382*per+   (w_763-w_764)*distort/2+(dtf+dtr)/2+(w_764-w_763)*(dtf-dtr)/2'            w_764
+ 'delay+382*per+per2+(w_764-w_765)*distort/2'                                                w_764
+ 'delay+382*per+per2+(w_764-w_765)*distort/2+(dtf+dtr)/2+(w_765-w_764)*(dtf-dtr)/2'          w_765
+ 'delay+383*per+   (w_765-w_766)*distort/2'                                                  w_765
+ 'delay+383*per+   (w_765-w_766)*distort/2+(dtf+dtr)/2+(w_766-w_765)*(dtf-dtr)/2'            w_766
+ 'delay+383*per+per2+(w_766-w_767)*distort/2'                                                w_766
+ 'delay+383*per+per2+(w_766-w_767)*distort/2+(dtf+dtr)/2+(w_767-w_766)*(dtf-dtr)/2'          w_767
+ 'delay+384*per+   (w_767-w_768)*distort/2'                                                  w_767
+ 'delay+384*per+   (w_767-w_768)*distort/2+(dtf+dtr)/2+(w_768-w_767)*(dtf-dtr)/2'            w_768
+ 'delay+384*per+per2+(w_768-w_769)*distort/2'                                                w_768
+ 'delay+384*per+per2+(w_768-w_769)*distort/2+(dtf+dtr)/2+(w_769-w_768)*(dtf-dtr)/2'          w_769
+ 'delay+385*per+   (w_769-w_770)*distort/2'                                                  w_769
+ 'delay+385*per+   (w_769-w_770)*distort/2+(dtf+dtr)/2+(w_770-w_769)*(dtf-dtr)/2'            w_770
+ 'delay+385*per+per2+(w_770-w_771)*distort/2'                                                w_770
+ 'delay+385*per+per2+(w_770-w_771)*distort/2+(dtf+dtr)/2+(w_771-w_770)*(dtf-dtr)/2'          w_771
+ 'delay+386*per+   (w_771-w_772)*distort/2'                                                  w_771
+ 'delay+386*per+   (w_771-w_772)*distort/2+(dtf+dtr)/2+(w_772-w_771)*(dtf-dtr)/2'            w_772
+ 'delay+386*per+per2+(w_772-w_773)*distort/2'                                                w_772
+ 'delay+386*per+per2+(w_772-w_773)*distort/2+(dtf+dtr)/2+(w_773-w_772)*(dtf-dtr)/2'          w_773
+ 'delay+387*per+   (w_773-w_774)*distort/2'                                                  w_773
+ 'delay+387*per+   (w_773-w_774)*distort/2+(dtf+dtr)/2+(w_774-w_773)*(dtf-dtr)/2'            w_774
+ 'delay+387*per+per2+(w_774-w_775)*distort/2'                                                w_774
+ 'delay+387*per+per2+(w_774-w_775)*distort/2+(dtf+dtr)/2+(w_775-w_774)*(dtf-dtr)/2'          w_775
+ 'delay+388*per+   (w_775-w_776)*distort/2'                                                  w_775
+ 'delay+388*per+   (w_775-w_776)*distort/2+(dtf+dtr)/2+(w_776-w_775)*(dtf-dtr)/2'            w_776
+ 'delay+388*per+per2+(w_776-w_777)*distort/2'                                                w_776
+ 'delay+388*per+per2+(w_776-w_777)*distort/2+(dtf+dtr)/2+(w_777-w_776)*(dtf-dtr)/2'          w_777
+ 'delay+389*per+   (w_777-w_778)*distort/2'                                                  w_777
+ 'delay+389*per+   (w_777-w_778)*distort/2+(dtf+dtr)/2+(w_778-w_777)*(dtf-dtr)/2'            w_778
+ 'delay+389*per+per2+(w_778-w_779)*distort/2'                                                w_778
+ 'delay+389*per+per2+(w_778-w_779)*distort/2+(dtf+dtr)/2+(w_779-w_778)*(dtf-dtr)/2'          w_779
+ 'delay+390*per+   (w_779-w_780)*distort/2'                                                  w_779
+ 'delay+390*per+   (w_779-w_780)*distort/2+(dtf+dtr)/2+(w_780-w_779)*(dtf-dtr)/2'            w_780
+ 'delay+390*per+per2+(w_780-w_781)*distort/2'                                                w_780
+ 'delay+390*per+per2+(w_780-w_781)*distort/2+(dtf+dtr)/2+(w_781-w_780)*(dtf-dtr)/2'          w_781
+ 'delay+391*per+   (w_781-w_782)*distort/2'                                                  w_781
+ 'delay+391*per+   (w_781-w_782)*distort/2+(dtf+dtr)/2+(w_782-w_781)*(dtf-dtr)/2'            w_782
+ 'delay+391*per+per2+(w_782-w_783)*distort/2'                                                w_782
+ 'delay+391*per+per2+(w_782-w_783)*distort/2+(dtf+dtr)/2+(w_783-w_782)*(dtf-dtr)/2'          w_783
+ 'delay+392*per+   (w_783-w_784)*distort/2'                                                  w_783
+ 'delay+392*per+   (w_783-w_784)*distort/2+(dtf+dtr)/2+(w_784-w_783)*(dtf-dtr)/2'            w_784
+ 'delay+392*per+per2+(w_784-w_785)*distort/2'                                                w_784
+ 'delay+392*per+per2+(w_784-w_785)*distort/2+(dtf+dtr)/2+(w_785-w_784)*(dtf-dtr)/2'          w_785
+ 'delay+393*per+   (w_785-w_786)*distort/2'                                                  w_785
+ 'delay+393*per+   (w_785-w_786)*distort/2+(dtf+dtr)/2+(w_786-w_785)*(dtf-dtr)/2'            w_786
+ 'delay+393*per+per2+(w_786-w_787)*distort/2'                                                w_786
+ 'delay+393*per+per2+(w_786-w_787)*distort/2+(dtf+dtr)/2+(w_787-w_786)*(dtf-dtr)/2'          w_787
+ 'delay+394*per+   (w_787-w_788)*distort/2'                                                  w_787
+ 'delay+394*per+   (w_787-w_788)*distort/2+(dtf+dtr)/2+(w_788-w_787)*(dtf-dtr)/2'            w_788
+ 'delay+394*per+per2+(w_788-w_789)*distort/2'                                                w_788
+ 'delay+394*per+per2+(w_788-w_789)*distort/2+(dtf+dtr)/2+(w_789-w_788)*(dtf-dtr)/2'          w_789
+ 'delay+395*per+   (w_789-w_790)*distort/2'                                                  w_789
+ 'delay+395*per+   (w_789-w_790)*distort/2+(dtf+dtr)/2+(w_790-w_789)*(dtf-dtr)/2'            w_790
+ 'delay+395*per+per2+(w_790-w_791)*distort/2'                                                w_790
+ 'delay+395*per+per2+(w_790-w_791)*distort/2+(dtf+dtr)/2+(w_791-w_790)*(dtf-dtr)/2'          w_791
+ 'delay+396*per+   (w_791-w_792)*distort/2'                                                  w_791
+ 'delay+396*per+   (w_791-w_792)*distort/2+(dtf+dtr)/2+(w_792-w_791)*(dtf-dtr)/2'            w_792
+ 'delay+396*per+per2+(w_792-w_793)*distort/2'                                                w_792
+ 'delay+396*per+per2+(w_792-w_793)*distort/2+(dtf+dtr)/2+(w_793-w_792)*(dtf-dtr)/2'          w_793
+ 'delay+397*per+   (w_793-w_794)*distort/2'                                                  w_793
+ 'delay+397*per+   (w_793-w_794)*distort/2+(dtf+dtr)/2+(w_794-w_793)*(dtf-dtr)/2'            w_794
+ 'delay+397*per+per2+(w_794-w_795)*distort/2'                                                w_794
+ 'delay+397*per+per2+(w_794-w_795)*distort/2+(dtf+dtr)/2+(w_795-w_794)*(dtf-dtr)/2'          w_795
+ 'delay+398*per+   (w_795-w_796)*distort/2'                                                  w_795
+ 'delay+398*per+   (w_795-w_796)*distort/2+(dtf+dtr)/2+(w_796-w_795)*(dtf-dtr)/2'            w_796
+ 'delay+398*per+per2+(w_796-w_797)*distort/2'                                                w_796
+ 'delay+398*per+per2+(w_796-w_797)*distort/2+(dtf+dtr)/2+(w_797-w_796)*(dtf-dtr)/2'          w_797
+ 'delay+399*per+   (w_797-w_798)*distort/2'                                                  w_797
+ 'delay+399*per+   (w_797-w_798)*distort/2+(dtf+dtr)/2+(w_798-w_797)*(dtf-dtr)/2'            w_798
+ 'delay+399*per+per2+(w_798-w_799)*distort/2'                                                w_798
+ 'delay+399*per+per2+(w_798-w_799)*distort/2+(dtf+dtr)/2+(w_799-w_798)*(dtf-dtr)/2'          w_799
+ 'delay+400*per+   (w_799-w_800)*distort/2'                                                  w_799
+ 'delay+400*per+   (w_799-w_800)*distort/2+(dtf+dtr)/2+(w_800-w_799)*(dtf-dtr)/2'            w_800
+ 'delay+400*per+per2+(w_800-w_801)*distort/2'                                                w_800
+ 'delay+400*per+per2+(w_800-w_801)*distort/2+(dtf+dtr)/2+(w_801-w_800)*(dtf-dtr)/2'          w_801
+ 'delay+401*per+   (w_801-w_802)*distort/2'                                                  w_801
+ 'delay+401*per+   (w_801-w_802)*distort/2+(dtf+dtr)/2+(w_802-w_801)*(dtf-dtr)/2'            w_802
+ 'delay+401*per+per2+(w_802-w_803)*distort/2'                                                w_802
+ 'delay+401*per+per2+(w_802-w_803)*distort/2+(dtf+dtr)/2+(w_803-w_802)*(dtf-dtr)/2'          w_803
+ 'delay+402*per+   (w_803-w_804)*distort/2'                                                  w_803
+ 'delay+402*per+   (w_803-w_804)*distort/2+(dtf+dtr)/2+(w_804-w_803)*(dtf-dtr)/2'            w_804
+ 'delay+402*per+per2+(w_804-w_805)*distort/2'                                                w_804
+ 'delay+402*per+per2+(w_804-w_805)*distort/2+(dtf+dtr)/2+(w_805-w_804)*(dtf-dtr)/2'          w_805
+ 'delay+403*per+   (w_805-w_806)*distort/2'                                                  w_805
+ 'delay+403*per+   (w_805-w_806)*distort/2+(dtf+dtr)/2+(w_806-w_805)*(dtf-dtr)/2'            w_806
+ 'delay+403*per+per2+(w_806-w_807)*distort/2'                                                w_806
+ 'delay+403*per+per2+(w_806-w_807)*distort/2+(dtf+dtr)/2+(w_807-w_806)*(dtf-dtr)/2'          w_807
+ 'delay+404*per+   (w_807-w_808)*distort/2'                                                  w_807
+ 'delay+404*per+   (w_807-w_808)*distort/2+(dtf+dtr)/2+(w_808-w_807)*(dtf-dtr)/2'            w_808
+ 'delay+404*per+per2+(w_808-w_809)*distort/2'                                                w_808
+ 'delay+404*per+per2+(w_808-w_809)*distort/2+(dtf+dtr)/2+(w_809-w_808)*(dtf-dtr)/2'          w_809
+ 'delay+405*per+   (w_809-w_810)*distort/2'                                                  w_809
+ 'delay+405*per+   (w_809-w_810)*distort/2+(dtf+dtr)/2+(w_810-w_809)*(dtf-dtr)/2'            w_810
+ 'delay+405*per+per2+(w_810-w_811)*distort/2'                                                w_810
+ 'delay+405*per+per2+(w_810-w_811)*distort/2+(dtf+dtr)/2+(w_811-w_810)*(dtf-dtr)/2'          w_811
+ 'delay+406*per+   (w_811-w_812)*distort/2'                                                  w_811
+ 'delay+406*per+   (w_811-w_812)*distort/2+(dtf+dtr)/2+(w_812-w_811)*(dtf-dtr)/2'            w_812
+ 'delay+406*per+per2+(w_812-w_813)*distort/2'                                                w_812
+ 'delay+406*per+per2+(w_812-w_813)*distort/2+(dtf+dtr)/2+(w_813-w_812)*(dtf-dtr)/2'          w_813
+ 'delay+407*per+   (w_813-w_814)*distort/2'                                                  w_813
+ 'delay+407*per+   (w_813-w_814)*distort/2+(dtf+dtr)/2+(w_814-w_813)*(dtf-dtr)/2'            w_814
+ 'delay+407*per+per2+(w_814-w_815)*distort/2'                                                w_814
+ 'delay+407*per+per2+(w_814-w_815)*distort/2+(dtf+dtr)/2+(w_815-w_814)*(dtf-dtr)/2'          w_815
+ 'delay+408*per+   (w_815-w_816)*distort/2'                                                  w_815
+ 'delay+408*per+   (w_815-w_816)*distort/2+(dtf+dtr)/2+(w_816-w_815)*(dtf-dtr)/2'            w_816
+ 'delay+408*per+per2+(w_816-w_817)*distort/2'                                                w_816
+ 'delay+408*per+per2+(w_816-w_817)*distort/2+(dtf+dtr)/2+(w_817-w_816)*(dtf-dtr)/2'          w_817
+ 'delay+409*per+   (w_817-w_818)*distort/2'                                                  w_817
+ 'delay+409*per+   (w_817-w_818)*distort/2+(dtf+dtr)/2+(w_818-w_817)*(dtf-dtr)/2'            w_818
+ 'delay+409*per+per2+(w_818-w_819)*distort/2'                                                w_818
+ 'delay+409*per+per2+(w_818-w_819)*distort/2+(dtf+dtr)/2+(w_819-w_818)*(dtf-dtr)/2'          w_819
+ 'delay+410*per+   (w_819-w_820)*distort/2'                                                  w_819
+ 'delay+410*per+   (w_819-w_820)*distort/2+(dtf+dtr)/2+(w_820-w_819)*(dtf-dtr)/2'            w_820
+ 'delay+410*per+per2+(w_820-w_821)*distort/2'                                                w_820
+ 'delay+410*per+per2+(w_820-w_821)*distort/2+(dtf+dtr)/2+(w_821-w_820)*(dtf-dtr)/2'          w_821
+ 'delay+411*per+   (w_821-w_822)*distort/2'                                                  w_821
+ 'delay+411*per+   (w_821-w_822)*distort/2+(dtf+dtr)/2+(w_822-w_821)*(dtf-dtr)/2'            w_822
+ 'delay+411*per+per2+(w_822-w_823)*distort/2'                                                w_822
+ 'delay+411*per+per2+(w_822-w_823)*distort/2+(dtf+dtr)/2+(w_823-w_822)*(dtf-dtr)/2'          w_823
+ 'delay+412*per+   (w_823-w_824)*distort/2'                                                  w_823
+ 'delay+412*per+   (w_823-w_824)*distort/2+(dtf+dtr)/2+(w_824-w_823)*(dtf-dtr)/2'            w_824
+ 'delay+412*per+per2+(w_824-w_825)*distort/2'                                                w_824
+ 'delay+412*per+per2+(w_824-w_825)*distort/2+(dtf+dtr)/2+(w_825-w_824)*(dtf-dtr)/2'          w_825
+ 'delay+413*per+   (w_825-w_826)*distort/2'                                                  w_825
+ 'delay+413*per+   (w_825-w_826)*distort/2+(dtf+dtr)/2+(w_826-w_825)*(dtf-dtr)/2'            w_826
+ 'delay+413*per+per2+(w_826-w_827)*distort/2'                                                w_826
+ 'delay+413*per+per2+(w_826-w_827)*distort/2+(dtf+dtr)/2+(w_827-w_826)*(dtf-dtr)/2'          w_827
+ 'delay+414*per+   (w_827-w_828)*distort/2'                                                  w_827
+ 'delay+414*per+   (w_827-w_828)*distort/2+(dtf+dtr)/2+(w_828-w_827)*(dtf-dtr)/2'            w_828
+ 'delay+414*per+per2+(w_828-w_829)*distort/2'                                                w_828
+ 'delay+414*per+per2+(w_828-w_829)*distort/2+(dtf+dtr)/2+(w_829-w_828)*(dtf-dtr)/2'          w_829
+ 'delay+415*per+   (w_829-w_830)*distort/2'                                                  w_829
+ 'delay+415*per+   (w_829-w_830)*distort/2+(dtf+dtr)/2+(w_830-w_829)*(dtf-dtr)/2'            w_830
+ 'delay+415*per+per2+(w_830-w_831)*distort/2'                                                w_830
+ 'delay+415*per+per2+(w_830-w_831)*distort/2+(dtf+dtr)/2+(w_831-w_830)*(dtf-dtr)/2'          w_831
+ 'delay+416*per+   (w_831-w_832)*distort/2'                                                  w_831
+ 'delay+416*per+   (w_831-w_832)*distort/2+(dtf+dtr)/2+(w_832-w_831)*(dtf-dtr)/2'            w_832
+ 'delay+416*per+per2+(w_832-w_833)*distort/2'                                                w_832
+ 'delay+416*per+per2+(w_832-w_833)*distort/2+(dtf+dtr)/2+(w_833-w_832)*(dtf-dtr)/2'          w_833
+ 'delay+417*per+   (w_833-w_834)*distort/2'                                                  w_833
+ 'delay+417*per+   (w_833-w_834)*distort/2+(dtf+dtr)/2+(w_834-w_833)*(dtf-dtr)/2'            w_834
+ 'delay+417*per+per2+(w_834-w_835)*distort/2'                                                w_834
+ 'delay+417*per+per2+(w_834-w_835)*distort/2+(dtf+dtr)/2+(w_835-w_834)*(dtf-dtr)/2'          w_835
+ 'delay+418*per+   (w_835-w_836)*distort/2'                                                  w_835
+ 'delay+418*per+   (w_835-w_836)*distort/2+(dtf+dtr)/2+(w_836-w_835)*(dtf-dtr)/2'            w_836
+ 'delay+418*per+per2+(w_836-w_837)*distort/2'                                                w_836
+ 'delay+418*per+per2+(w_836-w_837)*distort/2+(dtf+dtr)/2+(w_837-w_836)*(dtf-dtr)/2'          w_837
+ 'delay+419*per+   (w_837-w_838)*distort/2'                                                  w_837
+ 'delay+419*per+   (w_837-w_838)*distort/2+(dtf+dtr)/2+(w_838-w_837)*(dtf-dtr)/2'            w_838
+ 'delay+419*per+per2+(w_838-w_839)*distort/2'                                                w_838
+ 'delay+419*per+per2+(w_838-w_839)*distort/2+(dtf+dtr)/2+(w_839-w_838)*(dtf-dtr)/2'          w_839
+ 'delay+420*per+   (w_839-w_840)*distort/2'                                                  w_839
+ 'delay+420*per+   (w_839-w_840)*distort/2+(dtf+dtr)/2+(w_840-w_839)*(dtf-dtr)/2'            w_840
+ 'delay+420*per+per2+(w_840-w_841)*distort/2'                                                w_840
+ 'delay+420*per+per2+(w_840-w_841)*distort/2+(dtf+dtr)/2+(w_841-w_840)*(dtf-dtr)/2'          w_841
+ 'delay+421*per+   (w_841-w_842)*distort/2'                                                  w_841
+ 'delay+421*per+   (w_841-w_842)*distort/2+(dtf+dtr)/2+(w_842-w_841)*(dtf-dtr)/2'            w_842
+ 'delay+421*per+per2+(w_842-w_843)*distort/2'                                                w_842
+ 'delay+421*per+per2+(w_842-w_843)*distort/2+(dtf+dtr)/2+(w_843-w_842)*(dtf-dtr)/2'          w_843
+ 'delay+422*per+   (w_843-w_844)*distort/2'                                                  w_843
+ 'delay+422*per+   (w_843-w_844)*distort/2+(dtf+dtr)/2+(w_844-w_843)*(dtf-dtr)/2'            w_844
+ 'delay+422*per+per2+(w_844-w_845)*distort/2'                                                w_844
+ 'delay+422*per+per2+(w_844-w_845)*distort/2+(dtf+dtr)/2+(w_845-w_844)*(dtf-dtr)/2'          w_845
+ 'delay+423*per+   (w_845-w_846)*distort/2'                                                  w_845
+ 'delay+423*per+   (w_845-w_846)*distort/2+(dtf+dtr)/2+(w_846-w_845)*(dtf-dtr)/2'            w_846
+ 'delay+423*per+per2+(w_846-w_847)*distort/2'                                                w_846
+ 'delay+423*per+per2+(w_846-w_847)*distort/2+(dtf+dtr)/2+(w_847-w_846)*(dtf-dtr)/2'          w_847
+ 'delay+424*per+   (w_847-w_848)*distort/2'                                                  w_847
+ 'delay+424*per+   (w_847-w_848)*distort/2+(dtf+dtr)/2+(w_848-w_847)*(dtf-dtr)/2'            w_848
+ 'delay+424*per+per2+(w_848-w_849)*distort/2'                                                w_848
+ 'delay+424*per+per2+(w_848-w_849)*distort/2+(dtf+dtr)/2+(w_849-w_848)*(dtf-dtr)/2'          w_849
+ 'delay+425*per+   (w_849-w_850)*distort/2'                                                  w_849
+ 'delay+425*per+   (w_849-w_850)*distort/2+(dtf+dtr)/2+(w_850-w_849)*(dtf-dtr)/2'            w_850
+ 'delay+425*per+per2+(w_850-w_851)*distort/2'                                                w_850
+ 'delay+425*per+per2+(w_850-w_851)*distort/2+(dtf+dtr)/2+(w_851-w_850)*(dtf-dtr)/2'          w_851
+ 'delay+426*per+   (w_851-w_852)*distort/2'                                                  w_851
+ 'delay+426*per+   (w_851-w_852)*distort/2+(dtf+dtr)/2+(w_852-w_851)*(dtf-dtr)/2'            w_852
+ 'delay+426*per+per2+(w_852-w_853)*distort/2'                                                w_852
+ 'delay+426*per+per2+(w_852-w_853)*distort/2+(dtf+dtr)/2+(w_853-w_852)*(dtf-dtr)/2'          w_853
+ 'delay+427*per+   (w_853-w_854)*distort/2'                                                  w_853
+ 'delay+427*per+   (w_853-w_854)*distort/2+(dtf+dtr)/2+(w_854-w_853)*(dtf-dtr)/2'            w_854
+ 'delay+427*per+per2+(w_854-w_855)*distort/2'                                                w_854
+ 'delay+427*per+per2+(w_854-w_855)*distort/2+(dtf+dtr)/2+(w_855-w_854)*(dtf-dtr)/2'          w_855
+ 'delay+428*per+   (w_855-w_856)*distort/2'                                                  w_855
+ 'delay+428*per+   (w_855-w_856)*distort/2+(dtf+dtr)/2+(w_856-w_855)*(dtf-dtr)/2'            w_856
+ 'delay+428*per+per2+(w_856-w_857)*distort/2'                                                w_856
+ 'delay+428*per+per2+(w_856-w_857)*distort/2+(dtf+dtr)/2+(w_857-w_856)*(dtf-dtr)/2'          w_857
+ 'delay+429*per+   (w_857-w_858)*distort/2'                                                  w_857
+ 'delay+429*per+   (w_857-w_858)*distort/2+(dtf+dtr)/2+(w_858-w_857)*(dtf-dtr)/2'            w_858
+ 'delay+429*per+per2+(w_858-w_859)*distort/2'                                                w_858
+ 'delay+429*per+per2+(w_858-w_859)*distort/2+(dtf+dtr)/2+(w_859-w_858)*(dtf-dtr)/2'          w_859
+ 'delay+430*per+   (w_859-w_860)*distort/2'                                                  w_859
+ 'delay+430*per+   (w_859-w_860)*distort/2+(dtf+dtr)/2+(w_860-w_859)*(dtf-dtr)/2'            w_860
+ 'delay+430*per+per2+(w_860-w_861)*distort/2'                                                w_860
+ 'delay+430*per+per2+(w_860-w_861)*distort/2+(dtf+dtr)/2+(w_861-w_860)*(dtf-dtr)/2'          w_861
+ 'delay+431*per+   (w_861-w_862)*distort/2'                                                  w_861
+ 'delay+431*per+   (w_861-w_862)*distort/2+(dtf+dtr)/2+(w_862-w_861)*(dtf-dtr)/2'            w_862
+ 'delay+431*per+per2+(w_862-w_863)*distort/2'                                                w_862
+ 'delay+431*per+per2+(w_862-w_863)*distort/2+(dtf+dtr)/2+(w_863-w_862)*(dtf-dtr)/2'          w_863
+ 'delay+432*per+   (w_863-w_864)*distort/2'                                                  w_863
+ 'delay+432*per+   (w_863-w_864)*distort/2+(dtf+dtr)/2+(w_864-w_863)*(dtf-dtr)/2'            w_864
+ 'delay+432*per+per2+(w_864-w_865)*distort/2'                                                w_864
+ 'delay+432*per+per2+(w_864-w_865)*distort/2+(dtf+dtr)/2+(w_865-w_864)*(dtf-dtr)/2'          w_865
+ 'delay+433*per+   (w_865-w_866)*distort/2'                                                  w_865
+ 'delay+433*per+   (w_865-w_866)*distort/2+(dtf+dtr)/2+(w_866-w_865)*(dtf-dtr)/2'            w_866
+ 'delay+433*per+per2+(w_866-w_867)*distort/2'                                                w_866
+ 'delay+433*per+per2+(w_866-w_867)*distort/2+(dtf+dtr)/2+(w_867-w_866)*(dtf-dtr)/2'          w_867
+ 'delay+434*per+   (w_867-w_868)*distort/2'                                                  w_867
+ 'delay+434*per+   (w_867-w_868)*distort/2+(dtf+dtr)/2+(w_868-w_867)*(dtf-dtr)/2'            w_868
+ 'delay+434*per+per2+(w_868-w_869)*distort/2'                                                w_868
+ 'delay+434*per+per2+(w_868-w_869)*distort/2+(dtf+dtr)/2+(w_869-w_868)*(dtf-dtr)/2'          w_869
+ 'delay+435*per+   (w_869-w_870)*distort/2'                                                  w_869
+ 'delay+435*per+   (w_869-w_870)*distort/2+(dtf+dtr)/2+(w_870-w_869)*(dtf-dtr)/2'            w_870
+ 'delay+435*per+per2+(w_870-w_871)*distort/2'                                                w_870
+ 'delay+435*per+per2+(w_870-w_871)*distort/2+(dtf+dtr)/2+(w_871-w_870)*(dtf-dtr)/2'          w_871
+ 'delay+436*per+   (w_871-w_872)*distort/2'                                                  w_871
+ 'delay+436*per+   (w_871-w_872)*distort/2+(dtf+dtr)/2+(w_872-w_871)*(dtf-dtr)/2'            w_872
+ 'delay+436*per+per2+(w_872-w_873)*distort/2'                                                w_872
+ 'delay+436*per+per2+(w_872-w_873)*distort/2+(dtf+dtr)/2+(w_873-w_872)*(dtf-dtr)/2'          w_873
+ 'delay+437*per+   (w_873-w_874)*distort/2'                                                  w_873
+ 'delay+437*per+   (w_873-w_874)*distort/2+(dtf+dtr)/2+(w_874-w_873)*(dtf-dtr)/2'            w_874
+ 'delay+437*per+per2+(w_874-w_875)*distort/2'                                                w_874
+ 'delay+437*per+per2+(w_874-w_875)*distort/2+(dtf+dtr)/2+(w_875-w_874)*(dtf-dtr)/2'          w_875
+ 'delay+438*per+   (w_875-w_876)*distort/2'                                                  w_875
+ 'delay+438*per+   (w_875-w_876)*distort/2+(dtf+dtr)/2+(w_876-w_875)*(dtf-dtr)/2'            w_876
+ 'delay+438*per+per2+(w_876-w_877)*distort/2'                                                w_876
+ 'delay+438*per+per2+(w_876-w_877)*distort/2+(dtf+dtr)/2+(w_877-w_876)*(dtf-dtr)/2'          w_877
+ 'delay+439*per+   (w_877-w_878)*distort/2'                                                  w_877
+ 'delay+439*per+   (w_877-w_878)*distort/2+(dtf+dtr)/2+(w_878-w_877)*(dtf-dtr)/2'            w_878
+ 'delay+439*per+per2+(w_878-w_879)*distort/2'                                                w_878
+ 'delay+439*per+per2+(w_878-w_879)*distort/2+(dtf+dtr)/2+(w_879-w_878)*(dtf-dtr)/2'          w_879
+ 'delay+440*per+   (w_879-w_880)*distort/2'                                                  w_879
+ 'delay+440*per+   (w_879-w_880)*distort/2+(dtf+dtr)/2+(w_880-w_879)*(dtf-dtr)/2'            w_880
+ 'delay+440*per+per2+(w_880-w_881)*distort/2'                                                w_880
+ 'delay+440*per+per2+(w_880-w_881)*distort/2+(dtf+dtr)/2+(w_881-w_880)*(dtf-dtr)/2'          w_881
+ 'delay+441*per+   (w_881-w_882)*distort/2'                                                  w_881
+ 'delay+441*per+   (w_881-w_882)*distort/2+(dtf+dtr)/2+(w_882-w_881)*(dtf-dtr)/2'            w_882
+ 'delay+441*per+per2+(w_882-w_883)*distort/2'                                                w_882
+ 'delay+441*per+per2+(w_882-w_883)*distort/2+(dtf+dtr)/2+(w_883-w_882)*(dtf-dtr)/2'          w_883
+ 'delay+442*per+   (w_883-w_884)*distort/2'                                                  w_883
+ 'delay+442*per+   (w_883-w_884)*distort/2+(dtf+dtr)/2+(w_884-w_883)*(dtf-dtr)/2'            w_884
+ 'delay+442*per+per2+(w_884-w_885)*distort/2'                                                w_884
+ 'delay+442*per+per2+(w_884-w_885)*distort/2+(dtf+dtr)/2+(w_885-w_884)*(dtf-dtr)/2'          w_885
+ 'delay+443*per+   (w_885-w_886)*distort/2'                                                  w_885
+ 'delay+443*per+   (w_885-w_886)*distort/2+(dtf+dtr)/2+(w_886-w_885)*(dtf-dtr)/2'            w_886
+ 'delay+443*per+per2+(w_886-w_887)*distort/2'                                                w_886
+ 'delay+443*per+per2+(w_886-w_887)*distort/2+(dtf+dtr)/2+(w_887-w_886)*(dtf-dtr)/2'          w_887
+ 'delay+444*per+   (w_887-w_888)*distort/2'                                                  w_887
+ 'delay+444*per+   (w_887-w_888)*distort/2+(dtf+dtr)/2+(w_888-w_887)*(dtf-dtr)/2'            w_888
+ 'delay+444*per+per2+(w_888-w_889)*distort/2'                                                w_888
+ 'delay+444*per+per2+(w_888-w_889)*distort/2+(dtf+dtr)/2+(w_889-w_888)*(dtf-dtr)/2'          w_889
+ 'delay+445*per+   (w_889-w_890)*distort/2'                                                  w_889
+ 'delay+445*per+   (w_889-w_890)*distort/2+(dtf+dtr)/2+(w_890-w_889)*(dtf-dtr)/2'            w_890
+ 'delay+445*per+per2+(w_890-w_891)*distort/2'                                                w_890
+ 'delay+445*per+per2+(w_890-w_891)*distort/2+(dtf+dtr)/2+(w_891-w_890)*(dtf-dtr)/2'          w_891
+ 'delay+446*per+   (w_891-w_892)*distort/2'                                                  w_891
+ 'delay+446*per+   (w_891-w_892)*distort/2+(dtf+dtr)/2+(w_892-w_891)*(dtf-dtr)/2'            w_892
+ 'delay+446*per+per2+(w_892-w_893)*distort/2'                                                w_892
+ 'delay+446*per+per2+(w_892-w_893)*distort/2+(dtf+dtr)/2+(w_893-w_892)*(dtf-dtr)/2'          w_893
+ 'delay+447*per+   (w_893-w_894)*distort/2'                                                  w_893
+ 'delay+447*per+   (w_893-w_894)*distort/2+(dtf+dtr)/2+(w_894-w_893)*(dtf-dtr)/2'            w_894
+ 'delay+447*per+per2+(w_894-w_895)*distort/2'                                                w_894
+ 'delay+447*per+per2+(w_894-w_895)*distort/2+(dtf+dtr)/2+(w_895-w_894)*(dtf-dtr)/2'          w_895
+ 'delay+448*per+   (w_895-w_896)*distort/2'                                                  w_895
+ 'delay+448*per+   (w_895-w_896)*distort/2+(dtf+dtr)/2+(w_896-w_895)*(dtf-dtr)/2'            w_896
+ 'delay+448*per+per2+(w_896-w_897)*distort/2'                                                w_896
+ 'delay+448*per+per2+(w_896-w_897)*distort/2+(dtf+dtr)/2+(w_897-w_896)*(dtf-dtr)/2'          w_897
+ 'delay+449*per+   (w_897-w_898)*distort/2'                                                  w_897
+ 'delay+449*per+   (w_897-w_898)*distort/2+(dtf+dtr)/2+(w_898-w_897)*(dtf-dtr)/2'            w_898
+ 'delay+449*per+per2+(w_898-w_899)*distort/2'                                                w_898
+ 'delay+449*per+per2+(w_898-w_899)*distort/2+(dtf+dtr)/2+(w_899-w_898)*(dtf-dtr)/2'          w_899
+ 'delay+450*per+   (w_899-w_900)*distort/2'                                                  w_899
+ 'delay+450*per+   (w_899-w_900)*distort/2+(dtf+dtr)/2+(w_900-w_899)*(dtf-dtr)/2'            w_900
+ 'delay+450*per+per2+(w_900-w_901)*distort/2'                                                w_900
+ 'delay+450*per+per2+(w_900-w_901)*distort/2+(dtf+dtr)/2+(w_901-w_900)*(dtf-dtr)/2'          w_901
+ 'delay+451*per+   (w_901-w_902)*distort/2'                                                  w_901
+ 'delay+451*per+   (w_901-w_902)*distort/2+(dtf+dtr)/2+(w_902-w_901)*(dtf-dtr)/2'            w_902
+ 'delay+451*per+per2+(w_902-w_903)*distort/2'                                                w_902
+ 'delay+451*per+per2+(w_902-w_903)*distort/2+(dtf+dtr)/2+(w_903-w_902)*(dtf-dtr)/2'          w_903
+ 'delay+452*per+   (w_903-w_904)*distort/2'                                                  w_903
+ 'delay+452*per+   (w_903-w_904)*distort/2+(dtf+dtr)/2+(w_904-w_903)*(dtf-dtr)/2'            w_904
+ 'delay+452*per+per2+(w_904-w_905)*distort/2'                                                w_904
+ 'delay+452*per+per2+(w_904-w_905)*distort/2+(dtf+dtr)/2+(w_905-w_904)*(dtf-dtr)/2'          w_905
+ 'delay+453*per+   (w_905-w_906)*distort/2'                                                  w_905
+ 'delay+453*per+   (w_905-w_906)*distort/2+(dtf+dtr)/2+(w_906-w_905)*(dtf-dtr)/2'            w_906
+ 'delay+453*per+per2+(w_906-w_907)*distort/2'                                                w_906
+ 'delay+453*per+per2+(w_906-w_907)*distort/2+(dtf+dtr)/2+(w_907-w_906)*(dtf-dtr)/2'          w_907
+ 'delay+454*per+   (w_907-w_908)*distort/2'                                                  w_907
+ 'delay+454*per+   (w_907-w_908)*distort/2+(dtf+dtr)/2+(w_908-w_907)*(dtf-dtr)/2'            w_908
+ 'delay+454*per+per2+(w_908-w_909)*distort/2'                                                w_908
+ 'delay+454*per+per2+(w_908-w_909)*distort/2+(dtf+dtr)/2+(w_909-w_908)*(dtf-dtr)/2'          w_909
+ 'delay+455*per+   (w_909-w_910)*distort/2'                                                  w_909
+ 'delay+455*per+   (w_909-w_910)*distort/2+(dtf+dtr)/2+(w_910-w_909)*(dtf-dtr)/2'            w_910
+ 'delay+455*per+per2+(w_910-w_911)*distort/2'                                                w_910
+ 'delay+455*per+per2+(w_910-w_911)*distort/2+(dtf+dtr)/2+(w_911-w_910)*(dtf-dtr)/2'          w_911
+ 'delay+456*per+   (w_911-w_912)*distort/2'                                                  w_911
+ 'delay+456*per+   (w_911-w_912)*distort/2+(dtf+dtr)/2+(w_912-w_911)*(dtf-dtr)/2'            w_912
+ 'delay+456*per+per2+(w_912-w_913)*distort/2'                                                w_912
+ 'delay+456*per+per2+(w_912-w_913)*distort/2+(dtf+dtr)/2+(w_913-w_912)*(dtf-dtr)/2'          w_913
+ 'delay+457*per+   (w_913-w_914)*distort/2'                                                  w_913
+ 'delay+457*per+   (w_913-w_914)*distort/2+(dtf+dtr)/2+(w_914-w_913)*(dtf-dtr)/2'            w_914
+ 'delay+457*per+per2+(w_914-w_915)*distort/2'                                                w_914
+ 'delay+457*per+per2+(w_914-w_915)*distort/2+(dtf+dtr)/2+(w_915-w_914)*(dtf-dtr)/2'          w_915
+ 'delay+458*per+   (w_915-w_916)*distort/2'                                                  w_915
+ 'delay+458*per+   (w_915-w_916)*distort/2+(dtf+dtr)/2+(w_916-w_915)*(dtf-dtr)/2'            w_916
+ 'delay+458*per+per2+(w_916-w_917)*distort/2'                                                w_916
+ 'delay+458*per+per2+(w_916-w_917)*distort/2+(dtf+dtr)/2+(w_917-w_916)*(dtf-dtr)/2'          w_917
+ 'delay+459*per+   (w_917-w_918)*distort/2'                                                  w_917
+ 'delay+459*per+   (w_917-w_918)*distort/2+(dtf+dtr)/2+(w_918-w_917)*(dtf-dtr)/2'            w_918
+ 'delay+459*per+per2+(w_918-w_919)*distort/2'                                                w_918
+ 'delay+459*per+per2+(w_918-w_919)*distort/2+(dtf+dtr)/2+(w_919-w_918)*(dtf-dtr)/2'          w_919
+ 'delay+460*per+   (w_919-w_920)*distort/2'                                                  w_919
+ 'delay+460*per+   (w_919-w_920)*distort/2+(dtf+dtr)/2+(w_920-w_919)*(dtf-dtr)/2'            w_920
+ 'delay+460*per+per2+(w_920-w_921)*distort/2'                                                w_920
+ 'delay+460*per+per2+(w_920-w_921)*distort/2+(dtf+dtr)/2+(w_921-w_920)*(dtf-dtr)/2'          w_921
+ 'delay+461*per+   (w_921-w_922)*distort/2'                                                  w_921
+ 'delay+461*per+   (w_921-w_922)*distort/2+(dtf+dtr)/2+(w_922-w_921)*(dtf-dtr)/2'            w_922
+ 'delay+461*per+per2+(w_922-w_923)*distort/2'                                                w_922
+ 'delay+461*per+per2+(w_922-w_923)*distort/2+(dtf+dtr)/2+(w_923-w_922)*(dtf-dtr)/2'          w_923
+ 'delay+462*per+   (w_923-w_924)*distort/2'                                                  w_923
+ 'delay+462*per+   (w_923-w_924)*distort/2+(dtf+dtr)/2+(w_924-w_923)*(dtf-dtr)/2'            w_924
+ 'delay+462*per+per2+(w_924-w_925)*distort/2'                                                w_924
+ 'delay+462*per+per2+(w_924-w_925)*distort/2+(dtf+dtr)/2+(w_925-w_924)*(dtf-dtr)/2'          w_925
+ 'delay+463*per+   (w_925-w_926)*distort/2'                                                  w_925
+ 'delay+463*per+   (w_925-w_926)*distort/2+(dtf+dtr)/2+(w_926-w_925)*(dtf-dtr)/2'            w_926
+ 'delay+463*per+per2+(w_926-w_927)*distort/2'                                                w_926
+ 'delay+463*per+per2+(w_926-w_927)*distort/2+(dtf+dtr)/2+(w_927-w_926)*(dtf-dtr)/2'          w_927
+ 'delay+464*per+   (w_927-w_928)*distort/2'                                                  w_927
+ 'delay+464*per+   (w_927-w_928)*distort/2+(dtf+dtr)/2+(w_928-w_927)*(dtf-dtr)/2'            w_928
+ 'delay+464*per+per2+(w_928-w_929)*distort/2'                                                w_928
+ 'delay+464*per+per2+(w_928-w_929)*distort/2+(dtf+dtr)/2+(w_929-w_928)*(dtf-dtr)/2'          w_929
+ 'delay+465*per+   (w_929-w_930)*distort/2'                                                  w_929
+ 'delay+465*per+   (w_929-w_930)*distort/2+(dtf+dtr)/2+(w_930-w_929)*(dtf-dtr)/2'            w_930
+ 'delay+465*per+per2+(w_930-w_931)*distort/2'                                                w_930
+ 'delay+465*per+per2+(w_930-w_931)*distort/2+(dtf+dtr)/2+(w_931-w_930)*(dtf-dtr)/2'          w_931
+ 'delay+466*per+   (w_931-w_932)*distort/2'                                                  w_931
+ 'delay+466*per+   (w_931-w_932)*distort/2+(dtf+dtr)/2+(w_932-w_931)*(dtf-dtr)/2'            w_932
+ 'delay+466*per+per2+(w_932-w_933)*distort/2'                                                w_932
+ 'delay+466*per+per2+(w_932-w_933)*distort/2+(dtf+dtr)/2+(w_933-w_932)*(dtf-dtr)/2'          w_933
+ 'delay+467*per+   (w_933-w_934)*distort/2'                                                  w_933
+ 'delay+467*per+   (w_933-w_934)*distort/2+(dtf+dtr)/2+(w_934-w_933)*(dtf-dtr)/2'            w_934
+ 'delay+467*per+per2+(w_934-w_935)*distort/2'                                                w_934
+ 'delay+467*per+per2+(w_934-w_935)*distort/2+(dtf+dtr)/2+(w_935-w_934)*(dtf-dtr)/2'          w_935
+ 'delay+468*per+   (w_935-w_936)*distort/2'                                                  w_935
+ 'delay+468*per+   (w_935-w_936)*distort/2+(dtf+dtr)/2+(w_936-w_935)*(dtf-dtr)/2'            w_936
+ 'delay+468*per+per2+(w_936-w_937)*distort/2'                                                w_936
+ 'delay+468*per+per2+(w_936-w_937)*distort/2+(dtf+dtr)/2+(w_937-w_936)*(dtf-dtr)/2'          w_937
+ 'delay+469*per+   (w_937-w_938)*distort/2'                                                  w_937
+ 'delay+469*per+   (w_937-w_938)*distort/2+(dtf+dtr)/2+(w_938-w_937)*(dtf-dtr)/2'            w_938
+ 'delay+469*per+per2+(w_938-w_939)*distort/2'                                                w_938
+ 'delay+469*per+per2+(w_938-w_939)*distort/2+(dtf+dtr)/2+(w_939-w_938)*(dtf-dtr)/2'          w_939
+ 'delay+470*per+   (w_939-w_940)*distort/2'                                                  w_939
+ 'delay+470*per+   (w_939-w_940)*distort/2+(dtf+dtr)/2+(w_940-w_939)*(dtf-dtr)/2'            w_940
+ 'delay+470*per+per2+(w_940-w_941)*distort/2'                                                w_940
+ 'delay+470*per+per2+(w_940-w_941)*distort/2+(dtf+dtr)/2+(w_941-w_940)*(dtf-dtr)/2'          w_941
+ 'delay+471*per+   (w_941-w_942)*distort/2'                                                  w_941
+ 'delay+471*per+   (w_941-w_942)*distort/2+(dtf+dtr)/2+(w_942-w_941)*(dtf-dtr)/2'            w_942
+ 'delay+471*per+per2+(w_942-w_943)*distort/2'                                                w_942
+ 'delay+471*per+per2+(w_942-w_943)*distort/2+(dtf+dtr)/2+(w_943-w_942)*(dtf-dtr)/2'          w_943
+ 'delay+472*per+   (w_943-w_944)*distort/2'                                                  w_943
+ 'delay+472*per+   (w_943-w_944)*distort/2+(dtf+dtr)/2+(w_944-w_943)*(dtf-dtr)/2'            w_944
+ 'delay+472*per+per2+(w_944-w_945)*distort/2'                                                w_944
+ 'delay+472*per+per2+(w_944-w_945)*distort/2+(dtf+dtr)/2+(w_945-w_944)*(dtf-dtr)/2'          w_945
+ 'delay+473*per+   (w_945-w_946)*distort/2'                                                  w_945
+ 'delay+473*per+   (w_945-w_946)*distort/2+(dtf+dtr)/2+(w_946-w_945)*(dtf-dtr)/2'            w_946
+ 'delay+473*per+per2+(w_946-w_947)*distort/2'                                                w_946
+ 'delay+473*per+per2+(w_946-w_947)*distort/2+(dtf+dtr)/2+(w_947-w_946)*(dtf-dtr)/2'          w_947
+ 'delay+474*per+   (w_947-w_948)*distort/2'                                                  w_947
+ 'delay+474*per+   (w_947-w_948)*distort/2+(dtf+dtr)/2+(w_948-w_947)*(dtf-dtr)/2'            w_948
+ 'delay+474*per+per2+(w_948-w_949)*distort/2'                                                w_948
+ 'delay+474*per+per2+(w_948-w_949)*distort/2+(dtf+dtr)/2+(w_949-w_948)*(dtf-dtr)/2'          w_949
+ 'delay+475*per+   (w_949-w_950)*distort/2'                                                  w_949
+ 'delay+475*per+   (w_949-w_950)*distort/2+(dtf+dtr)/2+(w_950-w_949)*(dtf-dtr)/2'            w_950
+ 'delay+475*per+per2+(w_950-w_951)*distort/2'                                                w_950
+ 'delay+475*per+per2+(w_950-w_951)*distort/2+(dtf+dtr)/2+(w_951-w_950)*(dtf-dtr)/2'          w_951
+ 'delay+476*per+   (w_951-w_952)*distort/2'                                                  w_951
+ 'delay+476*per+   (w_951-w_952)*distort/2+(dtf+dtr)/2+(w_952-w_951)*(dtf-dtr)/2'            w_952
+ 'delay+476*per+per2+(w_952-w_953)*distort/2'                                                w_952
+ 'delay+476*per+per2+(w_952-w_953)*distort/2+(dtf+dtr)/2+(w_953-w_952)*(dtf-dtr)/2'          w_953
+ 'delay+477*per+   (w_953-w_954)*distort/2'                                                  w_953
+ 'delay+477*per+   (w_953-w_954)*distort/2+(dtf+dtr)/2+(w_954-w_953)*(dtf-dtr)/2'            w_954
+ 'delay+477*per+per2+(w_954-w_955)*distort/2'                                                w_954
+ 'delay+477*per+per2+(w_954-w_955)*distort/2+(dtf+dtr)/2+(w_955-w_954)*(dtf-dtr)/2'          w_955
+ 'delay+478*per+   (w_955-w_956)*distort/2'                                                  w_955
+ 'delay+478*per+   (w_955-w_956)*distort/2+(dtf+dtr)/2+(w_956-w_955)*(dtf-dtr)/2'            w_956
+ 'delay+478*per+per2+(w_956-w_957)*distort/2'                                                w_956
+ 'delay+478*per+per2+(w_956-w_957)*distort/2+(dtf+dtr)/2+(w_957-w_956)*(dtf-dtr)/2'          w_957
+ 'delay+479*per+   (w_957-w_958)*distort/2'                                                  w_957
+ 'delay+479*per+   (w_957-w_958)*distort/2+(dtf+dtr)/2+(w_958-w_957)*(dtf-dtr)/2'            w_958
+ 'delay+479*per+per2+(w_958-w_959)*distort/2'                                                w_958
+ 'delay+479*per+per2+(w_958-w_959)*distort/2+(dtf+dtr)/2+(w_959-w_958)*(dtf-dtr)/2'          w_959
+ 'delay+480*per+   (w_959-w_960)*distort/2'                                                  w_959
+ 'delay+480*per+   (w_959-w_960)*distort/2+(dtf+dtr)/2+(w_960-w_959)*(dtf-dtr)/2'            w_960
+ 'delay+480*per+per2+(w_960-w_961)*distort/2'                                                w_960
+ 'delay+480*per+per2+(w_960-w_961)*distort/2+(dtf+dtr)/2+(w_961-w_960)*(dtf-dtr)/2'          w_961
+ 'delay+481*per+   (w_961-w_962)*distort/2'                                                  w_961
+ 'delay+481*per+   (w_961-w_962)*distort/2+(dtf+dtr)/2+(w_962-w_961)*(dtf-dtr)/2'            w_962
+ 'delay+481*per+per2+(w_962-w_963)*distort/2'                                                w_962
+ 'delay+481*per+per2+(w_962-w_963)*distort/2+(dtf+dtr)/2+(w_963-w_962)*(dtf-dtr)/2'          w_963
+ 'delay+482*per+   (w_963-w_964)*distort/2'                                                  w_963
+ 'delay+482*per+   (w_963-w_964)*distort/2+(dtf+dtr)/2+(w_964-w_963)*(dtf-dtr)/2'            w_964
+ 'delay+482*per+per2+(w_964-w_965)*distort/2'                                                w_964
+ 'delay+482*per+per2+(w_964-w_965)*distort/2+(dtf+dtr)/2+(w_965-w_964)*(dtf-dtr)/2'          w_965
+ 'delay+483*per+   (w_965-w_966)*distort/2'                                                  w_965
+ 'delay+483*per+   (w_965-w_966)*distort/2+(dtf+dtr)/2+(w_966-w_965)*(dtf-dtr)/2'            w_966
+ 'delay+483*per+per2+(w_966-w_967)*distort/2'                                                w_966
+ 'delay+483*per+per2+(w_966-w_967)*distort/2+(dtf+dtr)/2+(w_967-w_966)*(dtf-dtr)/2'          w_967
+ 'delay+484*per+   (w_967-w_968)*distort/2'                                                  w_967
+ 'delay+484*per+   (w_967-w_968)*distort/2+(dtf+dtr)/2+(w_968-w_967)*(dtf-dtr)/2'            w_968
+ 'delay+484*per+per2+(w_968-w_969)*distort/2'                                                w_968
+ 'delay+484*per+per2+(w_968-w_969)*distort/2+(dtf+dtr)/2+(w_969-w_968)*(dtf-dtr)/2'          w_969
+ 'delay+485*per+   (w_969-w_970)*distort/2'                                                  w_969
+ 'delay+485*per+   (w_969-w_970)*distort/2+(dtf+dtr)/2+(w_970-w_969)*(dtf-dtr)/2'            w_970
+ 'delay+485*per+per2+(w_970-w_971)*distort/2'                                                w_970
+ 'delay+485*per+per2+(w_970-w_971)*distort/2+(dtf+dtr)/2+(w_971-w_970)*(dtf-dtr)/2'          w_971
+ 'delay+486*per+   (w_971-w_972)*distort/2'                                                  w_971
+ 'delay+486*per+   (w_971-w_972)*distort/2+(dtf+dtr)/2+(w_972-w_971)*(dtf-dtr)/2'            w_972
+ 'delay+486*per+per2+(w_972-w_973)*distort/2'                                                w_972
+ 'delay+486*per+per2+(w_972-w_973)*distort/2+(dtf+dtr)/2+(w_973-w_972)*(dtf-dtr)/2'          w_973
+ 'delay+487*per+   (w_973-w_974)*distort/2'                                                  w_973
+ 'delay+487*per+   (w_973-w_974)*distort/2+(dtf+dtr)/2+(w_974-w_973)*(dtf-dtr)/2'            w_974
+ 'delay+487*per+per2+(w_974-w_975)*distort/2'                                                w_974
+ 'delay+487*per+per2+(w_974-w_975)*distort/2+(dtf+dtr)/2+(w_975-w_974)*(dtf-dtr)/2'          w_975
+ 'delay+488*per+   (w_975-w_976)*distort/2'                                                  w_975
+ 'delay+488*per+   (w_975-w_976)*distort/2+(dtf+dtr)/2+(w_976-w_975)*(dtf-dtr)/2'            w_976
+ 'delay+488*per+per2+(w_976-w_977)*distort/2'                                                w_976
+ 'delay+488*per+per2+(w_976-w_977)*distort/2+(dtf+dtr)/2+(w_977-w_976)*(dtf-dtr)/2'          w_977
+ 'delay+489*per+   (w_977-w_978)*distort/2'                                                  w_977
+ 'delay+489*per+   (w_977-w_978)*distort/2+(dtf+dtr)/2+(w_978-w_977)*(dtf-dtr)/2'            w_978
+ 'delay+489*per+per2+(w_978-w_979)*distort/2'                                                w_978
+ 'delay+489*per+per2+(w_978-w_979)*distort/2+(dtf+dtr)/2+(w_979-w_978)*(dtf-dtr)/2'          w_979
+ 'delay+490*per+   (w_979-w_980)*distort/2'                                                  w_979
+ 'delay+490*per+   (w_979-w_980)*distort/2+(dtf+dtr)/2+(w_980-w_979)*(dtf-dtr)/2'            w_980
+ 'delay+490*per+per2+(w_980-w_981)*distort/2'                                                w_980
+ 'delay+490*per+per2+(w_980-w_981)*distort/2+(dtf+dtr)/2+(w_981-w_980)*(dtf-dtr)/2'          w_981
+ 'delay+491*per+   (w_981-w_982)*distort/2'                                                  w_981
+ 'delay+491*per+   (w_981-w_982)*distort/2+(dtf+dtr)/2+(w_982-w_981)*(dtf-dtr)/2'            w_982
+ 'delay+491*per+per2+(w_982-w_983)*distort/2'                                                w_982
+ 'delay+491*per+per2+(w_982-w_983)*distort/2+(dtf+dtr)/2+(w_983-w_982)*(dtf-dtr)/2'          w_983
+ 'delay+492*per+   (w_983-w_984)*distort/2'                                                  w_983
+ 'delay+492*per+   (w_983-w_984)*distort/2+(dtf+dtr)/2+(w_984-w_983)*(dtf-dtr)/2'            w_984
+ 'delay+492*per+per2+(w_984-w_985)*distort/2'                                                w_984
+ 'delay+492*per+per2+(w_984-w_985)*distort/2+(dtf+dtr)/2+(w_985-w_984)*(dtf-dtr)/2'          w_985
+ 'delay+493*per+   (w_985-w_986)*distort/2'                                                  w_985
+ 'delay+493*per+   (w_985-w_986)*distort/2+(dtf+dtr)/2+(w_986-w_985)*(dtf-dtr)/2'            w_986
+ 'delay+493*per+per2+(w_986-w_987)*distort/2'                                                w_986
+ 'delay+493*per+per2+(w_986-w_987)*distort/2+(dtf+dtr)/2+(w_987-w_986)*(dtf-dtr)/2'          w_987
+ 'delay+494*per+   (w_987-w_988)*distort/2'                                                  w_987
+ 'delay+494*per+   (w_987-w_988)*distort/2+(dtf+dtr)/2+(w_988-w_987)*(dtf-dtr)/2'            w_988
+ 'delay+494*per+per2+(w_988-w_989)*distort/2'                                                w_988
+ 'delay+494*per+per2+(w_988-w_989)*distort/2+(dtf+dtr)/2+(w_989-w_988)*(dtf-dtr)/2'          w_989
+ 'delay+495*per+   (w_989-w_990)*distort/2'                                                  w_989
+ 'delay+495*per+   (w_989-w_990)*distort/2+(dtf+dtr)/2+(w_990-w_989)*(dtf-dtr)/2'            w_990
+ 'delay+495*per+per2+(w_990-w_991)*distort/2'                                                w_990
+ 'delay+495*per+per2+(w_990-w_991)*distort/2+(dtf+dtr)/2+(w_991-w_990)*(dtf-dtr)/2'          w_991
+ 'delay+496*per+   (w_991-w_992)*distort/2'                                                  w_991
+ 'delay+496*per+   (w_991-w_992)*distort/2+(dtf+dtr)/2+(w_992-w_991)*(dtf-dtr)/2'            w_992
+ 'delay+496*per+per2+(w_992-w_993)*distort/2'                                                w_992
+ 'delay+496*per+per2+(w_992-w_993)*distort/2+(dtf+dtr)/2+(w_993-w_992)*(dtf-dtr)/2'          w_993
+ 'delay+497*per+   (w_993-w_994)*distort/2'                                                  w_993
+ 'delay+497*per+   (w_993-w_994)*distort/2+(dtf+dtr)/2+(w_994-w_993)*(dtf-dtr)/2'            w_994
+ 'delay+497*per+per2+(w_994-w_995)*distort/2'                                                w_994
+ 'delay+497*per+per2+(w_994-w_995)*distort/2+(dtf+dtr)/2+(w_995-w_994)*(dtf-dtr)/2'          w_995
+ 'delay+498*per+   (w_995-w_996)*distort/2'                                                  w_995
+ 'delay+498*per+   (w_995-w_996)*distort/2+(dtf+dtr)/2+(w_996-w_995)*(dtf-dtr)/2'            w_996
+ 'delay+498*per+per2+(w_996-w_997)*distort/2'                                                w_996
+ 'delay+498*per+per2+(w_996-w_997)*distort/2+(dtf+dtr)/2+(w_997-w_996)*(dtf-dtr)/2'          w_997
+ 'delay+499*per+   (w_997-w_998)*distort/2'                                                  w_997
+ 'delay+499*per+   (w_997-w_998)*distort/2+(dtf+dtr)/2+(w_998-w_997)*(dtf-dtr)/2'            w_998
+ 'delay+499*per+per2+(w_998-w_999)*distort/2'                                                w_998
+ 'delay+499*per+per2+(w_998-w_999)*distort/2+(dtf+dtr)/2+(w_999-w_998)*(dtf-dtr)/2'          w_999
+ 'delay+500*per+   (w_999-w_1000)*distort/2'                                                 w_999
+ 'delay+500*per+   (w_999-w_1000)*distort/2+(dtf+dtr)/2+(w_1000-w_999)*(dtf-dtr)/2'          w_1000
+ 'delay+500*per+per2+(w_1000-w_1001)*distort/2'                                              w_1000
+ 'delay+500*per+per2+(w_1000-w_1001)*distort/2+(dtf+dtr)/2+(w_1001-w_1000)*(dtf-dtr)/2'      w_1001
+ 'delay+501*per+   (w_1001-w_1002)*distort/2'                                                w_1001
+ 'delay+501*per+   (w_1001-w_1002)*distort/2+(dtf+dtr)/2+(w_1002-w_1001)*(dtf-dtr)/2'        w_1002
+ 'delay+501*per+per2+(w_1002-w_1003)*distort/2'                                              w_1002
+ 'delay+501*per+per2+(w_1002-w_1003)*distort/2+(dtf+dtr)/2+(w_1003-w_1002)*(dtf-dtr)/2'      w_1003
+ 'delay+502*per+   (w_1003-w_1004)*distort/2'                                                w_1003
+ 'delay+502*per+   (w_1003-w_1004)*distort/2+(dtf+dtr)/2+(w_1004-w_1003)*(dtf-dtr)/2'        w_1004
+ 'delay+502*per+per2+(w_1004-w_1005)*distort/2'                                              w_1004
+ 'delay+502*per+per2+(w_1004-w_1005)*distort/2+(dtf+dtr)/2+(w_1005-w_1004)*(dtf-dtr)/2'      w_1005
+ 'delay+503*per+   (w_1005-w_1006)*distort/2'                                                w_1005
+ 'delay+503*per+   (w_1005-w_1006)*distort/2+(dtf+dtr)/2+(w_1006-w_1005)*(dtf-dtr)/2'        w_1006
+ 'delay+503*per+per2+(w_1006-w_1007)*distort/2'                                              w_1006
+ 'delay+503*per+per2+(w_1006-w_1007)*distort/2+(dtf+dtr)/2+(w_1007-w_1006)*(dtf-dtr)/2'      w_1007
+ 'delay+504*per+   (w_1007-w_1008)*distort/2'                                                w_1007
+ 'delay+504*per+   (w_1007-w_1008)*distort/2+(dtf+dtr)/2+(w_1008-w_1007)*(dtf-dtr)/2'        w_1008
+ 'delay+504*per+per2+(w_1008-w_1009)*distort/2'                                              w_1008
+ 'delay+504*per+per2+(w_1008-w_1009)*distort/2+(dtf+dtr)/2+(w_1009-w_1008)*(dtf-dtr)/2'      w_1009
+ 'delay+505*per+   (w_1009-w_1010)*distort/2'                                                w_1009
+ 'delay+505*per+   (w_1009-w_1010)*distort/2+(dtf+dtr)/2+(w_1010-w_1009)*(dtf-dtr)/2'        w_1010
+ 'delay+505*per+per2+(w_1010-w_1011)*distort/2'                                              w_1010
+ 'delay+505*per+per2+(w_1010-w_1011)*distort/2+(dtf+dtr)/2+(w_1011-w_1010)*(dtf-dtr)/2'      w_1011
+ 'delay+506*per+   (w_1011-w_1012)*distort/2'                                                w_1011
+ 'delay+506*per+   (w_1011-w_1012)*distort/2+(dtf+dtr)/2+(w_1012-w_1011)*(dtf-dtr)/2'        w_1012
+ 'delay+506*per+per2+(w_1012-w_1013)*distort/2'                                              w_1012
+ 'delay+506*per+per2+(w_1012-w_1013)*distort/2+(dtf+dtr)/2+(w_1013-w_1012)*(dtf-dtr)/2'      w_1013
+ 'delay+507*per+   (w_1013-w_1014)*distort/2'                                                w_1013
+ 'delay+507*per+   (w_1013-w_1014)*distort/2+(dtf+dtr)/2+(w_1014-w_1013)*(dtf-dtr)/2'        w_1014
+ 'delay+507*per+per2+(w_1014-w_1015)*distort/2'                                              w_1014
+ 'delay+507*per+per2+(w_1014-w_1015)*distort/2+(dtf+dtr)/2+(w_1015-w_1014)*(dtf-dtr)/2'      w_1015
+ 'delay+508*per+   (w_1015-w_1016)*distort/2'                                                w_1015
+ 'delay+508*per+   (w_1015-w_1016)*distort/2+(dtf+dtr)/2+(w_1016-w_1015)*(dtf-dtr)/2'        w_1016
+ 'delay+508*per+per2+(w_1016-w_1017)*distort/2'                                              w_1016
+ 'delay+508*per+per2+(w_1016-w_1017)*distort/2+(dtf+dtr)/2+(w_1017-w_1016)*(dtf-dtr)/2'      w_1017
+ 'delay+509*per+   (w_1017-w_1018)*distort/2'                                                w_1017
+ 'delay+509*per+   (w_1017-w_1018)*distort/2+(dtf+dtr)/2+(w_1018-w_1017)*(dtf-dtr)/2'        w_1018
+ 'delay+509*per+per2+(w_1018-w_1019)*distort/2'                                              w_1018
+ 'delay+509*per+per2+(w_1018-w_1019)*distort/2+(dtf+dtr)/2+(w_1019-w_1018)*(dtf-dtr)/2'      w_1019
+ 'delay+510*per+   (w_1019-w_1020)*distort/2'                                                w_1019
+ 'delay+510*per+   (w_1019-w_1020)*distort/2+(dtf+dtr)/2+(w_1020-w_1019)*(dtf-dtr)/2'        w_1020
+ 'delay+510*per+per2+(w_1020-w_1021)*distort/2'                                              w_1020
+ 'delay+510*per+per2+(w_1020-w_1021)*distort/2+(dtf+dtr)/2+(w_1021-w_1020)*(dtf-dtr)/2'      w_1021
+ 'delay+511*per+   (w_1021-w_1022)*distort/2'                                                w_1021
+ 'delay+511*per+   (w_1021-w_1022)*distort/2+(dtf+dtr)/2+(w_1022-w_1021)*(dtf-dtr)/2'        w_1022
+ 'delay+511*per+per2+(w_1022-w_1023)*distort/2'                                              w_1022
+ 'delay+511*per+per2+(w_1022-w_1023)*distort/2+(dtf+dtr)/2+(w_1023-w_1022)*(dtf-dtr)/2'      w_1023
+ 'delay+512*per+   (w_1023-w_1024)*distort/2'                                                w_1023
+ 'delay+512*per+   (w_1023-w_1024)*distort/2+(dtf+dtr)/2+(w_1024-w_1023)*(dtf-dtr)/2'        w_1024
+ 'delay+512*per+per2+(w_1024-w_1025)*distort/2'                                              w_1024
+ 'delay+512*per+per2+(w_1024-w_1025)*distort/2+(dtf+dtr)/2+(w_1025-w_1024)*(dtf-dtr)/2'      w_1025
+ 'delay+513*per+   (w_1025-w_1026)*distort/2'                                                w_1025
+ 'delay+513*per+   (w_1025-w_1026)*distort/2+(dtf+dtr)/2+(w_1026-w_1025)*(dtf-dtr)/2'        w_1026
+ 'delay+513*per+per2+(w_1026-w_1027)*distort/2'                                              w_1026
+ 'delay+513*per+per2+(w_1026-w_1027)*distort/2+(dtf+dtr)/2+(w_1027-w_1026)*(dtf-dtr)/2'      w_1027
+ 'delay+514*per+   (w_1027-w_1028)*distort/2'                                                w_1027
+ 'delay+514*per+   (w_1027-w_1028)*distort/2+(dtf+dtr)/2+(w_1028-w_1027)*(dtf-dtr)/2'        w_1028
+ 'delay+514*per+per2+(w_1028-w_1029)*distort/2'                                              w_1028
+ 'delay+514*per+per2+(w_1028-w_1029)*distort/2+(dtf+dtr)/2+(w_1029-w_1028)*(dtf-dtr)/2'      w_1029
+ 'delay+515*per+   (w_1029-w_1030)*distort/2'                                                w_1029
+ 'delay+515*per+   (w_1029-w_1030)*distort/2+(dtf+dtr)/2+(w_1030-w_1029)*(dtf-dtr)/2'        w_1030
+ 'delay+515*per+per2+(w_1030-w_1031)*distort/2'                                              w_1030
+ 'delay+515*per+per2+(w_1030-w_1031)*distort/2+(dtf+dtr)/2+(w_1031-w_1030)*(dtf-dtr)/2'      w_1031
+ 'delay+516*per+   (w_1031-w_1032)*distort/2'                                                w_1031
+ 'delay+516*per+   (w_1031-w_1032)*distort/2+(dtf+dtr)/2+(w_1032-w_1031)*(dtf-dtr)/2'        w_1032
+ 'delay+516*per+per2+(w_1032-w_1033)*distort/2'                                              w_1032
+ 'delay+516*per+per2+(w_1032-w_1033)*distort/2+(dtf+dtr)/2+(w_1033-w_1032)*(dtf-dtr)/2'      w_1033
+ 'delay+517*per+   (w_1033-w_1034)*distort/2'                                                w_1033
+ 'delay+517*per+   (w_1033-w_1034)*distort/2+(dtf+dtr)/2+(w_1034-w_1033)*(dtf-dtr)/2'        w_1034
+ 'delay+517*per+per2+(w_1034-w_1035)*distort/2'                                              w_1034
+ 'delay+517*per+per2+(w_1034-w_1035)*distort/2+(dtf+dtr)/2+(w_1035-w_1034)*(dtf-dtr)/2'      w_1035
+ 'delay+518*per+   (w_1035-w_1036)*distort/2'                                                w_1035
+ 'delay+518*per+   (w_1035-w_1036)*distort/2+(dtf+dtr)/2+(w_1036-w_1035)*(dtf-dtr)/2'        w_1036
+ 'delay+518*per+per2+(w_1036-w_1037)*distort/2'                                              w_1036
+ 'delay+518*per+per2+(w_1036-w_1037)*distort/2+(dtf+dtr)/2+(w_1037-w_1036)*(dtf-dtr)/2'      w_1037
+ 'delay+519*per+   (w_1037-w_1038)*distort/2'                                                w_1037
+ 'delay+519*per+   (w_1037-w_1038)*distort/2+(dtf+dtr)/2+(w_1038-w_1037)*(dtf-dtr)/2'        w_1038
+ 'delay+519*per+per2+(w_1038-w_1039)*distort/2'                                              w_1038
+ 'delay+519*per+per2+(w_1038-w_1039)*distort/2+(dtf+dtr)/2+(w_1039-w_1038)*(dtf-dtr)/2'      w_1039
+ 'delay+520*per+   (w_1039-w_1040)*distort/2'                                                w_1039
+ 'delay+520*per+   (w_1039-w_1040)*distort/2+(dtf+dtr)/2+(w_1040-w_1039)*(dtf-dtr)/2'        w_1040
+ 'delay+520*per+per2+(w_1040-w_1041)*distort/2'                                              w_1040
+ 'delay+520*per+per2+(w_1040-w_1041)*distort/2+(dtf+dtr)/2+(w_1041-w_1040)*(dtf-dtr)/2'      w_1041
+ 'delay+521*per+   (w_1041-w_1042)*distort/2'                                                w_1041
+ 'delay+521*per+   (w_1041-w_1042)*distort/2+(dtf+dtr)/2+(w_1042-w_1041)*(dtf-dtr)/2'        w_1042
+ 'delay+521*per+per2+(w_1042-w_1043)*distort/2'                                              w_1042
+ 'delay+521*per+per2+(w_1042-w_1043)*distort/2+(dtf+dtr)/2+(w_1043-w_1042)*(dtf-dtr)/2'      w_1043
+ 'delay+522*per+   (w_1043-w_1044)*distort/2'                                                w_1043
+ 'delay+522*per+   (w_1043-w_1044)*distort/2+(dtf+dtr)/2+(w_1044-w_1043)*(dtf-dtr)/2'        w_1044
+ 'delay+522*per+per2+(w_1044-w_1045)*distort/2'                                              w_1044
+ 'delay+522*per+per2+(w_1044-w_1045)*distort/2+(dtf+dtr)/2+(w_1045-w_1044)*(dtf-dtr)/2'      w_1045
+ 'delay+523*per+   (w_1045-w_1046)*distort/2'                                                w_1045
+ 'delay+523*per+   (w_1045-w_1046)*distort/2+(dtf+dtr)/2+(w_1046-w_1045)*(dtf-dtr)/2'        w_1046
+ 'delay+523*per+per2+(w_1046-w_1047)*distort/2'                                              w_1046
+ 'delay+523*per+per2+(w_1046-w_1047)*distort/2+(dtf+dtr)/2+(w_1047-w_1046)*(dtf-dtr)/2'      w_1047
+ 'delay+524*per+   (w_1047-w_1048)*distort/2'                                                w_1047
+ 'delay+524*per+   (w_1047-w_1048)*distort/2+(dtf+dtr)/2+(w_1048-w_1047)*(dtf-dtr)/2'        w_1048
+ 'delay+524*per+per2+(w_1048-w_1049)*distort/2'                                              w_1048
+ 'delay+524*per+per2+(w_1048-w_1049)*distort/2+(dtf+dtr)/2+(w_1049-w_1048)*(dtf-dtr)/2'      w_1049
+ 'delay+525*per+   (w_1049-w_1050)*distort/2'                                                w_1049
+ 'delay+525*per+   (w_1049-w_1050)*distort/2+(dtf+dtr)/2+(w_1050-w_1049)*(dtf-dtr)/2'        w_1050
+ 'delay+525*per+per2+(w_1050-w_1051)*distort/2'                                              w_1050
+ 'delay+525*per+per2+(w_1050-w_1051)*distort/2+(dtf+dtr)/2+(w_1051-w_1050)*(dtf-dtr)/2'      w_1051
+ 'delay+526*per+   (w_1051-w_1052)*distort/2'                                                w_1051
+ 'delay+526*per+   (w_1051-w_1052)*distort/2+(dtf+dtr)/2+(w_1052-w_1051)*(dtf-dtr)/2'        w_1052
+ 'delay+526*per+per2+(w_1052-w_1053)*distort/2'                                              w_1052
+ 'delay+526*per+per2+(w_1052-w_1053)*distort/2+(dtf+dtr)/2+(w_1053-w_1052)*(dtf-dtr)/2'      w_1053
+ 'delay+527*per+   (w_1053-w_1054)*distort/2'                                                w_1053
+ 'delay+527*per+   (w_1053-w_1054)*distort/2+(dtf+dtr)/2+(w_1054-w_1053)*(dtf-dtr)/2'        w_1054
+ 'delay+527*per+per2+(w_1054-w_1055)*distort/2'                                              w_1054
+ 'delay+527*per+per2+(w_1054-w_1055)*distort/2+(dtf+dtr)/2+(w_1055-w_1054)*(dtf-dtr)/2'      w_1055
+ 'delay+528*per+   (w_1055-w_1056)*distort/2'                                                w_1055
+ 'delay+528*per+   (w_1055-w_1056)*distort/2+(dtf+dtr)/2+(w_1056-w_1055)*(dtf-dtr)/2'        w_1056
+ 'delay+528*per+per2+(w_1056-w_1057)*distort/2'                                              w_1056
+ 'delay+528*per+per2+(w_1056-w_1057)*distort/2+(dtf+dtr)/2+(w_1057-w_1056)*(dtf-dtr)/2'      w_1057
+ 'delay+529*per+   (w_1057-w_1058)*distort/2'                                                w_1057
+ 'delay+529*per+   (w_1057-w_1058)*distort/2+(dtf+dtr)/2+(w_1058-w_1057)*(dtf-dtr)/2'        w_1058
+ 'delay+529*per+per2+(w_1058-w_1059)*distort/2'                                              w_1058
+ 'delay+529*per+per2+(w_1058-w_1059)*distort/2+(dtf+dtr)/2+(w_1059-w_1058)*(dtf-dtr)/2'      w_1059
+ 'delay+530*per+   (w_1059-w_1060)*distort/2'                                                w_1059
+ 'delay+530*per+   (w_1059-w_1060)*distort/2+(dtf+dtr)/2+(w_1060-w_1059)*(dtf-dtr)/2'        w_1060
+ 'delay+530*per+per2+(w_1060-w_1061)*distort/2'                                              w_1060
+ 'delay+530*per+per2+(w_1060-w_1061)*distort/2+(dtf+dtr)/2+(w_1061-w_1060)*(dtf-dtr)/2'      w_1061
+ 'delay+531*per+   (w_1061-w_1062)*distort/2'                                                w_1061
+ 'delay+531*per+   (w_1061-w_1062)*distort/2+(dtf+dtr)/2+(w_1062-w_1061)*(dtf-dtr)/2'        w_1062
+ 'delay+531*per+per2+(w_1062-w_1063)*distort/2'                                              w_1062
+ 'delay+531*per+per2+(w_1062-w_1063)*distort/2+(dtf+dtr)/2+(w_1063-w_1062)*(dtf-dtr)/2'      w_1063
+ 'delay+532*per+   (w_1063-w_1064)*distort/2'                                                w_1063
+ 'delay+532*per+   (w_1063-w_1064)*distort/2+(dtf+dtr)/2+(w_1064-w_1063)*(dtf-dtr)/2'        w_1064
+ 'delay+532*per+per2+(w_1064-w_1065)*distort/2'                                              w_1064
+ 'delay+532*per+per2+(w_1064-w_1065)*distort/2+(dtf+dtr)/2+(w_1065-w_1064)*(dtf-dtr)/2'      w_1065
+ 'delay+533*per+   (w_1065-w_1066)*distort/2'                                                w_1065
+ 'delay+533*per+   (w_1065-w_1066)*distort/2+(dtf+dtr)/2+(w_1066-w_1065)*(dtf-dtr)/2'        w_1066
+ 'delay+533*per+per2+(w_1066-w_1067)*distort/2'                                              w_1066
+ 'delay+533*per+per2+(w_1066-w_1067)*distort/2+(dtf+dtr)/2+(w_1067-w_1066)*(dtf-dtr)/2'      w_1067
+ 'delay+534*per+   (w_1067-w_1068)*distort/2'                                                w_1067
+ 'delay+534*per+   (w_1067-w_1068)*distort/2+(dtf+dtr)/2+(w_1068-w_1067)*(dtf-dtr)/2'        w_1068
+ 'delay+534*per+per2+(w_1068-w_1069)*distort/2'                                              w_1068
+ 'delay+534*per+per2+(w_1068-w_1069)*distort/2+(dtf+dtr)/2+(w_1069-w_1068)*(dtf-dtr)/2'      w_1069
+ 'delay+535*per+   (w_1069-w_1070)*distort/2'                                                w_1069
+ 'delay+535*per+   (w_1069-w_1070)*distort/2+(dtf+dtr)/2+(w_1070-w_1069)*(dtf-dtr)/2'        w_1070
+ 'delay+535*per+per2+(w_1070-w_1071)*distort/2'                                              w_1070
+ 'delay+535*per+per2+(w_1070-w_1071)*distort/2+(dtf+dtr)/2+(w_1071-w_1070)*(dtf-dtr)/2'      w_1071
+ 'delay+536*per+   (w_1071-w_1072)*distort/2'                                                w_1071
+ 'delay+536*per+   (w_1071-w_1072)*distort/2+(dtf+dtr)/2+(w_1072-w_1071)*(dtf-dtr)/2'        w_1072
+ 'delay+536*per+per2+(w_1072-w_1073)*distort/2'                                              w_1072
+ 'delay+536*per+per2+(w_1072-w_1073)*distort/2+(dtf+dtr)/2+(w_1073-w_1072)*(dtf-dtr)/2'      w_1073
+ 'delay+537*per+   (w_1073-w_1074)*distort/2'                                                w_1073
+ 'delay+537*per+   (w_1073-w_1074)*distort/2+(dtf+dtr)/2+(w_1074-w_1073)*(dtf-dtr)/2'        w_1074
+ 'delay+537*per+per2+(w_1074-w_1075)*distort/2'                                              w_1074
+ 'delay+537*per+per2+(w_1074-w_1075)*distort/2+(dtf+dtr)/2+(w_1075-w_1074)*(dtf-dtr)/2'      w_1075
+ 'delay+538*per+   (w_1075-w_1076)*distort/2'                                                w_1075
+ 'delay+538*per+   (w_1075-w_1076)*distort/2+(dtf+dtr)/2+(w_1076-w_1075)*(dtf-dtr)/2'        w_1076
+ 'delay+538*per+per2+(w_1076-w_1077)*distort/2'                                              w_1076
+ 'delay+538*per+per2+(w_1076-w_1077)*distort/2+(dtf+dtr)/2+(w_1077-w_1076)*(dtf-dtr)/2'      w_1077
+ 'delay+539*per+   (w_1077-w_1078)*distort/2'                                                w_1077
+ 'delay+539*per+   (w_1077-w_1078)*distort/2+(dtf+dtr)/2+(w_1078-w_1077)*(dtf-dtr)/2'        w_1078
+ 'delay+539*per+per2+(w_1078-w_1079)*distort/2'                                              w_1078
+ 'delay+539*per+per2+(w_1078-w_1079)*distort/2+(dtf+dtr)/2+(w_1079-w_1078)*(dtf-dtr)/2'      w_1079
+ 'delay+540*per+   (w_1079-w_1080)*distort/2'                                                w_1079
+ 'delay+540*per+   (w_1079-w_1080)*distort/2+(dtf+dtr)/2+(w_1080-w_1079)*(dtf-dtr)/2'        w_1080
+ 'delay+540*per+per2+(w_1080-w_1081)*distort/2'                                              w_1080
+ 'delay+540*per+per2+(w_1080-w_1081)*distort/2+(dtf+dtr)/2+(w_1081-w_1080)*(dtf-dtr)/2'      w_1081
+ 'delay+541*per+   (w_1081-w_1082)*distort/2'                                                w_1081
+ 'delay+541*per+   (w_1081-w_1082)*distort/2+(dtf+dtr)/2+(w_1082-w_1081)*(dtf-dtr)/2'        w_1082
+ 'delay+541*per+per2+(w_1082-w_1083)*distort/2'                                              w_1082
+ 'delay+541*per+per2+(w_1082-w_1083)*distort/2+(dtf+dtr)/2+(w_1083-w_1082)*(dtf-dtr)/2'      w_1083
+ 'delay+542*per+   (w_1083-w_1084)*distort/2'                                                w_1083
+ 'delay+542*per+   (w_1083-w_1084)*distort/2+(dtf+dtr)/2+(w_1084-w_1083)*(dtf-dtr)/2'        w_1084
+ 'delay+542*per+per2+(w_1084-w_1085)*distort/2'                                              w_1084
+ 'delay+542*per+per2+(w_1084-w_1085)*distort/2+(dtf+dtr)/2+(w_1085-w_1084)*(dtf-dtr)/2'      w_1085
+ 'delay+543*per+   (w_1085-w_1086)*distort/2'                                                w_1085
+ 'delay+543*per+   (w_1085-w_1086)*distort/2+(dtf+dtr)/2+(w_1086-w_1085)*(dtf-dtr)/2'        w_1086
+ 'delay+543*per+per2+(w_1086-w_1087)*distort/2'                                              w_1086
+ 'delay+543*per+per2+(w_1086-w_1087)*distort/2+(dtf+dtr)/2+(w_1087-w_1086)*(dtf-dtr)/2'      w_1087
+ 'delay+544*per+   (w_1087-w_1088)*distort/2'                                                w_1087
+ 'delay+544*per+   (w_1087-w_1088)*distort/2+(dtf+dtr)/2+(w_1088-w_1087)*(dtf-dtr)/2'        w_1088
+ 'delay+544*per+per2+(w_1088-w_1089)*distort/2'                                              w_1088
+ 'delay+544*per+per2+(w_1088-w_1089)*distort/2+(dtf+dtr)/2+(w_1089-w_1088)*(dtf-dtr)/2'      w_1089
+ 'delay+545*per+   (w_1089-w_1090)*distort/2'                                                w_1089
+ 'delay+545*per+   (w_1089-w_1090)*distort/2+(dtf+dtr)/2+(w_1090-w_1089)*(dtf-dtr)/2'        w_1090
+ 'delay+545*per+per2+(w_1090-w_1091)*distort/2'                                              w_1090
+ 'delay+545*per+per2+(w_1090-w_1091)*distort/2+(dtf+dtr)/2+(w_1091-w_1090)*(dtf-dtr)/2'      w_1091
+ 'delay+546*per+   (w_1091-w_1092)*distort/2'                                                w_1091
+ 'delay+546*per+   (w_1091-w_1092)*distort/2+(dtf+dtr)/2+(w_1092-w_1091)*(dtf-dtr)/2'        w_1092
+ 'delay+546*per+per2+(w_1092-w_1093)*distort/2'                                              w_1092
+ 'delay+546*per+per2+(w_1092-w_1093)*distort/2+(dtf+dtr)/2+(w_1093-w_1092)*(dtf-dtr)/2'      w_1093
+ 'delay+547*per+   (w_1093-w_1094)*distort/2'                                                w_1093
+ 'delay+547*per+   (w_1093-w_1094)*distort/2+(dtf+dtr)/2+(w_1094-w_1093)*(dtf-dtr)/2'        w_1094
+ 'delay+547*per+per2+(w_1094-w_1095)*distort/2'                                              w_1094
+ 'delay+547*per+per2+(w_1094-w_1095)*distort/2+(dtf+dtr)/2+(w_1095-w_1094)*(dtf-dtr)/2'      w_1095
+ 'delay+548*per+   (w_1095-w_1096)*distort/2'                                                w_1095
+ 'delay+548*per+   (w_1095-w_1096)*distort/2+(dtf+dtr)/2+(w_1096-w_1095)*(dtf-dtr)/2'        w_1096
+ 'delay+548*per+per2+(w_1096-w_1097)*distort/2'                                              w_1096
+ 'delay+548*per+per2+(w_1096-w_1097)*distort/2+(dtf+dtr)/2+(w_1097-w_1096)*(dtf-dtr)/2'      w_1097
+ 'delay+549*per+   (w_1097-w_1098)*distort/2'                                                w_1097
+ 'delay+549*per+   (w_1097-w_1098)*distort/2+(dtf+dtr)/2+(w_1098-w_1097)*(dtf-dtr)/2'        w_1098
+ 'delay+549*per+per2+(w_1098-w_1099)*distort/2'                                              w_1098
+ 'delay+549*per+per2+(w_1098-w_1099)*distort/2+(dtf+dtr)/2+(w_1099-w_1098)*(dtf-dtr)/2'      w_1099
+ 'delay+550*per+   (w_1099-w_1100)*distort/2'                                                w_1099
+ 'delay+550*per+   (w_1099-w_1100)*distort/2+(dtf+dtr)/2+(w_1100-w_1099)*(dtf-dtr)/2'        w_1100
+ 'delay+550*per+per2+(w_1100-w_1101)*distort/2'                                              w_1100
+ 'delay+550*per+per2+(w_1100-w_1101)*distort/2+(dtf+dtr)/2+(w_1101-w_1100)*(dtf-dtr)/2'      w_1101
+ 'delay+551*per+   (w_1101-w_1102)*distort/2'                                                w_1101
+ 'delay+551*per+   (w_1101-w_1102)*distort/2+(dtf+dtr)/2+(w_1102-w_1101)*(dtf-dtr)/2'        w_1102
+ 'delay+551*per+per2+(w_1102-w_1103)*distort/2'                                              w_1102
+ 'delay+551*per+per2+(w_1102-w_1103)*distort/2+(dtf+dtr)/2+(w_1103-w_1102)*(dtf-dtr)/2'      w_1103
+ 'delay+552*per+   (w_1103-w_1104)*distort/2'                                                w_1103
+ 'delay+552*per+   (w_1103-w_1104)*distort/2+(dtf+dtr)/2+(w_1104-w_1103)*(dtf-dtr)/2'        w_1104
+ 'delay+552*per+per2+(w_1104-w_1105)*distort/2'                                              w_1104
+ 'delay+552*per+per2+(w_1104-w_1105)*distort/2+(dtf+dtr)/2+(w_1105-w_1104)*(dtf-dtr)/2'      w_1105
+ 'delay+553*per+   (w_1105-w_1106)*distort/2'                                                w_1105
+ 'delay+553*per+   (w_1105-w_1106)*distort/2+(dtf+dtr)/2+(w_1106-w_1105)*(dtf-dtr)/2'        w_1106
+ 'delay+553*per+per2+(w_1106-w_1107)*distort/2'                                              w_1106
+ 'delay+553*per+per2+(w_1106-w_1107)*distort/2+(dtf+dtr)/2+(w_1107-w_1106)*(dtf-dtr)/2'      w_1107
+ 'delay+554*per+   (w_1107-w_1108)*distort/2'                                                w_1107
+ 'delay+554*per+   (w_1107-w_1108)*distort/2+(dtf+dtr)/2+(w_1108-w_1107)*(dtf-dtr)/2'        w_1108
+ 'delay+554*per+per2+(w_1108-w_1109)*distort/2'                                              w_1108
+ 'delay+554*per+per2+(w_1108-w_1109)*distort/2+(dtf+dtr)/2+(w_1109-w_1108)*(dtf-dtr)/2'      w_1109
+ 'delay+555*per+   (w_1109-w_1110)*distort/2'                                                w_1109
+ 'delay+555*per+   (w_1109-w_1110)*distort/2+(dtf+dtr)/2+(w_1110-w_1109)*(dtf-dtr)/2'        w_1110
+ 'delay+555*per+per2+(w_1110-w_1111)*distort/2'                                              w_1110
+ 'delay+555*per+per2+(w_1110-w_1111)*distort/2+(dtf+dtr)/2+(w_1111-w_1110)*(dtf-dtr)/2'      w_1111
+ 'delay+556*per+   (w_1111-w_1112)*distort/2'                                                w_1111
+ 'delay+556*per+   (w_1111-w_1112)*distort/2+(dtf+dtr)/2+(w_1112-w_1111)*(dtf-dtr)/2'        w_1112
+ 'delay+556*per+per2+(w_1112-w_1113)*distort/2'                                              w_1112
+ 'delay+556*per+per2+(w_1112-w_1113)*distort/2+(dtf+dtr)/2+(w_1113-w_1112)*(dtf-dtr)/2'      w_1113
+ 'delay+557*per+   (w_1113-w_1114)*distort/2'                                                w_1113
+ 'delay+557*per+   (w_1113-w_1114)*distort/2+(dtf+dtr)/2+(w_1114-w_1113)*(dtf-dtr)/2'        w_1114
+ 'delay+557*per+per2+(w_1114-w_1115)*distort/2'                                              w_1114
+ 'delay+557*per+per2+(w_1114-w_1115)*distort/2+(dtf+dtr)/2+(w_1115-w_1114)*(dtf-dtr)/2'      w_1115
+ 'delay+558*per+   (w_1115-w_1116)*distort/2'                                                w_1115
+ 'delay+558*per+   (w_1115-w_1116)*distort/2+(dtf+dtr)/2+(w_1116-w_1115)*(dtf-dtr)/2'        w_1116
+ 'delay+558*per+per2+(w_1116-w_1117)*distort/2'                                              w_1116
+ 'delay+558*per+per2+(w_1116-w_1117)*distort/2+(dtf+dtr)/2+(w_1117-w_1116)*(dtf-dtr)/2'      w_1117
+ 'delay+559*per+   (w_1117-w_1118)*distort/2'                                                w_1117
+ 'delay+559*per+   (w_1117-w_1118)*distort/2+(dtf+dtr)/2+(w_1118-w_1117)*(dtf-dtr)/2'        w_1118
+ 'delay+559*per+per2+(w_1118-w_1119)*distort/2'                                              w_1118
+ 'delay+559*per+per2+(w_1118-w_1119)*distort/2+(dtf+dtr)/2+(w_1119-w_1118)*(dtf-dtr)/2'      w_1119
+ 'delay+560*per+   (w_1119-w_1120)*distort/2'                                                w_1119
+ 'delay+560*per+   (w_1119-w_1120)*distort/2+(dtf+dtr)/2+(w_1120-w_1119)*(dtf-dtr)/2'        w_1120
+ 'delay+560*per+per2+(w_1120-w_1121)*distort/2'                                              w_1120
+ 'delay+560*per+per2+(w_1120-w_1121)*distort/2+(dtf+dtr)/2+(w_1121-w_1120)*(dtf-dtr)/2'      w_1121
+ 'delay+561*per+   (w_1121-w_1122)*distort/2'                                                w_1121
+ 'delay+561*per+   (w_1121-w_1122)*distort/2+(dtf+dtr)/2+(w_1122-w_1121)*(dtf-dtr)/2'        w_1122
+ 'delay+561*per+per2+(w_1122-w_1123)*distort/2'                                              w_1122
+ 'delay+561*per+per2+(w_1122-w_1123)*distort/2+(dtf+dtr)/2+(w_1123-w_1122)*(dtf-dtr)/2'      w_1123
+ 'delay+562*per+   (w_1123-w_1124)*distort/2'                                                w_1123
+ 'delay+562*per+   (w_1123-w_1124)*distort/2+(dtf+dtr)/2+(w_1124-w_1123)*(dtf-dtr)/2'        w_1124
+ 'delay+562*per+per2+(w_1124-w_1125)*distort/2'                                              w_1124
+ 'delay+562*per+per2+(w_1124-w_1125)*distort/2+(dtf+dtr)/2+(w_1125-w_1124)*(dtf-dtr)/2'      w_1125
+ 'delay+563*per+   (w_1125-w_1126)*distort/2'                                                w_1125
+ 'delay+563*per+   (w_1125-w_1126)*distort/2+(dtf+dtr)/2+(w_1126-w_1125)*(dtf-dtr)/2'        w_1126
+ 'delay+563*per+per2+(w_1126-w_1127)*distort/2'                                              w_1126
+ 'delay+563*per+per2+(w_1126-w_1127)*distort/2+(dtf+dtr)/2+(w_1127-w_1126)*(dtf-dtr)/2'      w_1127
+ 'delay+564*per+   (w_1127-w_1128)*distort/2'                                                w_1127
+ 'delay+564*per+   (w_1127-w_1128)*distort/2+(dtf+dtr)/2+(w_1128-w_1127)*(dtf-dtr)/2'        w_1128
+ 'delay+564*per+per2+(w_1128-w_1129)*distort/2'                                              w_1128
+ 'delay+564*per+per2+(w_1128-w_1129)*distort/2+(dtf+dtr)/2+(w_1129-w_1128)*(dtf-dtr)/2'      w_1129
+ 'delay+565*per+   (w_1129-w_1130)*distort/2'                                                w_1129
+ 'delay+565*per+   (w_1129-w_1130)*distort/2+(dtf+dtr)/2+(w_1130-w_1129)*(dtf-dtr)/2'        w_1130
+ 'delay+565*per+per2+(w_1130-w_1131)*distort/2'                                              w_1130
+ 'delay+565*per+per2+(w_1130-w_1131)*distort/2+(dtf+dtr)/2+(w_1131-w_1130)*(dtf-dtr)/2'      w_1131
+ 'delay+566*per+   (w_1131-w_1132)*distort/2'                                                w_1131
+ 'delay+566*per+   (w_1131-w_1132)*distort/2+(dtf+dtr)/2+(w_1132-w_1131)*(dtf-dtr)/2'        w_1132
+ 'delay+566*per+per2+(w_1132-w_1133)*distort/2'                                              w_1132
+ 'delay+566*per+per2+(w_1132-w_1133)*distort/2+(dtf+dtr)/2+(w_1133-w_1132)*(dtf-dtr)/2'      w_1133
+ 'delay+567*per+   (w_1133-w_1134)*distort/2'                                                w_1133
+ 'delay+567*per+   (w_1133-w_1134)*distort/2+(dtf+dtr)/2+(w_1134-w_1133)*(dtf-dtr)/2'        w_1134
+ 'delay+567*per+per2+(w_1134-w_1135)*distort/2'                                              w_1134
+ 'delay+567*per+per2+(w_1134-w_1135)*distort/2+(dtf+dtr)/2+(w_1135-w_1134)*(dtf-dtr)/2'      w_1135
+ 'delay+568*per+   (w_1135-w_1136)*distort/2'                                                w_1135
+ 'delay+568*per+   (w_1135-w_1136)*distort/2+(dtf+dtr)/2+(w_1136-w_1135)*(dtf-dtr)/2'        w_1136
+ 'delay+568*per+per2+(w_1136-w_1137)*distort/2'                                              w_1136
+ 'delay+568*per+per2+(w_1136-w_1137)*distort/2+(dtf+dtr)/2+(w_1137-w_1136)*(dtf-dtr)/2'      w_1137
+ 'delay+569*per+   (w_1137-w_1138)*distort/2'                                                w_1137
+ 'delay+569*per+   (w_1137-w_1138)*distort/2+(dtf+dtr)/2+(w_1138-w_1137)*(dtf-dtr)/2'        w_1138
+ 'delay+569*per+per2+(w_1138-w_1139)*distort/2'                                              w_1138
+ 'delay+569*per+per2+(w_1138-w_1139)*distort/2+(dtf+dtr)/2+(w_1139-w_1138)*(dtf-dtr)/2'      w_1139
+ 'delay+570*per+   (w_1139-w_1140)*distort/2'                                                w_1139
+ 'delay+570*per+   (w_1139-w_1140)*distort/2+(dtf+dtr)/2+(w_1140-w_1139)*(dtf-dtr)/2'        w_1140
+ 'delay+570*per+per2+(w_1140-w_1141)*distort/2'                                              w_1140
+ 'delay+570*per+per2+(w_1140-w_1141)*distort/2+(dtf+dtr)/2+(w_1141-w_1140)*(dtf-dtr)/2'      w_1141
+ 'delay+571*per+   (w_1141-w_1142)*distort/2'                                                w_1141
+ 'delay+571*per+   (w_1141-w_1142)*distort/2+(dtf+dtr)/2+(w_1142-w_1141)*(dtf-dtr)/2'        w_1142
+ 'delay+571*per+per2+(w_1142-w_1143)*distort/2'                                              w_1142
+ 'delay+571*per+per2+(w_1142-w_1143)*distort/2+(dtf+dtr)/2+(w_1143-w_1142)*(dtf-dtr)/2'      w_1143
+ 'delay+572*per+   (w_1143-w_1144)*distort/2'                                                w_1143
+ 'delay+572*per+   (w_1143-w_1144)*distort/2+(dtf+dtr)/2+(w_1144-w_1143)*(dtf-dtr)/2'        w_1144
+ 'delay+572*per+per2+(w_1144-w_1145)*distort/2'                                              w_1144
+ 'delay+572*per+per2+(w_1144-w_1145)*distort/2+(dtf+dtr)/2+(w_1145-w_1144)*(dtf-dtr)/2'      w_1145
+ 'delay+573*per+   (w_1145-w_1146)*distort/2'                                                w_1145
+ 'delay+573*per+   (w_1145-w_1146)*distort/2+(dtf+dtr)/2+(w_1146-w_1145)*(dtf-dtr)/2'        w_1146
+ 'delay+573*per+per2+(w_1146-w_1147)*distort/2'                                              w_1146
+ 'delay+573*per+per2+(w_1146-w_1147)*distort/2+(dtf+dtr)/2+(w_1147-w_1146)*(dtf-dtr)/2'      w_1147
+ 'delay+574*per+   (w_1147-w_1148)*distort/2'                                                w_1147
+ 'delay+574*per+   (w_1147-w_1148)*distort/2+(dtf+dtr)/2+(w_1148-w_1147)*(dtf-dtr)/2'        w_1148
+ 'delay+574*per+per2+(w_1148-w_1149)*distort/2'                                              w_1148
+ 'delay+574*per+per2+(w_1148-w_1149)*distort/2+(dtf+dtr)/2+(w_1149-w_1148)*(dtf-dtr)/2'      w_1149
+ 'delay+575*per+   (w_1149-w_1150)*distort/2'                                                w_1149
+ 'delay+575*per+   (w_1149-w_1150)*distort/2+(dtf+dtr)/2+(w_1150-w_1149)*(dtf-dtr)/2'        w_1150
+ 'delay+575*per+per2+(w_1150-w_1151)*distort/2'                                              w_1150
+ 'delay+575*per+per2+(w_1150-w_1151)*distort/2+(dtf+dtr)/2+(w_1151-w_1150)*(dtf-dtr)/2'      w_1151
+ 'delay+576*per+   (w_1151-w_1152)*distort/2'                                                w_1151
+ 'delay+576*per+   (w_1151-w_1152)*distort/2+(dtf+dtr)/2+(w_1152-w_1151)*(dtf-dtr)/2'        w_1152
+ 'delay+576*per+per2+(w_1152-w_1153)*distort/2'                                              w_1152
+ 'delay+576*per+per2+(w_1152-w_1153)*distort/2+(dtf+dtr)/2+(w_1153-w_1152)*(dtf-dtr)/2'      w_1153
+ 'delay+577*per+   (w_1153-w_1154)*distort/2'                                                w_1153
+ 'delay+577*per+   (w_1153-w_1154)*distort/2+(dtf+dtr)/2+(w_1154-w_1153)*(dtf-dtr)/2'        w_1154
+ 'delay+577*per+per2+(w_1154-w_1155)*distort/2'                                              w_1154
+ 'delay+577*per+per2+(w_1154-w_1155)*distort/2+(dtf+dtr)/2+(w_1155-w_1154)*(dtf-dtr)/2'      w_1155
+ 'delay+578*per+   (w_1155-w_1156)*distort/2'                                                w_1155
+ 'delay+578*per+   (w_1155-w_1156)*distort/2+(dtf+dtr)/2+(w_1156-w_1155)*(dtf-dtr)/2'        w_1156
+ 'delay+578*per+per2+(w_1156-w_1157)*distort/2'                                              w_1156
+ 'delay+578*per+per2+(w_1156-w_1157)*distort/2+(dtf+dtr)/2+(w_1157-w_1156)*(dtf-dtr)/2'      w_1157
+ 'delay+579*per+   (w_1157-w_1158)*distort/2'                                                w_1157
+ 'delay+579*per+   (w_1157-w_1158)*distort/2+(dtf+dtr)/2+(w_1158-w_1157)*(dtf-dtr)/2'        w_1158
+ 'delay+579*per+per2+(w_1158-w_1159)*distort/2'                                              w_1158
+ 'delay+579*per+per2+(w_1158-w_1159)*distort/2+(dtf+dtr)/2+(w_1159-w_1158)*(dtf-dtr)/2'      w_1159
+ 'delay+580*per+   (w_1159-w_1160)*distort/2'                                                w_1159
+ 'delay+580*per+   (w_1159-w_1160)*distort/2+(dtf+dtr)/2+(w_1160-w_1159)*(dtf-dtr)/2'        w_1160
+ 'delay+580*per+per2+(w_1160-w_1161)*distort/2'                                              w_1160
+ 'delay+580*per+per2+(w_1160-w_1161)*distort/2+(dtf+dtr)/2+(w_1161-w_1160)*(dtf-dtr)/2'      w_1161
+ 'delay+581*per+   (w_1161-w_1162)*distort/2'                                                w_1161
+ 'delay+581*per+   (w_1161-w_1162)*distort/2+(dtf+dtr)/2+(w_1162-w_1161)*(dtf-dtr)/2'        w_1162
+ 'delay+581*per+per2+(w_1162-w_1163)*distort/2'                                              w_1162
+ 'delay+581*per+per2+(w_1162-w_1163)*distort/2+(dtf+dtr)/2+(w_1163-w_1162)*(dtf-dtr)/2'      w_1163
+ 'delay+582*per+   (w_1163-w_1164)*distort/2'                                                w_1163
+ 'delay+582*per+   (w_1163-w_1164)*distort/2+(dtf+dtr)/2+(w_1164-w_1163)*(dtf-dtr)/2'        w_1164
+ 'delay+582*per+per2+(w_1164-w_1165)*distort/2'                                              w_1164
+ 'delay+582*per+per2+(w_1164-w_1165)*distort/2+(dtf+dtr)/2+(w_1165-w_1164)*(dtf-dtr)/2'      w_1165
+ 'delay+583*per+   (w_1165-w_1166)*distort/2'                                                w_1165
+ 'delay+583*per+   (w_1165-w_1166)*distort/2+(dtf+dtr)/2+(w_1166-w_1165)*(dtf-dtr)/2'        w_1166
+ 'delay+583*per+per2+(w_1166-w_1167)*distort/2'                                              w_1166
+ 'delay+583*per+per2+(w_1166-w_1167)*distort/2+(dtf+dtr)/2+(w_1167-w_1166)*(dtf-dtr)/2'      w_1167
+ 'delay+584*per+   (w_1167-w_1168)*distort/2'                                                w_1167
+ 'delay+584*per+   (w_1167-w_1168)*distort/2+(dtf+dtr)/2+(w_1168-w_1167)*(dtf-dtr)/2'        w_1168
+ 'delay+584*per+per2+(w_1168-w_1169)*distort/2'                                              w_1168
+ 'delay+584*per+per2+(w_1168-w_1169)*distort/2+(dtf+dtr)/2+(w_1169-w_1168)*(dtf-dtr)/2'      w_1169
+ 'delay+585*per+   (w_1169-w_1170)*distort/2'                                                w_1169
+ 'delay+585*per+   (w_1169-w_1170)*distort/2+(dtf+dtr)/2+(w_1170-w_1169)*(dtf-dtr)/2'        w_1170
+ 'delay+585*per+per2+(w_1170-w_1171)*distort/2'                                              w_1170
+ 'delay+585*per+per2+(w_1170-w_1171)*distort/2+(dtf+dtr)/2+(w_1171-w_1170)*(dtf-dtr)/2'      w_1171
+ 'delay+586*per+   (w_1171-w_1172)*distort/2'                                                w_1171
+ 'delay+586*per+   (w_1171-w_1172)*distort/2+(dtf+dtr)/2+(w_1172-w_1171)*(dtf-dtr)/2'        w_1172
+ 'delay+586*per+per2+(w_1172-w_1173)*distort/2'                                              w_1172
+ 'delay+586*per+per2+(w_1172-w_1173)*distort/2+(dtf+dtr)/2+(w_1173-w_1172)*(dtf-dtr)/2'      w_1173
+ 'delay+587*per+   (w_1173-w_1174)*distort/2'                                                w_1173
+ 'delay+587*per+   (w_1173-w_1174)*distort/2+(dtf+dtr)/2+(w_1174-w_1173)*(dtf-dtr)/2'        w_1174
+ 'delay+587*per+per2+(w_1174-w_1175)*distort/2'                                              w_1174
+ 'delay+587*per+per2+(w_1174-w_1175)*distort/2+(dtf+dtr)/2+(w_1175-w_1174)*(dtf-dtr)/2'      w_1175
+ 'delay+588*per+   (w_1175-w_1176)*distort/2'                                                w_1175
+ 'delay+588*per+   (w_1175-w_1176)*distort/2+(dtf+dtr)/2+(w_1176-w_1175)*(dtf-dtr)/2'        w_1176
+ 'delay+588*per+per2+(w_1176-w_1177)*distort/2'                                              w_1176
+ 'delay+588*per+per2+(w_1176-w_1177)*distort/2+(dtf+dtr)/2+(w_1177-w_1176)*(dtf-dtr)/2'      w_1177
+ 'delay+589*per+   (w_1177-w_1178)*distort/2'                                                w_1177
+ 'delay+589*per+   (w_1177-w_1178)*distort/2+(dtf+dtr)/2+(w_1178-w_1177)*(dtf-dtr)/2'        w_1178
+ 'delay+589*per+per2+(w_1178-w_1179)*distort/2'                                              w_1178
+ 'delay+589*per+per2+(w_1178-w_1179)*distort/2+(dtf+dtr)/2+(w_1179-w_1178)*(dtf-dtr)/2'      w_1179
+ 'delay+590*per+   (w_1179-w_1180)*distort/2'                                                w_1179
+ 'delay+590*per+   (w_1179-w_1180)*distort/2+(dtf+dtr)/2+(w_1180-w_1179)*(dtf-dtr)/2'        w_1180
+ 'delay+590*per+per2+(w_1180-w_1181)*distort/2'                                              w_1180
+ 'delay+590*per+per2+(w_1180-w_1181)*distort/2+(dtf+dtr)/2+(w_1181-w_1180)*(dtf-dtr)/2'      w_1181
+ 'delay+591*per+   (w_1181-w_1182)*distort/2'                                                w_1181
+ 'delay+591*per+   (w_1181-w_1182)*distort/2+(dtf+dtr)/2+(w_1182-w_1181)*(dtf-dtr)/2'        w_1182
+ 'delay+591*per+per2+(w_1182-w_1183)*distort/2'                                              w_1182
+ 'delay+591*per+per2+(w_1182-w_1183)*distort/2+(dtf+dtr)/2+(w_1183-w_1182)*(dtf-dtr)/2'      w_1183
+ 'delay+592*per+   (w_1183-w_1184)*distort/2'                                                w_1183
+ 'delay+592*per+   (w_1183-w_1184)*distort/2+(dtf+dtr)/2+(w_1184-w_1183)*(dtf-dtr)/2'        w_1184
+ 'delay+592*per+per2+(w_1184-w_1185)*distort/2'                                              w_1184
+ 'delay+592*per+per2+(w_1184-w_1185)*distort/2+(dtf+dtr)/2+(w_1185-w_1184)*(dtf-dtr)/2'      w_1185
+ 'delay+593*per+   (w_1185-w_1186)*distort/2'                                                w_1185
+ 'delay+593*per+   (w_1185-w_1186)*distort/2+(dtf+dtr)/2+(w_1186-w_1185)*(dtf-dtr)/2'        w_1186
+ 'delay+593*per+per2+(w_1186-w_1187)*distort/2'                                              w_1186
+ 'delay+593*per+per2+(w_1186-w_1187)*distort/2+(dtf+dtr)/2+(w_1187-w_1186)*(dtf-dtr)/2'      w_1187
+ 'delay+594*per+   (w_1187-w_1188)*distort/2'                                                w_1187
+ 'delay+594*per+   (w_1187-w_1188)*distort/2+(dtf+dtr)/2+(w_1188-w_1187)*(dtf-dtr)/2'        w_1188
+ 'delay+594*per+per2+(w_1188-w_1189)*distort/2'                                              w_1188
+ 'delay+594*per+per2+(w_1188-w_1189)*distort/2+(dtf+dtr)/2+(w_1189-w_1188)*(dtf-dtr)/2'      w_1189
+ 'delay+595*per+   (w_1189-w_1190)*distort/2'                                                w_1189
+ 'delay+595*per+   (w_1189-w_1190)*distort/2+(dtf+dtr)/2+(w_1190-w_1189)*(dtf-dtr)/2'        w_1190
+ 'delay+595*per+per2+(w_1190-w_1191)*distort/2'                                              w_1190
+ 'delay+595*per+per2+(w_1190-w_1191)*distort/2+(dtf+dtr)/2+(w_1191-w_1190)*(dtf-dtr)/2'      w_1191
+ 'delay+596*per+   (w_1191-w_1192)*distort/2'                                                w_1191
+ 'delay+596*per+   (w_1191-w_1192)*distort/2+(dtf+dtr)/2+(w_1192-w_1191)*(dtf-dtr)/2'        w_1192
+ 'delay+596*per+per2+(w_1192-w_1193)*distort/2'                                              w_1192
+ 'delay+596*per+per2+(w_1192-w_1193)*distort/2+(dtf+dtr)/2+(w_1193-w_1192)*(dtf-dtr)/2'      w_1193
+ 'delay+597*per+   (w_1193-w_1194)*distort/2'                                                w_1193
+ 'delay+597*per+   (w_1193-w_1194)*distort/2+(dtf+dtr)/2+(w_1194-w_1193)*(dtf-dtr)/2'        w_1194
+ 'delay+597*per+per2+(w_1194-w_1195)*distort/2'                                              w_1194
+ 'delay+597*per+per2+(w_1194-w_1195)*distort/2+(dtf+dtr)/2+(w_1195-w_1194)*(dtf-dtr)/2'      w_1195
+ 'delay+598*per+   (w_1195-w_1196)*distort/2'                                                w_1195
+ 'delay+598*per+   (w_1195-w_1196)*distort/2+(dtf+dtr)/2+(w_1196-w_1195)*(dtf-dtr)/2'        w_1196
+ 'delay+598*per+per2+(w_1196-w_1197)*distort/2'                                              w_1196
+ 'delay+598*per+per2+(w_1196-w_1197)*distort/2+(dtf+dtr)/2+(w_1197-w_1196)*(dtf-dtr)/2'      w_1197
+ 'delay+599*per+   (w_1197-w_1198)*distort/2'                                                w_1197
+ 'delay+599*per+   (w_1197-w_1198)*distort/2+(dtf+dtr)/2+(w_1198-w_1197)*(dtf-dtr)/2'        w_1198
+ 'delay+599*per+per2+(w_1198-w_1199)*distort/2'                                              w_1198
+ 'delay+599*per+per2+(w_1198-w_1199)*distort/2+(dtf+dtr)/2+(w_1199-w_1198)*(dtf-dtr)/2'      w_1199
+ 'delay+600*per+   (w_1199-w_1200)*distort/2'                                                w_1199
+ 'delay+600*per+   (w_1199-w_1200)*distort/2+(dtf+dtr)/2+(w_1200-w_1199)*(dtf-dtr)/2'        w_1200
+ 'delay+600*per+per2+(w_1200-w_1201)*distort/2'                                              w_1200
+ 'delay+600*per+per2+(w_1200-w_1201)*distort/2+(dtf+dtr)/2+(w_1201-w_1200)*(dtf-dtr)/2'      w_1201
+ 'delay+601*per+   (w_1201-w_1202)*distort/2'                                                w_1201
+ 'delay+601*per+   (w_1201-w_1202)*distort/2+(dtf+dtr)/2+(w_1202-w_1201)*(dtf-dtr)/2'        w_1202
+ 'delay+601*per+per2+(w_1202-w_1203)*distort/2'                                              w_1202
+ 'delay+601*per+per2+(w_1202-w_1203)*distort/2+(dtf+dtr)/2+(w_1203-w_1202)*(dtf-dtr)/2'      w_1203
+ 'delay+602*per+   (w_1203-w_1204)*distort/2'                                                w_1203
+ 'delay+602*per+   (w_1203-w_1204)*distort/2+(dtf+dtr)/2+(w_1204-w_1203)*(dtf-dtr)/2'        w_1204
+ 'delay+602*per+per2+(w_1204-w_1205)*distort/2'                                              w_1204
+ 'delay+602*per+per2+(w_1204-w_1205)*distort/2+(dtf+dtr)/2+(w_1205-w_1204)*(dtf-dtr)/2'      w_1205
+ 'delay+603*per+   (w_1205-w_1206)*distort/2'                                                w_1205
+ 'delay+603*per+   (w_1205-w_1206)*distort/2+(dtf+dtr)/2+(w_1206-w_1205)*(dtf-dtr)/2'        w_1206
+ 'delay+603*per+per2+(w_1206-w_1207)*distort/2'                                              w_1206
+ 'delay+603*per+per2+(w_1206-w_1207)*distort/2+(dtf+dtr)/2+(w_1207-w_1206)*(dtf-dtr)/2'      w_1207
+ 'delay+604*per+   (w_1207-w_1208)*distort/2'                                                w_1207
+ 'delay+604*per+   (w_1207-w_1208)*distort/2+(dtf+dtr)/2+(w_1208-w_1207)*(dtf-dtr)/2'        w_1208
+ 'delay+604*per+per2+(w_1208-w_1209)*distort/2'                                              w_1208
+ 'delay+604*per+per2+(w_1208-w_1209)*distort/2+(dtf+dtr)/2+(w_1209-w_1208)*(dtf-dtr)/2'      w_1209
+ 'delay+605*per+   (w_1209-w_1210)*distort/2'                                                w_1209
+ 'delay+605*per+   (w_1209-w_1210)*distort/2+(dtf+dtr)/2+(w_1210-w_1209)*(dtf-dtr)/2'        w_1210
+ 'delay+605*per+per2+(w_1210-w_1211)*distort/2'                                              w_1210
+ 'delay+605*per+per2+(w_1210-w_1211)*distort/2+(dtf+dtr)/2+(w_1211-w_1210)*(dtf-dtr)/2'      w_1211
+ 'delay+606*per+   (w_1211-w_1212)*distort/2'                                                w_1211
+ 'delay+606*per+   (w_1211-w_1212)*distort/2+(dtf+dtr)/2+(w_1212-w_1211)*(dtf-dtr)/2'        w_1212
+ 'delay+606*per+per2+(w_1212-w_1213)*distort/2'                                              w_1212
+ 'delay+606*per+per2+(w_1212-w_1213)*distort/2+(dtf+dtr)/2+(w_1213-w_1212)*(dtf-dtr)/2'      w_1213
+ 'delay+607*per+   (w_1213-w_1214)*distort/2'                                                w_1213
+ 'delay+607*per+   (w_1213-w_1214)*distort/2+(dtf+dtr)/2+(w_1214-w_1213)*(dtf-dtr)/2'        w_1214
+ 'delay+607*per+per2+(w_1214-w_1215)*distort/2'                                              w_1214
+ 'delay+607*per+per2+(w_1214-w_1215)*distort/2+(dtf+dtr)/2+(w_1215-w_1214)*(dtf-dtr)/2'      w_1215
+ 'delay+608*per+   (w_1215-w_1216)*distort/2'                                                w_1215
+ 'delay+608*per+   (w_1215-w_1216)*distort/2+(dtf+dtr)/2+(w_1216-w_1215)*(dtf-dtr)/2'        w_1216
+ 'delay+608*per+per2+(w_1216-w_1217)*distort/2'                                              w_1216
+ 'delay+608*per+per2+(w_1216-w_1217)*distort/2+(dtf+dtr)/2+(w_1217-w_1216)*(dtf-dtr)/2'      w_1217
+ 'delay+609*per+   (w_1217-w_1218)*distort/2'                                                w_1217
+ 'delay+609*per+   (w_1217-w_1218)*distort/2+(dtf+dtr)/2+(w_1218-w_1217)*(dtf-dtr)/2'        w_1218
+ 'delay+609*per+per2+(w_1218-w_1219)*distort/2'                                              w_1218
+ 'delay+609*per+per2+(w_1218-w_1219)*distort/2+(dtf+dtr)/2+(w_1219-w_1218)*(dtf-dtr)/2'      w_1219
+ 'delay+610*per+   (w_1219-w_1220)*distort/2'                                                w_1219
+ 'delay+610*per+   (w_1219-w_1220)*distort/2+(dtf+dtr)/2+(w_1220-w_1219)*(dtf-dtr)/2'        w_1220
+ 'delay+610*per+per2+(w_1220-w_1221)*distort/2'                                              w_1220
+ 'delay+610*per+per2+(w_1220-w_1221)*distort/2+(dtf+dtr)/2+(w_1221-w_1220)*(dtf-dtr)/2'      w_1221
+ 'delay+611*per+   (w_1221-w_1222)*distort/2'                                                w_1221
+ 'delay+611*per+   (w_1221-w_1222)*distort/2+(dtf+dtr)/2+(w_1222-w_1221)*(dtf-dtr)/2'        w_1222
+ 'delay+611*per+per2+(w_1222-w_1223)*distort/2'                                              w_1222
+ 'delay+611*per+per2+(w_1222-w_1223)*distort/2+(dtf+dtr)/2+(w_1223-w_1222)*(dtf-dtr)/2'      w_1223
+ 'delay+612*per+   (w_1223-w_1224)*distort/2'                                                w_1223
+ 'delay+612*per+   (w_1223-w_1224)*distort/2+(dtf+dtr)/2+(w_1224-w_1223)*(dtf-dtr)/2'        w_1224
+ 'delay+612*per+per2+(w_1224-w_1225)*distort/2'                                              w_1224
+ 'delay+612*per+per2+(w_1224-w_1225)*distort/2+(dtf+dtr)/2+(w_1225-w_1224)*(dtf-dtr)/2'      w_1225
+ 'delay+613*per+   (w_1225-w_1226)*distort/2'                                                w_1225
+ 'delay+613*per+   (w_1225-w_1226)*distort/2+(dtf+dtr)/2+(w_1226-w_1225)*(dtf-dtr)/2'        w_1226
+ 'delay+613*per+per2+(w_1226-w_1227)*distort/2'                                              w_1226
+ 'delay+613*per+per2+(w_1226-w_1227)*distort/2+(dtf+dtr)/2+(w_1227-w_1226)*(dtf-dtr)/2'      w_1227
+ 'delay+614*per+   (w_1227-w_1228)*distort/2'                                                w_1227
+ 'delay+614*per+   (w_1227-w_1228)*distort/2+(dtf+dtr)/2+(w_1228-w_1227)*(dtf-dtr)/2'        w_1228
+ 'delay+614*per+per2+(w_1228-w_1229)*distort/2'                                              w_1228
+ 'delay+614*per+per2+(w_1228-w_1229)*distort/2+(dtf+dtr)/2+(w_1229-w_1228)*(dtf-dtr)/2'      w_1229
+ 'delay+615*per+   (w_1229-w_1230)*distort/2'                                                w_1229
+ 'delay+615*per+   (w_1229-w_1230)*distort/2+(dtf+dtr)/2+(w_1230-w_1229)*(dtf-dtr)/2'        w_1230
+ 'delay+615*per+per2+(w_1230-w_1231)*distort/2'                                              w_1230
+ 'delay+615*per+per2+(w_1230-w_1231)*distort/2+(dtf+dtr)/2+(w_1231-w_1230)*(dtf-dtr)/2'      w_1231
+ 'delay+616*per+   (w_1231-w_1232)*distort/2'                                                w_1231
+ 'delay+616*per+   (w_1231-w_1232)*distort/2+(dtf+dtr)/2+(w_1232-w_1231)*(dtf-dtr)/2'        w_1232
+ 'delay+616*per+per2+(w_1232-w_1233)*distort/2'                                              w_1232
+ 'delay+616*per+per2+(w_1232-w_1233)*distort/2+(dtf+dtr)/2+(w_1233-w_1232)*(dtf-dtr)/2'      w_1233
+ 'delay+617*per+   (w_1233-w_1234)*distort/2'                                                w_1233
+ 'delay+617*per+   (w_1233-w_1234)*distort/2+(dtf+dtr)/2+(w_1234-w_1233)*(dtf-dtr)/2'        w_1234
+ 'delay+617*per+per2+(w_1234-w_1235)*distort/2'                                              w_1234
+ 'delay+617*per+per2+(w_1234-w_1235)*distort/2+(dtf+dtr)/2+(w_1235-w_1234)*(dtf-dtr)/2'      w_1235
+ 'delay+618*per+   (w_1235-w_1236)*distort/2'                                                w_1235
+ 'delay+618*per+   (w_1235-w_1236)*distort/2+(dtf+dtr)/2+(w_1236-w_1235)*(dtf-dtr)/2'        w_1236
+ 'delay+618*per+per2+(w_1236-w_1237)*distort/2'                                              w_1236
+ 'delay+618*per+per2+(w_1236-w_1237)*distort/2+(dtf+dtr)/2+(w_1237-w_1236)*(dtf-dtr)/2'      w_1237
+ 'delay+619*per+   (w_1237-w_1238)*distort/2'                                                w_1237
+ 'delay+619*per+   (w_1237-w_1238)*distort/2+(dtf+dtr)/2+(w_1238-w_1237)*(dtf-dtr)/2'        w_1238
+ 'delay+619*per+per2+(w_1238-w_1239)*distort/2'                                              w_1238
+ 'delay+619*per+per2+(w_1238-w_1239)*distort/2+(dtf+dtr)/2+(w_1239-w_1238)*(dtf-dtr)/2'      w_1239
+ 'delay+620*per+   (w_1239-w_1240)*distort/2'                                                w_1239
+ 'delay+620*per+   (w_1239-w_1240)*distort/2+(dtf+dtr)/2+(w_1240-w_1239)*(dtf-dtr)/2'        w_1240
+ 'delay+620*per+per2+(w_1240-w_1241)*distort/2'                                              w_1240
+ 'delay+620*per+per2+(w_1240-w_1241)*distort/2+(dtf+dtr)/2+(w_1241-w_1240)*(dtf-dtr)/2'      w_1241
+ 'delay+621*per+   (w_1241-w_1242)*distort/2'                                                w_1241
+ 'delay+621*per+   (w_1241-w_1242)*distort/2+(dtf+dtr)/2+(w_1242-w_1241)*(dtf-dtr)/2'        w_1242
+ 'delay+621*per+per2+(w_1242-w_1243)*distort/2'                                              w_1242
+ 'delay+621*per+per2+(w_1242-w_1243)*distort/2+(dtf+dtr)/2+(w_1243-w_1242)*(dtf-dtr)/2'      w_1243
+ 'delay+622*per+   (w_1243-w_1244)*distort/2'                                                w_1243
+ 'delay+622*per+   (w_1243-w_1244)*distort/2+(dtf+dtr)/2+(w_1244-w_1243)*(dtf-dtr)/2'        w_1244
+ 'delay+622*per+per2+(w_1244-w_1245)*distort/2'                                              w_1244
+ 'delay+622*per+per2+(w_1244-w_1245)*distort/2+(dtf+dtr)/2+(w_1245-w_1244)*(dtf-dtr)/2'      w_1245
+ 'delay+623*per+   (w_1245-w_1246)*distort/2'                                                w_1245
+ 'delay+623*per+   (w_1245-w_1246)*distort/2+(dtf+dtr)/2+(w_1246-w_1245)*(dtf-dtr)/2'        w_1246
+ 'delay+623*per+per2+(w_1246-w_1247)*distort/2'                                              w_1246
+ 'delay+623*per+per2+(w_1246-w_1247)*distort/2+(dtf+dtr)/2+(w_1247-w_1246)*(dtf-dtr)/2'      w_1247
+ 'delay+624*per+   (w_1247-w_1248)*distort/2'                                                w_1247
+ 'delay+624*per+   (w_1247-w_1248)*distort/2+(dtf+dtr)/2+(w_1248-w_1247)*(dtf-dtr)/2'        w_1248
+ 'delay+624*per+per2+(w_1248-w_1249)*distort/2'                                              w_1248
+ 'delay+624*per+per2+(w_1248-w_1249)*distort/2+(dtf+dtr)/2+(w_1249-w_1248)*(dtf-dtr)/2'      w_1249
+ 'delay+625*per+   (w_1249-w_1250)*distort/2'                                                w_1249
+ 'delay+625*per+   (w_1249-w_1250)*distort/2+(dtf+dtr)/2+(w_1250-w_1249)*(dtf-dtr)/2'        w_1250
+ 'delay+625*per+per2+(w_1250-w_1251)*distort/2'                                              w_1250
+ 'delay+625*per+per2+(w_1250-w_1251)*distort/2+(dtf+dtr)/2+(w_1251-w_1250)*(dtf-dtr)/2'      w_1251
+ 'delay+626*per+   (w_1251-w_1252)*distort/2'                                                w_1251
+ 'delay+626*per+   (w_1251-w_1252)*distort/2+(dtf+dtr)/2+(w_1252-w_1251)*(dtf-dtr)/2'        w_1252
+ 'delay+626*per+per2+(w_1252-w_1253)*distort/2'                                              w_1252
+ 'delay+626*per+per2+(w_1252-w_1253)*distort/2+(dtf+dtr)/2+(w_1253-w_1252)*(dtf-dtr)/2'      w_1253
+ 'delay+627*per+   (w_1253-w_1254)*distort/2'                                                w_1253
+ 'delay+627*per+   (w_1253-w_1254)*distort/2+(dtf+dtr)/2+(w_1254-w_1253)*(dtf-dtr)/2'        w_1254
+ 'delay+627*per+per2+(w_1254-w_1255)*distort/2'                                              w_1254
+ 'delay+627*per+per2+(w_1254-w_1255)*distort/2+(dtf+dtr)/2+(w_1255-w_1254)*(dtf-dtr)/2'      w_1255
+ 'delay+628*per+   (w_1255-w_1256)*distort/2'                                                w_1255
+ 'delay+628*per+   (w_1255-w_1256)*distort/2+(dtf+dtr)/2+(w_1256-w_1255)*(dtf-dtr)/2'        w_1256
+ 'delay+628*per+per2+(w_1256-w_1257)*distort/2'                                              w_1256
+ 'delay+628*per+per2+(w_1256-w_1257)*distort/2+(dtf+dtr)/2+(w_1257-w_1256)*(dtf-dtr)/2'      w_1257
+ 'delay+629*per+   (w_1257-w_1258)*distort/2'                                                w_1257
+ 'delay+629*per+   (w_1257-w_1258)*distort/2+(dtf+dtr)/2+(w_1258-w_1257)*(dtf-dtr)/2'        w_1258
+ 'delay+629*per+per2+(w_1258-w_1259)*distort/2'                                              w_1258
+ 'delay+629*per+per2+(w_1258-w_1259)*distort/2+(dtf+dtr)/2+(w_1259-w_1258)*(dtf-dtr)/2'      w_1259
+ 'delay+630*per+   (w_1259-w_1260)*distort/2'                                                w_1259
+ 'delay+630*per+   (w_1259-w_1260)*distort/2+(dtf+dtr)/2+(w_1260-w_1259)*(dtf-dtr)/2'        w_1260
+ 'delay+630*per+per2+(w_1260-w_1261)*distort/2'                                              w_1260
+ 'delay+630*per+per2+(w_1260-w_1261)*distort/2+(dtf+dtr)/2+(w_1261-w_1260)*(dtf-dtr)/2'      w_1261
+ 'delay+631*per+   (w_1261-w_1262)*distort/2'                                                w_1261
+ 'delay+631*per+   (w_1261-w_1262)*distort/2+(dtf+dtr)/2+(w_1262-w_1261)*(dtf-dtr)/2'        w_1262
+ 'delay+631*per+per2+(w_1262-w_1263)*distort/2'                                              w_1262
+ 'delay+631*per+per2+(w_1262-w_1263)*distort/2+(dtf+dtr)/2+(w_1263-w_1262)*(dtf-dtr)/2'      w_1263
+ 'delay+632*per+   (w_1263-w_1264)*distort/2'                                                w_1263
+ 'delay+632*per+   (w_1263-w_1264)*distort/2+(dtf+dtr)/2+(w_1264-w_1263)*(dtf-dtr)/2'        w_1264
+ 'delay+632*per+per2+(w_1264-w_1265)*distort/2'                                              w_1264
+ 'delay+632*per+per2+(w_1264-w_1265)*distort/2+(dtf+dtr)/2+(w_1265-w_1264)*(dtf-dtr)/2'      w_1265
+ 'delay+633*per+   (w_1265-w_1266)*distort/2'                                                w_1265
+ 'delay+633*per+   (w_1265-w_1266)*distort/2+(dtf+dtr)/2+(w_1266-w_1265)*(dtf-dtr)/2'        w_1266
+ 'delay+633*per+per2+(w_1266-w_1267)*distort/2'                                              w_1266
+ 'delay+633*per+per2+(w_1266-w_1267)*distort/2+(dtf+dtr)/2+(w_1267-w_1266)*(dtf-dtr)/2'      w_1267
+ 'delay+634*per+   (w_1267-w_1268)*distort/2'                                                w_1267
+ 'delay+634*per+   (w_1267-w_1268)*distort/2+(dtf+dtr)/2+(w_1268-w_1267)*(dtf-dtr)/2'        w_1268
+ 'delay+634*per+per2+(w_1268-w_1269)*distort/2'                                              w_1268
+ 'delay+634*per+per2+(w_1268-w_1269)*distort/2+(dtf+dtr)/2+(w_1269-w_1268)*(dtf-dtr)/2'      w_1269
+ 'delay+635*per+   (w_1269-w_1270)*distort/2'                                                w_1269
+ 'delay+635*per+   (w_1269-w_1270)*distort/2+(dtf+dtr)/2+(w_1270-w_1269)*(dtf-dtr)/2'        w_1270
+ 'delay+635*per+per2+(w_1270-w_1271)*distort/2'                                              w_1270
+ 'delay+635*per+per2+(w_1270-w_1271)*distort/2+(dtf+dtr)/2+(w_1271-w_1270)*(dtf-dtr)/2'      w_1271
+ 'delay+636*per+   (w_1271-w_1272)*distort/2'                                                w_1271
+ 'delay+636*per+   (w_1271-w_1272)*distort/2+(dtf+dtr)/2+(w_1272-w_1271)*(dtf-dtr)/2'        w_1272
+ 'delay+636*per+per2+(w_1272-w_1273)*distort/2'                                              w_1272
+ 'delay+636*per+per2+(w_1272-w_1273)*distort/2+(dtf+dtr)/2+(w_1273-w_1272)*(dtf-dtr)/2'      w_1273
+ 'delay+637*per+   (w_1273-w_1274)*distort/2'                                                w_1273
+ 'delay+637*per+   (w_1273-w_1274)*distort/2+(dtf+dtr)/2+(w_1274-w_1273)*(dtf-dtr)/2'        w_1274
+ 'delay+637*per+per2+(w_1274-w_1275)*distort/2'                                              w_1274
+ 'delay+637*per+per2+(w_1274-w_1275)*distort/2+(dtf+dtr)/2+(w_1275-w_1274)*(dtf-dtr)/2'      w_1275
+ 'delay+638*per+   (w_1275-w_1276)*distort/2'                                                w_1275
+ 'delay+638*per+   (w_1275-w_1276)*distort/2+(dtf+dtr)/2+(w_1276-w_1275)*(dtf-dtr)/2'        w_1276
+ 'delay+638*per+per2+(w_1276-w_1277)*distort/2'                                              w_1276
+ 'delay+638*per+per2+(w_1276-w_1277)*distort/2+(dtf+dtr)/2+(w_1277-w_1276)*(dtf-dtr)/2'      w_1277
+ 'delay+639*per+   (w_1277-w_1278)*distort/2'                                                w_1277
+ 'delay+639*per+   (w_1277-w_1278)*distort/2+(dtf+dtr)/2+(w_1278-w_1277)*(dtf-dtr)/2'        w_1278
+ 'delay+639*per+per2+(w_1278-w_1279)*distort/2'                                              w_1278
+ 'delay+639*per+per2+(w_1278-w_1279)*distort/2+(dtf+dtr)/2+(w_1279-w_1278)*(dtf-dtr)/2'      w_1279
+ 'delay+640*per+   (w_1279-w_1280)*distort/2'                                                w_1279
+ 'delay+640*per+   (w_1279-w_1280)*distort/2+(dtf+dtr)/2+(w_1280-w_1279)*(dtf-dtr)/2'        w_1280
+ 'delay+640*per+per2+(w_1280-w_1281)*distort/2'                                              w_1280
+ 'delay+640*per+per2+(w_1280-w_1281)*distort/2+(dtf+dtr)/2+(w_1281-w_1280)*(dtf-dtr)/2'      w_1281
+ 'delay+641*per+   (w_1281-w_1282)*distort/2'                                                w_1281
+ 'delay+641*per+   (w_1281-w_1282)*distort/2+(dtf+dtr)/2+(w_1282-w_1281)*(dtf-dtr)/2'        w_1282
+ 'delay+641*per+per2+(w_1282-w_1283)*distort/2'                                              w_1282
+ 'delay+641*per+per2+(w_1282-w_1283)*distort/2+(dtf+dtr)/2+(w_1283-w_1282)*(dtf-dtr)/2'      w_1283
+ 'delay+642*per+   (w_1283-w_1284)*distort/2'                                                w_1283
+ 'delay+642*per+   (w_1283-w_1284)*distort/2+(dtf+dtr)/2+(w_1284-w_1283)*(dtf-dtr)/2'        w_1284
+ 'delay+642*per+per2+(w_1284-w_1285)*distort/2'                                              w_1284
+ 'delay+642*per+per2+(w_1284-w_1285)*distort/2+(dtf+dtr)/2+(w_1285-w_1284)*(dtf-dtr)/2'      w_1285
+ 'delay+643*per+   (w_1285-w_1286)*distort/2'                                                w_1285
+ 'delay+643*per+   (w_1285-w_1286)*distort/2+(dtf+dtr)/2+(w_1286-w_1285)*(dtf-dtr)/2'        w_1286
+ 'delay+643*per+per2+(w_1286-w_1287)*distort/2'                                              w_1286
+ 'delay+643*per+per2+(w_1286-w_1287)*distort/2+(dtf+dtr)/2+(w_1287-w_1286)*(dtf-dtr)/2'      w_1287
+ 'delay+644*per+   (w_1287-w_1288)*distort/2'                                                w_1287
+ 'delay+644*per+   (w_1287-w_1288)*distort/2+(dtf+dtr)/2+(w_1288-w_1287)*(dtf-dtr)/2'        w_1288
+ 'delay+644*per+per2+(w_1288-w_1289)*distort/2'                                              w_1288
+ 'delay+644*per+per2+(w_1288-w_1289)*distort/2+(dtf+dtr)/2+(w_1289-w_1288)*(dtf-dtr)/2'      w_1289
+ 'delay+645*per+   (w_1289-w_1290)*distort/2'                                                w_1289
+ 'delay+645*per+   (w_1289-w_1290)*distort/2+(dtf+dtr)/2+(w_1290-w_1289)*(dtf-dtr)/2'        w_1290
+ 'delay+645*per+per2+(w_1290-w_1291)*distort/2'                                              w_1290
+ 'delay+645*per+per2+(w_1290-w_1291)*distort/2+(dtf+dtr)/2+(w_1291-w_1290)*(dtf-dtr)/2'      w_1291
+ 'delay+646*per+   (w_1291-w_1292)*distort/2'                                                w_1291
+ 'delay+646*per+   (w_1291-w_1292)*distort/2+(dtf+dtr)/2+(w_1292-w_1291)*(dtf-dtr)/2'        w_1292
+ 'delay+646*per+per2+(w_1292-w_1293)*distort/2'                                              w_1292
+ 'delay+646*per+per2+(w_1292-w_1293)*distort/2+(dtf+dtr)/2+(w_1293-w_1292)*(dtf-dtr)/2'      w_1293
+ 'delay+647*per+   (w_1293-w_1294)*distort/2'                                                w_1293
+ 'delay+647*per+   (w_1293-w_1294)*distort/2+(dtf+dtr)/2+(w_1294-w_1293)*(dtf-dtr)/2'        w_1294
+ 'delay+647*per+per2+(w_1294-w_1295)*distort/2'                                              w_1294
+ 'delay+647*per+per2+(w_1294-w_1295)*distort/2+(dtf+dtr)/2+(w_1295-w_1294)*(dtf-dtr)/2'      w_1295
+ 'delay+648*per+   (w_1295-w_1296)*distort/2'                                                w_1295
+ 'delay+648*per+   (w_1295-w_1296)*distort/2+(dtf+dtr)/2+(w_1296-w_1295)*(dtf-dtr)/2'        w_1296
+ 'delay+648*per+per2+(w_1296-w_1297)*distort/2'                                              w_1296
+ 'delay+648*per+per2+(w_1296-w_1297)*distort/2+(dtf+dtr)/2+(w_1297-w_1296)*(dtf-dtr)/2'      w_1297
+ 'delay+649*per+   (w_1297-w_1298)*distort/2'                                                w_1297
+ 'delay+649*per+   (w_1297-w_1298)*distort/2+(dtf+dtr)/2+(w_1298-w_1297)*(dtf-dtr)/2'        w_1298
+ 'delay+649*per+per2+(w_1298-w_1299)*distort/2'                                              w_1298
+ 'delay+649*per+per2+(w_1298-w_1299)*distort/2+(dtf+dtr)/2+(w_1299-w_1298)*(dtf-dtr)/2'      w_1299
+ 'delay+650*per+   (w_1299-w_1300)*distort/2'                                                w_1299
+ 'delay+650*per+   (w_1299-w_1300)*distort/2+(dtf+dtr)/2+(w_1300-w_1299)*(dtf-dtr)/2'        w_1300
+ 'delay+650*per+per2+(w_1300-w_1301)*distort/2'                                              w_1300
+ 'delay+650*per+per2+(w_1300-w_1301)*distort/2+(dtf+dtr)/2+(w_1301-w_1300)*(dtf-dtr)/2'      w_1301
+ 'delay+651*per+   (w_1301-w_1302)*distort/2'                                                w_1301
+ 'delay+651*per+   (w_1301-w_1302)*distort/2+(dtf+dtr)/2+(w_1302-w_1301)*(dtf-dtr)/2'        w_1302
+ 'delay+651*per+per2+(w_1302-w_1303)*distort/2'                                              w_1302
+ 'delay+651*per+per2+(w_1302-w_1303)*distort/2+(dtf+dtr)/2+(w_1303-w_1302)*(dtf-dtr)/2'      w_1303
+ 'delay+652*per+   (w_1303-w_1304)*distort/2'                                                w_1303
+ 'delay+652*per+   (w_1303-w_1304)*distort/2+(dtf+dtr)/2+(w_1304-w_1303)*(dtf-dtr)/2'        w_1304
+ 'delay+652*per+per2+(w_1304-w_1305)*distort/2'                                              w_1304
+ 'delay+652*per+per2+(w_1304-w_1305)*distort/2+(dtf+dtr)/2+(w_1305-w_1304)*(dtf-dtr)/2'      w_1305
+ 'delay+653*per+   (w_1305-w_1306)*distort/2'                                                w_1305
+ 'delay+653*per+   (w_1305-w_1306)*distort/2+(dtf+dtr)/2+(w_1306-w_1305)*(dtf-dtr)/2'        w_1306
+ 'delay+653*per+per2+(w_1306-w_1307)*distort/2'                                              w_1306
+ 'delay+653*per+per2+(w_1306-w_1307)*distort/2+(dtf+dtr)/2+(w_1307-w_1306)*(dtf-dtr)/2'      w_1307
+ 'delay+654*per+   (w_1307-w_1308)*distort/2'                                                w_1307
+ 'delay+654*per+   (w_1307-w_1308)*distort/2+(dtf+dtr)/2+(w_1308-w_1307)*(dtf-dtr)/2'        w_1308
+ 'delay+654*per+per2+(w_1308-w_1309)*distort/2'                                              w_1308
+ 'delay+654*per+per2+(w_1308-w_1309)*distort/2+(dtf+dtr)/2+(w_1309-w_1308)*(dtf-dtr)/2'      w_1309
+ 'delay+655*per+   (w_1309-w_1310)*distort/2'                                                w_1309
+ 'delay+655*per+   (w_1309-w_1310)*distort/2+(dtf+dtr)/2+(w_1310-w_1309)*(dtf-dtr)/2'        w_1310
+ 'delay+655*per+per2+(w_1310-w_1311)*distort/2'                                              w_1310
+ 'delay+655*per+per2+(w_1310-w_1311)*distort/2+(dtf+dtr)/2+(w_1311-w_1310)*(dtf-dtr)/2'      w_1311
+ 'delay+656*per+   (w_1311-w_1312)*distort/2'                                                w_1311
+ 'delay+656*per+   (w_1311-w_1312)*distort/2+(dtf+dtr)/2+(w_1312-w_1311)*(dtf-dtr)/2'        w_1312
+ 'delay+656*per+per2+(w_1312-w_1313)*distort/2'                                              w_1312
+ 'delay+656*per+per2+(w_1312-w_1313)*distort/2+(dtf+dtr)/2+(w_1313-w_1312)*(dtf-dtr)/2'      w_1313
+ 'delay+657*per+   (w_1313-w_1314)*distort/2'                                                w_1313
+ 'delay+657*per+   (w_1313-w_1314)*distort/2+(dtf+dtr)/2+(w_1314-w_1313)*(dtf-dtr)/2'        w_1314
+ 'delay+657*per+per2+(w_1314-w_1315)*distort/2'                                              w_1314
+ 'delay+657*per+per2+(w_1314-w_1315)*distort/2+(dtf+dtr)/2+(w_1315-w_1314)*(dtf-dtr)/2'      w_1315
+ 'delay+658*per+   (w_1315-w_1316)*distort/2'                                                w_1315
+ 'delay+658*per+   (w_1315-w_1316)*distort/2+(dtf+dtr)/2+(w_1316-w_1315)*(dtf-dtr)/2'        w_1316
+ 'delay+658*per+per2+(w_1316-w_1317)*distort/2'                                              w_1316
+ 'delay+658*per+per2+(w_1316-w_1317)*distort/2+(dtf+dtr)/2+(w_1317-w_1316)*(dtf-dtr)/2'      w_1317
+ 'delay+659*per+   (w_1317-w_1318)*distort/2'                                                w_1317
+ 'delay+659*per+   (w_1317-w_1318)*distort/2+(dtf+dtr)/2+(w_1318-w_1317)*(dtf-dtr)/2'        w_1318
+ 'delay+659*per+per2+(w_1318-w_1319)*distort/2'                                              w_1318
+ 'delay+659*per+per2+(w_1318-w_1319)*distort/2+(dtf+dtr)/2+(w_1319-w_1318)*(dtf-dtr)/2'      w_1319
+ 'delay+660*per+   (w_1319-w_1320)*distort/2'                                                w_1319
+ 'delay+660*per+   (w_1319-w_1320)*distort/2+(dtf+dtr)/2+(w_1320-w_1319)*(dtf-dtr)/2'        w_1320
+ 'delay+660*per+per2+(w_1320-w_1321)*distort/2'                                              w_1320
+ 'delay+660*per+per2+(w_1320-w_1321)*distort/2+(dtf+dtr)/2+(w_1321-w_1320)*(dtf-dtr)/2'      w_1321
+ 'delay+661*per+   (w_1321-w_1322)*distort/2'                                                w_1321
+ 'delay+661*per+   (w_1321-w_1322)*distort/2+(dtf+dtr)/2+(w_1322-w_1321)*(dtf-dtr)/2'        w_1322
+ 'delay+661*per+per2+(w_1322-w_1323)*distort/2'                                              w_1322
+ 'delay+661*per+per2+(w_1322-w_1323)*distort/2+(dtf+dtr)/2+(w_1323-w_1322)*(dtf-dtr)/2'      w_1323
+ 'delay+662*per+   (w_1323-w_1324)*distort/2'                                                w_1323
+ 'delay+662*per+   (w_1323-w_1324)*distort/2+(dtf+dtr)/2+(w_1324-w_1323)*(dtf-dtr)/2'        w_1324
+ 'delay+662*per+per2+(w_1324-w_1325)*distort/2'                                              w_1324
+ 'delay+662*per+per2+(w_1324-w_1325)*distort/2+(dtf+dtr)/2+(w_1325-w_1324)*(dtf-dtr)/2'      w_1325
+ 'delay+663*per+   (w_1325-w_1326)*distort/2'                                                w_1325
+ 'delay+663*per+   (w_1325-w_1326)*distort/2+(dtf+dtr)/2+(w_1326-w_1325)*(dtf-dtr)/2'        w_1326
+ 'delay+663*per+per2+(w_1326-w_1327)*distort/2'                                              w_1326
+ 'delay+663*per+per2+(w_1326-w_1327)*distort/2+(dtf+dtr)/2+(w_1327-w_1326)*(dtf-dtr)/2'      w_1327
+ 'delay+664*per+   (w_1327-w_1328)*distort/2'                                                w_1327
+ 'delay+664*per+   (w_1327-w_1328)*distort/2+(dtf+dtr)/2+(w_1328-w_1327)*(dtf-dtr)/2'        w_1328
+ 'delay+664*per+per2+(w_1328-w_1329)*distort/2'                                              w_1328
+ 'delay+664*per+per2+(w_1328-w_1329)*distort/2+(dtf+dtr)/2+(w_1329-w_1328)*(dtf-dtr)/2'      w_1329
+ 'delay+665*per+   (w_1329-w_1330)*distort/2'                                                w_1329
+ 'delay+665*per+   (w_1329-w_1330)*distort/2+(dtf+dtr)/2+(w_1330-w_1329)*(dtf-dtr)/2'        w_1330
+ 'delay+665*per+per2+(w_1330-w_1331)*distort/2'                                              w_1330
+ 'delay+665*per+per2+(w_1330-w_1331)*distort/2+(dtf+dtr)/2+(w_1331-w_1330)*(dtf-dtr)/2'      w_1331
+ 'delay+666*per+   (w_1331-w_1332)*distort/2'                                                w_1331
+ 'delay+666*per+   (w_1331-w_1332)*distort/2+(dtf+dtr)/2+(w_1332-w_1331)*(dtf-dtr)/2'        w_1332
+ 'delay+666*per+per2+(w_1332-w_1333)*distort/2'                                              w_1332
+ 'delay+666*per+per2+(w_1332-w_1333)*distort/2+(dtf+dtr)/2+(w_1333-w_1332)*(dtf-dtr)/2'      w_1333
+ 'delay+667*per+   (w_1333-w_1334)*distort/2'                                                w_1333
+ 'delay+667*per+   (w_1333-w_1334)*distort/2+(dtf+dtr)/2+(w_1334-w_1333)*(dtf-dtr)/2'        w_1334
+ 'delay+667*per+per2+(w_1334-w_1335)*distort/2'                                              w_1334
+ 'delay+667*per+per2+(w_1334-w_1335)*distort/2+(dtf+dtr)/2+(w_1335-w_1334)*(dtf-dtr)/2'      w_1335
+ 'delay+668*per+   (w_1335-w_1336)*distort/2'                                                w_1335
+ 'delay+668*per+   (w_1335-w_1336)*distort/2+(dtf+dtr)/2+(w_1336-w_1335)*(dtf-dtr)/2'        w_1336
+ 'delay+668*per+per2+(w_1336-w_1337)*distort/2'                                              w_1336
+ 'delay+668*per+per2+(w_1336-w_1337)*distort/2+(dtf+dtr)/2+(w_1337-w_1336)*(dtf-dtr)/2'      w_1337
+ 'delay+669*per+   (w_1337-w_1338)*distort/2'                                                w_1337
+ 'delay+669*per+   (w_1337-w_1338)*distort/2+(dtf+dtr)/2+(w_1338-w_1337)*(dtf-dtr)/2'        w_1338
+ 'delay+669*per+per2+(w_1338-w_1339)*distort/2'                                              w_1338
+ 'delay+669*per+per2+(w_1338-w_1339)*distort/2+(dtf+dtr)/2+(w_1339-w_1338)*(dtf-dtr)/2'      w_1339
+ 'delay+670*per+   (w_1339-w_1340)*distort/2'                                                w_1339
+ 'delay+670*per+   (w_1339-w_1340)*distort/2+(dtf+dtr)/2+(w_1340-w_1339)*(dtf-dtr)/2'        w_1340
+ 'delay+670*per+per2+(w_1340-w_1341)*distort/2'                                              w_1340
+ 'delay+670*per+per2+(w_1340-w_1341)*distort/2+(dtf+dtr)/2+(w_1341-w_1340)*(dtf-dtr)/2'      w_1341
+ 'delay+671*per+   (w_1341-w_1342)*distort/2'                                                w_1341
+ 'delay+671*per+   (w_1341-w_1342)*distort/2+(dtf+dtr)/2+(w_1342-w_1341)*(dtf-dtr)/2'        w_1342
+ 'delay+671*per+per2+(w_1342-w_1343)*distort/2'                                              w_1342
+ 'delay+671*per+per2+(w_1342-w_1343)*distort/2+(dtf+dtr)/2+(w_1343-w_1342)*(dtf-dtr)/2'      w_1343
+ 'delay+672*per+   (w_1343-w_1344)*distort/2'                                                w_1343
+ 'delay+672*per+   (w_1343-w_1344)*distort/2+(dtf+dtr)/2+(w_1344-w_1343)*(dtf-dtr)/2'        w_1344
+ 'delay+672*per+per2+(w_1344-w_1345)*distort/2'                                              w_1344
+ 'delay+672*per+per2+(w_1344-w_1345)*distort/2+(dtf+dtr)/2+(w_1345-w_1344)*(dtf-dtr)/2'      w_1345
+ 'delay+673*per+   (w_1345-w_1346)*distort/2'                                                w_1345
+ 'delay+673*per+   (w_1345-w_1346)*distort/2+(dtf+dtr)/2+(w_1346-w_1345)*(dtf-dtr)/2'        w_1346
+ 'delay+673*per+per2+(w_1346-w_1347)*distort/2'                                              w_1346
+ 'delay+673*per+per2+(w_1346-w_1347)*distort/2+(dtf+dtr)/2+(w_1347-w_1346)*(dtf-dtr)/2'      w_1347
+ 'delay+674*per+   (w_1347-w_1348)*distort/2'                                                w_1347
+ 'delay+674*per+   (w_1347-w_1348)*distort/2+(dtf+dtr)/2+(w_1348-w_1347)*(dtf-dtr)/2'        w_1348
+ 'delay+674*per+per2+(w_1348-w_1349)*distort/2'                                              w_1348
+ 'delay+674*per+per2+(w_1348-w_1349)*distort/2+(dtf+dtr)/2+(w_1349-w_1348)*(dtf-dtr)/2'      w_1349
+ 'delay+675*per+   (w_1349-w_1350)*distort/2'                                                w_1349
+ 'delay+675*per+   (w_1349-w_1350)*distort/2+(dtf+dtr)/2+(w_1350-w_1349)*(dtf-dtr)/2'        w_1350
+ 'delay+675*per+per2+(w_1350-w_1351)*distort/2'                                              w_1350
+ 'delay+675*per+per2+(w_1350-w_1351)*distort/2+(dtf+dtr)/2+(w_1351-w_1350)*(dtf-dtr)/2'      w_1351
+ 'delay+676*per+   (w_1351-w_1352)*distort/2'                                                w_1351
+ 'delay+676*per+   (w_1351-w_1352)*distort/2+(dtf+dtr)/2+(w_1352-w_1351)*(dtf-dtr)/2'        w_1352
+ 'delay+676*per+per2+(w_1352-w_1353)*distort/2'                                              w_1352
+ 'delay+676*per+per2+(w_1352-w_1353)*distort/2+(dtf+dtr)/2+(w_1353-w_1352)*(dtf-dtr)/2'      w_1353
+ 'delay+677*per+   (w_1353-w_1354)*distort/2'                                                w_1353
+ 'delay+677*per+   (w_1353-w_1354)*distort/2+(dtf+dtr)/2+(w_1354-w_1353)*(dtf-dtr)/2'        w_1354
+ 'delay+677*per+per2+(w_1354-w_1355)*distort/2'                                              w_1354
+ 'delay+677*per+per2+(w_1354-w_1355)*distort/2+(dtf+dtr)/2+(w_1355-w_1354)*(dtf-dtr)/2'      w_1355
+ 'delay+678*per+   (w_1355-w_1356)*distort/2'                                                w_1355
+ 'delay+678*per+   (w_1355-w_1356)*distort/2+(dtf+dtr)/2+(w_1356-w_1355)*(dtf-dtr)/2'        w_1356
+ 'delay+678*per+per2+(w_1356-w_1357)*distort/2'                                              w_1356
+ 'delay+678*per+per2+(w_1356-w_1357)*distort/2+(dtf+dtr)/2+(w_1357-w_1356)*(dtf-dtr)/2'      w_1357
+ 'delay+679*per+   (w_1357-w_1358)*distort/2'                                                w_1357
+ 'delay+679*per+   (w_1357-w_1358)*distort/2+(dtf+dtr)/2+(w_1358-w_1357)*(dtf-dtr)/2'        w_1358
+ 'delay+679*per+per2+(w_1358-w_1359)*distort/2'                                              w_1358
+ 'delay+679*per+per2+(w_1358-w_1359)*distort/2+(dtf+dtr)/2+(w_1359-w_1358)*(dtf-dtr)/2'      w_1359
+ 'delay+680*per+   (w_1359-w_1360)*distort/2'                                                w_1359
+ 'delay+680*per+   (w_1359-w_1360)*distort/2+(dtf+dtr)/2+(w_1360-w_1359)*(dtf-dtr)/2'        w_1360
+ 'delay+680*per+per2+(w_1360-w_1361)*distort/2'                                              w_1360
+ 'delay+680*per+per2+(w_1360-w_1361)*distort/2+(dtf+dtr)/2+(w_1361-w_1360)*(dtf-dtr)/2'      w_1361
+ 'delay+681*per+   (w_1361-w_1362)*distort/2'                                                w_1361
+ 'delay+681*per+   (w_1361-w_1362)*distort/2+(dtf+dtr)/2+(w_1362-w_1361)*(dtf-dtr)/2'        w_1362
+ 'delay+681*per+per2+(w_1362-w_1363)*distort/2'                                              w_1362
+ 'delay+681*per+per2+(w_1362-w_1363)*distort/2+(dtf+dtr)/2+(w_1363-w_1362)*(dtf-dtr)/2'      w_1363
+ 'delay+682*per+   (w_1363-w_1364)*distort/2'                                                w_1363
+ 'delay+682*per+   (w_1363-w_1364)*distort/2+(dtf+dtr)/2+(w_1364-w_1363)*(dtf-dtr)/2'        w_1364
+ 'delay+682*per+per2+(w_1364-w_1365)*distort/2'                                              w_1364
+ 'delay+682*per+per2+(w_1364-w_1365)*distort/2+(dtf+dtr)/2+(w_1365-w_1364)*(dtf-dtr)/2'      w_1365
+ 'delay+683*per+   (w_1365-w_1366)*distort/2'                                                w_1365
+ 'delay+683*per+   (w_1365-w_1366)*distort/2+(dtf+dtr)/2+(w_1366-w_1365)*(dtf-dtr)/2'        w_1366
+ 'delay+683*per+per2+(w_1366-w_1367)*distort/2'                                              w_1366
+ 'delay+683*per+per2+(w_1366-w_1367)*distort/2+(dtf+dtr)/2+(w_1367-w_1366)*(dtf-dtr)/2'      w_1367
+ 'delay+684*per+   (w_1367-w_1368)*distort/2'                                                w_1367
+ 'delay+684*per+   (w_1367-w_1368)*distort/2+(dtf+dtr)/2+(w_1368-w_1367)*(dtf-dtr)/2'        w_1368
+ 'delay+684*per+per2+(w_1368-w_1369)*distort/2'                                              w_1368
+ 'delay+684*per+per2+(w_1368-w_1369)*distort/2+(dtf+dtr)/2+(w_1369-w_1368)*(dtf-dtr)/2'      w_1369
+ 'delay+685*per+   (w_1369-w_1370)*distort/2'                                                w_1369
+ 'delay+685*per+   (w_1369-w_1370)*distort/2+(dtf+dtr)/2+(w_1370-w_1369)*(dtf-dtr)/2'        w_1370
+ 'delay+685*per+per2+(w_1370-w_1371)*distort/2'                                              w_1370
+ 'delay+685*per+per2+(w_1370-w_1371)*distort/2+(dtf+dtr)/2+(w_1371-w_1370)*(dtf-dtr)/2'      w_1371
+ 'delay+686*per+   (w_1371-w_1372)*distort/2'                                                w_1371
+ 'delay+686*per+   (w_1371-w_1372)*distort/2+(dtf+dtr)/2+(w_1372-w_1371)*(dtf-dtr)/2'        w_1372
+ 'delay+686*per+per2+(w_1372-w_1373)*distort/2'                                              w_1372
+ 'delay+686*per+per2+(w_1372-w_1373)*distort/2+(dtf+dtr)/2+(w_1373-w_1372)*(dtf-dtr)/2'      w_1373
+ 'delay+687*per+   (w_1373-w_1374)*distort/2'                                                w_1373
+ 'delay+687*per+   (w_1373-w_1374)*distort/2+(dtf+dtr)/2+(w_1374-w_1373)*(dtf-dtr)/2'        w_1374
+ 'delay+687*per+per2+(w_1374-w_1375)*distort/2'                                              w_1374
+ 'delay+687*per+per2+(w_1374-w_1375)*distort/2+(dtf+dtr)/2+(w_1375-w_1374)*(dtf-dtr)/2'      w_1375
+ 'delay+688*per+   (w_1375-w_1376)*distort/2'                                                w_1375
+ 'delay+688*per+   (w_1375-w_1376)*distort/2+(dtf+dtr)/2+(w_1376-w_1375)*(dtf-dtr)/2'        w_1376
+ 'delay+688*per+per2+(w_1376-w_1377)*distort/2'                                              w_1376
+ 'delay+688*per+per2+(w_1376-w_1377)*distort/2+(dtf+dtr)/2+(w_1377-w_1376)*(dtf-dtr)/2'      w_1377
+ 'delay+689*per+   (w_1377-w_1378)*distort/2'                                                w_1377
+ 'delay+689*per+   (w_1377-w_1378)*distort/2+(dtf+dtr)/2+(w_1378-w_1377)*(dtf-dtr)/2'        w_1378
+ 'delay+689*per+per2+(w_1378-w_1379)*distort/2'                                              w_1378
+ 'delay+689*per+per2+(w_1378-w_1379)*distort/2+(dtf+dtr)/2+(w_1379-w_1378)*(dtf-dtr)/2'      w_1379
+ 'delay+690*per+   (w_1379-w_1380)*distort/2'                                                w_1379
+ 'delay+690*per+   (w_1379-w_1380)*distort/2+(dtf+dtr)/2+(w_1380-w_1379)*(dtf-dtr)/2'        w_1380
+ 'delay+690*per+per2+(w_1380-w_1381)*distort/2'                                              w_1380
+ 'delay+690*per+per2+(w_1380-w_1381)*distort/2+(dtf+dtr)/2+(w_1381-w_1380)*(dtf-dtr)/2'      w_1381
+ 'delay+691*per+   (w_1381-w_1382)*distort/2'                                                w_1381
+ 'delay+691*per+   (w_1381-w_1382)*distort/2+(dtf+dtr)/2+(w_1382-w_1381)*(dtf-dtr)/2'        w_1382
+ 'delay+691*per+per2+(w_1382-w_1383)*distort/2'                                              w_1382
+ 'delay+691*per+per2+(w_1382-w_1383)*distort/2+(dtf+dtr)/2+(w_1383-w_1382)*(dtf-dtr)/2'      w_1383
+ 'delay+692*per+   (w_1383-w_1384)*distort/2'                                                w_1383
+ 'delay+692*per+   (w_1383-w_1384)*distort/2+(dtf+dtr)/2+(w_1384-w_1383)*(dtf-dtr)/2'        w_1384
+ 'delay+692*per+per2+(w_1384-w_1385)*distort/2'                                              w_1384
+ 'delay+692*per+per2+(w_1384-w_1385)*distort/2+(dtf+dtr)/2+(w_1385-w_1384)*(dtf-dtr)/2'      w_1385
+ 'delay+693*per+   (w_1385-w_1386)*distort/2'                                                w_1385
+ 'delay+693*per+   (w_1385-w_1386)*distort/2+(dtf+dtr)/2+(w_1386-w_1385)*(dtf-dtr)/2'        w_1386
+ 'delay+693*per+per2+(w_1386-w_1387)*distort/2'                                              w_1386
+ 'delay+693*per+per2+(w_1386-w_1387)*distort/2+(dtf+dtr)/2+(w_1387-w_1386)*(dtf-dtr)/2'      w_1387
+ 'delay+694*per+   (w_1387-w_1388)*distort/2'                                                w_1387
+ 'delay+694*per+   (w_1387-w_1388)*distort/2+(dtf+dtr)/2+(w_1388-w_1387)*(dtf-dtr)/2'        w_1388
+ 'delay+694*per+per2+(w_1388-w_1389)*distort/2'                                              w_1388
+ 'delay+694*per+per2+(w_1388-w_1389)*distort/2+(dtf+dtr)/2+(w_1389-w_1388)*(dtf-dtr)/2'      w_1389
+ 'delay+695*per+   (w_1389-w_1390)*distort/2'                                                w_1389
+ 'delay+695*per+   (w_1389-w_1390)*distort/2+(dtf+dtr)/2+(w_1390-w_1389)*(dtf-dtr)/2'        w_1390
+ 'delay+695*per+per2+(w_1390-w_1391)*distort/2'                                              w_1390
+ 'delay+695*per+per2+(w_1390-w_1391)*distort/2+(dtf+dtr)/2+(w_1391-w_1390)*(dtf-dtr)/2'      w_1391
+ 'delay+696*per+   (w_1391-w_1392)*distort/2'                                                w_1391
+ 'delay+696*per+   (w_1391-w_1392)*distort/2+(dtf+dtr)/2+(w_1392-w_1391)*(dtf-dtr)/2'        w_1392
+ 'delay+696*per+per2+(w_1392-w_1393)*distort/2'                                              w_1392
+ 'delay+696*per+per2+(w_1392-w_1393)*distort/2+(dtf+dtr)/2+(w_1393-w_1392)*(dtf-dtr)/2'      w_1393
+ 'delay+697*per+   (w_1393-w_1394)*distort/2'                                                w_1393
+ 'delay+697*per+   (w_1393-w_1394)*distort/2+(dtf+dtr)/2+(w_1394-w_1393)*(dtf-dtr)/2'        w_1394
+ 'delay+697*per+per2+(w_1394-w_1395)*distort/2'                                              w_1394
+ 'delay+697*per+per2+(w_1394-w_1395)*distort/2+(dtf+dtr)/2+(w_1395-w_1394)*(dtf-dtr)/2'      w_1395
+ 'delay+698*per+   (w_1395-w_1396)*distort/2'                                                w_1395
+ 'delay+698*per+   (w_1395-w_1396)*distort/2+(dtf+dtr)/2+(w_1396-w_1395)*(dtf-dtr)/2'        w_1396
+ 'delay+698*per+per2+(w_1396-w_1397)*distort/2'                                              w_1396
+ 'delay+698*per+per2+(w_1396-w_1397)*distort/2+(dtf+dtr)/2+(w_1397-w_1396)*(dtf-dtr)/2'      w_1397
+ 'delay+699*per+   (w_1397-w_1398)*distort/2'                                                w_1397
+ 'delay+699*per+   (w_1397-w_1398)*distort/2+(dtf+dtr)/2+(w_1398-w_1397)*(dtf-dtr)/2'        w_1398
+ 'delay+699*per+per2+(w_1398-w_1399)*distort/2'                                              w_1398
+ 'delay+699*per+per2+(w_1398-w_1399)*distort/2+(dtf+dtr)/2+(w_1399-w_1398)*(dtf-dtr)/2'      w_1399
+ 'delay+700*per+   (w_1399-w_1400)*distort/2'                                                w_1399
+ 'delay+700*per+   (w_1399-w_1400)*distort/2+(dtf+dtr)/2+(w_1400-w_1399)*(dtf-dtr)/2'        w_1400
+ 'delay+700*per+per2+(w_1400-w_1401)*distort/2'                                              w_1400
+ 'delay+700*per+per2+(w_1400-w_1401)*distort/2+(dtf+dtr)/2+(w_1401-w_1400)*(dtf-dtr)/2'      w_1401
+ 'delay+701*per+   (w_1401-w_1402)*distort/2'                                                w_1401
+ 'delay+701*per+   (w_1401-w_1402)*distort/2+(dtf+dtr)/2+(w_1402-w_1401)*(dtf-dtr)/2'        w_1402
+ 'delay+701*per+per2+(w_1402-w_1403)*distort/2'                                              w_1402
+ 'delay+701*per+per2+(w_1402-w_1403)*distort/2+(dtf+dtr)/2+(w_1403-w_1402)*(dtf-dtr)/2'      w_1403
+ 'delay+702*per+   (w_1403-w_1404)*distort/2'                                                w_1403
+ 'delay+702*per+   (w_1403-w_1404)*distort/2+(dtf+dtr)/2+(w_1404-w_1403)*(dtf-dtr)/2'        w_1404
+ 'delay+702*per+per2+(w_1404-w_1405)*distort/2'                                              w_1404
+ 'delay+702*per+per2+(w_1404-w_1405)*distort/2+(dtf+dtr)/2+(w_1405-w_1404)*(dtf-dtr)/2'      w_1405
+ 'delay+703*per+   (w_1405-w_1406)*distort/2'                                                w_1405
+ 'delay+703*per+   (w_1405-w_1406)*distort/2+(dtf+dtr)/2+(w_1406-w_1405)*(dtf-dtr)/2'        w_1406
+ 'delay+703*per+per2+(w_1406-w_1407)*distort/2'                                              w_1406
+ 'delay+703*per+per2+(w_1406-w_1407)*distort/2+(dtf+dtr)/2+(w_1407-w_1406)*(dtf-dtr)/2'      w_1407
+ 'delay+704*per+   (w_1407-w_1408)*distort/2'                                                w_1407
+ 'delay+704*per+   (w_1407-w_1408)*distort/2+(dtf+dtr)/2+(w_1408-w_1407)*(dtf-dtr)/2'        w_1408
+ 'delay+704*per+per2+(w_1408-w_1409)*distort/2'                                              w_1408
+ 'delay+704*per+per2+(w_1408-w_1409)*distort/2+(dtf+dtr)/2+(w_1409-w_1408)*(dtf-dtr)/2'      w_1409
+ 'delay+705*per+   (w_1409-w_1410)*distort/2'                                                w_1409
+ 'delay+705*per+   (w_1409-w_1410)*distort/2+(dtf+dtr)/2+(w_1410-w_1409)*(dtf-dtr)/2'        w_1410
+ 'delay+705*per+per2+(w_1410-w_1411)*distort/2'                                              w_1410
+ 'delay+705*per+per2+(w_1410-w_1411)*distort/2+(dtf+dtr)/2+(w_1411-w_1410)*(dtf-dtr)/2'      w_1411
+ 'delay+706*per+   (w_1411-w_1412)*distort/2'                                                w_1411
+ 'delay+706*per+   (w_1411-w_1412)*distort/2+(dtf+dtr)/2+(w_1412-w_1411)*(dtf-dtr)/2'        w_1412
+ 'delay+706*per+per2+(w_1412-w_1413)*distort/2'                                              w_1412
+ 'delay+706*per+per2+(w_1412-w_1413)*distort/2+(dtf+dtr)/2+(w_1413-w_1412)*(dtf-dtr)/2'      w_1413
+ 'delay+707*per+   (w_1413-w_1414)*distort/2'                                                w_1413
+ 'delay+707*per+   (w_1413-w_1414)*distort/2+(dtf+dtr)/2+(w_1414-w_1413)*(dtf-dtr)/2'        w_1414
+ 'delay+707*per+per2+(w_1414-w_1415)*distort/2'                                              w_1414
+ 'delay+707*per+per2+(w_1414-w_1415)*distort/2+(dtf+dtr)/2+(w_1415-w_1414)*(dtf-dtr)/2'      w_1415
+ 'delay+708*per+   (w_1415-w_1416)*distort/2'                                                w_1415
+ 'delay+708*per+   (w_1415-w_1416)*distort/2+(dtf+dtr)/2+(w_1416-w_1415)*(dtf-dtr)/2'        w_1416
+ 'delay+708*per+per2+(w_1416-w_1417)*distort/2'                                              w_1416
+ 'delay+708*per+per2+(w_1416-w_1417)*distort/2+(dtf+dtr)/2+(w_1417-w_1416)*(dtf-dtr)/2'      w_1417
+ 'delay+709*per+   (w_1417-w_1418)*distort/2'                                                w_1417
+ 'delay+709*per+   (w_1417-w_1418)*distort/2+(dtf+dtr)/2+(w_1418-w_1417)*(dtf-dtr)/2'        w_1418
+ 'delay+709*per+per2+(w_1418-w_1419)*distort/2'                                              w_1418
+ 'delay+709*per+per2+(w_1418-w_1419)*distort/2+(dtf+dtr)/2+(w_1419-w_1418)*(dtf-dtr)/2'      w_1419
+ 'delay+710*per+   (w_1419-w_1420)*distort/2'                                                w_1419
+ 'delay+710*per+   (w_1419-w_1420)*distort/2+(dtf+dtr)/2+(w_1420-w_1419)*(dtf-dtr)/2'        w_1420
+ 'delay+710*per+per2+(w_1420-w_1421)*distort/2'                                              w_1420
+ 'delay+710*per+per2+(w_1420-w_1421)*distort/2+(dtf+dtr)/2+(w_1421-w_1420)*(dtf-dtr)/2'      w_1421
+ 'delay+711*per+   (w_1421-w_1422)*distort/2'                                                w_1421
+ 'delay+711*per+   (w_1421-w_1422)*distort/2+(dtf+dtr)/2+(w_1422-w_1421)*(dtf-dtr)/2'        w_1422
+ 'delay+711*per+per2+(w_1422-w_1423)*distort/2'                                              w_1422
+ 'delay+711*per+per2+(w_1422-w_1423)*distort/2+(dtf+dtr)/2+(w_1423-w_1422)*(dtf-dtr)/2'      w_1423
+ 'delay+712*per+   (w_1423-w_1424)*distort/2'                                                w_1423
+ 'delay+712*per+   (w_1423-w_1424)*distort/2+(dtf+dtr)/2+(w_1424-w_1423)*(dtf-dtr)/2'        w_1424
+ 'delay+712*per+per2+(w_1424-w_1425)*distort/2'                                              w_1424
+ 'delay+712*per+per2+(w_1424-w_1425)*distort/2+(dtf+dtr)/2+(w_1425-w_1424)*(dtf-dtr)/2'      w_1425
+ 'delay+713*per+   (w_1425-w_1426)*distort/2'                                                w_1425
+ 'delay+713*per+   (w_1425-w_1426)*distort/2+(dtf+dtr)/2+(w_1426-w_1425)*(dtf-dtr)/2'        w_1426
+ 'delay+713*per+per2+(w_1426-w_1427)*distort/2'                                              w_1426
+ 'delay+713*per+per2+(w_1426-w_1427)*distort/2+(dtf+dtr)/2+(w_1427-w_1426)*(dtf-dtr)/2'      w_1427
+ 'delay+714*per+   (w_1427-w_1428)*distort/2'                                                w_1427
+ 'delay+714*per+   (w_1427-w_1428)*distort/2+(dtf+dtr)/2+(w_1428-w_1427)*(dtf-dtr)/2'        w_1428
+ 'delay+714*per+per2+(w_1428-w_1429)*distort/2'                                              w_1428
+ 'delay+714*per+per2+(w_1428-w_1429)*distort/2+(dtf+dtr)/2+(w_1429-w_1428)*(dtf-dtr)/2'      w_1429
+ 'delay+715*per+   (w_1429-w_1430)*distort/2'                                                w_1429
+ 'delay+715*per+   (w_1429-w_1430)*distort/2+(dtf+dtr)/2+(w_1430-w_1429)*(dtf-dtr)/2'        w_1430
+ 'delay+715*per+per2+(w_1430-w_1431)*distort/2'                                              w_1430
+ 'delay+715*per+per2+(w_1430-w_1431)*distort/2+(dtf+dtr)/2+(w_1431-w_1430)*(dtf-dtr)/2'      w_1431
+ 'delay+716*per+   (w_1431-w_1432)*distort/2'                                                w_1431
+ 'delay+716*per+   (w_1431-w_1432)*distort/2+(dtf+dtr)/2+(w_1432-w_1431)*(dtf-dtr)/2'        w_1432
+ 'delay+716*per+per2+(w_1432-w_1433)*distort/2'                                              w_1432
+ 'delay+716*per+per2+(w_1432-w_1433)*distort/2+(dtf+dtr)/2+(w_1433-w_1432)*(dtf-dtr)/2'      w_1433
+ 'delay+717*per+   (w_1433-w_1434)*distort/2'                                                w_1433
+ 'delay+717*per+   (w_1433-w_1434)*distort/2+(dtf+dtr)/2+(w_1434-w_1433)*(dtf-dtr)/2'        w_1434
+ 'delay+717*per+per2+(w_1434-w_1435)*distort/2'                                              w_1434
+ 'delay+717*per+per2+(w_1434-w_1435)*distort/2+(dtf+dtr)/2+(w_1435-w_1434)*(dtf-dtr)/2'      w_1435
+ 'delay+718*per+   (w_1435-w_1436)*distort/2'                                                w_1435
+ 'delay+718*per+   (w_1435-w_1436)*distort/2+(dtf+dtr)/2+(w_1436-w_1435)*(dtf-dtr)/2'        w_1436
+ 'delay+718*per+per2+(w_1436-w_1437)*distort/2'                                              w_1436
+ 'delay+718*per+per2+(w_1436-w_1437)*distort/2+(dtf+dtr)/2+(w_1437-w_1436)*(dtf-dtr)/2'      w_1437
+ 'delay+719*per+   (w_1437-w_1438)*distort/2'                                                w_1437
+ 'delay+719*per+   (w_1437-w_1438)*distort/2+(dtf+dtr)/2+(w_1438-w_1437)*(dtf-dtr)/2'        w_1438
+ 'delay+719*per+per2+(w_1438-w_1439)*distort/2'                                              w_1438
+ 'delay+719*per+per2+(w_1438-w_1439)*distort/2+(dtf+dtr)/2+(w_1439-w_1438)*(dtf-dtr)/2'      w_1439
+ 'delay+720*per+   (w_1439-w_1440)*distort/2'                                                w_1439
+ 'delay+720*per+   (w_1439-w_1440)*distort/2+(dtf+dtr)/2+(w_1440-w_1439)*(dtf-dtr)/2'        w_1440
+ 'delay+720*per+per2+(w_1440-w_1441)*distort/2'                                              w_1440
+ 'delay+720*per+per2+(w_1440-w_1441)*distort/2+(dtf+dtr)/2+(w_1441-w_1440)*(dtf-dtr)/2'      w_1441
+ 'delay+721*per+   (w_1441-w_1442)*distort/2'                                                w_1441
+ 'delay+721*per+   (w_1441-w_1442)*distort/2+(dtf+dtr)/2+(w_1442-w_1441)*(dtf-dtr)/2'        w_1442
+ 'delay+721*per+per2+(w_1442-w_1443)*distort/2'                                              w_1442
+ 'delay+721*per+per2+(w_1442-w_1443)*distort/2+(dtf+dtr)/2+(w_1443-w_1442)*(dtf-dtr)/2'      w_1443
+ 'delay+722*per+   (w_1443-w_1444)*distort/2'                                                w_1443
+ 'delay+722*per+   (w_1443-w_1444)*distort/2+(dtf+dtr)/2+(w_1444-w_1443)*(dtf-dtr)/2'        w_1444
+ 'delay+722*per+per2+(w_1444-w_1445)*distort/2'                                              w_1444
+ 'delay+722*per+per2+(w_1444-w_1445)*distort/2+(dtf+dtr)/2+(w_1445-w_1444)*(dtf-dtr)/2'      w_1445
+ 'delay+723*per+   (w_1445-w_1446)*distort/2'                                                w_1445
+ 'delay+723*per+   (w_1445-w_1446)*distort/2+(dtf+dtr)/2+(w_1446-w_1445)*(dtf-dtr)/2'        w_1446
+ 'delay+723*per+per2+(w_1446-w_1447)*distort/2'                                              w_1446
+ 'delay+723*per+per2+(w_1446-w_1447)*distort/2+(dtf+dtr)/2+(w_1447-w_1446)*(dtf-dtr)/2'      w_1447
+ 'delay+724*per+   (w_1447-w_1448)*distort/2'                                                w_1447
+ 'delay+724*per+   (w_1447-w_1448)*distort/2+(dtf+dtr)/2+(w_1448-w_1447)*(dtf-dtr)/2'        w_1448
+ 'delay+724*per+per2+(w_1448-w_1449)*distort/2'                                              w_1448
+ 'delay+724*per+per2+(w_1448-w_1449)*distort/2+(dtf+dtr)/2+(w_1449-w_1448)*(dtf-dtr)/2'      w_1449
+ 'delay+725*per+   (w_1449-w_1450)*distort/2'                                                w_1449
+ 'delay+725*per+   (w_1449-w_1450)*distort/2+(dtf+dtr)/2+(w_1450-w_1449)*(dtf-dtr)/2'        w_1450
+ 'delay+725*per+per2+(w_1450-w_1451)*distort/2'                                              w_1450
+ 'delay+725*per+per2+(w_1450-w_1451)*distort/2+(dtf+dtr)/2+(w_1451-w_1450)*(dtf-dtr)/2'      w_1451
+ 'delay+726*per+   (w_1451-w_1452)*distort/2'                                                w_1451
+ 'delay+726*per+   (w_1451-w_1452)*distort/2+(dtf+dtr)/2+(w_1452-w_1451)*(dtf-dtr)/2'        w_1452
+ 'delay+726*per+per2+(w_1452-w_1453)*distort/2'                                              w_1452
+ 'delay+726*per+per2+(w_1452-w_1453)*distort/2+(dtf+dtr)/2+(w_1453-w_1452)*(dtf-dtr)/2'      w_1453
+ 'delay+727*per+   (w_1453-w_1454)*distort/2'                                                w_1453
+ 'delay+727*per+   (w_1453-w_1454)*distort/2+(dtf+dtr)/2+(w_1454-w_1453)*(dtf-dtr)/2'        w_1454
+ 'delay+727*per+per2+(w_1454-w_1455)*distort/2'                                              w_1454
+ 'delay+727*per+per2+(w_1454-w_1455)*distort/2+(dtf+dtr)/2+(w_1455-w_1454)*(dtf-dtr)/2'      w_1455
+ 'delay+728*per+   (w_1455-w_1456)*distort/2'                                                w_1455
+ 'delay+728*per+   (w_1455-w_1456)*distort/2+(dtf+dtr)/2+(w_1456-w_1455)*(dtf-dtr)/2'        w_1456
+ 'delay+728*per+per2+(w_1456-w_1457)*distort/2'                                              w_1456
+ 'delay+728*per+per2+(w_1456-w_1457)*distort/2+(dtf+dtr)/2+(w_1457-w_1456)*(dtf-dtr)/2'      w_1457
+ 'delay+729*per+   (w_1457-w_1458)*distort/2'                                                w_1457
+ 'delay+729*per+   (w_1457-w_1458)*distort/2+(dtf+dtr)/2+(w_1458-w_1457)*(dtf-dtr)/2'        w_1458
+ 'delay+729*per+per2+(w_1458-w_1459)*distort/2'                                              w_1458
+ 'delay+729*per+per2+(w_1458-w_1459)*distort/2+(dtf+dtr)/2+(w_1459-w_1458)*(dtf-dtr)/2'      w_1459
+ 'delay+730*per+   (w_1459-w_1460)*distort/2'                                                w_1459
+ 'delay+730*per+   (w_1459-w_1460)*distort/2+(dtf+dtr)/2+(w_1460-w_1459)*(dtf-dtr)/2'        w_1460
+ 'delay+730*per+per2+(w_1460-w_1461)*distort/2'                                              w_1460
+ 'delay+730*per+per2+(w_1460-w_1461)*distort/2+(dtf+dtr)/2+(w_1461-w_1460)*(dtf-dtr)/2'      w_1461
+ 'delay+731*per+   (w_1461-w_1462)*distort/2'                                                w_1461
+ 'delay+731*per+   (w_1461-w_1462)*distort/2+(dtf+dtr)/2+(w_1462-w_1461)*(dtf-dtr)/2'        w_1462
+ 'delay+731*per+per2+(w_1462-w_1463)*distort/2'                                              w_1462
+ 'delay+731*per+per2+(w_1462-w_1463)*distort/2+(dtf+dtr)/2+(w_1463-w_1462)*(dtf-dtr)/2'      w_1463
+ 'delay+732*per+   (w_1463-w_1464)*distort/2'                                                w_1463
+ 'delay+732*per+   (w_1463-w_1464)*distort/2+(dtf+dtr)/2+(w_1464-w_1463)*(dtf-dtr)/2'        w_1464
+ 'delay+732*per+per2+(w_1464-w_1465)*distort/2'                                              w_1464
+ 'delay+732*per+per2+(w_1464-w_1465)*distort/2+(dtf+dtr)/2+(w_1465-w_1464)*(dtf-dtr)/2'      w_1465
+ 'delay+733*per+   (w_1465-w_1466)*distort/2'                                                w_1465
+ 'delay+733*per+   (w_1465-w_1466)*distort/2+(dtf+dtr)/2+(w_1466-w_1465)*(dtf-dtr)/2'        w_1466
+ 'delay+733*per+per2+(w_1466-w_1467)*distort/2'                                              w_1466
+ 'delay+733*per+per2+(w_1466-w_1467)*distort/2+(dtf+dtr)/2+(w_1467-w_1466)*(dtf-dtr)/2'      w_1467
+ 'delay+734*per+   (w_1467-w_1468)*distort/2'                                                w_1467
+ 'delay+734*per+   (w_1467-w_1468)*distort/2+(dtf+dtr)/2+(w_1468-w_1467)*(dtf-dtr)/2'        w_1468
+ 'delay+734*per+per2+(w_1468-w_1469)*distort/2'                                              w_1468
+ 'delay+734*per+per2+(w_1468-w_1469)*distort/2+(dtf+dtr)/2+(w_1469-w_1468)*(dtf-dtr)/2'      w_1469
+ 'delay+735*per+   (w_1469-w_1470)*distort/2'                                                w_1469
+ 'delay+735*per+   (w_1469-w_1470)*distort/2+(dtf+dtr)/2+(w_1470-w_1469)*(dtf-dtr)/2'        w_1470
+ 'delay+735*per+per2+(w_1470-w_1471)*distort/2'                                              w_1470
+ 'delay+735*per+per2+(w_1470-w_1471)*distort/2+(dtf+dtr)/2+(w_1471-w_1470)*(dtf-dtr)/2'      w_1471
+ 'delay+736*per+   (w_1471-w_1472)*distort/2'                                                w_1471
+ 'delay+736*per+   (w_1471-w_1472)*distort/2+(dtf+dtr)/2+(w_1472-w_1471)*(dtf-dtr)/2'        w_1472
+ 'delay+736*per+per2+(w_1472-w_1473)*distort/2'                                              w_1472
+ 'delay+736*per+per2+(w_1472-w_1473)*distort/2+(dtf+dtr)/2+(w_1473-w_1472)*(dtf-dtr)/2'      w_1473
+ 'delay+737*per+   (w_1473-w_1474)*distort/2'                                                w_1473
+ 'delay+737*per+   (w_1473-w_1474)*distort/2+(dtf+dtr)/2+(w_1474-w_1473)*(dtf-dtr)/2'        w_1474
+ 'delay+737*per+per2+(w_1474-w_1475)*distort/2'                                              w_1474
+ 'delay+737*per+per2+(w_1474-w_1475)*distort/2+(dtf+dtr)/2+(w_1475-w_1474)*(dtf-dtr)/2'      w_1475
+ 'delay+738*per+   (w_1475-w_1476)*distort/2'                                                w_1475
+ 'delay+738*per+   (w_1475-w_1476)*distort/2+(dtf+dtr)/2+(w_1476-w_1475)*(dtf-dtr)/2'        w_1476
+ 'delay+738*per+per2+(w_1476-w_1477)*distort/2'                                              w_1476
+ 'delay+738*per+per2+(w_1476-w_1477)*distort/2+(dtf+dtr)/2+(w_1477-w_1476)*(dtf-dtr)/2'      w_1477
+ 'delay+739*per+   (w_1477-w_1478)*distort/2'                                                w_1477
+ 'delay+739*per+   (w_1477-w_1478)*distort/2+(dtf+dtr)/2+(w_1478-w_1477)*(dtf-dtr)/2'        w_1478
+ 'delay+739*per+per2+(w_1478-w_1479)*distort/2'                                              w_1478
+ 'delay+739*per+per2+(w_1478-w_1479)*distort/2+(dtf+dtr)/2+(w_1479-w_1478)*(dtf-dtr)/2'      w_1479
+ 'delay+740*per+   (w_1479-w_1480)*distort/2'                                                w_1479
+ 'delay+740*per+   (w_1479-w_1480)*distort/2+(dtf+dtr)/2+(w_1480-w_1479)*(dtf-dtr)/2'        w_1480
+ 'delay+740*per+per2+(w_1480-w_1481)*distort/2'                                              w_1480
+ 'delay+740*per+per2+(w_1480-w_1481)*distort/2+(dtf+dtr)/2+(w_1481-w_1480)*(dtf-dtr)/2'      w_1481
+ 'delay+741*per+   (w_1481-w_1482)*distort/2'                                                w_1481
+ 'delay+741*per+   (w_1481-w_1482)*distort/2+(dtf+dtr)/2+(w_1482-w_1481)*(dtf-dtr)/2'        w_1482
+ 'delay+741*per+per2+(w_1482-w_1483)*distort/2'                                              w_1482
+ 'delay+741*per+per2+(w_1482-w_1483)*distort/2+(dtf+dtr)/2+(w_1483-w_1482)*(dtf-dtr)/2'      w_1483
+ 'delay+742*per+   (w_1483-w_1484)*distort/2'                                                w_1483
+ 'delay+742*per+   (w_1483-w_1484)*distort/2+(dtf+dtr)/2+(w_1484-w_1483)*(dtf-dtr)/2'        w_1484
+ 'delay+742*per+per2+(w_1484-w_1485)*distort/2'                                              w_1484
+ 'delay+742*per+per2+(w_1484-w_1485)*distort/2+(dtf+dtr)/2+(w_1485-w_1484)*(dtf-dtr)/2'      w_1485
+ 'delay+743*per+   (w_1485-w_1486)*distort/2'                                                w_1485
+ 'delay+743*per+   (w_1485-w_1486)*distort/2+(dtf+dtr)/2+(w_1486-w_1485)*(dtf-dtr)/2'        w_1486
+ 'delay+743*per+per2+(w_1486-w_1487)*distort/2'                                              w_1486
+ 'delay+743*per+per2+(w_1486-w_1487)*distort/2+(dtf+dtr)/2+(w_1487-w_1486)*(dtf-dtr)/2'      w_1487
+ 'delay+744*per+   (w_1487-w_1488)*distort/2'                                                w_1487
+ 'delay+744*per+   (w_1487-w_1488)*distort/2+(dtf+dtr)/2+(w_1488-w_1487)*(dtf-dtr)/2'        w_1488
+ 'delay+744*per+per2+(w_1488-w_1489)*distort/2'                                              w_1488
+ 'delay+744*per+per2+(w_1488-w_1489)*distort/2+(dtf+dtr)/2+(w_1489-w_1488)*(dtf-dtr)/2'      w_1489
+ 'delay+745*per+   (w_1489-w_1490)*distort/2'                                                w_1489
+ 'delay+745*per+   (w_1489-w_1490)*distort/2+(dtf+dtr)/2+(w_1490-w_1489)*(dtf-dtr)/2'        w_1490
+ 'delay+745*per+per2+(w_1490-w_1491)*distort/2'                                              w_1490
+ 'delay+745*per+per2+(w_1490-w_1491)*distort/2+(dtf+dtr)/2+(w_1491-w_1490)*(dtf-dtr)/2'      w_1491
+ 'delay+746*per+   (w_1491-w_1492)*distort/2'                                                w_1491
+ 'delay+746*per+   (w_1491-w_1492)*distort/2+(dtf+dtr)/2+(w_1492-w_1491)*(dtf-dtr)/2'        w_1492
+ 'delay+746*per+per2+(w_1492-w_1493)*distort/2'                                              w_1492
+ 'delay+746*per+per2+(w_1492-w_1493)*distort/2+(dtf+dtr)/2+(w_1493-w_1492)*(dtf-dtr)/2'      w_1493
+ 'delay+747*per+   (w_1493-w_1494)*distort/2'                                                w_1493
+ 'delay+747*per+   (w_1493-w_1494)*distort/2+(dtf+dtr)/2+(w_1494-w_1493)*(dtf-dtr)/2'        w_1494
+ 'delay+747*per+per2+(w_1494-w_1495)*distort/2'                                              w_1494
+ 'delay+747*per+per2+(w_1494-w_1495)*distort/2+(dtf+dtr)/2+(w_1495-w_1494)*(dtf-dtr)/2'      w_1495
+ 'delay+748*per+   (w_1495-w_1496)*distort/2'                                                w_1495
+ 'delay+748*per+   (w_1495-w_1496)*distort/2+(dtf+dtr)/2+(w_1496-w_1495)*(dtf-dtr)/2'        w_1496
+ 'delay+748*per+per2+(w_1496-w_1497)*distort/2'                                              w_1496
+ 'delay+748*per+per2+(w_1496-w_1497)*distort/2+(dtf+dtr)/2+(w_1497-w_1496)*(dtf-dtr)/2'      w_1497
+ 'delay+749*per+   (w_1497-w_1498)*distort/2'                                                w_1497
+ 'delay+749*per+   (w_1497-w_1498)*distort/2+(dtf+dtr)/2+(w_1498-w_1497)*(dtf-dtr)/2'        w_1498
+ 'delay+749*per+per2+(w_1498-w_1499)*distort/2'                                              w_1498
+ 'delay+749*per+per2+(w_1498-w_1499)*distort/2+(dtf+dtr)/2+(w_1499-w_1498)*(dtf-dtr)/2'      w_1499
+ 'delay+750*per+   (w_1499-w_1500)*distort/2'                                                w_1499
+ 'delay+750*per+   (w_1499-w_1500)*distort/2+(dtf+dtr)/2+(w_1500-w_1499)*(dtf-dtr)/2'        w_1500
+ 'delay+750*per+per2+(w_1500-w_1501)*distort/2'                                              w_1500
+ 'delay+750*per+per2+(w_1500-w_1501)*distort/2+(dtf+dtr)/2+(w_1501-w_1500)*(dtf-dtr)/2'      w_1501
+ 'delay+751*per+   (w_1501-w_1502)*distort/2'                                                w_1501
+ 'delay+751*per+   (w_1501-w_1502)*distort/2+(dtf+dtr)/2+(w_1502-w_1501)*(dtf-dtr)/2'        w_1502
+ 'delay+751*per+per2+(w_1502-w_1503)*distort/2'                                              w_1502
+ 'delay+751*per+per2+(w_1502-w_1503)*distort/2+(dtf+dtr)/2+(w_1503-w_1502)*(dtf-dtr)/2'      w_1503
+ 'delay+752*per+   (w_1503-w_1504)*distort/2'                                                w_1503
+ 'delay+752*per+   (w_1503-w_1504)*distort/2+(dtf+dtr)/2+(w_1504-w_1503)*(dtf-dtr)/2'        w_1504
+ 'delay+752*per+per2+(w_1504-w_1505)*distort/2'                                              w_1504
+ 'delay+752*per+per2+(w_1504-w_1505)*distort/2+(dtf+dtr)/2+(w_1505-w_1504)*(dtf-dtr)/2'      w_1505
+ 'delay+753*per+   (w_1505-w_1506)*distort/2'                                                w_1505
+ 'delay+753*per+   (w_1505-w_1506)*distort/2+(dtf+dtr)/2+(w_1506-w_1505)*(dtf-dtr)/2'        w_1506
+ 'delay+753*per+per2+(w_1506-w_1507)*distort/2'                                              w_1506
+ 'delay+753*per+per2+(w_1506-w_1507)*distort/2+(dtf+dtr)/2+(w_1507-w_1506)*(dtf-dtr)/2'      w_1507
+ 'delay+754*per+   (w_1507-w_1508)*distort/2'                                                w_1507
+ 'delay+754*per+   (w_1507-w_1508)*distort/2+(dtf+dtr)/2+(w_1508-w_1507)*(dtf-dtr)/2'        w_1508
+ 'delay+754*per+per2+(w_1508-w_1509)*distort/2'                                              w_1508
+ 'delay+754*per+per2+(w_1508-w_1509)*distort/2+(dtf+dtr)/2+(w_1509-w_1508)*(dtf-dtr)/2'      w_1509
+ 'delay+755*per+   (w_1509-w_1510)*distort/2'                                                w_1509
+ 'delay+755*per+   (w_1509-w_1510)*distort/2+(dtf+dtr)/2+(w_1510-w_1509)*(dtf-dtr)/2'        w_1510
+ 'delay+755*per+per2+(w_1510-w_1511)*distort/2'                                              w_1510
+ 'delay+755*per+per2+(w_1510-w_1511)*distort/2+(dtf+dtr)/2+(w_1511-w_1510)*(dtf-dtr)/2'      w_1511
+ 'delay+756*per+   (w_1511-w_1512)*distort/2'                                                w_1511
+ 'delay+756*per+   (w_1511-w_1512)*distort/2+(dtf+dtr)/2+(w_1512-w_1511)*(dtf-dtr)/2'        w_1512
+ 'delay+756*per+per2+(w_1512-w_1513)*distort/2'                                              w_1512
+ 'delay+756*per+per2+(w_1512-w_1513)*distort/2+(dtf+dtr)/2+(w_1513-w_1512)*(dtf-dtr)/2'      w_1513
+ 'delay+757*per+   (w_1513-w_1514)*distort/2'                                                w_1513
+ 'delay+757*per+   (w_1513-w_1514)*distort/2+(dtf+dtr)/2+(w_1514-w_1513)*(dtf-dtr)/2'        w_1514
+ 'delay+757*per+per2+(w_1514-w_1515)*distort/2'                                              w_1514
+ 'delay+757*per+per2+(w_1514-w_1515)*distort/2+(dtf+dtr)/2+(w_1515-w_1514)*(dtf-dtr)/2'      w_1515
+ 'delay+758*per+   (w_1515-w_1516)*distort/2'                                                w_1515
+ 'delay+758*per+   (w_1515-w_1516)*distort/2+(dtf+dtr)/2+(w_1516-w_1515)*(dtf-dtr)/2'        w_1516
+ 'delay+758*per+per2+(w_1516-w_1517)*distort/2'                                              w_1516
+ 'delay+758*per+per2+(w_1516-w_1517)*distort/2+(dtf+dtr)/2+(w_1517-w_1516)*(dtf-dtr)/2'      w_1517
+ 'delay+759*per+   (w_1517-w_1518)*distort/2'                                                w_1517
+ 'delay+759*per+   (w_1517-w_1518)*distort/2+(dtf+dtr)/2+(w_1518-w_1517)*(dtf-dtr)/2'        w_1518
+ 'delay+759*per+per2+(w_1518-w_1519)*distort/2'                                              w_1518
+ 'delay+759*per+per2+(w_1518-w_1519)*distort/2+(dtf+dtr)/2+(w_1519-w_1518)*(dtf-dtr)/2'      w_1519
+ 'delay+760*per+   (w_1519-w_1520)*distort/2'                                                w_1519
+ 'delay+760*per+   (w_1519-w_1520)*distort/2+(dtf+dtr)/2+(w_1520-w_1519)*(dtf-dtr)/2'        w_1520
+ 'delay+760*per+per2+(w_1520-w_1521)*distort/2'                                              w_1520
+ 'delay+760*per+per2+(w_1520-w_1521)*distort/2+(dtf+dtr)/2+(w_1521-w_1520)*(dtf-dtr)/2'      w_1521
+ 'delay+761*per+   (w_1521-w_1522)*distort/2'                                                w_1521
+ 'delay+761*per+   (w_1521-w_1522)*distort/2+(dtf+dtr)/2+(w_1522-w_1521)*(dtf-dtr)/2'        w_1522
+ 'delay+761*per+per2+(w_1522-w_1523)*distort/2'                                              w_1522
+ 'delay+761*per+per2+(w_1522-w_1523)*distort/2+(dtf+dtr)/2+(w_1523-w_1522)*(dtf-dtr)/2'      w_1523
+ 'delay+762*per+   (w_1523-w_1524)*distort/2'                                                w_1523
+ 'delay+762*per+   (w_1523-w_1524)*distort/2+(dtf+dtr)/2+(w_1524-w_1523)*(dtf-dtr)/2'        w_1524
+ 'delay+762*per+per2+(w_1524-w_1525)*distort/2'                                              w_1524
+ 'delay+762*per+per2+(w_1524-w_1525)*distort/2+(dtf+dtr)/2+(w_1525-w_1524)*(dtf-dtr)/2'      w_1525
+ 'delay+763*per+   (w_1525-w_1526)*distort/2'                                                w_1525
+ 'delay+763*per+   (w_1525-w_1526)*distort/2+(dtf+dtr)/2+(w_1526-w_1525)*(dtf-dtr)/2'        w_1526
+ 'delay+763*per+per2+(w_1526-w_1527)*distort/2'                                              w_1526
+ 'delay+763*per+per2+(w_1526-w_1527)*distort/2+(dtf+dtr)/2+(w_1527-w_1526)*(dtf-dtr)/2'      w_1527
+ 'delay+764*per+   (w_1527-w_1528)*distort/2'                                                w_1527
+ 'delay+764*per+   (w_1527-w_1528)*distort/2+(dtf+dtr)/2+(w_1528-w_1527)*(dtf-dtr)/2'        w_1528
+ 'delay+764*per+per2+(w_1528-w_1529)*distort/2'                                              w_1528
+ 'delay+764*per+per2+(w_1528-w_1529)*distort/2+(dtf+dtr)/2+(w_1529-w_1528)*(dtf-dtr)/2'      w_1529
+ 'delay+765*per+   (w_1529-w_1530)*distort/2'                                                w_1529
+ 'delay+765*per+   (w_1529-w_1530)*distort/2+(dtf+dtr)/2+(w_1530-w_1529)*(dtf-dtr)/2'        w_1530
+ 'delay+765*per+per2+(w_1530-w_1531)*distort/2'                                              w_1530
+ 'delay+765*per+per2+(w_1530-w_1531)*distort/2+(dtf+dtr)/2+(w_1531-w_1530)*(dtf-dtr)/2'      w_1531
+ 'delay+766*per+   (w_1531-w_1532)*distort/2'                                                w_1531
+ 'delay+766*per+   (w_1531-w_1532)*distort/2+(dtf+dtr)/2+(w_1532-w_1531)*(dtf-dtr)/2'        w_1532
+ 'delay+766*per+per2+(w_1532-w_1533)*distort/2'                                              w_1532
+ 'delay+766*per+per2+(w_1532-w_1533)*distort/2+(dtf+dtr)/2+(w_1533-w_1532)*(dtf-dtr)/2'      w_1533
+ 'delay+767*per+   (w_1533-w_1534)*distort/2'                                                w_1533
+ 'delay+767*per+   (w_1533-w_1534)*distort/2+(dtf+dtr)/2+(w_1534-w_1533)*(dtf-dtr)/2'        w_1534
+ 'delay+767*per+per2+(w_1534-w_1535)*distort/2'                                              w_1534
+ 'delay+767*per+per2+(w_1534-w_1535)*distort/2+(dtf+dtr)/2+(w_1535-w_1534)*(dtf-dtr)/2'      w_1535
+ 'delay+768*per+   (w_1535-w_1536)*distort/2'                                                w_1535
+ 'delay+768*per+   (w_1535-w_1536)*distort/2+(dtf+dtr)/2+(w_1536-w_1535)*(dtf-dtr)/2'        w_1536
+ 'delay+768*per+per2+(w_1536-w_1537)*distort/2'                                              w_1536
+ 'delay+768*per+per2+(w_1536-w_1537)*distort/2+(dtf+dtr)/2+(w_1537-w_1536)*(dtf-dtr)/2'      w_1537
+ 'delay+769*per+   (w_1537-w_1538)*distort/2'                                                w_1537
+ 'delay+769*per+   (w_1537-w_1538)*distort/2+(dtf+dtr)/2+(w_1538-w_1537)*(dtf-dtr)/2'        w_1538
+ 'delay+769*per+per2+(w_1538-w_1539)*distort/2'                                              w_1538
+ 'delay+769*per+per2+(w_1538-w_1539)*distort/2+(dtf+dtr)/2+(w_1539-w_1538)*(dtf-dtr)/2'      w_1539
+ 'delay+770*per+   (w_1539-w_1540)*distort/2'                                                w_1539
+ 'delay+770*per+   (w_1539-w_1540)*distort/2+(dtf+dtr)/2+(w_1540-w_1539)*(dtf-dtr)/2'        w_1540
+ 'delay+770*per+per2+(w_1540-w_1541)*distort/2'                                              w_1540
+ 'delay+770*per+per2+(w_1540-w_1541)*distort/2+(dtf+dtr)/2+(w_1541-w_1540)*(dtf-dtr)/2'      w_1541
+ 'delay+771*per+   (w_1541-w_1542)*distort/2'                                                w_1541
+ 'delay+771*per+   (w_1541-w_1542)*distort/2+(dtf+dtr)/2+(w_1542-w_1541)*(dtf-dtr)/2'        w_1542
+ 'delay+771*per+per2+(w_1542-w_1543)*distort/2'                                              w_1542
+ 'delay+771*per+per2+(w_1542-w_1543)*distort/2+(dtf+dtr)/2+(w_1543-w_1542)*(dtf-dtr)/2'      w_1543
+ 'delay+772*per+   (w_1543-w_1544)*distort/2'                                                w_1543
+ 'delay+772*per+   (w_1543-w_1544)*distort/2+(dtf+dtr)/2+(w_1544-w_1543)*(dtf-dtr)/2'        w_1544
+ 'delay+772*per+per2+(w_1544-w_1545)*distort/2'                                              w_1544
+ 'delay+772*per+per2+(w_1544-w_1545)*distort/2+(dtf+dtr)/2+(w_1545-w_1544)*(dtf-dtr)/2'      w_1545
+ 'delay+773*per+   (w_1545-w_1546)*distort/2'                                                w_1545
+ 'delay+773*per+   (w_1545-w_1546)*distort/2+(dtf+dtr)/2+(w_1546-w_1545)*(dtf-dtr)/2'        w_1546
+ 'delay+773*per+per2+(w_1546-w_1547)*distort/2'                                              w_1546
+ 'delay+773*per+per2+(w_1546-w_1547)*distort/2+(dtf+dtr)/2+(w_1547-w_1546)*(dtf-dtr)/2'      w_1547
+ 'delay+774*per+   (w_1547-w_1548)*distort/2'                                                w_1547
+ 'delay+774*per+   (w_1547-w_1548)*distort/2+(dtf+dtr)/2+(w_1548-w_1547)*(dtf-dtr)/2'        w_1548
+ 'delay+774*per+per2+(w_1548-w_1549)*distort/2'                                              w_1548
+ 'delay+774*per+per2+(w_1548-w_1549)*distort/2+(dtf+dtr)/2+(w_1549-w_1548)*(dtf-dtr)/2'      w_1549
+ 'delay+775*per+   (w_1549-w_1550)*distort/2'                                                w_1549
+ 'delay+775*per+   (w_1549-w_1550)*distort/2+(dtf+dtr)/2+(w_1550-w_1549)*(dtf-dtr)/2'        w_1550
+ 'delay+775*per+per2+(w_1550-w_1551)*distort/2'                                              w_1550
+ 'delay+775*per+per2+(w_1550-w_1551)*distort/2+(dtf+dtr)/2+(w_1551-w_1550)*(dtf-dtr)/2'      w_1551
+ 'delay+776*per+   (w_1551-w_1552)*distort/2'                                                w_1551
+ 'delay+776*per+   (w_1551-w_1552)*distort/2+(dtf+dtr)/2+(w_1552-w_1551)*(dtf-dtr)/2'        w_1552
+ 'delay+776*per+per2+(w_1552-w_1553)*distort/2'                                              w_1552
+ 'delay+776*per+per2+(w_1552-w_1553)*distort/2+(dtf+dtr)/2+(w_1553-w_1552)*(dtf-dtr)/2'      w_1553
+ 'delay+777*per+   (w_1553-w_1554)*distort/2'                                                w_1553
+ 'delay+777*per+   (w_1553-w_1554)*distort/2+(dtf+dtr)/2+(w_1554-w_1553)*(dtf-dtr)/2'        w_1554
+ 'delay+777*per+per2+(w_1554-w_1555)*distort/2'                                              w_1554
+ 'delay+777*per+per2+(w_1554-w_1555)*distort/2+(dtf+dtr)/2+(w_1555-w_1554)*(dtf-dtr)/2'      w_1555
+ 'delay+778*per+   (w_1555-w_1556)*distort/2'                                                w_1555
+ 'delay+778*per+   (w_1555-w_1556)*distort/2+(dtf+dtr)/2+(w_1556-w_1555)*(dtf-dtr)/2'        w_1556
+ 'delay+778*per+per2+(w_1556-w_1557)*distort/2'                                              w_1556
+ 'delay+778*per+per2+(w_1556-w_1557)*distort/2+(dtf+dtr)/2+(w_1557-w_1556)*(dtf-dtr)/2'      w_1557
+ 'delay+779*per+   (w_1557-w_1558)*distort/2'                                                w_1557
+ 'delay+779*per+   (w_1557-w_1558)*distort/2+(dtf+dtr)/2+(w_1558-w_1557)*(dtf-dtr)/2'        w_1558
+ 'delay+779*per+per2+(w_1558-w_1559)*distort/2'                                              w_1558
+ 'delay+779*per+per2+(w_1558-w_1559)*distort/2+(dtf+dtr)/2+(w_1559-w_1558)*(dtf-dtr)/2'      w_1559
+ 'delay+780*per+   (w_1559-w_1560)*distort/2'                                                w_1559
+ 'delay+780*per+   (w_1559-w_1560)*distort/2+(dtf+dtr)/2+(w_1560-w_1559)*(dtf-dtr)/2'        w_1560
+ 'delay+780*per+per2+(w_1560-w_1561)*distort/2'                                              w_1560
+ 'delay+780*per+per2+(w_1560-w_1561)*distort/2+(dtf+dtr)/2+(w_1561-w_1560)*(dtf-dtr)/2'      w_1561
+ 'delay+781*per+   (w_1561-w_1562)*distort/2'                                                w_1561
+ 'delay+781*per+   (w_1561-w_1562)*distort/2+(dtf+dtr)/2+(w_1562-w_1561)*(dtf-dtr)/2'        w_1562
+ 'delay+781*per+per2+(w_1562-w_1563)*distort/2'                                              w_1562
+ 'delay+781*per+per2+(w_1562-w_1563)*distort/2+(dtf+dtr)/2+(w_1563-w_1562)*(dtf-dtr)/2'      w_1563
+ 'delay+782*per+   (w_1563-w_1564)*distort/2'                                                w_1563
+ 'delay+782*per+   (w_1563-w_1564)*distort/2+(dtf+dtr)/2+(w_1564-w_1563)*(dtf-dtr)/2'        w_1564
+ 'delay+782*per+per2+(w_1564-w_1565)*distort/2'                                              w_1564
+ 'delay+782*per+per2+(w_1564-w_1565)*distort/2+(dtf+dtr)/2+(w_1565-w_1564)*(dtf-dtr)/2'      w_1565
+ 'delay+783*per+   (w_1565-w_1566)*distort/2'                                                w_1565
+ 'delay+783*per+   (w_1565-w_1566)*distort/2+(dtf+dtr)/2+(w_1566-w_1565)*(dtf-dtr)/2'        w_1566
+ 'delay+783*per+per2+(w_1566-w_1567)*distort/2'                                              w_1566
+ 'delay+783*per+per2+(w_1566-w_1567)*distort/2+(dtf+dtr)/2+(w_1567-w_1566)*(dtf-dtr)/2'      w_1567
+ 'delay+784*per+   (w_1567-w_1568)*distort/2'                                                w_1567
+ 'delay+784*per+   (w_1567-w_1568)*distort/2+(dtf+dtr)/2+(w_1568-w_1567)*(dtf-dtr)/2'        w_1568
+ 'delay+784*per+per2+(w_1568-w_1569)*distort/2'                                              w_1568
+ 'delay+784*per+per2+(w_1568-w_1569)*distort/2+(dtf+dtr)/2+(w_1569-w_1568)*(dtf-dtr)/2'      w_1569
+ 'delay+785*per+   (w_1569-w_1570)*distort/2'                                                w_1569
+ 'delay+785*per+   (w_1569-w_1570)*distort/2+(dtf+dtr)/2+(w_1570-w_1569)*(dtf-dtr)/2'        w_1570
+ 'delay+785*per+per2+(w_1570-w_1571)*distort/2'                                              w_1570
+ 'delay+785*per+per2+(w_1570-w_1571)*distort/2+(dtf+dtr)/2+(w_1571-w_1570)*(dtf-dtr)/2'      w_1571
+ 'delay+786*per+   (w_1571-w_1572)*distort/2'                                                w_1571
+ 'delay+786*per+   (w_1571-w_1572)*distort/2+(dtf+dtr)/2+(w_1572-w_1571)*(dtf-dtr)/2'        w_1572
+ 'delay+786*per+per2+(w_1572-w_1573)*distort/2'                                              w_1572
+ 'delay+786*per+per2+(w_1572-w_1573)*distort/2+(dtf+dtr)/2+(w_1573-w_1572)*(dtf-dtr)/2'      w_1573
+ 'delay+787*per+   (w_1573-w_1574)*distort/2'                                                w_1573
+ 'delay+787*per+   (w_1573-w_1574)*distort/2+(dtf+dtr)/2+(w_1574-w_1573)*(dtf-dtr)/2'        w_1574
+ 'delay+787*per+per2+(w_1574-w_1575)*distort/2'                                              w_1574
+ 'delay+787*per+per2+(w_1574-w_1575)*distort/2+(dtf+dtr)/2+(w_1575-w_1574)*(dtf-dtr)/2'      w_1575
+ 'delay+788*per+   (w_1575-w_1576)*distort/2'                                                w_1575
+ 'delay+788*per+   (w_1575-w_1576)*distort/2+(dtf+dtr)/2+(w_1576-w_1575)*(dtf-dtr)/2'        w_1576
+ 'delay+788*per+per2+(w_1576-w_1577)*distort/2'                                              w_1576
+ 'delay+788*per+per2+(w_1576-w_1577)*distort/2+(dtf+dtr)/2+(w_1577-w_1576)*(dtf-dtr)/2'      w_1577
+ 'delay+789*per+   (w_1577-w_1578)*distort/2'                                                w_1577
+ 'delay+789*per+   (w_1577-w_1578)*distort/2+(dtf+dtr)/2+(w_1578-w_1577)*(dtf-dtr)/2'        w_1578
+ 'delay+789*per+per2+(w_1578-w_1579)*distort/2'                                              w_1578
+ 'delay+789*per+per2+(w_1578-w_1579)*distort/2+(dtf+dtr)/2+(w_1579-w_1578)*(dtf-dtr)/2'      w_1579
+ 'delay+790*per+   (w_1579-w_1580)*distort/2'                                                w_1579
+ 'delay+790*per+   (w_1579-w_1580)*distort/2+(dtf+dtr)/2+(w_1580-w_1579)*(dtf-dtr)/2'        w_1580
+ 'delay+790*per+per2+(w_1580-w_1581)*distort/2'                                              w_1580
+ 'delay+790*per+per2+(w_1580-w_1581)*distort/2+(dtf+dtr)/2+(w_1581-w_1580)*(dtf-dtr)/2'      w_1581
+ 'delay+791*per+   (w_1581-w_1582)*distort/2'                                                w_1581
+ 'delay+791*per+   (w_1581-w_1582)*distort/2+(dtf+dtr)/2+(w_1582-w_1581)*(dtf-dtr)/2'        w_1582
+ 'delay+791*per+per2+(w_1582-w_1583)*distort/2'                                              w_1582
+ 'delay+791*per+per2+(w_1582-w_1583)*distort/2+(dtf+dtr)/2+(w_1583-w_1582)*(dtf-dtr)/2'      w_1583
+ 'delay+792*per+   (w_1583-w_1584)*distort/2'                                                w_1583
+ 'delay+792*per+   (w_1583-w_1584)*distort/2+(dtf+dtr)/2+(w_1584-w_1583)*(dtf-dtr)/2'        w_1584
+ 'delay+792*per+per2+(w_1584-w_1585)*distort/2'                                              w_1584
+ 'delay+792*per+per2+(w_1584-w_1585)*distort/2+(dtf+dtr)/2+(w_1585-w_1584)*(dtf-dtr)/2'      w_1585
+ 'delay+793*per+   (w_1585-w_1586)*distort/2'                                                w_1585
+ 'delay+793*per+   (w_1585-w_1586)*distort/2+(dtf+dtr)/2+(w_1586-w_1585)*(dtf-dtr)/2'        w_1586
+ 'delay+793*per+per2+(w_1586-w_1587)*distort/2'                                              w_1586
+ 'delay+793*per+per2+(w_1586-w_1587)*distort/2+(dtf+dtr)/2+(w_1587-w_1586)*(dtf-dtr)/2'      w_1587
+ 'delay+794*per+   (w_1587-w_1588)*distort/2'                                                w_1587
+ 'delay+794*per+   (w_1587-w_1588)*distort/2+(dtf+dtr)/2+(w_1588-w_1587)*(dtf-dtr)/2'        w_1588
+ 'delay+794*per+per2+(w_1588-w_1589)*distort/2'                                              w_1588
+ 'delay+794*per+per2+(w_1588-w_1589)*distort/2+(dtf+dtr)/2+(w_1589-w_1588)*(dtf-dtr)/2'      w_1589
+ 'delay+795*per+   (w_1589-w_1590)*distort/2'                                                w_1589
+ 'delay+795*per+   (w_1589-w_1590)*distort/2+(dtf+dtr)/2+(w_1590-w_1589)*(dtf-dtr)/2'        w_1590
+ 'delay+795*per+per2+(w_1590-w_1591)*distort/2'                                              w_1590
+ 'delay+795*per+per2+(w_1590-w_1591)*distort/2+(dtf+dtr)/2+(w_1591-w_1590)*(dtf-dtr)/2'      w_1591
+ 'delay+796*per+   (w_1591-w_1592)*distort/2'                                                w_1591
+ 'delay+796*per+   (w_1591-w_1592)*distort/2+(dtf+dtr)/2+(w_1592-w_1591)*(dtf-dtr)/2'        w_1592
+ 'delay+796*per+per2+(w_1592-w_1593)*distort/2'                                              w_1592
+ 'delay+796*per+per2+(w_1592-w_1593)*distort/2+(dtf+dtr)/2+(w_1593-w_1592)*(dtf-dtr)/2'      w_1593
+ 'delay+797*per+   (w_1593-w_1594)*distort/2'                                                w_1593
+ 'delay+797*per+   (w_1593-w_1594)*distort/2+(dtf+dtr)/2+(w_1594-w_1593)*(dtf-dtr)/2'        w_1594
+ 'delay+797*per+per2+(w_1594-w_1595)*distort/2'                                              w_1594
+ 'delay+797*per+per2+(w_1594-w_1595)*distort/2+(dtf+dtr)/2+(w_1595-w_1594)*(dtf-dtr)/2'      w_1595
+ 'delay+798*per+   (w_1595-w_1596)*distort/2'                                                w_1595
+ 'delay+798*per+   (w_1595-w_1596)*distort/2+(dtf+dtr)/2+(w_1596-w_1595)*(dtf-dtr)/2'        w_1596
+ 'delay+798*per+per2+(w_1596-w_1597)*distort/2'                                              w_1596
+ 'delay+798*per+per2+(w_1596-w_1597)*distort/2+(dtf+dtr)/2+(w_1597-w_1596)*(dtf-dtr)/2'      w_1597
+ 'delay+799*per+   (w_1597-w_1598)*distort/2'                                                w_1597
+ 'delay+799*per+   (w_1597-w_1598)*distort/2+(dtf+dtr)/2+(w_1598-w_1597)*(dtf-dtr)/2'        w_1598
+ 'delay+799*per+per2+(w_1598-w_1599)*distort/2'                                              w_1598
+ 'delay+799*per+per2+(w_1598-w_1599)*distort/2+(dtf+dtr)/2+(w_1599-w_1598)*(dtf-dtr)/2'      w_1599
+ 'delay+800*per+   (w_1599-w_1600)*distort/2'                                                w_1599
+ 'delay+800*per+   (w_1599-w_1600)*distort/2+(dtf+dtr)/2+(w_1600-w_1599)*(dtf-dtr)/2'        w_1600
+ 'delay+800*per+per2+(w_1600-w_1601)*distort/2'                                              w_1600
+ 'delay+800*per+per2+(w_1600-w_1601)*distort/2+(dtf+dtr)/2+(w_1601-w_1600)*(dtf-dtr)/2'      w_1601
+ 'delay+801*per+   (w_1601-w_1602)*distort/2'                                                w_1601
+ 'delay+801*per+   (w_1601-w_1602)*distort/2+(dtf+dtr)/2+(w_1602-w_1601)*(dtf-dtr)/2'        w_1602
+ 'delay+801*per+per2+(w_1602-w_1603)*distort/2'                                              w_1602
+ 'delay+801*per+per2+(w_1602-w_1603)*distort/2+(dtf+dtr)/2+(w_1603-w_1602)*(dtf-dtr)/2'      w_1603
+ 'delay+802*per+   (w_1603-w_1604)*distort/2'                                                w_1603
+ 'delay+802*per+   (w_1603-w_1604)*distort/2+(dtf+dtr)/2+(w_1604-w_1603)*(dtf-dtr)/2'        w_1604
+ 'delay+802*per+per2+(w_1604-w_1605)*distort/2'                                              w_1604
+ 'delay+802*per+per2+(w_1604-w_1605)*distort/2+(dtf+dtr)/2+(w_1605-w_1604)*(dtf-dtr)/2'      w_1605
+ 'delay+803*per+   (w_1605-w_1606)*distort/2'                                                w_1605
+ 'delay+803*per+   (w_1605-w_1606)*distort/2+(dtf+dtr)/2+(w_1606-w_1605)*(dtf-dtr)/2'        w_1606
+ 'delay+803*per+per2+(w_1606-w_1607)*distort/2'                                              w_1606
+ 'delay+803*per+per2+(w_1606-w_1607)*distort/2+(dtf+dtr)/2+(w_1607-w_1606)*(dtf-dtr)/2'      w_1607
+ 'delay+804*per+   (w_1607-w_1608)*distort/2'                                                w_1607
+ 'delay+804*per+   (w_1607-w_1608)*distort/2+(dtf+dtr)/2+(w_1608-w_1607)*(dtf-dtr)/2'        w_1608
+ 'delay+804*per+per2+(w_1608-w_1609)*distort/2'                                              w_1608
+ 'delay+804*per+per2+(w_1608-w_1609)*distort/2+(dtf+dtr)/2+(w_1609-w_1608)*(dtf-dtr)/2'      w_1609
+ 'delay+805*per+   (w_1609-w_1610)*distort/2'                                                w_1609
+ 'delay+805*per+   (w_1609-w_1610)*distort/2+(dtf+dtr)/2+(w_1610-w_1609)*(dtf-dtr)/2'        w_1610
+ 'delay+805*per+per2+(w_1610-w_1611)*distort/2'                                              w_1610
+ 'delay+805*per+per2+(w_1610-w_1611)*distort/2+(dtf+dtr)/2+(w_1611-w_1610)*(dtf-dtr)/2'      w_1611
+ 'delay+806*per+   (w_1611-w_1612)*distort/2'                                                w_1611
+ 'delay+806*per+   (w_1611-w_1612)*distort/2+(dtf+dtr)/2+(w_1612-w_1611)*(dtf-dtr)/2'        w_1612
+ 'delay+806*per+per2+(w_1612-w_1613)*distort/2'                                              w_1612
+ 'delay+806*per+per2+(w_1612-w_1613)*distort/2+(dtf+dtr)/2+(w_1613-w_1612)*(dtf-dtr)/2'      w_1613
+ 'delay+807*per+   (w_1613-w_1614)*distort/2'                                                w_1613
+ 'delay+807*per+   (w_1613-w_1614)*distort/2+(dtf+dtr)/2+(w_1614-w_1613)*(dtf-dtr)/2'        w_1614
+ 'delay+807*per+per2+(w_1614-w_1615)*distort/2'                                              w_1614
+ 'delay+807*per+per2+(w_1614-w_1615)*distort/2+(dtf+dtr)/2+(w_1615-w_1614)*(dtf-dtr)/2'      w_1615
+ 'delay+808*per+   (w_1615-w_1616)*distort/2'                                                w_1615
+ 'delay+808*per+   (w_1615-w_1616)*distort/2+(dtf+dtr)/2+(w_1616-w_1615)*(dtf-dtr)/2'        w_1616
+ 'delay+808*per+per2+(w_1616-w_1617)*distort/2'                                              w_1616
+ 'delay+808*per+per2+(w_1616-w_1617)*distort/2+(dtf+dtr)/2+(w_1617-w_1616)*(dtf-dtr)/2'      w_1617
+ 'delay+809*per+   (w_1617-w_1618)*distort/2'                                                w_1617
+ 'delay+809*per+   (w_1617-w_1618)*distort/2+(dtf+dtr)/2+(w_1618-w_1617)*(dtf-dtr)/2'        w_1618
+ 'delay+809*per+per2+(w_1618-w_1619)*distort/2'                                              w_1618
+ 'delay+809*per+per2+(w_1618-w_1619)*distort/2+(dtf+dtr)/2+(w_1619-w_1618)*(dtf-dtr)/2'      w_1619
+ 'delay+810*per+   (w_1619-w_1620)*distort/2'                                                w_1619
+ 'delay+810*per+   (w_1619-w_1620)*distort/2+(dtf+dtr)/2+(w_1620-w_1619)*(dtf-dtr)/2'        w_1620
+ 'delay+810*per+per2+(w_1620-w_1621)*distort/2'                                              w_1620
+ 'delay+810*per+per2+(w_1620-w_1621)*distort/2+(dtf+dtr)/2+(w_1621-w_1620)*(dtf-dtr)/2'      w_1621
+ 'delay+811*per+   (w_1621-w_1622)*distort/2'                                                w_1621
+ 'delay+811*per+   (w_1621-w_1622)*distort/2+(dtf+dtr)/2+(w_1622-w_1621)*(dtf-dtr)/2'        w_1622
+ 'delay+811*per+per2+(w_1622-w_1623)*distort/2'                                              w_1622
+ 'delay+811*per+per2+(w_1622-w_1623)*distort/2+(dtf+dtr)/2+(w_1623-w_1622)*(dtf-dtr)/2'      w_1623
+ 'delay+812*per+   (w_1623-w_1624)*distort/2'                                                w_1623
+ 'delay+812*per+   (w_1623-w_1624)*distort/2+(dtf+dtr)/2+(w_1624-w_1623)*(dtf-dtr)/2'        w_1624
+ 'delay+812*per+per2+(w_1624-w_1625)*distort/2'                                              w_1624
+ 'delay+812*per+per2+(w_1624-w_1625)*distort/2+(dtf+dtr)/2+(w_1625-w_1624)*(dtf-dtr)/2'      w_1625
+ 'delay+813*per+   (w_1625-w_1626)*distort/2'                                                w_1625
+ 'delay+813*per+   (w_1625-w_1626)*distort/2+(dtf+dtr)/2+(w_1626-w_1625)*(dtf-dtr)/2'        w_1626
+ 'delay+813*per+per2+(w_1626-w_1627)*distort/2'                                              w_1626
+ 'delay+813*per+per2+(w_1626-w_1627)*distort/2+(dtf+dtr)/2+(w_1627-w_1626)*(dtf-dtr)/2'      w_1627
+ 'delay+814*per+   (w_1627-w_1628)*distort/2'                                                w_1627
+ 'delay+814*per+   (w_1627-w_1628)*distort/2+(dtf+dtr)/2+(w_1628-w_1627)*(dtf-dtr)/2'        w_1628
+ 'delay+814*per+per2+(w_1628-w_1629)*distort/2'                                              w_1628
+ 'delay+814*per+per2+(w_1628-w_1629)*distort/2+(dtf+dtr)/2+(w_1629-w_1628)*(dtf-dtr)/2'      w_1629
+ 'delay+815*per+   (w_1629-w_1630)*distort/2'                                                w_1629
+ 'delay+815*per+   (w_1629-w_1630)*distort/2+(dtf+dtr)/2+(w_1630-w_1629)*(dtf-dtr)/2'        w_1630
+ 'delay+815*per+per2+(w_1630-w_1631)*distort/2'                                              w_1630
+ 'delay+815*per+per2+(w_1630-w_1631)*distort/2+(dtf+dtr)/2+(w_1631-w_1630)*(dtf-dtr)/2'      w_1631
+ 'delay+816*per+   (w_1631-w_1632)*distort/2'                                                w_1631
+ 'delay+816*per+   (w_1631-w_1632)*distort/2+(dtf+dtr)/2+(w_1632-w_1631)*(dtf-dtr)/2'        w_1632
+ 'delay+816*per+per2+(w_1632-w_1633)*distort/2'                                              w_1632
+ 'delay+816*per+per2+(w_1632-w_1633)*distort/2+(dtf+dtr)/2+(w_1633-w_1632)*(dtf-dtr)/2'      w_1633
+ 'delay+817*per+   (w_1633-w_1634)*distort/2'                                                w_1633
+ 'delay+817*per+   (w_1633-w_1634)*distort/2+(dtf+dtr)/2+(w_1634-w_1633)*(dtf-dtr)/2'        w_1634
+ 'delay+817*per+per2+(w_1634-w_1635)*distort/2'                                              w_1634
+ 'delay+817*per+per2+(w_1634-w_1635)*distort/2+(dtf+dtr)/2+(w_1635-w_1634)*(dtf-dtr)/2'      w_1635
+ 'delay+818*per+   (w_1635-w_1636)*distort/2'                                                w_1635
+ 'delay+818*per+   (w_1635-w_1636)*distort/2+(dtf+dtr)/2+(w_1636-w_1635)*(dtf-dtr)/2'        w_1636
+ 'delay+818*per+per2+(w_1636-w_1637)*distort/2'                                              w_1636
+ 'delay+818*per+per2+(w_1636-w_1637)*distort/2+(dtf+dtr)/2+(w_1637-w_1636)*(dtf-dtr)/2'      w_1637
+ 'delay+819*per+   (w_1637-w_1638)*distort/2'                                                w_1637
+ 'delay+819*per+   (w_1637-w_1638)*distort/2+(dtf+dtr)/2+(w_1638-w_1637)*(dtf-dtr)/2'        w_1638
+ 'delay+819*per+per2+(w_1638-w_1639)*distort/2'                                              w_1638
+ 'delay+819*per+per2+(w_1638-w_1639)*distort/2+(dtf+dtr)/2+(w_1639-w_1638)*(dtf-dtr)/2'      w_1639
+ 'delay+820*per+   (w_1639-w_1640)*distort/2'                                                w_1639
+ 'delay+820*per+   (w_1639-w_1640)*distort/2+(dtf+dtr)/2+(w_1640-w_1639)*(dtf-dtr)/2'        w_1640
+ 'delay+820*per+per2+(w_1640-w_1641)*distort/2'                                              w_1640
+ 'delay+820*per+per2+(w_1640-w_1641)*distort/2+(dtf+dtr)/2+(w_1641-w_1640)*(dtf-dtr)/2'      w_1641
+ 'delay+821*per+   (w_1641-w_1642)*distort/2'                                                w_1641
+ 'delay+821*per+   (w_1641-w_1642)*distort/2+(dtf+dtr)/2+(w_1642-w_1641)*(dtf-dtr)/2'        w_1642
+ 'delay+821*per+per2+(w_1642-w_1643)*distort/2'                                              w_1642
+ 'delay+821*per+per2+(w_1642-w_1643)*distort/2+(dtf+dtr)/2+(w_1643-w_1642)*(dtf-dtr)/2'      w_1643
+ 'delay+822*per+   (w_1643-w_1644)*distort/2'                                                w_1643
+ 'delay+822*per+   (w_1643-w_1644)*distort/2+(dtf+dtr)/2+(w_1644-w_1643)*(dtf-dtr)/2'        w_1644
+ 'delay+822*per+per2+(w_1644-w_1645)*distort/2'                                              w_1644
+ 'delay+822*per+per2+(w_1644-w_1645)*distort/2+(dtf+dtr)/2+(w_1645-w_1644)*(dtf-dtr)/2'      w_1645
+ 'delay+823*per+   (w_1645-w_1646)*distort/2'                                                w_1645
+ 'delay+823*per+   (w_1645-w_1646)*distort/2+(dtf+dtr)/2+(w_1646-w_1645)*(dtf-dtr)/2'        w_1646
+ 'delay+823*per+per2+(w_1646-w_1647)*distort/2'                                              w_1646
+ 'delay+823*per+per2+(w_1646-w_1647)*distort/2+(dtf+dtr)/2+(w_1647-w_1646)*(dtf-dtr)/2'      w_1647
+ 'delay+824*per+   (w_1647-w_1648)*distort/2'                                                w_1647
+ 'delay+824*per+   (w_1647-w_1648)*distort/2+(dtf+dtr)/2+(w_1648-w_1647)*(dtf-dtr)/2'        w_1648
+ 'delay+824*per+per2+(w_1648-w_1649)*distort/2'                                              w_1648
+ 'delay+824*per+per2+(w_1648-w_1649)*distort/2+(dtf+dtr)/2+(w_1649-w_1648)*(dtf-dtr)/2'      w_1649
+ 'delay+825*per+   (w_1649-w_1650)*distort/2'                                                w_1649
+ 'delay+825*per+   (w_1649-w_1650)*distort/2+(dtf+dtr)/2+(w_1650-w_1649)*(dtf-dtr)/2'        w_1650
+ 'delay+825*per+per2+(w_1650-w_1651)*distort/2'                                              w_1650
+ 'delay+825*per+per2+(w_1650-w_1651)*distort/2+(dtf+dtr)/2+(w_1651-w_1650)*(dtf-dtr)/2'      w_1651
+ 'delay+826*per+   (w_1651-w_1652)*distort/2'                                                w_1651
+ 'delay+826*per+   (w_1651-w_1652)*distort/2+(dtf+dtr)/2+(w_1652-w_1651)*(dtf-dtr)/2'        w_1652
+ 'delay+826*per+per2+(w_1652-w_1653)*distort/2'                                              w_1652
+ 'delay+826*per+per2+(w_1652-w_1653)*distort/2+(dtf+dtr)/2+(w_1653-w_1652)*(dtf-dtr)/2'      w_1653
+ 'delay+827*per+   (w_1653-w_1654)*distort/2'                                                w_1653
+ 'delay+827*per+   (w_1653-w_1654)*distort/2+(dtf+dtr)/2+(w_1654-w_1653)*(dtf-dtr)/2'        w_1654
+ 'delay+827*per+per2+(w_1654-w_1655)*distort/2'                                              w_1654
+ 'delay+827*per+per2+(w_1654-w_1655)*distort/2+(dtf+dtr)/2+(w_1655-w_1654)*(dtf-dtr)/2'      w_1655
+ 'delay+828*per+   (w_1655-w_1656)*distort/2'                                                w_1655
+ 'delay+828*per+   (w_1655-w_1656)*distort/2+(dtf+dtr)/2+(w_1656-w_1655)*(dtf-dtr)/2'        w_1656
+ 'delay+828*per+per2+(w_1656-w_1657)*distort/2'                                              w_1656
+ 'delay+828*per+per2+(w_1656-w_1657)*distort/2+(dtf+dtr)/2+(w_1657-w_1656)*(dtf-dtr)/2'      w_1657
+ 'delay+829*per+   (w_1657-w_1658)*distort/2'                                                w_1657
+ 'delay+829*per+   (w_1657-w_1658)*distort/2+(dtf+dtr)/2+(w_1658-w_1657)*(dtf-dtr)/2'        w_1658
+ 'delay+829*per+per2+(w_1658-w_1659)*distort/2'                                              w_1658
+ 'delay+829*per+per2+(w_1658-w_1659)*distort/2+(dtf+dtr)/2+(w_1659-w_1658)*(dtf-dtr)/2'      w_1659
+ 'delay+830*per+   (w_1659-w_1660)*distort/2'                                                w_1659
+ 'delay+830*per+   (w_1659-w_1660)*distort/2+(dtf+dtr)/2+(w_1660-w_1659)*(dtf-dtr)/2'        w_1660
+ 'delay+830*per+per2+(w_1660-w_1661)*distort/2'                                              w_1660
+ 'delay+830*per+per2+(w_1660-w_1661)*distort/2+(dtf+dtr)/2+(w_1661-w_1660)*(dtf-dtr)/2'      w_1661
+ 'delay+831*per+   (w_1661-w_1662)*distort/2'                                                w_1661
+ 'delay+831*per+   (w_1661-w_1662)*distort/2+(dtf+dtr)/2+(w_1662-w_1661)*(dtf-dtr)/2'        w_1662
+ 'delay+831*per+per2+(w_1662-w_1663)*distort/2'                                              w_1662
+ 'delay+831*per+per2+(w_1662-w_1663)*distort/2+(dtf+dtr)/2+(w_1663-w_1662)*(dtf-dtr)/2'      w_1663
+ 'delay+832*per+   (w_1663-w_1664)*distort/2'                                                w_1663
+ 'delay+832*per+   (w_1663-w_1664)*distort/2+(dtf+dtr)/2+(w_1664-w_1663)*(dtf-dtr)/2'        w_1664
+ 'delay+832*per+per2+(w_1664-w_1665)*distort/2'                                              w_1664
+ 'delay+832*per+per2+(w_1664-w_1665)*distort/2+(dtf+dtr)/2+(w_1665-w_1664)*(dtf-dtr)/2'      w_1665
+ 'delay+833*per+   (w_1665-w_1666)*distort/2'                                                w_1665
+ 'delay+833*per+   (w_1665-w_1666)*distort/2+(dtf+dtr)/2+(w_1666-w_1665)*(dtf-dtr)/2'        w_1666
+ 'delay+833*per+per2+(w_1666-w_1667)*distort/2'                                              w_1666
+ 'delay+833*per+per2+(w_1666-w_1667)*distort/2+(dtf+dtr)/2+(w_1667-w_1666)*(dtf-dtr)/2'      w_1667
+ 'delay+834*per+   (w_1667-w_1668)*distort/2'                                                w_1667
+ 'delay+834*per+   (w_1667-w_1668)*distort/2+(dtf+dtr)/2+(w_1668-w_1667)*(dtf-dtr)/2'        w_1668
+ 'delay+834*per+per2+(w_1668-w_1669)*distort/2'                                              w_1668
+ 'delay+834*per+per2+(w_1668-w_1669)*distort/2+(dtf+dtr)/2+(w_1669-w_1668)*(dtf-dtr)/2'      w_1669
+ 'delay+835*per+   (w_1669-w_1670)*distort/2'                                                w_1669
+ 'delay+835*per+   (w_1669-w_1670)*distort/2+(dtf+dtr)/2+(w_1670-w_1669)*(dtf-dtr)/2'        w_1670
+ 'delay+835*per+per2+(w_1670-w_1671)*distort/2'                                              w_1670
+ 'delay+835*per+per2+(w_1670-w_1671)*distort/2+(dtf+dtr)/2+(w_1671-w_1670)*(dtf-dtr)/2'      w_1671
+ 'delay+836*per+   (w_1671-w_1672)*distort/2'                                                w_1671
+ 'delay+836*per+   (w_1671-w_1672)*distort/2+(dtf+dtr)/2+(w_1672-w_1671)*(dtf-dtr)/2'        w_1672
+ 'delay+836*per+per2+(w_1672-w_1673)*distort/2'                                              w_1672
+ 'delay+836*per+per2+(w_1672-w_1673)*distort/2+(dtf+dtr)/2+(w_1673-w_1672)*(dtf-dtr)/2'      w_1673
+ 'delay+837*per+   (w_1673-w_1674)*distort/2'                                                w_1673
+ 'delay+837*per+   (w_1673-w_1674)*distort/2+(dtf+dtr)/2+(w_1674-w_1673)*(dtf-dtr)/2'        w_1674
+ 'delay+837*per+per2+(w_1674-w_1675)*distort/2'                                              w_1674
+ 'delay+837*per+per2+(w_1674-w_1675)*distort/2+(dtf+dtr)/2+(w_1675-w_1674)*(dtf-dtr)/2'      w_1675
+ 'delay+838*per+   (w_1675-w_1676)*distort/2'                                                w_1675
+ 'delay+838*per+   (w_1675-w_1676)*distort/2+(dtf+dtr)/2+(w_1676-w_1675)*(dtf-dtr)/2'        w_1676
+ 'delay+838*per+per2+(w_1676-w_1677)*distort/2'                                              w_1676
+ 'delay+838*per+per2+(w_1676-w_1677)*distort/2+(dtf+dtr)/2+(w_1677-w_1676)*(dtf-dtr)/2'      w_1677
+ 'delay+839*per+   (w_1677-w_1678)*distort/2'                                                w_1677
+ 'delay+839*per+   (w_1677-w_1678)*distort/2+(dtf+dtr)/2+(w_1678-w_1677)*(dtf-dtr)/2'        w_1678
+ 'delay+839*per+per2+(w_1678-w_1679)*distort/2'                                              w_1678
+ 'delay+839*per+per2+(w_1678-w_1679)*distort/2+(dtf+dtr)/2+(w_1679-w_1678)*(dtf-dtr)/2'      w_1679
+ 'delay+840*per+   (w_1679-w_1680)*distort/2'                                                w_1679
+ 'delay+840*per+   (w_1679-w_1680)*distort/2+(dtf+dtr)/2+(w_1680-w_1679)*(dtf-dtr)/2'        w_1680
+ 'delay+840*per+per2+(w_1680-w_1681)*distort/2'                                              w_1680
+ 'delay+840*per+per2+(w_1680-w_1681)*distort/2+(dtf+dtr)/2+(w_1681-w_1680)*(dtf-dtr)/2'      w_1681
+ 'delay+841*per+   (w_1681-w_1682)*distort/2'                                                w_1681
+ 'delay+841*per+   (w_1681-w_1682)*distort/2+(dtf+dtr)/2+(w_1682-w_1681)*(dtf-dtr)/2'        w_1682
+ 'delay+841*per+per2+(w_1682-w_1683)*distort/2'                                              w_1682
+ 'delay+841*per+per2+(w_1682-w_1683)*distort/2+(dtf+dtr)/2+(w_1683-w_1682)*(dtf-dtr)/2'      w_1683
+ 'delay+842*per+   (w_1683-w_1684)*distort/2'                                                w_1683
+ 'delay+842*per+   (w_1683-w_1684)*distort/2+(dtf+dtr)/2+(w_1684-w_1683)*(dtf-dtr)/2'        w_1684
+ 'delay+842*per+per2+(w_1684-w_1685)*distort/2'                                              w_1684
+ 'delay+842*per+per2+(w_1684-w_1685)*distort/2+(dtf+dtr)/2+(w_1685-w_1684)*(dtf-dtr)/2'      w_1685
+ 'delay+843*per+   (w_1685-w_1686)*distort/2'                                                w_1685
+ 'delay+843*per+   (w_1685-w_1686)*distort/2+(dtf+dtr)/2+(w_1686-w_1685)*(dtf-dtr)/2'        w_1686
+ 'delay+843*per+per2+(w_1686-w_1687)*distort/2'                                              w_1686
+ 'delay+843*per+per2+(w_1686-w_1687)*distort/2+(dtf+dtr)/2+(w_1687-w_1686)*(dtf-dtr)/2'      w_1687
+ 'delay+844*per+   (w_1687-w_1688)*distort/2'                                                w_1687
+ 'delay+844*per+   (w_1687-w_1688)*distort/2+(dtf+dtr)/2+(w_1688-w_1687)*(dtf-dtr)/2'        w_1688
+ 'delay+844*per+per2+(w_1688-w_1689)*distort/2'                                              w_1688
+ 'delay+844*per+per2+(w_1688-w_1689)*distort/2+(dtf+dtr)/2+(w_1689-w_1688)*(dtf-dtr)/2'      w_1689
+ 'delay+845*per+   (w_1689-w_1690)*distort/2'                                                w_1689
+ 'delay+845*per+   (w_1689-w_1690)*distort/2+(dtf+dtr)/2+(w_1690-w_1689)*(dtf-dtr)/2'        w_1690
+ 'delay+845*per+per2+(w_1690-w_1691)*distort/2'                                              w_1690
+ 'delay+845*per+per2+(w_1690-w_1691)*distort/2+(dtf+dtr)/2+(w_1691-w_1690)*(dtf-dtr)/2'      w_1691
+ 'delay+846*per+   (w_1691-w_1692)*distort/2'                                                w_1691
+ 'delay+846*per+   (w_1691-w_1692)*distort/2+(dtf+dtr)/2+(w_1692-w_1691)*(dtf-dtr)/2'        w_1692
+ 'delay+846*per+per2+(w_1692-w_1693)*distort/2'                                              w_1692
+ 'delay+846*per+per2+(w_1692-w_1693)*distort/2+(dtf+dtr)/2+(w_1693-w_1692)*(dtf-dtr)/2'      w_1693
+ 'delay+847*per+   (w_1693-w_1694)*distort/2'                                                w_1693
+ 'delay+847*per+   (w_1693-w_1694)*distort/2+(dtf+dtr)/2+(w_1694-w_1693)*(dtf-dtr)/2'        w_1694
+ 'delay+847*per+per2+(w_1694-w_1695)*distort/2'                                              w_1694
+ 'delay+847*per+per2+(w_1694-w_1695)*distort/2+(dtf+dtr)/2+(w_1695-w_1694)*(dtf-dtr)/2'      w_1695
+ 'delay+848*per+   (w_1695-w_1696)*distort/2'                                                w_1695
+ 'delay+848*per+   (w_1695-w_1696)*distort/2+(dtf+dtr)/2+(w_1696-w_1695)*(dtf-dtr)/2'        w_1696
+ 'delay+848*per+per2+(w_1696-w_1697)*distort/2'                                              w_1696
+ 'delay+848*per+per2+(w_1696-w_1697)*distort/2+(dtf+dtr)/2+(w_1697-w_1696)*(dtf-dtr)/2'      w_1697
+ 'delay+849*per+   (w_1697-w_1698)*distort/2'                                                w_1697
+ 'delay+849*per+   (w_1697-w_1698)*distort/2+(dtf+dtr)/2+(w_1698-w_1697)*(dtf-dtr)/2'        w_1698
+ 'delay+849*per+per2+(w_1698-w_1699)*distort/2'                                              w_1698
+ 'delay+849*per+per2+(w_1698-w_1699)*distort/2+(dtf+dtr)/2+(w_1699-w_1698)*(dtf-dtr)/2'      w_1699
+ 'delay+850*per+   (w_1699-w_1700)*distort/2'                                                w_1699
+ 'delay+850*per+   (w_1699-w_1700)*distort/2+(dtf+dtr)/2+(w_1700-w_1699)*(dtf-dtr)/2'        w_1700
+ 'delay+850*per+per2+(w_1700-w_1701)*distort/2'                                              w_1700
+ 'delay+850*per+per2+(w_1700-w_1701)*distort/2+(dtf+dtr)/2+(w_1701-w_1700)*(dtf-dtr)/2'      w_1701
+ 'delay+851*per+   (w_1701-w_1702)*distort/2'                                                w_1701
+ 'delay+851*per+   (w_1701-w_1702)*distort/2+(dtf+dtr)/2+(w_1702-w_1701)*(dtf-dtr)/2'        w_1702
+ 'delay+851*per+per2+(w_1702-w_1703)*distort/2'                                              w_1702
+ 'delay+851*per+per2+(w_1702-w_1703)*distort/2+(dtf+dtr)/2+(w_1703-w_1702)*(dtf-dtr)/2'      w_1703
+ 'delay+852*per+   (w_1703-w_1704)*distort/2'                                                w_1703
+ 'delay+852*per+   (w_1703-w_1704)*distort/2+(dtf+dtr)/2+(w_1704-w_1703)*(dtf-dtr)/2'        w_1704
+ 'delay+852*per+per2+(w_1704-w_1705)*distort/2'                                              w_1704
+ 'delay+852*per+per2+(w_1704-w_1705)*distort/2+(dtf+dtr)/2+(w_1705-w_1704)*(dtf-dtr)/2'      w_1705
+ 'delay+853*per+   (w_1705-w_1706)*distort/2'                                                w_1705
+ 'delay+853*per+   (w_1705-w_1706)*distort/2+(dtf+dtr)/2+(w_1706-w_1705)*(dtf-dtr)/2'        w_1706
+ 'delay+853*per+per2+(w_1706-w_1707)*distort/2'                                              w_1706
+ 'delay+853*per+per2+(w_1706-w_1707)*distort/2+(dtf+dtr)/2+(w_1707-w_1706)*(dtf-dtr)/2'      w_1707
+ 'delay+854*per+   (w_1707-w_1708)*distort/2'                                                w_1707
+ 'delay+854*per+   (w_1707-w_1708)*distort/2+(dtf+dtr)/2+(w_1708-w_1707)*(dtf-dtr)/2'        w_1708
+ 'delay+854*per+per2+(w_1708-w_1709)*distort/2'                                              w_1708
+ 'delay+854*per+per2+(w_1708-w_1709)*distort/2+(dtf+dtr)/2+(w_1709-w_1708)*(dtf-dtr)/2'      w_1709
+ 'delay+855*per+   (w_1709-w_1710)*distort/2'                                                w_1709
+ 'delay+855*per+   (w_1709-w_1710)*distort/2+(dtf+dtr)/2+(w_1710-w_1709)*(dtf-dtr)/2'        w_1710
+ 'delay+855*per+per2+(w_1710-w_1711)*distort/2'                                              w_1710
+ 'delay+855*per+per2+(w_1710-w_1711)*distort/2+(dtf+dtr)/2+(w_1711-w_1710)*(dtf-dtr)/2'      w_1711
+ 'delay+856*per+   (w_1711-w_1712)*distort/2'                                                w_1711
+ 'delay+856*per+   (w_1711-w_1712)*distort/2+(dtf+dtr)/2+(w_1712-w_1711)*(dtf-dtr)/2'        w_1712
+ 'delay+856*per+per2+(w_1712-w_1713)*distort/2'                                              w_1712
+ 'delay+856*per+per2+(w_1712-w_1713)*distort/2+(dtf+dtr)/2+(w_1713-w_1712)*(dtf-dtr)/2'      w_1713
+ 'delay+857*per+   (w_1713-w_1714)*distort/2'                                                w_1713
+ 'delay+857*per+   (w_1713-w_1714)*distort/2+(dtf+dtr)/2+(w_1714-w_1713)*(dtf-dtr)/2'        w_1714
+ 'delay+857*per+per2+(w_1714-w_1715)*distort/2'                                              w_1714
+ 'delay+857*per+per2+(w_1714-w_1715)*distort/2+(dtf+dtr)/2+(w_1715-w_1714)*(dtf-dtr)/2'      w_1715
+ 'delay+858*per+   (w_1715-w_1716)*distort/2'                                                w_1715
+ 'delay+858*per+   (w_1715-w_1716)*distort/2+(dtf+dtr)/2+(w_1716-w_1715)*(dtf-dtr)/2'        w_1716
+ 'delay+858*per+per2+(w_1716-w_1717)*distort/2'                                              w_1716
+ 'delay+858*per+per2+(w_1716-w_1717)*distort/2+(dtf+dtr)/2+(w_1717-w_1716)*(dtf-dtr)/2'      w_1717
+ 'delay+859*per+   (w_1717-w_1718)*distort/2'                                                w_1717
+ 'delay+859*per+   (w_1717-w_1718)*distort/2+(dtf+dtr)/2+(w_1718-w_1717)*(dtf-dtr)/2'        w_1718
+ 'delay+859*per+per2+(w_1718-w_1719)*distort/2'                                              w_1718
+ 'delay+859*per+per2+(w_1718-w_1719)*distort/2+(dtf+dtr)/2+(w_1719-w_1718)*(dtf-dtr)/2'      w_1719
+ 'delay+860*per+   (w_1719-w_1720)*distort/2'                                                w_1719
+ 'delay+860*per+   (w_1719-w_1720)*distort/2+(dtf+dtr)/2+(w_1720-w_1719)*(dtf-dtr)/2'        w_1720
+ 'delay+860*per+per2+(w_1720-w_1721)*distort/2'                                              w_1720
+ 'delay+860*per+per2+(w_1720-w_1721)*distort/2+(dtf+dtr)/2+(w_1721-w_1720)*(dtf-dtr)/2'      w_1721
+ 'delay+861*per+   (w_1721-w_1722)*distort/2'                                                w_1721
+ 'delay+861*per+   (w_1721-w_1722)*distort/2+(dtf+dtr)/2+(w_1722-w_1721)*(dtf-dtr)/2'        w_1722
+ 'delay+861*per+per2+(w_1722-w_1723)*distort/2'                                              w_1722
+ 'delay+861*per+per2+(w_1722-w_1723)*distort/2+(dtf+dtr)/2+(w_1723-w_1722)*(dtf-dtr)/2'      w_1723
+ 'delay+862*per+   (w_1723-w_1724)*distort/2'                                                w_1723
+ 'delay+862*per+   (w_1723-w_1724)*distort/2+(dtf+dtr)/2+(w_1724-w_1723)*(dtf-dtr)/2'        w_1724
+ 'delay+862*per+per2+(w_1724-w_1725)*distort/2'                                              w_1724
+ 'delay+862*per+per2+(w_1724-w_1725)*distort/2+(dtf+dtr)/2+(w_1725-w_1724)*(dtf-dtr)/2'      w_1725
+ 'delay+863*per+   (w_1725-w_1726)*distort/2'                                                w_1725
+ 'delay+863*per+   (w_1725-w_1726)*distort/2+(dtf+dtr)/2+(w_1726-w_1725)*(dtf-dtr)/2'        w_1726
+ 'delay+863*per+per2+(w_1726-w_1727)*distort/2'                                              w_1726
+ 'delay+863*per+per2+(w_1726-w_1727)*distort/2+(dtf+dtr)/2+(w_1727-w_1726)*(dtf-dtr)/2'      w_1727
+ 'delay+864*per+   (w_1727-w_1728)*distort/2'                                                w_1727
+ 'delay+864*per+   (w_1727-w_1728)*distort/2+(dtf+dtr)/2+(w_1728-w_1727)*(dtf-dtr)/2'        w_1728
+ 'delay+864*per+per2+(w_1728-w_1729)*distort/2'                                              w_1728
+ 'delay+864*per+per2+(w_1728-w_1729)*distort/2+(dtf+dtr)/2+(w_1729-w_1728)*(dtf-dtr)/2'      w_1729
+ 'delay+865*per+   (w_1729-w_1730)*distort/2'                                                w_1729
+ 'delay+865*per+   (w_1729-w_1730)*distort/2+(dtf+dtr)/2+(w_1730-w_1729)*(dtf-dtr)/2'        w_1730
+ 'delay+865*per+per2+(w_1730-w_1731)*distort/2'                                              w_1730
+ 'delay+865*per+per2+(w_1730-w_1731)*distort/2+(dtf+dtr)/2+(w_1731-w_1730)*(dtf-dtr)/2'      w_1731
+ 'delay+866*per+   (w_1731-w_1732)*distort/2'                                                w_1731
+ 'delay+866*per+   (w_1731-w_1732)*distort/2+(dtf+dtr)/2+(w_1732-w_1731)*(dtf-dtr)/2'        w_1732
+ 'delay+866*per+per2+(w_1732-w_1733)*distort/2'                                              w_1732
+ 'delay+866*per+per2+(w_1732-w_1733)*distort/2+(dtf+dtr)/2+(w_1733-w_1732)*(dtf-dtr)/2'      w_1733
+ 'delay+867*per+   (w_1733-w_1734)*distort/2'                                                w_1733
+ 'delay+867*per+   (w_1733-w_1734)*distort/2+(dtf+dtr)/2+(w_1734-w_1733)*(dtf-dtr)/2'        w_1734
+ 'delay+867*per+per2+(w_1734-w_1735)*distort/2'                                              w_1734
+ 'delay+867*per+per2+(w_1734-w_1735)*distort/2+(dtf+dtr)/2+(w_1735-w_1734)*(dtf-dtr)/2'      w_1735
+ 'delay+868*per+   (w_1735-w_1736)*distort/2'                                                w_1735
+ 'delay+868*per+   (w_1735-w_1736)*distort/2+(dtf+dtr)/2+(w_1736-w_1735)*(dtf-dtr)/2'        w_1736
+ 'delay+868*per+per2+(w_1736-w_1737)*distort/2'                                              w_1736
+ 'delay+868*per+per2+(w_1736-w_1737)*distort/2+(dtf+dtr)/2+(w_1737-w_1736)*(dtf-dtr)/2'      w_1737
+ 'delay+869*per+   (w_1737-w_1738)*distort/2'                                                w_1737
+ 'delay+869*per+   (w_1737-w_1738)*distort/2+(dtf+dtr)/2+(w_1738-w_1737)*(dtf-dtr)/2'        w_1738
+ 'delay+869*per+per2+(w_1738-w_1739)*distort/2'                                              w_1738
+ 'delay+869*per+per2+(w_1738-w_1739)*distort/2+(dtf+dtr)/2+(w_1739-w_1738)*(dtf-dtr)/2'      w_1739
+ 'delay+870*per+   (w_1739-w_1740)*distort/2'                                                w_1739
+ 'delay+870*per+   (w_1739-w_1740)*distort/2+(dtf+dtr)/2+(w_1740-w_1739)*(dtf-dtr)/2'        w_1740
+ 'delay+870*per+per2+(w_1740-w_1741)*distort/2'                                              w_1740
+ 'delay+870*per+per2+(w_1740-w_1741)*distort/2+(dtf+dtr)/2+(w_1741-w_1740)*(dtf-dtr)/2'      w_1741
+ 'delay+871*per+   (w_1741-w_1742)*distort/2'                                                w_1741
+ 'delay+871*per+   (w_1741-w_1742)*distort/2+(dtf+dtr)/2+(w_1742-w_1741)*(dtf-dtr)/2'        w_1742
+ 'delay+871*per+per2+(w_1742-w_1743)*distort/2'                                              w_1742
+ 'delay+871*per+per2+(w_1742-w_1743)*distort/2+(dtf+dtr)/2+(w_1743-w_1742)*(dtf-dtr)/2'      w_1743
+ 'delay+872*per+   (w_1743-w_1744)*distort/2'                                                w_1743
+ 'delay+872*per+   (w_1743-w_1744)*distort/2+(dtf+dtr)/2+(w_1744-w_1743)*(dtf-dtr)/2'        w_1744
+ 'delay+872*per+per2+(w_1744-w_1745)*distort/2'                                              w_1744
+ 'delay+872*per+per2+(w_1744-w_1745)*distort/2+(dtf+dtr)/2+(w_1745-w_1744)*(dtf-dtr)/2'      w_1745
+ 'delay+873*per+   (w_1745-w_1746)*distort/2'                                                w_1745
+ 'delay+873*per+   (w_1745-w_1746)*distort/2+(dtf+dtr)/2+(w_1746-w_1745)*(dtf-dtr)/2'        w_1746
+ 'delay+873*per+per2+(w_1746-w_1747)*distort/2'                                              w_1746
+ 'delay+873*per+per2+(w_1746-w_1747)*distort/2+(dtf+dtr)/2+(w_1747-w_1746)*(dtf-dtr)/2'      w_1747
+ 'delay+874*per+   (w_1747-w_1748)*distort/2'                                                w_1747
+ 'delay+874*per+   (w_1747-w_1748)*distort/2+(dtf+dtr)/2+(w_1748-w_1747)*(dtf-dtr)/2'        w_1748
+ 'delay+874*per+per2+(w_1748-w_1749)*distort/2'                                              w_1748
+ 'delay+874*per+per2+(w_1748-w_1749)*distort/2+(dtf+dtr)/2+(w_1749-w_1748)*(dtf-dtr)/2'      w_1749
+ 'delay+875*per+   (w_1749-w_1750)*distort/2'                                                w_1749
+ 'delay+875*per+   (w_1749-w_1750)*distort/2+(dtf+dtr)/2+(w_1750-w_1749)*(dtf-dtr)/2'        w_1750
+ 'delay+875*per+per2+(w_1750-w_1751)*distort/2'                                              w_1750
+ 'delay+875*per+per2+(w_1750-w_1751)*distort/2+(dtf+dtr)/2+(w_1751-w_1750)*(dtf-dtr)/2'      w_1751
+ 'delay+876*per+   (w_1751-w_1752)*distort/2'                                                w_1751
+ 'delay+876*per+   (w_1751-w_1752)*distort/2+(dtf+dtr)/2+(w_1752-w_1751)*(dtf-dtr)/2'        w_1752
+ 'delay+876*per+per2+(w_1752-w_1753)*distort/2'                                              w_1752
+ 'delay+876*per+per2+(w_1752-w_1753)*distort/2+(dtf+dtr)/2+(w_1753-w_1752)*(dtf-dtr)/2'      w_1753
+ 'delay+877*per+   (w_1753-w_1754)*distort/2'                                                w_1753
+ 'delay+877*per+   (w_1753-w_1754)*distort/2+(dtf+dtr)/2+(w_1754-w_1753)*(dtf-dtr)/2'        w_1754
+ 'delay+877*per+per2+(w_1754-w_1755)*distort/2'                                              w_1754
+ 'delay+877*per+per2+(w_1754-w_1755)*distort/2+(dtf+dtr)/2+(w_1755-w_1754)*(dtf-dtr)/2'      w_1755
+ 'delay+878*per+   (w_1755-w_1756)*distort/2'                                                w_1755
+ 'delay+878*per+   (w_1755-w_1756)*distort/2+(dtf+dtr)/2+(w_1756-w_1755)*(dtf-dtr)/2'        w_1756
+ 'delay+878*per+per2+(w_1756-w_1757)*distort/2'                                              w_1756
+ 'delay+878*per+per2+(w_1756-w_1757)*distort/2+(dtf+dtr)/2+(w_1757-w_1756)*(dtf-dtr)/2'      w_1757
+ 'delay+879*per+   (w_1757-w_1758)*distort/2'                                                w_1757
+ 'delay+879*per+   (w_1757-w_1758)*distort/2+(dtf+dtr)/2+(w_1758-w_1757)*(dtf-dtr)/2'        w_1758
+ 'delay+879*per+per2+(w_1758-w_1759)*distort/2'                                              w_1758
+ 'delay+879*per+per2+(w_1758-w_1759)*distort/2+(dtf+dtr)/2+(w_1759-w_1758)*(dtf-dtr)/2'      w_1759
+ 'delay+880*per+   (w_1759-w_1760)*distort/2'                                                w_1759
+ 'delay+880*per+   (w_1759-w_1760)*distort/2+(dtf+dtr)/2+(w_1760-w_1759)*(dtf-dtr)/2'        w_1760
+ 'delay+880*per+per2+(w_1760-w_1761)*distort/2'                                              w_1760
+ 'delay+880*per+per2+(w_1760-w_1761)*distort/2+(dtf+dtr)/2+(w_1761-w_1760)*(dtf-dtr)/2'      w_1761
+ 'delay+881*per+   (w_1761-w_1762)*distort/2'                                                w_1761
+ 'delay+881*per+   (w_1761-w_1762)*distort/2+(dtf+dtr)/2+(w_1762-w_1761)*(dtf-dtr)/2'        w_1762
+ 'delay+881*per+per2+(w_1762-w_1763)*distort/2'                                              w_1762
+ 'delay+881*per+per2+(w_1762-w_1763)*distort/2+(dtf+dtr)/2+(w_1763-w_1762)*(dtf-dtr)/2'      w_1763
+ 'delay+882*per+   (w_1763-w_1764)*distort/2'                                                w_1763
+ 'delay+882*per+   (w_1763-w_1764)*distort/2+(dtf+dtr)/2+(w_1764-w_1763)*(dtf-dtr)/2'        w_1764
+ 'delay+882*per+per2+(w_1764-w_1765)*distort/2'                                              w_1764
+ 'delay+882*per+per2+(w_1764-w_1765)*distort/2+(dtf+dtr)/2+(w_1765-w_1764)*(dtf-dtr)/2'      w_1765
+ 'delay+883*per+   (w_1765-w_1766)*distort/2'                                                w_1765
+ 'delay+883*per+   (w_1765-w_1766)*distort/2+(dtf+dtr)/2+(w_1766-w_1765)*(dtf-dtr)/2'        w_1766
+ 'delay+883*per+per2+(w_1766-w_1767)*distort/2'                                              w_1766
+ 'delay+883*per+per2+(w_1766-w_1767)*distort/2+(dtf+dtr)/2+(w_1767-w_1766)*(dtf-dtr)/2'      w_1767
+ 'delay+884*per+   (w_1767-w_1768)*distort/2'                                                w_1767
+ 'delay+884*per+   (w_1767-w_1768)*distort/2+(dtf+dtr)/2+(w_1768-w_1767)*(dtf-dtr)/2'        w_1768
+ 'delay+884*per+per2+(w_1768-w_1769)*distort/2'                                              w_1768
+ 'delay+884*per+per2+(w_1768-w_1769)*distort/2+(dtf+dtr)/2+(w_1769-w_1768)*(dtf-dtr)/2'      w_1769
+ 'delay+885*per+   (w_1769-w_1770)*distort/2'                                                w_1769
+ 'delay+885*per+   (w_1769-w_1770)*distort/2+(dtf+dtr)/2+(w_1770-w_1769)*(dtf-dtr)/2'        w_1770
+ 'delay+885*per+per2+(w_1770-w_1771)*distort/2'                                              w_1770
+ 'delay+885*per+per2+(w_1770-w_1771)*distort/2+(dtf+dtr)/2+(w_1771-w_1770)*(dtf-dtr)/2'      w_1771
+ 'delay+886*per+   (w_1771-w_1772)*distort/2'                                                w_1771
+ 'delay+886*per+   (w_1771-w_1772)*distort/2+(dtf+dtr)/2+(w_1772-w_1771)*(dtf-dtr)/2'        w_1772
+ 'delay+886*per+per2+(w_1772-w_1773)*distort/2'                                              w_1772
+ 'delay+886*per+per2+(w_1772-w_1773)*distort/2+(dtf+dtr)/2+(w_1773-w_1772)*(dtf-dtr)/2'      w_1773
+ 'delay+887*per+   (w_1773-w_1774)*distort/2'                                                w_1773
+ 'delay+887*per+   (w_1773-w_1774)*distort/2+(dtf+dtr)/2+(w_1774-w_1773)*(dtf-dtr)/2'        w_1774
+ 'delay+887*per+per2+(w_1774-w_1775)*distort/2'                                              w_1774
+ 'delay+887*per+per2+(w_1774-w_1775)*distort/2+(dtf+dtr)/2+(w_1775-w_1774)*(dtf-dtr)/2'      w_1775
+ 'delay+888*per+   (w_1775-w_1776)*distort/2'                                                w_1775
+ 'delay+888*per+   (w_1775-w_1776)*distort/2+(dtf+dtr)/2+(w_1776-w_1775)*(dtf-dtr)/2'        w_1776
+ 'delay+888*per+per2+(w_1776-w_1777)*distort/2'                                              w_1776
+ 'delay+888*per+per2+(w_1776-w_1777)*distort/2+(dtf+dtr)/2+(w_1777-w_1776)*(dtf-dtr)/2'      w_1777
+ 'delay+889*per+   (w_1777-w_1778)*distort/2'                                                w_1777
+ 'delay+889*per+   (w_1777-w_1778)*distort/2+(dtf+dtr)/2+(w_1778-w_1777)*(dtf-dtr)/2'        w_1778
+ 'delay+889*per+per2+(w_1778-w_1779)*distort/2'                                              w_1778
+ 'delay+889*per+per2+(w_1778-w_1779)*distort/2+(dtf+dtr)/2+(w_1779-w_1778)*(dtf-dtr)/2'      w_1779
+ 'delay+890*per+   (w_1779-w_1780)*distort/2'                                                w_1779
+ 'delay+890*per+   (w_1779-w_1780)*distort/2+(dtf+dtr)/2+(w_1780-w_1779)*(dtf-dtr)/2'        w_1780
+ 'delay+890*per+per2+(w_1780-w_1781)*distort/2'                                              w_1780
+ 'delay+890*per+per2+(w_1780-w_1781)*distort/2+(dtf+dtr)/2+(w_1781-w_1780)*(dtf-dtr)/2'      w_1781
+ 'delay+891*per+   (w_1781-w_1782)*distort/2'                                                w_1781
+ 'delay+891*per+   (w_1781-w_1782)*distort/2+(dtf+dtr)/2+(w_1782-w_1781)*(dtf-dtr)/2'        w_1782
+ 'delay+891*per+per2+(w_1782-w_1783)*distort/2'                                              w_1782
+ 'delay+891*per+per2+(w_1782-w_1783)*distort/2+(dtf+dtr)/2+(w_1783-w_1782)*(dtf-dtr)/2'      w_1783
+ 'delay+892*per+   (w_1783-w_1784)*distort/2'                                                w_1783
+ 'delay+892*per+   (w_1783-w_1784)*distort/2+(dtf+dtr)/2+(w_1784-w_1783)*(dtf-dtr)/2'        w_1784
+ 'delay+892*per+per2+(w_1784-w_1785)*distort/2'                                              w_1784
+ 'delay+892*per+per2+(w_1784-w_1785)*distort/2+(dtf+dtr)/2+(w_1785-w_1784)*(dtf-dtr)/2'      w_1785
+ 'delay+893*per+   (w_1785-w_1786)*distort/2'                                                w_1785
+ 'delay+893*per+   (w_1785-w_1786)*distort/2+(dtf+dtr)/2+(w_1786-w_1785)*(dtf-dtr)/2'        w_1786
+ 'delay+893*per+per2+(w_1786-w_1787)*distort/2'                                              w_1786
+ 'delay+893*per+per2+(w_1786-w_1787)*distort/2+(dtf+dtr)/2+(w_1787-w_1786)*(dtf-dtr)/2'      w_1787
+ 'delay+894*per+   (w_1787-w_1788)*distort/2'                                                w_1787
+ 'delay+894*per+   (w_1787-w_1788)*distort/2+(dtf+dtr)/2+(w_1788-w_1787)*(dtf-dtr)/2'        w_1788
+ 'delay+894*per+per2+(w_1788-w_1789)*distort/2'                                              w_1788
+ 'delay+894*per+per2+(w_1788-w_1789)*distort/2+(dtf+dtr)/2+(w_1789-w_1788)*(dtf-dtr)/2'      w_1789
+ 'delay+895*per+   (w_1789-w_1790)*distort/2'                                                w_1789
+ 'delay+895*per+   (w_1789-w_1790)*distort/2+(dtf+dtr)/2+(w_1790-w_1789)*(dtf-dtr)/2'        w_1790
+ 'delay+895*per+per2+(w_1790-w_1791)*distort/2'                                              w_1790
+ 'delay+895*per+per2+(w_1790-w_1791)*distort/2+(dtf+dtr)/2+(w_1791-w_1790)*(dtf-dtr)/2'      w_1791
+ 'delay+896*per+   (w_1791-w_1792)*distort/2'                                                w_1791
+ 'delay+896*per+   (w_1791-w_1792)*distort/2+(dtf+dtr)/2+(w_1792-w_1791)*(dtf-dtr)/2'        w_1792
+ 'delay+896*per+per2+(w_1792-w_1793)*distort/2'                                              w_1792
+ 'delay+896*per+per2+(w_1792-w_1793)*distort/2+(dtf+dtr)/2+(w_1793-w_1792)*(dtf-dtr)/2'      w_1793
+ 'delay+897*per+   (w_1793-w_1794)*distort/2'                                                w_1793
+ 'delay+897*per+   (w_1793-w_1794)*distort/2+(dtf+dtr)/2+(w_1794-w_1793)*(dtf-dtr)/2'        w_1794
+ 'delay+897*per+per2+(w_1794-w_1795)*distort/2'                                              w_1794
+ 'delay+897*per+per2+(w_1794-w_1795)*distort/2+(dtf+dtr)/2+(w_1795-w_1794)*(dtf-dtr)/2'      w_1795
+ 'delay+898*per+   (w_1795-w_1796)*distort/2'                                                w_1795
+ 'delay+898*per+   (w_1795-w_1796)*distort/2+(dtf+dtr)/2+(w_1796-w_1795)*(dtf-dtr)/2'        w_1796
+ 'delay+898*per+per2+(w_1796-w_1797)*distort/2'                                              w_1796
+ 'delay+898*per+per2+(w_1796-w_1797)*distort/2+(dtf+dtr)/2+(w_1797-w_1796)*(dtf-dtr)/2'      w_1797
+ 'delay+899*per+   (w_1797-w_1798)*distort/2'                                                w_1797
+ 'delay+899*per+   (w_1797-w_1798)*distort/2+(dtf+dtr)/2+(w_1798-w_1797)*(dtf-dtr)/2'        w_1798
+ 'delay+899*per+per2+(w_1798-w_1799)*distort/2'                                              w_1798
+ 'delay+899*per+per2+(w_1798-w_1799)*distort/2+(dtf+dtr)/2+(w_1799-w_1798)*(dtf-dtr)/2'      w_1799
+ 'delay+900*per+   (w_1799-w_1800)*distort/2'                                                w_1799
+ 'delay+900*per+   (w_1799-w_1800)*distort/2+(dtf+dtr)/2+(w_1800-w_1799)*(dtf-dtr)/2'        w_1800
+ 'delay+900*per+per2+(w_1800-w_1801)*distort/2'                                              w_1800
+ 'delay+900*per+per2+(w_1800-w_1801)*distort/2+(dtf+dtr)/2+(w_1801-w_1800)*(dtf-dtr)/2'      w_1801
+ 'delay+901*per+   (w_1801-w_1802)*distort/2'                                                w_1801
+ 'delay+901*per+   (w_1801-w_1802)*distort/2+(dtf+dtr)/2+(w_1802-w_1801)*(dtf-dtr)/2'        w_1802
+ 'delay+901*per+per2+(w_1802-w_1803)*distort/2'                                              w_1802
+ 'delay+901*per+per2+(w_1802-w_1803)*distort/2+(dtf+dtr)/2+(w_1803-w_1802)*(dtf-dtr)/2'      w_1803
+ 'delay+902*per+   (w_1803-w_1804)*distort/2'                                                w_1803
+ 'delay+902*per+   (w_1803-w_1804)*distort/2+(dtf+dtr)/2+(w_1804-w_1803)*(dtf-dtr)/2'        w_1804
+ 'delay+902*per+per2+(w_1804-w_1805)*distort/2'                                              w_1804
+ 'delay+902*per+per2+(w_1804-w_1805)*distort/2+(dtf+dtr)/2+(w_1805-w_1804)*(dtf-dtr)/2'      w_1805
+ 'delay+903*per+   (w_1805-w_1806)*distort/2'                                                w_1805
+ 'delay+903*per+   (w_1805-w_1806)*distort/2+(dtf+dtr)/2+(w_1806-w_1805)*(dtf-dtr)/2'        w_1806
+ 'delay+903*per+per2+(w_1806-w_1807)*distort/2'                                              w_1806
+ 'delay+903*per+per2+(w_1806-w_1807)*distort/2+(dtf+dtr)/2+(w_1807-w_1806)*(dtf-dtr)/2'      w_1807
+ 'delay+904*per+   (w_1807-w_1808)*distort/2'                                                w_1807
+ 'delay+904*per+   (w_1807-w_1808)*distort/2+(dtf+dtr)/2+(w_1808-w_1807)*(dtf-dtr)/2'        w_1808
+ 'delay+904*per+per2+(w_1808-w_1809)*distort/2'                                              w_1808
+ 'delay+904*per+per2+(w_1808-w_1809)*distort/2+(dtf+dtr)/2+(w_1809-w_1808)*(dtf-dtr)/2'      w_1809
+ 'delay+905*per+   (w_1809-w_1810)*distort/2'                                                w_1809
+ 'delay+905*per+   (w_1809-w_1810)*distort/2+(dtf+dtr)/2+(w_1810-w_1809)*(dtf-dtr)/2'        w_1810
+ 'delay+905*per+per2+(w_1810-w_1811)*distort/2'                                              w_1810
+ 'delay+905*per+per2+(w_1810-w_1811)*distort/2+(dtf+dtr)/2+(w_1811-w_1810)*(dtf-dtr)/2'      w_1811
+ 'delay+906*per+   (w_1811-w_1812)*distort/2'                                                w_1811
+ 'delay+906*per+   (w_1811-w_1812)*distort/2+(dtf+dtr)/2+(w_1812-w_1811)*(dtf-dtr)/2'        w_1812
+ 'delay+906*per+per2+(w_1812-w_1813)*distort/2'                                              w_1812
+ 'delay+906*per+per2+(w_1812-w_1813)*distort/2+(dtf+dtr)/2+(w_1813-w_1812)*(dtf-dtr)/2'      w_1813
+ 'delay+907*per+   (w_1813-w_1814)*distort/2'                                                w_1813
+ 'delay+907*per+   (w_1813-w_1814)*distort/2+(dtf+dtr)/2+(w_1814-w_1813)*(dtf-dtr)/2'        w_1814
+ 'delay+907*per+per2+(w_1814-w_1815)*distort/2'                                              w_1814
+ 'delay+907*per+per2+(w_1814-w_1815)*distort/2+(dtf+dtr)/2+(w_1815-w_1814)*(dtf-dtr)/2'      w_1815
+ 'delay+908*per+   (w_1815-w_1816)*distort/2'                                                w_1815
+ 'delay+908*per+   (w_1815-w_1816)*distort/2+(dtf+dtr)/2+(w_1816-w_1815)*(dtf-dtr)/2'        w_1816
+ 'delay+908*per+per2+(w_1816-w_1817)*distort/2'                                              w_1816
+ 'delay+908*per+per2+(w_1816-w_1817)*distort/2+(dtf+dtr)/2+(w_1817-w_1816)*(dtf-dtr)/2'      w_1817
+ 'delay+909*per+   (w_1817-w_1818)*distort/2'                                                w_1817
+ 'delay+909*per+   (w_1817-w_1818)*distort/2+(dtf+dtr)/2+(w_1818-w_1817)*(dtf-dtr)/2'        w_1818
+ 'delay+909*per+per2+(w_1818-w_1819)*distort/2'                                              w_1818
+ 'delay+909*per+per2+(w_1818-w_1819)*distort/2+(dtf+dtr)/2+(w_1819-w_1818)*(dtf-dtr)/2'      w_1819
+ 'delay+910*per+   (w_1819-w_1820)*distort/2'                                                w_1819
+ 'delay+910*per+   (w_1819-w_1820)*distort/2+(dtf+dtr)/2+(w_1820-w_1819)*(dtf-dtr)/2'        w_1820
+ 'delay+910*per+per2+(w_1820-w_1821)*distort/2'                                              w_1820
+ 'delay+910*per+per2+(w_1820-w_1821)*distort/2+(dtf+dtr)/2+(w_1821-w_1820)*(dtf-dtr)/2'      w_1821
+ 'delay+911*per+   (w_1821-w_1822)*distort/2'                                                w_1821
+ 'delay+911*per+   (w_1821-w_1822)*distort/2+(dtf+dtr)/2+(w_1822-w_1821)*(dtf-dtr)/2'        w_1822
+ 'delay+911*per+per2+(w_1822-w_1823)*distort/2'                                              w_1822
+ 'delay+911*per+per2+(w_1822-w_1823)*distort/2+(dtf+dtr)/2+(w_1823-w_1822)*(dtf-dtr)/2'      w_1823
+ 'delay+912*per+   (w_1823-w_1824)*distort/2'                                                w_1823
+ 'delay+912*per+   (w_1823-w_1824)*distort/2+(dtf+dtr)/2+(w_1824-w_1823)*(dtf-dtr)/2'        w_1824
+ 'delay+912*per+per2+(w_1824-w_1825)*distort/2'                                              w_1824
+ 'delay+912*per+per2+(w_1824-w_1825)*distort/2+(dtf+dtr)/2+(w_1825-w_1824)*(dtf-dtr)/2'      w_1825
+ 'delay+913*per+   (w_1825-w_1826)*distort/2'                                                w_1825
+ 'delay+913*per+   (w_1825-w_1826)*distort/2+(dtf+dtr)/2+(w_1826-w_1825)*(dtf-dtr)/2'        w_1826
+ 'delay+913*per+per2+(w_1826-w_1827)*distort/2'                                              w_1826
+ 'delay+913*per+per2+(w_1826-w_1827)*distort/2+(dtf+dtr)/2+(w_1827-w_1826)*(dtf-dtr)/2'      w_1827
+ 'delay+914*per+   (w_1827-w_1828)*distort/2'                                                w_1827
+ 'delay+914*per+   (w_1827-w_1828)*distort/2+(dtf+dtr)/2+(w_1828-w_1827)*(dtf-dtr)/2'        w_1828
+ 'delay+914*per+per2+(w_1828-w_1829)*distort/2'                                              w_1828
+ 'delay+914*per+per2+(w_1828-w_1829)*distort/2+(dtf+dtr)/2+(w_1829-w_1828)*(dtf-dtr)/2'      w_1829
+ 'delay+915*per+   (w_1829-w_1830)*distort/2'                                                w_1829
+ 'delay+915*per+   (w_1829-w_1830)*distort/2+(dtf+dtr)/2+(w_1830-w_1829)*(dtf-dtr)/2'        w_1830
+ 'delay+915*per+per2+(w_1830-w_1831)*distort/2'                                              w_1830
+ 'delay+915*per+per2+(w_1830-w_1831)*distort/2+(dtf+dtr)/2+(w_1831-w_1830)*(dtf-dtr)/2'      w_1831
+ 'delay+916*per+   (w_1831-w_1832)*distort/2'                                                w_1831
+ 'delay+916*per+   (w_1831-w_1832)*distort/2+(dtf+dtr)/2+(w_1832-w_1831)*(dtf-dtr)/2'        w_1832
+ 'delay+916*per+per2+(w_1832-w_1833)*distort/2'                                              w_1832
+ 'delay+916*per+per2+(w_1832-w_1833)*distort/2+(dtf+dtr)/2+(w_1833-w_1832)*(dtf-dtr)/2'      w_1833
+ 'delay+917*per+   (w_1833-w_1834)*distort/2'                                                w_1833
+ 'delay+917*per+   (w_1833-w_1834)*distort/2+(dtf+dtr)/2+(w_1834-w_1833)*(dtf-dtr)/2'        w_1834
+ 'delay+917*per+per2+(w_1834-w_1835)*distort/2'                                              w_1834
+ 'delay+917*per+per2+(w_1834-w_1835)*distort/2+(dtf+dtr)/2+(w_1835-w_1834)*(dtf-dtr)/2'      w_1835
+ 'delay+918*per+   (w_1835-w_1836)*distort/2'                                                w_1835
+ 'delay+918*per+   (w_1835-w_1836)*distort/2+(dtf+dtr)/2+(w_1836-w_1835)*(dtf-dtr)/2'        w_1836
+ 'delay+918*per+per2+(w_1836-w_1837)*distort/2'                                              w_1836
+ 'delay+918*per+per2+(w_1836-w_1837)*distort/2+(dtf+dtr)/2+(w_1837-w_1836)*(dtf-dtr)/2'      w_1837
+ 'delay+919*per+   (w_1837-w_1838)*distort/2'                                                w_1837
+ 'delay+919*per+   (w_1837-w_1838)*distort/2+(dtf+dtr)/2+(w_1838-w_1837)*(dtf-dtr)/2'        w_1838
+ 'delay+919*per+per2+(w_1838-w_1839)*distort/2'                                              w_1838
+ 'delay+919*per+per2+(w_1838-w_1839)*distort/2+(dtf+dtr)/2+(w_1839-w_1838)*(dtf-dtr)/2'      w_1839
+ 'delay+920*per+   (w_1839-w_1840)*distort/2'                                                w_1839
+ 'delay+920*per+   (w_1839-w_1840)*distort/2+(dtf+dtr)/2+(w_1840-w_1839)*(dtf-dtr)/2'        w_1840
+ 'delay+920*per+per2+(w_1840-w_1841)*distort/2'                                              w_1840
+ 'delay+920*per+per2+(w_1840-w_1841)*distort/2+(dtf+dtr)/2+(w_1841-w_1840)*(dtf-dtr)/2'      w_1841
+ 'delay+921*per+   (w_1841-w_1842)*distort/2'                                                w_1841
+ 'delay+921*per+   (w_1841-w_1842)*distort/2+(dtf+dtr)/2+(w_1842-w_1841)*(dtf-dtr)/2'        w_1842
+ 'delay+921*per+per2+(w_1842-w_1843)*distort/2'                                              w_1842
+ 'delay+921*per+per2+(w_1842-w_1843)*distort/2+(dtf+dtr)/2+(w_1843-w_1842)*(dtf-dtr)/2'      w_1843
+ 'delay+922*per+   (w_1843-w_1844)*distort/2'                                                w_1843
+ 'delay+922*per+   (w_1843-w_1844)*distort/2+(dtf+dtr)/2+(w_1844-w_1843)*(dtf-dtr)/2'        w_1844
+ 'delay+922*per+per2+(w_1844-w_1845)*distort/2'                                              w_1844
+ 'delay+922*per+per2+(w_1844-w_1845)*distort/2+(dtf+dtr)/2+(w_1845-w_1844)*(dtf-dtr)/2'      w_1845
+ 'delay+923*per+   (w_1845-w_1846)*distort/2'                                                w_1845
+ 'delay+923*per+   (w_1845-w_1846)*distort/2+(dtf+dtr)/2+(w_1846-w_1845)*(dtf-dtr)/2'        w_1846
+ 'delay+923*per+per2+(w_1846-w_1847)*distort/2'                                              w_1846
+ 'delay+923*per+per2+(w_1846-w_1847)*distort/2+(dtf+dtr)/2+(w_1847-w_1846)*(dtf-dtr)/2'      w_1847
+ 'delay+924*per+   (w_1847-w_1848)*distort/2'                                                w_1847
+ 'delay+924*per+   (w_1847-w_1848)*distort/2+(dtf+dtr)/2+(w_1848-w_1847)*(dtf-dtr)/2'        w_1848
+ 'delay+924*per+per2+(w_1848-w_1849)*distort/2'                                              w_1848
+ 'delay+924*per+per2+(w_1848-w_1849)*distort/2+(dtf+dtr)/2+(w_1849-w_1848)*(dtf-dtr)/2'      w_1849
+ 'delay+925*per+   (w_1849-w_1850)*distort/2'                                                w_1849
+ 'delay+925*per+   (w_1849-w_1850)*distort/2+(dtf+dtr)/2+(w_1850-w_1849)*(dtf-dtr)/2'        w_1850
+ 'delay+925*per+per2+(w_1850-w_1851)*distort/2'                                              w_1850
+ 'delay+925*per+per2+(w_1850-w_1851)*distort/2+(dtf+dtr)/2+(w_1851-w_1850)*(dtf-dtr)/2'      w_1851
+ 'delay+926*per+   (w_1851-w_1852)*distort/2'                                                w_1851
+ 'delay+926*per+   (w_1851-w_1852)*distort/2+(dtf+dtr)/2+(w_1852-w_1851)*(dtf-dtr)/2'        w_1852
+ 'delay+926*per+per2+(w_1852-w_1853)*distort/2'                                              w_1852
+ 'delay+926*per+per2+(w_1852-w_1853)*distort/2+(dtf+dtr)/2+(w_1853-w_1852)*(dtf-dtr)/2'      w_1853
+ 'delay+927*per+   (w_1853-w_1854)*distort/2'                                                w_1853
+ 'delay+927*per+   (w_1853-w_1854)*distort/2+(dtf+dtr)/2+(w_1854-w_1853)*(dtf-dtr)/2'        w_1854
+ 'delay+927*per+per2+(w_1854-w_1855)*distort/2'                                              w_1854
+ 'delay+927*per+per2+(w_1854-w_1855)*distort/2+(dtf+dtr)/2+(w_1855-w_1854)*(dtf-dtr)/2'      w_1855
+ 'delay+928*per+   (w_1855-w_1856)*distort/2'                                                w_1855
+ 'delay+928*per+   (w_1855-w_1856)*distort/2+(dtf+dtr)/2+(w_1856-w_1855)*(dtf-dtr)/2'        w_1856
+ 'delay+928*per+per2+(w_1856-w_1857)*distort/2'                                              w_1856
+ 'delay+928*per+per2+(w_1856-w_1857)*distort/2+(dtf+dtr)/2+(w_1857-w_1856)*(dtf-dtr)/2'      w_1857
+ 'delay+929*per+   (w_1857-w_1858)*distort/2'                                                w_1857
+ 'delay+929*per+   (w_1857-w_1858)*distort/2+(dtf+dtr)/2+(w_1858-w_1857)*(dtf-dtr)/2'        w_1858
+ 'delay+929*per+per2+(w_1858-w_1859)*distort/2'                                              w_1858
+ 'delay+929*per+per2+(w_1858-w_1859)*distort/2+(dtf+dtr)/2+(w_1859-w_1858)*(dtf-dtr)/2'      w_1859
+ 'delay+930*per+   (w_1859-w_1860)*distort/2'                                                w_1859
+ 'delay+930*per+   (w_1859-w_1860)*distort/2+(dtf+dtr)/2+(w_1860-w_1859)*(dtf-dtr)/2'        w_1860
+ 'delay+930*per+per2+(w_1860-w_1861)*distort/2'                                              w_1860
+ 'delay+930*per+per2+(w_1860-w_1861)*distort/2+(dtf+dtr)/2+(w_1861-w_1860)*(dtf-dtr)/2'      w_1861
+ 'delay+931*per+   (w_1861-w_1862)*distort/2'                                                w_1861
+ 'delay+931*per+   (w_1861-w_1862)*distort/2+(dtf+dtr)/2+(w_1862-w_1861)*(dtf-dtr)/2'        w_1862
+ 'delay+931*per+per2+(w_1862-w_1863)*distort/2'                                              w_1862
+ 'delay+931*per+per2+(w_1862-w_1863)*distort/2+(dtf+dtr)/2+(w_1863-w_1862)*(dtf-dtr)/2'      w_1863
+ 'delay+932*per+   (w_1863-w_1864)*distort/2'                                                w_1863
+ 'delay+932*per+   (w_1863-w_1864)*distort/2+(dtf+dtr)/2+(w_1864-w_1863)*(dtf-dtr)/2'        w_1864
+ 'delay+932*per+per2+(w_1864-w_1865)*distort/2'                                              w_1864
+ 'delay+932*per+per2+(w_1864-w_1865)*distort/2+(dtf+dtr)/2+(w_1865-w_1864)*(dtf-dtr)/2'      w_1865
+ 'delay+933*per+   (w_1865-w_1866)*distort/2'                                                w_1865
+ 'delay+933*per+   (w_1865-w_1866)*distort/2+(dtf+dtr)/2+(w_1866-w_1865)*(dtf-dtr)/2'        w_1866
+ 'delay+933*per+per2+(w_1866-w_1867)*distort/2'                                              w_1866
+ 'delay+933*per+per2+(w_1866-w_1867)*distort/2+(dtf+dtr)/2+(w_1867-w_1866)*(dtf-dtr)/2'      w_1867
+ 'delay+934*per+   (w_1867-w_1868)*distort/2'                                                w_1867
+ 'delay+934*per+   (w_1867-w_1868)*distort/2+(dtf+dtr)/2+(w_1868-w_1867)*(dtf-dtr)/2'        w_1868
+ 'delay+934*per+per2+(w_1868-w_1869)*distort/2'                                              w_1868
+ 'delay+934*per+per2+(w_1868-w_1869)*distort/2+(dtf+dtr)/2+(w_1869-w_1868)*(dtf-dtr)/2'      w_1869
+ 'delay+935*per+   (w_1869-w_1870)*distort/2'                                                w_1869
+ 'delay+935*per+   (w_1869-w_1870)*distort/2+(dtf+dtr)/2+(w_1870-w_1869)*(dtf-dtr)/2'        w_1870
+ 'delay+935*per+per2+(w_1870-w_1871)*distort/2'                                              w_1870
+ 'delay+935*per+per2+(w_1870-w_1871)*distort/2+(dtf+dtr)/2+(w_1871-w_1870)*(dtf-dtr)/2'      w_1871
+ 'delay+936*per+   (w_1871-w_1872)*distort/2'                                                w_1871
+ 'delay+936*per+   (w_1871-w_1872)*distort/2+(dtf+dtr)/2+(w_1872-w_1871)*(dtf-dtr)/2'        w_1872
+ 'delay+936*per+per2+(w_1872-w_1873)*distort/2'                                              w_1872
+ 'delay+936*per+per2+(w_1872-w_1873)*distort/2+(dtf+dtr)/2+(w_1873-w_1872)*(dtf-dtr)/2'      w_1873
+ 'delay+937*per+   (w_1873-w_1874)*distort/2'                                                w_1873
+ 'delay+937*per+   (w_1873-w_1874)*distort/2+(dtf+dtr)/2+(w_1874-w_1873)*(dtf-dtr)/2'        w_1874
+ 'delay+937*per+per2+(w_1874-w_1875)*distort/2'                                              w_1874
+ 'delay+937*per+per2+(w_1874-w_1875)*distort/2+(dtf+dtr)/2+(w_1875-w_1874)*(dtf-dtr)/2'      w_1875
+ 'delay+938*per+   (w_1875-w_1876)*distort/2'                                                w_1875
+ 'delay+938*per+   (w_1875-w_1876)*distort/2+(dtf+dtr)/2+(w_1876-w_1875)*(dtf-dtr)/2'        w_1876
+ 'delay+938*per+per2+(w_1876-w_1877)*distort/2'                                              w_1876
+ 'delay+938*per+per2+(w_1876-w_1877)*distort/2+(dtf+dtr)/2+(w_1877-w_1876)*(dtf-dtr)/2'      w_1877
+ 'delay+939*per+   (w_1877-w_1878)*distort/2'                                                w_1877
+ 'delay+939*per+   (w_1877-w_1878)*distort/2+(dtf+dtr)/2+(w_1878-w_1877)*(dtf-dtr)/2'        w_1878
+ 'delay+939*per+per2+(w_1878-w_1879)*distort/2'                                              w_1878
+ 'delay+939*per+per2+(w_1878-w_1879)*distort/2+(dtf+dtr)/2+(w_1879-w_1878)*(dtf-dtr)/2'      w_1879
+ 'delay+940*per+   (w_1879-w_1880)*distort/2'                                                w_1879
+ 'delay+940*per+   (w_1879-w_1880)*distort/2+(dtf+dtr)/2+(w_1880-w_1879)*(dtf-dtr)/2'        w_1880
+ 'delay+940*per+per2+(w_1880-w_1881)*distort/2'                                              w_1880
+ 'delay+940*per+per2+(w_1880-w_1881)*distort/2+(dtf+dtr)/2+(w_1881-w_1880)*(dtf-dtr)/2'      w_1881
+ 'delay+941*per+   (w_1881-w_1882)*distort/2'                                                w_1881
+ 'delay+941*per+   (w_1881-w_1882)*distort/2+(dtf+dtr)/2+(w_1882-w_1881)*(dtf-dtr)/2'        w_1882
+ 'delay+941*per+per2+(w_1882-w_1883)*distort/2'                                              w_1882
+ 'delay+941*per+per2+(w_1882-w_1883)*distort/2+(dtf+dtr)/2+(w_1883-w_1882)*(dtf-dtr)/2'      w_1883
+ 'delay+942*per+   (w_1883-w_1884)*distort/2'                                                w_1883
+ 'delay+942*per+   (w_1883-w_1884)*distort/2+(dtf+dtr)/2+(w_1884-w_1883)*(dtf-dtr)/2'        w_1884
+ 'delay+942*per+per2+(w_1884-w_1885)*distort/2'                                              w_1884
+ 'delay+942*per+per2+(w_1884-w_1885)*distort/2+(dtf+dtr)/2+(w_1885-w_1884)*(dtf-dtr)/2'      w_1885
+ 'delay+943*per+   (w_1885-w_1886)*distort/2'                                                w_1885
+ 'delay+943*per+   (w_1885-w_1886)*distort/2+(dtf+dtr)/2+(w_1886-w_1885)*(dtf-dtr)/2'        w_1886
+ 'delay+943*per+per2+(w_1886-w_1887)*distort/2'                                              w_1886
+ 'delay+943*per+per2+(w_1886-w_1887)*distort/2+(dtf+dtr)/2+(w_1887-w_1886)*(dtf-dtr)/2'      w_1887
+ 'delay+944*per+   (w_1887-w_1888)*distort/2'                                                w_1887
+ 'delay+944*per+   (w_1887-w_1888)*distort/2+(dtf+dtr)/2+(w_1888-w_1887)*(dtf-dtr)/2'        w_1888
+ 'delay+944*per+per2+(w_1888-w_1889)*distort/2'                                              w_1888
+ 'delay+944*per+per2+(w_1888-w_1889)*distort/2+(dtf+dtr)/2+(w_1889-w_1888)*(dtf-dtr)/2'      w_1889
+ 'delay+945*per+   (w_1889-w_1890)*distort/2'                                                w_1889
+ 'delay+945*per+   (w_1889-w_1890)*distort/2+(dtf+dtr)/2+(w_1890-w_1889)*(dtf-dtr)/2'        w_1890
+ 'delay+945*per+per2+(w_1890-w_1891)*distort/2'                                              w_1890
+ 'delay+945*per+per2+(w_1890-w_1891)*distort/2+(dtf+dtr)/2+(w_1891-w_1890)*(dtf-dtr)/2'      w_1891
+ 'delay+946*per+   (w_1891-w_1892)*distort/2'                                                w_1891
+ 'delay+946*per+   (w_1891-w_1892)*distort/2+(dtf+dtr)/2+(w_1892-w_1891)*(dtf-dtr)/2'        w_1892
+ 'delay+946*per+per2+(w_1892-w_1893)*distort/2'                                              w_1892
+ 'delay+946*per+per2+(w_1892-w_1893)*distort/2+(dtf+dtr)/2+(w_1893-w_1892)*(dtf-dtr)/2'      w_1893
+ 'delay+947*per+   (w_1893-w_1894)*distort/2'                                                w_1893
+ 'delay+947*per+   (w_1893-w_1894)*distort/2+(dtf+dtr)/2+(w_1894-w_1893)*(dtf-dtr)/2'        w_1894
+ 'delay+947*per+per2+(w_1894-w_1895)*distort/2'                                              w_1894
+ 'delay+947*per+per2+(w_1894-w_1895)*distort/2+(dtf+dtr)/2+(w_1895-w_1894)*(dtf-dtr)/2'      w_1895
+ 'delay+948*per+   (w_1895-w_1896)*distort/2'                                                w_1895
+ 'delay+948*per+   (w_1895-w_1896)*distort/2+(dtf+dtr)/2+(w_1896-w_1895)*(dtf-dtr)/2'        w_1896
+ 'delay+948*per+per2+(w_1896-w_1897)*distort/2'                                              w_1896
+ 'delay+948*per+per2+(w_1896-w_1897)*distort/2+(dtf+dtr)/2+(w_1897-w_1896)*(dtf-dtr)/2'      w_1897
+ 'delay+949*per+   (w_1897-w_1898)*distort/2'                                                w_1897
+ 'delay+949*per+   (w_1897-w_1898)*distort/2+(dtf+dtr)/2+(w_1898-w_1897)*(dtf-dtr)/2'        w_1898
+ 'delay+949*per+per2+(w_1898-w_1899)*distort/2'                                              w_1898
+ 'delay+949*per+per2+(w_1898-w_1899)*distort/2+(dtf+dtr)/2+(w_1899-w_1898)*(dtf-dtr)/2'      w_1899
+ 'delay+950*per+   (w_1899-w_1900)*distort/2'                                                w_1899
+ 'delay+950*per+   (w_1899-w_1900)*distort/2+(dtf+dtr)/2+(w_1900-w_1899)*(dtf-dtr)/2'        w_1900
+ 'delay+950*per+per2+(w_1900-w_1901)*distort/2'                                              w_1900
+ 'delay+950*per+per2+(w_1900-w_1901)*distort/2+(dtf+dtr)/2+(w_1901-w_1900)*(dtf-dtr)/2'      w_1901
+ 'delay+951*per+   (w_1901-w_1902)*distort/2'                                                w_1901
+ 'delay+951*per+   (w_1901-w_1902)*distort/2+(dtf+dtr)/2+(w_1902-w_1901)*(dtf-dtr)/2'        w_1902
+ 'delay+951*per+per2+(w_1902-w_1903)*distort/2'                                              w_1902
+ 'delay+951*per+per2+(w_1902-w_1903)*distort/2+(dtf+dtr)/2+(w_1903-w_1902)*(dtf-dtr)/2'      w_1903
+ 'delay+952*per+   (w_1903-w_1904)*distort/2'                                                w_1903
+ 'delay+952*per+   (w_1903-w_1904)*distort/2+(dtf+dtr)/2+(w_1904-w_1903)*(dtf-dtr)/2'        w_1904
+ 'delay+952*per+per2+(w_1904-w_1905)*distort/2'                                              w_1904
+ 'delay+952*per+per2+(w_1904-w_1905)*distort/2+(dtf+dtr)/2+(w_1905-w_1904)*(dtf-dtr)/2'      w_1905
+ 'delay+953*per+   (w_1905-w_1906)*distort/2'                                                w_1905
+ 'delay+953*per+   (w_1905-w_1906)*distort/2+(dtf+dtr)/2+(w_1906-w_1905)*(dtf-dtr)/2'        w_1906
+ 'delay+953*per+per2+(w_1906-w_1907)*distort/2'                                              w_1906
+ 'delay+953*per+per2+(w_1906-w_1907)*distort/2+(dtf+dtr)/2+(w_1907-w_1906)*(dtf-dtr)/2'      w_1907
+ 'delay+954*per+   (w_1907-w_1908)*distort/2'                                                w_1907
+ 'delay+954*per+   (w_1907-w_1908)*distort/2+(dtf+dtr)/2+(w_1908-w_1907)*(dtf-dtr)/2'        w_1908
+ 'delay+954*per+per2+(w_1908-w_1909)*distort/2'                                              w_1908
+ 'delay+954*per+per2+(w_1908-w_1909)*distort/2+(dtf+dtr)/2+(w_1909-w_1908)*(dtf-dtr)/2'      w_1909
+ 'delay+955*per+   (w_1909-w_1910)*distort/2'                                                w_1909
+ 'delay+955*per+   (w_1909-w_1910)*distort/2+(dtf+dtr)/2+(w_1910-w_1909)*(dtf-dtr)/2'        w_1910
+ 'delay+955*per+per2+(w_1910-w_1911)*distort/2'                                              w_1910
+ 'delay+955*per+per2+(w_1910-w_1911)*distort/2+(dtf+dtr)/2+(w_1911-w_1910)*(dtf-dtr)/2'      w_1911
+ 'delay+956*per+   (w_1911-w_1912)*distort/2'                                                w_1911
+ 'delay+956*per+   (w_1911-w_1912)*distort/2+(dtf+dtr)/2+(w_1912-w_1911)*(dtf-dtr)/2'        w_1912
+ 'delay+956*per+per2+(w_1912-w_1913)*distort/2'                                              w_1912
+ 'delay+956*per+per2+(w_1912-w_1913)*distort/2+(dtf+dtr)/2+(w_1913-w_1912)*(dtf-dtr)/2'      w_1913
+ 'delay+957*per+   (w_1913-w_1914)*distort/2'                                                w_1913
+ 'delay+957*per+   (w_1913-w_1914)*distort/2+(dtf+dtr)/2+(w_1914-w_1913)*(dtf-dtr)/2'        w_1914
+ 'delay+957*per+per2+(w_1914-w_1915)*distort/2'                                              w_1914
+ 'delay+957*per+per2+(w_1914-w_1915)*distort/2+(dtf+dtr)/2+(w_1915-w_1914)*(dtf-dtr)/2'      w_1915
+ 'delay+958*per+   (w_1915-w_1916)*distort/2'                                                w_1915
+ 'delay+958*per+   (w_1915-w_1916)*distort/2+(dtf+dtr)/2+(w_1916-w_1915)*(dtf-dtr)/2'        w_1916
+ 'delay+958*per+per2+(w_1916-w_1917)*distort/2'                                              w_1916
+ 'delay+958*per+per2+(w_1916-w_1917)*distort/2+(dtf+dtr)/2+(w_1917-w_1916)*(dtf-dtr)/2'      w_1917
+ 'delay+959*per+   (w_1917-w_1918)*distort/2'                                                w_1917
+ 'delay+959*per+   (w_1917-w_1918)*distort/2+(dtf+dtr)/2+(w_1918-w_1917)*(dtf-dtr)/2'        w_1918
+ 'delay+959*per+per2+(w_1918-w_1919)*distort/2'                                              w_1918
+ 'delay+959*per+per2+(w_1918-w_1919)*distort/2+(dtf+dtr)/2+(w_1919-w_1918)*(dtf-dtr)/2'      w_1919
+ 'delay+960*per+   (w_1919-w_1920)*distort/2'                                                w_1919
+ 'delay+960*per+   (w_1919-w_1920)*distort/2+(dtf+dtr)/2+(w_1920-w_1919)*(dtf-dtr)/2'        w_1920
+ 'delay+960*per+per2+(w_1920-w_1921)*distort/2'                                              w_1920
+ 'delay+960*per+per2+(w_1920-w_1921)*distort/2+(dtf+dtr)/2+(w_1921-w_1920)*(dtf-dtr)/2'      w_1921
+ 'delay+961*per+   (w_1921-w_1922)*distort/2'                                                w_1921
+ 'delay+961*per+   (w_1921-w_1922)*distort/2+(dtf+dtr)/2+(w_1922-w_1921)*(dtf-dtr)/2'        w_1922
+ 'delay+961*per+per2+(w_1922-w_1923)*distort/2'                                              w_1922
+ 'delay+961*per+per2+(w_1922-w_1923)*distort/2+(dtf+dtr)/2+(w_1923-w_1922)*(dtf-dtr)/2'      w_1923
+ 'delay+962*per+   (w_1923-w_1924)*distort/2'                                                w_1923
+ 'delay+962*per+   (w_1923-w_1924)*distort/2+(dtf+dtr)/2+(w_1924-w_1923)*(dtf-dtr)/2'        w_1924
+ 'delay+962*per+per2+(w_1924-w_1925)*distort/2'                                              w_1924
+ 'delay+962*per+per2+(w_1924-w_1925)*distort/2+(dtf+dtr)/2+(w_1925-w_1924)*(dtf-dtr)/2'      w_1925
+ 'delay+963*per+   (w_1925-w_1926)*distort/2'                                                w_1925
+ 'delay+963*per+   (w_1925-w_1926)*distort/2+(dtf+dtr)/2+(w_1926-w_1925)*(dtf-dtr)/2'        w_1926
+ 'delay+963*per+per2+(w_1926-w_1927)*distort/2'                                              w_1926
+ 'delay+963*per+per2+(w_1926-w_1927)*distort/2+(dtf+dtr)/2+(w_1927-w_1926)*(dtf-dtr)/2'      w_1927
+ 'delay+964*per+   (w_1927-w_1928)*distort/2'                                                w_1927
+ 'delay+964*per+   (w_1927-w_1928)*distort/2+(dtf+dtr)/2+(w_1928-w_1927)*(dtf-dtr)/2'        w_1928
+ 'delay+964*per+per2+(w_1928-w_1929)*distort/2'                                              w_1928
+ 'delay+964*per+per2+(w_1928-w_1929)*distort/2+(dtf+dtr)/2+(w_1929-w_1928)*(dtf-dtr)/2'      w_1929
+ 'delay+965*per+   (w_1929-w_1930)*distort/2'                                                w_1929
+ 'delay+965*per+   (w_1929-w_1930)*distort/2+(dtf+dtr)/2+(w_1930-w_1929)*(dtf-dtr)/2'        w_1930
+ 'delay+965*per+per2+(w_1930-w_1931)*distort/2'                                              w_1930
+ 'delay+965*per+per2+(w_1930-w_1931)*distort/2+(dtf+dtr)/2+(w_1931-w_1930)*(dtf-dtr)/2'      w_1931
+ 'delay+966*per+   (w_1931-w_1932)*distort/2'                                                w_1931
+ 'delay+966*per+   (w_1931-w_1932)*distort/2+(dtf+dtr)/2+(w_1932-w_1931)*(dtf-dtr)/2'        w_1932
+ 'delay+966*per+per2+(w_1932-w_1933)*distort/2'                                              w_1932
+ 'delay+966*per+per2+(w_1932-w_1933)*distort/2+(dtf+dtr)/2+(w_1933-w_1932)*(dtf-dtr)/2'      w_1933
+ 'delay+967*per+   (w_1933-w_1934)*distort/2'                                                w_1933
+ 'delay+967*per+   (w_1933-w_1934)*distort/2+(dtf+dtr)/2+(w_1934-w_1933)*(dtf-dtr)/2'        w_1934
+ 'delay+967*per+per2+(w_1934-w_1935)*distort/2'                                              w_1934
+ 'delay+967*per+per2+(w_1934-w_1935)*distort/2+(dtf+dtr)/2+(w_1935-w_1934)*(dtf-dtr)/2'      w_1935
+ 'delay+968*per+   (w_1935-w_1936)*distort/2'                                                w_1935
+ 'delay+968*per+   (w_1935-w_1936)*distort/2+(dtf+dtr)/2+(w_1936-w_1935)*(dtf-dtr)/2'        w_1936
+ 'delay+968*per+per2+(w_1936-w_1937)*distort/2'                                              w_1936
+ 'delay+968*per+per2+(w_1936-w_1937)*distort/2+(dtf+dtr)/2+(w_1937-w_1936)*(dtf-dtr)/2'      w_1937
+ 'delay+969*per+   (w_1937-w_1938)*distort/2'                                                w_1937
+ 'delay+969*per+   (w_1937-w_1938)*distort/2+(dtf+dtr)/2+(w_1938-w_1937)*(dtf-dtr)/2'        w_1938
+ 'delay+969*per+per2+(w_1938-w_1939)*distort/2'                                              w_1938
+ 'delay+969*per+per2+(w_1938-w_1939)*distort/2+(dtf+dtr)/2+(w_1939-w_1938)*(dtf-dtr)/2'      w_1939
+ 'delay+970*per+   (w_1939-w_1940)*distort/2'                                                w_1939
+ 'delay+970*per+   (w_1939-w_1940)*distort/2+(dtf+dtr)/2+(w_1940-w_1939)*(dtf-dtr)/2'        w_1940
+ 'delay+970*per+per2+(w_1940-w_1941)*distort/2'                                              w_1940
+ 'delay+970*per+per2+(w_1940-w_1941)*distort/2+(dtf+dtr)/2+(w_1941-w_1940)*(dtf-dtr)/2'      w_1941
+ 'delay+971*per+   (w_1941-w_1942)*distort/2'                                                w_1941
+ 'delay+971*per+   (w_1941-w_1942)*distort/2+(dtf+dtr)/2+(w_1942-w_1941)*(dtf-dtr)/2'        w_1942
+ 'delay+971*per+per2+(w_1942-w_1943)*distort/2'                                              w_1942
+ 'delay+971*per+per2+(w_1942-w_1943)*distort/2+(dtf+dtr)/2+(w_1943-w_1942)*(dtf-dtr)/2'      w_1943
+ 'delay+972*per+   (w_1943-w_1944)*distort/2'                                                w_1943
+ 'delay+972*per+   (w_1943-w_1944)*distort/2+(dtf+dtr)/2+(w_1944-w_1943)*(dtf-dtr)/2'        w_1944
+ 'delay+972*per+per2+(w_1944-w_1945)*distort/2'                                              w_1944
+ 'delay+972*per+per2+(w_1944-w_1945)*distort/2+(dtf+dtr)/2+(w_1945-w_1944)*(dtf-dtr)/2'      w_1945
+ 'delay+973*per+   (w_1945-w_1946)*distort/2'                                                w_1945
+ 'delay+973*per+   (w_1945-w_1946)*distort/2+(dtf+dtr)/2+(w_1946-w_1945)*(dtf-dtr)/2'        w_1946
+ 'delay+973*per+per2+(w_1946-w_1947)*distort/2'                                              w_1946
+ 'delay+973*per+per2+(w_1946-w_1947)*distort/2+(dtf+dtr)/2+(w_1947-w_1946)*(dtf-dtr)/2'      w_1947
+ 'delay+974*per+   (w_1947-w_1948)*distort/2'                                                w_1947
+ 'delay+974*per+   (w_1947-w_1948)*distort/2+(dtf+dtr)/2+(w_1948-w_1947)*(dtf-dtr)/2'        w_1948
+ 'delay+974*per+per2+(w_1948-w_1949)*distort/2'                                              w_1948
+ 'delay+974*per+per2+(w_1948-w_1949)*distort/2+(dtf+dtr)/2+(w_1949-w_1948)*(dtf-dtr)/2'      w_1949
+ 'delay+975*per+   (w_1949-w_1950)*distort/2'                                                w_1949
+ 'delay+975*per+   (w_1949-w_1950)*distort/2+(dtf+dtr)/2+(w_1950-w_1949)*(dtf-dtr)/2'        w_1950
+ 'delay+975*per+per2+(w_1950-w_1951)*distort/2'                                              w_1950
+ 'delay+975*per+per2+(w_1950-w_1951)*distort/2+(dtf+dtr)/2+(w_1951-w_1950)*(dtf-dtr)/2'      w_1951
+ 'delay+976*per+   (w_1951-w_1952)*distort/2'                                                w_1951
+ 'delay+976*per+   (w_1951-w_1952)*distort/2+(dtf+dtr)/2+(w_1952-w_1951)*(dtf-dtr)/2'        w_1952
+ 'delay+976*per+per2+(w_1952-w_1953)*distort/2'                                              w_1952
+ 'delay+976*per+per2+(w_1952-w_1953)*distort/2+(dtf+dtr)/2+(w_1953-w_1952)*(dtf-dtr)/2'      w_1953
+ 'delay+977*per+   (w_1953-w_1954)*distort/2'                                                w_1953
+ 'delay+977*per+   (w_1953-w_1954)*distort/2+(dtf+dtr)/2+(w_1954-w_1953)*(dtf-dtr)/2'        w_1954
+ 'delay+977*per+per2+(w_1954-w_1955)*distort/2'                                              w_1954
+ 'delay+977*per+per2+(w_1954-w_1955)*distort/2+(dtf+dtr)/2+(w_1955-w_1954)*(dtf-dtr)/2'      w_1955
+ 'delay+978*per+   (w_1955-w_1956)*distort/2'                                                w_1955
+ 'delay+978*per+   (w_1955-w_1956)*distort/2+(dtf+dtr)/2+(w_1956-w_1955)*(dtf-dtr)/2'        w_1956
+ 'delay+978*per+per2+(w_1956-w_1957)*distort/2'                                              w_1956
+ 'delay+978*per+per2+(w_1956-w_1957)*distort/2+(dtf+dtr)/2+(w_1957-w_1956)*(dtf-dtr)/2'      w_1957
+ 'delay+979*per+   (w_1957-w_1958)*distort/2'                                                w_1957
+ 'delay+979*per+   (w_1957-w_1958)*distort/2+(dtf+dtr)/2+(w_1958-w_1957)*(dtf-dtr)/2'        w_1958
+ 'delay+979*per+per2+(w_1958-w_1959)*distort/2'                                              w_1958
+ 'delay+979*per+per2+(w_1958-w_1959)*distort/2+(dtf+dtr)/2+(w_1959-w_1958)*(dtf-dtr)/2'      w_1959
+ 'delay+980*per+   (w_1959-w_1960)*distort/2'                                                w_1959
+ 'delay+980*per+   (w_1959-w_1960)*distort/2+(dtf+dtr)/2+(w_1960-w_1959)*(dtf-dtr)/2'        w_1960
+ 'delay+980*per+per2+(w_1960-w_1961)*distort/2'                                              w_1960
+ 'delay+980*per+per2+(w_1960-w_1961)*distort/2+(dtf+dtr)/2+(w_1961-w_1960)*(dtf-dtr)/2'      w_1961
+ 'delay+981*per+   (w_1961-w_1962)*distort/2'                                                w_1961
+ 'delay+981*per+   (w_1961-w_1962)*distort/2+(dtf+dtr)/2+(w_1962-w_1961)*(dtf-dtr)/2'        w_1962
+ 'delay+981*per+per2+(w_1962-w_1963)*distort/2'                                              w_1962
+ 'delay+981*per+per2+(w_1962-w_1963)*distort/2+(dtf+dtr)/2+(w_1963-w_1962)*(dtf-dtr)/2'      w_1963
+ 'delay+982*per+   (w_1963-w_1964)*distort/2'                                                w_1963
+ 'delay+982*per+   (w_1963-w_1964)*distort/2+(dtf+dtr)/2+(w_1964-w_1963)*(dtf-dtr)/2'        w_1964
+ 'delay+982*per+per2+(w_1964-w_1965)*distort/2'                                              w_1964
+ 'delay+982*per+per2+(w_1964-w_1965)*distort/2+(dtf+dtr)/2+(w_1965-w_1964)*(dtf-dtr)/2'      w_1965
+ 'delay+983*per+   (w_1965-w_1966)*distort/2'                                                w_1965
+ 'delay+983*per+   (w_1965-w_1966)*distort/2+(dtf+dtr)/2+(w_1966-w_1965)*(dtf-dtr)/2'        w_1966
+ 'delay+983*per+per2+(w_1966-w_1967)*distort/2'                                              w_1966
+ 'delay+983*per+per2+(w_1966-w_1967)*distort/2+(dtf+dtr)/2+(w_1967-w_1966)*(dtf-dtr)/2'      w_1967
+ 'delay+984*per+   (w_1967-w_1968)*distort/2'                                                w_1967
+ 'delay+984*per+   (w_1967-w_1968)*distort/2+(dtf+dtr)/2+(w_1968-w_1967)*(dtf-dtr)/2'        w_1968
+ 'delay+984*per+per2+(w_1968-w_1969)*distort/2'                                              w_1968
+ 'delay+984*per+per2+(w_1968-w_1969)*distort/2+(dtf+dtr)/2+(w_1969-w_1968)*(dtf-dtr)/2'      w_1969
+ 'delay+985*per+   (w_1969-w_1970)*distort/2'                                                w_1969
+ 'delay+985*per+   (w_1969-w_1970)*distort/2+(dtf+dtr)/2+(w_1970-w_1969)*(dtf-dtr)/2'        w_1970
+ 'delay+985*per+per2+(w_1970-w_1971)*distort/2'                                              w_1970
+ 'delay+985*per+per2+(w_1970-w_1971)*distort/2+(dtf+dtr)/2+(w_1971-w_1970)*(dtf-dtr)/2'      w_1971
+ 'delay+986*per+   (w_1971-w_1972)*distort/2'                                                w_1971
+ 'delay+986*per+   (w_1971-w_1972)*distort/2+(dtf+dtr)/2+(w_1972-w_1971)*(dtf-dtr)/2'        w_1972
+ 'delay+986*per+per2+(w_1972-w_1973)*distort/2'                                              w_1972
+ 'delay+986*per+per2+(w_1972-w_1973)*distort/2+(dtf+dtr)/2+(w_1973-w_1972)*(dtf-dtr)/2'      w_1973
+ 'delay+987*per+   (w_1973-w_1974)*distort/2'                                                w_1973
+ 'delay+987*per+   (w_1973-w_1974)*distort/2+(dtf+dtr)/2+(w_1974-w_1973)*(dtf-dtr)/2'        w_1974
+ 'delay+987*per+per2+(w_1974-w_1975)*distort/2'                                              w_1974
+ 'delay+987*per+per2+(w_1974-w_1975)*distort/2+(dtf+dtr)/2+(w_1975-w_1974)*(dtf-dtr)/2'      w_1975
+ 'delay+988*per+   (w_1975-w_1976)*distort/2'                                                w_1975
+ 'delay+988*per+   (w_1975-w_1976)*distort/2+(dtf+dtr)/2+(w_1976-w_1975)*(dtf-dtr)/2'        w_1976
+ 'delay+988*per+per2+(w_1976-w_1977)*distort/2'                                              w_1976
+ 'delay+988*per+per2+(w_1976-w_1977)*distort/2+(dtf+dtr)/2+(w_1977-w_1976)*(dtf-dtr)/2'      w_1977
+ 'delay+989*per+   (w_1977-w_1978)*distort/2'                                                w_1977
+ 'delay+989*per+   (w_1977-w_1978)*distort/2+(dtf+dtr)/2+(w_1978-w_1977)*(dtf-dtr)/2'        w_1978
+ 'delay+989*per+per2+(w_1978-w_1979)*distort/2'                                              w_1978
+ 'delay+989*per+per2+(w_1978-w_1979)*distort/2+(dtf+dtr)/2+(w_1979-w_1978)*(dtf-dtr)/2'      w_1979
+ 'delay+990*per+   (w_1979-w_1980)*distort/2'                                                w_1979
+ 'delay+990*per+   (w_1979-w_1980)*distort/2+(dtf+dtr)/2+(w_1980-w_1979)*(dtf-dtr)/2'        w_1980
+ 'delay+990*per+per2+(w_1980-w_1981)*distort/2'                                              w_1980
+ 'delay+990*per+per2+(w_1980-w_1981)*distort/2+(dtf+dtr)/2+(w_1981-w_1980)*(dtf-dtr)/2'      w_1981
+ 'delay+991*per+   (w_1981-w_1982)*distort/2'                                                w_1981
+ 'delay+991*per+   (w_1981-w_1982)*distort/2+(dtf+dtr)/2+(w_1982-w_1981)*(dtf-dtr)/2'        w_1982
+ 'delay+991*per+per2+(w_1982-w_1983)*distort/2'                                              w_1982
+ 'delay+991*per+per2+(w_1982-w_1983)*distort/2+(dtf+dtr)/2+(w_1983-w_1982)*(dtf-dtr)/2'      w_1983
+ 'delay+992*per+   (w_1983-w_1984)*distort/2'                                                w_1983
+ 'delay+992*per+   (w_1983-w_1984)*distort/2+(dtf+dtr)/2+(w_1984-w_1983)*(dtf-dtr)/2'        w_1984
+ 'delay+992*per+per2+(w_1984-w_1985)*distort/2'                                              w_1984
+ 'delay+992*per+per2+(w_1984-w_1985)*distort/2+(dtf+dtr)/2+(w_1985-w_1984)*(dtf-dtr)/2'      w_1985
+ 'delay+993*per+   (w_1985-w_1986)*distort/2'                                                w_1985
+ 'delay+993*per+   (w_1985-w_1986)*distort/2+(dtf+dtr)/2+(w_1986-w_1985)*(dtf-dtr)/2'        w_1986
+ 'delay+993*per+per2+(w_1986-w_1987)*distort/2'                                              w_1986
+ 'delay+993*per+per2+(w_1986-w_1987)*distort/2+(dtf+dtr)/2+(w_1987-w_1986)*(dtf-dtr)/2'      w_1987
+ 'delay+994*per+   (w_1987-w_1988)*distort/2'                                                w_1987
+ 'delay+994*per+   (w_1987-w_1988)*distort/2+(dtf+dtr)/2+(w_1988-w_1987)*(dtf-dtr)/2'        w_1988
+ 'delay+994*per+per2+(w_1988-w_1989)*distort/2'                                              w_1988
+ 'delay+994*per+per2+(w_1988-w_1989)*distort/2+(dtf+dtr)/2+(w_1989-w_1988)*(dtf-dtr)/2'      w_1989
+ 'delay+995*per+   (w_1989-w_1990)*distort/2'                                                w_1989
+ 'delay+995*per+   (w_1989-w_1990)*distort/2+(dtf+dtr)/2+(w_1990-w_1989)*(dtf-dtr)/2'        w_1990
+ 'delay+995*per+per2+(w_1990-w_1991)*distort/2'                                              w_1990
+ 'delay+995*per+per2+(w_1990-w_1991)*distort/2+(dtf+dtr)/2+(w_1991-w_1990)*(dtf-dtr)/2'      w_1991
+ 'delay+996*per+   (w_1991-w_1992)*distort/2'                                                w_1991
+ 'delay+996*per+   (w_1991-w_1992)*distort/2+(dtf+dtr)/2+(w_1992-w_1991)*(dtf-dtr)/2'        w_1992
+ 'delay+996*per+per2+(w_1992-w_1993)*distort/2'                                              w_1992
+ 'delay+996*per+per2+(w_1992-w_1993)*distort/2+(dtf+dtr)/2+(w_1993-w_1992)*(dtf-dtr)/2'      w_1993
+ 'delay+997*per+   (w_1993-w_1994)*distort/2'                                                w_1993
+ 'delay+997*per+   (w_1993-w_1994)*distort/2+(dtf+dtr)/2+(w_1994-w_1993)*(dtf-dtr)/2'        w_1994
+ 'delay+997*per+per2+(w_1994-w_1995)*distort/2'                                              w_1994
+ 'delay+997*per+per2+(w_1994-w_1995)*distort/2+(dtf+dtr)/2+(w_1995-w_1994)*(dtf-dtr)/2'      w_1995
+ 'delay+998*per+   (w_1995-w_1996)*distort/2'                                                w_1995
+ 'delay+998*per+   (w_1995-w_1996)*distort/2+(dtf+dtr)/2+(w_1996-w_1995)*(dtf-dtr)/2'        w_1996
+ 'delay+998*per+per2+(w_1996-w_1997)*distort/2'                                              w_1996
+ 'delay+998*per+per2+(w_1996-w_1997)*distort/2+(dtf+dtr)/2+(w_1997-w_1996)*(dtf-dtr)/2'      w_1997
+ 'delay+999*per+   (w_1997-w_1998)*distort/2'                                                w_1997
+ 'delay+999*per+   (w_1997-w_1998)*distort/2+(dtf+dtr)/2+(w_1998-w_1997)*(dtf-dtr)/2'        w_1998
+ 'delay+999*per+per2+(w_1998-w_1999)*distort/2'                                              w_1998
+ 'delay+999*per+per2+(w_1998-w_1999)*distort/2+(dtf+dtr)/2+(w_1999-w_1998)*(dtf-dtr)/2'      w_1999
+ 'delay+1000*per+  (w_1999-w_2000)*distort/2'                                                w_1999
+ 'delay+1000*per+  (w_1999-w_2000)*distort/2+(dtf+dtr)/2+(w_2000-w_1999)*(dtf-dtr)/2'        w_2000
+ 'delay+1000*per+per2+(w_2000-w_2001)*distort/2'                                             w_2000
+ 'delay+1000*per+per2+(w_2000-w_2001)*distort/2+(dtf+dtr)/2+(w_2001-w_2000)*(dtf-dtr)/2'     w_2001
+ 'delay+1001*per+  (w_2001-w_2002)*distort/2'                                                w_2001
+ 'delay+1001*per+  (w_2001-w_2002)*distort/2+(dtf+dtr)/2+(w_2002-w_2001)*(dtf-dtr)/2'        w_2002
+ 'delay+1001*per+per2+(w_2002-w_2003)*distort/2'                                             w_2002
+ 'delay+1001*per+per2+(w_2002-w_2003)*distort/2+(dtf+dtr)/2+(w_2003-w_2002)*(dtf-dtr)/2'     w_2003
+ 'delay+1002*per+  (w_2003-w_2004)*distort/2'                                                w_2003
+ 'delay+1002*per+  (w_2003-w_2004)*distort/2+(dtf+dtr)/2+(w_2004-w_2003)*(dtf-dtr)/2'        w_2004
+ 'delay+1002*per+per2+(w_2004-w_2005)*distort/2'                                             w_2004
+ 'delay+1002*per+per2+(w_2004-w_2005)*distort/2+(dtf+dtr)/2+(w_2005-w_2004)*(dtf-dtr)/2'     w_2005
+ 'delay+1003*per+  (w_2005-w_2006)*distort/2'                                                w_2005
+ 'delay+1003*per+  (w_2005-w_2006)*distort/2+(dtf+dtr)/2+(w_2006-w_2005)*(dtf-dtr)/2'        w_2006
+ 'delay+1003*per+per2+(w_2006-w_2007)*distort/2'                                             w_2006
+ 'delay+1003*per+per2+(w_2006-w_2007)*distort/2+(dtf+dtr)/2+(w_2007-w_2006)*(dtf-dtr)/2'     w_2007
+ 'delay+1004*per+  (w_2007-w_2008)*distort/2'                                                w_2007
+ 'delay+1004*per+  (w_2007-w_2008)*distort/2+(dtf+dtr)/2+(w_2008-w_2007)*(dtf-dtr)/2'        w_2008
+ 'delay+1004*per+per2+(w_2008-w_2009)*distort/2'                                             w_2008
+ 'delay+1004*per+per2+(w_2008-w_2009)*distort/2+(dtf+dtr)/2+(w_2009-w_2008)*(dtf-dtr)/2'     w_2009
+ 'delay+1005*per+  (w_2009-w_2010)*distort/2'                                                w_2009
+ 'delay+1005*per+  (w_2009-w_2010)*distort/2+(dtf+dtr)/2+(w_2010-w_2009)*(dtf-dtr)/2'        w_2010
+ 'delay+1005*per+per2+(w_2010-w_2011)*distort/2'                                             w_2010
+ 'delay+1005*per+per2+(w_2010-w_2011)*distort/2+(dtf+dtr)/2+(w_2011-w_2010)*(dtf-dtr)/2'     w_2011
+ 'delay+1006*per+  (w_2011-w_2012)*distort/2'                                                w_2011
+ 'delay+1006*per+  (w_2011-w_2012)*distort/2+(dtf+dtr)/2+(w_2012-w_2011)*(dtf-dtr)/2'        w_2012
+ 'delay+1006*per+per2+(w_2012-w_2013)*distort/2'                                             w_2012
+ 'delay+1006*per+per2+(w_2012-w_2013)*distort/2+(dtf+dtr)/2+(w_2013-w_2012)*(dtf-dtr)/2'     w_2013
+ 'delay+1007*per+  (w_2013-w_2014)*distort/2'                                                w_2013
+ 'delay+1007*per+  (w_2013-w_2014)*distort/2+(dtf+dtr)/2+(w_2014-w_2013)*(dtf-dtr)/2'        w_2014
+ 'delay+1007*per+per2+(w_2014-w_2015)*distort/2'                                             w_2014
+ 'delay+1007*per+per2+(w_2014-w_2015)*distort/2+(dtf+dtr)/2+(w_2015-w_2014)*(dtf-dtr)/2'     w_2015
+ 'delay+1008*per+  (w_2015-w_2016)*distort/2'                                                w_2015
+ 'delay+1008*per+  (w_2015-w_2016)*distort/2+(dtf+dtr)/2+(w_2016-w_2015)*(dtf-dtr)/2'        w_2016
+ 'delay+1008*per+per2+(w_2016-w_2017)*distort/2'                                             w_2016
+ 'delay+1008*per+per2+(w_2016-w_2017)*distort/2+(dtf+dtr)/2+(w_2017-w_2016)*(dtf-dtr)/2'     w_2017
+ 'delay+1009*per+  (w_2017-w_2018)*distort/2'                                                w_2017
+ 'delay+1009*per+  (w_2017-w_2018)*distort/2+(dtf+dtr)/2+(w_2018-w_2017)*(dtf-dtr)/2'        w_2018
+ 'delay+1009*per+per2+(w_2018-w_2019)*distort/2'                                             w_2018
+ 'delay+1009*per+per2+(w_2018-w_2019)*distort/2+(dtf+dtr)/2+(w_2019-w_2018)*(dtf-dtr)/2'     w_2019
+ 'delay+1010*per+  (w_2019-w_2020)*distort/2'                                                w_2019
+ 'delay+1010*per+  (w_2019-w_2020)*distort/2+(dtf+dtr)/2+(w_2020-w_2019)*(dtf-dtr)/2'        w_2020
+ 'delay+1010*per+per2+(w_2020-w_2021)*distort/2'                                             w_2020
+ 'delay+1010*per+per2+(w_2020-w_2021)*distort/2+(dtf+dtr)/2+(w_2021-w_2020)*(dtf-dtr)/2'     w_2021
+ 'delay+1011*per+  (w_2021-w_2022)*distort/2'                                                w_2021
+ 'delay+1011*per+  (w_2021-w_2022)*distort/2+(dtf+dtr)/2+(w_2022-w_2021)*(dtf-dtr)/2'        w_2022
+ 'delay+1011*per+per2+(w_2022-w_2023)*distort/2'                                             w_2022
+ 'delay+1011*per+per2+(w_2022-w_2023)*distort/2+(dtf+dtr)/2+(w_2023-w_2022)*(dtf-dtr)/2'     w_2023
+ 'delay+1012*per+  (w_2023-w_2024)*distort/2'                                                w_2023
+ 'delay+1012*per+  (w_2023-w_2024)*distort/2+(dtf+dtr)/2+(w_2024-w_2023)*(dtf-dtr)/2'        w_2024
+ 'delay+1012*per+per2+(w_2024-w_2025)*distort/2'                                             w_2024
+ 'delay+1012*per+per2+(w_2024-w_2025)*distort/2+(dtf+dtr)/2+(w_2025-w_2024)*(dtf-dtr)/2'     w_2025
+ 'delay+1013*per+  (w_2025-w_2026)*distort/2'                                                w_2025
+ 'delay+1013*per+  (w_2025-w_2026)*distort/2+(dtf+dtr)/2+(w_2026-w_2025)*(dtf-dtr)/2'        w_2026
+ 'delay+1013*per+per2+(w_2026-w_2027)*distort/2'                                             w_2026
+ 'delay+1013*per+per2+(w_2026-w_2027)*distort/2+(dtf+dtr)/2+(w_2027-w_2026)*(dtf-dtr)/2'     w_2027
+ 'delay+1014*per+  (w_2027-w_2028)*distort/2'                                                w_2027
+ 'delay+1014*per+  (w_2027-w_2028)*distort/2+(dtf+dtr)/2+(w_2028-w_2027)*(dtf-dtr)/2'        w_2028
+ 'delay+1014*per+per2+(w_2028-w_2029)*distort/2'                                             w_2028
+ 'delay+1014*per+per2+(w_2028-w_2029)*distort/2+(dtf+dtr)/2+(w_2029-w_2028)*(dtf-dtr)/2'     w_2029
+ 'delay+1015*per+  (w_2029-w_2030)*distort/2'                                                w_2029
+ 'delay+1015*per+  (w_2029-w_2030)*distort/2+(dtf+dtr)/2+(w_2030-w_2029)*(dtf-dtr)/2'        w_2030
+ 'delay+1015*per+per2+(w_2030-w_2031)*distort/2'                                             w_2030
+ 'delay+1015*per+per2+(w_2030-w_2031)*distort/2+(dtf+dtr)/2+(w_2031-w_2030)*(dtf-dtr)/2'     w_2031
+ 'delay+1016*per+  (w_2031-w_2032)*distort/2'                                                w_2031
+ 'delay+1016*per+  (w_2031-w_2032)*distort/2+(dtf+dtr)/2+(w_2032-w_2031)*(dtf-dtr)/2'        w_2032
+ 'delay+1016*per+per2+(w_2032-w_2033)*distort/2'                                             w_2032
+ 'delay+1016*per+per2+(w_2032-w_2033)*distort/2+(dtf+dtr)/2+(w_2033-w_2032)*(dtf-dtr)/2'     w_2033
+ 'delay+1017*per+  (w_2033-w_2034)*distort/2'                                                w_2033
+ 'delay+1017*per+  (w_2033-w_2034)*distort/2+(dtf+dtr)/2+(w_2034-w_2033)*(dtf-dtr)/2'        w_2034
+ 'delay+1017*per+per2+(w_2034-w_2035)*distort/2'                                             w_2034
+ 'delay+1017*per+per2+(w_2034-w_2035)*distort/2+(dtf+dtr)/2+(w_2035-w_2034)*(dtf-dtr)/2'     w_2035
+ 'delay+1018*per+  (w_2035-w_2036)*distort/2'                                                w_2035
+ 'delay+1018*per+  (w_2035-w_2036)*distort/2+(dtf+dtr)/2+(w_2036-w_2035)*(dtf-dtr)/2'        w_2036
+ 'delay+1018*per+per2+(w_2036-w_2037)*distort/2'                                             w_2036
+ 'delay+1018*per+per2+(w_2036-w_2037)*distort/2+(dtf+dtr)/2+(w_2037-w_2036)*(dtf-dtr)/2'     w_2037
+ 'delay+1019*per+  (w_2037-w_2038)*distort/2'                                                w_2037
+ 'delay+1019*per+  (w_2037-w_2038)*distort/2+(dtf+dtr)/2+(w_2038-w_2037)*(dtf-dtr)/2'        w_2038
+ 'delay+1019*per+per2+(w_2038-w_2039)*distort/2'                                             w_2038
+ 'delay+1019*per+per2+(w_2038-w_2039)*distort/2+(dtf+dtr)/2+(w_2039-w_2038)*(dtf-dtr)/2'     w_2039
+ 'delay+1020*per+  (w_2039-w_2040)*distort/2'                                                w_2039
+ 'delay+1020*per+  (w_2039-w_2040)*distort/2+(dtf+dtr)/2+(w_2040-w_2039)*(dtf-dtr)/2'        w_2040
+ 'delay+1020*per+per2+(w_2040-w_2041)*distort/2'                                             w_2040
+ 'delay+1020*per+per2+(w_2040-w_2041)*distort/2+(dtf+dtr)/2+(w_2041-w_2040)*(dtf-dtr)/2'     w_2041
+ 'delay+1021*per+  (w_2041-w_2042)*distort/2'                                                w_2041
+ 'delay+1021*per+  (w_2041-w_2042)*distort/2+(dtf+dtr)/2+(w_2042-w_2041)*(dtf-dtr)/2'        w_2042
+ 'delay+1021*per+per2+(w_2042-w_2043)*distort/2'                                             w_2042
+ 'delay+1021*per+per2+(w_2042-w_2043)*distort/2+(dtf+dtr)/2+(w_2043-w_2042)*(dtf-dtr)/2'     w_2043
+ 'delay+1022*per+  (w_2043-w_2044)*distort/2'                                                w_2043
+ 'delay+1022*per+  (w_2043-w_2044)*distort/2+(dtf+dtr)/2+(w_2044-w_2043)*(dtf-dtr)/2'        w_2044
+ 'delay+1022*per+per2+(w_2044-w_2045)*distort/2'                                             w_2044
+ 'delay+1022*per+per2+(w_2044-w_2045)*distort/2+(dtf+dtr)/2+(w_2045-w_2044)*(dtf-dtr)/2'     w_2045
+ 'delay+1023*per+  (w_2045-w_2046)*distort/2'                                                w_2045
+ 'delay+1023*per+  (w_2045-w_2046)*distort/2+(dtf+dtr)/2+(w_2046-w_2045)*(dtf-dtr)/2'        w_2046
+ 'delay+1023*per+per2+(w_2046-w_2047)*distort/2'                                             w_2046
+ 'delay+1023*per+per2+(w_2046-w_2047)*distort/2+(dtf+dtr)/2+(w_2047-w_2046)*(dtf-dtr)/2'     w_2047
+ 'delay+1024*per+  (w_2047-w_2048)*distort/2'                                                w_2047
+ 'delay+1024*per+  (w_2047-w_2048)*distort/2+(dtf+dtr)/2+(w_2048-w_2047)*(dtf-dtr)/2'        w_2048
+ 'delay+1024*per+per2+(w_2048-w_2049)*distort/2'                                             w_2048
+ 'delay+1024*per+per2+(w_2048-w_2049)*distort/2+(dtf+dtr)/2+(w_2049-w_2048)*(dtf-dtr)/2'     w_2049
+ 'delay+1025*per+  (w_2049-w_2050)*distort/2'                                                w_2049
+ 'delay+1025*per+  (w_2049-w_2050)*distort/2+(dtf+dtr)/2+(w_2050-w_2049)*(dtf-dtr)/2'        w_2050
+ 'delay+1025*per+per2+(w_2050-w_2051)*distort/2'                                             w_2050
+ 'delay+1025*per+per2+(w_2050-w_2051)*distort/2+(dtf+dtr)/2+(w_2051-w_2050)*(dtf-dtr)/2'     w_2051
+ 'delay+1026*per+  (w_2051-w_2052)*distort/2'                                                w_2051
+ 'delay+1026*per+  (w_2051-w_2052)*distort/2+(dtf+dtr)/2+(w_2052-w_2051)*(dtf-dtr)/2'        w_2052
+ 'delay+1026*per+per2+(w_2052-w_2053)*distort/2'                                             w_2052
+ 'delay+1026*per+per2+(w_2052-w_2053)*distort/2+(dtf+dtr)/2+(w_2053-w_2052)*(dtf-dtr)/2'     w_2053
+ 'delay+1027*per+  (w_2053-w_2054)*distort/2'                                                w_2053
+ 'delay+1027*per+  (w_2053-w_2054)*distort/2+(dtf+dtr)/2+(w_2054-w_2053)*(dtf-dtr)/2'        w_2054
+ 'delay+1027*per+per2+(w_2054-w_2055)*distort/2'                                             w_2054
+ 'delay+1027*per+per2+(w_2054-w_2055)*distort/2+(dtf+dtr)/2+(w_2055-w_2054)*(dtf-dtr)/2'     w_2055
+ 'delay+1028*per+  (w_2055-w_2056)*distort/2'                                                w_2055
+ 'delay+1028*per+  (w_2055-w_2056)*distort/2+(dtf+dtr)/2+(w_2056-w_2055)*(dtf-dtr)/2'        w_2056
+ 'delay+1028*per+per2+(w_2056-w_2057)*distort/2'                                             w_2056
+ 'delay+1028*per+per2+(w_2056-w_2057)*distort/2+(dtf+dtr)/2+(w_2057-w_2056)*(dtf-dtr)/2'     w_2057
+ 'delay+1029*per+  (w_2057-w_2058)*distort/2'                                                w_2057
+ 'delay+1029*per+  (w_2057-w_2058)*distort/2+(dtf+dtr)/2+(w_2058-w_2057)*(dtf-dtr)/2'        w_2058
+ 'delay+1029*per+per2+(w_2058-w_2059)*distort/2'                                             w_2058
+ 'delay+1029*per+per2+(w_2058-w_2059)*distort/2+(dtf+dtr)/2+(w_2059-w_2058)*(dtf-dtr)/2'     w_2059
+ 'delay+1030*per+  (w_2059-w_2060)*distort/2'                                                w_2059
+ 'delay+1030*per+  (w_2059-w_2060)*distort/2+(dtf+dtr)/2+(w_2060-w_2059)*(dtf-dtr)/2'        w_2060
+ 'delay+1030*per+per2+(w_2060-w_2061)*distort/2'                                             w_2060
+ 'delay+1030*per+per2+(w_2060-w_2061)*distort/2+(dtf+dtr)/2+(w_2061-w_2060)*(dtf-dtr)/2'     w_2061
+ 'delay+1031*per+  (w_2061-w_2062)*distort/2'                                                w_2061
+ 'delay+1031*per+  (w_2061-w_2062)*distort/2+(dtf+dtr)/2+(w_2062-w_2061)*(dtf-dtr)/2'        w_2062
+ 'delay+1031*per+per2+(w_2062-w_2063)*distort/2'                                             w_2062
+ 'delay+1031*per+per2+(w_2062-w_2063)*distort/2+(dtf+dtr)/2+(w_2063-w_2062)*(dtf-dtr)/2'     w_2063
+ 'delay+1032*per+  (w_2063-w_2064)*distort/2'                                                w_2063
+ 'delay+1032*per+  (w_2063-w_2064)*distort/2+(dtf+dtr)/2+(w_2064-w_2063)*(dtf-dtr)/2'        w_2064
+ 'delay+1032*per+per2+(w_2064-w_2065)*distort/2'                                             w_2064
+ 'delay+1032*per+per2+(w_2064-w_2065)*distort/2+(dtf+dtr)/2+(w_2065-w_2064)*(dtf-dtr)/2'     w_2065
+ 'delay+1033*per+  (w_2065-w_2066)*distort/2'                                                w_2065
+ 'delay+1033*per+  (w_2065-w_2066)*distort/2+(dtf+dtr)/2+(w_2066-w_2065)*(dtf-dtr)/2'        w_2066
+ 'delay+1033*per+per2+(w_2066-w_2067)*distort/2'                                             w_2066
+ 'delay+1033*per+per2+(w_2066-w_2067)*distort/2+(dtf+dtr)/2+(w_2067-w_2066)*(dtf-dtr)/2'     w_2067
+ 'delay+1034*per+  (w_2067-w_2068)*distort/2'                                                w_2067
+ 'delay+1034*per+  (w_2067-w_2068)*distort/2+(dtf+dtr)/2+(w_2068-w_2067)*(dtf-dtr)/2'        w_2068
+ 'delay+1034*per+per2+(w_2068-w_2069)*distort/2'                                             w_2068
+ 'delay+1034*per+per2+(w_2068-w_2069)*distort/2+(dtf+dtr)/2+(w_2069-w_2068)*(dtf-dtr)/2'     w_2069
+ 'delay+1035*per+  (w_2069-w_2070)*distort/2'                                                w_2069
+ 'delay+1035*per+  (w_2069-w_2070)*distort/2+(dtf+dtr)/2+(w_2070-w_2069)*(dtf-dtr)/2'        w_2070
+ 'delay+1035*per+per2+(w_2070-w_2071)*distort/2'                                             w_2070
+ 'delay+1035*per+per2+(w_2070-w_2071)*distort/2+(dtf+dtr)/2+(w_2071-w_2070)*(dtf-dtr)/2'     w_2071
+ 'delay+1036*per+  (w_2071-w_2072)*distort/2'                                                w_2071
+ 'delay+1036*per+  (w_2071-w_2072)*distort/2+(dtf+dtr)/2+(w_2072-w_2071)*(dtf-dtr)/2'        w_2072
+ 'delay+1036*per+per2+(w_2072-w_2073)*distort/2'                                             w_2072
+ 'delay+1036*per+per2+(w_2072-w_2073)*distort/2+(dtf+dtr)/2+(w_2073-w_2072)*(dtf-dtr)/2'     w_2073
+ 'delay+1037*per+  (w_2073-w_2074)*distort/2'                                                w_2073
+ 'delay+1037*per+  (w_2073-w_2074)*distort/2+(dtf+dtr)/2+(w_2074-w_2073)*(dtf-dtr)/2'        w_2074
+ 'delay+1037*per+per2+(w_2074-w_2075)*distort/2'                                             w_2074
+ 'delay+1037*per+per2+(w_2074-w_2075)*distort/2+(dtf+dtr)/2+(w_2075-w_2074)*(dtf-dtr)/2'     w_2075
+ 'delay+1038*per+  (w_2075-w_2076)*distort/2'                                                w_2075
+ 'delay+1038*per+  (w_2075-w_2076)*distort/2+(dtf+dtr)/2+(w_2076-w_2075)*(dtf-dtr)/2'        w_2076
+ 'delay+1038*per+per2+(w_2076-w_2077)*distort/2'                                             w_2076
+ 'delay+1038*per+per2+(w_2076-w_2077)*distort/2+(dtf+dtr)/2+(w_2077-w_2076)*(dtf-dtr)/2'     w_2077
+ 'delay+1039*per+  (w_2077-w_2078)*distort/2'                                                w_2077
+ 'delay+1039*per+  (w_2077-w_2078)*distort/2+(dtf+dtr)/2+(w_2078-w_2077)*(dtf-dtr)/2'        w_2078
+ 'delay+1039*per+per2+(w_2078-w_2079)*distort/2'                                             w_2078
+ 'delay+1039*per+per2+(w_2078-w_2079)*distort/2+(dtf+dtr)/2+(w_2079-w_2078)*(dtf-dtr)/2'     w_2079
+ 'delay+1040*per+  (w_2079-w_2080)*distort/2'                                                w_2079
+ 'delay+1040*per+  (w_2079-w_2080)*distort/2+(dtf+dtr)/2+(w_2080-w_2079)*(dtf-dtr)/2'        w_2080
+ 'delay+1040*per+per2+(w_2080-w_2081)*distort/2'                                             w_2080
+ 'delay+1040*per+per2+(w_2080-w_2081)*distort/2+(dtf+dtr)/2+(w_2081-w_2080)*(dtf-dtr)/2'     w_2081
+ 'delay+1041*per+  (w_2081-w_2082)*distort/2'                                                w_2081
+ 'delay+1041*per+  (w_2081-w_2082)*distort/2+(dtf+dtr)/2+(w_2082-w_2081)*(dtf-dtr)/2'        w_2082
+ 'delay+1041*per+per2+(w_2082-w_2083)*distort/2'                                             w_2082
+ 'delay+1041*per+per2+(w_2082-w_2083)*distort/2+(dtf+dtr)/2+(w_2083-w_2082)*(dtf-dtr)/2'     w_2083
+ 'delay+1042*per+  (w_2083-w_2084)*distort/2'                                                w_2083
+ 'delay+1042*per+  (w_2083-w_2084)*distort/2+(dtf+dtr)/2+(w_2084-w_2083)*(dtf-dtr)/2'        w_2084
+ 'delay+1042*per+per2+(w_2084-w_2085)*distort/2'                                             w_2084
+ 'delay+1042*per+per2+(w_2084-w_2085)*distort/2+(dtf+dtr)/2+(w_2085-w_2084)*(dtf-dtr)/2'     w_2085
+ 'delay+1043*per+  (w_2085-w_2086)*distort/2'                                                w_2085
+ 'delay+1043*per+  (w_2085-w_2086)*distort/2+(dtf+dtr)/2+(w_2086-w_2085)*(dtf-dtr)/2'        w_2086
+ 'delay+1043*per+per2+(w_2086-w_2087)*distort/2'                                             w_2086
+ 'delay+1043*per+per2+(w_2086-w_2087)*distort/2+(dtf+dtr)/2+(w_2087-w_2086)*(dtf-dtr)/2'     w_2087
+ 'delay+1044*per+  (w_2087-w_2088)*distort/2'                                                w_2087
+ 'delay+1044*per+  (w_2087-w_2088)*distort/2+(dtf+dtr)/2+(w_2088-w_2087)*(dtf-dtr)/2'        w_2088
+ 'delay+1044*per+per2+(w_2088-w_2089)*distort/2'                                             w_2088
+ 'delay+1044*per+per2+(w_2088-w_2089)*distort/2+(dtf+dtr)/2+(w_2089-w_2088)*(dtf-dtr)/2'     w_2089
+ 'delay+1045*per+  (w_2089-w_2090)*distort/2'                                                w_2089
+ 'delay+1045*per+  (w_2089-w_2090)*distort/2+(dtf+dtr)/2+(w_2090-w_2089)*(dtf-dtr)/2'        w_2090
+ 'delay+1045*per+per2+(w_2090-w_2091)*distort/2'                                             w_2090
+ 'delay+1045*per+per2+(w_2090-w_2091)*distort/2+(dtf+dtr)/2+(w_2091-w_2090)*(dtf-dtr)/2'     w_2091
+ 'delay+1046*per+  (w_2091-w_2092)*distort/2'                                                w_2091
+ 'delay+1046*per+  (w_2091-w_2092)*distort/2+(dtf+dtr)/2+(w_2092-w_2091)*(dtf-dtr)/2'        w_2092
+ 'delay+1046*per+per2+(w_2092-w_2093)*distort/2'                                             w_2092
+ 'delay+1046*per+per2+(w_2092-w_2093)*distort/2+(dtf+dtr)/2+(w_2093-w_2092)*(dtf-dtr)/2'     w_2093
+ 'delay+1047*per+  (w_2093-w_2094)*distort/2'                                                w_2093
+ 'delay+1047*per+  (w_2093-w_2094)*distort/2+(dtf+dtr)/2+(w_2094-w_2093)*(dtf-dtr)/2'        w_2094
+ 'delay+1047*per+per2+(w_2094-w_2095)*distort/2'                                             w_2094
+ 'delay+1047*per+per2+(w_2094-w_2095)*distort/2+(dtf+dtr)/2+(w_2095-w_2094)*(dtf-dtr)/2'     w_2095
+ 'delay+1048*per+  (w_2095-w_2096)*distort/2'                                                w_2095
+ 'delay+1048*per+  (w_2095-w_2096)*distort/2+(dtf+dtr)/2+(w_2096-w_2095)*(dtf-dtr)/2'        w_2096
+ 'delay+1048*per+per2+(w_2096-w_2097)*distort/2'                                             w_2096
+ 'delay+1048*per+per2+(w_2096-w_2097)*distort/2+(dtf+dtr)/2+(w_2097-w_2096)*(dtf-dtr)/2'     w_2097
+ 'delay+1049*per+  (w_2097-w_2098)*distort/2'                                                w_2097
+ 'delay+1049*per+  (w_2097-w_2098)*distort/2+(dtf+dtr)/2+(w_2098-w_2097)*(dtf-dtr)/2'        w_2098
+ 'delay+1049*per+per2+(w_2098-w_2099)*distort/2'                                             w_2098
+ 'delay+1049*per+per2+(w_2098-w_2099)*distort/2+(dtf+dtr)/2+(w_2099-w_2098)*(dtf-dtr)/2'     w_2099
+ 'delay+1050*per+  (w_2099-w_2100)*distort/2'                                                w_2099
+ 'delay+1050*per+  (w_2099-w_2100)*distort/2+(dtf+dtr)/2+(w_2100-w_2099)*(dtf-dtr)/2'        w_2100
+ 'delay+1050*per+per2+(w_2100-w_2101)*distort/2'                                             w_2100
+ 'delay+1050*per+per2+(w_2100-w_2101)*distort/2+(dtf+dtr)/2+(w_2101-w_2100)*(dtf-dtr)/2'     w_2101
+ 'delay+1051*per+  (w_2101-w_2102)*distort/2'                                                w_2101
+ 'delay+1051*per+  (w_2101-w_2102)*distort/2+(dtf+dtr)/2+(w_2102-w_2101)*(dtf-dtr)/2'        w_2102
+ 'delay+1051*per+per2+(w_2102-w_2103)*distort/2'                                             w_2102
+ 'delay+1051*per+per2+(w_2102-w_2103)*distort/2+(dtf+dtr)/2+(w_2103-w_2102)*(dtf-dtr)/2'     w_2103
+ 'delay+1052*per+  (w_2103-w_2104)*distort/2'                                                w_2103
+ 'delay+1052*per+  (w_2103-w_2104)*distort/2+(dtf+dtr)/2+(w_2104-w_2103)*(dtf-dtr)/2'        w_2104
+ 'delay+1052*per+per2+(w_2104-w_2105)*distort/2'                                             w_2104
+ 'delay+1052*per+per2+(w_2104-w_2105)*distort/2+(dtf+dtr)/2+(w_2105-w_2104)*(dtf-dtr)/2'     w_2105
+ 'delay+1053*per+  (w_2105-w_2106)*distort/2'                                                w_2105
+ 'delay+1053*per+  (w_2105-w_2106)*distort/2+(dtf+dtr)/2+(w_2106-w_2105)*(dtf-dtr)/2'        w_2106
+ 'delay+1053*per+per2+(w_2106-w_2107)*distort/2'                                             w_2106
+ 'delay+1053*per+per2+(w_2106-w_2107)*distort/2+(dtf+dtr)/2+(w_2107-w_2106)*(dtf-dtr)/2'     w_2107
+ 'delay+1054*per+  (w_2107-w_2108)*distort/2'                                                w_2107
+ 'delay+1054*per+  (w_2107-w_2108)*distort/2+(dtf+dtr)/2+(w_2108-w_2107)*(dtf-dtr)/2'        w_2108
+ 'delay+1054*per+per2+(w_2108-w_2109)*distort/2'                                             w_2108
+ 'delay+1054*per+per2+(w_2108-w_2109)*distort/2+(dtf+dtr)/2+(w_2109-w_2108)*(dtf-dtr)/2'     w_2109
+ 'delay+1055*per+  (w_2109-w_2110)*distort/2'                                                w_2109
+ 'delay+1055*per+  (w_2109-w_2110)*distort/2+(dtf+dtr)/2+(w_2110-w_2109)*(dtf-dtr)/2'        w_2110
+ 'delay+1055*per+per2+(w_2110-w_2111)*distort/2'                                             w_2110
+ 'delay+1055*per+per2+(w_2110-w_2111)*distort/2+(dtf+dtr)/2+(w_2111-w_2110)*(dtf-dtr)/2'     w_2111
+ 'delay+1056*per+  (w_2111-w_2112)*distort/2'                                                w_2111
+ 'delay+1056*per+  (w_2111-w_2112)*distort/2+(dtf+dtr)/2+(w_2112-w_2111)*(dtf-dtr)/2'        w_2112
+ 'delay+1056*per+per2+(w_2112-w_2113)*distort/2'                                             w_2112
+ 'delay+1056*per+per2+(w_2112-w_2113)*distort/2+(dtf+dtr)/2+(w_2113-w_2112)*(dtf-dtr)/2'     w_2113
+ 'delay+1057*per+  (w_2113-w_2114)*distort/2'                                                w_2113
+ 'delay+1057*per+  (w_2113-w_2114)*distort/2+(dtf+dtr)/2+(w_2114-w_2113)*(dtf-dtr)/2'        w_2114
+ 'delay+1057*per+per2+(w_2114-w_2115)*distort/2'                                             w_2114
+ 'delay+1057*per+per2+(w_2114-w_2115)*distort/2+(dtf+dtr)/2+(w_2115-w_2114)*(dtf-dtr)/2'     w_2115
+ 'delay+1058*per+  (w_2115-w_2116)*distort/2'                                                w_2115
+ 'delay+1058*per+  (w_2115-w_2116)*distort/2+(dtf+dtr)/2+(w_2116-w_2115)*(dtf-dtr)/2'        w_2116
+ 'delay+1058*per+per2+(w_2116-w_2117)*distort/2'                                             w_2116
+ 'delay+1058*per+per2+(w_2116-w_2117)*distort/2+(dtf+dtr)/2+(w_2117-w_2116)*(dtf-dtr)/2'     w_2117
+ 'delay+1059*per+  (w_2117-w_2118)*distort/2'                                                w_2117
+ 'delay+1059*per+  (w_2117-w_2118)*distort/2+(dtf+dtr)/2+(w_2118-w_2117)*(dtf-dtr)/2'        w_2118
+ 'delay+1059*per+per2+(w_2118-w_2119)*distort/2'                                             w_2118
+ 'delay+1059*per+per2+(w_2118-w_2119)*distort/2+(dtf+dtr)/2+(w_2119-w_2118)*(dtf-dtr)/2'     w_2119
+ 'delay+1060*per+  (w_2119-w_2120)*distort/2'                                                w_2119
+ 'delay+1060*per+  (w_2119-w_2120)*distort/2+(dtf+dtr)/2+(w_2120-w_2119)*(dtf-dtr)/2'        w_2120
+ 'delay+1060*per+per2+(w_2120-w_2121)*distort/2'                                             w_2120
+ 'delay+1060*per+per2+(w_2120-w_2121)*distort/2+(dtf+dtr)/2+(w_2121-w_2120)*(dtf-dtr)/2'     w_2121
+ 'delay+1061*per+  (w_2121-w_2122)*distort/2'                                                w_2121
+ 'delay+1061*per+  (w_2121-w_2122)*distort/2+(dtf+dtr)/2+(w_2122-w_2121)*(dtf-dtr)/2'        w_2122
+ 'delay+1061*per+per2+(w_2122-w_2123)*distort/2'                                             w_2122
+ 'delay+1061*per+per2+(w_2122-w_2123)*distort/2+(dtf+dtr)/2+(w_2123-w_2122)*(dtf-dtr)/2'     w_2123
+ 'delay+1062*per+  (w_2123-w_2124)*distort/2'                                                w_2123
+ 'delay+1062*per+  (w_2123-w_2124)*distort/2+(dtf+dtr)/2+(w_2124-w_2123)*(dtf-dtr)/2'        w_2124
+ 'delay+1062*per+per2+(w_2124-w_2125)*distort/2'                                             w_2124
+ 'delay+1062*per+per2+(w_2124-w_2125)*distort/2+(dtf+dtr)/2+(w_2125-w_2124)*(dtf-dtr)/2'     w_2125
+ 'delay+1063*per+  (w_2125-w_2126)*distort/2'                                                w_2125
+ 'delay+1063*per+  (w_2125-w_2126)*distort/2+(dtf+dtr)/2+(w_2126-w_2125)*(dtf-dtr)/2'        w_2126
+ 'delay+1063*per+per2+(w_2126-w_2127)*distort/2'                                             w_2126
+ 'delay+1063*per+per2+(w_2126-w_2127)*distort/2+(dtf+dtr)/2+(w_2127-w_2126)*(dtf-dtr)/2'     w_2127
+ 'delay+1064*per+  (w_2127-w_2128)*distort/2'                                                w_2127
+ 'delay+1064*per+  (w_2127-w_2128)*distort/2+(dtf+dtr)/2+(w_2128-w_2127)*(dtf-dtr)/2'        w_2128
+ 'delay+1064*per+per2+(w_2128-w_2129)*distort/2'                                             w_2128
+ 'delay+1064*per+per2+(w_2128-w_2129)*distort/2+(dtf+dtr)/2+(w_2129-w_2128)*(dtf-dtr)/2'     w_2129
+ 'delay+1065*per+  (w_2129-w_2130)*distort/2'                                                w_2129
+ 'delay+1065*per+  (w_2129-w_2130)*distort/2+(dtf+dtr)/2+(w_2130-w_2129)*(dtf-dtr)/2'        w_2130
+ 'delay+1065*per+per2+(w_2130-w_2131)*distort/2'                                             w_2130
+ 'delay+1065*per+per2+(w_2130-w_2131)*distort/2+(dtf+dtr)/2+(w_2131-w_2130)*(dtf-dtr)/2'     w_2131
+ 'delay+1066*per+  (w_2131-w_2132)*distort/2'                                                w_2131
+ 'delay+1066*per+  (w_2131-w_2132)*distort/2+(dtf+dtr)/2+(w_2132-w_2131)*(dtf-dtr)/2'        w_2132
+ 'delay+1066*per+per2+(w_2132-w_2133)*distort/2'                                             w_2132
+ 'delay+1066*per+per2+(w_2132-w_2133)*distort/2+(dtf+dtr)/2+(w_2133-w_2132)*(dtf-dtr)/2'     w_2133
+ 'delay+1067*per+  (w_2133-w_2134)*distort/2'                                                w_2133
+ 'delay+1067*per+  (w_2133-w_2134)*distort/2+(dtf+dtr)/2+(w_2134-w_2133)*(dtf-dtr)/2'        w_2134
+ 'delay+1067*per+per2+(w_2134-w_2135)*distort/2'                                             w_2134
+ 'delay+1067*per+per2+(w_2134-w_2135)*distort/2+(dtf+dtr)/2+(w_2135-w_2134)*(dtf-dtr)/2'     w_2135
+ 'delay+1068*per+  (w_2135-w_2136)*distort/2'                                                w_2135
+ 'delay+1068*per+  (w_2135-w_2136)*distort/2+(dtf+dtr)/2+(w_2136-w_2135)*(dtf-dtr)/2'        w_2136
+ 'delay+1068*per+per2+(w_2136-w_2137)*distort/2'                                             w_2136
+ 'delay+1068*per+per2+(w_2136-w_2137)*distort/2+(dtf+dtr)/2+(w_2137-w_2136)*(dtf-dtr)/2'     w_2137
+ 'delay+1069*per+  (w_2137-w_2138)*distort/2'                                                w_2137
+ 'delay+1069*per+  (w_2137-w_2138)*distort/2+(dtf+dtr)/2+(w_2138-w_2137)*(dtf-dtr)/2'        w_2138
+ 'delay+1069*per+per2+(w_2138-w_2139)*distort/2'                                             w_2138
+ 'delay+1069*per+per2+(w_2138-w_2139)*distort/2+(dtf+dtr)/2+(w_2139-w_2138)*(dtf-dtr)/2'     w_2139
+ 'delay+1070*per+  (w_2139-w_2140)*distort/2'                                                w_2139
+ 'delay+1070*per+  (w_2139-w_2140)*distort/2+(dtf+dtr)/2+(w_2140-w_2139)*(dtf-dtr)/2'        w_2140
+ 'delay+1070*per+per2+(w_2140-w_2141)*distort/2'                                             w_2140
+ 'delay+1070*per+per2+(w_2140-w_2141)*distort/2+(dtf+dtr)/2+(w_2141-w_2140)*(dtf-dtr)/2'     w_2141
+ 'delay+1071*per+  (w_2141-w_2142)*distort/2'                                                w_2141
+ 'delay+1071*per+  (w_2141-w_2142)*distort/2+(dtf+dtr)/2+(w_2142-w_2141)*(dtf-dtr)/2'        w_2142
+ 'delay+1071*per+per2+(w_2142-w_2143)*distort/2'                                             w_2142
+ 'delay+1071*per+per2+(w_2142-w_2143)*distort/2+(dtf+dtr)/2+(w_2143-w_2142)*(dtf-dtr)/2'     w_2143
+ 'delay+1072*per+  (w_2143-w_2144)*distort/2'                                                w_2143
+ 'delay+1072*per+  (w_2143-w_2144)*distort/2+(dtf+dtr)/2+(w_2144-w_2143)*(dtf-dtr)/2'        w_2144
+ 'delay+1072*per+per2+(w_2144-w_2145)*distort/2'                                             w_2144
+ 'delay+1072*per+per2+(w_2144-w_2145)*distort/2+(dtf+dtr)/2+(w_2145-w_2144)*(dtf-dtr)/2'     w_2145
+ 'delay+1073*per+  (w_2145-w_2146)*distort/2'                                                w_2145
+ 'delay+1073*per+  (w_2145-w_2146)*distort/2+(dtf+dtr)/2+(w_2146-w_2145)*(dtf-dtr)/2'        w_2146
+ 'delay+1073*per+per2+(w_2146-w_2147)*distort/2'                                             w_2146
+ 'delay+1073*per+per2+(w_2146-w_2147)*distort/2+(dtf+dtr)/2+(w_2147-w_2146)*(dtf-dtr)/2'     w_2147
+ 'delay+1074*per+  (w_2147-w_2148)*distort/2'                                                w_2147
+ 'delay+1074*per+  (w_2147-w_2148)*distort/2+(dtf+dtr)/2+(w_2148-w_2147)*(dtf-dtr)/2'        w_2148
+ 'delay+1074*per+per2+(w_2148-w_2149)*distort/2'                                             w_2148
+ 'delay+1074*per+per2+(w_2148-w_2149)*distort/2+(dtf+dtr)/2+(w_2149-w_2148)*(dtf-dtr)/2'     w_2149
+ 'delay+1075*per+  (w_2149-w_2150)*distort/2'                                                w_2149
+ 'delay+1075*per+  (w_2149-w_2150)*distort/2+(dtf+dtr)/2+(w_2150-w_2149)*(dtf-dtr)/2'        w_2150
+ 'delay+1075*per+per2+(w_2150-w_2151)*distort/2'                                             w_2150
+ 'delay+1075*per+per2+(w_2150-w_2151)*distort/2+(dtf+dtr)/2+(w_2151-w_2150)*(dtf-dtr)/2'     w_2151
+ 'delay+1076*per+  (w_2151-w_2152)*distort/2'                                                w_2151
+ 'delay+1076*per+  (w_2151-w_2152)*distort/2+(dtf+dtr)/2+(w_2152-w_2151)*(dtf-dtr)/2'        w_2152
+ 'delay+1076*per+per2+(w_2152-w_2153)*distort/2'                                             w_2152
+ 'delay+1076*per+per2+(w_2152-w_2153)*distort/2+(dtf+dtr)/2+(w_2153-w_2152)*(dtf-dtr)/2'     w_2153
+ 'delay+1077*per+  (w_2153-w_2154)*distort/2'                                                w_2153
+ 'delay+1077*per+  (w_2153-w_2154)*distort/2+(dtf+dtr)/2+(w_2154-w_2153)*(dtf-dtr)/2'        w_2154
+ 'delay+1077*per+per2+(w_2154-w_2155)*distort/2'                                             w_2154
+ 'delay+1077*per+per2+(w_2154-w_2155)*distort/2+(dtf+dtr)/2+(w_2155-w_2154)*(dtf-dtr)/2'     w_2155
+ 'delay+1078*per+  (w_2155-w_2156)*distort/2'                                                w_2155
+ 'delay+1078*per+  (w_2155-w_2156)*distort/2+(dtf+dtr)/2+(w_2156-w_2155)*(dtf-dtr)/2'        w_2156
+ 'delay+1078*per+per2+(w_2156-w_2157)*distort/2'                                             w_2156
+ 'delay+1078*per+per2+(w_2156-w_2157)*distort/2+(dtf+dtr)/2+(w_2157-w_2156)*(dtf-dtr)/2'     w_2157
+ 'delay+1079*per+  (w_2157-w_2158)*distort/2'                                                w_2157
+ 'delay+1079*per+  (w_2157-w_2158)*distort/2+(dtf+dtr)/2+(w_2158-w_2157)*(dtf-dtr)/2'        w_2158
+ 'delay+1079*per+per2+(w_2158-w_2159)*distort/2'                                             w_2158
+ 'delay+1079*per+per2+(w_2158-w_2159)*distort/2+(dtf+dtr)/2+(w_2159-w_2158)*(dtf-dtr)/2'     w_2159
+ 'delay+1080*per+  (w_2159-w_2160)*distort/2'                                                w_2159
+ 'delay+1080*per+  (w_2159-w_2160)*distort/2+(dtf+dtr)/2+(w_2160-w_2159)*(dtf-dtr)/2'        w_2160
+ 'delay+1080*per+per2+(w_2160-w_2161)*distort/2'                                             w_2160
+ 'delay+1080*per+per2+(w_2160-w_2161)*distort/2+(dtf+dtr)/2+(w_2161-w_2160)*(dtf-dtr)/2'     w_2161
+ 'delay+1081*per+  (w_2161-w_2162)*distort/2'                                                w_2161
+ 'delay+1081*per+  (w_2161-w_2162)*distort/2+(dtf+dtr)/2+(w_2162-w_2161)*(dtf-dtr)/2'        w_2162
+ 'delay+1081*per+per2+(w_2162-w_2163)*distort/2'                                             w_2162
+ 'delay+1081*per+per2+(w_2162-w_2163)*distort/2+(dtf+dtr)/2+(w_2163-w_2162)*(dtf-dtr)/2'     w_2163
+ 'delay+1082*per+  (w_2163-w_2164)*distort/2'                                                w_2163
+ 'delay+1082*per+  (w_2163-w_2164)*distort/2+(dtf+dtr)/2+(w_2164-w_2163)*(dtf-dtr)/2'        w_2164
+ 'delay+1082*per+per2+(w_2164-w_2165)*distort/2'                                             w_2164
+ 'delay+1082*per+per2+(w_2164-w_2165)*distort/2+(dtf+dtr)/2+(w_2165-w_2164)*(dtf-dtr)/2'     w_2165
+ 'delay+1083*per+  (w_2165-w_2166)*distort/2'                                                w_2165
+ 'delay+1083*per+  (w_2165-w_2166)*distort/2+(dtf+dtr)/2+(w_2166-w_2165)*(dtf-dtr)/2'        w_2166
+ 'delay+1083*per+per2+(w_2166-w_2167)*distort/2'                                             w_2166
+ 'delay+1083*per+per2+(w_2166-w_2167)*distort/2+(dtf+dtr)/2+(w_2167-w_2166)*(dtf-dtr)/2'     w_2167
+ 'delay+1084*per+  (w_2167-w_2168)*distort/2'                                                w_2167
+ 'delay+1084*per+  (w_2167-w_2168)*distort/2+(dtf+dtr)/2+(w_2168-w_2167)*(dtf-dtr)/2'        w_2168
+ 'delay+1084*per+per2+(w_2168-w_2169)*distort/2'                                             w_2168
+ 'delay+1084*per+per2+(w_2168-w_2169)*distort/2+(dtf+dtr)/2+(w_2169-w_2168)*(dtf-dtr)/2'     w_2169
+ 'delay+1085*per+  (w_2169-w_2170)*distort/2'                                                w_2169
+ 'delay+1085*per+  (w_2169-w_2170)*distort/2+(dtf+dtr)/2+(w_2170-w_2169)*(dtf-dtr)/2'        w_2170
+ 'delay+1085*per+per2+(w_2170-w_2171)*distort/2'                                             w_2170
+ 'delay+1085*per+per2+(w_2170-w_2171)*distort/2+(dtf+dtr)/2+(w_2171-w_2170)*(dtf-dtr)/2'     w_2171
+ 'delay+1086*per+  (w_2171-w_2172)*distort/2'                                                w_2171
+ 'delay+1086*per+  (w_2171-w_2172)*distort/2+(dtf+dtr)/2+(w_2172-w_2171)*(dtf-dtr)/2'        w_2172
+ 'delay+1086*per+per2+(w_2172-w_2173)*distort/2'                                             w_2172
+ 'delay+1086*per+per2+(w_2172-w_2173)*distort/2+(dtf+dtr)/2+(w_2173-w_2172)*(dtf-dtr)/2'     w_2173
+ 'delay+1087*per+  (w_2173-w_2174)*distort/2'                                                w_2173
+ 'delay+1087*per+  (w_2173-w_2174)*distort/2+(dtf+dtr)/2+(w_2174-w_2173)*(dtf-dtr)/2'        w_2174
+ 'delay+1087*per+per2+(w_2174-w_2175)*distort/2'                                             w_2174
+ 'delay+1087*per+per2+(w_2174-w_2175)*distort/2+(dtf+dtr)/2+(w_2175-w_2174)*(dtf-dtr)/2'     w_2175
+ 'delay+1088*per+  (w_2175-w_2176)*distort/2'                                                w_2175
+ 'delay+1088*per+  (w_2175-w_2176)*distort/2+(dtf+dtr)/2+(w_2176-w_2175)*(dtf-dtr)/2'        w_2176
+ 'delay+1088*per+per2+(w_2176-w_2177)*distort/2'                                             w_2176
+ 'delay+1088*per+per2+(w_2176-w_2177)*distort/2+(dtf+dtr)/2+(w_2177-w_2176)*(dtf-dtr)/2'     w_2177
+ 'delay+1089*per+  (w_2177-w_2178)*distort/2'                                                w_2177
+ 'delay+1089*per+  (w_2177-w_2178)*distort/2+(dtf+dtr)/2+(w_2178-w_2177)*(dtf-dtr)/2'        w_2178
+ 'delay+1089*per+per2+(w_2178-w_2179)*distort/2'                                             w_2178
+ 'delay+1089*per+per2+(w_2178-w_2179)*distort/2+(dtf+dtr)/2+(w_2179-w_2178)*(dtf-dtr)/2'     w_2179
+ 'delay+1090*per+  (w_2179-w_2180)*distort/2'                                                w_2179
+ 'delay+1090*per+  (w_2179-w_2180)*distort/2+(dtf+dtr)/2+(w_2180-w_2179)*(dtf-dtr)/2'        w_2180
+ 'delay+1090*per+per2+(w_2180-w_2181)*distort/2'                                             w_2180
+ 'delay+1090*per+per2+(w_2180-w_2181)*distort/2+(dtf+dtr)/2+(w_2181-w_2180)*(dtf-dtr)/2'     w_2181
+ 'delay+1091*per+  (w_2181-w_2182)*distort/2'                                                w_2181
+ 'delay+1091*per+  (w_2181-w_2182)*distort/2+(dtf+dtr)/2+(w_2182-w_2181)*(dtf-dtr)/2'        w_2182
+ 'delay+1091*per+per2+(w_2182-w_2183)*distort/2'                                             w_2182
+ 'delay+1091*per+per2+(w_2182-w_2183)*distort/2+(dtf+dtr)/2+(w_2183-w_2182)*(dtf-dtr)/2'     w_2183
+ 'delay+1092*per+  (w_2183-w_2184)*distort/2'                                                w_2183
+ 'delay+1092*per+  (w_2183-w_2184)*distort/2+(dtf+dtr)/2+(w_2184-w_2183)*(dtf-dtr)/2'        w_2184
+ 'delay+1092*per+per2+(w_2184-w_2185)*distort/2'                                             w_2184
+ 'delay+1092*per+per2+(w_2184-w_2185)*distort/2+(dtf+dtr)/2+(w_2185-w_2184)*(dtf-dtr)/2'     w_2185
+ 'delay+1093*per+  (w_2185-w_2186)*distort/2'                                                w_2185
+ 'delay+1093*per+  (w_2185-w_2186)*distort/2+(dtf+dtr)/2+(w_2186-w_2185)*(dtf-dtr)/2'        w_2186
+ 'delay+1093*per+per2+(w_2186-w_2187)*distort/2'                                             w_2186
+ 'delay+1093*per+per2+(w_2186-w_2187)*distort/2+(dtf+dtr)/2+(w_2187-w_2186)*(dtf-dtr)/2'     w_2187
+ 'delay+1094*per+  (w_2187-w_2188)*distort/2'                                                w_2187
+ 'delay+1094*per+  (w_2187-w_2188)*distort/2+(dtf+dtr)/2+(w_2188-w_2187)*(dtf-dtr)/2'        w_2188
+ 'delay+1094*per+per2+(w_2188-w_2189)*distort/2'                                             w_2188
+ 'delay+1094*per+per2+(w_2188-w_2189)*distort/2+(dtf+dtr)/2+(w_2189-w_2188)*(dtf-dtr)/2'     w_2189
+ 'delay+1095*per+  (w_2189-w_2190)*distort/2'                                                w_2189
+ 'delay+1095*per+  (w_2189-w_2190)*distort/2+(dtf+dtr)/2+(w_2190-w_2189)*(dtf-dtr)/2'        w_2190
+ 'delay+1095*per+per2+(w_2190-w_2191)*distort/2'                                             w_2190
+ 'delay+1095*per+per2+(w_2190-w_2191)*distort/2+(dtf+dtr)/2+(w_2191-w_2190)*(dtf-dtr)/2'     w_2191
+ 'delay+1096*per+  (w_2191-w_2192)*distort/2'                                                w_2191
+ 'delay+1096*per+  (w_2191-w_2192)*distort/2+(dtf+dtr)/2+(w_2192-w_2191)*(dtf-dtr)/2'        w_2192
+ 'delay+1096*per+per2+(w_2192-w_2193)*distort/2'                                             w_2192
+ 'delay+1096*per+per2+(w_2192-w_2193)*distort/2+(dtf+dtr)/2+(w_2193-w_2192)*(dtf-dtr)/2'     w_2193
+ 'delay+1097*per+  (w_2193-w_2194)*distort/2'                                                w_2193
+ 'delay+1097*per+  (w_2193-w_2194)*distort/2+(dtf+dtr)/2+(w_2194-w_2193)*(dtf-dtr)/2'        w_2194
+ 'delay+1097*per+per2+(w_2194-w_2195)*distort/2'                                             w_2194
+ 'delay+1097*per+per2+(w_2194-w_2195)*distort/2+(dtf+dtr)/2+(w_2195-w_2194)*(dtf-dtr)/2'     w_2195
+ 'delay+1098*per+  (w_2195-w_2196)*distort/2'                                                w_2195
+ 'delay+1098*per+  (w_2195-w_2196)*distort/2+(dtf+dtr)/2+(w_2196-w_2195)*(dtf-dtr)/2'        w_2196
+ 'delay+1098*per+per2+(w_2196-w_2197)*distort/2'                                             w_2196
+ 'delay+1098*per+per2+(w_2196-w_2197)*distort/2+(dtf+dtr)/2+(w_2197-w_2196)*(dtf-dtr)/2'     w_2197
+ 'delay+1099*per+  (w_2197-w_2198)*distort/2'                                                w_2197
+ 'delay+1099*per+  (w_2197-w_2198)*distort/2+(dtf+dtr)/2+(w_2198-w_2197)*(dtf-dtr)/2'        w_2198
+ 'delay+1099*per+per2+(w_2198-w_2199)*distort/2'                                             w_2198
+ 'delay+1099*per+per2+(w_2198-w_2199)*distort/2+(dtf+dtr)/2+(w_2199-w_2198)*(dtf-dtr)/2'     w_2199
+ 'delay+1100*per+  (w_2199-w_2200)*distort/2'                                                w_2199
+ 'delay+1100*per+  (w_2199-w_2200)*distort/2+(dtf+dtr)/2+(w_2200-w_2199)*(dtf-dtr)/2'        w_2200
+ 'delay+1100*per+per2+(w_2200-w_2201)*distort/2'                                             w_2200
+ 'delay+1100*per+per2+(w_2200-w_2201)*distort/2+(dtf+dtr)/2+(w_2201-w_2200)*(dtf-dtr)/2'     w_2201
+ 'delay+1101*per+  (w_2201-w_2202)*distort/2'                                                w_2201
+ 'delay+1101*per+  (w_2201-w_2202)*distort/2+(dtf+dtr)/2+(w_2202-w_2201)*(dtf-dtr)/2'        w_2202
+ 'delay+1101*per+per2+(w_2202-w_2203)*distort/2'                                             w_2202
+ 'delay+1101*per+per2+(w_2202-w_2203)*distort/2+(dtf+dtr)/2+(w_2203-w_2202)*(dtf-dtr)/2'     w_2203
+ 'delay+1102*per+  (w_2203-w_2204)*distort/2'                                                w_2203
+ 'delay+1102*per+  (w_2203-w_2204)*distort/2+(dtf+dtr)/2+(w_2204-w_2203)*(dtf-dtr)/2'        w_2204
+ 'delay+1102*per+per2+(w_2204-w_2205)*distort/2'                                             w_2204
+ 'delay+1102*per+per2+(w_2204-w_2205)*distort/2+(dtf+dtr)/2+(w_2205-w_2204)*(dtf-dtr)/2'     w_2205
+ 'delay+1103*per+  (w_2205-w_2206)*distort/2'                                                w_2205
+ 'delay+1103*per+  (w_2205-w_2206)*distort/2+(dtf+dtr)/2+(w_2206-w_2205)*(dtf-dtr)/2'        w_2206
+ 'delay+1103*per+per2+(w_2206-w_2207)*distort/2'                                             w_2206
+ 'delay+1103*per+per2+(w_2206-w_2207)*distort/2+(dtf+dtr)/2+(w_2207-w_2206)*(dtf-dtr)/2'     w_2207
+ 'delay+1104*per+  (w_2207-w_2208)*distort/2'                                                w_2207
+ 'delay+1104*per+  (w_2207-w_2208)*distort/2+(dtf+dtr)/2+(w_2208-w_2207)*(dtf-dtr)/2'        w_2208
+ 'delay+1104*per+per2+(w_2208-w_2209)*distort/2'                                             w_2208
+ 'delay+1104*per+per2+(w_2208-w_2209)*distort/2+(dtf+dtr)/2+(w_2209-w_2208)*(dtf-dtr)/2'     w_2209
+ 'delay+1105*per+  (w_2209-w_2210)*distort/2'                                                w_2209
+ 'delay+1105*per+  (w_2209-w_2210)*distort/2+(dtf+dtr)/2+(w_2210-w_2209)*(dtf-dtr)/2'        w_2210
+ 'delay+1105*per+per2+(w_2210-w_2211)*distort/2'                                             w_2210
+ 'delay+1105*per+per2+(w_2210-w_2211)*distort/2+(dtf+dtr)/2+(w_2211-w_2210)*(dtf-dtr)/2'     w_2211
+ 'delay+1106*per+  (w_2211-w_2212)*distort/2'                                                w_2211
+ 'delay+1106*per+  (w_2211-w_2212)*distort/2+(dtf+dtr)/2+(w_2212-w_2211)*(dtf-dtr)/2'        w_2212
+ 'delay+1106*per+per2+(w_2212-w_2213)*distort/2'                                             w_2212
+ 'delay+1106*per+per2+(w_2212-w_2213)*distort/2+(dtf+dtr)/2+(w_2213-w_2212)*(dtf-dtr)/2'     w_2213
+ 'delay+1107*per+  (w_2213-w_2214)*distort/2'                                                w_2213
+ 'delay+1107*per+  (w_2213-w_2214)*distort/2+(dtf+dtr)/2+(w_2214-w_2213)*(dtf-dtr)/2'        w_2214
+ 'delay+1107*per+per2+(w_2214-w_2215)*distort/2'                                             w_2214
+ 'delay+1107*per+per2+(w_2214-w_2215)*distort/2+(dtf+dtr)/2+(w_2215-w_2214)*(dtf-dtr)/2'     w_2215
+ 'delay+1108*per+  (w_2215-w_2216)*distort/2'                                                w_2215
+ 'delay+1108*per+  (w_2215-w_2216)*distort/2+(dtf+dtr)/2+(w_2216-w_2215)*(dtf-dtr)/2'        w_2216
+ 'delay+1108*per+per2+(w_2216-w_2217)*distort/2'                                             w_2216
+ 'delay+1108*per+per2+(w_2216-w_2217)*distort/2+(dtf+dtr)/2+(w_2217-w_2216)*(dtf-dtr)/2'     w_2217
+ 'delay+1109*per+  (w_2217-w_2218)*distort/2'                                                w_2217
+ 'delay+1109*per+  (w_2217-w_2218)*distort/2+(dtf+dtr)/2+(w_2218-w_2217)*(dtf-dtr)/2'        w_2218
+ 'delay+1109*per+per2+(w_2218-w_2219)*distort/2'                                             w_2218
+ 'delay+1109*per+per2+(w_2218-w_2219)*distort/2+(dtf+dtr)/2+(w_2219-w_2218)*(dtf-dtr)/2'     w_2219
+ 'delay+1110*per+  (w_2219-w_2220)*distort/2'                                                w_2219
+ 'delay+1110*per+  (w_2219-w_2220)*distort/2+(dtf+dtr)/2+(w_2220-w_2219)*(dtf-dtr)/2'        w_2220
+ 'delay+1110*per+per2+(w_2220-w_2221)*distort/2'                                             w_2220
+ 'delay+1110*per+per2+(w_2220-w_2221)*distort/2+(dtf+dtr)/2+(w_2221-w_2220)*(dtf-dtr)/2'     w_2221
+ 'delay+1111*per+  (w_2221-w_2222)*distort/2'                                                w_2221
+ 'delay+1111*per+  (w_2221-w_2222)*distort/2+(dtf+dtr)/2+(w_2222-w_2221)*(dtf-dtr)/2'        w_2222
+ 'delay+1111*per+per2+(w_2222-w_2223)*distort/2'                                             w_2222
+ 'delay+1111*per+per2+(w_2222-w_2223)*distort/2+(dtf+dtr)/2+(w_2223-w_2222)*(dtf-dtr)/2'     w_2223
+ 'delay+1112*per+  (w_2223-w_2224)*distort/2'                                                w_2223
+ 'delay+1112*per+  (w_2223-w_2224)*distort/2+(dtf+dtr)/2+(w_2224-w_2223)*(dtf-dtr)/2'        w_2224
+ 'delay+1112*per+per2+(w_2224-w_2225)*distort/2'                                             w_2224
+ 'delay+1112*per+per2+(w_2224-w_2225)*distort/2+(dtf+dtr)/2+(w_2225-w_2224)*(dtf-dtr)/2'     w_2225
+ 'delay+1113*per+  (w_2225-w_2226)*distort/2'                                                w_2225
+ 'delay+1113*per+  (w_2225-w_2226)*distort/2+(dtf+dtr)/2+(w_2226-w_2225)*(dtf-dtr)/2'        w_2226
+ 'delay+1113*per+per2+(w_2226-w_2227)*distort/2'                                             w_2226
+ 'delay+1113*per+per2+(w_2226-w_2227)*distort/2+(dtf+dtr)/2+(w_2227-w_2226)*(dtf-dtr)/2'     w_2227
+ 'delay+1114*per+  (w_2227-w_2228)*distort/2'                                                w_2227
+ 'delay+1114*per+  (w_2227-w_2228)*distort/2+(dtf+dtr)/2+(w_2228-w_2227)*(dtf-dtr)/2'        w_2228
+ 'delay+1114*per+per2+(w_2228-w_2229)*distort/2'                                             w_2228
+ 'delay+1114*per+per2+(w_2228-w_2229)*distort/2+(dtf+dtr)/2+(w_2229-w_2228)*(dtf-dtr)/2'     w_2229
+ 'delay+1115*per+  (w_2229-w_2230)*distort/2'                                                w_2229
+ 'delay+1115*per+  (w_2229-w_2230)*distort/2+(dtf+dtr)/2+(w_2230-w_2229)*(dtf-dtr)/2'        w_2230
+ 'delay+1115*per+per2+(w_2230-w_2231)*distort/2'                                             w_2230
+ 'delay+1115*per+per2+(w_2230-w_2231)*distort/2+(dtf+dtr)/2+(w_2231-w_2230)*(dtf-dtr)/2'     w_2231
+ 'delay+1116*per+  (w_2231-w_2232)*distort/2'                                                w_2231
+ 'delay+1116*per+  (w_2231-w_2232)*distort/2+(dtf+dtr)/2+(w_2232-w_2231)*(dtf-dtr)/2'        w_2232
+ 'delay+1116*per+per2+(w_2232-w_2233)*distort/2'                                             w_2232
+ 'delay+1116*per+per2+(w_2232-w_2233)*distort/2+(dtf+dtr)/2+(w_2233-w_2232)*(dtf-dtr)/2'     w_2233
+ 'delay+1117*per+  (w_2233-w_2234)*distort/2'                                                w_2233
+ 'delay+1117*per+  (w_2233-w_2234)*distort/2+(dtf+dtr)/2+(w_2234-w_2233)*(dtf-dtr)/2'        w_2234
+ 'delay+1117*per+per2+(w_2234-w_2235)*distort/2'                                             w_2234
+ 'delay+1117*per+per2+(w_2234-w_2235)*distort/2+(dtf+dtr)/2+(w_2235-w_2234)*(dtf-dtr)/2'     w_2235
+ 'delay+1118*per+  (w_2235-w_2236)*distort/2'                                                w_2235
+ 'delay+1118*per+  (w_2235-w_2236)*distort/2+(dtf+dtr)/2+(w_2236-w_2235)*(dtf-dtr)/2'        w_2236
+ 'delay+1118*per+per2+(w_2236-w_2237)*distort/2'                                             w_2236
+ 'delay+1118*per+per2+(w_2236-w_2237)*distort/2+(dtf+dtr)/2+(w_2237-w_2236)*(dtf-dtr)/2'     w_2237
+ 'delay+1119*per+  (w_2237-w_2238)*distort/2'                                                w_2237
+ 'delay+1119*per+  (w_2237-w_2238)*distort/2+(dtf+dtr)/2+(w_2238-w_2237)*(dtf-dtr)/2'        w_2238
+ 'delay+1119*per+per2+(w_2238-w_2239)*distort/2'                                             w_2238
+ 'delay+1119*per+per2+(w_2238-w_2239)*distort/2+(dtf+dtr)/2+(w_2239-w_2238)*(dtf-dtr)/2'     w_2239
+ 'delay+1120*per+  (w_2239-w_2240)*distort/2'                                                w_2239
+ 'delay+1120*per+  (w_2239-w_2240)*distort/2+(dtf+dtr)/2+(w_2240-w_2239)*(dtf-dtr)/2'        w_2240
+ 'delay+1120*per+per2+(w_2240-w_2241)*distort/2'                                             w_2240
+ 'delay+1120*per+per2+(w_2240-w_2241)*distort/2+(dtf+dtr)/2+(w_2241-w_2240)*(dtf-dtr)/2'     w_2241
+ 'delay+1121*per+  (w_2241-w_2242)*distort/2'                                                w_2241
+ 'delay+1121*per+  (w_2241-w_2242)*distort/2+(dtf+dtr)/2+(w_2242-w_2241)*(dtf-dtr)/2'        w_2242
+ 'delay+1121*per+per2+(w_2242-w_2243)*distort/2'                                             w_2242
+ 'delay+1121*per+per2+(w_2242-w_2243)*distort/2+(dtf+dtr)/2+(w_2243-w_2242)*(dtf-dtr)/2'     w_2243
+ 'delay+1122*per+  (w_2243-w_2244)*distort/2'                                                w_2243
+ 'delay+1122*per+  (w_2243-w_2244)*distort/2+(dtf+dtr)/2+(w_2244-w_2243)*(dtf-dtr)/2'        w_2244
+ 'delay+1122*per+per2+(w_2244-w_2245)*distort/2'                                             w_2244
+ 'delay+1122*per+per2+(w_2244-w_2245)*distort/2+(dtf+dtr)/2+(w_2245-w_2244)*(dtf-dtr)/2'     w_2245
+ 'delay+1123*per+  (w_2245-w_2246)*distort/2'                                                w_2245
+ 'delay+1123*per+  (w_2245-w_2246)*distort/2+(dtf+dtr)/2+(w_2246-w_2245)*(dtf-dtr)/2'        w_2246
+ 'delay+1123*per+per2+(w_2246-w_2247)*distort/2'                                             w_2246
+ 'delay+1123*per+per2+(w_2246-w_2247)*distort/2+(dtf+dtr)/2+(w_2247-w_2246)*(dtf-dtr)/2'     w_2247
+ 'delay+1124*per+  (w_2247-w_2248)*distort/2'                                                w_2247
+ 'delay+1124*per+  (w_2247-w_2248)*distort/2+(dtf+dtr)/2+(w_2248-w_2247)*(dtf-dtr)/2'        w_2248
+ 'delay+1124*per+per2+(w_2248-w_2249)*distort/2'                                             w_2248
+ 'delay+1124*per+per2+(w_2248-w_2249)*distort/2+(dtf+dtr)/2+(w_2249-w_2248)*(dtf-dtr)/2'     w_2249
+ 'delay+1125*per+  (w_2249-w_2250)*distort/2'                                                w_2249
+ 'delay+1125*per+  (w_2249-w_2250)*distort/2+(dtf+dtr)/2+(w_2250-w_2249)*(dtf-dtr)/2'        w_2250
+ 'delay+1125*per+per2+(w_2250-w_2251)*distort/2'                                             w_2250
+ 'delay+1125*per+per2+(w_2250-w_2251)*distort/2+(dtf+dtr)/2+(w_2251-w_2250)*(dtf-dtr)/2'     w_2251
+ 'delay+1126*per+  (w_2251-w_2252)*distort/2'                                                w_2251
+ 'delay+1126*per+  (w_2251-w_2252)*distort/2+(dtf+dtr)/2+(w_2252-w_2251)*(dtf-dtr)/2'        w_2252
+ 'delay+1126*per+per2+(w_2252-w_2253)*distort/2'                                             w_2252
+ 'delay+1126*per+per2+(w_2252-w_2253)*distort/2+(dtf+dtr)/2+(w_2253-w_2252)*(dtf-dtr)/2'     w_2253
+ 'delay+1127*per+  (w_2253-w_2254)*distort/2'                                                w_2253
+ 'delay+1127*per+  (w_2253-w_2254)*distort/2+(dtf+dtr)/2+(w_2254-w_2253)*(dtf-dtr)/2'        w_2254
+ 'delay+1127*per+per2+(w_2254-w_2255)*distort/2'                                             w_2254
+ 'delay+1127*per+per2+(w_2254-w_2255)*distort/2+(dtf+dtr)/2+(w_2255-w_2254)*(dtf-dtr)/2'     w_2255
+ 'delay+1128*per+  (w_2255-w_2256)*distort/2'                                                w_2255
+ 'delay+1128*per+  (w_2255-w_2256)*distort/2+(dtf+dtr)/2+(w_2256-w_2255)*(dtf-dtr)/2'        w_2256
+ 'delay+1128*per+per2+(w_2256-w_2257)*distort/2'                                             w_2256
+ 'delay+1128*per+per2+(w_2256-w_2257)*distort/2+(dtf+dtr)/2+(w_2257-w_2256)*(dtf-dtr)/2'     w_2257
+ 'delay+1129*per+  (w_2257-w_2258)*distort/2'                                                w_2257
+ 'delay+1129*per+  (w_2257-w_2258)*distort/2+(dtf+dtr)/2+(w_2258-w_2257)*(dtf-dtr)/2'        w_2258
+ 'delay+1129*per+per2+(w_2258-w_2259)*distort/2'                                             w_2258
+ 'delay+1129*per+per2+(w_2258-w_2259)*distort/2+(dtf+dtr)/2+(w_2259-w_2258)*(dtf-dtr)/2'     w_2259
+ 'delay+1130*per+  (w_2259-w_2260)*distort/2'                                                w_2259
+ 'delay+1130*per+  (w_2259-w_2260)*distort/2+(dtf+dtr)/2+(w_2260-w_2259)*(dtf-dtr)/2'        w_2260
+ 'delay+1130*per+per2+(w_2260-w_2261)*distort/2'                                             w_2260
+ 'delay+1130*per+per2+(w_2260-w_2261)*distort/2+(dtf+dtr)/2+(w_2261-w_2260)*(dtf-dtr)/2'     w_2261
+ 'delay+1131*per+  (w_2261-w_2262)*distort/2'                                                w_2261
+ 'delay+1131*per+  (w_2261-w_2262)*distort/2+(dtf+dtr)/2+(w_2262-w_2261)*(dtf-dtr)/2'        w_2262
+ 'delay+1131*per+per2+(w_2262-w_2263)*distort/2'                                             w_2262
+ 'delay+1131*per+per2+(w_2262-w_2263)*distort/2+(dtf+dtr)/2+(w_2263-w_2262)*(dtf-dtr)/2'     w_2263
+ 'delay+1132*per+  (w_2263-w_2264)*distort/2'                                                w_2263
+ 'delay+1132*per+  (w_2263-w_2264)*distort/2+(dtf+dtr)/2+(w_2264-w_2263)*(dtf-dtr)/2'        w_2264
+ 'delay+1132*per+per2+(w_2264-w_2265)*distort/2'                                             w_2264
+ 'delay+1132*per+per2+(w_2264-w_2265)*distort/2+(dtf+dtr)/2+(w_2265-w_2264)*(dtf-dtr)/2'     w_2265
+ 'delay+1133*per+  (w_2265-w_2266)*distort/2'                                                w_2265
+ 'delay+1133*per+  (w_2265-w_2266)*distort/2+(dtf+dtr)/2+(w_2266-w_2265)*(dtf-dtr)/2'        w_2266
+ 'delay+1133*per+per2+(w_2266-w_2267)*distort/2'                                             w_2266
+ 'delay+1133*per+per2+(w_2266-w_2267)*distort/2+(dtf+dtr)/2+(w_2267-w_2266)*(dtf-dtr)/2'     w_2267
+ 'delay+1134*per+  (w_2267-w_2268)*distort/2'                                                w_2267
+ 'delay+1134*per+  (w_2267-w_2268)*distort/2+(dtf+dtr)/2+(w_2268-w_2267)*(dtf-dtr)/2'        w_2268
+ 'delay+1134*per+per2+(w_2268-w_2269)*distort/2'                                             w_2268
+ 'delay+1134*per+per2+(w_2268-w_2269)*distort/2+(dtf+dtr)/2+(w_2269-w_2268)*(dtf-dtr)/2'     w_2269
+ 'delay+1135*per+  (w_2269-w_2270)*distort/2'                                                w_2269
+ 'delay+1135*per+  (w_2269-w_2270)*distort/2+(dtf+dtr)/2+(w_2270-w_2269)*(dtf-dtr)/2'        w_2270
+ 'delay+1135*per+per2+(w_2270-w_2271)*distort/2'                                             w_2270
+ 'delay+1135*per+per2+(w_2270-w_2271)*distort/2+(dtf+dtr)/2+(w_2271-w_2270)*(dtf-dtr)/2'     w_2271
+ 'delay+1136*per+  (w_2271-w_2272)*distort/2'                                                w_2271
+ 'delay+1136*per+  (w_2271-w_2272)*distort/2+(dtf+dtr)/2+(w_2272-w_2271)*(dtf-dtr)/2'        w_2272
+ 'delay+1136*per+per2+(w_2272-w_2273)*distort/2'                                             w_2272
+ 'delay+1136*per+per2+(w_2272-w_2273)*distort/2+(dtf+dtr)/2+(w_2273-w_2272)*(dtf-dtr)/2'     w_2273
+ 'delay+1137*per+  (w_2273-w_2274)*distort/2'                                                w_2273
+ 'delay+1137*per+  (w_2273-w_2274)*distort/2+(dtf+dtr)/2+(w_2274-w_2273)*(dtf-dtr)/2'        w_2274
+ 'delay+1137*per+per2+(w_2274-w_2275)*distort/2'                                             w_2274
+ 'delay+1137*per+per2+(w_2274-w_2275)*distort/2+(dtf+dtr)/2+(w_2275-w_2274)*(dtf-dtr)/2'     w_2275
+ 'delay+1138*per+  (w_2275-w_2276)*distort/2'                                                w_2275
+ 'delay+1138*per+  (w_2275-w_2276)*distort/2+(dtf+dtr)/2+(w_2276-w_2275)*(dtf-dtr)/2'        w_2276
+ 'delay+1138*per+per2+(w_2276-w_2277)*distort/2'                                             w_2276
+ 'delay+1138*per+per2+(w_2276-w_2277)*distort/2+(dtf+dtr)/2+(w_2277-w_2276)*(dtf-dtr)/2'     w_2277
+ 'delay+1139*per+  (w_2277-w_2278)*distort/2'                                                w_2277
+ 'delay+1139*per+  (w_2277-w_2278)*distort/2+(dtf+dtr)/2+(w_2278-w_2277)*(dtf-dtr)/2'        w_2278
+ 'delay+1139*per+per2+(w_2278-w_2279)*distort/2'                                             w_2278
+ 'delay+1139*per+per2+(w_2278-w_2279)*distort/2+(dtf+dtr)/2+(w_2279-w_2278)*(dtf-dtr)/2'     w_2279
+ 'delay+1140*per+  (w_2279-w_2280)*distort/2'                                                w_2279
+ 'delay+1140*per+  (w_2279-w_2280)*distort/2+(dtf+dtr)/2+(w_2280-w_2279)*(dtf-dtr)/2'        w_2280
+ 'delay+1140*per+per2+(w_2280-w_2281)*distort/2'                                             w_2280
+ 'delay+1140*per+per2+(w_2280-w_2281)*distort/2+(dtf+dtr)/2+(w_2281-w_2280)*(dtf-dtr)/2'     w_2281
+ 'delay+1141*per+  (w_2281-w_2282)*distort/2'                                                w_2281
+ 'delay+1141*per+  (w_2281-w_2282)*distort/2+(dtf+dtr)/2+(w_2282-w_2281)*(dtf-dtr)/2'        w_2282
+ 'delay+1141*per+per2+(w_2282-w_2283)*distort/2'                                             w_2282
+ 'delay+1141*per+per2+(w_2282-w_2283)*distort/2+(dtf+dtr)/2+(w_2283-w_2282)*(dtf-dtr)/2'     w_2283
+ 'delay+1142*per+  (w_2283-w_2284)*distort/2'                                                w_2283
+ 'delay+1142*per+  (w_2283-w_2284)*distort/2+(dtf+dtr)/2+(w_2284-w_2283)*(dtf-dtr)/2'        w_2284
+ 'delay+1142*per+per2+(w_2284-w_2285)*distort/2'                                             w_2284
+ 'delay+1142*per+per2+(w_2284-w_2285)*distort/2+(dtf+dtr)/2+(w_2285-w_2284)*(dtf-dtr)/2'     w_2285
+ 'delay+1143*per+  (w_2285-w_2286)*distort/2'                                                w_2285
+ 'delay+1143*per+  (w_2285-w_2286)*distort/2+(dtf+dtr)/2+(w_2286-w_2285)*(dtf-dtr)/2'        w_2286
+ 'delay+1143*per+per2+(w_2286-w_2287)*distort/2'                                             w_2286
+ 'delay+1143*per+per2+(w_2286-w_2287)*distort/2+(dtf+dtr)/2+(w_2287-w_2286)*(dtf-dtr)/2'     w_2287
+ 'delay+1144*per+  (w_2287-w_2288)*distort/2'                                                w_2287
+ 'delay+1144*per+  (w_2287-w_2288)*distort/2+(dtf+dtr)/2+(w_2288-w_2287)*(dtf-dtr)/2'        w_2288
+ 'delay+1144*per+per2+(w_2288-w_2289)*distort/2'                                             w_2288
+ 'delay+1144*per+per2+(w_2288-w_2289)*distort/2+(dtf+dtr)/2+(w_2289-w_2288)*(dtf-dtr)/2'     w_2289
+ 'delay+1145*per+  (w_2289-w_2290)*distort/2'                                                w_2289
+ 'delay+1145*per+  (w_2289-w_2290)*distort/2+(dtf+dtr)/2+(w_2290-w_2289)*(dtf-dtr)/2'        w_2290
+ 'delay+1145*per+per2+(w_2290-w_2291)*distort/2'                                             w_2290
+ 'delay+1145*per+per2+(w_2290-w_2291)*distort/2+(dtf+dtr)/2+(w_2291-w_2290)*(dtf-dtr)/2'     w_2291
+ 'delay+1146*per+  (w_2291-w_2292)*distort/2'                                                w_2291
+ 'delay+1146*per+  (w_2291-w_2292)*distort/2+(dtf+dtr)/2+(w_2292-w_2291)*(dtf-dtr)/2'        w_2292
+ 'delay+1146*per+per2+(w_2292-w_2293)*distort/2'                                             w_2292
+ 'delay+1146*per+per2+(w_2292-w_2293)*distort/2+(dtf+dtr)/2+(w_2293-w_2292)*(dtf-dtr)/2'     w_2293
+ 'delay+1147*per+  (w_2293-w_2294)*distort/2'                                                w_2293
+ 'delay+1147*per+  (w_2293-w_2294)*distort/2+(dtf+dtr)/2+(w_2294-w_2293)*(dtf-dtr)/2'        w_2294
+ 'delay+1147*per+per2+(w_2294-w_2295)*distort/2'                                             w_2294
+ 'delay+1147*per+per2+(w_2294-w_2295)*distort/2+(dtf+dtr)/2+(w_2295-w_2294)*(dtf-dtr)/2'     w_2295
+ 'delay+1148*per+  (w_2295-w_2296)*distort/2'                                                w_2295
+ 'delay+1148*per+  (w_2295-w_2296)*distort/2+(dtf+dtr)/2+(w_2296-w_2295)*(dtf-dtr)/2'        w_2296
+ 'delay+1148*per+per2+(w_2296-w_2297)*distort/2'                                             w_2296
+ 'delay+1148*per+per2+(w_2296-w_2297)*distort/2+(dtf+dtr)/2+(w_2297-w_2296)*(dtf-dtr)/2'     w_2297
+ 'delay+1149*per+  (w_2297-w_2298)*distort/2'                                                w_2297
+ 'delay+1149*per+  (w_2297-w_2298)*distort/2+(dtf+dtr)/2+(w_2298-w_2297)*(dtf-dtr)/2'        w_2298
+ 'delay+1149*per+per2+(w_2298-w_2299)*distort/2'                                             w_2298
+ 'delay+1149*per+per2+(w_2298-w_2299)*distort/2+(dtf+dtr)/2+(w_2299-w_2298)*(dtf-dtr)/2'     w_2299
+ 'delay+1150*per+  (w_2299-w_2300)*distort/2'                                                w_2299
+ 'delay+1150*per+  (w_2299-w_2300)*distort/2+(dtf+dtr)/2+(w_2300-w_2299)*(dtf-dtr)/2'        w_2300
+ 'delay+1150*per+per2+(w_2300-w_2301)*distort/2'                                             w_2300
+ 'delay+1150*per+per2+(w_2300-w_2301)*distort/2+(dtf+dtr)/2+(w_2301-w_2300)*(dtf-dtr)/2'     w_2301
+ 'delay+1151*per+  (w_2301-w_2302)*distort/2'                                                w_2301
+ 'delay+1151*per+  (w_2301-w_2302)*distort/2+(dtf+dtr)/2+(w_2302-w_2301)*(dtf-dtr)/2'        w_2302
+ 'delay+1151*per+per2+(w_2302-w_2303)*distort/2'                                             w_2302
+ 'delay+1151*per+per2+(w_2302-w_2303)*distort/2+(dtf+dtr)/2+(w_2303-w_2302)*(dtf-dtr)/2'     w_2303
+ 'delay+1152*per+  (w_2303-w_2304)*distort/2'                                                w_2303
+ 'delay+1152*per+  (w_2303-w_2304)*distort/2+(dtf+dtr)/2+(w_2304-w_2303)*(dtf-dtr)/2'        w_2304
+ 'delay+1152*per+per2+(w_2304-w_2305)*distort/2'                                             w_2304
+ 'delay+1152*per+per2+(w_2304-w_2305)*distort/2+(dtf+dtr)/2+(w_2305-w_2304)*(dtf-dtr)/2'     w_2305
+ 'delay+1153*per+  (w_2305-w_2306)*distort/2'                                                w_2305
+ 'delay+1153*per+  (w_2305-w_2306)*distort/2+(dtf+dtr)/2+(w_2306-w_2305)*(dtf-dtr)/2'        w_2306
+ 'delay+1153*per+per2+(w_2306-w_2307)*distort/2'                                             w_2306
+ 'delay+1153*per+per2+(w_2306-w_2307)*distort/2+(dtf+dtr)/2+(w_2307-w_2306)*(dtf-dtr)/2'     w_2307
+ 'delay+1154*per+  (w_2307-w_2308)*distort/2'                                                w_2307
+ 'delay+1154*per+  (w_2307-w_2308)*distort/2+(dtf+dtr)/2+(w_2308-w_2307)*(dtf-dtr)/2'        w_2308
+ 'delay+1154*per+per2+(w_2308-w_2309)*distort/2'                                             w_2308
+ 'delay+1154*per+per2+(w_2308-w_2309)*distort/2+(dtf+dtr)/2+(w_2309-w_2308)*(dtf-dtr)/2'     w_2309
+ 'delay+1155*per+  (w_2309-w_2310)*distort/2'                                                w_2309
+ 'delay+1155*per+  (w_2309-w_2310)*distort/2+(dtf+dtr)/2+(w_2310-w_2309)*(dtf-dtr)/2'        w_2310
+ 'delay+1155*per+per2+(w_2310-w_2311)*distort/2'                                             w_2310
+ 'delay+1155*per+per2+(w_2310-w_2311)*distort/2+(dtf+dtr)/2+(w_2311-w_2310)*(dtf-dtr)/2'     w_2311
+ 'delay+1156*per+  (w_2311-w_2312)*distort/2'                                                w_2311
+ 'delay+1156*per+  (w_2311-w_2312)*distort/2+(dtf+dtr)/2+(w_2312-w_2311)*(dtf-dtr)/2'        w_2312
+ 'delay+1156*per+per2+(w_2312-w_2313)*distort/2'                                             w_2312
+ 'delay+1156*per+per2+(w_2312-w_2313)*distort/2+(dtf+dtr)/2+(w_2313-w_2312)*(dtf-dtr)/2'     w_2313
+ 'delay+1157*per+  (w_2313-w_2314)*distort/2'                                                w_2313
+ 'delay+1157*per+  (w_2313-w_2314)*distort/2+(dtf+dtr)/2+(w_2314-w_2313)*(dtf-dtr)/2'        w_2314
+ 'delay+1157*per+per2+(w_2314-w_2315)*distort/2'                                             w_2314
+ 'delay+1157*per+per2+(w_2314-w_2315)*distort/2+(dtf+dtr)/2+(w_2315-w_2314)*(dtf-dtr)/2'     w_2315
+ 'delay+1158*per+  (w_2315-w_2316)*distort/2'                                                w_2315
+ 'delay+1158*per+  (w_2315-w_2316)*distort/2+(dtf+dtr)/2+(w_2316-w_2315)*(dtf-dtr)/2'        w_2316
+ 'delay+1158*per+per2+(w_2316-w_2317)*distort/2'                                             w_2316
+ 'delay+1158*per+per2+(w_2316-w_2317)*distort/2+(dtf+dtr)/2+(w_2317-w_2316)*(dtf-dtr)/2'     w_2317
+ 'delay+1159*per+  (w_2317-w_2318)*distort/2'                                                w_2317
+ 'delay+1159*per+  (w_2317-w_2318)*distort/2+(dtf+dtr)/2+(w_2318-w_2317)*(dtf-dtr)/2'        w_2318
+ 'delay+1159*per+per2+(w_2318-w_2319)*distort/2'                                             w_2318
+ 'delay+1159*per+per2+(w_2318-w_2319)*distort/2+(dtf+dtr)/2+(w_2319-w_2318)*(dtf-dtr)/2'     w_2319
+ 'delay+1160*per+  (w_2319-w_2320)*distort/2'                                                w_2319
+ 'delay+1160*per+  (w_2319-w_2320)*distort/2+(dtf+dtr)/2+(w_2320-w_2319)*(dtf-dtr)/2'        w_2320
+ 'delay+1160*per+per2+(w_2320-w_2321)*distort/2'                                             w_2320
+ 'delay+1160*per+per2+(w_2320-w_2321)*distort/2+(dtf+dtr)/2+(w_2321-w_2320)*(dtf-dtr)/2'     w_2321
+ 'delay+1161*per+  (w_2321-w_2322)*distort/2'                                                w_2321
+ 'delay+1161*per+  (w_2321-w_2322)*distort/2+(dtf+dtr)/2+(w_2322-w_2321)*(dtf-dtr)/2'        w_2322
+ 'delay+1161*per+per2+(w_2322-w_2323)*distort/2'                                             w_2322
+ 'delay+1161*per+per2+(w_2322-w_2323)*distort/2+(dtf+dtr)/2+(w_2323-w_2322)*(dtf-dtr)/2'     w_2323
+ 'delay+1162*per+  (w_2323-w_2324)*distort/2'                                                w_2323
+ 'delay+1162*per+  (w_2323-w_2324)*distort/2+(dtf+dtr)/2+(w_2324-w_2323)*(dtf-dtr)/2'        w_2324
+ 'delay+1162*per+per2+(w_2324-w_2325)*distort/2'                                             w_2324
+ 'delay+1162*per+per2+(w_2324-w_2325)*distort/2+(dtf+dtr)/2+(w_2325-w_2324)*(dtf-dtr)/2'     w_2325
+ 'delay+1163*per+  (w_2325-w_2326)*distort/2'                                                w_2325
+ 'delay+1163*per+  (w_2325-w_2326)*distort/2+(dtf+dtr)/2+(w_2326-w_2325)*(dtf-dtr)/2'        w_2326
+ 'delay+1163*per+per2+(w_2326-w_2327)*distort/2'                                             w_2326
+ 'delay+1163*per+per2+(w_2326-w_2327)*distort/2+(dtf+dtr)/2+(w_2327-w_2326)*(dtf-dtr)/2'     w_2327
+ 'delay+1164*per+  (w_2327-w_2328)*distort/2'                                                w_2327
+ 'delay+1164*per+  (w_2327-w_2328)*distort/2+(dtf+dtr)/2+(w_2328-w_2327)*(dtf-dtr)/2'        w_2328
+ 'delay+1164*per+per2+(w_2328-w_2329)*distort/2'                                             w_2328
+ 'delay+1164*per+per2+(w_2328-w_2329)*distort/2+(dtf+dtr)/2+(w_2329-w_2328)*(dtf-dtr)/2'     w_2329
+ 'delay+1165*per+  (w_2329-w_2330)*distort/2'                                                w_2329
+ 'delay+1165*per+  (w_2329-w_2330)*distort/2+(dtf+dtr)/2+(w_2330-w_2329)*(dtf-dtr)/2'        w_2330
+ 'delay+1165*per+per2+(w_2330-w_2331)*distort/2'                                             w_2330
+ 'delay+1165*per+per2+(w_2330-w_2331)*distort/2+(dtf+dtr)/2+(w_2331-w_2330)*(dtf-dtr)/2'     w_2331
+ 'delay+1166*per+  (w_2331-w_2332)*distort/2'                                                w_2331
+ 'delay+1166*per+  (w_2331-w_2332)*distort/2+(dtf+dtr)/2+(w_2332-w_2331)*(dtf-dtr)/2'        w_2332
+ 'delay+1166*per+per2+(w_2332-w_2333)*distort/2'                                             w_2332
+ 'delay+1166*per+per2+(w_2332-w_2333)*distort/2+(dtf+dtr)/2+(w_2333-w_2332)*(dtf-dtr)/2'     w_2333
+ 'delay+1167*per+  (w_2333-w_2334)*distort/2'                                                w_2333
+ 'delay+1167*per+  (w_2333-w_2334)*distort/2+(dtf+dtr)/2+(w_2334-w_2333)*(dtf-dtr)/2'        w_2334
+ 'delay+1167*per+per2+(w_2334-w_2335)*distort/2'                                             w_2334
+ 'delay+1167*per+per2+(w_2334-w_2335)*distort/2+(dtf+dtr)/2+(w_2335-w_2334)*(dtf-dtr)/2'     w_2335
+ 'delay+1168*per+  (w_2335-w_2336)*distort/2'                                                w_2335
+ 'delay+1168*per+  (w_2335-w_2336)*distort/2+(dtf+dtr)/2+(w_2336-w_2335)*(dtf-dtr)/2'        w_2336
+ 'delay+1168*per+per2+(w_2336-w_2337)*distort/2'                                             w_2336
+ 'delay+1168*per+per2+(w_2336-w_2337)*distort/2+(dtf+dtr)/2+(w_2337-w_2336)*(dtf-dtr)/2'     w_2337
+ 'delay+1169*per+  (w_2337-w_2338)*distort/2'                                                w_2337
+ 'delay+1169*per+  (w_2337-w_2338)*distort/2+(dtf+dtr)/2+(w_2338-w_2337)*(dtf-dtr)/2'        w_2338
+ 'delay+1169*per+per2+(w_2338-w_2339)*distort/2'                                             w_2338
+ 'delay+1169*per+per2+(w_2338-w_2339)*distort/2+(dtf+dtr)/2+(w_2339-w_2338)*(dtf-dtr)/2'     w_2339
+ 'delay+1170*per+  (w_2339-w_2340)*distort/2'                                                w_2339
+ 'delay+1170*per+  (w_2339-w_2340)*distort/2+(dtf+dtr)/2+(w_2340-w_2339)*(dtf-dtr)/2'        w_2340
+ 'delay+1170*per+per2+(w_2340-w_2341)*distort/2'                                             w_2340
+ 'delay+1170*per+per2+(w_2340-w_2341)*distort/2+(dtf+dtr)/2+(w_2341-w_2340)*(dtf-dtr)/2'     w_2341
+ 'delay+1171*per+  (w_2341-w_2342)*distort/2'                                                w_2341
+ 'delay+1171*per+  (w_2341-w_2342)*distort/2+(dtf+dtr)/2+(w_2342-w_2341)*(dtf-dtr)/2'        w_2342
+ 'delay+1171*per+per2+(w_2342-w_2343)*distort/2'                                             w_2342
+ 'delay+1171*per+per2+(w_2342-w_2343)*distort/2+(dtf+dtr)/2+(w_2343-w_2342)*(dtf-dtr)/2'     w_2343
+ 'delay+1172*per+  (w_2343-w_2344)*distort/2'                                                w_2343
+ 'delay+1172*per+  (w_2343-w_2344)*distort/2+(dtf+dtr)/2+(w_2344-w_2343)*(dtf-dtr)/2'        w_2344
+ 'delay+1172*per+per2+(w_2344-w_2345)*distort/2'                                             w_2344
+ 'delay+1172*per+per2+(w_2344-w_2345)*distort/2+(dtf+dtr)/2+(w_2345-w_2344)*(dtf-dtr)/2'     w_2345
+ 'delay+1173*per+  (w_2345-w_2346)*distort/2'                                                w_2345
+ 'delay+1173*per+  (w_2345-w_2346)*distort/2+(dtf+dtr)/2+(w_2346-w_2345)*(dtf-dtr)/2'        w_2346
+ 'delay+1173*per+per2+(w_2346-w_2347)*distort/2'                                             w_2346
+ 'delay+1173*per+per2+(w_2346-w_2347)*distort/2+(dtf+dtr)/2+(w_2347-w_2346)*(dtf-dtr)/2'     w_2347
+ 'delay+1174*per+  (w_2347-w_2348)*distort/2'                                                w_2347
+ 'delay+1174*per+  (w_2347-w_2348)*distort/2+(dtf+dtr)/2+(w_2348-w_2347)*(dtf-dtr)/2'        w_2348
+ 'delay+1174*per+per2+(w_2348-w_2349)*distort/2'                                             w_2348
+ 'delay+1174*per+per2+(w_2348-w_2349)*distort/2+(dtf+dtr)/2+(w_2349-w_2348)*(dtf-dtr)/2'     w_2349
+ 'delay+1175*per+  (w_2349-w_2350)*distort/2'                                                w_2349
+ 'delay+1175*per+  (w_2349-w_2350)*distort/2+(dtf+dtr)/2+(w_2350-w_2349)*(dtf-dtr)/2'        w_2350
+ 'delay+1175*per+per2+(w_2350-w_2351)*distort/2'                                             w_2350
+ 'delay+1175*per+per2+(w_2350-w_2351)*distort/2+(dtf+dtr)/2+(w_2351-w_2350)*(dtf-dtr)/2'     w_2351
+ 'delay+1176*per+  (w_2351-w_2352)*distort/2'                                                w_2351
+ 'delay+1176*per+  (w_2351-w_2352)*distort/2+(dtf+dtr)/2+(w_2352-w_2351)*(dtf-dtr)/2'        w_2352
+ 'delay+1176*per+per2+(w_2352-w_2353)*distort/2'                                             w_2352
+ 'delay+1176*per+per2+(w_2352-w_2353)*distort/2+(dtf+dtr)/2+(w_2353-w_2352)*(dtf-dtr)/2'     w_2353
+ 'delay+1177*per+  (w_2353-w_2354)*distort/2'                                                w_2353
+ 'delay+1177*per+  (w_2353-w_2354)*distort/2+(dtf+dtr)/2+(w_2354-w_2353)*(dtf-dtr)/2'        w_2354
+ 'delay+1177*per+per2+(w_2354-w_2355)*distort/2'                                             w_2354
+ 'delay+1177*per+per2+(w_2354-w_2355)*distort/2+(dtf+dtr)/2+(w_2355-w_2354)*(dtf-dtr)/2'     w_2355
+ 'delay+1178*per+  (w_2355-w_2356)*distort/2'                                                w_2355
+ 'delay+1178*per+  (w_2355-w_2356)*distort/2+(dtf+dtr)/2+(w_2356-w_2355)*(dtf-dtr)/2'        w_2356
+ 'delay+1178*per+per2+(w_2356-w_2357)*distort/2'                                             w_2356
+ 'delay+1178*per+per2+(w_2356-w_2357)*distort/2+(dtf+dtr)/2+(w_2357-w_2356)*(dtf-dtr)/2'     w_2357
+ 'delay+1179*per+  (w_2357-w_2358)*distort/2'                                                w_2357
+ 'delay+1179*per+  (w_2357-w_2358)*distort/2+(dtf+dtr)/2+(w_2358-w_2357)*(dtf-dtr)/2'        w_2358
+ 'delay+1179*per+per2+(w_2358-w_2359)*distort/2'                                             w_2358
+ 'delay+1179*per+per2+(w_2358-w_2359)*distort/2+(dtf+dtr)/2+(w_2359-w_2358)*(dtf-dtr)/2'     w_2359
+ 'delay+1180*per+  (w_2359-w_2360)*distort/2'                                                w_2359
+ 'delay+1180*per+  (w_2359-w_2360)*distort/2+(dtf+dtr)/2+(w_2360-w_2359)*(dtf-dtr)/2'        w_2360
+ 'delay+1180*per+per2+(w_2360-w_2361)*distort/2'                                             w_2360
+ 'delay+1180*per+per2+(w_2360-w_2361)*distort/2+(dtf+dtr)/2+(w_2361-w_2360)*(dtf-dtr)/2'     w_2361
+ 'delay+1181*per+  (w_2361-w_2362)*distort/2'                                                w_2361
+ 'delay+1181*per+  (w_2361-w_2362)*distort/2+(dtf+dtr)/2+(w_2362-w_2361)*(dtf-dtr)/2'        w_2362
+ 'delay+1181*per+per2+(w_2362-w_2363)*distort/2'                                             w_2362
+ 'delay+1181*per+per2+(w_2362-w_2363)*distort/2+(dtf+dtr)/2+(w_2363-w_2362)*(dtf-dtr)/2'     w_2363
+ 'delay+1182*per+  (w_2363-w_2364)*distort/2'                                                w_2363
+ 'delay+1182*per+  (w_2363-w_2364)*distort/2+(dtf+dtr)/2+(w_2364-w_2363)*(dtf-dtr)/2'        w_2364
+ 'delay+1182*per+per2+(w_2364-w_2365)*distort/2'                                             w_2364
+ 'delay+1182*per+per2+(w_2364-w_2365)*distort/2+(dtf+dtr)/2+(w_2365-w_2364)*(dtf-dtr)/2'     w_2365
+ 'delay+1183*per+  (w_2365-w_2366)*distort/2'                                                w_2365
+ 'delay+1183*per+  (w_2365-w_2366)*distort/2+(dtf+dtr)/2+(w_2366-w_2365)*(dtf-dtr)/2'        w_2366
+ 'delay+1183*per+per2+(w_2366-w_2367)*distort/2'                                             w_2366
+ 'delay+1183*per+per2+(w_2366-w_2367)*distort/2+(dtf+dtr)/2+(w_2367-w_2366)*(dtf-dtr)/2'     w_2367
+ 'delay+1184*per+  (w_2367-w_2368)*distort/2'                                                w_2367
+ 'delay+1184*per+  (w_2367-w_2368)*distort/2+(dtf+dtr)/2+(w_2368-w_2367)*(dtf-dtr)/2'        w_2368
+ 'delay+1184*per+per2+(w_2368-w_2369)*distort/2'                                             w_2368
+ 'delay+1184*per+per2+(w_2368-w_2369)*distort/2+(dtf+dtr)/2+(w_2369-w_2368)*(dtf-dtr)/2'     w_2369
+ 'delay+1185*per+  (w_2369-w_2370)*distort/2'                                                w_2369
+ 'delay+1185*per+  (w_2369-w_2370)*distort/2+(dtf+dtr)/2+(w_2370-w_2369)*(dtf-dtr)/2'        w_2370
+ 'delay+1185*per+per2+(w_2370-w_2371)*distort/2'                                             w_2370
+ 'delay+1185*per+per2+(w_2370-w_2371)*distort/2+(dtf+dtr)/2+(w_2371-w_2370)*(dtf-dtr)/2'     w_2371
+ 'delay+1186*per+  (w_2371-w_2372)*distort/2'                                                w_2371
+ 'delay+1186*per+  (w_2371-w_2372)*distort/2+(dtf+dtr)/2+(w_2372-w_2371)*(dtf-dtr)/2'        w_2372
+ 'delay+1186*per+per2+(w_2372-w_2373)*distort/2'                                             w_2372
+ 'delay+1186*per+per2+(w_2372-w_2373)*distort/2+(dtf+dtr)/2+(w_2373-w_2372)*(dtf-dtr)/2'     w_2373
+ 'delay+1187*per+  (w_2373-w_2374)*distort/2'                                                w_2373
+ 'delay+1187*per+  (w_2373-w_2374)*distort/2+(dtf+dtr)/2+(w_2374-w_2373)*(dtf-dtr)/2'        w_2374
+ 'delay+1187*per+per2+(w_2374-w_2375)*distort/2'                                             w_2374
+ 'delay+1187*per+per2+(w_2374-w_2375)*distort/2+(dtf+dtr)/2+(w_2375-w_2374)*(dtf-dtr)/2'     w_2375
+ 'delay+1188*per+  (w_2375-w_2376)*distort/2'                                                w_2375
+ 'delay+1188*per+  (w_2375-w_2376)*distort/2+(dtf+dtr)/2+(w_2376-w_2375)*(dtf-dtr)/2'        w_2376
+ 'delay+1188*per+per2+(w_2376-w_2377)*distort/2'                                             w_2376
+ 'delay+1188*per+per2+(w_2376-w_2377)*distort/2+(dtf+dtr)/2+(w_2377-w_2376)*(dtf-dtr)/2'     w_2377
+ 'delay+1189*per+  (w_2377-w_2378)*distort/2'                                                w_2377
+ 'delay+1189*per+  (w_2377-w_2378)*distort/2+(dtf+dtr)/2+(w_2378-w_2377)*(dtf-dtr)/2'        w_2378
+ 'delay+1189*per+per2+(w_2378-w_2379)*distort/2'                                             w_2378
+ 'delay+1189*per+per2+(w_2378-w_2379)*distort/2+(dtf+dtr)/2+(w_2379-w_2378)*(dtf-dtr)/2'     w_2379
+ 'delay+1190*per+  (w_2379-w_2380)*distort/2'                                                w_2379
+ 'delay+1190*per+  (w_2379-w_2380)*distort/2+(dtf+dtr)/2+(w_2380-w_2379)*(dtf-dtr)/2'        w_2380
+ 'delay+1190*per+per2+(w_2380-w_2381)*distort/2'                                             w_2380
+ 'delay+1190*per+per2+(w_2380-w_2381)*distort/2+(dtf+dtr)/2+(w_2381-w_2380)*(dtf-dtr)/2'     w_2381
+ 'delay+1191*per+  (w_2381-w_2382)*distort/2'                                                w_2381
+ 'delay+1191*per+  (w_2381-w_2382)*distort/2+(dtf+dtr)/2+(w_2382-w_2381)*(dtf-dtr)/2'        w_2382
+ 'delay+1191*per+per2+(w_2382-w_2383)*distort/2'                                             w_2382
+ 'delay+1191*per+per2+(w_2382-w_2383)*distort/2+(dtf+dtr)/2+(w_2383-w_2382)*(dtf-dtr)/2'     w_2383
+ 'delay+1192*per+  (w_2383-w_2384)*distort/2'                                                w_2383
+ 'delay+1192*per+  (w_2383-w_2384)*distort/2+(dtf+dtr)/2+(w_2384-w_2383)*(dtf-dtr)/2'        w_2384
+ 'delay+1192*per+per2+(w_2384-w_2385)*distort/2'                                             w_2384
+ 'delay+1192*per+per2+(w_2384-w_2385)*distort/2+(dtf+dtr)/2+(w_2385-w_2384)*(dtf-dtr)/2'     w_2385
+ 'delay+1193*per+  (w_2385-w_2386)*distort/2'                                                w_2385
+ 'delay+1193*per+  (w_2385-w_2386)*distort/2+(dtf+dtr)/2+(w_2386-w_2385)*(dtf-dtr)/2'        w_2386
+ 'delay+1193*per+per2+(w_2386-w_2387)*distort/2'                                             w_2386
+ 'delay+1193*per+per2+(w_2386-w_2387)*distort/2+(dtf+dtr)/2+(w_2387-w_2386)*(dtf-dtr)/2'     w_2387
+ 'delay+1194*per+  (w_2387-w_2388)*distort/2'                                                w_2387
+ 'delay+1194*per+  (w_2387-w_2388)*distort/2+(dtf+dtr)/2+(w_2388-w_2387)*(dtf-dtr)/2'        w_2388
+ 'delay+1194*per+per2+(w_2388-w_2389)*distort/2'                                             w_2388
+ 'delay+1194*per+per2+(w_2388-w_2389)*distort/2+(dtf+dtr)/2+(w_2389-w_2388)*(dtf-dtr)/2'     w_2389
+ 'delay+1195*per+  (w_2389-w_2390)*distort/2'                                                w_2389
+ 'delay+1195*per+  (w_2389-w_2390)*distort/2+(dtf+dtr)/2+(w_2390-w_2389)*(dtf-dtr)/2'        w_2390
+ 'delay+1195*per+per2+(w_2390-w_2391)*distort/2'                                             w_2390
+ 'delay+1195*per+per2+(w_2390-w_2391)*distort/2+(dtf+dtr)/2+(w_2391-w_2390)*(dtf-dtr)/2'     w_2391
+ 'delay+1196*per+  (w_2391-w_2392)*distort/2'                                                w_2391
+ 'delay+1196*per+  (w_2391-w_2392)*distort/2+(dtf+dtr)/2+(w_2392-w_2391)*(dtf-dtr)/2'        w_2392
+ 'delay+1196*per+per2+(w_2392-w_2393)*distort/2'                                             w_2392
+ 'delay+1196*per+per2+(w_2392-w_2393)*distort/2+(dtf+dtr)/2+(w_2393-w_2392)*(dtf-dtr)/2'     w_2393
+ 'delay+1197*per+  (w_2393-w_2394)*distort/2'                                                w_2393
+ 'delay+1197*per+  (w_2393-w_2394)*distort/2+(dtf+dtr)/2+(w_2394-w_2393)*(dtf-dtr)/2'        w_2394
+ 'delay+1197*per+per2+(w_2394-w_2395)*distort/2'                                             w_2394
+ 'delay+1197*per+per2+(w_2394-w_2395)*distort/2+(dtf+dtr)/2+(w_2395-w_2394)*(dtf-dtr)/2'     w_2395
+ 'delay+1198*per+  (w_2395-w_2396)*distort/2'                                                w_2395
+ 'delay+1198*per+  (w_2395-w_2396)*distort/2+(dtf+dtr)/2+(w_2396-w_2395)*(dtf-dtr)/2'        w_2396
+ 'delay+1198*per+per2+(w_2396-w_2397)*distort/2'                                             w_2396
+ 'delay+1198*per+per2+(w_2396-w_2397)*distort/2+(dtf+dtr)/2+(w_2397-w_2396)*(dtf-dtr)/2'     w_2397
+ 'delay+1199*per+  (w_2397-w_2398)*distort/2'                                                w_2397
+ 'delay+1199*per+  (w_2397-w_2398)*distort/2+(dtf+dtr)/2+(w_2398-w_2397)*(dtf-dtr)/2'        w_2398
+ 'delay+1199*per+per2+(w_2398-w_2399)*distort/2'                                             w_2398
+ 'delay+1199*per+per2+(w_2398-w_2399)*distort/2+(dtf+dtr)/2+(w_2399-w_2398)*(dtf-dtr)/2'     w_2399
+ 'delay+1200*per+  (w_2399-w_2400)*distort/2'                                                w_2399
+ 'delay+1200*per+  (w_2399-w_2400)*distort/2+(dtf+dtr)/2+(w_2400-w_2399)*(dtf-dtr)/2'        w_2400
+ 'delay+1200*per+per2+(w_2400-w_2401)*distort/2'                                             w_2400
+ 'delay+1200*per+per2+(w_2400-w_2401)*distort/2+(dtf+dtr)/2+(w_2401-w_2400)*(dtf-dtr)/2'     w_2401
+ 'delay+1201*per+  (w_2401-w_2402)*distort/2'                                                w_2401
+ 'delay+1201*per+  (w_2401-w_2402)*distort/2+(dtf+dtr)/2+(w_2402-w_2401)*(dtf-dtr)/2'        w_2402
+ 'delay+1201*per+per2+(w_2402-w_2403)*distort/2'                                             w_2402
+ 'delay+1201*per+per2+(w_2402-w_2403)*distort/2+(dtf+dtr)/2+(w_2403-w_2402)*(dtf-dtr)/2'     w_2403
+ 'delay+1202*per+  (w_2403-w_2404)*distort/2'                                                w_2403
+ 'delay+1202*per+  (w_2403-w_2404)*distort/2+(dtf+dtr)/2+(w_2404-w_2403)*(dtf-dtr)/2'        w_2404
+ 'delay+1202*per+per2+(w_2404-w_2405)*distort/2'                                             w_2404
+ 'delay+1202*per+per2+(w_2404-w_2405)*distort/2+(dtf+dtr)/2+(w_2405-w_2404)*(dtf-dtr)/2'     w_2405
+ 'delay+1203*per+  (w_2405-w_2406)*distort/2'                                                w_2405
+ 'delay+1203*per+  (w_2405-w_2406)*distort/2+(dtf+dtr)/2+(w_2406-w_2405)*(dtf-dtr)/2'        w_2406
+ 'delay+1203*per+per2+(w_2406-w_2407)*distort/2'                                             w_2406
+ 'delay+1203*per+per2+(w_2406-w_2407)*distort/2+(dtf+dtr)/2+(w_2407-w_2406)*(dtf-dtr)/2'     w_2407
+ 'delay+1204*per+  (w_2407-w_2408)*distort/2'                                                w_2407
+ 'delay+1204*per+  (w_2407-w_2408)*distort/2+(dtf+dtr)/2+(w_2408-w_2407)*(dtf-dtr)/2'        w_2408
+ 'delay+1204*per+per2+(w_2408-w_2409)*distort/2'                                             w_2408
+ 'delay+1204*per+per2+(w_2408-w_2409)*distort/2+(dtf+dtr)/2+(w_2409-w_2408)*(dtf-dtr)/2'     w_2409
+ 'delay+1205*per+  (w_2409-w_2410)*distort/2'                                                w_2409
+ 'delay+1205*per+  (w_2409-w_2410)*distort/2+(dtf+dtr)/2+(w_2410-w_2409)*(dtf-dtr)/2'        w_2410
+ 'delay+1205*per+per2+(w_2410-w_2411)*distort/2'                                             w_2410
+ 'delay+1205*per+per2+(w_2410-w_2411)*distort/2+(dtf+dtr)/2+(w_2411-w_2410)*(dtf-dtr)/2'     w_2411
+ 'delay+1206*per+  (w_2411-w_2412)*distort/2'                                                w_2411
+ 'delay+1206*per+  (w_2411-w_2412)*distort/2+(dtf+dtr)/2+(w_2412-w_2411)*(dtf-dtr)/2'        w_2412
+ 'delay+1206*per+per2+(w_2412-w_2413)*distort/2'                                             w_2412
+ 'delay+1206*per+per2+(w_2412-w_2413)*distort/2+(dtf+dtr)/2+(w_2413-w_2412)*(dtf-dtr)/2'     w_2413
+ 'delay+1207*per+  (w_2413-w_2414)*distort/2'                                                w_2413
+ 'delay+1207*per+  (w_2413-w_2414)*distort/2+(dtf+dtr)/2+(w_2414-w_2413)*(dtf-dtr)/2'        w_2414
+ 'delay+1207*per+per2+(w_2414-w_2415)*distort/2'                                             w_2414
+ 'delay+1207*per+per2+(w_2414-w_2415)*distort/2+(dtf+dtr)/2+(w_2415-w_2414)*(dtf-dtr)/2'     w_2415
+ 'delay+1208*per+  (w_2415-w_2416)*distort/2'                                                w_2415
+ 'delay+1208*per+  (w_2415-w_2416)*distort/2+(dtf+dtr)/2+(w_2416-w_2415)*(dtf-dtr)/2'        w_2416
+ 'delay+1208*per+per2+(w_2416-w_2417)*distort/2'                                             w_2416
+ 'delay+1208*per+per2+(w_2416-w_2417)*distort/2+(dtf+dtr)/2+(w_2417-w_2416)*(dtf-dtr)/2'     w_2417
+ 'delay+1209*per+  (w_2417-w_2418)*distort/2'                                                w_2417
+ 'delay+1209*per+  (w_2417-w_2418)*distort/2+(dtf+dtr)/2+(w_2418-w_2417)*(dtf-dtr)/2'        w_2418
+ 'delay+1209*per+per2+(w_2418-w_2419)*distort/2'                                             w_2418
+ 'delay+1209*per+per2+(w_2418-w_2419)*distort/2+(dtf+dtr)/2+(w_2419-w_2418)*(dtf-dtr)/2'     w_2419
+ 'delay+1210*per+  (w_2419-w_2420)*distort/2'                                                w_2419
+ 'delay+1210*per+  (w_2419-w_2420)*distort/2+(dtf+dtr)/2+(w_2420-w_2419)*(dtf-dtr)/2'        w_2420
+ 'delay+1210*per+per2+(w_2420-w_2421)*distort/2'                                             w_2420
+ 'delay+1210*per+per2+(w_2420-w_2421)*distort/2+(dtf+dtr)/2+(w_2421-w_2420)*(dtf-dtr)/2'     w_2421
+ 'delay+1211*per+  (w_2421-w_2422)*distort/2'                                                w_2421
+ 'delay+1211*per+  (w_2421-w_2422)*distort/2+(dtf+dtr)/2+(w_2422-w_2421)*(dtf-dtr)/2'        w_2422
+ 'delay+1211*per+per2+(w_2422-w_2423)*distort/2'                                             w_2422
+ 'delay+1211*per+per2+(w_2422-w_2423)*distort/2+(dtf+dtr)/2+(w_2423-w_2422)*(dtf-dtr)/2'     w_2423
+ 'delay+1212*per+  (w_2423-w_2424)*distort/2'                                                w_2423
+ 'delay+1212*per+  (w_2423-w_2424)*distort/2+(dtf+dtr)/2+(w_2424-w_2423)*(dtf-dtr)/2'        w_2424
+ 'delay+1212*per+per2+(w_2424-w_2425)*distort/2'                                             w_2424
+ 'delay+1212*per+per2+(w_2424-w_2425)*distort/2+(dtf+dtr)/2+(w_2425-w_2424)*(dtf-dtr)/2'     w_2425
+ 'delay+1213*per+  (w_2425-w_2426)*distort/2'                                                w_2425
+ 'delay+1213*per+  (w_2425-w_2426)*distort/2+(dtf+dtr)/2+(w_2426-w_2425)*(dtf-dtr)/2'        w_2426
+ 'delay+1213*per+per2+(w_2426-w_2427)*distort/2'                                             w_2426
+ 'delay+1213*per+per2+(w_2426-w_2427)*distort/2+(dtf+dtr)/2+(w_2427-w_2426)*(dtf-dtr)/2'     w_2427
+ 'delay+1214*per+  (w_2427-w_2428)*distort/2'                                                w_2427
+ 'delay+1214*per+  (w_2427-w_2428)*distort/2+(dtf+dtr)/2+(w_2428-w_2427)*(dtf-dtr)/2'        w_2428
+ 'delay+1214*per+per2+(w_2428-w_2429)*distort/2'                                             w_2428
+ 'delay+1214*per+per2+(w_2428-w_2429)*distort/2+(dtf+dtr)/2+(w_2429-w_2428)*(dtf-dtr)/2'     w_2429
+ 'delay+1215*per+  (w_2429-w_2430)*distort/2'                                                w_2429
+ 'delay+1215*per+  (w_2429-w_2430)*distort/2+(dtf+dtr)/2+(w_2430-w_2429)*(dtf-dtr)/2'        w_2430
+ 'delay+1215*per+per2+(w_2430-w_2431)*distort/2'                                             w_2430
+ 'delay+1215*per+per2+(w_2430-w_2431)*distort/2+(dtf+dtr)/2+(w_2431-w_2430)*(dtf-dtr)/2'     w_2431
+ 'delay+1216*per+  (w_2431-w_2432)*distort/2'                                                w_2431
+ 'delay+1216*per+  (w_2431-w_2432)*distort/2+(dtf+dtr)/2+(w_2432-w_2431)*(dtf-dtr)/2'        w_2432
+ 'delay+1216*per+per2+(w_2432-w_2433)*distort/2'                                             w_2432
+ 'delay+1216*per+per2+(w_2432-w_2433)*distort/2+(dtf+dtr)/2+(w_2433-w_2432)*(dtf-dtr)/2'     w_2433
+ 'delay+1217*per+  (w_2433-w_2434)*distort/2'                                                w_2433
+ 'delay+1217*per+  (w_2433-w_2434)*distort/2+(dtf+dtr)/2+(w_2434-w_2433)*(dtf-dtr)/2'        w_2434
+ 'delay+1217*per+per2+(w_2434-w_2435)*distort/2'                                             w_2434
+ 'delay+1217*per+per2+(w_2434-w_2435)*distort/2+(dtf+dtr)/2+(w_2435-w_2434)*(dtf-dtr)/2'     w_2435
+ 'delay+1218*per+  (w_2435-w_2436)*distort/2'                                                w_2435
+ 'delay+1218*per+  (w_2435-w_2436)*distort/2+(dtf+dtr)/2+(w_2436-w_2435)*(dtf-dtr)/2'        w_2436
+ 'delay+1218*per+per2+(w_2436-w_2437)*distort/2'                                             w_2436
+ 'delay+1218*per+per2+(w_2436-w_2437)*distort/2+(dtf+dtr)/2+(w_2437-w_2436)*(dtf-dtr)/2'     w_2437
+ 'delay+1219*per+  (w_2437-w_2438)*distort/2'                                                w_2437
+ 'delay+1219*per+  (w_2437-w_2438)*distort/2+(dtf+dtr)/2+(w_2438-w_2437)*(dtf-dtr)/2'        w_2438
+ 'delay+1219*per+per2+(w_2438-w_2439)*distort/2'                                             w_2438
+ 'delay+1219*per+per2+(w_2438-w_2439)*distort/2+(dtf+dtr)/2+(w_2439-w_2438)*(dtf-dtr)/2'     w_2439
+ 'delay+1220*per+  (w_2439-w_2440)*distort/2'                                                w_2439
+ 'delay+1220*per+  (w_2439-w_2440)*distort/2+(dtf+dtr)/2+(w_2440-w_2439)*(dtf-dtr)/2'        w_2440
+ 'delay+1220*per+per2+(w_2440-w_2441)*distort/2'                                             w_2440
+ 'delay+1220*per+per2+(w_2440-w_2441)*distort/2+(dtf+dtr)/2+(w_2441-w_2440)*(dtf-dtr)/2'     w_2441
+ 'delay+1221*per+  (w_2441-w_2442)*distort/2'                                                w_2441
+ 'delay+1221*per+  (w_2441-w_2442)*distort/2+(dtf+dtr)/2+(w_2442-w_2441)*(dtf-dtr)/2'        w_2442
+ 'delay+1221*per+per2+(w_2442-w_2443)*distort/2'                                             w_2442
+ 'delay+1221*per+per2+(w_2442-w_2443)*distort/2+(dtf+dtr)/2+(w_2443-w_2442)*(dtf-dtr)/2'     w_2443
+ 'delay+1222*per+  (w_2443-w_2444)*distort/2'                                                w_2443
+ 'delay+1222*per+  (w_2443-w_2444)*distort/2+(dtf+dtr)/2+(w_2444-w_2443)*(dtf-dtr)/2'        w_2444
+ 'delay+1222*per+per2+(w_2444-w_2445)*distort/2'                                             w_2444
+ 'delay+1222*per+per2+(w_2444-w_2445)*distort/2+(dtf+dtr)/2+(w_2445-w_2444)*(dtf-dtr)/2'     w_2445
+ 'delay+1223*per+  (w_2445-w_2446)*distort/2'                                                w_2445
+ 'delay+1223*per+  (w_2445-w_2446)*distort/2+(dtf+dtr)/2+(w_2446-w_2445)*(dtf-dtr)/2'        w_2446
+ 'delay+1223*per+per2+(w_2446-w_2447)*distort/2'                                             w_2446
+ 'delay+1223*per+per2+(w_2446-w_2447)*distort/2+(dtf+dtr)/2+(w_2447-w_2446)*(dtf-dtr)/2'     w_2447
+ 'delay+1224*per+  (w_2447-w_2448)*distort/2'                                                w_2447
+ 'delay+1224*per+  (w_2447-w_2448)*distort/2+(dtf+dtr)/2+(w_2448-w_2447)*(dtf-dtr)/2'        w_2448
+ 'delay+1224*per+per2+(w_2448-w_2449)*distort/2'                                             w_2448
+ 'delay+1224*per+per2+(w_2448-w_2449)*distort/2+(dtf+dtr)/2+(w_2449-w_2448)*(dtf-dtr)/2'     w_2449
+ 'delay+1225*per+  (w_2449-w_2450)*distort/2'                                                w_2449
+ 'delay+1225*per+  (w_2449-w_2450)*distort/2+(dtf+dtr)/2+(w_2450-w_2449)*(dtf-dtr)/2'        w_2450
+ 'delay+1225*per+per2+(w_2450-w_2451)*distort/2'                                             w_2450
+ 'delay+1225*per+per2+(w_2450-w_2451)*distort/2+(dtf+dtr)/2+(w_2451-w_2450)*(dtf-dtr)/2'     w_2451
+ 'delay+1226*per+  (w_2451-w_2452)*distort/2'                                                w_2451
+ 'delay+1226*per+  (w_2451-w_2452)*distort/2+(dtf+dtr)/2+(w_2452-w_2451)*(dtf-dtr)/2'        w_2452
+ 'delay+1226*per+per2+(w_2452-w_2453)*distort/2'                                             w_2452
+ 'delay+1226*per+per2+(w_2452-w_2453)*distort/2+(dtf+dtr)/2+(w_2453-w_2452)*(dtf-dtr)/2'     w_2453
+ 'delay+1227*per+  (w_2453-w_2454)*distort/2'                                                w_2453
+ 'delay+1227*per+  (w_2453-w_2454)*distort/2+(dtf+dtr)/2+(w_2454-w_2453)*(dtf-dtr)/2'        w_2454
+ 'delay+1227*per+per2+(w_2454-w_2455)*distort/2'                                             w_2454
+ 'delay+1227*per+per2+(w_2454-w_2455)*distort/2+(dtf+dtr)/2+(w_2455-w_2454)*(dtf-dtr)/2'     w_2455
+ 'delay+1228*per+  (w_2455-w_2456)*distort/2'                                                w_2455
+ 'delay+1228*per+  (w_2455-w_2456)*distort/2+(dtf+dtr)/2+(w_2456-w_2455)*(dtf-dtr)/2'        w_2456
+ 'delay+1228*per+per2+(w_2456-w_2457)*distort/2'                                             w_2456
+ 'delay+1228*per+per2+(w_2456-w_2457)*distort/2+(dtf+dtr)/2+(w_2457-w_2456)*(dtf-dtr)/2'     w_2457
+ 'delay+1229*per+  (w_2457-w_2458)*distort/2'                                                w_2457
+ 'delay+1229*per+  (w_2457-w_2458)*distort/2+(dtf+dtr)/2+(w_2458-w_2457)*(dtf-dtr)/2'        w_2458
+ 'delay+1229*per+per2+(w_2458-w_2459)*distort/2'                                             w_2458
+ 'delay+1229*per+per2+(w_2458-w_2459)*distort/2+(dtf+dtr)/2+(w_2459-w_2458)*(dtf-dtr)/2'     w_2459
+ 'delay+1230*per+  (w_2459-w_2460)*distort/2'                                                w_2459
+ 'delay+1230*per+  (w_2459-w_2460)*distort/2+(dtf+dtr)/2+(w_2460-w_2459)*(dtf-dtr)/2'        w_2460
+ 'delay+1230*per+per2+(w_2460-w_2461)*distort/2'                                             w_2460
+ 'delay+1230*per+per2+(w_2460-w_2461)*distort/2+(dtf+dtr)/2+(w_2461-w_2460)*(dtf-dtr)/2'     w_2461
+ 'delay+1231*per+  (w_2461-w_2462)*distort/2'                                                w_2461
+ 'delay+1231*per+  (w_2461-w_2462)*distort/2+(dtf+dtr)/2+(w_2462-w_2461)*(dtf-dtr)/2'        w_2462
+ 'delay+1231*per+per2+(w_2462-w_2463)*distort/2'                                             w_2462
+ 'delay+1231*per+per2+(w_2462-w_2463)*distort/2+(dtf+dtr)/2+(w_2463-w_2462)*(dtf-dtr)/2'     w_2463
+ 'delay+1232*per+  (w_2463-w_2464)*distort/2'                                                w_2463
+ 'delay+1232*per+  (w_2463-w_2464)*distort/2+(dtf+dtr)/2+(w_2464-w_2463)*(dtf-dtr)/2'        w_2464
+ 'delay+1232*per+per2+(w_2464-w_2465)*distort/2'                                             w_2464
+ 'delay+1232*per+per2+(w_2464-w_2465)*distort/2+(dtf+dtr)/2+(w_2465-w_2464)*(dtf-dtr)/2'     w_2465
+ 'delay+1233*per+  (w_2465-w_2466)*distort/2'                                                w_2465
+ 'delay+1233*per+  (w_2465-w_2466)*distort/2+(dtf+dtr)/2+(w_2466-w_2465)*(dtf-dtr)/2'        w_2466
+ 'delay+1233*per+per2+(w_2466-w_2467)*distort/2'                                             w_2466
+ 'delay+1233*per+per2+(w_2466-w_2467)*distort/2+(dtf+dtr)/2+(w_2467-w_2466)*(dtf-dtr)/2'     w_2467
+ 'delay+1234*per+  (w_2467-w_2468)*distort/2'                                                w_2467
+ 'delay+1234*per+  (w_2467-w_2468)*distort/2+(dtf+dtr)/2+(w_2468-w_2467)*(dtf-dtr)/2'        w_2468
+ 'delay+1234*per+per2+(w_2468-w_2469)*distort/2'                                             w_2468
+ 'delay+1234*per+per2+(w_2468-w_2469)*distort/2+(dtf+dtr)/2+(w_2469-w_2468)*(dtf-dtr)/2'     w_2469
+ 'delay+1235*per+  (w_2469-w_2470)*distort/2'                                                w_2469
+ 'delay+1235*per+  (w_2469-w_2470)*distort/2+(dtf+dtr)/2+(w_2470-w_2469)*(dtf-dtr)/2'        w_2470
+ 'delay+1235*per+per2+(w_2470-w_2471)*distort/2'                                             w_2470
+ 'delay+1235*per+per2+(w_2470-w_2471)*distort/2+(dtf+dtr)/2+(w_2471-w_2470)*(dtf-dtr)/2'     w_2471
+ 'delay+1236*per+  (w_2471-w_2472)*distort/2'                                                w_2471
+ 'delay+1236*per+  (w_2471-w_2472)*distort/2+(dtf+dtr)/2+(w_2472-w_2471)*(dtf-dtr)/2'        w_2472
+ 'delay+1236*per+per2+(w_2472-w_2473)*distort/2'                                             w_2472
+ 'delay+1236*per+per2+(w_2472-w_2473)*distort/2+(dtf+dtr)/2+(w_2473-w_2472)*(dtf-dtr)/2'     w_2473
+ 'delay+1237*per+  (w_2473-w_2474)*distort/2'                                                w_2473
+ 'delay+1237*per+  (w_2473-w_2474)*distort/2+(dtf+dtr)/2+(w_2474-w_2473)*(dtf-dtr)/2'        w_2474
+ 'delay+1237*per+per2+(w_2474-w_2475)*distort/2'                                             w_2474
+ 'delay+1237*per+per2+(w_2474-w_2475)*distort/2+(dtf+dtr)/2+(w_2475-w_2474)*(dtf-dtr)/2'     w_2475
+ 'delay+1238*per+  (w_2475-w_2476)*distort/2'                                                w_2475
+ 'delay+1238*per+  (w_2475-w_2476)*distort/2+(dtf+dtr)/2+(w_2476-w_2475)*(dtf-dtr)/2'        w_2476
+ 'delay+1238*per+per2+(w_2476-w_2477)*distort/2'                                             w_2476
+ 'delay+1238*per+per2+(w_2476-w_2477)*distort/2+(dtf+dtr)/2+(w_2477-w_2476)*(dtf-dtr)/2'     w_2477
+ 'delay+1239*per+  (w_2477-w_2478)*distort/2'                                                w_2477
+ 'delay+1239*per+  (w_2477-w_2478)*distort/2+(dtf+dtr)/2+(w_2478-w_2477)*(dtf-dtr)/2'        w_2478
+ 'delay+1239*per+per2+(w_2478-w_2479)*distort/2'                                             w_2478
+ 'delay+1239*per+per2+(w_2478-w_2479)*distort/2+(dtf+dtr)/2+(w_2479-w_2478)*(dtf-dtr)/2'     w_2479
+ 'delay+1240*per+  (w_2479-w_2480)*distort/2'                                                w_2479
+ 'delay+1240*per+  (w_2479-w_2480)*distort/2+(dtf+dtr)/2+(w_2480-w_2479)*(dtf-dtr)/2'        w_2480
+ 'delay+1240*per+per2+(w_2480-w_2481)*distort/2'                                             w_2480
+ 'delay+1240*per+per2+(w_2480-w_2481)*distort/2+(dtf+dtr)/2+(w_2481-w_2480)*(dtf-dtr)/2'     w_2481
+ 'delay+1241*per+  (w_2481-w_2482)*distort/2'                                                w_2481
+ 'delay+1241*per+  (w_2481-w_2482)*distort/2+(dtf+dtr)/2+(w_2482-w_2481)*(dtf-dtr)/2'        w_2482
+ 'delay+1241*per+per2+(w_2482-w_2483)*distort/2'                                             w_2482
+ 'delay+1241*per+per2+(w_2482-w_2483)*distort/2+(dtf+dtr)/2+(w_2483-w_2482)*(dtf-dtr)/2'     w_2483
+ 'delay+1242*per+  (w_2483-w_2484)*distort/2'                                                w_2483
+ 'delay+1242*per+  (w_2483-w_2484)*distort/2+(dtf+dtr)/2+(w_2484-w_2483)*(dtf-dtr)/2'        w_2484
+ 'delay+1242*per+per2+(w_2484-w_2485)*distort/2'                                             w_2484
+ 'delay+1242*per+per2+(w_2484-w_2485)*distort/2+(dtf+dtr)/2+(w_2485-w_2484)*(dtf-dtr)/2'     w_2485
+ 'delay+1243*per+  (w_2485-w_2486)*distort/2'                                                w_2485
+ 'delay+1243*per+  (w_2485-w_2486)*distort/2+(dtf+dtr)/2+(w_2486-w_2485)*(dtf-dtr)/2'        w_2486
+ 'delay+1243*per+per2+(w_2486-w_2487)*distort/2'                                             w_2486
+ 'delay+1243*per+per2+(w_2486-w_2487)*distort/2+(dtf+dtr)/2+(w_2487-w_2486)*(dtf-dtr)/2'     w_2487
+ 'delay+1244*per+  (w_2487-w_2488)*distort/2'                                                w_2487
+ 'delay+1244*per+  (w_2487-w_2488)*distort/2+(dtf+dtr)/2+(w_2488-w_2487)*(dtf-dtr)/2'        w_2488
+ 'delay+1244*per+per2+(w_2488-w_2489)*distort/2'                                             w_2488
+ 'delay+1244*per+per2+(w_2488-w_2489)*distort/2+(dtf+dtr)/2+(w_2489-w_2488)*(dtf-dtr)/2'     w_2489
+ 'delay+1245*per+  (w_2489-w_2490)*distort/2'                                                w_2489
+ 'delay+1245*per+  (w_2489-w_2490)*distort/2+(dtf+dtr)/2+(w_2490-w_2489)*(dtf-dtr)/2'        w_2490
+ 'delay+1245*per+per2+(w_2490-w_2491)*distort/2'                                             w_2490
+ 'delay+1245*per+per2+(w_2490-w_2491)*distort/2+(dtf+dtr)/2+(w_2491-w_2490)*(dtf-dtr)/2'     w_2491
+ 'delay+1246*per+  (w_2491-w_2492)*distort/2'                                                w_2491
+ 'delay+1246*per+  (w_2491-w_2492)*distort/2+(dtf+dtr)/2+(w_2492-w_2491)*(dtf-dtr)/2'        w_2492
+ 'delay+1246*per+per2+(w_2492-w_2493)*distort/2'                                             w_2492
+ 'delay+1246*per+per2+(w_2492-w_2493)*distort/2+(dtf+dtr)/2+(w_2493-w_2492)*(dtf-dtr)/2'     w_2493
+ 'delay+1247*per+  (w_2493-w_2494)*distort/2'                                                w_2493
+ 'delay+1247*per+  (w_2493-w_2494)*distort/2+(dtf+dtr)/2+(w_2494-w_2493)*(dtf-dtr)/2'        w_2494
+ 'delay+1247*per+per2+(w_2494-w_2495)*distort/2'                                             w_2494
+ 'delay+1247*per+per2+(w_2494-w_2495)*distort/2+(dtf+dtr)/2+(w_2495-w_2494)*(dtf-dtr)/2'     w_2495
+ 'delay+1248*per+  (w_2495-w_2496)*distort/2'                                                w_2495
+ 'delay+1248*per+  (w_2495-w_2496)*distort/2+(dtf+dtr)/2+(w_2496-w_2495)*(dtf-dtr)/2'        w_2496
+ 'delay+1248*per+per2+(w_2496-w_2497)*distort/2'                                             w_2496
+ 'delay+1248*per+per2+(w_2496-w_2497)*distort/2+(dtf+dtr)/2+(w_2497-w_2496)*(dtf-dtr)/2'     w_2497
+ 'delay+1249*per+  (w_2497-w_2498)*distort/2'                                                w_2497
+ 'delay+1249*per+  (w_2497-w_2498)*distort/2+(dtf+dtr)/2+(w_2498-w_2497)*(dtf-dtr)/2'        w_2498
+ 'delay+1249*per+per2+(w_2498-w_2499)*distort/2'                                             w_2498
+ 'delay+1249*per+per2+(w_2498-w_2499)*distort/2+(dtf+dtr)/2+(w_2499-w_2498)*(dtf-dtr)/2'     w_2499
+ 'delay+1250*per+  (w_2499-w_2500)*distort/2'                                                w_2499
+ 'delay+1250*per+  (w_2499-w_2500)*distort/2+(dtf+dtr)/2+(w_2500-w_2499)*(dtf-dtr)/2'        w_2500
+ 'delay+1250*per+per2+(w_2500-w_2501)*distort/2'                                             w_2500
+ 'delay+1250*per+per2+(w_2500-w_2501)*distort/2+(dtf+dtr)/2+(w_2501-w_2500)*(dtf-dtr)/2'     w_2501
+ 'delay+1251*per+  (w_2501-w_2502)*distort/2'                                                w_2501
+ 'delay+1251*per+  (w_2501-w_2502)*distort/2+(dtf+dtr)/2+(w_2502-w_2501)*(dtf-dtr)/2'        w_2502
+ 'delay+1251*per+per2+(w_2502-w_2503)*distort/2'                                             w_2502
+ 'delay+1251*per+per2+(w_2502-w_2503)*distort/2+(dtf+dtr)/2+(w_2503-w_2502)*(dtf-dtr)/2'     w_2503
+ 'delay+1252*per+  (w_2503-w_2504)*distort/2'                                                w_2503
+ 'delay+1252*per+  (w_2503-w_2504)*distort/2+(dtf+dtr)/2+(w_2504-w_2503)*(dtf-dtr)/2'        w_2504
+ 'delay+1252*per+per2+(w_2504-w_2505)*distort/2'                                             w_2504
+ 'delay+1252*per+per2+(w_2504-w_2505)*distort/2+(dtf+dtr)/2+(w_2505-w_2504)*(dtf-dtr)/2'     w_2505
+ 'delay+1253*per+  (w_2505-w_2506)*distort/2'                                                w_2505
+ 'delay+1253*per+  (w_2505-w_2506)*distort/2+(dtf+dtr)/2+(w_2506-w_2505)*(dtf-dtr)/2'        w_2506
+ 'delay+1253*per+per2+(w_2506-w_2507)*distort/2'                                             w_2506
+ 'delay+1253*per+per2+(w_2506-w_2507)*distort/2+(dtf+dtr)/2+(w_2507-w_2506)*(dtf-dtr)/2'     w_2507
+ 'delay+1254*per+  (w_2507-w_2508)*distort/2'                                                w_2507
+ 'delay+1254*per+  (w_2507-w_2508)*distort/2+(dtf+dtr)/2+(w_2508-w_2507)*(dtf-dtr)/2'        w_2508
+ 'delay+1254*per+per2+(w_2508-w_2509)*distort/2'                                             w_2508
+ 'delay+1254*per+per2+(w_2508-w_2509)*distort/2+(dtf+dtr)/2+(w_2509-w_2508)*(dtf-dtr)/2'     w_2509
+ 'delay+1255*per+  (w_2509-w_2510)*distort/2'                                                w_2509
+ 'delay+1255*per+  (w_2509-w_2510)*distort/2+(dtf+dtr)/2+(w_2510-w_2509)*(dtf-dtr)/2'        w_2510
+ 'delay+1255*per+per2+(w_2510-w_2511)*distort/2'                                             w_2510
+ 'delay+1255*per+per2+(w_2510-w_2511)*distort/2+(dtf+dtr)/2+(w_2511-w_2510)*(dtf-dtr)/2'     w_2511
+ 'delay+1256*per+  (w_2511-w_2512)*distort/2'                                                w_2511
+ 'delay+1256*per+  (w_2511-w_2512)*distort/2+(dtf+dtr)/2+(w_2512-w_2511)*(dtf-dtr)/2'        w_2512
+ 'delay+1256*per+per2+(w_2512-w_2513)*distort/2'                                             w_2512
+ 'delay+1256*per+per2+(w_2512-w_2513)*distort/2+(dtf+dtr)/2+(w_2513-w_2512)*(dtf-dtr)/2'     w_2513
+ 'delay+1257*per+  (w_2513-w_2514)*distort/2'                                                w_2513
+ 'delay+1257*per+  (w_2513-w_2514)*distort/2+(dtf+dtr)/2+(w_2514-w_2513)*(dtf-dtr)/2'        w_2514
+ 'delay+1257*per+per2+(w_2514-w_2515)*distort/2'                                             w_2514
+ 'delay+1257*per+per2+(w_2514-w_2515)*distort/2+(dtf+dtr)/2+(w_2515-w_2514)*(dtf-dtr)/2'     w_2515
+ 'delay+1258*per+  (w_2515-w_2516)*distort/2'                                                w_2515
+ 'delay+1258*per+  (w_2515-w_2516)*distort/2+(dtf+dtr)/2+(w_2516-w_2515)*(dtf-dtr)/2'        w_2516
+ 'delay+1258*per+per2+(w_2516-w_2517)*distort/2'                                             w_2516
+ 'delay+1258*per+per2+(w_2516-w_2517)*distort/2+(dtf+dtr)/2+(w_2517-w_2516)*(dtf-dtr)/2'     w_2517
+ 'delay+1259*per+  (w_2517-w_2518)*distort/2'                                                w_2517
+ 'delay+1259*per+  (w_2517-w_2518)*distort/2+(dtf+dtr)/2+(w_2518-w_2517)*(dtf-dtr)/2'        w_2518
+ 'delay+1259*per+per2+(w_2518-w_2519)*distort/2'                                             w_2518
+ 'delay+1259*per+per2+(w_2518-w_2519)*distort/2+(dtf+dtr)/2+(w_2519-w_2518)*(dtf-dtr)/2'     w_2519
+ 'delay+1260*per+  (w_2519-w_2520)*distort/2'                                                w_2519
+ 'delay+1260*per+  (w_2519-w_2520)*distort/2+(dtf+dtr)/2+(w_2520-w_2519)*(dtf-dtr)/2'        w_2520
+ 'delay+1260*per+per2+(w_2520-w_2521)*distort/2'                                             w_2520
+ 'delay+1260*per+per2+(w_2520-w_2521)*distort/2+(dtf+dtr)/2+(w_2521-w_2520)*(dtf-dtr)/2'     w_2521
+ 'delay+1261*per+  (w_2521-w_2522)*distort/2'                                                w_2521
+ 'delay+1261*per+  (w_2521-w_2522)*distort/2+(dtf+dtr)/2+(w_2522-w_2521)*(dtf-dtr)/2'        w_2522
+ 'delay+1261*per+per2+(w_2522-w_2523)*distort/2'                                             w_2522
+ 'delay+1261*per+per2+(w_2522-w_2523)*distort/2+(dtf+dtr)/2+(w_2523-w_2522)*(dtf-dtr)/2'     w_2523
+ 'delay+1262*per+  (w_2523-w_2524)*distort/2'                                                w_2523
+ 'delay+1262*per+  (w_2523-w_2524)*distort/2+(dtf+dtr)/2+(w_2524-w_2523)*(dtf-dtr)/2'        w_2524
+ 'delay+1262*per+per2+(w_2524-w_2525)*distort/2'                                             w_2524
+ 'delay+1262*per+per2+(w_2524-w_2525)*distort/2+(dtf+dtr)/2+(w_2525-w_2524)*(dtf-dtr)/2'     w_2525
+ 'delay+1263*per+  (w_2525-w_2526)*distort/2'                                                w_2525
+ 'delay+1263*per+  (w_2525-w_2526)*distort/2+(dtf+dtr)/2+(w_2526-w_2525)*(dtf-dtr)/2'        w_2526
+ 'delay+1263*per+per2+(w_2526-w_2527)*distort/2'                                             w_2526
+ 'delay+1263*per+per2+(w_2526-w_2527)*distort/2+(dtf+dtr)/2+(w_2527-w_2526)*(dtf-dtr)/2'     w_2527
+ 'delay+1264*per+  (w_2527-w_2528)*distort/2'                                                w_2527
+ 'delay+1264*per+  (w_2527-w_2528)*distort/2+(dtf+dtr)/2+(w_2528-w_2527)*(dtf-dtr)/2'        w_2528
+ 'delay+1264*per+per2+(w_2528-w_2529)*distort/2'                                             w_2528
+ 'delay+1264*per+per2+(w_2528-w_2529)*distort/2+(dtf+dtr)/2+(w_2529-w_2528)*(dtf-dtr)/2'     w_2529
+ 'delay+1265*per+  (w_2529-w_2530)*distort/2'                                                w_2529
+ 'delay+1265*per+  (w_2529-w_2530)*distort/2+(dtf+dtr)/2+(w_2530-w_2529)*(dtf-dtr)/2'        w_2530
+ 'delay+1265*per+per2+(w_2530-w_2531)*distort/2'                                             w_2530
+ 'delay+1265*per+per2+(w_2530-w_2531)*distort/2+(dtf+dtr)/2+(w_2531-w_2530)*(dtf-dtr)/2'     w_2531
+ 'delay+1266*per+  (w_2531-w_2532)*distort/2'                                                w_2531
+ 'delay+1266*per+  (w_2531-w_2532)*distort/2+(dtf+dtr)/2+(w_2532-w_2531)*(dtf-dtr)/2'        w_2532
+ 'delay+1266*per+per2+(w_2532-w_2533)*distort/2'                                             w_2532
+ 'delay+1266*per+per2+(w_2532-w_2533)*distort/2+(dtf+dtr)/2+(w_2533-w_2532)*(dtf-dtr)/2'     w_2533
+ 'delay+1267*per+  (w_2533-w_2534)*distort/2'                                                w_2533
+ 'delay+1267*per+  (w_2533-w_2534)*distort/2+(dtf+dtr)/2+(w_2534-w_2533)*(dtf-dtr)/2'        w_2534
+ 'delay+1267*per+per2+(w_2534-w_2535)*distort/2'                                             w_2534
+ 'delay+1267*per+per2+(w_2534-w_2535)*distort/2+(dtf+dtr)/2+(w_2535-w_2534)*(dtf-dtr)/2'     w_2535
+ 'delay+1268*per+  (w_2535-w_2536)*distort/2'                                                w_2535
+ 'delay+1268*per+  (w_2535-w_2536)*distort/2+(dtf+dtr)/2+(w_2536-w_2535)*(dtf-dtr)/2'        w_2536
+ 'delay+1268*per+per2+(w_2536-w_2537)*distort/2'                                             w_2536
+ 'delay+1268*per+per2+(w_2536-w_2537)*distort/2+(dtf+dtr)/2+(w_2537-w_2536)*(dtf-dtr)/2'     w_2537
+ 'delay+1269*per+  (w_2537-w_2538)*distort/2'                                                w_2537
+ 'delay+1269*per+  (w_2537-w_2538)*distort/2+(dtf+dtr)/2+(w_2538-w_2537)*(dtf-dtr)/2'        w_2538
+ 'delay+1269*per+per2+(w_2538-w_2539)*distort/2'                                             w_2538
+ 'delay+1269*per+per2+(w_2538-w_2539)*distort/2+(dtf+dtr)/2+(w_2539-w_2538)*(dtf-dtr)/2'     w_2539
+ 'delay+1270*per+  (w_2539-w_2540)*distort/2'                                                w_2539
+ 'delay+1270*per+  (w_2539-w_2540)*distort/2+(dtf+dtr)/2+(w_2540-w_2539)*(dtf-dtr)/2'        w_2540
+ 'delay+1270*per+per2+(w_2540-w_2541)*distort/2'                                             w_2540
+ 'delay+1270*per+per2+(w_2540-w_2541)*distort/2+(dtf+dtr)/2+(w_2541-w_2540)*(dtf-dtr)/2'     w_2541
+ 'delay+1271*per+  (w_2541-w_2542)*distort/2'                                                w_2541
+ 'delay+1271*per+  (w_2541-w_2542)*distort/2+(dtf+dtr)/2+(w_2542-w_2541)*(dtf-dtr)/2'        w_2542
+ 'delay+1271*per+per2+(w_2542-w_2543)*distort/2'                                             w_2542
+ 'delay+1271*per+per2+(w_2542-w_2543)*distort/2+(dtf+dtr)/2+(w_2543-w_2542)*(dtf-dtr)/2'     w_2543
+ 'delay+1272*per+  (w_2543-w_2544)*distort/2'                                                w_2543
+ 'delay+1272*per+  (w_2543-w_2544)*distort/2+(dtf+dtr)/2+(w_2544-w_2543)*(dtf-dtr)/2'        w_2544
+ 'delay+1272*per+per2+(w_2544-w_2545)*distort/2'                                             w_2544
+ 'delay+1272*per+per2+(w_2544-w_2545)*distort/2+(dtf+dtr)/2+(w_2545-w_2544)*(dtf-dtr)/2'     w_2545
+ 'delay+1273*per+  (w_2545-w_2546)*distort/2'                                                w_2545
+ 'delay+1273*per+  (w_2545-w_2546)*distort/2+(dtf+dtr)/2+(w_2546-w_2545)*(dtf-dtr)/2'        w_2546
+ 'delay+1273*per+per2+(w_2546-w_2547)*distort/2'                                             w_2546
+ 'delay+1273*per+per2+(w_2546-w_2547)*distort/2+(dtf+dtr)/2+(w_2547-w_2546)*(dtf-dtr)/2'     w_2547
+ 'delay+1274*per+  (w_2547-w_2548)*distort/2'                                                w_2547
+ 'delay+1274*per+  (w_2547-w_2548)*distort/2+(dtf+dtr)/2+(w_2548-w_2547)*(dtf-dtr)/2'        w_2548
+ 'delay+1274*per+per2+(w_2548-w_2549)*distort/2'                                             w_2548
+ 'delay+1274*per+per2+(w_2548-w_2549)*distort/2+(dtf+dtr)/2+(w_2549-w_2548)*(dtf-dtr)/2'     w_2549
+ 'delay+1275*per+  (w_2549-w_2550)*distort/2'                                                w_2549
+ 'delay+1275*per+  (w_2549-w_2550)*distort/2+(dtf+dtr)/2+(w_2550-w_2549)*(dtf-dtr)/2'        w_2550
+ 'delay+1275*per+per2+(w_2550-w_2551)*distort/2'                                             w_2550
+ 'delay+1275*per+per2+(w_2550-w_2551)*distort/2+(dtf+dtr)/2+(w_2551-w_2550)*(dtf-dtr)/2'     w_2551
+ 'delay+1276*per+  (w_2551-w_2552)*distort/2'                                                w_2551
+ 'delay+1276*per+  (w_2551-w_2552)*distort/2+(dtf+dtr)/2+(w_2552-w_2551)*(dtf-dtr)/2'        w_2552
+ 'delay+1276*per+per2+(w_2552-w_2553)*distort/2'                                             w_2552
+ 'delay+1276*per+per2+(w_2552-w_2553)*distort/2+(dtf+dtr)/2+(w_2553-w_2552)*(dtf-dtr)/2'     w_2553
+ 'delay+1277*per+  (w_2553-w_2554)*distort/2'                                                w_2553
+ 'delay+1277*per+  (w_2553-w_2554)*distort/2+(dtf+dtr)/2+(w_2554-w_2553)*(dtf-dtr)/2'        w_2554
+ 'delay+1277*per+per2+(w_2554-w_2555)*distort/2'                                             w_2554
+ 'delay+1277*per+per2+(w_2554-w_2555)*distort/2+(dtf+dtr)/2+(w_2555-w_2554)*(dtf-dtr)/2'     w_2555
+ 'delay+1278*per+  (w_2555-w_2556)*distort/2'                                                w_2555
+ 'delay+1278*per+  (w_2555-w_2556)*distort/2+(dtf+dtr)/2+(w_2556-w_2555)*(dtf-dtr)/2'        w_2556
+ 'delay+1278*per+per2+(w_2556-w_2557)*distort/2'                                             w_2556
+ 'delay+1278*per+per2+(w_2556-w_2557)*distort/2+(dtf+dtr)/2+(w_2557-w_2556)*(dtf-dtr)/2'     w_2557
+ 'delay+1279*per+  (w_2557-w_2558)*distort/2'                                                w_2557
+ 'delay+1279*per+  (w_2557-w_2558)*distort/2+(dtf+dtr)/2+(w_2558-w_2557)*(dtf-dtr)/2'        w_2558
+ 'delay+1279*per+per2+(w_2558-w_2559)*distort/2'                                             w_2558
+ 'delay+1279*per+per2+(w_2558-w_2559)*distort/2+(dtf+dtr)/2+(w_2559-w_2558)*(dtf-dtr)/2'     w_2559
+ 'delay+1280*per+  (w_2559-w_2560)*distort/2'                                                w_2559
+ 'delay+1280*per+  (w_2559-w_2560)*distort/2+(dtf+dtr)/2+(w_2560-w_2559)*(dtf-dtr)/2'        w_2560
+ 'delay+1280*per+per2+(w_2560-w_2561)*distort/2'                                             w_2560
+ 'delay+1280*per+per2+(w_2560-w_2561)*distort/2+(dtf+dtr)/2+(w_2561-w_2560)*(dtf-dtr)/2'     w_2561
+ 'delay+1281*per+  (w_2561-w_2562)*distort/2'                                                w_2561
+ 'delay+1281*per+  (w_2561-w_2562)*distort/2+(dtf+dtr)/2+(w_2562-w_2561)*(dtf-dtr)/2'        w_2562
+ 'delay+1281*per+per2+(w_2562-w_2563)*distort/2'                                             w_2562
+ 'delay+1281*per+per2+(w_2562-w_2563)*distort/2+(dtf+dtr)/2+(w_2563-w_2562)*(dtf-dtr)/2'     w_2563
+ 'delay+1282*per+  (w_2563-w_2564)*distort/2'                                                w_2563
+ 'delay+1282*per+  (w_2563-w_2564)*distort/2+(dtf+dtr)/2+(w_2564-w_2563)*(dtf-dtr)/2'        w_2564
+ 'delay+1282*per+per2+(w_2564-w_2565)*distort/2'                                             w_2564
+ 'delay+1282*per+per2+(w_2564-w_2565)*distort/2+(dtf+dtr)/2+(w_2565-w_2564)*(dtf-dtr)/2'     w_2565
+ 'delay+1283*per+  (w_2565-w_2566)*distort/2'                                                w_2565
+ 'delay+1283*per+  (w_2565-w_2566)*distort/2+(dtf+dtr)/2+(w_2566-w_2565)*(dtf-dtr)/2'        w_2566
+ 'delay+1283*per+per2+(w_2566-w_2567)*distort/2'                                             w_2566
+ 'delay+1283*per+per2+(w_2566-w_2567)*distort/2+(dtf+dtr)/2+(w_2567-w_2566)*(dtf-dtr)/2'     w_2567
+ 'delay+1284*per+  (w_2567-w_2568)*distort/2'                                                w_2567
+ 'delay+1284*per+  (w_2567-w_2568)*distort/2+(dtf+dtr)/2+(w_2568-w_2567)*(dtf-dtr)/2'        w_2568
+ 'delay+1284*per+per2+(w_2568-w_2569)*distort/2'                                             w_2568
+ 'delay+1284*per+per2+(w_2568-w_2569)*distort/2+(dtf+dtr)/2+(w_2569-w_2568)*(dtf-dtr)/2'     w_2569
+ 'delay+1285*per+  (w_2569-w_2570)*distort/2'                                                w_2569
+ 'delay+1285*per+  (w_2569-w_2570)*distort/2+(dtf+dtr)/2+(w_2570-w_2569)*(dtf-dtr)/2'        w_2570
+ 'delay+1285*per+per2+(w_2570-w_2571)*distort/2'                                             w_2570
+ 'delay+1285*per+per2+(w_2570-w_2571)*distort/2+(dtf+dtr)/2+(w_2571-w_2570)*(dtf-dtr)/2'     w_2571
+ 'delay+1286*per+  (w_2571-w_2572)*distort/2'                                                w_2571
+ 'delay+1286*per+  (w_2571-w_2572)*distort/2+(dtf+dtr)/2+(w_2572-w_2571)*(dtf-dtr)/2'        w_2572
+ 'delay+1286*per+per2+(w_2572-w_2573)*distort/2'                                             w_2572
+ 'delay+1286*per+per2+(w_2572-w_2573)*distort/2+(dtf+dtr)/2+(w_2573-w_2572)*(dtf-dtr)/2'     w_2573
+ 'delay+1287*per+  (w_2573-w_2574)*distort/2'                                                w_2573
+ 'delay+1287*per+  (w_2573-w_2574)*distort/2+(dtf+dtr)/2+(w_2574-w_2573)*(dtf-dtr)/2'        w_2574
+ 'delay+1287*per+per2+(w_2574-w_2575)*distort/2'                                             w_2574
+ 'delay+1287*per+per2+(w_2574-w_2575)*distort/2+(dtf+dtr)/2+(w_2575-w_2574)*(dtf-dtr)/2'     w_2575
+ 'delay+1288*per+  (w_2575-w_2576)*distort/2'                                                w_2575
+ 'delay+1288*per+  (w_2575-w_2576)*distort/2+(dtf+dtr)/2+(w_2576-w_2575)*(dtf-dtr)/2'        w_2576
+ 'delay+1288*per+per2+(w_2576-w_2577)*distort/2'                                             w_2576
+ 'delay+1288*per+per2+(w_2576-w_2577)*distort/2+(dtf+dtr)/2+(w_2577-w_2576)*(dtf-dtr)/2'     w_2577
+ 'delay+1289*per+  (w_2577-w_2578)*distort/2'                                                w_2577
+ 'delay+1289*per+  (w_2577-w_2578)*distort/2+(dtf+dtr)/2+(w_2578-w_2577)*(dtf-dtr)/2'        w_2578
+ 'delay+1289*per+per2+(w_2578-w_2579)*distort/2'                                             w_2578
+ 'delay+1289*per+per2+(w_2578-w_2579)*distort/2+(dtf+dtr)/2+(w_2579-w_2578)*(dtf-dtr)/2'     w_2579
+ 'delay+1290*per+  (w_2579-w_2580)*distort/2'                                                w_2579
+ 'delay+1290*per+  (w_2579-w_2580)*distort/2+(dtf+dtr)/2+(w_2580-w_2579)*(dtf-dtr)/2'        w_2580
+ 'delay+1290*per+per2+(w_2580-w_2581)*distort/2'                                             w_2580
+ 'delay+1290*per+per2+(w_2580-w_2581)*distort/2+(dtf+dtr)/2+(w_2581-w_2580)*(dtf-dtr)/2'     w_2581
+ 'delay+1291*per+  (w_2581-w_2582)*distort/2'                                                w_2581
+ 'delay+1291*per+  (w_2581-w_2582)*distort/2+(dtf+dtr)/2+(w_2582-w_2581)*(dtf-dtr)/2'        w_2582
+ 'delay+1291*per+per2+(w_2582-w_2583)*distort/2'                                             w_2582
+ 'delay+1291*per+per2+(w_2582-w_2583)*distort/2+(dtf+dtr)/2+(w_2583-w_2582)*(dtf-dtr)/2'     w_2583
+ 'delay+1292*per+  (w_2583-w_2584)*distort/2'                                                w_2583
+ 'delay+1292*per+  (w_2583-w_2584)*distort/2+(dtf+dtr)/2+(w_2584-w_2583)*(dtf-dtr)/2'        w_2584
+ 'delay+1292*per+per2+(w_2584-w_2585)*distort/2'                                             w_2584
+ 'delay+1292*per+per2+(w_2584-w_2585)*distort/2+(dtf+dtr)/2+(w_2585-w_2584)*(dtf-dtr)/2'     w_2585
+ 'delay+1293*per+  (w_2585-w_2586)*distort/2'                                                w_2585
+ 'delay+1293*per+  (w_2585-w_2586)*distort/2+(dtf+dtr)/2+(w_2586-w_2585)*(dtf-dtr)/2'        w_2586
+ 'delay+1293*per+per2+(w_2586-w_2587)*distort/2'                                             w_2586
+ 'delay+1293*per+per2+(w_2586-w_2587)*distort/2+(dtf+dtr)/2+(w_2587-w_2586)*(dtf-dtr)/2'     w_2587
+ 'delay+1294*per+  (w_2587-w_2588)*distort/2'                                                w_2587
+ 'delay+1294*per+  (w_2587-w_2588)*distort/2+(dtf+dtr)/2+(w_2588-w_2587)*(dtf-dtr)/2'        w_2588
+ 'delay+1294*per+per2+(w_2588-w_2589)*distort/2'                                             w_2588
+ 'delay+1294*per+per2+(w_2588-w_2589)*distort/2+(dtf+dtr)/2+(w_2589-w_2588)*(dtf-dtr)/2'     w_2589
+ 'delay+1295*per+  (w_2589-w_2590)*distort/2'                                                w_2589
+ 'delay+1295*per+  (w_2589-w_2590)*distort/2+(dtf+dtr)/2+(w_2590-w_2589)*(dtf-dtr)/2'        w_2590
+ 'delay+1295*per+per2+(w_2590-w_2591)*distort/2'                                             w_2590
+ 'delay+1295*per+per2+(w_2590-w_2591)*distort/2+(dtf+dtr)/2+(w_2591-w_2590)*(dtf-dtr)/2'     w_2591
+ 'delay+1296*per+  (w_2591-w_2592)*distort/2'                                                w_2591
+ 'delay+1296*per+  (w_2591-w_2592)*distort/2+(dtf+dtr)/2+(w_2592-w_2591)*(dtf-dtr)/2'        w_2592
+ 'delay+1296*per+per2+(w_2592-w_2593)*distort/2'                                             w_2592
+ 'delay+1296*per+per2+(w_2592-w_2593)*distort/2+(dtf+dtr)/2+(w_2593-w_2592)*(dtf-dtr)/2'     w_2593
+ 'delay+1297*per+  (w_2593-w_2594)*distort/2'                                                w_2593
+ 'delay+1297*per+  (w_2593-w_2594)*distort/2+(dtf+dtr)/2+(w_2594-w_2593)*(dtf-dtr)/2'        w_2594
+ 'delay+1297*per+per2+(w_2594-w_2595)*distort/2'                                             w_2594
+ 'delay+1297*per+per2+(w_2594-w_2595)*distort/2+(dtf+dtr)/2+(w_2595-w_2594)*(dtf-dtr)/2'     w_2595
+ 'delay+1298*per+  (w_2595-w_2596)*distort/2'                                                w_2595
+ 'delay+1298*per+  (w_2595-w_2596)*distort/2+(dtf+dtr)/2+(w_2596-w_2595)*(dtf-dtr)/2'        w_2596
+ 'delay+1298*per+per2+(w_2596-w_2597)*distort/2'                                             w_2596
+ 'delay+1298*per+per2+(w_2596-w_2597)*distort/2+(dtf+dtr)/2+(w_2597-w_2596)*(dtf-dtr)/2'     w_2597
+ 'delay+1299*per+  (w_2597-w_2598)*distort/2'                                                w_2597
+ 'delay+1299*per+  (w_2597-w_2598)*distort/2+(dtf+dtr)/2+(w_2598-w_2597)*(dtf-dtr)/2'        w_2598
+ 'delay+1299*per+per2+(w_2598-w_2599)*distort/2'                                             w_2598
+ 'delay+1299*per+per2+(w_2598-w_2599)*distort/2+(dtf+dtr)/2+(w_2599-w_2598)*(dtf-dtr)/2'     w_2599
+ 'delay+1300*per+  (w_2599-w_2600)*distort/2'                                                w_2599
+ 'delay+1300*per+  (w_2599-w_2600)*distort/2+(dtf+dtr)/2+(w_2600-w_2599)*(dtf-dtr)/2'        w_2600
+ 'delay+1300*per+per2+(w_2600-w_2601)*distort/2'                                             w_2600
+ 'delay+1300*per+per2+(w_2600-w_2601)*distort/2+(dtf+dtr)/2+(w_2601-w_2600)*(dtf-dtr)/2'     w_2601
+ 'delay+1301*per+  (w_2601-w_2602)*distort/2'                                                w_2601
+ 'delay+1301*per+  (w_2601-w_2602)*distort/2+(dtf+dtr)/2+(w_2602-w_2601)*(dtf-dtr)/2'        w_2602
+ 'delay+1301*per+per2+(w_2602-w_2603)*distort/2'                                             w_2602
+ 'delay+1301*per+per2+(w_2602-w_2603)*distort/2+(dtf+dtr)/2+(w_2603-w_2602)*(dtf-dtr)/2'     w_2603
+ 'delay+1302*per+  (w_2603-w_2604)*distort/2'                                                w_2603
+ 'delay+1302*per+  (w_2603-w_2604)*distort/2+(dtf+dtr)/2+(w_2604-w_2603)*(dtf-dtr)/2'        w_2604
+ 'delay+1302*per+per2+(w_2604-w_2605)*distort/2'                                             w_2604
+ 'delay+1302*per+per2+(w_2604-w_2605)*distort/2+(dtf+dtr)/2+(w_2605-w_2604)*(dtf-dtr)/2'     w_2605
+ 'delay+1303*per+  (w_2605-w_2606)*distort/2'                                                w_2605
+ 'delay+1303*per+  (w_2605-w_2606)*distort/2+(dtf+dtr)/2+(w_2606-w_2605)*(dtf-dtr)/2'        w_2606
+ 'delay+1303*per+per2+(w_2606-w_2607)*distort/2'                                             w_2606
+ 'delay+1303*per+per2+(w_2606-w_2607)*distort/2+(dtf+dtr)/2+(w_2607-w_2606)*(dtf-dtr)/2'     w_2607
+ 'delay+1304*per+  (w_2607-w_2608)*distort/2'                                                w_2607
+ 'delay+1304*per+  (w_2607-w_2608)*distort/2+(dtf+dtr)/2+(w_2608-w_2607)*(dtf-dtr)/2'        w_2608
+ 'delay+1304*per+per2+(w_2608-w_2609)*distort/2'                                             w_2608
+ 'delay+1304*per+per2+(w_2608-w_2609)*distort/2+(dtf+dtr)/2+(w_2609-w_2608)*(dtf-dtr)/2'     w_2609
+ 'delay+1305*per+  (w_2609-w_2610)*distort/2'                                                w_2609
+ 'delay+1305*per+  (w_2609-w_2610)*distort/2+(dtf+dtr)/2+(w_2610-w_2609)*(dtf-dtr)/2'        w_2610
+ 'delay+1305*per+per2+(w_2610-w_2611)*distort/2'                                             w_2610
+ 'delay+1305*per+per2+(w_2610-w_2611)*distort/2+(dtf+dtr)/2+(w_2611-w_2610)*(dtf-dtr)/2'     w_2611
+ 'delay+1306*per+  (w_2611-w_2612)*distort/2'                                                w_2611
+ 'delay+1306*per+  (w_2611-w_2612)*distort/2+(dtf+dtr)/2+(w_2612-w_2611)*(dtf-dtr)/2'        w_2612
+ 'delay+1306*per+per2+(w_2612-w_2613)*distort/2'                                             w_2612
+ 'delay+1306*per+per2+(w_2612-w_2613)*distort/2+(dtf+dtr)/2+(w_2613-w_2612)*(dtf-dtr)/2'     w_2613
+ 'delay+1307*per+  (w_2613-w_2614)*distort/2'                                                w_2613
+ 'delay+1307*per+  (w_2613-w_2614)*distort/2+(dtf+dtr)/2+(w_2614-w_2613)*(dtf-dtr)/2'        w_2614
+ 'delay+1307*per+per2+(w_2614-w_2615)*distort/2'                                             w_2614
+ 'delay+1307*per+per2+(w_2614-w_2615)*distort/2+(dtf+dtr)/2+(w_2615-w_2614)*(dtf-dtr)/2'     w_2615
+ 'delay+1308*per+  (w_2615-w_2616)*distort/2'                                                w_2615
+ 'delay+1308*per+  (w_2615-w_2616)*distort/2+(dtf+dtr)/2+(w_2616-w_2615)*(dtf-dtr)/2'        w_2616
+ 'delay+1308*per+per2+(w_2616-w_2617)*distort/2'                                             w_2616
+ 'delay+1308*per+per2+(w_2616-w_2617)*distort/2+(dtf+dtr)/2+(w_2617-w_2616)*(dtf-dtr)/2'     w_2617
+ 'delay+1309*per+  (w_2617-w_2618)*distort/2'                                                w_2617
+ 'delay+1309*per+  (w_2617-w_2618)*distort/2+(dtf+dtr)/2+(w_2618-w_2617)*(dtf-dtr)/2'        w_2618
+ 'delay+1309*per+per2+(w_2618-w_2619)*distort/2'                                             w_2618
+ 'delay+1309*per+per2+(w_2618-w_2619)*distort/2+(dtf+dtr)/2+(w_2619-w_2618)*(dtf-dtr)/2'     w_2619
+ 'delay+1310*per+  (w_2619-w_2620)*distort/2'                                                w_2619
+ 'delay+1310*per+  (w_2619-w_2620)*distort/2+(dtf+dtr)/2+(w_2620-w_2619)*(dtf-dtr)/2'        w_2620
+ 'delay+1310*per+per2+(w_2620-w_2621)*distort/2'                                             w_2620
+ 'delay+1310*per+per2+(w_2620-w_2621)*distort/2+(dtf+dtr)/2+(w_2621-w_2620)*(dtf-dtr)/2'     w_2621
+ 'delay+1311*per+  (w_2621-w_2622)*distort/2'                                                w_2621
+ 'delay+1311*per+  (w_2621-w_2622)*distort/2+(dtf+dtr)/2+(w_2622-w_2621)*(dtf-dtr)/2'        w_2622
+ 'delay+1311*per+per2+(w_2622-w_2623)*distort/2'                                             w_2622
+ 'delay+1311*per+per2+(w_2622-w_2623)*distort/2+(dtf+dtr)/2+(w_2623-w_2622)*(dtf-dtr)/2'     w_2623
+ 'delay+1312*per+  (w_2623-w_2624)*distort/2'                                                w_2623
+ 'delay+1312*per+  (w_2623-w_2624)*distort/2+(dtf+dtr)/2+(w_2624-w_2623)*(dtf-dtr)/2'        w_2624
+ 'delay+1312*per+per2+(w_2624-w_2625)*distort/2'                                             w_2624
+ 'delay+1312*per+per2+(w_2624-w_2625)*distort/2+(dtf+dtr)/2+(w_2625-w_2624)*(dtf-dtr)/2'     w_2625
+ 'delay+1313*per+  (w_2625-w_2626)*distort/2'                                                w_2625
+ 'delay+1313*per+  (w_2625-w_2626)*distort/2+(dtf+dtr)/2+(w_2626-w_2625)*(dtf-dtr)/2'        w_2626
+ 'delay+1313*per+per2+(w_2626-w_2627)*distort/2'                                             w_2626
+ 'delay+1313*per+per2+(w_2626-w_2627)*distort/2+(dtf+dtr)/2+(w_2627-w_2626)*(dtf-dtr)/2'     w_2627
+ 'delay+1314*per+  (w_2627-w_2628)*distort/2'                                                w_2627
+ 'delay+1314*per+  (w_2627-w_2628)*distort/2+(dtf+dtr)/2+(w_2628-w_2627)*(dtf-dtr)/2'        w_2628
+ 'delay+1314*per+per2+(w_2628-w_2629)*distort/2'                                             w_2628
+ 'delay+1314*per+per2+(w_2628-w_2629)*distort/2+(dtf+dtr)/2+(w_2629-w_2628)*(dtf-dtr)/2'     w_2629
+ 'delay+1315*per+  (w_2629-w_2630)*distort/2'                                                w_2629
+ 'delay+1315*per+  (w_2629-w_2630)*distort/2+(dtf+dtr)/2+(w_2630-w_2629)*(dtf-dtr)/2'        w_2630
+ 'delay+1315*per+per2+(w_2630-w_2631)*distort/2'                                             w_2630
+ 'delay+1315*per+per2+(w_2630-w_2631)*distort/2+(dtf+dtr)/2+(w_2631-w_2630)*(dtf-dtr)/2'     w_2631
+ 'delay+1316*per+  (w_2631-w_2632)*distort/2'                                                w_2631
+ 'delay+1316*per+  (w_2631-w_2632)*distort/2+(dtf+dtr)/2+(w_2632-w_2631)*(dtf-dtr)/2'        w_2632
+ 'delay+1316*per+per2+(w_2632-w_2633)*distort/2'                                             w_2632
+ 'delay+1316*per+per2+(w_2632-w_2633)*distort/2+(dtf+dtr)/2+(w_2633-w_2632)*(dtf-dtr)/2'     w_2633
+ 'delay+1317*per+  (w_2633-w_2634)*distort/2'                                                w_2633
+ 'delay+1317*per+  (w_2633-w_2634)*distort/2+(dtf+dtr)/2+(w_2634-w_2633)*(dtf-dtr)/2'        w_2634
+ 'delay+1317*per+per2+(w_2634-w_2635)*distort/2'                                             w_2634
+ 'delay+1317*per+per2+(w_2634-w_2635)*distort/2+(dtf+dtr)/2+(w_2635-w_2634)*(dtf-dtr)/2'     w_2635
+ 'delay+1318*per+  (w_2635-w_2636)*distort/2'                                                w_2635
+ 'delay+1318*per+  (w_2635-w_2636)*distort/2+(dtf+dtr)/2+(w_2636-w_2635)*(dtf-dtr)/2'        w_2636
+ 'delay+1318*per+per2+(w_2636-w_2637)*distort/2'                                             w_2636
+ 'delay+1318*per+per2+(w_2636-w_2637)*distort/2+(dtf+dtr)/2+(w_2637-w_2636)*(dtf-dtr)/2'     w_2637
+ 'delay+1319*per+  (w_2637-w_2638)*distort/2'                                                w_2637
+ 'delay+1319*per+  (w_2637-w_2638)*distort/2+(dtf+dtr)/2+(w_2638-w_2637)*(dtf-dtr)/2'        w_2638
+ 'delay+1319*per+per2+(w_2638-w_2639)*distort/2'                                             w_2638
+ 'delay+1319*per+per2+(w_2638-w_2639)*distort/2+(dtf+dtr)/2+(w_2639-w_2638)*(dtf-dtr)/2'     w_2639
+ 'delay+1320*per+  (w_2639-w_2640)*distort/2'                                                w_2639
+ 'delay+1320*per+  (w_2639-w_2640)*distort/2+(dtf+dtr)/2+(w_2640-w_2639)*(dtf-dtr)/2'        w_2640
+ 'delay+1320*per+per2+(w_2640-w_2641)*distort/2'                                             w_2640
+ 'delay+1320*per+per2+(w_2640-w_2641)*distort/2+(dtf+dtr)/2+(w_2641-w_2640)*(dtf-dtr)/2'     w_2641
+ 'delay+1321*per+  (w_2641-w_2642)*distort/2'                                                w_2641
+ 'delay+1321*per+  (w_2641-w_2642)*distort/2+(dtf+dtr)/2+(w_2642-w_2641)*(dtf-dtr)/2'        w_2642
+ 'delay+1321*per+per2+(w_2642-w_2643)*distort/2'                                             w_2642
+ 'delay+1321*per+per2+(w_2642-w_2643)*distort/2+(dtf+dtr)/2+(w_2643-w_2642)*(dtf-dtr)/2'     w_2643
+ 'delay+1322*per+  (w_2643-w_2644)*distort/2'                                                w_2643
+ 'delay+1322*per+  (w_2643-w_2644)*distort/2+(dtf+dtr)/2+(w_2644-w_2643)*(dtf-dtr)/2'        w_2644
+ 'delay+1322*per+per2+(w_2644-w_2645)*distort/2'                                             w_2644
+ 'delay+1322*per+per2+(w_2644-w_2645)*distort/2+(dtf+dtr)/2+(w_2645-w_2644)*(dtf-dtr)/2'     w_2645
+ 'delay+1323*per+  (w_2645-w_2646)*distort/2'                                                w_2645
+ 'delay+1323*per+  (w_2645-w_2646)*distort/2+(dtf+dtr)/2+(w_2646-w_2645)*(dtf-dtr)/2'        w_2646
+ 'delay+1323*per+per2+(w_2646-w_2647)*distort/2'                                             w_2646
+ 'delay+1323*per+per2+(w_2646-w_2647)*distort/2+(dtf+dtr)/2+(w_2647-w_2646)*(dtf-dtr)/2'     w_2647
+ 'delay+1324*per+  (w_2647-w_2648)*distort/2'                                                w_2647
+ 'delay+1324*per+  (w_2647-w_2648)*distort/2+(dtf+dtr)/2+(w_2648-w_2647)*(dtf-dtr)/2'        w_2648
+ 'delay+1324*per+per2+(w_2648-w_2649)*distort/2'                                             w_2648
+ 'delay+1324*per+per2+(w_2648-w_2649)*distort/2+(dtf+dtr)/2+(w_2649-w_2648)*(dtf-dtr)/2'     w_2649
+ 'delay+1325*per+  (w_2649-w_2650)*distort/2'                                                w_2649
+ 'delay+1325*per+  (w_2649-w_2650)*distort/2+(dtf+dtr)/2+(w_2650-w_2649)*(dtf-dtr)/2'        w_2650
+ 'delay+1325*per+per2+(w_2650-w_2651)*distort/2'                                             w_2650
+ 'delay+1325*per+per2+(w_2650-w_2651)*distort/2+(dtf+dtr)/2+(w_2651-w_2650)*(dtf-dtr)/2'     w_2651
+ 'delay+1326*per+  (w_2651-w_2652)*distort/2'                                                w_2651
+ 'delay+1326*per+  (w_2651-w_2652)*distort/2+(dtf+dtr)/2+(w_2652-w_2651)*(dtf-dtr)/2'        w_2652
+ 'delay+1326*per+per2+(w_2652-w_2653)*distort/2'                                             w_2652
+ 'delay+1326*per+per2+(w_2652-w_2653)*distort/2+(dtf+dtr)/2+(w_2653-w_2652)*(dtf-dtr)/2'     w_2653
+ 'delay+1327*per+  (w_2653-w_2654)*distort/2'                                                w_2653
+ 'delay+1327*per+  (w_2653-w_2654)*distort/2+(dtf+dtr)/2+(w_2654-w_2653)*(dtf-dtr)/2'        w_2654
+ 'delay+1327*per+per2+(w_2654-w_2655)*distort/2'                                             w_2654
+ 'delay+1327*per+per2+(w_2654-w_2655)*distort/2+(dtf+dtr)/2+(w_2655-w_2654)*(dtf-dtr)/2'     w_2655
+ 'delay+1328*per+  (w_2655-w_2656)*distort/2'                                                w_2655
+ 'delay+1328*per+  (w_2655-w_2656)*distort/2+(dtf+dtr)/2+(w_2656-w_2655)*(dtf-dtr)/2'        w_2656
+ 'delay+1328*per+per2+(w_2656-w_2657)*distort/2'                                             w_2656
+ 'delay+1328*per+per2+(w_2656-w_2657)*distort/2+(dtf+dtr)/2+(w_2657-w_2656)*(dtf-dtr)/2'     w_2657
+ 'delay+1329*per+  (w_2657-w_2658)*distort/2'                                                w_2657
+ 'delay+1329*per+  (w_2657-w_2658)*distort/2+(dtf+dtr)/2+(w_2658-w_2657)*(dtf-dtr)/2'        w_2658
+ 'delay+1329*per+per2+(w_2658-w_2659)*distort/2'                                             w_2658
+ 'delay+1329*per+per2+(w_2658-w_2659)*distort/2+(dtf+dtr)/2+(w_2659-w_2658)*(dtf-dtr)/2'     w_2659
+ 'delay+1330*per+  (w_2659-w_2660)*distort/2'                                                w_2659
+ 'delay+1330*per+  (w_2659-w_2660)*distort/2+(dtf+dtr)/2+(w_2660-w_2659)*(dtf-dtr)/2'        w_2660
+ 'delay+1330*per+per2+(w_2660-w_2661)*distort/2'                                             w_2660
+ 'delay+1330*per+per2+(w_2660-w_2661)*distort/2+(dtf+dtr)/2+(w_2661-w_2660)*(dtf-dtr)/2'     w_2661
+ 'delay+1331*per+  (w_2661-w_2662)*distort/2'                                                w_2661
+ 'delay+1331*per+  (w_2661-w_2662)*distort/2+(dtf+dtr)/2+(w_2662-w_2661)*(dtf-dtr)/2'        w_2662
+ 'delay+1331*per+per2+(w_2662-w_2663)*distort/2'                                             w_2662
+ 'delay+1331*per+per2+(w_2662-w_2663)*distort/2+(dtf+dtr)/2+(w_2663-w_2662)*(dtf-dtr)/2'     w_2663
+ 'delay+1332*per+  (w_2663-w_2664)*distort/2'                                                w_2663
+ 'delay+1332*per+  (w_2663-w_2664)*distort/2+(dtf+dtr)/2+(w_2664-w_2663)*(dtf-dtr)/2'        w_2664
+ 'delay+1332*per+per2+(w_2664-w_2665)*distort/2'                                             w_2664
+ 'delay+1332*per+per2+(w_2664-w_2665)*distort/2+(dtf+dtr)/2+(w_2665-w_2664)*(dtf-dtr)/2'     w_2665
+ 'delay+1333*per+  (w_2665-w_2666)*distort/2'                                                w_2665
+ 'delay+1333*per+  (w_2665-w_2666)*distort/2+(dtf+dtr)/2+(w_2666-w_2665)*(dtf-dtr)/2'        w_2666
+ 'delay+1333*per+per2+(w_2666-w_2667)*distort/2'                                             w_2666
+ 'delay+1333*per+per2+(w_2666-w_2667)*distort/2+(dtf+dtr)/2+(w_2667-w_2666)*(dtf-dtr)/2'     w_2667
+ 'delay+1334*per+  (w_2667-w_2668)*distort/2'                                                w_2667
+ 'delay+1334*per+  (w_2667-w_2668)*distort/2+(dtf+dtr)/2+(w_2668-w_2667)*(dtf-dtr)/2'        w_2668
+ 'delay+1334*per+per2+(w_2668-w_2669)*distort/2'                                             w_2668
+ 'delay+1334*per+per2+(w_2668-w_2669)*distort/2+(dtf+dtr)/2+(w_2669-w_2668)*(dtf-dtr)/2'     w_2669
+ 'delay+1335*per+  (w_2669-w_2670)*distort/2'                                                w_2669
+ 'delay+1335*per+  (w_2669-w_2670)*distort/2+(dtf+dtr)/2+(w_2670-w_2669)*(dtf-dtr)/2'        w_2670
+ 'delay+1335*per+per2+(w_2670-w_2671)*distort/2'                                             w_2670
+ 'delay+1335*per+per2+(w_2670-w_2671)*distort/2+(dtf+dtr)/2+(w_2671-w_2670)*(dtf-dtr)/2'     w_2671
+ 'delay+1336*per+  (w_2671-w_2672)*distort/2'                                                w_2671
+ 'delay+1336*per+  (w_2671-w_2672)*distort/2+(dtf+dtr)/2+(w_2672-w_2671)*(dtf-dtr)/2'        w_2672
+ 'delay+1336*per+per2+(w_2672-w_2673)*distort/2'                                             w_2672
+ 'delay+1336*per+per2+(w_2672-w_2673)*distort/2+(dtf+dtr)/2+(w_2673-w_2672)*(dtf-dtr)/2'     w_2673
+ 'delay+1337*per+  (w_2673-w_2674)*distort/2'                                                w_2673
+ 'delay+1337*per+  (w_2673-w_2674)*distort/2+(dtf+dtr)/2+(w_2674-w_2673)*(dtf-dtr)/2'        w_2674
+ 'delay+1337*per+per2+(w_2674-w_2675)*distort/2'                                             w_2674
+ 'delay+1337*per+per2+(w_2674-w_2675)*distort/2+(dtf+dtr)/2+(w_2675-w_2674)*(dtf-dtr)/2'     w_2675
+ 'delay+1338*per+  (w_2675-w_2676)*distort/2'                                                w_2675
+ 'delay+1338*per+  (w_2675-w_2676)*distort/2+(dtf+dtr)/2+(w_2676-w_2675)*(dtf-dtr)/2'        w_2676
+ 'delay+1338*per+per2+(w_2676-w_2677)*distort/2'                                             w_2676
+ 'delay+1338*per+per2+(w_2676-w_2677)*distort/2+(dtf+dtr)/2+(w_2677-w_2676)*(dtf-dtr)/2'     w_2677
+ 'delay+1339*per+  (w_2677-w_2678)*distort/2'                                                w_2677
+ 'delay+1339*per+  (w_2677-w_2678)*distort/2+(dtf+dtr)/2+(w_2678-w_2677)*(dtf-dtr)/2'        w_2678
+ 'delay+1339*per+per2+(w_2678-w_2679)*distort/2'                                             w_2678
+ 'delay+1339*per+per2+(w_2678-w_2679)*distort/2+(dtf+dtr)/2+(w_2679-w_2678)*(dtf-dtr)/2'     w_2679
+ 'delay+1340*per+  (w_2679-w_2680)*distort/2'                                                w_2679
+ 'delay+1340*per+  (w_2679-w_2680)*distort/2+(dtf+dtr)/2+(w_2680-w_2679)*(dtf-dtr)/2'        w_2680
+ 'delay+1340*per+per2+(w_2680-w_2681)*distort/2'                                             w_2680
+ 'delay+1340*per+per2+(w_2680-w_2681)*distort/2+(dtf+dtr)/2+(w_2681-w_2680)*(dtf-dtr)/2'     w_2681
+ 'delay+1341*per+  (w_2681-w_2682)*distort/2'                                                w_2681
+ 'delay+1341*per+  (w_2681-w_2682)*distort/2+(dtf+dtr)/2+(w_2682-w_2681)*(dtf-dtr)/2'        w_2682
+ 'delay+1341*per+per2+(w_2682-w_2683)*distort/2'                                             w_2682
+ 'delay+1341*per+per2+(w_2682-w_2683)*distort/2+(dtf+dtr)/2+(w_2683-w_2682)*(dtf-dtr)/2'     w_2683
+ 'delay+1342*per+  (w_2683-w_2684)*distort/2'                                                w_2683
+ 'delay+1342*per+  (w_2683-w_2684)*distort/2+(dtf+dtr)/2+(w_2684-w_2683)*(dtf-dtr)/2'        w_2684
+ 'delay+1342*per+per2+(w_2684-w_2685)*distort/2'                                             w_2684
+ 'delay+1342*per+per2+(w_2684-w_2685)*distort/2+(dtf+dtr)/2+(w_2685-w_2684)*(dtf-dtr)/2'     w_2685
+ 'delay+1343*per+  (w_2685-w_2686)*distort/2'                                                w_2685
+ 'delay+1343*per+  (w_2685-w_2686)*distort/2+(dtf+dtr)/2+(w_2686-w_2685)*(dtf-dtr)/2'        w_2686
+ 'delay+1343*per+per2+(w_2686-w_2687)*distort/2'                                             w_2686
+ 'delay+1343*per+per2+(w_2686-w_2687)*distort/2+(dtf+dtr)/2+(w_2687-w_2686)*(dtf-dtr)/2'     w_2687
+ 'delay+1344*per+  (w_2687-w_2688)*distort/2'                                                w_2687
+ 'delay+1344*per+  (w_2687-w_2688)*distort/2+(dtf+dtr)/2+(w_2688-w_2687)*(dtf-dtr)/2'        w_2688
+ 'delay+1344*per+per2+(w_2688-w_2689)*distort/2'                                             w_2688
+ 'delay+1344*per+per2+(w_2688-w_2689)*distort/2+(dtf+dtr)/2+(w_2689-w_2688)*(dtf-dtr)/2'     w_2689
+ 'delay+1345*per+  (w_2689-w_2690)*distort/2'                                                w_2689
+ 'delay+1345*per+  (w_2689-w_2690)*distort/2+(dtf+dtr)/2+(w_2690-w_2689)*(dtf-dtr)/2'        w_2690
+ 'delay+1345*per+per2+(w_2690-w_2691)*distort/2'                                             w_2690
+ 'delay+1345*per+per2+(w_2690-w_2691)*distort/2+(dtf+dtr)/2+(w_2691-w_2690)*(dtf-dtr)/2'     w_2691
+ 'delay+1346*per+  (w_2691-w_2692)*distort/2'                                                w_2691
+ 'delay+1346*per+  (w_2691-w_2692)*distort/2+(dtf+dtr)/2+(w_2692-w_2691)*(dtf-dtr)/2'        w_2692
+ 'delay+1346*per+per2+(w_2692-w_2693)*distort/2'                                             w_2692
+ 'delay+1346*per+per2+(w_2692-w_2693)*distort/2+(dtf+dtr)/2+(w_2693-w_2692)*(dtf-dtr)/2'     w_2693
+ 'delay+1347*per+  (w_2693-w_2694)*distort/2'                                                w_2693
+ 'delay+1347*per+  (w_2693-w_2694)*distort/2+(dtf+dtr)/2+(w_2694-w_2693)*(dtf-dtr)/2'        w_2694
+ 'delay+1347*per+per2+(w_2694-w_2695)*distort/2'                                             w_2694
+ 'delay+1347*per+per2+(w_2694-w_2695)*distort/2+(dtf+dtr)/2+(w_2695-w_2694)*(dtf-dtr)/2'     w_2695
+ 'delay+1348*per+  (w_2695-w_2696)*distort/2'                                                w_2695
+ 'delay+1348*per+  (w_2695-w_2696)*distort/2+(dtf+dtr)/2+(w_2696-w_2695)*(dtf-dtr)/2'        w_2696
+ 'delay+1348*per+per2+(w_2696-w_2697)*distort/2'                                             w_2696
+ 'delay+1348*per+per2+(w_2696-w_2697)*distort/2+(dtf+dtr)/2+(w_2697-w_2696)*(dtf-dtr)/2'     w_2697
+ 'delay+1349*per+  (w_2697-w_2698)*distort/2'                                                w_2697
+ 'delay+1349*per+  (w_2697-w_2698)*distort/2+(dtf+dtr)/2+(w_2698-w_2697)*(dtf-dtr)/2'        w_2698
+ 'delay+1349*per+per2+(w_2698-w_2699)*distort/2'                                             w_2698
+ 'delay+1349*per+per2+(w_2698-w_2699)*distort/2+(dtf+dtr)/2+(w_2699-w_2698)*(dtf-dtr)/2'     w_2699
+ 'delay+1350*per+  (w_2699-w_2700)*distort/2'                                                w_2699
+ 'delay+1350*per+  (w_2699-w_2700)*distort/2+(dtf+dtr)/2+(w_2700-w_2699)*(dtf-dtr)/2'        w_2700
+ 'delay+1350*per+per2+(w_2700-w_2701)*distort/2'                                             w_2700
+ 'delay+1350*per+per2+(w_2700-w_2701)*distort/2+(dtf+dtr)/2+(w_2701-w_2700)*(dtf-dtr)/2'     w_2701
+ 'delay+1351*per+  (w_2701-w_2702)*distort/2'                                                w_2701
+ 'delay+1351*per+  (w_2701-w_2702)*distort/2+(dtf+dtr)/2+(w_2702-w_2701)*(dtf-dtr)/2'        w_2702
+ 'delay+1351*per+per2+(w_2702-w_2703)*distort/2'                                             w_2702
+ 'delay+1351*per+per2+(w_2702-w_2703)*distort/2+(dtf+dtr)/2+(w_2703-w_2702)*(dtf-dtr)/2'     w_2703
+ 'delay+1352*per+  (w_2703-w_2704)*distort/2'                                                w_2703
+ 'delay+1352*per+  (w_2703-w_2704)*distort/2+(dtf+dtr)/2+(w_2704-w_2703)*(dtf-dtr)/2'        w_2704
+ 'delay+1352*per+per2+(w_2704-w_2705)*distort/2'                                             w_2704
+ 'delay+1352*per+per2+(w_2704-w_2705)*distort/2+(dtf+dtr)/2+(w_2705-w_2704)*(dtf-dtr)/2'     w_2705
+ 'delay+1353*per+  (w_2705-w_2706)*distort/2'                                                w_2705
+ 'delay+1353*per+  (w_2705-w_2706)*distort/2+(dtf+dtr)/2+(w_2706-w_2705)*(dtf-dtr)/2'        w_2706
+ 'delay+1353*per+per2+(w_2706-w_2707)*distort/2'                                             w_2706
+ 'delay+1353*per+per2+(w_2706-w_2707)*distort/2+(dtf+dtr)/2+(w_2707-w_2706)*(dtf-dtr)/2'     w_2707
+ 'delay+1354*per+  (w_2707-w_2708)*distort/2'                                                w_2707
+ 'delay+1354*per+  (w_2707-w_2708)*distort/2+(dtf+dtr)/2+(w_2708-w_2707)*(dtf-dtr)/2'        w_2708
+ 'delay+1354*per+per2+(w_2708-w_2709)*distort/2'                                             w_2708
+ 'delay+1354*per+per2+(w_2708-w_2709)*distort/2+(dtf+dtr)/2+(w_2709-w_2708)*(dtf-dtr)/2'     w_2709
+ 'delay+1355*per+  (w_2709-w_2710)*distort/2'                                                w_2709
+ 'delay+1355*per+  (w_2709-w_2710)*distort/2+(dtf+dtr)/2+(w_2710-w_2709)*(dtf-dtr)/2'        w_2710
+ 'delay+1355*per+per2+(w_2710-w_2711)*distort/2'                                             w_2710
+ 'delay+1355*per+per2+(w_2710-w_2711)*distort/2+(dtf+dtr)/2+(w_2711-w_2710)*(dtf-dtr)/2'     w_2711
+ 'delay+1356*per+  (w_2711-w_2712)*distort/2'                                                w_2711
+ 'delay+1356*per+  (w_2711-w_2712)*distort/2+(dtf+dtr)/2+(w_2712-w_2711)*(dtf-dtr)/2'        w_2712
+ 'delay+1356*per+per2+(w_2712-w_2713)*distort/2'                                             w_2712
+ 'delay+1356*per+per2+(w_2712-w_2713)*distort/2+(dtf+dtr)/2+(w_2713-w_2712)*(dtf-dtr)/2'     w_2713
+ 'delay+1357*per+  (w_2713-w_2714)*distort/2'                                                w_2713
+ 'delay+1357*per+  (w_2713-w_2714)*distort/2+(dtf+dtr)/2+(w_2714-w_2713)*(dtf-dtr)/2'        w_2714
+ 'delay+1357*per+per2+(w_2714-w_2715)*distort/2'                                             w_2714
+ 'delay+1357*per+per2+(w_2714-w_2715)*distort/2+(dtf+dtr)/2+(w_2715-w_2714)*(dtf-dtr)/2'     w_2715
+ 'delay+1358*per+  (w_2715-w_2716)*distort/2'                                                w_2715
+ 'delay+1358*per+  (w_2715-w_2716)*distort/2+(dtf+dtr)/2+(w_2716-w_2715)*(dtf-dtr)/2'        w_2716
+ 'delay+1358*per+per2+(w_2716-w_2717)*distort/2'                                             w_2716
+ 'delay+1358*per+per2+(w_2716-w_2717)*distort/2+(dtf+dtr)/2+(w_2717-w_2716)*(dtf-dtr)/2'     w_2717
+ 'delay+1359*per+  (w_2717-w_2718)*distort/2'                                                w_2717
+ 'delay+1359*per+  (w_2717-w_2718)*distort/2+(dtf+dtr)/2+(w_2718-w_2717)*(dtf-dtr)/2'        w_2718
+ 'delay+1359*per+per2+(w_2718-w_2719)*distort/2'                                             w_2718
+ 'delay+1359*per+per2+(w_2718-w_2719)*distort/2+(dtf+dtr)/2+(w_2719-w_2718)*(dtf-dtr)/2'     w_2719
+ 'delay+1360*per+  (w_2719-w_2720)*distort/2'                                                w_2719
+ 'delay+1360*per+  (w_2719-w_2720)*distort/2+(dtf+dtr)/2+(w_2720-w_2719)*(dtf-dtr)/2'        w_2720
+ 'delay+1360*per+per2+(w_2720-w_2721)*distort/2'                                             w_2720
+ 'delay+1360*per+per2+(w_2720-w_2721)*distort/2+(dtf+dtr)/2+(w_2721-w_2720)*(dtf-dtr)/2'     w_2721
+ 'delay+1361*per+  (w_2721-w_2722)*distort/2'                                                w_2721
+ 'delay+1361*per+  (w_2721-w_2722)*distort/2+(dtf+dtr)/2+(w_2722-w_2721)*(dtf-dtr)/2'        w_2722
+ 'delay+1361*per+per2+(w_2722-w_2723)*distort/2'                                             w_2722
+ 'delay+1361*per+per2+(w_2722-w_2723)*distort/2+(dtf+dtr)/2+(w_2723-w_2722)*(dtf-dtr)/2'     w_2723
+ 'delay+1362*per+  (w_2723-w_2724)*distort/2'                                                w_2723
+ 'delay+1362*per+  (w_2723-w_2724)*distort/2+(dtf+dtr)/2+(w_2724-w_2723)*(dtf-dtr)/2'        w_2724
+ 'delay+1362*per+per2+(w_2724-w_2725)*distort/2'                                             w_2724
+ 'delay+1362*per+per2+(w_2724-w_2725)*distort/2+(dtf+dtr)/2+(w_2725-w_2724)*(dtf-dtr)/2'     w_2725
+ 'delay+1363*per+  (w_2725-w_2726)*distort/2'                                                w_2725
+ 'delay+1363*per+  (w_2725-w_2726)*distort/2+(dtf+dtr)/2+(w_2726-w_2725)*(dtf-dtr)/2'        w_2726
+ 'delay+1363*per+per2+(w_2726-w_2727)*distort/2'                                             w_2726
+ 'delay+1363*per+per2+(w_2726-w_2727)*distort/2+(dtf+dtr)/2+(w_2727-w_2726)*(dtf-dtr)/2'     w_2727
+ 'delay+1364*per+  (w_2727-w_2728)*distort/2'                                                w_2727
+ 'delay+1364*per+  (w_2727-w_2728)*distort/2+(dtf+dtr)/2+(w_2728-w_2727)*(dtf-dtr)/2'        w_2728
+ 'delay+1364*per+per2+(w_2728-w_2729)*distort/2'                                             w_2728
+ 'delay+1364*per+per2+(w_2728-w_2729)*distort/2+(dtf+dtr)/2+(w_2729-w_2728)*(dtf-dtr)/2'     w_2729
+ 'delay+1365*per+  (w_2729-w_2730)*distort/2'                                                w_2729
+ 'delay+1365*per+  (w_2729-w_2730)*distort/2+(dtf+dtr)/2+(w_2730-w_2729)*(dtf-dtr)/2'        w_2730
+ 'delay+1365*per+per2+(w_2730-w_2731)*distort/2'                                             w_2730
+ 'delay+1365*per+per2+(w_2730-w_2731)*distort/2+(dtf+dtr)/2+(w_2731-w_2730)*(dtf-dtr)/2'     w_2731
+ 'delay+1366*per+  (w_2731-w_2732)*distort/2'                                                w_2731
+ 'delay+1366*per+  (w_2731-w_2732)*distort/2+(dtf+dtr)/2+(w_2732-w_2731)*(dtf-dtr)/2'        w_2732
+ 'delay+1366*per+per2+(w_2732-w_2733)*distort/2'                                             w_2732
+ 'delay+1366*per+per2+(w_2732-w_2733)*distort/2+(dtf+dtr)/2+(w_2733-w_2732)*(dtf-dtr)/2'     w_2733
+ 'delay+1367*per+  (w_2733-w_2734)*distort/2'                                                w_2733
+ 'delay+1367*per+  (w_2733-w_2734)*distort/2+(dtf+dtr)/2+(w_2734-w_2733)*(dtf-dtr)/2'        w_2734
+ 'delay+1367*per+per2+(w_2734-w_2735)*distort/2'                                             w_2734
+ 'delay+1367*per+per2+(w_2734-w_2735)*distort/2+(dtf+dtr)/2+(w_2735-w_2734)*(dtf-dtr)/2'     w_2735
+ 'delay+1368*per+  (w_2735-w_2736)*distort/2'                                                w_2735
+ 'delay+1368*per+  (w_2735-w_2736)*distort/2+(dtf+dtr)/2+(w_2736-w_2735)*(dtf-dtr)/2'        w_2736
+ 'delay+1368*per+per2+(w_2736-w_2737)*distort/2'                                             w_2736
+ 'delay+1368*per+per2+(w_2736-w_2737)*distort/2+(dtf+dtr)/2+(w_2737-w_2736)*(dtf-dtr)/2'     w_2737
+ 'delay+1369*per+  (w_2737-w_2738)*distort/2'                                                w_2737
+ 'delay+1369*per+  (w_2737-w_2738)*distort/2+(dtf+dtr)/2+(w_2738-w_2737)*(dtf-dtr)/2'        w_2738
+ 'delay+1369*per+per2+(w_2738-w_2739)*distort/2'                                             w_2738
+ 'delay+1369*per+per2+(w_2738-w_2739)*distort/2+(dtf+dtr)/2+(w_2739-w_2738)*(dtf-dtr)/2'     w_2739
+ 'delay+1370*per+  (w_2739-w_2740)*distort/2'                                                w_2739
+ 'delay+1370*per+  (w_2739-w_2740)*distort/2+(dtf+dtr)/2+(w_2740-w_2739)*(dtf-dtr)/2'        w_2740
+ 'delay+1370*per+per2+(w_2740-w_2741)*distort/2'                                             w_2740
+ 'delay+1370*per+per2+(w_2740-w_2741)*distort/2+(dtf+dtr)/2+(w_2741-w_2740)*(dtf-dtr)/2'     w_2741
+ 'delay+1371*per+  (w_2741-w_2742)*distort/2'                                                w_2741
+ 'delay+1371*per+  (w_2741-w_2742)*distort/2+(dtf+dtr)/2+(w_2742-w_2741)*(dtf-dtr)/2'        w_2742
+ 'delay+1371*per+per2+(w_2742-w_2743)*distort/2'                                             w_2742
+ 'delay+1371*per+per2+(w_2742-w_2743)*distort/2+(dtf+dtr)/2+(w_2743-w_2742)*(dtf-dtr)/2'     w_2743
+ 'delay+1372*per+  (w_2743-w_2744)*distort/2'                                                w_2743
+ 'delay+1372*per+  (w_2743-w_2744)*distort/2+(dtf+dtr)/2+(w_2744-w_2743)*(dtf-dtr)/2'        w_2744
+ 'delay+1372*per+per2+(w_2744-w_2745)*distort/2'                                             w_2744
+ 'delay+1372*per+per2+(w_2744-w_2745)*distort/2+(dtf+dtr)/2+(w_2745-w_2744)*(dtf-dtr)/2'     w_2745
+ 'delay+1373*per+  (w_2745-w_2746)*distort/2'                                                w_2745
+ 'delay+1373*per+  (w_2745-w_2746)*distort/2+(dtf+dtr)/2+(w_2746-w_2745)*(dtf-dtr)/2'        w_2746
+ 'delay+1373*per+per2+(w_2746-w_2747)*distort/2'                                             w_2746
+ 'delay+1373*per+per2+(w_2746-w_2747)*distort/2+(dtf+dtr)/2+(w_2747-w_2746)*(dtf-dtr)/2'     w_2747
+ 'delay+1374*per+  (w_2747-w_2748)*distort/2'                                                w_2747
+ 'delay+1374*per+  (w_2747-w_2748)*distort/2+(dtf+dtr)/2+(w_2748-w_2747)*(dtf-dtr)/2'        w_2748
+ 'delay+1374*per+per2+(w_2748-w_2749)*distort/2'                                             w_2748
+ 'delay+1374*per+per2+(w_2748-w_2749)*distort/2+(dtf+dtr)/2+(w_2749-w_2748)*(dtf-dtr)/2'     w_2749
+ 'delay+1375*per+  (w_2749-w_2750)*distort/2'                                                w_2749
+ 'delay+1375*per+  (w_2749-w_2750)*distort/2+(dtf+dtr)/2+(w_2750-w_2749)*(dtf-dtr)/2'        w_2750
+ 'delay+1375*per+per2+(w_2750-w_2751)*distort/2'                                             w_2750
+ 'delay+1375*per+per2+(w_2750-w_2751)*distort/2+(dtf+dtr)/2+(w_2751-w_2750)*(dtf-dtr)/2'     w_2751
+ 'delay+1376*per+  (w_2751-w_2752)*distort/2'                                                w_2751
+ 'delay+1376*per+  (w_2751-w_2752)*distort/2+(dtf+dtr)/2+(w_2752-w_2751)*(dtf-dtr)/2'        w_2752
+ 'delay+1376*per+per2+(w_2752-w_2753)*distort/2'                                             w_2752
+ 'delay+1376*per+per2+(w_2752-w_2753)*distort/2+(dtf+dtr)/2+(w_2753-w_2752)*(dtf-dtr)/2'     w_2753
+ 'delay+1377*per+  (w_2753-w_2754)*distort/2'                                                w_2753
+ 'delay+1377*per+  (w_2753-w_2754)*distort/2+(dtf+dtr)/2+(w_2754-w_2753)*(dtf-dtr)/2'        w_2754
+ 'delay+1377*per+per2+(w_2754-w_2755)*distort/2'                                             w_2754
+ 'delay+1377*per+per2+(w_2754-w_2755)*distort/2+(dtf+dtr)/2+(w_2755-w_2754)*(dtf-dtr)/2'     w_2755
+ 'delay+1378*per+  (w_2755-w_2756)*distort/2'                                                w_2755
+ 'delay+1378*per+  (w_2755-w_2756)*distort/2+(dtf+dtr)/2+(w_2756-w_2755)*(dtf-dtr)/2'        w_2756
+ 'delay+1378*per+per2+(w_2756-w_2757)*distort/2'                                             w_2756
+ 'delay+1378*per+per2+(w_2756-w_2757)*distort/2+(dtf+dtr)/2+(w_2757-w_2756)*(dtf-dtr)/2'     w_2757
+ 'delay+1379*per+  (w_2757-w_2758)*distort/2'                                                w_2757
+ 'delay+1379*per+  (w_2757-w_2758)*distort/2+(dtf+dtr)/2+(w_2758-w_2757)*(dtf-dtr)/2'        w_2758
+ 'delay+1379*per+per2+(w_2758-w_2759)*distort/2'                                             w_2758
+ 'delay+1379*per+per2+(w_2758-w_2759)*distort/2+(dtf+dtr)/2+(w_2759-w_2758)*(dtf-dtr)/2'     w_2759
+ 'delay+1380*per+  (w_2759-w_2760)*distort/2'                                                w_2759
+ 'delay+1380*per+  (w_2759-w_2760)*distort/2+(dtf+dtr)/2+(w_2760-w_2759)*(dtf-dtr)/2'        w_2760
+ 'delay+1380*per+per2+(w_2760-w_2761)*distort/2'                                             w_2760
+ 'delay+1380*per+per2+(w_2760-w_2761)*distort/2+(dtf+dtr)/2+(w_2761-w_2760)*(dtf-dtr)/2'     w_2761
+ 'delay+1381*per+  (w_2761-w_2762)*distort/2'                                                w_2761
+ 'delay+1381*per+  (w_2761-w_2762)*distort/2+(dtf+dtr)/2+(w_2762-w_2761)*(dtf-dtr)/2'        w_2762
+ 'delay+1381*per+per2+(w_2762-w_2763)*distort/2'                                             w_2762
+ 'delay+1381*per+per2+(w_2762-w_2763)*distort/2+(dtf+dtr)/2+(w_2763-w_2762)*(dtf-dtr)/2'     w_2763
+ 'delay+1382*per+  (w_2763-w_2764)*distort/2'                                                w_2763
+ 'delay+1382*per+  (w_2763-w_2764)*distort/2+(dtf+dtr)/2+(w_2764-w_2763)*(dtf-dtr)/2'        w_2764
+ 'delay+1382*per+per2+(w_2764-w_2765)*distort/2'                                             w_2764
+ 'delay+1382*per+per2+(w_2764-w_2765)*distort/2+(dtf+dtr)/2+(w_2765-w_2764)*(dtf-dtr)/2'     w_2765
+ 'delay+1383*per+  (w_2765-w_2766)*distort/2'                                                w_2765
+ 'delay+1383*per+  (w_2765-w_2766)*distort/2+(dtf+dtr)/2+(w_2766-w_2765)*(dtf-dtr)/2'        w_2766
+ 'delay+1383*per+per2+(w_2766-w_2767)*distort/2'                                             w_2766
+ 'delay+1383*per+per2+(w_2766-w_2767)*distort/2+(dtf+dtr)/2+(w_2767-w_2766)*(dtf-dtr)/2'     w_2767
+ 'delay+1384*per+  (w_2767-w_2768)*distort/2'                                                w_2767
+ 'delay+1384*per+  (w_2767-w_2768)*distort/2+(dtf+dtr)/2+(w_2768-w_2767)*(dtf-dtr)/2'        w_2768
+ 'delay+1384*per+per2+(w_2768-w_2769)*distort/2'                                             w_2768
+ 'delay+1384*per+per2+(w_2768-w_2769)*distort/2+(dtf+dtr)/2+(w_2769-w_2768)*(dtf-dtr)/2'     w_2769
+ 'delay+1385*per+  (w_2769-w_2770)*distort/2'                                                w_2769
+ 'delay+1385*per+  (w_2769-w_2770)*distort/2+(dtf+dtr)/2+(w_2770-w_2769)*(dtf-dtr)/2'        w_2770
+ 'delay+1385*per+per2+(w_2770-w_2771)*distort/2'                                             w_2770
+ 'delay+1385*per+per2+(w_2770-w_2771)*distort/2+(dtf+dtr)/2+(w_2771-w_2770)*(dtf-dtr)/2'     w_2771
+ 'delay+1386*per+  (w_2771-w_2772)*distort/2'                                                w_2771
+ 'delay+1386*per+  (w_2771-w_2772)*distort/2+(dtf+dtr)/2+(w_2772-w_2771)*(dtf-dtr)/2'        w_2772
+ 'delay+1386*per+per2+(w_2772-w_2773)*distort/2'                                             w_2772
+ 'delay+1386*per+per2+(w_2772-w_2773)*distort/2+(dtf+dtr)/2+(w_2773-w_2772)*(dtf-dtr)/2'     w_2773
+ 'delay+1387*per+  (w_2773-w_2774)*distort/2'                                                w_2773
+ 'delay+1387*per+  (w_2773-w_2774)*distort/2+(dtf+dtr)/2+(w_2774-w_2773)*(dtf-dtr)/2'        w_2774
+ 'delay+1387*per+per2+(w_2774-w_2775)*distort/2'                                             w_2774
+ 'delay+1387*per+per2+(w_2774-w_2775)*distort/2+(dtf+dtr)/2+(w_2775-w_2774)*(dtf-dtr)/2'     w_2775
+ 'delay+1388*per+  (w_2775-w_2776)*distort/2'                                                w_2775
+ 'delay+1388*per+  (w_2775-w_2776)*distort/2+(dtf+dtr)/2+(w_2776-w_2775)*(dtf-dtr)/2'        w_2776
+ 'delay+1388*per+per2+(w_2776-w_2777)*distort/2'                                             w_2776
+ 'delay+1388*per+per2+(w_2776-w_2777)*distort/2+(dtf+dtr)/2+(w_2777-w_2776)*(dtf-dtr)/2'     w_2777
+ 'delay+1389*per+  (w_2777-w_2778)*distort/2'                                                w_2777
+ 'delay+1389*per+  (w_2777-w_2778)*distort/2+(dtf+dtr)/2+(w_2778-w_2777)*(dtf-dtr)/2'        w_2778
+ 'delay+1389*per+per2+(w_2778-w_2779)*distort/2'                                             w_2778
+ 'delay+1389*per+per2+(w_2778-w_2779)*distort/2+(dtf+dtr)/2+(w_2779-w_2778)*(dtf-dtr)/2'     w_2779
+ 'delay+1390*per+  (w_2779-w_2780)*distort/2'                                                w_2779
+ 'delay+1390*per+  (w_2779-w_2780)*distort/2+(dtf+dtr)/2+(w_2780-w_2779)*(dtf-dtr)/2'        w_2780
+ 'delay+1390*per+per2+(w_2780-w_2781)*distort/2'                                             w_2780
+ 'delay+1390*per+per2+(w_2780-w_2781)*distort/2+(dtf+dtr)/2+(w_2781-w_2780)*(dtf-dtr)/2'     w_2781
+ 'delay+1391*per+  (w_2781-w_2782)*distort/2'                                                w_2781
+ 'delay+1391*per+  (w_2781-w_2782)*distort/2+(dtf+dtr)/2+(w_2782-w_2781)*(dtf-dtr)/2'        w_2782
+ 'delay+1391*per+per2+(w_2782-w_2783)*distort/2'                                             w_2782
+ 'delay+1391*per+per2+(w_2782-w_2783)*distort/2+(dtf+dtr)/2+(w_2783-w_2782)*(dtf-dtr)/2'     w_2783
+ 'delay+1392*per+  (w_2783-w_2784)*distort/2'                                                w_2783
+ 'delay+1392*per+  (w_2783-w_2784)*distort/2+(dtf+dtr)/2+(w_2784-w_2783)*(dtf-dtr)/2'        w_2784
+ 'delay+1392*per+per2+(w_2784-w_2785)*distort/2'                                             w_2784
+ 'delay+1392*per+per2+(w_2784-w_2785)*distort/2+(dtf+dtr)/2+(w_2785-w_2784)*(dtf-dtr)/2'     w_2785
+ 'delay+1393*per+  (w_2785-w_2786)*distort/2'                                                w_2785
+ 'delay+1393*per+  (w_2785-w_2786)*distort/2+(dtf+dtr)/2+(w_2786-w_2785)*(dtf-dtr)/2'        w_2786
+ 'delay+1393*per+per2+(w_2786-w_2787)*distort/2'                                             w_2786
+ 'delay+1393*per+per2+(w_2786-w_2787)*distort/2+(dtf+dtr)/2+(w_2787-w_2786)*(dtf-dtr)/2'     w_2787
+ 'delay+1394*per+  (w_2787-w_2788)*distort/2'                                                w_2787
+ 'delay+1394*per+  (w_2787-w_2788)*distort/2+(dtf+dtr)/2+(w_2788-w_2787)*(dtf-dtr)/2'        w_2788
+ 'delay+1394*per+per2+(w_2788-w_2789)*distort/2'                                             w_2788
+ 'delay+1394*per+per2+(w_2788-w_2789)*distort/2+(dtf+dtr)/2+(w_2789-w_2788)*(dtf-dtr)/2'     w_2789
+ 'delay+1395*per+  (w_2789-w_2790)*distort/2'                                                w_2789
+ 'delay+1395*per+  (w_2789-w_2790)*distort/2+(dtf+dtr)/2+(w_2790-w_2789)*(dtf-dtr)/2'        w_2790
+ 'delay+1395*per+per2+(w_2790-w_2791)*distort/2'                                             w_2790
+ 'delay+1395*per+per2+(w_2790-w_2791)*distort/2+(dtf+dtr)/2+(w_2791-w_2790)*(dtf-dtr)/2'     w_2791
+ 'delay+1396*per+  (w_2791-w_2792)*distort/2'                                                w_2791
+ 'delay+1396*per+  (w_2791-w_2792)*distort/2+(dtf+dtr)/2+(w_2792-w_2791)*(dtf-dtr)/2'        w_2792
+ 'delay+1396*per+per2+(w_2792-w_2793)*distort/2'                                             w_2792
+ 'delay+1396*per+per2+(w_2792-w_2793)*distort/2+(dtf+dtr)/2+(w_2793-w_2792)*(dtf-dtr)/2'     w_2793
+ 'delay+1397*per+  (w_2793-w_2794)*distort/2'                                                w_2793
+ 'delay+1397*per+  (w_2793-w_2794)*distort/2+(dtf+dtr)/2+(w_2794-w_2793)*(dtf-dtr)/2'        w_2794
+ 'delay+1397*per+per2+(w_2794-w_2795)*distort/2'                                             w_2794
+ 'delay+1397*per+per2+(w_2794-w_2795)*distort/2+(dtf+dtr)/2+(w_2795-w_2794)*(dtf-dtr)/2'     w_2795
+ 'delay+1398*per+  (w_2795-w_2796)*distort/2'                                                w_2795
+ 'delay+1398*per+  (w_2795-w_2796)*distort/2+(dtf+dtr)/2+(w_2796-w_2795)*(dtf-dtr)/2'        w_2796
+ 'delay+1398*per+per2+(w_2796-w_2797)*distort/2'                                             w_2796
+ 'delay+1398*per+per2+(w_2796-w_2797)*distort/2+(dtf+dtr)/2+(w_2797-w_2796)*(dtf-dtr)/2'     w_2797
+ 'delay+1399*per+  (w_2797-w_2798)*distort/2'                                                w_2797
+ 'delay+1399*per+  (w_2797-w_2798)*distort/2+(dtf+dtr)/2+(w_2798-w_2797)*(dtf-dtr)/2'        w_2798
+ 'delay+1399*per+per2+(w_2798-w_2799)*distort/2'                                             w_2798
+ 'delay+1399*per+per2+(w_2798-w_2799)*distort/2+(dtf+dtr)/2+(w_2799-w_2798)*(dtf-dtr)/2'     w_2799
+ 'delay+1400*per+  (w_2799-w_2800)*distort/2'                                                w_2799
+ 'delay+1400*per+  (w_2799-w_2800)*distort/2+(dtf+dtr)/2+(w_2800-w_2799)*(dtf-dtr)/2'        w_2800
+ 'delay+1400*per+per2+(w_2800-w_2801)*distort/2'                                             w_2800
+ 'delay+1400*per+per2+(w_2800-w_2801)*distort/2+(dtf+dtr)/2+(w_2801-w_2800)*(dtf-dtr)/2'     w_2801
+ 'delay+1401*per+  (w_2801-w_2802)*distort/2'                                                w_2801
+ 'delay+1401*per+  (w_2801-w_2802)*distort/2+(dtf+dtr)/2+(w_2802-w_2801)*(dtf-dtr)/2'        w_2802
+ 'delay+1401*per+per2+(w_2802-w_2803)*distort/2'                                             w_2802
+ 'delay+1401*per+per2+(w_2802-w_2803)*distort/2+(dtf+dtr)/2+(w_2803-w_2802)*(dtf-dtr)/2'     w_2803
+ 'delay+1402*per+  (w_2803-w_2804)*distort/2'                                                w_2803
+ 'delay+1402*per+  (w_2803-w_2804)*distort/2+(dtf+dtr)/2+(w_2804-w_2803)*(dtf-dtr)/2'        w_2804
+ 'delay+1402*per+per2+(w_2804-w_2805)*distort/2'                                             w_2804
+ 'delay+1402*per+per2+(w_2804-w_2805)*distort/2+(dtf+dtr)/2+(w_2805-w_2804)*(dtf-dtr)/2'     w_2805
+ 'delay+1403*per+  (w_2805-w_2806)*distort/2'                                                w_2805
+ 'delay+1403*per+  (w_2805-w_2806)*distort/2+(dtf+dtr)/2+(w_2806-w_2805)*(dtf-dtr)/2'        w_2806
+ 'delay+1403*per+per2+(w_2806-w_2807)*distort/2'                                             w_2806
+ 'delay+1403*per+per2+(w_2806-w_2807)*distort/2+(dtf+dtr)/2+(w_2807-w_2806)*(dtf-dtr)/2'     w_2807
+ 'delay+1404*per+  (w_2807-w_2808)*distort/2'                                                w_2807
+ 'delay+1404*per+  (w_2807-w_2808)*distort/2+(dtf+dtr)/2+(w_2808-w_2807)*(dtf-dtr)/2'        w_2808
+ 'delay+1404*per+per2+(w_2808-w_2809)*distort/2'                                             w_2808
+ 'delay+1404*per+per2+(w_2808-w_2809)*distort/2+(dtf+dtr)/2+(w_2809-w_2808)*(dtf-dtr)/2'     w_2809
+ 'delay+1405*per+  (w_2809-w_2810)*distort/2'                                                w_2809
+ 'delay+1405*per+  (w_2809-w_2810)*distort/2+(dtf+dtr)/2+(w_2810-w_2809)*(dtf-dtr)/2'        w_2810
+ 'delay+1405*per+per2+(w_2810-w_2811)*distort/2'                                             w_2810
+ 'delay+1405*per+per2+(w_2810-w_2811)*distort/2+(dtf+dtr)/2+(w_2811-w_2810)*(dtf-dtr)/2'     w_2811
+ 'delay+1406*per+  (w_2811-w_2812)*distort/2'                                                w_2811
+ 'delay+1406*per+  (w_2811-w_2812)*distort/2+(dtf+dtr)/2+(w_2812-w_2811)*(dtf-dtr)/2'        w_2812
+ 'delay+1406*per+per2+(w_2812-w_2813)*distort/2'                                             w_2812
+ 'delay+1406*per+per2+(w_2812-w_2813)*distort/2+(dtf+dtr)/2+(w_2813-w_2812)*(dtf-dtr)/2'     w_2813
+ 'delay+1407*per+  (w_2813-w_2814)*distort/2'                                                w_2813
+ 'delay+1407*per+  (w_2813-w_2814)*distort/2+(dtf+dtr)/2+(w_2814-w_2813)*(dtf-dtr)/2'        w_2814
+ 'delay+1407*per+per2+(w_2814-w_2815)*distort/2'                                             w_2814
+ 'delay+1407*per+per2+(w_2814-w_2815)*distort/2+(dtf+dtr)/2+(w_2815-w_2814)*(dtf-dtr)/2'     w_2815
+ 'delay+1408*per+  (w_2815-w_2816)*distort/2'                                                w_2815
+ 'delay+1408*per+  (w_2815-w_2816)*distort/2+(dtf+dtr)/2+(w_2816-w_2815)*(dtf-dtr)/2'        w_2816
+ 'delay+1408*per+per2+(w_2816-w_2817)*distort/2'                                             w_2816
+ 'delay+1408*per+per2+(w_2816-w_2817)*distort/2+(dtf+dtr)/2+(w_2817-w_2816)*(dtf-dtr)/2'     w_2817
+ 'delay+1409*per+  (w_2817-w_2818)*distort/2'                                                w_2817
+ 'delay+1409*per+  (w_2817-w_2818)*distort/2+(dtf+dtr)/2+(w_2818-w_2817)*(dtf-dtr)/2'        w_2818
+ 'delay+1409*per+per2+(w_2818-w_2819)*distort/2'                                             w_2818
+ 'delay+1409*per+per2+(w_2818-w_2819)*distort/2+(dtf+dtr)/2+(w_2819-w_2818)*(dtf-dtr)/2'     w_2819
+ 'delay+1410*per+  (w_2819-w_2820)*distort/2'                                                w_2819
+ 'delay+1410*per+  (w_2819-w_2820)*distort/2+(dtf+dtr)/2+(w_2820-w_2819)*(dtf-dtr)/2'        w_2820
+ 'delay+1410*per+per2+(w_2820-w_2821)*distort/2'                                             w_2820
+ 'delay+1410*per+per2+(w_2820-w_2821)*distort/2+(dtf+dtr)/2+(w_2821-w_2820)*(dtf-dtr)/2'     w_2821
+ 'delay+1411*per+  (w_2821-w_2822)*distort/2'                                                w_2821
+ 'delay+1411*per+  (w_2821-w_2822)*distort/2+(dtf+dtr)/2+(w_2822-w_2821)*(dtf-dtr)/2'        w_2822
+ 'delay+1411*per+per2+(w_2822-w_2823)*distort/2'                                             w_2822
+ 'delay+1411*per+per2+(w_2822-w_2823)*distort/2+(dtf+dtr)/2+(w_2823-w_2822)*(dtf-dtr)/2'     w_2823
+ 'delay+1412*per+  (w_2823-w_2824)*distort/2'                                                w_2823
+ 'delay+1412*per+  (w_2823-w_2824)*distort/2+(dtf+dtr)/2+(w_2824-w_2823)*(dtf-dtr)/2'        w_2824
+ 'delay+1412*per+per2+(w_2824-w_2825)*distort/2'                                             w_2824
+ 'delay+1412*per+per2+(w_2824-w_2825)*distort/2+(dtf+dtr)/2+(w_2825-w_2824)*(dtf-dtr)/2'     w_2825
+ 'delay+1413*per+  (w_2825-w_2826)*distort/2'                                                w_2825
+ 'delay+1413*per+  (w_2825-w_2826)*distort/2+(dtf+dtr)/2+(w_2826-w_2825)*(dtf-dtr)/2'        w_2826
+ 'delay+1413*per+per2+(w_2826-w_2827)*distort/2'                                             w_2826
+ 'delay+1413*per+per2+(w_2826-w_2827)*distort/2+(dtf+dtr)/2+(w_2827-w_2826)*(dtf-dtr)/2'     w_2827
+ 'delay+1414*per+  (w_2827-w_2828)*distort/2'                                                w_2827
+ 'delay+1414*per+  (w_2827-w_2828)*distort/2+(dtf+dtr)/2+(w_2828-w_2827)*(dtf-dtr)/2'        w_2828
+ 'delay+1414*per+per2+(w_2828-w_2829)*distort/2'                                             w_2828
+ 'delay+1414*per+per2+(w_2828-w_2829)*distort/2+(dtf+dtr)/2+(w_2829-w_2828)*(dtf-dtr)/2'     w_2829
+ 'delay+1415*per+  (w_2829-w_2830)*distort/2'                                                w_2829
+ 'delay+1415*per+  (w_2829-w_2830)*distort/2+(dtf+dtr)/2+(w_2830-w_2829)*(dtf-dtr)/2'        w_2830
+ 'delay+1415*per+per2+(w_2830-w_2831)*distort/2'                                             w_2830
+ 'delay+1415*per+per2+(w_2830-w_2831)*distort/2+(dtf+dtr)/2+(w_2831-w_2830)*(dtf-dtr)/2'     w_2831
+ 'delay+1416*per+  (w_2831-w_2832)*distort/2'                                                w_2831
+ 'delay+1416*per+  (w_2831-w_2832)*distort/2+(dtf+dtr)/2+(w_2832-w_2831)*(dtf-dtr)/2'        w_2832
+ 'delay+1416*per+per2+(w_2832-w_2833)*distort/2'                                             w_2832
+ 'delay+1416*per+per2+(w_2832-w_2833)*distort/2+(dtf+dtr)/2+(w_2833-w_2832)*(dtf-dtr)/2'     w_2833
+ 'delay+1417*per+  (w_2833-w_2834)*distort/2'                                                w_2833
+ 'delay+1417*per+  (w_2833-w_2834)*distort/2+(dtf+dtr)/2+(w_2834-w_2833)*(dtf-dtr)/2'        w_2834
+ 'delay+1417*per+per2+(w_2834-w_2835)*distort/2'                                             w_2834
+ 'delay+1417*per+per2+(w_2834-w_2835)*distort/2+(dtf+dtr)/2+(w_2835-w_2834)*(dtf-dtr)/2'     w_2835
+ 'delay+1418*per+  (w_2835-w_2836)*distort/2'                                                w_2835
+ 'delay+1418*per+  (w_2835-w_2836)*distort/2+(dtf+dtr)/2+(w_2836-w_2835)*(dtf-dtr)/2'        w_2836
+ 'delay+1418*per+per2+(w_2836-w_2837)*distort/2'                                             w_2836
+ 'delay+1418*per+per2+(w_2836-w_2837)*distort/2+(dtf+dtr)/2+(w_2837-w_2836)*(dtf-dtr)/2'     w_2837
+ 'delay+1419*per+  (w_2837-w_2838)*distort/2'                                                w_2837
+ 'delay+1419*per+  (w_2837-w_2838)*distort/2+(dtf+dtr)/2+(w_2838-w_2837)*(dtf-dtr)/2'        w_2838
+ 'delay+1419*per+per2+(w_2838-w_2839)*distort/2'                                             w_2838
+ 'delay+1419*per+per2+(w_2838-w_2839)*distort/2+(dtf+dtr)/2+(w_2839-w_2838)*(dtf-dtr)/2'     w_2839
+ 'delay+1420*per+  (w_2839-w_2840)*distort/2'                                                w_2839
+ 'delay+1420*per+  (w_2839-w_2840)*distort/2+(dtf+dtr)/2+(w_2840-w_2839)*(dtf-dtr)/2'        w_2840
+ 'delay+1420*per+per2+(w_2840-w_2841)*distort/2'                                             w_2840
+ 'delay+1420*per+per2+(w_2840-w_2841)*distort/2+(dtf+dtr)/2+(w_2841-w_2840)*(dtf-dtr)/2'     w_2841
+ 'delay+1421*per+  (w_2841-w_2842)*distort/2'                                                w_2841
+ 'delay+1421*per+  (w_2841-w_2842)*distort/2+(dtf+dtr)/2+(w_2842-w_2841)*(dtf-dtr)/2'        w_2842
+ 'delay+1421*per+per2+(w_2842-w_2843)*distort/2'                                             w_2842
+ 'delay+1421*per+per2+(w_2842-w_2843)*distort/2+(dtf+dtr)/2+(w_2843-w_2842)*(dtf-dtr)/2'     w_2843
+ 'delay+1422*per+  (w_2843-w_2844)*distort/2'                                                w_2843
+ 'delay+1422*per+  (w_2843-w_2844)*distort/2+(dtf+dtr)/2+(w_2844-w_2843)*(dtf-dtr)/2'        w_2844
+ 'delay+1422*per+per2+(w_2844-w_2845)*distort/2'                                             w_2844
+ 'delay+1422*per+per2+(w_2844-w_2845)*distort/2+(dtf+dtr)/2+(w_2845-w_2844)*(dtf-dtr)/2'     w_2845
+ 'delay+1423*per+  (w_2845-w_2846)*distort/2'                                                w_2845
+ 'delay+1423*per+  (w_2845-w_2846)*distort/2+(dtf+dtr)/2+(w_2846-w_2845)*(dtf-dtr)/2'        w_2846
+ 'delay+1423*per+per2+(w_2846-w_2847)*distort/2'                                             w_2846
+ 'delay+1423*per+per2+(w_2846-w_2847)*distort/2+(dtf+dtr)/2+(w_2847-w_2846)*(dtf-dtr)/2'     w_2847
+ 'delay+1424*per+  (w_2847-w_2848)*distort/2'                                                w_2847
+ 'delay+1424*per+  (w_2847-w_2848)*distort/2+(dtf+dtr)/2+(w_2848-w_2847)*(dtf-dtr)/2'        w_2848
+ 'delay+1424*per+per2+(w_2848-w_2849)*distort/2'                                             w_2848
+ 'delay+1424*per+per2+(w_2848-w_2849)*distort/2+(dtf+dtr)/2+(w_2849-w_2848)*(dtf-dtr)/2'     w_2849
+ 'delay+1425*per+  (w_2849-w_2850)*distort/2'                                                w_2849
+ 'delay+1425*per+  (w_2849-w_2850)*distort/2+(dtf+dtr)/2+(w_2850-w_2849)*(dtf-dtr)/2'        w_2850
+ 'delay+1425*per+per2+(w_2850-w_2851)*distort/2'                                             w_2850
+ 'delay+1425*per+per2+(w_2850-w_2851)*distort/2+(dtf+dtr)/2+(w_2851-w_2850)*(dtf-dtr)/2'     w_2851
+ 'delay+1426*per+  (w_2851-w_2852)*distort/2'                                                w_2851
+ 'delay+1426*per+  (w_2851-w_2852)*distort/2+(dtf+dtr)/2+(w_2852-w_2851)*(dtf-dtr)/2'        w_2852
+ 'delay+1426*per+per2+(w_2852-w_2853)*distort/2'                                             w_2852
+ 'delay+1426*per+per2+(w_2852-w_2853)*distort/2+(dtf+dtr)/2+(w_2853-w_2852)*(dtf-dtr)/2'     w_2853
+ 'delay+1427*per+  (w_2853-w_2854)*distort/2'                                                w_2853
+ 'delay+1427*per+  (w_2853-w_2854)*distort/2+(dtf+dtr)/2+(w_2854-w_2853)*(dtf-dtr)/2'        w_2854
+ 'delay+1427*per+per2+(w_2854-w_2855)*distort/2'                                             w_2854
+ 'delay+1427*per+per2+(w_2854-w_2855)*distort/2+(dtf+dtr)/2+(w_2855-w_2854)*(dtf-dtr)/2'     w_2855
+ 'delay+1428*per+  (w_2855-w_2856)*distort/2'                                                w_2855
+ 'delay+1428*per+  (w_2855-w_2856)*distort/2+(dtf+dtr)/2+(w_2856-w_2855)*(dtf-dtr)/2'        w_2856
+ 'delay+1428*per+per2+(w_2856-w_2857)*distort/2'                                             w_2856
+ 'delay+1428*per+per2+(w_2856-w_2857)*distort/2+(dtf+dtr)/2+(w_2857-w_2856)*(dtf-dtr)/2'     w_2857
+ 'delay+1429*per+  (w_2857-w_2858)*distort/2'                                                w_2857
+ 'delay+1429*per+  (w_2857-w_2858)*distort/2+(dtf+dtr)/2+(w_2858-w_2857)*(dtf-dtr)/2'        w_2858
+ 'delay+1429*per+per2+(w_2858-w_2859)*distort/2'                                             w_2858
+ 'delay+1429*per+per2+(w_2858-w_2859)*distort/2+(dtf+dtr)/2+(w_2859-w_2858)*(dtf-dtr)/2'     w_2859
+ 'delay+1430*per+  (w_2859-w_2860)*distort/2'                                                w_2859
+ 'delay+1430*per+  (w_2859-w_2860)*distort/2+(dtf+dtr)/2+(w_2860-w_2859)*(dtf-dtr)/2'        w_2860
+ 'delay+1430*per+per2+(w_2860-w_2861)*distort/2'                                             w_2860
+ 'delay+1430*per+per2+(w_2860-w_2861)*distort/2+(dtf+dtr)/2+(w_2861-w_2860)*(dtf-dtr)/2'     w_2861
+ 'delay+1431*per+  (w_2861-w_2862)*distort/2'                                                w_2861
+ 'delay+1431*per+  (w_2861-w_2862)*distort/2+(dtf+dtr)/2+(w_2862-w_2861)*(dtf-dtr)/2'        w_2862
+ 'delay+1431*per+per2+(w_2862-w_2863)*distort/2'                                             w_2862
+ 'delay+1431*per+per2+(w_2862-w_2863)*distort/2+(dtf+dtr)/2+(w_2863-w_2862)*(dtf-dtr)/2'     w_2863
+ 'delay+1432*per+  (w_2863-w_2864)*distort/2'                                                w_2863
+ 'delay+1432*per+  (w_2863-w_2864)*distort/2+(dtf+dtr)/2+(w_2864-w_2863)*(dtf-dtr)/2'        w_2864
+ 'delay+1432*per+per2+(w_2864-w_2865)*distort/2'                                             w_2864
+ 'delay+1432*per+per2+(w_2864-w_2865)*distort/2+(dtf+dtr)/2+(w_2865-w_2864)*(dtf-dtr)/2'     w_2865
+ 'delay+1433*per+  (w_2865-w_2866)*distort/2'                                                w_2865
+ 'delay+1433*per+  (w_2865-w_2866)*distort/2+(dtf+dtr)/2+(w_2866-w_2865)*(dtf-dtr)/2'        w_2866
+ 'delay+1433*per+per2+(w_2866-w_2867)*distort/2'                                             w_2866
+ 'delay+1433*per+per2+(w_2866-w_2867)*distort/2+(dtf+dtr)/2+(w_2867-w_2866)*(dtf-dtr)/2'     w_2867
+ 'delay+1434*per+  (w_2867-w_2868)*distort/2'                                                w_2867
+ 'delay+1434*per+  (w_2867-w_2868)*distort/2+(dtf+dtr)/2+(w_2868-w_2867)*(dtf-dtr)/2'        w_2868
+ 'delay+1434*per+per2+(w_2868-w_2869)*distort/2'                                             w_2868
+ 'delay+1434*per+per2+(w_2868-w_2869)*distort/2+(dtf+dtr)/2+(w_2869-w_2868)*(dtf-dtr)/2'     w_2869
+ 'delay+1435*per+  (w_2869-w_2870)*distort/2'                                                w_2869
+ 'delay+1435*per+  (w_2869-w_2870)*distort/2+(dtf+dtr)/2+(w_2870-w_2869)*(dtf-dtr)/2'        w_2870
+ 'delay+1435*per+per2+(w_2870-w_2871)*distort/2'                                             w_2870
+ 'delay+1435*per+per2+(w_2870-w_2871)*distort/2+(dtf+dtr)/2+(w_2871-w_2870)*(dtf-dtr)/2'     w_2871
+ 'delay+1436*per+  (w_2871-w_2872)*distort/2'                                                w_2871
+ 'delay+1436*per+  (w_2871-w_2872)*distort/2+(dtf+dtr)/2+(w_2872-w_2871)*(dtf-dtr)/2'        w_2872
+ 'delay+1436*per+per2+(w_2872-w_2873)*distort/2'                                             w_2872
+ 'delay+1436*per+per2+(w_2872-w_2873)*distort/2+(dtf+dtr)/2+(w_2873-w_2872)*(dtf-dtr)/2'     w_2873
+ 'delay+1437*per+  (w_2873-w_2874)*distort/2'                                                w_2873
+ 'delay+1437*per+  (w_2873-w_2874)*distort/2+(dtf+dtr)/2+(w_2874-w_2873)*(dtf-dtr)/2'        w_2874
+ 'delay+1437*per+per2+(w_2874-w_2875)*distort/2'                                             w_2874
+ 'delay+1437*per+per2+(w_2874-w_2875)*distort/2+(dtf+dtr)/2+(w_2875-w_2874)*(dtf-dtr)/2'     w_2875
+ 'delay+1438*per+  (w_2875-w_2876)*distort/2'                                                w_2875
+ 'delay+1438*per+  (w_2875-w_2876)*distort/2+(dtf+dtr)/2+(w_2876-w_2875)*(dtf-dtr)/2'        w_2876
+ 'delay+1438*per+per2+(w_2876-w_2877)*distort/2'                                             w_2876
+ 'delay+1438*per+per2+(w_2876-w_2877)*distort/2+(dtf+dtr)/2+(w_2877-w_2876)*(dtf-dtr)/2'     w_2877
+ 'delay+1439*per+  (w_2877-w_2878)*distort/2'                                                w_2877
+ 'delay+1439*per+  (w_2877-w_2878)*distort/2+(dtf+dtr)/2+(w_2878-w_2877)*(dtf-dtr)/2'        w_2878
+ 'delay+1439*per+per2+(w_2878-w_2879)*distort/2'                                             w_2878
+ 'delay+1439*per+per2+(w_2878-w_2879)*distort/2+(dtf+dtr)/2+(w_2879-w_2878)*(dtf-dtr)/2'     w_2879
+ 'delay+1440*per+  (w_2879-w_2880)*distort/2'                                                w_2879
+ 'delay+1440*per+  (w_2879-w_2880)*distort/2+(dtf+dtr)/2+(w_2880-w_2879)*(dtf-dtr)/2'        w_2880
+ 'delay+1440*per+per2+(w_2880-w_2881)*distort/2'                                             w_2880
+ 'delay+1440*per+per2+(w_2880-w_2881)*distort/2+(dtf+dtr)/2+(w_2881-w_2880)*(dtf-dtr)/2'     w_2881
+ 'delay+1441*per+  (w_2881-w_2882)*distort/2'                                                w_2881
+ 'delay+1441*per+  (w_2881-w_2882)*distort/2+(dtf+dtr)/2+(w_2882-w_2881)*(dtf-dtr)/2'        w_2882
+ 'delay+1441*per+per2+(w_2882-w_2883)*distort/2'                                             w_2882
+ 'delay+1441*per+per2+(w_2882-w_2883)*distort/2+(dtf+dtr)/2+(w_2883-w_2882)*(dtf-dtr)/2'     w_2883
+ 'delay+1442*per+  (w_2883-w_2884)*distort/2'                                                w_2883
+ 'delay+1442*per+  (w_2883-w_2884)*distort/2+(dtf+dtr)/2+(w_2884-w_2883)*(dtf-dtr)/2'        w_2884
+ 'delay+1442*per+per2+(w_2884-w_2885)*distort/2'                                             w_2884
+ 'delay+1442*per+per2+(w_2884-w_2885)*distort/2+(dtf+dtr)/2+(w_2885-w_2884)*(dtf-dtr)/2'     w_2885
+ 'delay+1443*per+  (w_2885-w_2886)*distort/2'                                                w_2885
+ 'delay+1443*per+  (w_2885-w_2886)*distort/2+(dtf+dtr)/2+(w_2886-w_2885)*(dtf-dtr)/2'        w_2886
+ 'delay+1443*per+per2+(w_2886-w_2887)*distort/2'                                             w_2886
+ 'delay+1443*per+per2+(w_2886-w_2887)*distort/2+(dtf+dtr)/2+(w_2887-w_2886)*(dtf-dtr)/2'     w_2887
+ 'delay+1444*per+  (w_2887-w_2888)*distort/2'                                                w_2887
+ 'delay+1444*per+  (w_2887-w_2888)*distort/2+(dtf+dtr)/2+(w_2888-w_2887)*(dtf-dtr)/2'        w_2888
+ 'delay+1444*per+per2+(w_2888-w_2889)*distort/2'                                             w_2888
+ 'delay+1444*per+per2+(w_2888-w_2889)*distort/2+(dtf+dtr)/2+(w_2889-w_2888)*(dtf-dtr)/2'     w_2889
+ 'delay+1445*per+  (w_2889-w_2890)*distort/2'                                                w_2889
+ 'delay+1445*per+  (w_2889-w_2890)*distort/2+(dtf+dtr)/2+(w_2890-w_2889)*(dtf-dtr)/2'        w_2890
+ 'delay+1445*per+per2+(w_2890-w_2891)*distort/2'                                             w_2890
+ 'delay+1445*per+per2+(w_2890-w_2891)*distort/2+(dtf+dtr)/2+(w_2891-w_2890)*(dtf-dtr)/2'     w_2891
+ 'delay+1446*per+  (w_2891-w_2892)*distort/2'                                                w_2891
+ 'delay+1446*per+  (w_2891-w_2892)*distort/2+(dtf+dtr)/2+(w_2892-w_2891)*(dtf-dtr)/2'        w_2892
+ 'delay+1446*per+per2+(w_2892-w_2893)*distort/2'                                             w_2892
+ 'delay+1446*per+per2+(w_2892-w_2893)*distort/2+(dtf+dtr)/2+(w_2893-w_2892)*(dtf-dtr)/2'     w_2893
+ 'delay+1447*per+  (w_2893-w_2894)*distort/2'                                                w_2893
+ 'delay+1447*per+  (w_2893-w_2894)*distort/2+(dtf+dtr)/2+(w_2894-w_2893)*(dtf-dtr)/2'        w_2894
+ 'delay+1447*per+per2+(w_2894-w_2895)*distort/2'                                             w_2894
+ 'delay+1447*per+per2+(w_2894-w_2895)*distort/2+(dtf+dtr)/2+(w_2895-w_2894)*(dtf-dtr)/2'     w_2895
+ 'delay+1448*per+  (w_2895-w_2896)*distort/2'                                                w_2895
+ 'delay+1448*per+  (w_2895-w_2896)*distort/2+(dtf+dtr)/2+(w_2896-w_2895)*(dtf-dtr)/2'        w_2896
+ 'delay+1448*per+per2+(w_2896-w_2897)*distort/2'                                             w_2896
+ 'delay+1448*per+per2+(w_2896-w_2897)*distort/2+(dtf+dtr)/2+(w_2897-w_2896)*(dtf-dtr)/2'     w_2897
+ 'delay+1449*per+  (w_2897-w_2898)*distort/2'                                                w_2897
+ 'delay+1449*per+  (w_2897-w_2898)*distort/2+(dtf+dtr)/2+(w_2898-w_2897)*(dtf-dtr)/2'        w_2898
+ 'delay+1449*per+per2+(w_2898-w_2899)*distort/2'                                             w_2898
+ 'delay+1449*per+per2+(w_2898-w_2899)*distort/2+(dtf+dtr)/2+(w_2899-w_2898)*(dtf-dtr)/2'     w_2899
+ 'delay+1450*per+  (w_2899-w_2900)*distort/2'                                                w_2899
+ 'delay+1450*per+  (w_2899-w_2900)*distort/2+(dtf+dtr)/2+(w_2900-w_2899)*(dtf-dtr)/2'        w_2900
+ 'delay+1450*per+per2+(w_2900-w_2901)*distort/2'                                             w_2900
+ 'delay+1450*per+per2+(w_2900-w_2901)*distort/2+(dtf+dtr)/2+(w_2901-w_2900)*(dtf-dtr)/2'     w_2901
+ 'delay+1451*per+  (w_2901-w_2902)*distort/2'                                                w_2901
+ 'delay+1451*per+  (w_2901-w_2902)*distort/2+(dtf+dtr)/2+(w_2902-w_2901)*(dtf-dtr)/2'        w_2902
+ 'delay+1451*per+per2+(w_2902-w_2903)*distort/2'                                             w_2902
+ 'delay+1451*per+per2+(w_2902-w_2903)*distort/2+(dtf+dtr)/2+(w_2903-w_2902)*(dtf-dtr)/2'     w_2903
+ 'delay+1452*per+  (w_2903-w_2904)*distort/2'                                                w_2903
+ 'delay+1452*per+  (w_2903-w_2904)*distort/2+(dtf+dtr)/2+(w_2904-w_2903)*(dtf-dtr)/2'        w_2904
+ 'delay+1452*per+per2+(w_2904-w_2905)*distort/2'                                             w_2904
+ 'delay+1452*per+per2+(w_2904-w_2905)*distort/2+(dtf+dtr)/2+(w_2905-w_2904)*(dtf-dtr)/2'     w_2905
+ 'delay+1453*per+  (w_2905-w_2906)*distort/2'                                                w_2905
+ 'delay+1453*per+  (w_2905-w_2906)*distort/2+(dtf+dtr)/2+(w_2906-w_2905)*(dtf-dtr)/2'        w_2906
+ 'delay+1453*per+per2+(w_2906-w_2907)*distort/2'                                             w_2906
+ 'delay+1453*per+per2+(w_2906-w_2907)*distort/2+(dtf+dtr)/2+(w_2907-w_2906)*(dtf-dtr)/2'     w_2907
+ 'delay+1454*per+  (w_2907-w_2908)*distort/2'                                                w_2907
+ 'delay+1454*per+  (w_2907-w_2908)*distort/2+(dtf+dtr)/2+(w_2908-w_2907)*(dtf-dtr)/2'        w_2908
+ 'delay+1454*per+per2+(w_2908-w_2909)*distort/2'                                             w_2908
+ 'delay+1454*per+per2+(w_2908-w_2909)*distort/2+(dtf+dtr)/2+(w_2909-w_2908)*(dtf-dtr)/2'     w_2909
+ 'delay+1455*per+  (w_2909-w_2910)*distort/2'                                                w_2909
+ 'delay+1455*per+  (w_2909-w_2910)*distort/2+(dtf+dtr)/2+(w_2910-w_2909)*(dtf-dtr)/2'        w_2910
+ 'delay+1455*per+per2+(w_2910-w_2911)*distort/2'                                             w_2910
+ 'delay+1455*per+per2+(w_2910-w_2911)*distort/2+(dtf+dtr)/2+(w_2911-w_2910)*(dtf-dtr)/2'     w_2911
+ 'delay+1456*per+  (w_2911-w_2912)*distort/2'                                                w_2911
+ 'delay+1456*per+  (w_2911-w_2912)*distort/2+(dtf+dtr)/2+(w_2912-w_2911)*(dtf-dtr)/2'        w_2912
+ 'delay+1456*per+per2+(w_2912-w_2913)*distort/2'                                             w_2912
+ 'delay+1456*per+per2+(w_2912-w_2913)*distort/2+(dtf+dtr)/2+(w_2913-w_2912)*(dtf-dtr)/2'     w_2913
+ 'delay+1457*per+  (w_2913-w_2914)*distort/2'                                                w_2913
+ 'delay+1457*per+  (w_2913-w_2914)*distort/2+(dtf+dtr)/2+(w_2914-w_2913)*(dtf-dtr)/2'        w_2914
+ 'delay+1457*per+per2+(w_2914-w_2915)*distort/2'                                             w_2914
+ 'delay+1457*per+per2+(w_2914-w_2915)*distort/2+(dtf+dtr)/2+(w_2915-w_2914)*(dtf-dtr)/2'     w_2915
+ 'delay+1458*per+  (w_2915-w_2916)*distort/2'                                                w_2915
+ 'delay+1458*per+  (w_2915-w_2916)*distort/2+(dtf+dtr)/2+(w_2916-w_2915)*(dtf-dtr)/2'        w_2916
+ 'delay+1458*per+per2+(w_2916-w_2917)*distort/2'                                             w_2916
+ 'delay+1458*per+per2+(w_2916-w_2917)*distort/2+(dtf+dtr)/2+(w_2917-w_2916)*(dtf-dtr)/2'     w_2917
+ 'delay+1459*per+  (w_2917-w_2918)*distort/2'                                                w_2917
+ 'delay+1459*per+  (w_2917-w_2918)*distort/2+(dtf+dtr)/2+(w_2918-w_2917)*(dtf-dtr)/2'        w_2918
+ 'delay+1459*per+per2+(w_2918-w_2919)*distort/2'                                             w_2918
+ 'delay+1459*per+per2+(w_2918-w_2919)*distort/2+(dtf+dtr)/2+(w_2919-w_2918)*(dtf-dtr)/2'     w_2919
+ 'delay+1460*per+  (w_2919-w_2920)*distort/2'                                                w_2919
+ 'delay+1460*per+  (w_2919-w_2920)*distort/2+(dtf+dtr)/2+(w_2920-w_2919)*(dtf-dtr)/2'        w_2920
+ 'delay+1460*per+per2+(w_2920-w_2921)*distort/2'                                             w_2920
+ 'delay+1460*per+per2+(w_2920-w_2921)*distort/2+(dtf+dtr)/2+(w_2921-w_2920)*(dtf-dtr)/2'     w_2921
+ 'delay+1461*per+  (w_2921-w_2922)*distort/2'                                                w_2921
+ 'delay+1461*per+  (w_2921-w_2922)*distort/2+(dtf+dtr)/2+(w_2922-w_2921)*(dtf-dtr)/2'        w_2922
+ 'delay+1461*per+per2+(w_2922-w_2923)*distort/2'                                             w_2922
+ 'delay+1461*per+per2+(w_2922-w_2923)*distort/2+(dtf+dtr)/2+(w_2923-w_2922)*(dtf-dtr)/2'     w_2923
+ 'delay+1462*per+  (w_2923-w_2924)*distort/2'                                                w_2923
+ 'delay+1462*per+  (w_2923-w_2924)*distort/2+(dtf+dtr)/2+(w_2924-w_2923)*(dtf-dtr)/2'        w_2924
+ 'delay+1462*per+per2+(w_2924-w_2925)*distort/2'                                             w_2924
+ 'delay+1462*per+per2+(w_2924-w_2925)*distort/2+(dtf+dtr)/2+(w_2925-w_2924)*(dtf-dtr)/2'     w_2925
+ 'delay+1463*per+  (w_2925-w_2926)*distort/2'                                                w_2925
+ 'delay+1463*per+  (w_2925-w_2926)*distort/2+(dtf+dtr)/2+(w_2926-w_2925)*(dtf-dtr)/2'        w_2926
+ 'delay+1463*per+per2+(w_2926-w_2927)*distort/2'                                             w_2926
+ 'delay+1463*per+per2+(w_2926-w_2927)*distort/2+(dtf+dtr)/2+(w_2927-w_2926)*(dtf-dtr)/2'     w_2927
+ 'delay+1464*per+  (w_2927-w_2928)*distort/2'                                                w_2927
+ 'delay+1464*per+  (w_2927-w_2928)*distort/2+(dtf+dtr)/2+(w_2928-w_2927)*(dtf-dtr)/2'        w_2928
+ 'delay+1464*per+per2+(w_2928-w_2929)*distort/2'                                             w_2928
+ 'delay+1464*per+per2+(w_2928-w_2929)*distort/2+(dtf+dtr)/2+(w_2929-w_2928)*(dtf-dtr)/2'     w_2929
+ 'delay+1465*per+  (w_2929-w_2930)*distort/2'                                                w_2929
+ 'delay+1465*per+  (w_2929-w_2930)*distort/2+(dtf+dtr)/2+(w_2930-w_2929)*(dtf-dtr)/2'        w_2930
+ 'delay+1465*per+per2+(w_2930-w_2931)*distort/2'                                             w_2930
+ 'delay+1465*per+per2+(w_2930-w_2931)*distort/2+(dtf+dtr)/2+(w_2931-w_2930)*(dtf-dtr)/2'     w_2931
+ 'delay+1466*per+  (w_2931-w_2932)*distort/2'                                                w_2931
+ 'delay+1466*per+  (w_2931-w_2932)*distort/2+(dtf+dtr)/2+(w_2932-w_2931)*(dtf-dtr)/2'        w_2932
+ 'delay+1466*per+per2+(w_2932-w_2933)*distort/2'                                             w_2932
+ 'delay+1466*per+per2+(w_2932-w_2933)*distort/2+(dtf+dtr)/2+(w_2933-w_2932)*(dtf-dtr)/2'     w_2933
+ 'delay+1467*per+  (w_2933-w_2934)*distort/2'                                                w_2933
+ 'delay+1467*per+  (w_2933-w_2934)*distort/2+(dtf+dtr)/2+(w_2934-w_2933)*(dtf-dtr)/2'        w_2934
+ 'delay+1467*per+per2+(w_2934-w_2935)*distort/2'                                             w_2934
+ 'delay+1467*per+per2+(w_2934-w_2935)*distort/2+(dtf+dtr)/2+(w_2935-w_2934)*(dtf-dtr)/2'     w_2935
+ 'delay+1468*per+  (w_2935-w_2936)*distort/2'                                                w_2935
+ 'delay+1468*per+  (w_2935-w_2936)*distort/2+(dtf+dtr)/2+(w_2936-w_2935)*(dtf-dtr)/2'        w_2936
+ 'delay+1468*per+per2+(w_2936-w_2937)*distort/2'                                             w_2936
+ 'delay+1468*per+per2+(w_2936-w_2937)*distort/2+(dtf+dtr)/2+(w_2937-w_2936)*(dtf-dtr)/2'     w_2937
+ 'delay+1469*per+  (w_2937-w_2938)*distort/2'                                                w_2937
+ 'delay+1469*per+  (w_2937-w_2938)*distort/2+(dtf+dtr)/2+(w_2938-w_2937)*(dtf-dtr)/2'        w_2938
+ 'delay+1469*per+per2+(w_2938-w_2939)*distort/2'                                             w_2938
+ 'delay+1469*per+per2+(w_2938-w_2939)*distort/2+(dtf+dtr)/2+(w_2939-w_2938)*(dtf-dtr)/2'     w_2939
+ 'delay+1470*per+  (w_2939-w_2940)*distort/2'                                                w_2939
+ 'delay+1470*per+  (w_2939-w_2940)*distort/2+(dtf+dtr)/2+(w_2940-w_2939)*(dtf-dtr)/2'        w_2940
+ 'delay+1470*per+per2+(w_2940-w_2941)*distort/2'                                             w_2940
+ 'delay+1470*per+per2+(w_2940-w_2941)*distort/2+(dtf+dtr)/2+(w_2941-w_2940)*(dtf-dtr)/2'     w_2941
+ 'delay+1471*per+  (w_2941-w_2942)*distort/2'                                                w_2941
+ 'delay+1471*per+  (w_2941-w_2942)*distort/2+(dtf+dtr)/2+(w_2942-w_2941)*(dtf-dtr)/2'        w_2942
+ 'delay+1471*per+per2+(w_2942-w_2943)*distort/2'                                             w_2942
+ 'delay+1471*per+per2+(w_2942-w_2943)*distort/2+(dtf+dtr)/2+(w_2943-w_2942)*(dtf-dtr)/2'     w_2943
+ 'delay+1472*per+  (w_2943-w_2944)*distort/2'                                                w_2943
+ 'delay+1472*per+  (w_2943-w_2944)*distort/2+(dtf+dtr)/2+(w_2944-w_2943)*(dtf-dtr)/2'        w_2944
+ 'delay+1472*per+per2+(w_2944-w_2945)*distort/2'                                             w_2944
+ 'delay+1472*per+per2+(w_2944-w_2945)*distort/2+(dtf+dtr)/2+(w_2945-w_2944)*(dtf-dtr)/2'     w_2945
+ 'delay+1473*per+  (w_2945-w_2946)*distort/2'                                                w_2945
+ 'delay+1473*per+  (w_2945-w_2946)*distort/2+(dtf+dtr)/2+(w_2946-w_2945)*(dtf-dtr)/2'        w_2946
+ 'delay+1473*per+per2+(w_2946-w_2947)*distort/2'                                             w_2946
+ 'delay+1473*per+per2+(w_2946-w_2947)*distort/2+(dtf+dtr)/2+(w_2947-w_2946)*(dtf-dtr)/2'     w_2947
+ 'delay+1474*per+  (w_2947-w_2948)*distort/2'                                                w_2947
+ 'delay+1474*per+  (w_2947-w_2948)*distort/2+(dtf+dtr)/2+(w_2948-w_2947)*(dtf-dtr)/2'        w_2948
+ 'delay+1474*per+per2+(w_2948-w_2949)*distort/2'                                             w_2948
+ 'delay+1474*per+per2+(w_2948-w_2949)*distort/2+(dtf+dtr)/2+(w_2949-w_2948)*(dtf-dtr)/2'     w_2949
+ 'delay+1475*per+  (w_2949-w_2950)*distort/2'                                                w_2949
+ 'delay+1475*per+  (w_2949-w_2950)*distort/2+(dtf+dtr)/2+(w_2950-w_2949)*(dtf-dtr)/2'        w_2950
+ 'delay+1475*per+per2+(w_2950-w_2951)*distort/2'                                             w_2950
+ 'delay+1475*per+per2+(w_2950-w_2951)*distort/2+(dtf+dtr)/2+(w_2951-w_2950)*(dtf-dtr)/2'     w_2951
+ 'delay+1476*per+  (w_2951-w_2952)*distort/2'                                                w_2951
+ 'delay+1476*per+  (w_2951-w_2952)*distort/2+(dtf+dtr)/2+(w_2952-w_2951)*(dtf-dtr)/2'        w_2952
+ 'delay+1476*per+per2+(w_2952-w_2953)*distort/2'                                             w_2952
+ 'delay+1476*per+per2+(w_2952-w_2953)*distort/2+(dtf+dtr)/2+(w_2953-w_2952)*(dtf-dtr)/2'     w_2953
+ 'delay+1477*per+  (w_2953-w_2954)*distort/2'                                                w_2953
+ 'delay+1477*per+  (w_2953-w_2954)*distort/2+(dtf+dtr)/2+(w_2954-w_2953)*(dtf-dtr)/2'        w_2954
+ 'delay+1477*per+per2+(w_2954-w_2955)*distort/2'                                             w_2954
+ 'delay+1477*per+per2+(w_2954-w_2955)*distort/2+(dtf+dtr)/2+(w_2955-w_2954)*(dtf-dtr)/2'     w_2955
+ 'delay+1478*per+  (w_2955-w_2956)*distort/2'                                                w_2955
+ 'delay+1478*per+  (w_2955-w_2956)*distort/2+(dtf+dtr)/2+(w_2956-w_2955)*(dtf-dtr)/2'        w_2956
+ 'delay+1478*per+per2+(w_2956-w_2957)*distort/2'                                             w_2956
+ 'delay+1478*per+per2+(w_2956-w_2957)*distort/2+(dtf+dtr)/2+(w_2957-w_2956)*(dtf-dtr)/2'     w_2957
+ 'delay+1479*per+  (w_2957-w_2958)*distort/2'                                                w_2957
+ 'delay+1479*per+  (w_2957-w_2958)*distort/2+(dtf+dtr)/2+(w_2958-w_2957)*(dtf-dtr)/2'        w_2958
+ 'delay+1479*per+per2+(w_2958-w_2959)*distort/2'                                             w_2958
+ 'delay+1479*per+per2+(w_2958-w_2959)*distort/2+(dtf+dtr)/2+(w_2959-w_2958)*(dtf-dtr)/2'     w_2959
+ 'delay+1480*per+  (w_2959-w_2960)*distort/2'                                                w_2959
+ 'delay+1480*per+  (w_2959-w_2960)*distort/2+(dtf+dtr)/2+(w_2960-w_2959)*(dtf-dtr)/2'        w_2960
+ 'delay+1480*per+per2+(w_2960-w_2961)*distort/2'                                             w_2960
+ 'delay+1480*per+per2+(w_2960-w_2961)*distort/2+(dtf+dtr)/2+(w_2961-w_2960)*(dtf-dtr)/2'     w_2961
+ 'delay+1481*per+  (w_2961-w_2962)*distort/2'                                                w_2961
+ 'delay+1481*per+  (w_2961-w_2962)*distort/2+(dtf+dtr)/2+(w_2962-w_2961)*(dtf-dtr)/2'        w_2962
+ 'delay+1481*per+per2+(w_2962-w_2963)*distort/2'                                             w_2962
+ 'delay+1481*per+per2+(w_2962-w_2963)*distort/2+(dtf+dtr)/2+(w_2963-w_2962)*(dtf-dtr)/2'     w_2963
+ 'delay+1482*per+  (w_2963-w_2964)*distort/2'                                                w_2963
+ 'delay+1482*per+  (w_2963-w_2964)*distort/2+(dtf+dtr)/2+(w_2964-w_2963)*(dtf-dtr)/2'        w_2964
+ 'delay+1482*per+per2+(w_2964-w_2965)*distort/2'                                             w_2964
+ 'delay+1482*per+per2+(w_2964-w_2965)*distort/2+(dtf+dtr)/2+(w_2965-w_2964)*(dtf-dtr)/2'     w_2965
+ 'delay+1483*per+  (w_2965-w_2966)*distort/2'                                                w_2965
+ 'delay+1483*per+  (w_2965-w_2966)*distort/2+(dtf+dtr)/2+(w_2966-w_2965)*(dtf-dtr)/2'        w_2966
+ 'delay+1483*per+per2+(w_2966-w_2967)*distort/2'                                             w_2966
+ 'delay+1483*per+per2+(w_2966-w_2967)*distort/2+(dtf+dtr)/2+(w_2967-w_2966)*(dtf-dtr)/2'     w_2967
+ 'delay+1484*per+  (w_2967-w_2968)*distort/2'                                                w_2967
+ 'delay+1484*per+  (w_2967-w_2968)*distort/2+(dtf+dtr)/2+(w_2968-w_2967)*(dtf-dtr)/2'        w_2968
+ 'delay+1484*per+per2+(w_2968-w_2969)*distort/2'                                             w_2968
+ 'delay+1484*per+per2+(w_2968-w_2969)*distort/2+(dtf+dtr)/2+(w_2969-w_2968)*(dtf-dtr)/2'     w_2969
+ 'delay+1485*per+  (w_2969-w_2970)*distort/2'                                                w_2969
+ 'delay+1485*per+  (w_2969-w_2970)*distort/2+(dtf+dtr)/2+(w_2970-w_2969)*(dtf-dtr)/2'        w_2970
+ 'delay+1485*per+per2+(w_2970-w_2971)*distort/2'                                             w_2970
+ 'delay+1485*per+per2+(w_2970-w_2971)*distort/2+(dtf+dtr)/2+(w_2971-w_2970)*(dtf-dtr)/2'     w_2971
+ 'delay+1486*per+  (w_2971-w_2972)*distort/2'                                                w_2971
+ 'delay+1486*per+  (w_2971-w_2972)*distort/2+(dtf+dtr)/2+(w_2972-w_2971)*(dtf-dtr)/2'        w_2972
+ 'delay+1486*per+per2+(w_2972-w_2973)*distort/2'                                             w_2972
+ 'delay+1486*per+per2+(w_2972-w_2973)*distort/2+(dtf+dtr)/2+(w_2973-w_2972)*(dtf-dtr)/2'     w_2973
+ 'delay+1487*per+  (w_2973-w_2974)*distort/2'                                                w_2973
+ 'delay+1487*per+  (w_2973-w_2974)*distort/2+(dtf+dtr)/2+(w_2974-w_2973)*(dtf-dtr)/2'        w_2974
+ 'delay+1487*per+per2+(w_2974-w_2975)*distort/2'                                             w_2974
+ 'delay+1487*per+per2+(w_2974-w_2975)*distort/2+(dtf+dtr)/2+(w_2975-w_2974)*(dtf-dtr)/2'     w_2975
+ 'delay+1488*per+  (w_2975-w_2976)*distort/2'                                                w_2975
+ 'delay+1488*per+  (w_2975-w_2976)*distort/2+(dtf+dtr)/2+(w_2976-w_2975)*(dtf-dtr)/2'        w_2976
+ 'delay+1488*per+per2+(w_2976-w_2977)*distort/2'                                             w_2976
+ 'delay+1488*per+per2+(w_2976-w_2977)*distort/2+(dtf+dtr)/2+(w_2977-w_2976)*(dtf-dtr)/2'     w_2977
+ 'delay+1489*per+  (w_2977-w_2978)*distort/2'                                                w_2977
+ 'delay+1489*per+  (w_2977-w_2978)*distort/2+(dtf+dtr)/2+(w_2978-w_2977)*(dtf-dtr)/2'        w_2978
+ 'delay+1489*per+per2+(w_2978-w_2979)*distort/2'                                             w_2978
+ 'delay+1489*per+per2+(w_2978-w_2979)*distort/2+(dtf+dtr)/2+(w_2979-w_2978)*(dtf-dtr)/2'     w_2979
+ 'delay+1490*per+  (w_2979-w_2980)*distort/2'                                                w_2979
+ 'delay+1490*per+  (w_2979-w_2980)*distort/2+(dtf+dtr)/2+(w_2980-w_2979)*(dtf-dtr)/2'        w_2980
+ 'delay+1490*per+per2+(w_2980-w_2981)*distort/2'                                             w_2980
+ 'delay+1490*per+per2+(w_2980-w_2981)*distort/2+(dtf+dtr)/2+(w_2981-w_2980)*(dtf-dtr)/2'     w_2981
+ 'delay+1491*per+  (w_2981-w_2982)*distort/2'                                                w_2981
+ 'delay+1491*per+  (w_2981-w_2982)*distort/2+(dtf+dtr)/2+(w_2982-w_2981)*(dtf-dtr)/2'        w_2982
+ 'delay+1491*per+per2+(w_2982-w_2983)*distort/2'                                             w_2982
+ 'delay+1491*per+per2+(w_2982-w_2983)*distort/2+(dtf+dtr)/2+(w_2983-w_2982)*(dtf-dtr)/2'     w_2983
+ 'delay+1492*per+  (w_2983-w_2984)*distort/2'                                                w_2983
+ 'delay+1492*per+  (w_2983-w_2984)*distort/2+(dtf+dtr)/2+(w_2984-w_2983)*(dtf-dtr)/2'        w_2984
+ 'delay+1492*per+per2+(w_2984-w_2985)*distort/2'                                             w_2984
+ 'delay+1492*per+per2+(w_2984-w_2985)*distort/2+(dtf+dtr)/2+(w_2985-w_2984)*(dtf-dtr)/2'     w_2985
+ 'delay+1493*per+  (w_2985-w_2986)*distort/2'                                                w_2985
+ 'delay+1493*per+  (w_2985-w_2986)*distort/2+(dtf+dtr)/2+(w_2986-w_2985)*(dtf-dtr)/2'        w_2986
+ 'delay+1493*per+per2+(w_2986-w_2987)*distort/2'                                             w_2986
+ 'delay+1493*per+per2+(w_2986-w_2987)*distort/2+(dtf+dtr)/2+(w_2987-w_2986)*(dtf-dtr)/2'     w_2987
+ 'delay+1494*per+  (w_2987-w_2988)*distort/2'                                                w_2987
+ 'delay+1494*per+  (w_2987-w_2988)*distort/2+(dtf+dtr)/2+(w_2988-w_2987)*(dtf-dtr)/2'        w_2988
+ 'delay+1494*per+per2+(w_2988-w_2989)*distort/2'                                             w_2988
+ 'delay+1494*per+per2+(w_2988-w_2989)*distort/2+(dtf+dtr)/2+(w_2989-w_2988)*(dtf-dtr)/2'     w_2989
+ 'delay+1495*per+  (w_2989-w_2990)*distort/2'                                                w_2989
+ 'delay+1495*per+  (w_2989-w_2990)*distort/2+(dtf+dtr)/2+(w_2990-w_2989)*(dtf-dtr)/2'        w_2990
+ 'delay+1495*per+per2+(w_2990-w_2991)*distort/2'                                             w_2990
+ 'delay+1495*per+per2+(w_2990-w_2991)*distort/2+(dtf+dtr)/2+(w_2991-w_2990)*(dtf-dtr)/2'     w_2991
+ 'delay+1496*per+  (w_2991-w_2992)*distort/2'                                                w_2991
+ 'delay+1496*per+  (w_2991-w_2992)*distort/2+(dtf+dtr)/2+(w_2992-w_2991)*(dtf-dtr)/2'        w_2992
+ 'delay+1496*per+per2+(w_2992-w_2993)*distort/2'                                             w_2992
+ 'delay+1496*per+per2+(w_2992-w_2993)*distort/2+(dtf+dtr)/2+(w_2993-w_2992)*(dtf-dtr)/2'     w_2993
+ 'delay+1497*per+  (w_2993-w_2994)*distort/2'                                                w_2993
+ 'delay+1497*per+  (w_2993-w_2994)*distort/2+(dtf+dtr)/2+(w_2994-w_2993)*(dtf-dtr)/2'        w_2994
+ 'delay+1497*per+per2+(w_2994-w_2995)*distort/2'                                             w_2994
+ 'delay+1497*per+per2+(w_2994-w_2995)*distort/2+(dtf+dtr)/2+(w_2995-w_2994)*(dtf-dtr)/2'     w_2995
+ 'delay+1498*per+  (w_2995-w_2996)*distort/2'                                                w_2995
+ 'delay+1498*per+  (w_2995-w_2996)*distort/2+(dtf+dtr)/2+(w_2996-w_2995)*(dtf-dtr)/2'        w_2996
+ 'delay+1498*per+per2+(w_2996-w_2997)*distort/2'                                             w_2996
+ 'delay+1498*per+per2+(w_2996-w_2997)*distort/2+(dtf+dtr)/2+(w_2997-w_2996)*(dtf-dtr)/2'     w_2997
+ 'delay+1499*per+  (w_2997-w_2998)*distort/2'                                                w_2997
+ 'delay+1499*per+  (w_2997-w_2998)*distort/2+(dtf+dtr)/2+(w_2998-w_2997)*(dtf-dtr)/2'        w_2998
+ 'delay+1499*per+per2+(w_2998-w_2999)*distort/2'                                             w_2998
+ 'delay+1499*per+per2+(w_2998-w_2999)*distort/2+(dtf+dtr)/2+(w_2999-w_2998)*(dtf-dtr)/2'     w_2999
+ 'delay+1500*per+  (w_2999-w_3000)*distort/2'                                                w_2999
+ 'delay+1500*per+  (w_2999-w_3000)*distort/2+(dtf+dtr)/2+(w_3000-w_2999)*(dtf-dtr)/2'        w_3000
+ 'delay+1500*per+per2+(w_3000-w_3001)*distort/2'                                             w_3000
+ 'delay+1500*per+per2+(w_3000-w_3001)*distort/2+(dtf+dtr)/2+(w_3001-w_3000)*(dtf-dtr)/2'     w_3001
+ 'delay+1501*per+  (w_3001-w_3002)*distort/2'                                                w_3001
+ 'delay+1501*per+  (w_3001-w_3002)*distort/2+(dtf+dtr)/2+(w_3002-w_3001)*(dtf-dtr)/2'        w_3002
+ 'delay+1501*per+per2+(w_3002-w_3003)*distort/2'                                             w_3002
+ 'delay+1501*per+per2+(w_3002-w_3003)*distort/2+(dtf+dtr)/2+(w_3003-w_3002)*(dtf-dtr)/2'     w_3003
+ 'delay+1502*per+  (w_3003-w_3004)*distort/2'                                                w_3003
+ 'delay+1502*per+  (w_3003-w_3004)*distort/2+(dtf+dtr)/2+(w_3004-w_3003)*(dtf-dtr)/2'        w_3004
+ 'delay+1502*per+per2+(w_3004-w_3005)*distort/2'                                             w_3004
+ 'delay+1502*per+per2+(w_3004-w_3005)*distort/2+(dtf+dtr)/2+(w_3005-w_3004)*(dtf-dtr)/2'     w_3005
+ 'delay+1503*per+  (w_3005-w_3006)*distort/2'                                                w_3005
+ 'delay+1503*per+  (w_3005-w_3006)*distort/2+(dtf+dtr)/2+(w_3006-w_3005)*(dtf-dtr)/2'        w_3006
+ 'delay+1503*per+per2+(w_3006-w_3007)*distort/2'                                             w_3006
+ 'delay+1503*per+per2+(w_3006-w_3007)*distort/2+(dtf+dtr)/2+(w_3007-w_3006)*(dtf-dtr)/2'     w_3007
+ 'delay+1504*per+  (w_3007-w_3008)*distort/2'                                                w_3007
+ 'delay+1504*per+  (w_3007-w_3008)*distort/2+(dtf+dtr)/2+(w_3008-w_3007)*(dtf-dtr)/2'        w_3008
+ 'delay+1504*per+per2+(w_3008-w_3009)*distort/2'                                             w_3008
+ 'delay+1504*per+per2+(w_3008-w_3009)*distort/2+(dtf+dtr)/2+(w_3009-w_3008)*(dtf-dtr)/2'     w_3009
+ 'delay+1505*per+  (w_3009-w_3010)*distort/2'                                                w_3009
+ 'delay+1505*per+  (w_3009-w_3010)*distort/2+(dtf+dtr)/2+(w_3010-w_3009)*(dtf-dtr)/2'        w_3010
+ 'delay+1505*per+per2+(w_3010-w_3011)*distort/2'                                             w_3010
+ 'delay+1505*per+per2+(w_3010-w_3011)*distort/2+(dtf+dtr)/2+(w_3011-w_3010)*(dtf-dtr)/2'     w_3011
+ 'delay+1506*per+  (w_3011-w_3012)*distort/2'                                                w_3011
+ 'delay+1506*per+  (w_3011-w_3012)*distort/2+(dtf+dtr)/2+(w_3012-w_3011)*(dtf-dtr)/2'        w_3012
+ 'delay+1506*per+per2+(w_3012-w_3013)*distort/2'                                             w_3012
+ 'delay+1506*per+per2+(w_3012-w_3013)*distort/2+(dtf+dtr)/2+(w_3013-w_3012)*(dtf-dtr)/2'     w_3013
+ 'delay+1507*per+  (w_3013-w_3014)*distort/2'                                                w_3013
+ 'delay+1507*per+  (w_3013-w_3014)*distort/2+(dtf+dtr)/2+(w_3014-w_3013)*(dtf-dtr)/2'        w_3014
+ 'delay+1507*per+per2+(w_3014-w_3015)*distort/2'                                             w_3014
+ 'delay+1507*per+per2+(w_3014-w_3015)*distort/2+(dtf+dtr)/2+(w_3015-w_3014)*(dtf-dtr)/2'     w_3015
+ 'delay+1508*per+  (w_3015-w_3016)*distort/2'                                                w_3015
+ 'delay+1508*per+  (w_3015-w_3016)*distort/2+(dtf+dtr)/2+(w_3016-w_3015)*(dtf-dtr)/2'        w_3016
+ 'delay+1508*per+per2+(w_3016-w_3017)*distort/2'                                             w_3016
+ 'delay+1508*per+per2+(w_3016-w_3017)*distort/2+(dtf+dtr)/2+(w_3017-w_3016)*(dtf-dtr)/2'     w_3017
+ 'delay+1509*per+  (w_3017-w_3018)*distort/2'                                                w_3017
+ 'delay+1509*per+  (w_3017-w_3018)*distort/2+(dtf+dtr)/2+(w_3018-w_3017)*(dtf-dtr)/2'        w_3018
+ 'delay+1509*per+per2+(w_3018-w_3019)*distort/2'                                             w_3018
+ 'delay+1509*per+per2+(w_3018-w_3019)*distort/2+(dtf+dtr)/2+(w_3019-w_3018)*(dtf-dtr)/2'     w_3019
+ 'delay+1510*per+  (w_3019-w_3020)*distort/2'                                                w_3019
+ 'delay+1510*per+  (w_3019-w_3020)*distort/2+(dtf+dtr)/2+(w_3020-w_3019)*(dtf-dtr)/2'        w_3020
+ 'delay+1510*per+per2+(w_3020-w_3021)*distort/2'                                             w_3020
+ 'delay+1510*per+per2+(w_3020-w_3021)*distort/2+(dtf+dtr)/2+(w_3021-w_3020)*(dtf-dtr)/2'     w_3021
+ 'delay+1511*per+  (w_3021-w_3022)*distort/2'                                                w_3021
+ 'delay+1511*per+  (w_3021-w_3022)*distort/2+(dtf+dtr)/2+(w_3022-w_3021)*(dtf-dtr)/2'        w_3022
+ 'delay+1511*per+per2+(w_3022-w_3023)*distort/2'                                             w_3022
+ 'delay+1511*per+per2+(w_3022-w_3023)*distort/2+(dtf+dtr)/2+(w_3023-w_3022)*(dtf-dtr)/2'     w_3023
+ 'delay+1512*per+  (w_3023-w_3024)*distort/2'                                                w_3023
+ 'delay+1512*per+  (w_3023-w_3024)*distort/2+(dtf+dtr)/2+(w_3024-w_3023)*(dtf-dtr)/2'        w_3024
+ 'delay+1512*per+per2+(w_3024-w_3025)*distort/2'                                             w_3024
+ 'delay+1512*per+per2+(w_3024-w_3025)*distort/2+(dtf+dtr)/2+(w_3025-w_3024)*(dtf-dtr)/2'     w_3025
+ 'delay+1513*per+  (w_3025-w_3026)*distort/2'                                                w_3025
+ 'delay+1513*per+  (w_3025-w_3026)*distort/2+(dtf+dtr)/2+(w_3026-w_3025)*(dtf-dtr)/2'        w_3026
+ 'delay+1513*per+per2+(w_3026-w_3027)*distort/2'                                             w_3026
+ 'delay+1513*per+per2+(w_3026-w_3027)*distort/2+(dtf+dtr)/2+(w_3027-w_3026)*(dtf-dtr)/2'     w_3027
+ 'delay+1514*per+  (w_3027-w_3028)*distort/2'                                                w_3027
+ 'delay+1514*per+  (w_3027-w_3028)*distort/2+(dtf+dtr)/2+(w_3028-w_3027)*(dtf-dtr)/2'        w_3028
+ 'delay+1514*per+per2+(w_3028-w_3029)*distort/2'                                             w_3028
+ 'delay+1514*per+per2+(w_3028-w_3029)*distort/2+(dtf+dtr)/2+(w_3029-w_3028)*(dtf-dtr)/2'     w_3029
+ 'delay+1515*per+  (w_3029-w_3030)*distort/2'                                                w_3029
+ 'delay+1515*per+  (w_3029-w_3030)*distort/2+(dtf+dtr)/2+(w_3030-w_3029)*(dtf-dtr)/2'        w_3030
+ 'delay+1515*per+per2+(w_3030-w_3031)*distort/2'                                             w_3030
+ 'delay+1515*per+per2+(w_3030-w_3031)*distort/2+(dtf+dtr)/2+(w_3031-w_3030)*(dtf-dtr)/2'     w_3031
+ 'delay+1516*per+  (w_3031-w_3032)*distort/2'                                                w_3031
+ 'delay+1516*per+  (w_3031-w_3032)*distort/2+(dtf+dtr)/2+(w_3032-w_3031)*(dtf-dtr)/2'        w_3032
+ 'delay+1516*per+per2+(w_3032-w_3033)*distort/2'                                             w_3032
+ 'delay+1516*per+per2+(w_3032-w_3033)*distort/2+(dtf+dtr)/2+(w_3033-w_3032)*(dtf-dtr)/2'     w_3033
+ 'delay+1517*per+  (w_3033-w_3034)*distort/2'                                                w_3033
+ 'delay+1517*per+  (w_3033-w_3034)*distort/2+(dtf+dtr)/2+(w_3034-w_3033)*(dtf-dtr)/2'        w_3034
+ 'delay+1517*per+per2+(w_3034-w_3035)*distort/2'                                             w_3034
+ 'delay+1517*per+per2+(w_3034-w_3035)*distort/2+(dtf+dtr)/2+(w_3035-w_3034)*(dtf-dtr)/2'     w_3035
+ 'delay+1518*per+  (w_3035-w_3036)*distort/2'                                                w_3035
+ 'delay+1518*per+  (w_3035-w_3036)*distort/2+(dtf+dtr)/2+(w_3036-w_3035)*(dtf-dtr)/2'        w_3036
+ 'delay+1518*per+per2+(w_3036-w_3037)*distort/2'                                             w_3036
+ 'delay+1518*per+per2+(w_3036-w_3037)*distort/2+(dtf+dtr)/2+(w_3037-w_3036)*(dtf-dtr)/2'     w_3037
+ 'delay+1519*per+  (w_3037-w_3038)*distort/2'                                                w_3037
+ 'delay+1519*per+  (w_3037-w_3038)*distort/2+(dtf+dtr)/2+(w_3038-w_3037)*(dtf-dtr)/2'        w_3038
+ 'delay+1519*per+per2+(w_3038-w_3039)*distort/2'                                             w_3038
+ 'delay+1519*per+per2+(w_3038-w_3039)*distort/2+(dtf+dtr)/2+(w_3039-w_3038)*(dtf-dtr)/2'     w_3039
+ 'delay+1520*per+  (w_3039-w_3040)*distort/2'                                                w_3039
+ 'delay+1520*per+  (w_3039-w_3040)*distort/2+(dtf+dtr)/2+(w_3040-w_3039)*(dtf-dtr)/2'        w_3040
+ 'delay+1520*per+per2+(w_3040-w_3041)*distort/2'                                             w_3040
+ 'delay+1520*per+per2+(w_3040-w_3041)*distort/2+(dtf+dtr)/2+(w_3041-w_3040)*(dtf-dtr)/2'     w_3041
+ 'delay+1521*per+  (w_3041-w_3042)*distort/2'                                                w_3041
+ 'delay+1521*per+  (w_3041-w_3042)*distort/2+(dtf+dtr)/2+(w_3042-w_3041)*(dtf-dtr)/2'        w_3042
+ 'delay+1521*per+per2+(w_3042-w_3043)*distort/2'                                             w_3042
+ 'delay+1521*per+per2+(w_3042-w_3043)*distort/2+(dtf+dtr)/2+(w_3043-w_3042)*(dtf-dtr)/2'     w_3043
+ 'delay+1522*per+  (w_3043-w_3044)*distort/2'                                                w_3043
+ 'delay+1522*per+  (w_3043-w_3044)*distort/2+(dtf+dtr)/2+(w_3044-w_3043)*(dtf-dtr)/2'        w_3044
+ 'delay+1522*per+per2+(w_3044-w_3045)*distort/2'                                             w_3044
+ 'delay+1522*per+per2+(w_3044-w_3045)*distort/2+(dtf+dtr)/2+(w_3045-w_3044)*(dtf-dtr)/2'     w_3045
+ 'delay+1523*per+  (w_3045-w_3046)*distort/2'                                                w_3045
+ 'delay+1523*per+  (w_3045-w_3046)*distort/2+(dtf+dtr)/2+(w_3046-w_3045)*(dtf-dtr)/2'        w_3046
+ 'delay+1523*per+per2+(w_3046-w_3047)*distort/2'                                             w_3046
+ 'delay+1523*per+per2+(w_3046-w_3047)*distort/2+(dtf+dtr)/2+(w_3047-w_3046)*(dtf-dtr)/2'     w_3047
+ 'delay+1524*per+  (w_3047-w_3048)*distort/2'                                                w_3047
+ 'delay+1524*per+  (w_3047-w_3048)*distort/2+(dtf+dtr)/2+(w_3048-w_3047)*(dtf-dtr)/2'        w_3048
+ 'delay+1524*per+per2+(w_3048-w_3049)*distort/2'                                             w_3048
+ 'delay+1524*per+per2+(w_3048-w_3049)*distort/2+(dtf+dtr)/2+(w_3049-w_3048)*(dtf-dtr)/2'     w_3049
+ 'delay+1525*per+  (w_3049-w_3050)*distort/2'                                                w_3049
+ 'delay+1525*per+  (w_3049-w_3050)*distort/2+(dtf+dtr)/2+(w_3050-w_3049)*(dtf-dtr)/2'        w_3050
+ 'delay+1525*per+per2+(w_3050-w_3051)*distort/2'                                             w_3050
+ 'delay+1525*per+per2+(w_3050-w_3051)*distort/2+(dtf+dtr)/2+(w_3051-w_3050)*(dtf-dtr)/2'     w_3051
+ 'delay+1526*per+  (w_3051-w_3052)*distort/2'                                                w_3051
+ 'delay+1526*per+  (w_3051-w_3052)*distort/2+(dtf+dtr)/2+(w_3052-w_3051)*(dtf-dtr)/2'        w_3052
+ 'delay+1526*per+per2+(w_3052-w_3053)*distort/2'                                             w_3052
+ 'delay+1526*per+per2+(w_3052-w_3053)*distort/2+(dtf+dtr)/2+(w_3053-w_3052)*(dtf-dtr)/2'     w_3053
+ 'delay+1527*per+  (w_3053-w_3054)*distort/2'                                                w_3053
+ 'delay+1527*per+  (w_3053-w_3054)*distort/2+(dtf+dtr)/2+(w_3054-w_3053)*(dtf-dtr)/2'        w_3054
+ 'delay+1527*per+per2+(w_3054-w_3055)*distort/2'                                             w_3054
+ 'delay+1527*per+per2+(w_3054-w_3055)*distort/2+(dtf+dtr)/2+(w_3055-w_3054)*(dtf-dtr)/2'     w_3055
+ 'delay+1528*per+  (w_3055-w_3056)*distort/2'                                                w_3055
+ 'delay+1528*per+  (w_3055-w_3056)*distort/2+(dtf+dtr)/2+(w_3056-w_3055)*(dtf-dtr)/2'        w_3056
+ 'delay+1528*per+per2+(w_3056-w_3057)*distort/2'                                             w_3056
+ 'delay+1528*per+per2+(w_3056-w_3057)*distort/2+(dtf+dtr)/2+(w_3057-w_3056)*(dtf-dtr)/2'     w_3057
+ 'delay+1529*per+  (w_3057-w_3058)*distort/2'                                                w_3057
+ 'delay+1529*per+  (w_3057-w_3058)*distort/2+(dtf+dtr)/2+(w_3058-w_3057)*(dtf-dtr)/2'        w_3058
+ 'delay+1529*per+per2+(w_3058-w_3059)*distort/2'                                             w_3058
+ 'delay+1529*per+per2+(w_3058-w_3059)*distort/2+(dtf+dtr)/2+(w_3059-w_3058)*(dtf-dtr)/2'     w_3059
+ 'delay+1530*per+  (w_3059-w_3060)*distort/2'                                                w_3059
+ 'delay+1530*per+  (w_3059-w_3060)*distort/2+(dtf+dtr)/2+(w_3060-w_3059)*(dtf-dtr)/2'        w_3060
+ 'delay+1530*per+per2+(w_3060-w_3061)*distort/2'                                             w_3060
+ 'delay+1530*per+per2+(w_3060-w_3061)*distort/2+(dtf+dtr)/2+(w_3061-w_3060)*(dtf-dtr)/2'     w_3061
+ 'delay+1531*per+  (w_3061-w_3062)*distort/2'                                                w_3061
+ 'delay+1531*per+  (w_3061-w_3062)*distort/2+(dtf+dtr)/2+(w_3062-w_3061)*(dtf-dtr)/2'        w_3062
+ 'delay+1531*per+per2+(w_3062-w_3063)*distort/2'                                             w_3062
+ 'delay+1531*per+per2+(w_3062-w_3063)*distort/2+(dtf+dtr)/2+(w_3063-w_3062)*(dtf-dtr)/2'     w_3063
+ 'delay+1532*per+  (w_3063-w_3064)*distort/2'                                                w_3063
+ 'delay+1532*per+  (w_3063-w_3064)*distort/2+(dtf+dtr)/2+(w_3064-w_3063)*(dtf-dtr)/2'        w_3064
+ 'delay+1532*per+per2+(w_3064-w_3065)*distort/2'                                             w_3064
+ 'delay+1532*per+per2+(w_3064-w_3065)*distort/2+(dtf+dtr)/2+(w_3065-w_3064)*(dtf-dtr)/2'     w_3065
+ 'delay+1533*per+  (w_3065-w_3066)*distort/2'                                                w_3065
+ 'delay+1533*per+  (w_3065-w_3066)*distort/2+(dtf+dtr)/2+(w_3066-w_3065)*(dtf-dtr)/2'        w_3066
+ 'delay+1533*per+per2+(w_3066-w_3067)*distort/2'                                             w_3066
+ 'delay+1533*per+per2+(w_3066-w_3067)*distort/2+(dtf+dtr)/2+(w_3067-w_3066)*(dtf-dtr)/2'     w_3067
+ 'delay+1534*per+  (w_3067-w_3068)*distort/2'                                                w_3067
+ 'delay+1534*per+  (w_3067-w_3068)*distort/2+(dtf+dtr)/2+(w_3068-w_3067)*(dtf-dtr)/2'        w_3068
+ 'delay+1534*per+per2+(w_3068-w_3069)*distort/2'                                             w_3068
+ 'delay+1534*per+per2+(w_3068-w_3069)*distort/2+(dtf+dtr)/2+(w_3069-w_3068)*(dtf-dtr)/2'     w_3069
+ 'delay+1535*per+  (w_3069-w_3070)*distort/2'                                                w_3069
+ 'delay+1535*per+  (w_3069-w_3070)*distort/2+(dtf+dtr)/2+(w_3070-w_3069)*(dtf-dtr)/2'        w_3070
+ 'delay+1535*per+per2+(w_3070-w_3071)*distort/2'                                             w_3070
+ 'delay+1535*per+per2+(w_3070-w_3071)*distort/2+(dtf+dtr)/2+(w_3071-w_3070)*(dtf-dtr)/2'     w_3071
+ 'delay+1536*per+  (w_3071-w_3072)*distort/2'                                                w_3071
+ 'delay+1536*per+  (w_3071-w_3072)*distort/2+(dtf+dtr)/2+(w_3072-w_3071)*(dtf-dtr)/2'        w_3072
+ TD=0n

.ends prbs_10_x3
